/*===========================================================================*/
/*   (Ast/lvtype.scm)                                                        */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/lvtype.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;


	static obj_t BGl_z62lvtypezd2nodez121794za2zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t
		BGl_setzd2variablezd2typez12z12zzast_lvtypez00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzast_lvtypez00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_lvtypezd2nodezd2zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62lvtypezd2nodez12zd2setzd2exzd21831z70zzast_lvtypez00(obj_t, obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2letzd2var1829za2zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzast_lvtypez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2boxzd2set1837za2zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2closure1803z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2sync1807z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2fail1823z70zzast_lvtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2sequenc1805z70zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62lvtypezd2nodezb0zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_lvtypezd2astz12zc0zzast_lvtypez00(obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2jumpzd2ex1833za2zzast_lvtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2astz12za2zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_lvtypez00 = BUNSPEC;
	static obj_t BGl_z62lvtypezd2nodez12zd2app1809z70zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_lvtypez00();
	static obj_t BGl_z62lvtypezd2nodez12zd2atom1797z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2kwote1799z70zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzast_lvtypez00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2funcall1813z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2conditi1821z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2cast1817z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2setq1819z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2select1825z70zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2appzd2ly1811za2zzast_lvtypez00(obj_t,
		obj_t);
	static bool_t BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(obj_t);
	static obj_t BGl_z62lvtypezd2nodez12zd2boxzd2ref1839za2zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2extern1815z70zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2makezd2bo1835za2zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t BGl_z62lvtypezd2nodez12za2zzast_lvtypez00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_lvtypez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_lvtypez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_lvtypez00();
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62lvtypezd2nodez12zd2var1801z70zzast_lvtypez00(obj_t,
		obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62lvtypezd2nodez12zd2letzd2fun1827za2zzast_lvtypez00(obj_t,
		obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_lvtypezd2nodezd2envz00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2020z00, BGl_z62lvtypezd2nodezb0zzast_lvtypez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1988z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2021z00,
		BGl_z62lvtypezd2nodez121794za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1991z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2022z00,
		BGl_z62lvtypezd2nodez12zd2atom1797z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1993z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2023z00,
		BGl_z62lvtypezd2nodez12zd2kwote1799z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1994z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2024z00,
		BGl_z62lvtypezd2nodez12zd2var1801z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1995z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2025z00,
		BGl_z62lvtypezd2nodez12zd2closure1803z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1996z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2026z00,
		BGl_z62lvtypezd2nodez12zd2sequenc1805z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1997z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2027z00,
		BGl_z62lvtypezd2nodez12zd2sync1807z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1998z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2028z00,
		BGl_z62lvtypezd2nodez12zd2app1809z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1999z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2029z00,
		BGl_z62lvtypezd2nodez12zd2appzd2ly1811za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2014z00zzast_lvtypez00,
		BgL_bgl_string2014za700za7za7a2030za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2015z00zzast_lvtypez00,
		BgL_bgl_string2015za700za7za7a2031za7, "ast_lvtype", 10);
	      DEFINE_STRING(BGl_string2016z00zzast_lvtypez00,
		BgL_bgl_string2016za700za7za7a2032za7, "lvtype-node!1794 ", 17);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_lvtypezd2astz12zd2envz12zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2astza72033za7,
		BGl_z62lvtypezd2astz12za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2034z00,
		BGl_z62lvtypezd2nodez12za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1989z00zzast_lvtypez00,
		BgL_bgl_string1989za700za7za7a2035za7, "lvtype-node!1794", 16);
	      DEFINE_STRING(BGl_string1990z00zzast_lvtypez00,
		BgL_bgl_string1990za700za7za7a2036za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1992z00zzast_lvtypez00,
		BgL_bgl_string1992za700za7za7a2037za7, "lvtype-node!", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2000z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2038z00,
		BGl_z62lvtypezd2nodez12zd2funcall1813z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2001z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2039z00,
		BGl_z62lvtypezd2nodez12zd2extern1815z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2002z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2040z00,
		BGl_z62lvtypezd2nodez12zd2cast1817z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2003z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2041z00,
		BGl_z62lvtypezd2nodez12zd2setq1819z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2004z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2042z00,
		BGl_z62lvtypezd2nodez12zd2conditi1821z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2005z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2043z00,
		BGl_z62lvtypezd2nodez12zd2fail1823z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2006z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2044z00,
		BGl_z62lvtypezd2nodez12zd2select1825z70zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2007z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2045z00,
		BGl_z62lvtypezd2nodez12zd2letzd2fun1827za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2008z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2046z00,
		BGl_z62lvtypezd2nodez12zd2letzd2var1829za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2009z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2047z00,
		BGl_z62lvtypezd2nodez12zd2setzd2exzd21831z70zzast_lvtypez00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2010z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2048z00,
		BGl_z62lvtypezd2nodez12zd2jumpzd2ex1833za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2011z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2049z00,
		BGl_z62lvtypezd2nodez12zd2makezd2bo1835za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2012z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2050z00,
		BGl_z62lvtypezd2nodez12zd2boxzd2set1837za2zzast_lvtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2013z00zzast_lvtypez00,
		BgL_bgl_za762lvtypeza7d2node2051z00,
		BGl_z62lvtypezd2nodez12zd2boxzd2ref1839za2zzast_lvtypez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long
		BgL_checksumz00_2316, char *BgL_fromz00_2317)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_lvtypez00))
				{
					BGl_requirezd2initializa7ationz75zzast_lvtypez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_lvtypez00();
					BGl_cnstzd2initzd2zzast_lvtypez00();
					BGl_importedzd2moduleszd2initz00zzast_lvtypez00();
					BGl_genericzd2initzd2zzast_lvtypez00();
					BGl_methodzd2initzd2zzast_lvtypez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_lvtype");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_lvtype");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			{	/* Ast/lvtype.scm 16 */
				obj_t BgL_cportz00_2306;

				BgL_cportz00_2306 =
					bgl_open_input_string(BGl_string2016z00zzast_lvtypez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2307;

					BgL_iz00_2307 = ((long) 0);
				BgL_loopz00_2308:
					if ((BgL_iz00_2307 == ((long) -1)))
						{	/* Ast/lvtype.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Ast/lvtype.scm 16 */
							{	/* Ast/lvtype.scm 16 */
								obj_t BgL_arg2019z00_2310;

								{	/* Ast/lvtype.scm 16 */

									{	/* Ast/lvtype.scm 16 */
										obj_t BgL_locationz00_2312;

										BgL_locationz00_2312 = BBOOL(((bool_t) 0));
										{	/* Ast/lvtype.scm 16 */

											BgL_arg2019z00_2310 =
												BGl_readz00zz__readerz00(BgL_cportz00_2306,
												BgL_locationz00_2312);
										}
									}
								}
								{	/* Ast/lvtype.scm 16 */
									int BgL_auxz00_2338;

									BgL_auxz00_2338 = (int) (BgL_iz00_2307);
									CNST_TABLE_SET(BgL_auxz00_2338, BgL_arg2019z00_2310);
							}}
							{	/* Ast/lvtype.scm 16 */
								int BgL_auxz00_2313;

								BgL_auxz00_2313 = (int) ((BgL_iz00_2307 - ((long) 1)));
								{
									long BgL_iz00_2343;

									BgL_iz00_2343 = (long) (BgL_auxz00_2313);
									BgL_iz00_2307 = BgL_iz00_2343;
									goto BgL_loopz00_2308;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return BUNSPEC;
		}
	}



/* lvtype-ast! */
	BGL_EXPORTED_DEF obj_t BGl_lvtypezd2astz12zc0zzast_lvtypez00(obj_t
		BgL_astz00_3)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 31 */
			{
				obj_t BgL_l1781z00_1223;

				BgL_l1781z00_1223 = BgL_astz00_3;
			BgL_zc3anonymousza31844ze3z83_1224:
				if (PAIRP(BgL_l1781z00_1223))
					{	/* Ast/lvtype.scm 32 */
						{	/* Ast/lvtype.scm 33 */
							obj_t BgL_gz00_1226;

							BgL_gz00_1226 = CAR(BgL_l1781z00_1223);
							{	/* Ast/lvtype.scm 33 */
								obj_t BgL_arg1846z00_1227;

								BgL_arg1846z00_1227 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_gz00_1226))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_lvtypezd2nodez12zc0zzast_lvtypez00(((BgL_nodez00_bglt)
										BgL_arg1846z00_1227));
							}
						}
						{
							obj_t BgL_l1781z00_2355;

							BgL_l1781z00_2355 = CDR(BgL_l1781z00_1223);
							BgL_l1781z00_1223 = BgL_l1781z00_2355;
							goto BgL_zc3anonymousza31844ze3z83_1224;
						}
					}
				else
					{	/* Ast/lvtype.scm 32 */
						((bool_t) 1);
					}
			}
			return BgL_astz00_3;
		}
	}



/* &lvtype-ast! */
	obj_t BGl_z62lvtypezd2astz12za2zzast_lvtypez00(obj_t BgL_envz00_2231,
		obj_t BgL_astz00_2232)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 31 */
			return BGl_lvtypezd2astz12zc0zzast_lvtypez00(BgL_astz00_2232);
		}
	}



/* lvtype-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_lvtypezd2nodezd2zzast_lvtypez00(BgL_nodez00_bglt BgL_nodez00_4)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 40 */
			BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_4);
			return BgL_nodez00_4;
		}
	}



/* &lvtype-node */
	BgL_nodez00_bglt BGl_z62lvtypezd2nodezb0zzast_lvtypez00(obj_t BgL_envz00_2233,
		obj_t BgL_nodez00_2234)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 40 */
			return
				BGl_lvtypezd2nodezd2zzast_lvtypez00(
				((BgL_nodez00_bglt) BgL_nodez00_2234));
		}
	}



/* lvtype-node*! */
	bool_t BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(obj_t BgL_nodeza2za2_28)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 241 */
			{
				obj_t BgL_l1792z00_1232;

				BgL_l1792z00_1232 = BgL_nodeza2za2_28;
			BgL_zc3anonymousza31849ze3z83_1233:
				if (PAIRP(BgL_l1792z00_1232))
					{	/* Ast/lvtype.scm 242 */
						{	/* Ast/lvtype.scm 242 */
							obj_t BgL_arg1851z00_1235;

							BgL_arg1851z00_1235 = CAR(BgL_l1792z00_1232);
							BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
								((BgL_nodez00_bglt) BgL_arg1851z00_1235));
						}
						{
							obj_t BgL_l1792z00_2366;

							BgL_l1792z00_2366 = CDR(BgL_l1792z00_1232);
							BgL_l1792z00_1232 = BgL_l1792z00_2366;
							goto BgL_zc3anonymousza31849ze3z83_1233;
						}
					}
				else
					{	/* Ast/lvtype.scm 242 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* set-variable-type! */
	obj_t BGl_setzd2variablezd2typez12z12zzast_lvtypez00(BgL_variablez00_bglt
		BgL_variablez00_29, BgL_typez00_bglt BgL_typez00_30)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 247 */
			{	/* Ast/lvtype.scm 248 */
				obj_t BgL_ntypez00_1238;
				BgL_typez00_bglt BgL_otypez00_1239;

				if ((((obj_t) BgL_typez00_30) == BGl_za2_za2z00zztype_cachez00))
					{	/* Ast/lvtype.scm 248 */
						BgL_ntypez00_1238 = BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Ast/lvtype.scm 248 */
						BgL_ntypez00_1238 = ((obj_t) BgL_typez00_30);
					}
				BgL_otypez00_1239 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_29))->BgL_typez00);
				if ((((obj_t) BgL_otypez00_1239) == BGl_za2_za2z00zztype_cachez00))
					{	/* Ast/lvtype.scm 251 */
						BgL_typez00_bglt BgL_vz00_2163;

						BgL_vz00_2163 = ((BgL_typez00_bglt) BgL_ntypez00_1238);
						return
							((((BgL_variablez00_bglt) CREF(BgL_variablez00_29))->
								BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_2163), BUNSPEC);
					}
				else
					{	/* Ast/lvtype.scm 250 */
						return BFALSE;
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_proc1988z00zzast_lvtypez00, BGl_nodez00zzast_nodez00,
				BGl_string1989z00zzast_lvtypez00);
		}
	}



/* &lvtype-node!1794 */
	obj_t BGl_z62lvtypezd2nodez121794za2zzast_lvtypez00(obj_t BgL_envz00_2236,
		obj_t BgL_nodez00_2237)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 47 */
			{
				BgL_nodez00_bglt BgL_nodez00_1243;

				BgL_nodez00_1243 = ((BgL_nodez00_bglt) BgL_nodez00_2237);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
					BGl_string1990z00zzast_lvtypez00, ((obj_t) BgL_nodez00_1243));
		}}
	}



/* lvtype-node! */
	BGL_EXPORTED_DEF obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 47 */
			{	/* Ast/lvtype.scm 47 */
				obj_t BgL_method1795z00_1246;

				{	/* Ast/lvtype.scm 47 */
					obj_t BgL_res1982z00_2193;

					{	/* Ast/lvtype.scm 47 */
						BgL_objectz00_bglt BgL_objz00_2165;

						BgL_objz00_2165 = ((BgL_objectz00_bglt) BgL_nodez00_5);
						{	/* Ast/lvtype.scm 47 */
							long BgL_objzd2classzd2numz00_2166;

							{	/* Ast/lvtype.scm 47 */
								long BgL_res1976z00_2169;

								BgL_res1976z00_2169 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2165);
								BgL_objzd2classzd2numz00_2166 = BgL_res1976z00_2169;
							}
							{	/* Ast/lvtype.scm 47 */
								obj_t BgL_arg1803z00_2167;

								BgL_arg1803z00_2167 =
									PROCEDURE_REF(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
									(int) (((long) 1)));
								{	/* Ast/lvtype.scm 47 */
									obj_t BgL_arrayz00_2170;
									int BgL_offsetz00_2171;

									BgL_arrayz00_2170 = BgL_arg1803z00_2167;
									BgL_offsetz00_2171 = (int) (BgL_objzd2classzd2numz00_2166);
									{	/* Ast/lvtype.scm 47 */
										long BgL_offsetz00_2172;

										BgL_offsetz00_2172 =
											((long) (BgL_offsetz00_2171) - OBJECT_TYPE);
										{	/* Ast/lvtype.scm 47 */
											long BgL_modz00_2173;

											{	/* Ast/lvtype.scm 47 */
												int BgL_arg1805z00_2174;

												BgL_arg1805z00_2174 = (int) (((long) 16));
												{	/* Ast/lvtype.scm 47 */
													long BgL_res1979z00_2184;

													{	/* Ast/lvtype.scm 47 */
														long BgL_auxz00_2391;

														BgL_auxz00_2391 = (long) (BgL_arg1805z00_2174);
														BgL_res1979z00_2184 =
															(BgL_offsetz00_2172 / BgL_auxz00_2391);
													}
													BgL_modz00_2173 = BgL_res1979z00_2184;
											}}
											{	/* Ast/lvtype.scm 47 */
												long BgL_restz00_2175;

												{	/* Ast/lvtype.scm 47 */
													int BgL_arg1804z00_2176;

													BgL_arg1804z00_2176 = (int) (((long) 16));
													{	/* Ast/lvtype.scm 47 */
														long BgL_res1981z00_2188;

														{	/* Ast/lvtype.scm 47 */
															long BgL_auxz00_2395;

															BgL_auxz00_2395 = (long) (BgL_arg1804z00_2176);
															BgL_res1981z00_2188 =
																(BgL_offsetz00_2172 % BgL_auxz00_2395);
														}
														BgL_restz00_2175 = BgL_res1981z00_2188;
												}}
												{	/* Ast/lvtype.scm 47 */

													BgL_res1982z00_2193 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2170,
															(int) (BgL_modz00_2173)),
														(int) (BgL_restz00_2175));
					}}}}}}}}
					BgL_method1795z00_1246 = BgL_res1982z00_2193;
				}
				return
					PROCEDURE_ENTRY(BgL_method1795z00_1246) (BgL_method1795z00_1246,
					((obj_t) BgL_nodez00_5), BEOA);
			}
		}
	}



/* &lvtype-node! */
	obj_t BGl_z62lvtypezd2nodez12za2zzast_lvtypez00(obj_t BgL_envz00_2238,
		obj_t BgL_nodez00_2239)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 47 */
			return
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
				((BgL_nodez00_bglt) BgL_nodez00_2239));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_atomz00zzast_nodez00,
				BGl_proc1991z00zzast_lvtypez00, BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_kwotez00zzast_nodez00, BGl_proc1993z00zzast_lvtypez00,
				BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_varz00zzast_nodez00,
				BGl_proc1994z00zzast_lvtypez00, BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_closurez00zzast_nodez00, BGl_proc1995z00zzast_lvtypez00,
				BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_sequencez00zzast_nodez00, BGl_proc1996z00zzast_lvtypez00,
				BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_syncz00zzast_nodez00,
				BGl_proc1997z00zzast_lvtypez00, BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_appz00zzast_nodez00,
				BGl_proc1998z00zzast_lvtypez00, BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1999z00zzast_lvtypez00,
				BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_funcallz00zzast_nodez00, BGl_proc2000z00zzast_lvtypez00,
				BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_externz00zzast_nodez00, BGl_proc2001z00zzast_lvtypez00,
				BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_castz00zzast_nodez00,
				BGl_proc2002z00zzast_lvtypez00, BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_setqz00zzast_nodez00,
				BGl_proc2003z00zzast_lvtypez00, BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2004z00zzast_lvtypez00,
				BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00, BGl_failz00zzast_nodez00,
				BGl_proc2005z00zzast_lvtypez00, BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_selectz00zzast_nodez00, BGl_proc2006z00zzast_lvtypez00,
				BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2007z00zzast_lvtypez00,
				BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2008z00zzast_lvtypez00,
				BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2009z00zzast_lvtypez00,
				BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2010z00zzast_lvtypez00,
				BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2011z00zzast_lvtypez00,
				BGl_string1992z00zzast_lvtypez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2012z00zzast_lvtypez00,
				BGl_string1992z00zzast_lvtypez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_lvtypezd2nodez12zd2envz12zzast_lvtypez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2013z00zzast_lvtypez00,
				BGl_string1992z00zzast_lvtypez00);
		}
	}



/* &lvtype-node!-box-ref1839 */
	obj_t BGl_z62lvtypezd2nodez12zd2boxzd2ref1839za2zzast_lvtypez00(obj_t
		BgL_envz00_2262, obj_t BgL_nodez00_2263)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 234 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1426;

				BgL_nodez00_1426 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2263);
				{	/* Ast/lvtype.scm 236 */
					BgL_varz00_bglt BgL_arg1920z00_2225;

					BgL_arg1920z00_2225 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1426))->BgL_varz00);
					return
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
						((BgL_nodez00_bglt) BgL_arg1920z00_2225));
				}
			}
		}
	}



/* &lvtype-node!-box-set1837 */
	obj_t BGl_z62lvtypezd2nodez12zd2boxzd2set1837za2zzast_lvtypez00(obj_t
		BgL_envz00_2264, obj_t BgL_nodez00_2265)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 226 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1419;

				BgL_nodez00_1419 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2265);
				{	/* Ast/lvtype.scm 228 */
					BgL_varz00_bglt BgL_arg1917z00_1423;

					BgL_arg1917z00_1423 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1419))->BgL_varz00);
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
						((BgL_nodez00_bglt) BgL_arg1917z00_1423));
				}
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1419))->BgL_valuez00));
			}
		}
	}



/* &lvtype-node!-make-bo1835 */
	obj_t BGl_z62lvtypezd2nodez12zd2makezd2bo1835za2zzast_lvtypez00(obj_t
		BgL_envz00_2266, obj_t BgL_nodez00_2267)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 219 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1413;

				BgL_nodez00_1413 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2267);
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1413))->BgL_valuez00));
			}
		}
	}



/* &lvtype-node!-jump-ex1833 */
	obj_t BGl_z62lvtypezd2nodez12zd2jumpzd2ex1833za2zzast_lvtypez00(obj_t
		BgL_envz00_2268, obj_t BgL_nodez00_2269)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 211 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1406;

				BgL_nodez00_1406 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2269);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1406))->BgL_exitz00));
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1406))->
						BgL_valuez00));
			}
		}
	}



/* &lvtype-node!-set-ex-1831 */
	obj_t BGl_z62lvtypezd2nodez12zd2setzd2exzd21831z70zzast_lvtypez00(obj_t
		BgL_envz00_2270, obj_t BgL_nodez00_2271)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 203 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1399;

				BgL_nodez00_1399 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2271);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1399))->BgL_bodyz00));
				{	/* Ast/lvtype.scm 206 */
					BgL_varz00_bglt BgL_arg1913z00_1404;

					BgL_arg1913z00_1404 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1399))->BgL_varz00);
					return
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
						((BgL_nodez00_bglt) BgL_arg1913z00_1404));
				}
			}
		}
	}



/* &lvtype-node!-let-var1829 */
	obj_t BGl_z62lvtypezd2nodez12zd2letzd2var1829za2zzast_lvtypez00(obj_t
		BgL_envz00_2272, obj_t BgL_nodez00_2273)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 188 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1379;

				BgL_nodez00_1379 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2273);
				{	/* Ast/lvtype.scm 190 */
					obj_t BgL_g1791z00_1383;

					BgL_g1791z00_1383 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1379))->BgL_bindingsz00);
					{
						obj_t BgL_l1789z00_1385;

						BgL_l1789z00_1385 = BgL_g1791z00_1383;
					BgL_zc3anonymousza31903ze3z83_1386:
						if (PAIRP(BgL_l1789z00_1385))
							{	/* Ast/lvtype.scm 190 */
								{	/* Ast/lvtype.scm 191 */
									obj_t BgL_bindingz00_1388;

									BgL_bindingz00_1388 = CAR(BgL_l1789z00_1385);
									{	/* Ast/lvtype.scm 191 */
										obj_t BgL_varz00_1389;
										obj_t BgL_valz00_1390;

										BgL_varz00_1389 = CAR(BgL_bindingz00_1388);
										BgL_valz00_1390 = CDR(BgL_bindingz00_1388);
										BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
											((BgL_nodez00_bglt) BgL_valz00_1390));
										{	/* Ast/lvtype.scm 194 */
											BgL_typez00_bglt BgL_arg1905z00_1391;

											BgL_arg1905z00_1391 =
												BGl_getzd2typezd2zztype_typeofz00(
												((BgL_nodez00_bglt) BgL_valz00_1390));
											BGl_setzd2variablezd2typez12z12zzast_lvtypez00(
												((BgL_variablez00_bglt) BgL_varz00_1389),
												BgL_arg1905z00_1391);
										}
									}
								}
								{
									obj_t BgL_l1789z00_2467;

									BgL_l1789z00_2467 = CDR(BgL_l1789z00_1385);
									BgL_l1789z00_1385 = BgL_l1789z00_2467;
									goto BgL_zc3anonymousza31903ze3z83_1386;
								}
							}
						else
							{	/* Ast/lvtype.scm 190 */
								((bool_t) 1);
							}
					}
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1379))->BgL_bodyz00));
				{	/* Ast/lvtype.scm 197 */
					bool_t BgL_testz00_2471;

					{	/* Ast/lvtype.scm 197 */
						BgL_typez00_bglt BgL_arg1911z00_1397;

						BgL_arg1911z00_1397 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1379)))->BgL_typez00);
						BgL_testz00_2471 =
							(((obj_t) BgL_arg1911z00_1397) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2471)
						{
							BgL_typez00_bglt BgL_auxz00_2476;

							{	/* Ast/lvtype.scm 198 */
								BgL_nodez00_bglt BgL_arg1910z00_1396;

								BgL_arg1910z00_1396 =
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1379))->
									BgL_bodyz00);
								BgL_auxz00_2476 =
									BGl_getzd2typezd2zztype_typeofz00(BgL_arg1910z00_1396);
							}
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1379)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_2476), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 197 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-let-fun1827 */
	obj_t BGl_z62lvtypezd2nodez12zd2letzd2fun1827za2zzast_lvtypez00(obj_t
		BgL_envz00_2274, obj_t BgL_nodez00_2275)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 176 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1360;

				BgL_nodez00_1360 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2275);
				{	/* Ast/lvtype.scm 178 */
					obj_t BgL_g1788z00_1364;

					BgL_g1788z00_1364 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1360))->BgL_localsz00);
					{
						obj_t BgL_l1786z00_1366;

						BgL_l1786z00_1366 = BgL_g1788z00_1364;
					BgL_zc3anonymousza31894ze3z83_1367:
						if (PAIRP(BgL_l1786z00_1366))
							{	/* Ast/lvtype.scm 178 */
								{	/* Ast/lvtype.scm 179 */
									obj_t BgL_localz00_1369;

									BgL_localz00_1369 = CAR(BgL_l1786z00_1366);
									{	/* Ast/lvtype.scm 179 */
										obj_t BgL_arg1896z00_1370;

										BgL_arg1896z00_1370 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_1369))))->
															BgL_valuez00))))->BgL_bodyz00);
										BGl_lvtypezd2nodez12zc0zzast_lvtypez00(((BgL_nodez00_bglt)
												BgL_arg1896z00_1370));
									}
								}
								{
									obj_t BgL_l1786z00_2493;

									BgL_l1786z00_2493 = CDR(BgL_l1786z00_1366);
									BgL_l1786z00_1366 = BgL_l1786z00_2493;
									goto BgL_zc3anonymousza31894ze3z83_1367;
								}
							}
						else
							{	/* Ast/lvtype.scm 178 */
								((bool_t) 1);
							}
					}
				}
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1360))->BgL_bodyz00));
				{	/* Ast/lvtype.scm 182 */
					bool_t BgL_testz00_2497;

					{	/* Ast/lvtype.scm 182 */
						BgL_typez00_bglt BgL_arg1902z00_1377;

						BgL_arg1902z00_1377 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1360)))->BgL_typez00);
						BgL_testz00_2497 =
							(((obj_t) BgL_arg1902z00_1377) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2497)
						{
							BgL_typez00_bglt BgL_auxz00_2502;

							{	/* Ast/lvtype.scm 183 */
								BgL_nodez00_bglt BgL_arg1901z00_1376;

								BgL_arg1901z00_1376 =
									(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1360))->
									BgL_bodyz00);
								BgL_auxz00_2502 =
									BGl_getzd2typezd2zztype_typeofz00(BgL_arg1901z00_1376);
							}
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1360)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_2502), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 182 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-select1825 */
	obj_t BGl_z62lvtypezd2nodez12zd2select1825z70zzast_lvtypez00(obj_t
		BgL_envz00_2276, obj_t BgL_nodez00_2277)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 166 */
			{
				BgL_selectz00_bglt BgL_nodez00_1345;

				BgL_nodez00_1345 = ((BgL_selectz00_bglt) BgL_nodez00_2277);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_selectz00_bglt) CREF(BgL_nodez00_1345))->BgL_testz00));
				{	/* Ast/lvtype.scm 169 */
					obj_t BgL_g1785z00_1350;

					BgL_g1785z00_1350 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1345))->BgL_clausesz00);
					{
						obj_t BgL_l1783z00_1352;

						{	/* Ast/lvtype.scm 169 */
							bool_t BgL_auxz00_2511;

							BgL_l1783z00_1352 = BgL_g1785z00_1350;
						BgL_zc3anonymousza31890ze3z83_1353:
							if (PAIRP(BgL_l1783z00_1352))
								{	/* Ast/lvtype.scm 169 */
									{	/* Ast/lvtype.scm 170 */
										obj_t BgL_clausez00_1355;

										BgL_clausez00_1355 = CAR(BgL_l1783z00_1352);
										{	/* Ast/lvtype.scm 170 */
											obj_t BgL_arg1892z00_1356;

											BgL_arg1892z00_1356 = CDR(BgL_clausez00_1355);
											BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
												((BgL_nodez00_bglt) BgL_arg1892z00_1356));
										}
									}
									{
										obj_t BgL_l1783z00_2518;

										BgL_l1783z00_2518 = CDR(BgL_l1783z00_1352);
										BgL_l1783z00_1352 = BgL_l1783z00_2518;
										goto BgL_zc3anonymousza31890ze3z83_1353;
									}
								}
							else
								{	/* Ast/lvtype.scm 169 */
									BgL_auxz00_2511 = ((bool_t) 1);
								}
							return BBOOL(BgL_auxz00_2511);
						}
					}
				}
			}
		}
	}



/* &lvtype-node!-fail1823 */
	obj_t BGl_z62lvtypezd2nodez12zd2fail1823z70zzast_lvtypez00(obj_t
		BgL_envz00_2278, obj_t BgL_nodez00_2279)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 157 */
			{
				BgL_failz00_bglt BgL_nodez00_1337;

				BgL_nodez00_1337 = ((BgL_failz00_bglt) BgL_nodez00_2279);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1337))->BgL_procz00));
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1337))->BgL_msgz00));
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1337))->BgL_objz00));
			}
		}
	}



/* &lvtype-node!-conditi1821 */
	obj_t BGl_z62lvtypezd2nodez12zd2conditi1821z70zzast_lvtypez00(obj_t
		BgL_envz00_2280, obj_t BgL_nodez00_2281)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 146 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1327;

				BgL_nodez00_1327 = ((BgL_conditionalz00_bglt) BgL_nodez00_2281);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1327))->BgL_testz00));
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1327))->BgL_truez00));
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1327))->BgL_falsez00));
				{	/* Ast/lvtype.scm 151 */
					bool_t BgL_testz00_2535;

					{	/* Ast/lvtype.scm 151 */
						BgL_typez00_bglt BgL_arg1884z00_1335;

						BgL_arg1884z00_1335 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1327)))->BgL_typez00);
						BgL_testz00_2535 =
							(((obj_t) BgL_arg1884z00_1335) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2535)
						{	/* Ast/lvtype.scm 151 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1327)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1327))), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 151 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-setq1819 */
	obj_t BGl_z62lvtypezd2nodez12zd2setq1819z70zzast_lvtypez00(obj_t
		BgL_envz00_2282, obj_t BgL_nodez00_2283)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 138 */
			{
				BgL_setqz00_bglt BgL_nodez00_1320;

				BgL_nodez00_1320 = ((BgL_setqz00_bglt) BgL_nodez00_2283);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_1320))->BgL_valuez00));
				{	/* Ast/lvtype.scm 141 */
					BgL_varz00_bglt BgL_arg1879z00_1325;

					BgL_arg1879z00_1325 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1320))->BgL_varz00);
					return
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
						((BgL_nodez00_bglt) BgL_arg1879z00_1325));
				}
			}
		}
	}



/* &lvtype-node!-cast1817 */
	obj_t BGl_z62lvtypezd2nodez12zd2cast1817z70zzast_lvtypez00(obj_t
		BgL_envz00_2284, obj_t BgL_nodez00_2285)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 131 */
			{
				BgL_castz00_bglt BgL_nodez00_1314;

				BgL_nodez00_1314 = ((BgL_castz00_bglt) BgL_nodez00_2285);
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1314))->BgL_argz00));
			}
		}
	}



/* &lvtype-node!-extern1815 */
	obj_t BGl_z62lvtypezd2nodez12zd2extern1815z70zzast_lvtypez00(obj_t
		BgL_envz00_2286, obj_t BgL_nodez00_2287)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 124 */
			{
				BgL_externz00_bglt BgL_nodez00_1308;

				BgL_nodez00_1308 = ((BgL_externz00_bglt) BgL_nodez00_2287);
				{	/* Ast/lvtype.scm 126 */
					obj_t BgL_arg1876z00_2199;

					BgL_arg1876z00_2199 =
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1308))->BgL_exprza2za2);
					return
						BBOOL(BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00
						(BgL_arg1876z00_2199));
				}
			}
		}
	}



/* &lvtype-node!-funcall1813 */
	obj_t BGl_z62lvtypezd2nodez12zd2funcall1813z70zzast_lvtypez00(obj_t
		BgL_envz00_2288, obj_t BgL_nodez00_2289)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 116 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1301;

				BgL_nodez00_1301 = ((BgL_funcallz00_bglt) BgL_nodez00_2289);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1301))->BgL_funz00));
				{	/* Ast/lvtype.scm 119 */
					obj_t BgL_arg1875z00_1306;

					BgL_arg1875z00_1306 =
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1301))->BgL_argsz00);
					return
						BBOOL(BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00
						(BgL_arg1875z00_1306));
				}
			}
		}
	}



/* &lvtype-node!-app-ly1811 */
	obj_t BGl_z62lvtypezd2nodez12zd2appzd2ly1811za2zzast_lvtypez00(obj_t
		BgL_envz00_2290, obj_t BgL_nodez00_2291)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 108 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1294;

				BgL_nodez00_1294 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2291);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1294))->BgL_funz00));
				return
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1294))->BgL_argz00));
			}
		}
	}



/* &lvtype-node!-app1809 */
	obj_t BGl_z62lvtypezd2nodez12zd2app1809z70zzast_lvtypez00(obj_t
		BgL_envz00_2292, obj_t BgL_nodez00_2293)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 99 */
			{
				BgL_appz00_bglt BgL_nodez00_1286;

				BgL_nodez00_1286 = ((BgL_appz00_bglt) BgL_nodez00_2293);
				BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1286))->BgL_argsz00));
				{	/* Ast/lvtype.scm 102 */
					bool_t BgL_testz00_2571;

					{	/* Ast/lvtype.scm 102 */
						BgL_typez00_bglt BgL_arg1871z00_1292;

						BgL_arg1871z00_1292 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1286)))->BgL_typez00);
						BgL_testz00_2571 =
							(((obj_t) BgL_arg1871z00_1292) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2571)
						{	/* Ast/lvtype.scm 102 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1286)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1286))), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 102 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-sync1807 */
	obj_t BGl_z62lvtypezd2nodez12zd2sync1807z70zzast_lvtypez00(obj_t
		BgL_envz00_2294, obj_t BgL_nodez00_2295)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 88 */
			{
				BgL_syncz00_bglt BgL_nodez00_1276;

				BgL_nodez00_1276 = ((BgL_syncz00_bglt) BgL_nodez00_2295);
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1276))->BgL_mutexz00));
				BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1276))->BgL_prelockz00));
				BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1276))->BgL_nodesz00));
				{	/* Ast/lvtype.scm 93 */
					bool_t BgL_testz00_2587;

					{	/* Ast/lvtype.scm 93 */
						BgL_typez00_bglt BgL_arg1868z00_1284;

						BgL_arg1868z00_1284 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1276)))->BgL_typez00);
						BgL_testz00_2587 =
							(((obj_t) BgL_arg1868z00_1284) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2587)
						{	/* Ast/lvtype.scm 93 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1276)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1276))), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 93 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-sequenc1805 */
	obj_t BGl_z62lvtypezd2nodez12zd2sequenc1805z70zzast_lvtypez00(obj_t
		BgL_envz00_2296, obj_t BgL_nodez00_2297)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 79 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1268;

				BgL_nodez00_1268 = ((BgL_sequencez00_bglt) BgL_nodez00_2297);
				BGl_lvtypezd2nodeza2z12z62zzast_lvtypez00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1268))->BgL_nodesz00));
				{	/* Ast/lvtype.scm 82 */
					bool_t BgL_testz00_2599;

					{	/* Ast/lvtype.scm 82 */
						BgL_typez00_bglt BgL_arg1862z00_1274;

						BgL_arg1862z00_1274 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1268)))->BgL_typez00);
						BgL_testz00_2599 =
							(((obj_t) BgL_arg1862z00_1274) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2599)
						{	/* Ast/lvtype.scm 82 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1268)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1268))), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 82 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &lvtype-node!-closure1803 */
	obj_t BGl_z62lvtypezd2nodez12zd2closure1803z70zzast_lvtypez00(obj_t
		BgL_envz00_2298, obj_t BgL_nodez00_2299)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 73 */
			{
				BgL_closurez00_bglt BgL_nodez00_1263;

				BgL_nodez00_1263 = ((BgL_closurez00_bglt) BgL_nodez00_2299);
				{	/* Ast/lvtype.scm 74 */
					obj_t BgL_arg1859z00_2197;

					BgL_arg1859z00_2197 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1263));
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string1992z00zzast_lvtypez00, BGl_string2014z00zzast_lvtypez00,
						BgL_arg1859z00_2197);
				}
			}
		}
	}



/* &lvtype-node!-var1801 */
	obj_t BGl_z62lvtypezd2nodez12zd2var1801z70zzast_lvtypez00(obj_t
		BgL_envz00_2300, obj_t BgL_nodez00_2301)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 64 */
			{
				BgL_varz00_bglt BgL_nodez00_1255;

				BgL_nodez00_1255 = ((BgL_varz00_bglt) BgL_nodez00_2301);
				{	/* Ast/lvtype.scm 66 */
					bool_t BgL_testz00_2613;

					{	/* Ast/lvtype.scm 66 */
						BgL_typez00_bglt BgL_arg1858z00_1261;

						BgL_arg1858z00_1261 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1255)))->BgL_typez00);
						BgL_testz00_2613 =
							(((obj_t) BgL_arg1858z00_1261) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2613)
						{	/* Ast/lvtype.scm 66 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1255)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											CREF((((BgL_varz00_bglt) CREF(BgL_nodez00_1255))->
													BgL_variablez00)))->BgL_typez00)), BUNSPEC);
						}
					else
						{	/* Ast/lvtype.scm 66 */
							BFALSE;
						}
				}
				return ((obj_t) BgL_nodez00_1255);
			}
		}
	}



/* &lvtype-node!-kwote1799 */
	obj_t BGl_z62lvtypezd2nodez12zd2kwote1799z70zzast_lvtypez00(obj_t
		BgL_envz00_2302, obj_t BgL_nodez00_2303)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 58 */
			return ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_2303));
		}
	}



/* &lvtype-node!-atom1797 */
	obj_t BGl_z62lvtypezd2nodez12zd2atom1797z70zzast_lvtypez00(obj_t
		BgL_envz00_2304, obj_t BgL_nodez00_2305)
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 52 */
			return ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_2305));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_lvtypez00()
	{
		AN_OBJECT;
		{	/* Ast/lvtype.scm 16 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2015z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2015z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string2015z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2015z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2015z00zzast_lvtypez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2015z00zzast_lvtypez00));
			return
				BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2015z00zzast_lvtypez00));
		}
	}

#ifdef __cplusplus
}
#endif
