/*===========================================================================*/
/*   (Ast/shrinkify.scm)                                                     */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/shrinkify.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2jumpzd2ex1837za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzast_shrinkifyz00();
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_shrinkifyz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62shrinkifyz12z70zzast_shrinkifyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez121794za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2conditi1819z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2funcall1811z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2sync1805z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2boxzd2ref1827za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2fail1821z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2makezd2bo1825za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2app1807z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt);
	static obj_t BGl_z62shrinkzd2nodez12zd2var1799z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_genericzd2initzd2zzast_shrinkifyz00();
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t
		BGl_z62shrinkzd2nodez12zd2letzd2fun1831za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2appzd2ly1809za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2select1823z70zzast_shrinkifyz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2atom1797z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2extern1813z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2kwote1801z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2setzd2exzd21835z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t BGl_z62shrinkzd2nodez12zd2cast1815z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2nodez12zd2setq1817z70zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2boxzd2set1829za2zzast_shrinkifyz00(obj_t, obj_t);
	static obj_t
		BGl_z62shrinkzd2nodez12zd2letzd2var1833za2zzast_shrinkifyz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
	static obj_t BGl_z62shrinkzd2nodez12zd2sequenc1803z70zzast_shrinkifyz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62shrinkzd2variablez121792za2zzast_shrinkifyz00(obj_t,
		obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2087z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2vari2120z00,
		BGl_z62shrinkzd2variablez121792za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2089z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2121z00,
		BGl_z62shrinkzd2nodez121794za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2092z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2122z00,
		BGl_z62shrinkzd2nodez12zd2atom1797z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2094z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2123z00,
		BGl_z62shrinkzd2nodez12zd2var1799z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2095z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2124z00,
		BGl_z62shrinkzd2nodez12zd2kwote1801z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2096z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2125z00,
		BGl_z62shrinkzd2nodez12zd2sequenc1803z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2097z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2126z00,
		BGl_z62shrinkzd2nodez12zd2sync1805z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2098z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2127z00,
		BGl_z62shrinkzd2nodez12zd2app1807z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2099z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2128z00,
		BGl_z62shrinkzd2nodez12zd2appzd2ly1809za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_shrinkifyz12zd2envzc0zzast_shrinkifyz00,
		BgL_bgl_za762shrinkifyza712za72129za7,
		BGl_z62shrinkifyz12z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2vari2130z00,
		BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2100z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2131z00,
		BGl_z62shrinkzd2nodez12zd2funcall1811z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2101z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2132z00,
		BGl_z62shrinkzd2nodez12zd2extern1813z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2102z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2133z00,
		BGl_z62shrinkzd2nodez12zd2cast1815z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2103z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2134z00,
		BGl_z62shrinkzd2nodez12zd2setq1817z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2104z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2135z00,
		BGl_z62shrinkzd2nodez12zd2conditi1819z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2105z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2136z00,
		BGl_z62shrinkzd2nodez12zd2fail1821z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2106z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2137z00,
		BGl_z62shrinkzd2nodez12zd2select1823z70zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2107z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2138z00,
		BGl_z62shrinkzd2nodez12zd2makezd2bo1825za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2108z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2139z00,
		BGl_z62shrinkzd2nodez12zd2boxzd2ref1827za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2109z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2140z00,
		BGl_z62shrinkzd2nodez12zd2boxzd2set1829za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2110z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2141z00,
		BGl_z62shrinkzd2nodez12zd2letzd2fun1831za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2111z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2142z00,
		BGl_z62shrinkzd2nodez12zd2letzd2var1833za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2112z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2143z00,
		BGl_z62shrinkzd2nodez12zd2setzd2exzd21835z70zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2113z00zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2144z00,
		BGl_z62shrinkzd2nodez12zd2jumpzd2ex1837za2zzast_shrinkifyz00, 0L, BUNSPEC,
		1);
	      DEFINE_STRING(BGl_string2088z00zzast_shrinkifyz00,
		BgL_bgl_string2088za700za7za7a2145za7, "shrink-variable!1792", 20);
	      DEFINE_STRING(BGl_string2090z00zzast_shrinkifyz00,
		BgL_bgl_string2090za700za7za7a2146za7, "shrink-node!1794", 16);
	      DEFINE_STRING(BGl_string2091z00zzast_shrinkifyz00,
		BgL_bgl_string2091za700za7za7a2147za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2093z00zzast_shrinkifyz00,
		BgL_bgl_string2093za700za7za7a2148za7, "shrink-node!", 12);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
		BgL_bgl_za762shrinkza7d2node2149z00,
		BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2114z00zzast_shrinkifyz00,
		BgL_bgl_string2114za700za7za7a2150za7, "ast_shrinkify", 13);
	      DEFINE_STRING(BGl_string2115z00zzast_shrinkifyz00,
		BgL_bgl_string2115za700za7za7a2151za7, "shrink-node!1794 ", 17);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_shrinkifyz00(long
		BgL_checksumz00_2633, char *BgL_fromz00_2634)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_shrinkifyz00))
				{
					BGl_requirezd2initializa7ationz75zzast_shrinkifyz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_cnstzd2initzd2zzast_shrinkifyz00();
					BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00();
					BGl_genericzd2initzd2zzast_shrinkifyz00();
					BGl_methodzd2initzd2zzast_shrinkifyz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_shrinkify");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_shrinkify");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			{	/* Ast/shrinkify.scm 15 */
				obj_t BgL_cportz00_2622;

				BgL_cportz00_2622 =
					bgl_open_input_string(BGl_string2115z00zzast_shrinkifyz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2623;

					BgL_iz00_2623 = ((long) 0);
				BgL_loopz00_2624:
					if ((BgL_iz00_2623 == ((long) -1)))
						{	/* Ast/shrinkify.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Ast/shrinkify.scm 15 */
							{	/* Ast/shrinkify.scm 15 */
								obj_t BgL_arg2119z00_2626;

								{	/* Ast/shrinkify.scm 15 */

									{	/* Ast/shrinkify.scm 15 */
										obj_t BgL_locationz00_2628;

										BgL_locationz00_2628 = BBOOL(((bool_t) 0));
										{	/* Ast/shrinkify.scm 15 */

											BgL_arg2119z00_2626 =
												BGl_readz00zz__readerz00(BgL_cportz00_2622,
												BgL_locationz00_2628);
										}
									}
								}
								{	/* Ast/shrinkify.scm 15 */
									int BgL_auxz00_2655;

									BgL_auxz00_2655 = (int) (BgL_iz00_2623);
									CNST_TABLE_SET(BgL_auxz00_2655, BgL_arg2119z00_2626);
							}}
							{	/* Ast/shrinkify.scm 15 */
								int BgL_auxz00_2629;

								BgL_auxz00_2629 = (int) ((BgL_iz00_2623 - ((long) 1)));
								{
									long BgL_iz00_2660;

									BgL_iz00_2660 = (long) (BgL_auxz00_2629);
									BgL_iz00_2623 = BgL_iz00_2660;
									goto BgL_loopz00_2624;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			return BUNSPEC;
		}
	}



/* shrinkify! */
	BGL_EXPORTED_DEF obj_t BGl_shrinkifyz12z12zzast_shrinkifyz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 25 */
			BGl_forzd2eachzd2globalz12z12zzast_envz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00, BNIL);
			{
				obj_t BgL_l1776z00_1221;

				BgL_l1776z00_1221 = BgL_globalsz00_3;
			BgL_zc3anonymousza31844ze3z83_1222:
				if (PAIRP(BgL_l1776z00_1221))
					{	/* Ast/shrinkify.scm 27 */
						{	/* Ast/shrinkify.scm 28 */
							obj_t BgL_globalz00_1224;

							BgL_globalz00_1224 = CAR(BgL_l1776z00_1221);
							{	/* Ast/shrinkify.scm 28 */
								BgL_valuez00_bglt BgL_sfunz00_1225;

								BgL_sfunz00_1225 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_globalz00_1224))))->
									BgL_valuez00);
								{	/* Ast/shrinkify.scm 29 */
									obj_t BgL_g1775z00_1226;

									BgL_g1775z00_1226 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_sfunz00_1225)))->BgL_argsz00);
									{
										obj_t BgL_l1773z00_1228;

										BgL_l1773z00_1228 = BgL_g1775z00_1226;
									BgL_zc3anonymousza31846ze3z83_1229:
										if (PAIRP(BgL_l1773z00_1228))
											{	/* Ast/shrinkify.scm 29 */
												{	/* Ast/shrinkify.scm 29 */
													obj_t BgL_arg1848z00_1231;

													BgL_arg1848z00_1231 = CAR(BgL_l1773z00_1228);
													BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
														((BgL_variablez00_bglt) BgL_arg1848z00_1231));
												}
												{
													obj_t BgL_l1773z00_2676;

													BgL_l1773z00_2676 = CDR(BgL_l1773z00_1228);
													BgL_l1773z00_1228 = BgL_l1773z00_2676;
													goto BgL_zc3anonymousza31846ze3z83_1229;
												}
											}
										else
											{	/* Ast/shrinkify.scm 29 */
												((bool_t) 1);
											}
									}
								}
								{	/* Ast/shrinkify.scm 30 */
									obj_t BgL_arg1850z00_1234;

									BgL_arg1850z00_1234 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_globalz00_1224))))->
														BgL_valuez00))))->BgL_bodyz00);
									BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(((BgL_nodez00_bglt)
											BgL_arg1850z00_1234));
								}
							}
						}
						{
							obj_t BgL_l1776z00_2685;

							BgL_l1776z00_2685 = CDR(BgL_l1776z00_1221);
							BgL_l1776z00_1221 = BgL_l1776z00_2685;
							goto BgL_zc3anonymousza31844ze3z83_1222;
						}
					}
				else
					{	/* Ast/shrinkify.scm 27 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}
	}



/* &shrinkify! */
	obj_t BGl_z62shrinkifyz12z70zzast_shrinkifyz00(obj_t BgL_envz00_2546,
		obj_t BgL_globalsz00_2547)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 25 */
			return BGl_shrinkifyz12z12zzast_shrinkifyz00(BgL_globalsz00_2547);
		}
	}



/* shrink-node*! */
	bool_t BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(obj_t BgL_nodeza2za2_27)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 230 */
			{
				obj_t BgL_l1790z00_1239;

				BgL_l1790z00_1239 = BgL_nodeza2za2_27;
			BgL_zc3anonymousza31853ze3z83_1240:
				if (PAIRP(BgL_l1790z00_1239))
					{	/* Ast/shrinkify.scm 231 */
						{	/* Ast/shrinkify.scm 231 */
							obj_t BgL_arg1855z00_1242;

							BgL_arg1855z00_1242 = CAR(BgL_l1790z00_1239);
							BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
								((BgL_nodez00_bglt) BgL_arg1855z00_1242));
						}
						{
							obj_t BgL_l1790z00_2693;

							BgL_l1790z00_2693 = CDR(BgL_l1790z00_1239);
							BgL_l1790z00_1239 = BgL_l1790z00_2693;
							goto BgL_zc3anonymousza31853ze3z83_1240;
						}
					}
				else
					{	/* Ast/shrinkify.scm 231 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
				BGl_proc2087z00zzast_shrinkifyz00, BGl_variablez00zzast_varz00,
				BGl_string2088z00zzast_shrinkifyz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_proc2089z00zzast_shrinkifyz00, BGl_nodez00zzast_nodez00,
				BGl_string2090z00zzast_shrinkifyz00);
		}
	}



/* &shrink-node!1794 */
	obj_t BGl_z62shrinkzd2nodez121794za2zzast_shrinkifyz00(obj_t BgL_envz00_2552,
		obj_t BgL_nodez00_2553)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			{
				BgL_nodez00_bglt BgL_nodez00_1261;

				BgL_nodez00_1261 = ((BgL_nodez00_bglt) BgL_nodez00_2553);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
					BGl_string2091z00zzast_shrinkifyz00, ((obj_t) BgL_nodez00_1261));
		}}
	}



/* &shrink-variable!1792 */
	obj_t BGl_z62shrinkzd2variablez121792za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2554, obj_t BgL_variablez00_2555)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			{
				BgL_variablez00_bglt BgL_variablez00_1246;

				BgL_variablez00_1246 = ((BgL_variablez00_bglt) BgL_variablez00_2555);
				{	/* Ast/shrinkify.scm 38 */
					bool_t BgL_testz00_2701;

					{	/* Ast/shrinkify.scm 38 */
						bool_t BgL_testz00_2702;

						{	/* Ast/shrinkify.scm 38 */
							obj_t BgL_auxz00_2703;

							{	/* Ast/shrinkify.scm 38 */
								BgL_objectz00_bglt BgL_auxz00_2704;

								BgL_auxz00_2704 = ((BgL_objectz00_bglt) BgL_variablez00_1246);
								BgL_auxz00_2703 = BGL_OBJECT_WIDENING(BgL_auxz00_2704);
							}
							BgL_testz00_2702 = CBOOL(BgL_auxz00_2703);
						}
						if (BgL_testz00_2702)
							{	/* Ast/shrinkify.scm 38 */
								BgL_testz00_2701 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 38 */
								BgL_testz00_2701 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2701)
						{	/* Ast/shrinkify.scm 38 */
							{	/* Ast/shrinkify.scm 39 */
								long BgL_arg1859z00_1250;

								{	/* Ast/shrinkify.scm 39 */
									obj_t BgL_arg1860z00_1251;

									{	/* Ast/shrinkify.scm 39 */
										obj_t BgL_arg1861z00_1252;

										{	/* Ast/shrinkify.scm 39 */
											BgL_objectz00_bglt BgL_objectz00_2194;

											BgL_objectz00_2194 =
												((BgL_objectz00_bglt) BgL_variablez00_1246);
											{	/* Ast/shrinkify.scm 39 */
												long BgL_arg1806z00_2195;

												{	/* Ast/shrinkify.scm 39 */
													long BgL_arg1808z00_2196;

													{	/* Ast/shrinkify.scm 39 */
														long BgL_res2008z00_2198;

														BgL_res2008z00_2198 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2194);
														BgL_arg1808z00_2196 = BgL_res2008z00_2198;
													}
													BgL_arg1806z00_2195 =
														(BgL_arg1808z00_2196 - OBJECT_TYPE);
												}
												BgL_arg1861z00_1252 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1806z00_2195));
										}}
										BgL_arg1860z00_1251 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1861z00_1252);
									}
									{	/* Ast/shrinkify.scm 39 */
										long BgL_res2010z00_2205;

										BgL_res2010z00_2205 = BGL_CLASS_INDEX(BgL_arg1860z00_1251);
										BgL_arg1859z00_1250 = BgL_res2010z00_2205;
								}}
								{	/* Ast/shrinkify.scm 39 */
									BgL_objectz00_bglt BgL_objz00_2206;

									BgL_objz00_2206 = ((BgL_objectz00_bglt) BgL_variablez00_1246);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2206,
										BgL_arg1859z00_1250);
							}}
							{	/* Ast/shrinkify.scm 39 */
								BgL_objectz00_bglt BgL_auxz00_2717;

								BgL_auxz00_2717 = ((BgL_objectz00_bglt) BgL_variablez00_1246);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2717, BFALSE);
							}
							((obj_t) BgL_variablez00_1246);
						}
					else
						{	/* Ast/shrinkify.scm 38 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 40 */
					bool_t BgL_testz00_2721;

					{	/* Ast/shrinkify.scm 40 */
						bool_t BgL_testz00_2722;

						{	/* Ast/shrinkify.scm 40 */
							obj_t BgL_auxz00_2723;

							{	/* Ast/shrinkify.scm 40 */
								BgL_objectz00_bglt BgL_auxz00_2724;

								BgL_auxz00_2724 =
									((BgL_objectz00_bglt)
									(((BgL_variablez00_bglt) CREF(BgL_variablez00_1246))->
										BgL_valuez00));
								BgL_auxz00_2723 = BGL_OBJECT_WIDENING(BgL_auxz00_2724);
							}
							BgL_testz00_2722 = CBOOL(BgL_auxz00_2723);
						}
						if (BgL_testz00_2722)
							{	/* Ast/shrinkify.scm 40 */
								BgL_testz00_2721 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 40 */
								BgL_testz00_2721 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2721)
						{	/* Ast/shrinkify.scm 41 */
							BgL_valuez00_bglt BgL_o1096z00_1254;

							BgL_o1096z00_1254 =
								(((BgL_variablez00_bglt) CREF(BgL_variablez00_1246))->
								BgL_valuez00);
							{	/* Ast/shrinkify.scm 41 */
								long BgL_arg1863z00_1255;

								{	/* Ast/shrinkify.scm 41 */
									obj_t BgL_arg1864z00_1256;

									{	/* Ast/shrinkify.scm 41 */
										obj_t BgL_arg1866z00_1257;

										{	/* Ast/shrinkify.scm 41 */
											BgL_objectz00_bglt BgL_objectz00_2217;

											BgL_objectz00_2217 =
												((BgL_objectz00_bglt) BgL_o1096z00_1254);
											{	/* Ast/shrinkify.scm 41 */
												long BgL_arg1806z00_2218;

												{	/* Ast/shrinkify.scm 41 */
													long BgL_arg1808z00_2219;

													{	/* Ast/shrinkify.scm 41 */
														long BgL_res2014z00_2221;

														BgL_res2014z00_2221 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2217);
														BgL_arg1808z00_2219 = BgL_res2014z00_2221;
													}
													BgL_arg1806z00_2218 =
														(BgL_arg1808z00_2219 - OBJECT_TYPE);
												}
												BgL_arg1866z00_1257 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1806z00_2218));
										}}
										BgL_arg1864z00_1256 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1866z00_1257);
									}
									{	/* Ast/shrinkify.scm 41 */
										long BgL_res2016z00_2228;

										BgL_res2016z00_2228 = BGL_CLASS_INDEX(BgL_arg1864z00_1256);
										BgL_arg1863z00_1255 = BgL_res2016z00_2228;
								}}
								{	/* Ast/shrinkify.scm 41 */
									BgL_objectz00_bglt BgL_objz00_2229;

									BgL_objz00_2229 = ((BgL_objectz00_bglt) BgL_o1096z00_1254);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2229,
										BgL_arg1863z00_1255);
							}}
							{	/* Ast/shrinkify.scm 41 */
								BgL_objectz00_bglt BgL_auxz00_2739;

								BgL_auxz00_2739 = ((BgL_objectz00_bglt) BgL_o1096z00_1254);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2739, BFALSE);
							}
							return ((obj_t) BgL_o1096z00_1254);
						}
					else
						{	/* Ast/shrinkify.scm 40 */
							return BFALSE;
						}
				}
			}
		}
	}



/* shrink-variable! */
	obj_t BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(BgL_variablez00_bglt
		BgL_variablez00_4)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			{	/* Ast/shrinkify.scm 37 */
				obj_t BgL_method1793z00_1264;

				{	/* Ast/shrinkify.scm 37 */
					obj_t BgL_res2023z00_2259;

					{	/* Ast/shrinkify.scm 37 */
						BgL_objectz00_bglt BgL_objz00_2231;

						BgL_objz00_2231 = ((BgL_objectz00_bglt) BgL_variablez00_4);
						{	/* Ast/shrinkify.scm 37 */
							long BgL_objzd2classzd2numz00_2232;

							{	/* Ast/shrinkify.scm 37 */
								long BgL_res2017z00_2235;

								BgL_res2017z00_2235 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2231);
								BgL_objzd2classzd2numz00_2232 = BgL_res2017z00_2235;
							}
							{	/* Ast/shrinkify.scm 37 */
								obj_t BgL_arg1803z00_2233;

								BgL_arg1803z00_2233 =
									PROCEDURE_REF
									(BGl_shrinkzd2variablez12zd2envz12zzast_shrinkifyz00,
									(int) (((long) 1)));
								{	/* Ast/shrinkify.scm 37 */
									obj_t BgL_arrayz00_2236;
									int BgL_offsetz00_2237;

									BgL_arrayz00_2236 = BgL_arg1803z00_2233;
									BgL_offsetz00_2237 = (int) (BgL_objzd2classzd2numz00_2232);
									{	/* Ast/shrinkify.scm 37 */
										long BgL_offsetz00_2238;

										BgL_offsetz00_2238 =
											((long) (BgL_offsetz00_2237) - OBJECT_TYPE);
										{	/* Ast/shrinkify.scm 37 */
											long BgL_modz00_2239;

											{	/* Ast/shrinkify.scm 37 */
												int BgL_arg1805z00_2240;

												BgL_arg1805z00_2240 = (int) (((long) 16));
												{	/* Ast/shrinkify.scm 37 */
													long BgL_res2020z00_2250;

													{	/* Ast/shrinkify.scm 37 */
														long BgL_auxz00_2752;

														BgL_auxz00_2752 = (long) (BgL_arg1805z00_2240);
														BgL_res2020z00_2250 =
															(BgL_offsetz00_2238 / BgL_auxz00_2752);
													}
													BgL_modz00_2239 = BgL_res2020z00_2250;
											}}
											{	/* Ast/shrinkify.scm 37 */
												long BgL_restz00_2241;

												{	/* Ast/shrinkify.scm 37 */
													int BgL_arg1804z00_2242;

													BgL_arg1804z00_2242 = (int) (((long) 16));
													{	/* Ast/shrinkify.scm 37 */
														long BgL_res2022z00_2254;

														{	/* Ast/shrinkify.scm 37 */
															long BgL_auxz00_2756;

															BgL_auxz00_2756 = (long) (BgL_arg1804z00_2242);
															BgL_res2022z00_2254 =
																(BgL_offsetz00_2238 % BgL_auxz00_2756);
														}
														BgL_restz00_2241 = BgL_res2022z00_2254;
												}}
												{	/* Ast/shrinkify.scm 37 */

													BgL_res2023z00_2259 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2236,
															(int) (BgL_modz00_2239)),
														(int) (BgL_restz00_2241));
					}}}}}}}}
					BgL_method1793z00_1264 = BgL_res2023z00_2259;
				}
				return
					PROCEDURE_ENTRY(BgL_method1793z00_1264) (BgL_method1793z00_1264,
					((obj_t) BgL_variablez00_4), BEOA);
			}
		}
	}



/* &shrink-variable! */
	obj_t BGl_z62shrinkzd2variablez12za2zzast_shrinkifyz00(obj_t BgL_envz00_2548,
		obj_t BgL_variablez00_2549)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 37 */
			return
				BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
				((BgL_variablez00_bglt) BgL_variablez00_2549));
		}
	}



/* shrink-node! */
	obj_t BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			{	/* Ast/shrinkify.scm 46 */
				obj_t BgL_method1795z00_1265;

				{	/* Ast/shrinkify.scm 46 */
					obj_t BgL_res2030z00_2288;

					{	/* Ast/shrinkify.scm 46 */
						BgL_objectz00_bglt BgL_objz00_2260;

						BgL_objz00_2260 = ((BgL_objectz00_bglt) BgL_nodez00_5);
						{	/* Ast/shrinkify.scm 46 */
							long BgL_objzd2classzd2numz00_2261;

							{	/* Ast/shrinkify.scm 46 */
								long BgL_res2024z00_2264;

								BgL_res2024z00_2264 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2260);
								BgL_objzd2classzd2numz00_2261 = BgL_res2024z00_2264;
							}
							{	/* Ast/shrinkify.scm 46 */
								obj_t BgL_arg1803z00_2262;

								BgL_arg1803z00_2262 =
									PROCEDURE_REF(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
									(int) (((long) 1)));
								{	/* Ast/shrinkify.scm 46 */
									obj_t BgL_arrayz00_2265;
									int BgL_offsetz00_2266;

									BgL_arrayz00_2265 = BgL_arg1803z00_2262;
									BgL_offsetz00_2266 = (int) (BgL_objzd2classzd2numz00_2261);
									{	/* Ast/shrinkify.scm 46 */
										long BgL_offsetz00_2267;

										BgL_offsetz00_2267 =
											((long) (BgL_offsetz00_2266) - OBJECT_TYPE);
										{	/* Ast/shrinkify.scm 46 */
											long BgL_modz00_2268;

											{	/* Ast/shrinkify.scm 46 */
												int BgL_arg1805z00_2269;

												BgL_arg1805z00_2269 = (int) (((long) 16));
												{	/* Ast/shrinkify.scm 46 */
													long BgL_res2027z00_2279;

													{	/* Ast/shrinkify.scm 46 */
														long BgL_auxz00_2778;

														BgL_auxz00_2778 = (long) (BgL_arg1805z00_2269);
														BgL_res2027z00_2279 =
															(BgL_offsetz00_2267 / BgL_auxz00_2778);
													}
													BgL_modz00_2268 = BgL_res2027z00_2279;
											}}
											{	/* Ast/shrinkify.scm 46 */
												long BgL_restz00_2270;

												{	/* Ast/shrinkify.scm 46 */
													int BgL_arg1804z00_2271;

													BgL_arg1804z00_2271 = (int) (((long) 16));
													{	/* Ast/shrinkify.scm 46 */
														long BgL_res2029z00_2283;

														{	/* Ast/shrinkify.scm 46 */
															long BgL_auxz00_2782;

															BgL_auxz00_2782 = (long) (BgL_arg1804z00_2271);
															BgL_res2029z00_2283 =
																(BgL_offsetz00_2267 % BgL_auxz00_2782);
														}
														BgL_restz00_2270 = BgL_res2029z00_2283;
												}}
												{	/* Ast/shrinkify.scm 46 */

													BgL_res2030z00_2288 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2265,
															(int) (BgL_modz00_2268)),
														(int) (BgL_restz00_2270));
					}}}}}}}}
					BgL_method1795z00_1265 = BgL_res2030z00_2288;
				}
				{	/* Ast/shrinkify.scm 46 */
					obj_t BgL_xz00_2621;

					BgL_xz00_2621 =
						PROCEDURE_ENTRY(BgL_method1795z00_1265) (BgL_method1795z00_1265,
						((obj_t) BgL_nodez00_5), BEOA);
					return BUNSPEC;
				}
			}
		}
	}



/* &shrink-node! */
	obj_t BGl_z62shrinkzd2nodez12za2zzast_shrinkifyz00(obj_t BgL_envz00_2556,
		obj_t BgL_nodez00_2557)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 46 */
			return
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
				((BgL_nodez00_bglt) BgL_nodez00_2557));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_atomz00zzast_nodez00, BGl_proc2092z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_varz00zzast_nodez00, BGl_proc2094z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_kwotez00zzast_nodez00, BGl_proc2095z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2096z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_syncz00zzast_nodez00, BGl_proc2097z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appz00zzast_nodez00, BGl_proc2098z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2099z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2100z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_externz00zzast_nodez00, BGl_proc2101z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_castz00zzast_nodez00, BGl_proc2102z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setqz00zzast_nodez00, BGl_proc2103z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2104z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_failz00zzast_nodez00, BGl_proc2105z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_selectz00zzast_nodez00, BGl_proc2106z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2107z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2108z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2109z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2110z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2111z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2112z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_shrinkzd2nodez12zd2envz12zzast_shrinkifyz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2113z00zzast_shrinkifyz00,
				BGl_string2093z00zzast_shrinkifyz00);
		}
	}



/* &shrink-node!-jump-ex1837 */
	obj_t BGl_z62shrinkzd2nodez12zd2jumpzd2ex1837za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2579, obj_t BgL_nodez00_2580)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 222 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1449;

				BgL_nodez00_1449 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2580);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1449))->BgL_exitz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1449))->
						BgL_valuez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-set-ex-1835 */
	obj_t BGl_z62shrinkzd2nodez12zd2setzd2exzd21835z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2581, obj_t BgL_nodez00_2582)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 213 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1442;

				BgL_nodez00_1442 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2582);
				{	/* Ast/shrinkify.scm 215 */
					BgL_varz00_bglt BgL_arg1944z00_1446;

					BgL_arg1944z00_1446 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1442))->BgL_varz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg1944z00_1446));
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1442))->BgL_bodyz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-let-var1833 */
	obj_t BGl_z62shrinkzd2nodez12zd2letzd2var1833za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2583, obj_t BgL_nodez00_2584)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 201 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1426;

				BgL_nodez00_1426 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2584);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1426))->BgL_bodyz00));
				{	/* Ast/shrinkify.scm 204 */
					obj_t BgL_g1789z00_1431;

					BgL_g1789z00_1431 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1426))->BgL_bindingsz00);
					{
						obj_t BgL_l1787z00_1433;

						BgL_l1787z00_1433 = BgL_g1789z00_1431;
					BgL_zc3anonymousza31939ze3z83_1434:
						if (PAIRP(BgL_l1787z00_1433))
							{	/* Ast/shrinkify.scm 204 */
								{	/* Ast/shrinkify.scm 205 */
									obj_t BgL_bindingz00_1436;

									BgL_bindingz00_1436 = CAR(BgL_l1787z00_1433);
									{	/* Ast/shrinkify.scm 205 */
										obj_t BgL_arg1941z00_1437;

										BgL_arg1941z00_1437 = CAR(BgL_bindingz00_1436);
										BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
											((BgL_variablez00_bglt) BgL_arg1941z00_1437));
									}
									{	/* Ast/shrinkify.scm 206 */
										obj_t BgL_arg1942z00_1438;

										BgL_arg1942z00_1438 = CDR(BgL_bindingz00_1436);
										BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
											((BgL_nodez00_bglt) BgL_arg1942z00_1438));
									}
								}
								{
									obj_t BgL_l1787z00_2840;

									BgL_l1787z00_2840 = CDR(BgL_l1787z00_1433);
									BgL_l1787z00_1433 = BgL_l1787z00_2840;
									goto BgL_zc3anonymousza31939ze3z83_1434;
								}
							}
						else
							{	/* Ast/shrinkify.scm 204 */
								((bool_t) 1);
							}
					}
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-let-fun1831 */
	obj_t BGl_z62shrinkzd2nodez12zd2letzd2fun1831za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2585, obj_t BgL_nodez00_2586)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 187 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1402;

				BgL_nodez00_1402 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2586);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1402))->BgL_bodyz00));
				{	/* Ast/shrinkify.scm 190 */
					obj_t BgL_g1786z00_1407;

					BgL_g1786z00_1407 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1402))->BgL_localsz00);
					{
						obj_t BgL_l1784z00_1409;

						BgL_l1784z00_1409 = BgL_g1786z00_1407;
					BgL_zc3anonymousza31929ze3z83_1410:
						if (PAIRP(BgL_l1784z00_1409))
							{	/* Ast/shrinkify.scm 190 */
								{	/* Ast/shrinkify.scm 191 */
									obj_t BgL_localz00_1412;

									BgL_localz00_1412 = CAR(BgL_l1784z00_1409);
									{	/* Ast/shrinkify.scm 191 */
										BgL_valuez00_bglt BgL_sfunz00_1413;

										BgL_sfunz00_1413 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_localz00_1412))))->
											BgL_valuez00);
										BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00((
												(BgL_variablez00_bglt) BgL_localz00_1412));
										{	/* Ast/shrinkify.scm 193 */
											obj_t BgL_g1783z00_1414;

											BgL_g1783z00_1414 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_sfunz00_1413)))->
												BgL_argsz00);
											{
												obj_t BgL_l1781z00_1416;

												BgL_l1781z00_1416 = BgL_g1783z00_1414;
											BgL_zc3anonymousza31931ze3z83_1417:
												if (PAIRP(BgL_l1781z00_1416))
													{	/* Ast/shrinkify.scm 193 */
														{	/* Ast/shrinkify.scm 193 */
															obj_t BgL_arg1933z00_1419;

															BgL_arg1933z00_1419 = CAR(BgL_l1781z00_1416);
															BGl_shrinkzd2variablez12zc0zzast_shrinkifyz00(
																((BgL_variablez00_bglt) BgL_arg1933z00_1419));
														}
														{
															obj_t BgL_l1781z00_2861;

															BgL_l1781z00_2861 = CDR(BgL_l1781z00_1416);
															BgL_l1781z00_1416 = BgL_l1781z00_2861;
															goto BgL_zc3anonymousza31931ze3z83_1417;
														}
													}
												else
													{	/* Ast/shrinkify.scm 193 */
														((bool_t) 1);
													}
											}
										}
										{	/* Ast/shrinkify.scm 194 */
											obj_t BgL_arg1936z00_1422;

											BgL_arg1936z00_1422 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_sfunz00_1413)))->
												BgL_bodyz00);
											BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00((
													(BgL_nodez00_bglt) BgL_arg1936z00_1422));
										}
									}
								}
								{
									obj_t BgL_l1784z00_2867;

									BgL_l1784z00_2867 = CDR(BgL_l1784z00_1409);
									BgL_l1784z00_1409 = BgL_l1784z00_2867;
									goto BgL_zc3anonymousza31929ze3z83_1410;
								}
							}
						else
							{	/* Ast/shrinkify.scm 190 */
								((bool_t) 1);
							}
					}
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-box-set1829 */
	obj_t BGl_z62shrinkzd2nodez12zd2boxzd2set1829za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2587, obj_t BgL_nodez00_2588)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 178 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1391;

				BgL_nodez00_1391 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2588);
				{	/* Ast/shrinkify.scm 179 */
					bool_t BgL_testz00_2870;

					{	/* Ast/shrinkify.scm 179 */
						bool_t BgL_testz00_2871;

						{	/* Ast/shrinkify.scm 179 */
							obj_t BgL_auxz00_2872;

							{	/* Ast/shrinkify.scm 179 */
								BgL_objectz00_bglt BgL_auxz00_2873;

								BgL_auxz00_2873 = ((BgL_objectz00_bglt) BgL_nodez00_1391);
								BgL_auxz00_2872 = BGL_OBJECT_WIDENING(BgL_auxz00_2873);
							}
							BgL_testz00_2871 = CBOOL(BgL_auxz00_2872);
						}
						if (BgL_testz00_2871)
							{	/* Ast/shrinkify.scm 179 */
								BgL_testz00_2870 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 179 */
								BgL_testz00_2870 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2870)
						{	/* Ast/shrinkify.scm 179 */
							{	/* Ast/shrinkify.scm 179 */
								long BgL_arg1923z00_1396;

								{	/* Ast/shrinkify.scm 179 */
									obj_t BgL_arg1924z00_1397;

									{	/* Ast/shrinkify.scm 179 */
										obj_t BgL_arg1925z00_1398;

										{	/* Ast/shrinkify.scm 179 */
											BgL_objectz00_bglt BgL_objectz00_2467;

											BgL_objectz00_2467 =
												((BgL_objectz00_bglt) BgL_nodez00_1391);
											{	/* Ast/shrinkify.scm 179 */
												long BgL_arg1806z00_2468;

												{	/* Ast/shrinkify.scm 179 */
													long BgL_arg1808z00_2469;

													{	/* Ast/shrinkify.scm 179 */
														long BgL_res2076z00_2471;

														BgL_res2076z00_2471 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2467);
														BgL_arg1808z00_2469 = BgL_res2076z00_2471;
													}
													BgL_arg1806z00_2468 =
														(BgL_arg1808z00_2469 - OBJECT_TYPE);
												}
												BgL_arg1925z00_1398 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1806z00_2468));
										}}
										BgL_arg1924z00_1397 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1925z00_1398);
									}
									{	/* Ast/shrinkify.scm 179 */
										long BgL_res2078z00_2478;

										BgL_res2078z00_2478 = BGL_CLASS_INDEX(BgL_arg1924z00_1397);
										BgL_arg1923z00_1396 = BgL_res2078z00_2478;
								}}
								{	/* Ast/shrinkify.scm 179 */
									BgL_objectz00_bglt BgL_objz00_2479;

									BgL_objz00_2479 = ((BgL_objectz00_bglt) BgL_nodez00_1391);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2479,
										BgL_arg1923z00_1396);
							}}
							{	/* Ast/shrinkify.scm 179 */
								BgL_objectz00_bglt BgL_auxz00_2886;

								BgL_auxz00_2886 = ((BgL_objectz00_bglt) BgL_nodez00_1391);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2886, BFALSE);
							}
							((obj_t) BgL_nodez00_1391);
						}
					else
						{	/* Ast/shrinkify.scm 179 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 180 */
					BgL_varz00_bglt BgL_arg1926z00_1399;

					BgL_arg1926z00_1399 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1391))->BgL_varz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg1926z00_1399));
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1391))->BgL_valuez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-box-ref1827 */
	obj_t BGl_z62shrinkzd2nodez12zd2boxzd2ref1827za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2589, obj_t BgL_nodez00_2590)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 170 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1381;

				BgL_nodez00_1381 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2590);
				{	/* Ast/shrinkify.scm 171 */
					bool_t BgL_testz00_2896;

					{	/* Ast/shrinkify.scm 171 */
						bool_t BgL_testz00_2897;

						{	/* Ast/shrinkify.scm 171 */
							obj_t BgL_auxz00_2898;

							{	/* Ast/shrinkify.scm 171 */
								BgL_objectz00_bglt BgL_auxz00_2899;

								BgL_auxz00_2899 = ((BgL_objectz00_bglt) BgL_nodez00_1381);
								BgL_auxz00_2898 = BGL_OBJECT_WIDENING(BgL_auxz00_2899);
							}
							BgL_testz00_2897 = CBOOL(BgL_auxz00_2898);
						}
						if (BgL_testz00_2897)
							{	/* Ast/shrinkify.scm 171 */
								BgL_testz00_2896 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 171 */
								BgL_testz00_2896 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2896)
						{	/* Ast/shrinkify.scm 171 */
							{	/* Ast/shrinkify.scm 171 */
								long BgL_arg1917z00_1386;

								{	/* Ast/shrinkify.scm 171 */
									obj_t BgL_arg1919z00_1387;

									{	/* Ast/shrinkify.scm 171 */
										obj_t BgL_arg1920z00_1388;

										{	/* Ast/shrinkify.scm 171 */
											BgL_objectz00_bglt BgL_objectz00_2447;

											BgL_objectz00_2447 =
												((BgL_objectz00_bglt) BgL_nodez00_1381);
											{	/* Ast/shrinkify.scm 171 */
												long BgL_arg1806z00_2448;

												{	/* Ast/shrinkify.scm 171 */
													long BgL_arg1808z00_2449;

													{	/* Ast/shrinkify.scm 171 */
														long BgL_res2071z00_2451;

														BgL_res2071z00_2451 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2447);
														BgL_arg1808z00_2449 = BgL_res2071z00_2451;
													}
													BgL_arg1806z00_2448 =
														(BgL_arg1808z00_2449 - OBJECT_TYPE);
												}
												BgL_arg1920z00_1388 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1806z00_2448));
										}}
										BgL_arg1919z00_1387 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1920z00_1388);
									}
									{	/* Ast/shrinkify.scm 171 */
										long BgL_res2073z00_2458;

										BgL_res2073z00_2458 = BGL_CLASS_INDEX(BgL_arg1919z00_1387);
										BgL_arg1917z00_1386 = BgL_res2073z00_2458;
								}}
								{	/* Ast/shrinkify.scm 171 */
									BgL_objectz00_bglt BgL_objz00_2459;

									BgL_objz00_2459 = ((BgL_objectz00_bglt) BgL_nodez00_1381);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2459,
										BgL_arg1917z00_1386);
							}}
							{	/* Ast/shrinkify.scm 171 */
								BgL_objectz00_bglt BgL_auxz00_2912;

								BgL_auxz00_2912 = ((BgL_objectz00_bglt) BgL_nodez00_1381);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2912, BFALSE);
							}
							((obj_t) BgL_nodez00_1381);
						}
					else
						{	/* Ast/shrinkify.scm 171 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 172 */
					BgL_varz00_bglt BgL_arg1921z00_1389;

					BgL_arg1921z00_1389 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1381))->BgL_varz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg1921z00_1389));
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-make-bo1825 */
	obj_t BGl_z62shrinkzd2nodez12zd2makezd2bo1825za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2591, obj_t BgL_nodez00_2592)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 162 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1371;

				BgL_nodez00_1371 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2592);
				{	/* Ast/shrinkify.scm 163 */
					bool_t BgL_testz00_2920;

					{	/* Ast/shrinkify.scm 163 */
						bool_t BgL_testz00_2921;

						{	/* Ast/shrinkify.scm 163 */
							obj_t BgL_auxz00_2922;

							{	/* Ast/shrinkify.scm 163 */
								BgL_objectz00_bglt BgL_auxz00_2923;

								BgL_auxz00_2923 = ((BgL_objectz00_bglt) BgL_nodez00_1371);
								BgL_auxz00_2922 = BGL_OBJECT_WIDENING(BgL_auxz00_2923);
							}
							BgL_testz00_2921 = CBOOL(BgL_auxz00_2922);
						}
						if (BgL_testz00_2921)
							{	/* Ast/shrinkify.scm 163 */
								BgL_testz00_2920 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 163 */
								BgL_testz00_2920 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2920)
						{	/* Ast/shrinkify.scm 163 */
							{	/* Ast/shrinkify.scm 163 */
								long BgL_arg1912z00_1376;

								{	/* Ast/shrinkify.scm 163 */
									obj_t BgL_arg1913z00_1377;

									{	/* Ast/shrinkify.scm 163 */
										obj_t BgL_arg1914z00_1378;

										{	/* Ast/shrinkify.scm 163 */
											BgL_objectz00_bglt BgL_objectz00_2427;

											BgL_objectz00_2427 =
												((BgL_objectz00_bglt) BgL_nodez00_1371);
											{	/* Ast/shrinkify.scm 163 */
												long BgL_arg1806z00_2428;

												{	/* Ast/shrinkify.scm 163 */
													long BgL_arg1808z00_2429;

													{	/* Ast/shrinkify.scm 163 */
														long BgL_res2066z00_2431;

														BgL_res2066z00_2431 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2427);
														BgL_arg1808z00_2429 = BgL_res2066z00_2431;
													}
													BgL_arg1806z00_2428 =
														(BgL_arg1808z00_2429 - OBJECT_TYPE);
												}
												BgL_arg1914z00_1378 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1806z00_2428));
										}}
										BgL_arg1913z00_1377 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1914z00_1378);
									}
									{	/* Ast/shrinkify.scm 163 */
										long BgL_res2068z00_2438;

										BgL_res2068z00_2438 = BGL_CLASS_INDEX(BgL_arg1913z00_1377);
										BgL_arg1912z00_1376 = BgL_res2068z00_2438;
								}}
								{	/* Ast/shrinkify.scm 163 */
									BgL_objectz00_bglt BgL_objz00_2439;

									BgL_objz00_2439 = ((BgL_objectz00_bglt) BgL_nodez00_1371);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2439,
										BgL_arg1912z00_1376);
							}}
							{	/* Ast/shrinkify.scm 163 */
								BgL_objectz00_bglt BgL_auxz00_2936;

								BgL_auxz00_2936 = ((BgL_objectz00_bglt) BgL_nodez00_1371);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2936, BFALSE);
							}
							((obj_t) BgL_nodez00_1371);
						}
					else
						{	/* Ast/shrinkify.scm 163 */
							BFALSE;
						}
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1371))->BgL_valuez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-select1823 */
	obj_t BGl_z62shrinkzd2nodez12zd2select1823z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2593, obj_t BgL_nodez00_2594)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 152 */
			{
				BgL_selectz00_bglt BgL_nodez00_1357;

				BgL_nodez00_1357 = ((BgL_selectz00_bglt) BgL_nodez00_2594);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_selectz00_bglt) CREF(BgL_nodez00_1357))->BgL_testz00));
				{	/* Ast/shrinkify.scm 154 */
					obj_t BgL_g1780z00_1361;

					BgL_g1780z00_1361 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1357))->BgL_clausesz00);
					{
						obj_t BgL_l1778z00_1363;

						BgL_l1778z00_1363 = BgL_g1780z00_1361;
					BgL_zc3anonymousza31906ze3z83_1364:
						if (PAIRP(BgL_l1778z00_1363))
							{	/* Ast/shrinkify.scm 156 */
								{	/* Ast/shrinkify.scm 155 */
									obj_t BgL_clausez00_1366;

									BgL_clausez00_1366 = CAR(BgL_l1778z00_1363);
									{	/* Ast/shrinkify.scm 155 */
										obj_t BgL_arg1908z00_1367;

										BgL_arg1908z00_1367 = CDR(BgL_clausez00_1366);
										BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
											((BgL_nodez00_bglt) BgL_arg1908z00_1367));
									}
								}
								{
									obj_t BgL_l1778z00_2952;

									BgL_l1778z00_2952 = CDR(BgL_l1778z00_1363);
									BgL_l1778z00_1363 = BgL_l1778z00_2952;
									goto BgL_zc3anonymousza31906ze3z83_1364;
								}
							}
						else
							{	/* Ast/shrinkify.scm 156 */
								((bool_t) 1);
							}
					}
				}
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-fail1821 */
	obj_t BGl_z62shrinkzd2nodez12zd2fail1821z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2595, obj_t BgL_nodez00_2596)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 143 */
			{
				BgL_failz00_bglt BgL_nodez00_1350;

				BgL_nodez00_1350 = ((BgL_failz00_bglt) BgL_nodez00_2596);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1350))->BgL_procz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1350))->BgL_msgz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1350))->BgL_objz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-conditi1819 */
	obj_t BGl_z62shrinkzd2nodez12zd2conditi1819z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2597, obj_t BgL_nodez00_2598)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 134 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1343;

				BgL_nodez00_1343 = ((BgL_conditionalz00_bglt) BgL_nodez00_2598);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1343))->BgL_testz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1343))->BgL_truez00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1343))->BgL_falsez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-setq1817 */
	obj_t BGl_z62shrinkzd2nodez12zd2setq1817z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2599, obj_t BgL_nodez00_2600)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 127 */
			{
				BgL_setqz00_bglt BgL_nodez00_1338;

				BgL_nodez00_1338 = ((BgL_setqz00_bglt) BgL_nodez00_2600);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_1338))->BgL_valuez00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-cast1815 */
	obj_t BGl_z62shrinkzd2nodez12zd2cast1815z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2601, obj_t BgL_nodez00_2602)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 120 */
			{
				BgL_castz00_bglt BgL_nodez00_1333;

				BgL_nodez00_1333 = ((BgL_castz00_bglt) BgL_nodez00_2602);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1333))->BgL_argz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-extern1813 */
	obj_t BGl_z62shrinkzd2nodez12zd2extern1813z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2603, obj_t BgL_nodez00_2604)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 112 */
			{
				BgL_externz00_bglt BgL_nodez00_1323;

				BgL_nodez00_1323 = ((BgL_externz00_bglt) BgL_nodez00_2604);
				{	/* Ast/shrinkify.scm 113 */
					bool_t BgL_testz00_2975;

					{	/* Ast/shrinkify.scm 113 */
						bool_t BgL_testz00_2976;

						{	/* Ast/shrinkify.scm 113 */
							obj_t BgL_auxz00_2977;

							{	/* Ast/shrinkify.scm 113 */
								BgL_objectz00_bglt BgL_auxz00_2978;

								BgL_auxz00_2978 = ((BgL_objectz00_bglt) BgL_nodez00_1323);
								BgL_auxz00_2977 = BGL_OBJECT_WIDENING(BgL_auxz00_2978);
							}
							BgL_testz00_2976 = CBOOL(BgL_auxz00_2977);
						}
						if (BgL_testz00_2976)
							{	/* Ast/shrinkify.scm 113 */
								BgL_testz00_2975 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 113 */
								BgL_testz00_2975 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2975)
						{	/* Ast/shrinkify.scm 113 */
							{	/* Ast/shrinkify.scm 113 */
								long BgL_arg1893z00_1328;

								{	/* Ast/shrinkify.scm 113 */
									obj_t BgL_arg1894z00_1329;

									{	/* Ast/shrinkify.scm 113 */
										obj_t BgL_arg1895z00_1330;

										{	/* Ast/shrinkify.scm 113 */
											BgL_objectz00_bglt BgL_objectz00_2371;

											BgL_objectz00_2371 =
												((BgL_objectz00_bglt) BgL_nodez00_1323);
											{	/* Ast/shrinkify.scm 113 */
												long BgL_arg1806z00_2372;

												{	/* Ast/shrinkify.scm 113 */
													long BgL_arg1808z00_2373;

													{	/* Ast/shrinkify.scm 113 */
														long BgL_res2051z00_2375;

														BgL_res2051z00_2375 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2371);
														BgL_arg1808z00_2373 = BgL_res2051z00_2375;
													}
													BgL_arg1806z00_2372 =
														(BgL_arg1808z00_2373 - OBJECT_TYPE);
												}
												BgL_arg1895z00_1330 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1806z00_2372));
										}}
										BgL_arg1894z00_1329 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1895z00_1330);
									}
									{	/* Ast/shrinkify.scm 113 */
										long BgL_res2053z00_2382;

										BgL_res2053z00_2382 = BGL_CLASS_INDEX(BgL_arg1894z00_1329);
										BgL_arg1893z00_1328 = BgL_res2053z00_2382;
								}}
								{	/* Ast/shrinkify.scm 113 */
									BgL_objectz00_bglt BgL_objz00_2383;

									BgL_objz00_2383 = ((BgL_objectz00_bglt) BgL_nodez00_1323);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2383,
										BgL_arg1893z00_1328);
							}}
							{	/* Ast/shrinkify.scm 113 */
								BgL_objectz00_bglt BgL_auxz00_2991;

								BgL_auxz00_2991 = ((BgL_objectz00_bglt) BgL_nodez00_1323);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_2991, BFALSE);
							}
							((obj_t) BgL_nodez00_1323);
						}
					else
						{	/* Ast/shrinkify.scm 113 */
							BFALSE;
						}
				}
				BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1323))->BgL_exprza2za2));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-funcall1811 */
	obj_t BGl_z62shrinkzd2nodez12zd2funcall1811z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2605, obj_t BgL_nodez00_2606)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 103 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1312;

				BgL_nodez00_1312 = ((BgL_funcallz00_bglt) BgL_nodez00_2606);
				{	/* Ast/shrinkify.scm 104 */
					bool_t BgL_testz00_2998;

					{	/* Ast/shrinkify.scm 104 */
						bool_t BgL_testz00_2999;

						{	/* Ast/shrinkify.scm 104 */
							obj_t BgL_auxz00_3000;

							{	/* Ast/shrinkify.scm 104 */
								BgL_objectz00_bglt BgL_auxz00_3001;

								BgL_auxz00_3001 = ((BgL_objectz00_bglt) BgL_nodez00_1312);
								BgL_auxz00_3000 = BGL_OBJECT_WIDENING(BgL_auxz00_3001);
							}
							BgL_testz00_2999 = CBOOL(BgL_auxz00_3000);
						}
						if (BgL_testz00_2999)
							{	/* Ast/shrinkify.scm 104 */
								BgL_testz00_2998 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 104 */
								BgL_testz00_2998 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_2998)
						{	/* Ast/shrinkify.scm 104 */
							{	/* Ast/shrinkify.scm 104 */
								long BgL_arg1886z00_1317;

								{	/* Ast/shrinkify.scm 104 */
									obj_t BgL_arg1888z00_1318;

									{	/* Ast/shrinkify.scm 104 */
										obj_t BgL_arg1889z00_1319;

										{	/* Ast/shrinkify.scm 104 */
											BgL_objectz00_bglt BgL_objectz00_2349;

											BgL_objectz00_2349 =
												((BgL_objectz00_bglt) BgL_nodez00_1312);
											{	/* Ast/shrinkify.scm 104 */
												long BgL_arg1806z00_2350;

												{	/* Ast/shrinkify.scm 104 */
													long BgL_arg1808z00_2351;

													{	/* Ast/shrinkify.scm 104 */
														long BgL_res2046z00_2353;

														BgL_res2046z00_2353 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2349);
														BgL_arg1808z00_2351 = BgL_res2046z00_2353;
													}
													BgL_arg1806z00_2350 =
														(BgL_arg1808z00_2351 - OBJECT_TYPE);
												}
												BgL_arg1889z00_1319 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1806z00_2350));
										}}
										BgL_arg1888z00_1318 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1889z00_1319);
									}
									{	/* Ast/shrinkify.scm 104 */
										long BgL_res2048z00_2360;

										BgL_res2048z00_2360 = BGL_CLASS_INDEX(BgL_arg1888z00_1318);
										BgL_arg1886z00_1317 = BgL_res2048z00_2360;
								}}
								{	/* Ast/shrinkify.scm 104 */
									BgL_objectz00_bglt BgL_objz00_2361;

									BgL_objz00_2361 = ((BgL_objectz00_bglt) BgL_nodez00_1312);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2361,
										BgL_arg1886z00_1317);
							}}
							{	/* Ast/shrinkify.scm 104 */
								BgL_objectz00_bglt BgL_auxz00_3014;

								BgL_auxz00_3014 = ((BgL_objectz00_bglt) BgL_nodez00_1312);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3014, BFALSE);
							}
							((obj_t) BgL_nodez00_1312);
						}
					else
						{	/* Ast/shrinkify.scm 104 */
							BFALSE;
						}
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1312))->BgL_funz00));
				BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1312))->BgL_argsz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-app-ly1809 */
	obj_t BGl_z62shrinkzd2nodez12zd2appzd2ly1809za2zzast_shrinkifyz00(obj_t
		BgL_envz00_2607, obj_t BgL_nodez00_2608)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 94 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1301;

				BgL_nodez00_1301 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_2608);
				{	/* Ast/shrinkify.scm 95 */
					bool_t BgL_testz00_3023;

					{	/* Ast/shrinkify.scm 95 */
						bool_t BgL_testz00_3024;

						{	/* Ast/shrinkify.scm 95 */
							obj_t BgL_auxz00_3025;

							{	/* Ast/shrinkify.scm 95 */
								BgL_objectz00_bglt BgL_auxz00_3026;

								BgL_auxz00_3026 = ((BgL_objectz00_bglt) BgL_nodez00_1301);
								BgL_auxz00_3025 = BGL_OBJECT_WIDENING(BgL_auxz00_3026);
							}
							BgL_testz00_3024 = CBOOL(BgL_auxz00_3025);
						}
						if (BgL_testz00_3024)
							{	/* Ast/shrinkify.scm 95 */
								BgL_testz00_3023 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 95 */
								BgL_testz00_3023 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3023)
						{	/* Ast/shrinkify.scm 95 */
							{	/* Ast/shrinkify.scm 95 */
								long BgL_arg1880z00_1306;

								{	/* Ast/shrinkify.scm 95 */
									obj_t BgL_arg1881z00_1307;

									{	/* Ast/shrinkify.scm 95 */
										obj_t BgL_arg1882z00_1308;

										{	/* Ast/shrinkify.scm 95 */
											BgL_objectz00_bglt BgL_objectz00_2326;

											BgL_objectz00_2326 =
												((BgL_objectz00_bglt) BgL_nodez00_1301);
											{	/* Ast/shrinkify.scm 95 */
												long BgL_arg1806z00_2327;

												{	/* Ast/shrinkify.scm 95 */
													long BgL_arg1808z00_2328;

													{	/* Ast/shrinkify.scm 95 */
														long BgL_res2040z00_2330;

														BgL_res2040z00_2330 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2326);
														BgL_arg1808z00_2328 = BgL_res2040z00_2330;
													}
													BgL_arg1806z00_2327 =
														(BgL_arg1808z00_2328 - OBJECT_TYPE);
												}
												BgL_arg1882z00_1308 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1806z00_2327));
										}}
										BgL_arg1881z00_1307 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1882z00_1308);
									}
									{	/* Ast/shrinkify.scm 95 */
										long BgL_res2042z00_2337;

										BgL_res2042z00_2337 = BGL_CLASS_INDEX(BgL_arg1881z00_1307);
										BgL_arg1880z00_1306 = BgL_res2042z00_2337;
								}}
								{	/* Ast/shrinkify.scm 95 */
									BgL_objectz00_bglt BgL_objz00_2338;

									BgL_objz00_2338 = ((BgL_objectz00_bglt) BgL_nodez00_1301);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2338,
										BgL_arg1880z00_1306);
							}}
							{	/* Ast/shrinkify.scm 95 */
								BgL_objectz00_bglt BgL_auxz00_3039;

								BgL_auxz00_3039 = ((BgL_objectz00_bglt) BgL_nodez00_1301);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3039, BFALSE);
							}
							((obj_t) BgL_nodez00_1301);
						}
					else
						{	/* Ast/shrinkify.scm 95 */
							BFALSE;
						}
				}
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1301))->BgL_funz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1301))->BgL_argz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-app1807 */
	obj_t BGl_z62shrinkzd2nodez12zd2app1807z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2609, obj_t BgL_nodez00_2610)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 85 */
			{
				BgL_appz00_bglt BgL_nodez00_1290;

				BgL_nodez00_1290 = ((BgL_appz00_bglt) BgL_nodez00_2610);
				{	/* Ast/shrinkify.scm 86 */
					bool_t BgL_testz00_3048;

					{	/* Ast/shrinkify.scm 86 */
						bool_t BgL_testz00_3049;

						{	/* Ast/shrinkify.scm 86 */
							obj_t BgL_auxz00_3050;

							{	/* Ast/shrinkify.scm 86 */
								BgL_objectz00_bglt BgL_auxz00_3051;

								BgL_auxz00_3051 = ((BgL_objectz00_bglt) BgL_nodez00_1290);
								BgL_auxz00_3050 = BGL_OBJECT_WIDENING(BgL_auxz00_3051);
							}
							BgL_testz00_3049 = CBOOL(BgL_auxz00_3050);
						}
						if (BgL_testz00_3049)
							{	/* Ast/shrinkify.scm 86 */
								BgL_testz00_3048 = ((bool_t) 1);
							}
						else
							{	/* Ast/shrinkify.scm 86 */
								BgL_testz00_3048 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3048)
						{	/* Ast/shrinkify.scm 86 */
							{	/* Ast/shrinkify.scm 86 */
								long BgL_arg1874z00_1295;

								{	/* Ast/shrinkify.scm 86 */
									obj_t BgL_arg1875z00_1296;

									{	/* Ast/shrinkify.scm 86 */
										obj_t BgL_arg1876z00_1297;

										{	/* Ast/shrinkify.scm 86 */
											BgL_objectz00_bglt BgL_objectz00_2304;

											BgL_objectz00_2304 =
												((BgL_objectz00_bglt) BgL_nodez00_1290);
											{	/* Ast/shrinkify.scm 86 */
												long BgL_arg1806z00_2305;

												{	/* Ast/shrinkify.scm 86 */
													long BgL_arg1808z00_2306;

													{	/* Ast/shrinkify.scm 86 */
														long BgL_res2035z00_2308;

														BgL_res2035z00_2308 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2304);
														BgL_arg1808z00_2306 = BgL_res2035z00_2308;
													}
													BgL_arg1806z00_2305 =
														(BgL_arg1808z00_2306 - OBJECT_TYPE);
												}
												BgL_arg1876z00_1297 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1806z00_2305));
										}}
										BgL_arg1875z00_1296 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1876z00_1297);
									}
									{	/* Ast/shrinkify.scm 86 */
										long BgL_res2037z00_2315;

										BgL_res2037z00_2315 = BGL_CLASS_INDEX(BgL_arg1875z00_1296);
										BgL_arg1874z00_1295 = BgL_res2037z00_2315;
								}}
								{	/* Ast/shrinkify.scm 86 */
									BgL_objectz00_bglt BgL_objz00_2316;

									BgL_objz00_2316 = ((BgL_objectz00_bglt) BgL_nodez00_1290);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2316,
										BgL_arg1874z00_1295);
							}}
							{	/* Ast/shrinkify.scm 86 */
								BgL_objectz00_bglt BgL_auxz00_3064;

								BgL_auxz00_3064 = ((BgL_objectz00_bglt) BgL_nodez00_1290);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3064, BFALSE);
							}
							((obj_t) BgL_nodez00_1290);
						}
					else
						{	/* Ast/shrinkify.scm 86 */
							BFALSE;
						}
				}
				{	/* Ast/shrinkify.scm 87 */
					BgL_varz00_bglt BgL_arg1877z00_1298;

					BgL_arg1877z00_1298 =
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1290))->BgL_funz00);
					BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
						((BgL_nodez00_bglt) BgL_arg1877z00_1298));
				}
				BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1290))->BgL_argsz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-sync1805 */
	obj_t BGl_z62shrinkzd2nodez12zd2sync1805z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2611, obj_t BgL_nodez00_2612)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 76 */
			{
				BgL_syncz00_bglt BgL_nodez00_1283;

				BgL_nodez00_1283 = ((BgL_syncz00_bglt) BgL_nodez00_2612);
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1283))->BgL_mutexz00));
				BGl_shrinkzd2nodez12zc0zzast_shrinkifyz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1283))->BgL_prelockz00));
				BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1283))->BgL_nodesz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-sequenc1803 */
	obj_t BGl_z62shrinkzd2nodez12zd2sequenc1803z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2613, obj_t BgL_nodez00_2614)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 69 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1278;

				BgL_nodez00_1278 = ((BgL_sequencez00_bglt) BgL_nodez00_2614);
				BGl_shrinkzd2nodeza2z12z62zzast_shrinkifyz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1278))->BgL_nodesz00));
				return BUNSPEC;
			}
		}
	}



/* &shrink-node!-kwote1801 */
	obj_t BGl_z62shrinkzd2nodez12zd2kwote1801z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2615, obj_t BgL_nodez00_2616)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 63 */
			return BUNSPEC;
		}
	}



/* &shrink-node!-var1799 */
	obj_t BGl_z62shrinkzd2nodez12zd2var1799z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2617, obj_t BgL_nodez00_2618)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 57 */
			return BUNSPEC;
		}
	}



/* &shrink-node!-atom1797 */
	obj_t BGl_z62shrinkzd2nodez12zd2atom1797z70zzast_shrinkifyz00(obj_t
		BgL_envz00_2619, obj_t BgL_nodez00_2620)
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 51 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_shrinkifyz00()
	{
		AN_OBJECT;
		{	/* Ast/shrinkify.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2114z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2114z00zzast_shrinkifyz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2114z00zzast_shrinkifyz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2114z00zzast_shrinkifyz00));
		}
	}

#ifdef __cplusplus
}
#endif
