/*===========================================================================*/
/*   (Ast/venv.scm)                                                          */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/venv.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	static obj_t BGl_z62globalzd2bucketzd2positionz62zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t BGl_za2Genvza2z00zzast_envz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzast_envz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62unbindzd2globalz12za2zzast_envz00(obj_t, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzast_envz00();
	BGL_EXPORTED_DECL obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	static obj_t BGl_z62restorezd2valuezd2typesz12z70zzast_envz00(obj_t, obj_t);
	static obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt);
	static obj_t BGl_z62getzd2globalzf2modulez42zzast_envz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62alreadyzd2restoredzf3z43zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt,
		obj_t);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT int BGl_bigloozd2warningzd2zz__paramz00();
	static obj_t BGl_requirezd2initializa7ationz75zzast_envz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
	extern obj_t BGl_funz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	extern obj_t BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzast_envz00();
	static obj_t BGl_z62addzd2genvz12za2zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_bindzd2globalz12zc0zzast_envz00(obj_t, obj_t, obj_t, BgL_valuez00_bglt,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_envz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	static obj_t
		BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00(obj_t);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static obj_t BGl_z62zc3anonymousza32068ze3ze1zzast_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2globalzf2modulez42zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62forzd2eachzd2globalz12z70zzast_envz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62restorezd2globalz12za2zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	static obj_t BGl_z62initializa7ezd2Genvz12z05zzast_envz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t BGl_z62getzd2genvzb0zzast_envz00(obj_t);
	static BgL_globalz00_bglt BGl_z62bindzd2globalz12za2zzast_envz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BUNSPEC;
	static obj_t BGl_z62findzd2globalzb0zzast_envz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_envz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00();
	BGL_EXPORTED_DECL obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzast_envz00();
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121922z70zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121925z70zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121927z70zzast_envz00(obj_t,
		obj_t);
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_z62restorezd2valuezd2typesz121930z70zzast_envz00(obj_t,
		obj_t);
	static obj_t BGl_z62restorezd2valuezd2typesz121932z70zzast_envz00(obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
	BGL_IMPORT obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31938ze3ze1zzast_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2restoredza2z00zzast_envz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62setzd2genvz12za2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2genvzd2zzast_envz00();
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_warningzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt, obj_t);
	static obj_t __cnst[7];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2246z00zzast_envz00,
		BgL_bgl_za762za7c3anonymousza72269za7,
		BGl_z62zc3anonymousza31938ze3ze1zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2254z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2270z00,
		BGl_z62restorezd2valuezd2typesz121922z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2256z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2271z00,
		BGl_z62restorezd2valuezd2typesz121925z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2258z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2272z00,
		BGl_z62restorezd2valuezd2typesz121927z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2259z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2273z00,
		BGl_z62restorezd2valuezd2typesz121930z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2260z00zzast_envz00,
		BgL_bgl_za762restoreza7d2val2274z00,
		BGl_z62restorezd2valuezd2typesz121932z70zzast_envz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_setzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl_za762setza7d2genvza7122275za7, BGl_z62setzd2genvz12za2zzast_envz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzd2envz00zzast_envz00,
		BgL_bgl_za762findza7d2global2276z00, va_generic_entry,
		BGl_z62findzd2globalzb0zzast_envz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_unbindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762unbindza7d2glob2277z00,
		BGl_z62unbindzd2globalz12za2zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzd2bucketzd2positionzd2envzd2zzast_envz00,
		BgL_bgl_za762globalza7d2buck2278z00,
		BGl_z62globalzd2bucketzd2positionz62zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl_za762getza7d2globalza72279za7,
		BGl_z62getzd2globalzf2modulez42zzast_envz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2genvzd2envz00zzast_envz00,
		BgL_bgl_za762getza7d2genvza7b02280za7, BGl_z62getzd2genvzb0zzast_envz00, 0L,
		BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_alreadyzd2restoredzf3zd2envzf3zzast_envz00,
		BgL_bgl_za762alreadyza7d2res2281z00,
		BGl_z62alreadyzd2restoredzf3z43zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_additionalzd2heapzd2restorezd2globalsz12zd2envz12zzast_envz00,
		BgL_bgl_za762additionalza7d22282z00,
		BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00, 0L, BUNSPEC,
		0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2genvz12zd2envz12zzast_envz00,
		BgL_bgl_za762addza7d2genvza7122283za7, BGl_z62addzd2genvz12za2zzast_envz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2247z00zzast_envz00,
		BgL_bgl_string2247za700za7za7a2284za7, "~a::~a", 6);
	      DEFINE_STRING(BGl_string2248z00zzast_envz00,
		BgL_bgl_string2248za700za7za7a2285za7, "Cannot find global variable", 27);
	      DEFINE_STRING(BGl_string2249z00zzast_envz00,
		BgL_bgl_string2249za700za7za7a2286za7, "Variable overridden by", 22);
	      DEFINE_STRING(BGl_string2250z00zzast_envz00,
		BgL_bgl_string2250za700za7za7a2287za7, "Duplicate definition", 20);
	      DEFINE_STRING(BGl_string2251z00zzast_envz00,
		BgL_bgl_string2251za700za7za7a2288za7, "eval", 4);
	      DEFINE_STRING(BGl_string2252z00zzast_envz00,
		BgL_bgl_string2252za700za7za7a2289za7, "unbind-global!", 14);
	      DEFINE_STRING(BGl_string2253z00zzast_envz00,
		BgL_bgl_string2253za700za7za7a2290za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string2255z00zzast_envz00,
		BgL_bgl_string2255za700za7za7a2291za7, "restore-value-types!1922", 24);
	      DEFINE_STRING(BGl_string2257z00zzast_envz00,
		BgL_bgl_string2257za700za7za7a2292za7, "restore-value-types!", 20);
	      DEFINE_STRING(BGl_string2261z00zzast_envz00,
		BgL_bgl_string2261za700za7za7a2293za7, "restore-value-types(sfun)", 25);
	      DEFINE_STRING(BGl_string2262z00zzast_envz00,
		BgL_bgl_string2262za700za7za7a2294za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2263z00zzast_envz00,
		BgL_bgl_string2263za700za7za7a2295za7, "restore-value-types", 19);
	      DEFINE_STRING(BGl_string2264z00zzast_envz00,
		BgL_bgl_string2264za700za7za7a2296za7, "Illegal non pair argument", 25);
	      DEFINE_STRING(BGl_string2265z00zzast_envz00,
		BgL_bgl_string2265za700za7za7a2297za7, "ast_env", 7);
	      DEFINE_STRING(BGl_string2266z00zzast_envz00,
		BgL_bgl_string2266za700za7za7a2298za7,
		"eval now read @ get-global/module foreign the-global-environment ", 65);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2globalzf2modulezd2envzf2zzast_envz00,
		BgL_bgl_za762findza7d2global2299z00,
		BGl_z62findzd2globalzf2modulez42zzast_envz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_initializa7ezd2Genvz12zd2envzb5zzast_envz00,
		BgL_bgl_za762initializa7a7eza72300za7,
		BGl_z62initializa7ezd2Genvz12z05zzast_envz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
		BgL_bgl_za762restoreza7d2val2301z00,
		BGl_z62restorezd2valuezd2typesz12z70zzast_envz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_forzd2eachzd2globalz12zd2envzc0zzast_envz00,
		BgL_bgl_za762forza7d2eachza7d22302za7, va_generic_entry,
		BGl_z62forzd2eachzd2globalz12z70zzast_envz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_bindzd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762bindza7d2global2303z00, BGl_z62bindzd2globalz12za2zzast_envz00,
		0L, BUNSPEC, 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_restorezd2globalz12zd2envz12zzast_envz00,
		BgL_bgl_za762restoreza7d2glo2304z00,
		BGl_z62restorezd2globalz12za2zzast_envz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long
		BgL_checksumz00_2849, char *BgL_fromz00_2850)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_envz00))
				{
					BGl_requirezd2initializa7ationz75zzast_envz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_envz00();
					BGl_cnstzd2initzd2zzast_envz00();
					BGl_importedzd2moduleszd2initz00zzast_envz00();
					BGl_genericzd2initzd2zzast_envz00();
					BGl_methodzd2initzd2zzast_envz00();
					BGl_toplevelzd2initzd2zzast_envz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_env");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_env");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			{	/* Ast/venv.scm 14 */
				obj_t BgL_cportz00_2840;

				BgL_cportz00_2840 =
					bgl_open_input_string(BGl_string2266z00zzast_envz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2841;

					BgL_iz00_2841 = ((long) 6);
				BgL_loopz00_2842:
					if ((BgL_iz00_2841 == ((long) -1)))
						{	/* Ast/venv.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/venv.scm 14 */
							{	/* Ast/venv.scm 14 */
								obj_t BgL_arg2268z00_2844;

								{	/* Ast/venv.scm 14 */

									{	/* Ast/venv.scm 14 */
										obj_t BgL_locationz00_2846;

										BgL_locationz00_2846 = BBOOL(((bool_t) 0));
										{	/* Ast/venv.scm 14 */

											BgL_arg2268z00_2844 =
												BGl_readz00zz__readerz00(BgL_cportz00_2840,
												BgL_locationz00_2846);
										}
									}
								}
								{	/* Ast/venv.scm 14 */
									int BgL_auxz00_2875;

									BgL_auxz00_2875 = (int) (BgL_iz00_2841);
									CNST_TABLE_SET(BgL_auxz00_2875, BgL_arg2268z00_2844);
							}}
							{	/* Ast/venv.scm 14 */
								int BgL_auxz00_2847;

								BgL_auxz00_2847 = (int) ((BgL_iz00_2841 - ((long) 1)));
								{
									long BgL_iz00_2880;

									BgL_iz00_2880 = (long) (BgL_auxz00_2847);
									BgL_iz00_2841 = BgL_iz00_2880;
									goto BgL_loopz00_2842;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_za2Genvza2z00zzast_envz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BNIL;
			BGl_za2restoredza2z00zzast_envz00 = BNIL;
			return BUNSPEC;
		}
	}



/* set-genv! */
	BGL_EXPORTED_DEF obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_3)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 54 */
			return (BGl_za2Genvza2z00zzast_envz00 = BgL_genvz00_3, BUNSPEC);
		}
	}



/* &set-genv! */
	obj_t BGl_z62setzd2genvz12za2zzast_envz00(obj_t BgL_envz00_2778,
		obj_t BgL_genvz00_2779)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 54 */
			return BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_2779);
		}
	}



/* add-genv! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_4)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 63 */
			BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_4,
				BGl_proc2246z00zzast_envz00);
			return (BGl_za2restoredza2z00zzast_envz00 = BNIL, BUNSPEC);
		}
	}



/* &add-genv! */
	obj_t BGl_z62addzd2genvz12za2zzast_envz00(obj_t BgL_envz00_2781,
		obj_t BgL_genvz00_2782)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 63 */
			return BGl_addzd2genvz12zc0zzast_envz00(BgL_genvz00_2782);
		}
	}



/* &<anonymous:1938> */
	obj_t BGl_z62zc3anonymousza31938ze3ze1zzast_envz00(obj_t BgL_envz00_2783,
		obj_t BgL_kz00_2784, obj_t BgL_bucketz00_2785)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 66 */
			{
				obj_t BgL_kz00_1399;
				obj_t BgL_bucketz00_1400;

				{	/* Ast/venv.scm 67 */
					bool_t BgL_auxz00_2886;

					BgL_kz00_1399 = BgL_kz00_2784;
					BgL_bucketz00_1400 = BgL_bucketz00_2785;
					{	/* Ast/venv.scm 67 */
						obj_t BgL_g1916z00_1402;

						BgL_g1916z00_1402 = CDR(BgL_bucketz00_1400);
						{
							obj_t BgL_l1881z00_1404;

							BgL_l1881z00_1404 = BgL_g1916z00_1402;
						BgL_zc3anonymousza31939ze3z83_1405:
							if (PAIRP(BgL_l1881z00_1404))
								{	/* Ast/venv.scm 87 */
									{	/* Ast/venv.scm 68 */
										obj_t BgL_newz00_1407;

										BgL_newz00_1407 = CAR(BgL_l1881z00_1404);
										BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 =
											MAKE_PAIR(BgL_newz00_1407,
											BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00);
										{	/* Ast/venv.scm 69 */
											obj_t BgL_modulez00_1408;

											BgL_modulez00_1408 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_newz00_1407)))->
												BgL_modulez00);
											{	/* Ast/venv.scm 69 */
												obj_t BgL_idz00_1409;

												BgL_idz00_1409 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_newz00_1407))))->
													BgL_idz00);
												{	/* Ast/venv.scm 70 */
													obj_t BgL_bucketz00_1410;

													BgL_bucketz00_1410 =
														BGl_hashtablezd2getzd2zz__hashz00
														(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_1409);
													{	/* Ast/venv.scm 71 */

														if (PAIRP(BgL_bucketz00_1410))
															{	/* Ast/venv.scm 75 */
																bool_t BgL_testz00_2900;

																if (
																	(BgL_modulez00_1408 ==
																		BGl_za2moduleza2z00zzmodule_modulez00))
																	{	/* Ast/venv.scm 75 */
																		BgL_testz00_2900 = ((bool_t) 1);
																	}
																else
																	{	/* Ast/venv.scm 76 */
																		bool_t BgL_testz00_2903;

																		{	/* Ast/venv.scm 77 */
																			obj_t BgL_arg1949z00_1420;

																			{
																				BgL_globalz00_bglt BgL_auxz00_2904;

																				{	/* Ast/venv.scm 77 */
																					obj_t BgL_pairz00_2507;

																					BgL_pairz00_2507 =
																						CDR(BgL_bucketz00_1410);
																					BgL_auxz00_2904 =
																						((BgL_globalz00_bglt)
																						CAR(BgL_pairz00_2507));
																				}
																				BgL_arg1949z00_1420 =
																					(((BgL_globalz00_bglt)
																						CREF(BgL_auxz00_2904))->
																					BgL_modulez00);
																			}
																			BgL_testz00_2903 =
																				(BGl_za2moduleza2z00zzmodule_modulez00
																				== BgL_arg1949z00_1420);
																		}
																		if (BgL_testz00_2903)
																			{	/* Ast/venv.scm 76 */
																				BgL_testz00_2900 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/venv.scm 76 */
																				BgL_testz00_2900 = ((bool_t) 1);
																			}
																	}
																if (BgL_testz00_2900)
																	{	/* Ast/venv.scm 83 */
																		obj_t BgL_newzd2bucketzd2_1413;

																		BgL_newzd2bucketzd2_1413 =
																			MAKE_PAIR(BgL_newz00_1407,
																			CDR(BgL_bucketz00_1410));
																		SET_CDR(BgL_bucketz00_1410,
																			BgL_newzd2bucketzd2_1413);
																	}
																else
																	{	/* Ast/venv.scm 86 */
																		obj_t BgL_arg1944z00_1415;
																		obj_t BgL_arg1945z00_1416;

																		BgL_arg1944z00_1415 =
																			CDR(BgL_bucketz00_1410);
																		BgL_arg1945z00_1416 =
																			MAKE_PAIR(BgL_newz00_1407,
																			CDR(CDR(BgL_bucketz00_1410)));
																		SET_CDR(BgL_arg1944z00_1415,
																			BgL_arg1945z00_1416);
																	}
															}
														else
															{	/* Ast/venv.scm 74 */
																obj_t BgL_arg1951z00_1422;

																{	/* Ast/venv.scm 74 */
																	obj_t BgL_list1952z00_1423;

																	{	/* Ast/venv.scm 74 */
																		obj_t BgL_arg1953z00_1424;

																		BgL_arg1953z00_1424 =
																			MAKE_PAIR(BgL_newz00_1407, BNIL);
																		BgL_list1952z00_1423 =
																			MAKE_PAIR(BgL_idz00_1409,
																			BgL_arg1953z00_1424);
																	}
																	BgL_arg1951z00_1422 = BgL_list1952z00_1423;
																}
																BGl_hashtablezd2putz12zc0zz__hashz00
																	(BGl_za2Genvza2z00zzast_envz00,
																	BgL_idz00_1409, BgL_arg1951z00_1422);
															}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l1881z00_2921;

										BgL_l1881z00_2921 = CDR(BgL_l1881z00_1404);
										BgL_l1881z00_1404 = BgL_l1881z00_2921;
										goto BgL_zc3anonymousza31939ze3z83_1405;
									}
								}
							else
								{	/* Ast/venv.scm 87 */
									BgL_auxz00_2886 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_2886);
				}
			}
		}
	}



/* additional-heap-restore-globals! */
	BGL_EXPORTED_DEF obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 104 */
			{
				obj_t BgL_l1917z00_1429;

				BgL_l1917z00_1429 =
					BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00;
			BgL_zc3anonymousza31955ze3z83_1430:
				if (PAIRP(BgL_l1917z00_1429))
					{	/* Ast/venv.scm 105 */
						BGl_restorezd2globalz12zc0zzast_envz00(CAR(BgL_l1917z00_1429));
						{
							obj_t BgL_l1917z00_2928;

							BgL_l1917z00_2928 = CDR(BgL_l1917z00_1429);
							BgL_l1917z00_1429 = BgL_l1917z00_2928;
							goto BgL_zc3anonymousza31955ze3z83_1430;
						}
					}
				else
					{	/* Ast/venv.scm 105 */
						((bool_t) 1);
					}
			}
			return BTRUE;
		}
	}



/* &additional-heap-restore-globals! */
	obj_t BGl_z62additionalzd2heapzd2restorezd2globalsz12za2zzast_envz00(obj_t
		BgL_envz00_2786)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 104 */
			return BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
		}
	}



/* restore-global! */
	BGL_EXPORTED_DEF obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t
		BgL_newz00_6)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 111 */
			BGl_za2restoredza2z00zzast_envz00 =
				MAKE_PAIR(BgL_newz00_6, BGl_za2restoredza2z00zzast_envz00);
			{	/* Ast/venv.scm 114 */
				BgL_typez00_bglt BgL_typez00_1436;

				BgL_typez00_1436 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_newz00_6))))->BgL_typez00);
				{	/* Ast/venv.scm 115 */
					BgL_valuez00_bglt BgL_valuez00_1437;

					BgL_valuez00_1437 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt)
									((BgL_globalz00_bglt) BgL_newz00_6))))->BgL_valuez00);
					{	/* Ast/venv.scm 116 */
						obj_t BgL_typeidz00_1438;

						BgL_typeidz00_1438 =
							(((BgL_typez00_bglt) CREF(BgL_typez00_1436))->BgL_idz00);
						{	/* Ast/venv.scm 117 */

							{	/* Ast/venv.scm 119 */
								BgL_typez00_bglt BgL_arg1959z00_1439;

								BgL_arg1959z00_1439 =
									BGl_findzd2typezd2zztype_envz00(BgL_typeidz00_1438);
								{	/* Ast/venv.scm 119 */
									BgL_globalz00_bglt BgL_oz00_2541;

									BgL_oz00_2541 = ((BgL_globalz00_bglt) BgL_newz00_6);
									((((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_oz00_2541)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg1959z00_1439), BUNSPEC);
								}
							}
							BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_1437);
							{	/* Ast/venv.scm 123 */
								bool_t BgL_testz00_2944;

								{	/* Ast/venv.scm 123 */
									bool_t BgL_testz00_2945;

									{	/* Ast/venv.scm 123 */
										obj_t BgL_arg1968z00_1448;

										BgL_arg1968z00_1448 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_testz00_2945 =
											(((BgL_backendz00_bglt) CREF(
													((BgL_backendz00_bglt) BgL_arg1968z00_1448)))->
											BgL_qualifiedzd2typeszd2);
									}
									if (BgL_testz00_2945)
										{	/* Ast/venv.scm 123 */
											if (
												((((BgL_globalz00_bglt) CREF(
																((BgL_globalz00_bglt) BgL_newz00_6)))->
														BgL_modulez00) == CNST_TABLE_REF(((long) 1))))
												{	/* Ast/venv.scm 124 */
													BgL_testz00_2944 = ((bool_t) 0);
												}
											else
												{	/* Ast/venv.scm 124 */
													BgL_testz00_2944 = ((bool_t) 1);
												}
										}
									else
										{	/* Ast/venv.scm 123 */
											BgL_testz00_2944 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_2944)
									{	/* Ast/venv.scm 125 */
										obj_t BgL_arg1961z00_1441;
										obj_t BgL_arg1962z00_1442;
										obj_t BgL_arg1963z00_1443;

										BgL_arg1961z00_1441 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_newz00_6)))->BgL_modulez00);
										BgL_arg1962z00_1442 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_newz00_6)))->
											BgL_jvmzd2typezd2namez00);
										BgL_arg1963z00_1443 =
											BGl_shapez00zztools_shapez00(BgL_newz00_6);
										{	/* Ast/venv.scm 125 */
											obj_t BgL_list1964z00_1444;

											BgL_list1964z00_1444 =
												MAKE_PAIR(BgL_arg1963z00_1443, BNIL);
											return
												BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00
												(BgL_arg1961z00_1441, BgL_arg1962z00_1442,
												BgL_list1964z00_1444);
										}
									}
								else
									{	/* Ast/venv.scm 123 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}
	}



/* &restore-global! */
	obj_t BGl_z62restorezd2globalz12za2zzast_envz00(obj_t BgL_envz00_2787,
		obj_t BgL_newz00_2788)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 111 */
			return BGl_restorezd2globalz12zc0zzast_envz00(BgL_newz00_2788);
		}
	}



/* already-restored? */
	BGL_EXPORTED_DEF obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t
		BgL_funz00_8)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 146 */
			return
				BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_funz00_8,
				BGl_za2restoredza2z00zzast_envz00);
		}
	}



/* &already-restored? */
	obj_t BGl_z62alreadyzd2restoredzf3z43zzast_envz00(obj_t BgL_envz00_2789,
		obj_t BgL_funz00_2790)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 146 */
			return BGl_alreadyzd2restoredzf3z21zzast_envz00(BgL_funz00_2790);
		}
	}



/* get-genv */
	BGL_EXPORTED_DEF obj_t BGl_getzd2genvzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 219 */
			return BGl_za2Genvza2z00zzast_envz00;
		}
	}



/* &get-genv */
	obj_t BGl_z62getzd2genvzb0zzast_envz00(obj_t BgL_envz00_2791)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 219 */
			return BGl_za2Genvza2z00zzast_envz00;
		}
	}



/* initialize-Genv! */
	BGL_EXPORTED_DEF obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 225 */
			return (BGl_za2Genvza2z00zzast_envz00 =
				BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC);
		}
	}



/* &initialize-Genv! */
	obj_t BGl_z62initializa7ezd2Genvz12z05zzast_envz00(obj_t BgL_envz00_2792)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 225 */
			return BGl_initializa7ezd2Genvz12z67zzast_envz00();
		}
	}



/* find-global */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzd2zzast_envz00(obj_t BgL_idz00_14,
		obj_t BgL_modulez00_15)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 231 */
			{	/* Ast/venv.scm 233 */
				obj_t BgL_bucketz00_1450;
				obj_t BgL_modulez00_1451;

				BgL_bucketz00_1450 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_14);
				if (NULLP(BgL_modulez00_15))
					{	/* Ast/venv.scm 234 */
						BgL_modulez00_1451 = BNIL;
					}
				else
					{	/* Ast/venv.scm 234 */
						BgL_modulez00_1451 = CAR(BgL_modulez00_15);
					}
				if (PAIRP(BgL_bucketz00_1450))
					{	/* Ast/venv.scm 236 */
						if (NULLP(CDR(BgL_bucketz00_1450)))
							{	/* Ast/venv.scm 238 */
								return BFALSE;
							}
						else
							{	/* Ast/venv.scm 238 */
								if (NULLP(BgL_modulez00_1451))
									{	/* Ast/venv.scm 240 */
										return CAR(CDR(BgL_bucketz00_1450));
									}
								else
									{	/* Ast/venv.scm 243 */
										obj_t BgL_g1101z00_1455;

										BgL_g1101z00_1455 = CDR(BgL_bucketz00_1450);
										{
											obj_t BgL_globalsz00_1457;

											BgL_globalsz00_1457 = BgL_g1101z00_1455;
										BgL_zc3anonymousza31973ze3z83_1458:
											if (NULLP(BgL_globalsz00_1457))
												{	/* Ast/venv.scm 245 */
													return BFALSE;
												}
											else
												{	/* Ast/venv.scm 247 */
													bool_t BgL_testz00_2982;

													{	/* Ast/venv.scm 247 */
														obj_t BgL_auxz00_2983;

														{
															BgL_globalz00_bglt BgL_auxz00_2984;

															{	/* Ast/venv.scm 247 */
																obj_t BgL_pairz00_2573;

																BgL_pairz00_2573 = BgL_globalsz00_1457;
																BgL_auxz00_2984 =
																	((BgL_globalz00_bglt) CAR(BgL_pairz00_2573));
															}
															BgL_auxz00_2983 =
																(((BgL_globalz00_bglt) CREF(BgL_auxz00_2984))->
																BgL_modulez00);
														}
														BgL_testz00_2982 =
															(BgL_auxz00_2983 == BgL_modulez00_1451);
													}
													if (BgL_testz00_2982)
														{	/* Ast/venv.scm 247 */
															return CAR(BgL_globalsz00_1457);
														}
													else
														{
															obj_t BgL_globalsz00_2990;

															BgL_globalsz00_2990 = CDR(BgL_globalsz00_1457);
															BgL_globalsz00_1457 = BgL_globalsz00_2990;
															goto BgL_zc3anonymousza31973ze3z83_1458;
														}
												}
										}
									}
							}
					}
				else
					{	/* Ast/venv.scm 236 */
						return BFALSE;
					}
			}
		}
	}



/* &find-global */
	obj_t BGl_z62findzd2globalzb0zzast_envz00(obj_t BgL_envz00_2793,
		obj_t BgL_idz00_2794, obj_t BgL_modulez00_2795)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 231 */
			return
				BGl_findzd2globalzd2zzast_envz00(BgL_idz00_2794, BgL_modulez00_2795);
		}
	}



/* find-global/module */
	BGL_EXPORTED_DEF obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_16, obj_t BgL_modulez00_17)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 255 */
			{	/* Ast/venv.scm 256 */
				obj_t BgL_bucketz00_1467;

				BgL_bucketz00_1467 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_16);
				if (PAIRP(BgL_bucketz00_1467))
					{	/* Ast/venv.scm 258 */
						if (NULLP(CDR(BgL_bucketz00_1467)))
							{	/* Ast/venv.scm 260 */
								return BFALSE;
							}
						else
							{	/* Ast/venv.scm 265 */
								obj_t BgL_g1102z00_1471;

								BgL_g1102z00_1471 = CDR(BgL_bucketz00_1467);
								{
									obj_t BgL_globalsz00_1473;

									BgL_globalsz00_1473 = BgL_g1102z00_1471;
								BgL_zc3anonymousza31985ze3z83_1474:
									if (NULLP(BgL_globalsz00_1473))
										{	/* Ast/venv.scm 267 */
											return BFALSE;
										}
									else
										{	/* Ast/venv.scm 269 */
											bool_t BgL_testz00_3002;

											{	/* Ast/venv.scm 269 */
												obj_t BgL_auxz00_3003;

												{
													BgL_globalz00_bglt BgL_auxz00_3004;

													{	/* Ast/venv.scm 269 */
														obj_t BgL_pairz00_2593;

														BgL_pairz00_2593 = BgL_globalsz00_1473;
														BgL_auxz00_3004 =
															((BgL_globalz00_bglt) CAR(BgL_pairz00_2593));
													}
													BgL_auxz00_3003 =
														(((BgL_globalz00_bglt) CREF(BgL_auxz00_3004))->
														BgL_modulez00);
												}
												BgL_testz00_3002 =
													(BgL_auxz00_3003 == BgL_modulez00_17);
											}
											if (BgL_testz00_3002)
												{	/* Ast/venv.scm 269 */
													return CAR(BgL_globalsz00_1473);
												}
											else
												{
													obj_t BgL_globalsz00_3010;

													BgL_globalsz00_3010 = CDR(BgL_globalsz00_1473);
													BgL_globalsz00_1473 = BgL_globalsz00_3010;
													goto BgL_zc3anonymousza31985ze3z83_1474;
												}
										}
								}
							}
					}
				else
					{	/* Ast/venv.scm 258 */
						return BFALSE;
					}
			}
		}
	}



/* &find-global/module */
	obj_t BGl_z62findzd2globalzf2modulez42zzast_envz00(obj_t BgL_envz00_2796,
		obj_t BgL_idz00_2797, obj_t BgL_modulez00_2798)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 255 */
			return
				BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_2797,
				BgL_modulez00_2798);
		}
	}



/* get-global/module */
	BGL_EXPORTED_DEF obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t
		BgL_idz00_18, obj_t BgL_modulez00_19)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 277 */
			{	/* Ast/venv.scm 278 */
				obj_t BgL_globalz00_1482;

				BgL_globalz00_1482 =
					BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_18,
					BgL_modulez00_19);
				{	/* Ast/venv.scm 279 */
					bool_t BgL_testz00_3014;

					if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_1482,
							BGl_globalz00zzast_varz00))
						{	/* Ast/venv.scm 279 */
							BgL_testz00_3014 = ((bool_t) 0);
						}
					else
						{	/* Ast/venv.scm 279 */
							if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
								{	/* Ast/venv.scm 279 */
									BgL_testz00_3014 = ((bool_t) 0);
								}
							else
								{	/* Ast/venv.scm 279 */
									BgL_testz00_3014 = ((bool_t) 1);
								}
						}
					if (BgL_testz00_3014)
						{	/* Ast/venv.scm 282 */
							obj_t BgL_arg1995z00_1484;

							{	/* Ast/venv.scm 282 */
								obj_t BgL_list1996z00_1485;

								{	/* Ast/venv.scm 282 */
									obj_t BgL_arg1997z00_1486;

									BgL_arg1997z00_1486 = MAKE_PAIR(BgL_modulez00_19, BNIL);
									BgL_list1996z00_1485 =
										MAKE_PAIR(BgL_idz00_18, BgL_arg1997z00_1486);
								}
								BgL_arg1995z00_1484 =
									BGl_formatz00zz__r4_output_6_10_3z00
									(BGl_string2247z00zzast_envz00, BgL_list1996z00_1485);
							}
							BGl_internalzd2errorzd2zztools_errorz00(CNST_TABLE_REF(((long)
										2)), BGl_string2248z00zzast_envz00, BgL_arg1995z00_1484);
						}
					else
						{	/* Ast/venv.scm 279 */
							BFALSE;
						}
				}
				return BgL_globalz00_1482;
			}
		}
	}



/* &get-global/module */
	obj_t BGl_z62getzd2globalzf2modulez42zzast_envz00(obj_t BgL_envz00_2799,
		obj_t BgL_idz00_2800, obj_t BgL_modulez00_2801)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 277 */
			return
				BGl_getzd2globalzf2modulez20zzast_envz00(BgL_idz00_2800,
				BgL_modulez00_2801);
		}
	}



/* warning-override-global! */
	obj_t BGl_warningzd2overridezd2globalz12z12zzast_envz00(obj_t BgL_nz00_20,
		obj_t BgL_oz00_21, obj_t BgL_msgz00_22)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 288 */
			{	/* Ast/venv.scm 289 */
				bool_t BgL_testz00_3025;

				{	/* Ast/venv.scm 289 */
					bool_t BgL_testz00_3026;

					{	/* Ast/venv.scm 289 */
						int BgL_arg2011z00_1505;

						BgL_arg2011z00_1505 = BGl_bigloozd2warningzd2zz__paramz00();
						BgL_testz00_3026 = ((long) (BgL_arg2011z00_1505) > ((long) 0));
					}
					if (BgL_testz00_3026)
						{	/* Ast/venv.scm 289 */
							BgL_testz00_3025 =
								CBOOL
								(BGl_za2warningzd2overridenzd2variablesza2z00zzengine_paramz00);
						}
					else
						{	/* Ast/venv.scm 289 */
							BgL_testz00_3025 = ((bool_t) 0);
						}
				}
				if (BgL_testz00_3025)
					{	/* Ast/venv.scm 290 */
						BgL_globalz00_bglt BgL_i1103z00_1489;

						BgL_i1103z00_1489 = ((BgL_globalz00_bglt) BgL_oz00_21);
						{	/* Ast/venv.scm 291 */
							obj_t BgL_locz00_1490;
							obj_t BgL_oldz00_1491;
							obj_t BgL_newz00_1492;
							obj_t BgL_msgz00_1493;

							BgL_locz00_1490 =
								BGl_findzd2locationzd2zztools_locationz00(
								(((BgL_globalz00_bglt) CREF(BgL_i1103z00_1489))->BgL_srcz00));
							{	/* Ast/venv.scm 292 */
								obj_t BgL_arg2001z00_1495;

								{	/* Ast/venv.scm 292 */
									obj_t BgL_arg2002z00_1496;
									obj_t BgL_arg2003z00_1497;

									BgL_arg2002z00_1496 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_i1103z00_1489)))->
										BgL_idz00);
									BgL_arg2003z00_1497 =
										MAKE_PAIR((((BgL_globalz00_bglt) CREF(BgL_i1103z00_1489))->
											BgL_modulez00), BNIL);
									BgL_arg2001z00_1495 =
										MAKE_PAIR(BgL_arg2002z00_1496, BgL_arg2003z00_1497);
								}
								BgL_oldz00_1491 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg2001z00_1495);
							}
							{	/* Ast/venv.scm 293 */
								obj_t BgL_arg2005z00_1499;

								{	/* Ast/venv.scm 293 */
									obj_t BgL_arg2006z00_1500;
									obj_t BgL_arg2007z00_1501;

									BgL_arg2006z00_1500 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_nz00_20))))->BgL_idz00);
									{	/* Ast/venv.scm 293 */
										obj_t BgL_arg2008z00_1502;

										BgL_arg2008z00_1502 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_nz00_20)))->BgL_modulez00);
										BgL_arg2007z00_1501 = MAKE_PAIR(BgL_arg2008z00_1502, BNIL);
									}
									BgL_arg2005z00_1499 =
										MAKE_PAIR(BgL_arg2006z00_1500, BgL_arg2007z00_1501);
								}
								BgL_newz00_1492 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg2005z00_1499);
							}
							if (PAIRP(BgL_msgz00_22))
								{	/* Ast/venv.scm 294 */
									BgL_msgz00_1493 = CAR(BgL_msgz00_22);
								}
							else
								{	/* Ast/venv.scm 294 */
									BgL_msgz00_1493 = BGl_string2249z00zzast_envz00;
								}
							if (CBOOL(BgL_locz00_1490))
								{	/* Ast/venv.scm 295 */
									return
										BGl_userzd2warningzf2locationz20zztools_errorz00
										(BgL_locz00_1490, BgL_oldz00_1491, BgL_msgz00_1493,
										BgL_newz00_1492);
								}
							else
								{	/* Ast/venv.scm 295 */
									return
										BGl_userzd2warningzd2zztools_errorz00(BgL_oldz00_1491,
										BgL_msgz00_1493, BgL_newz00_1492);
								}
						}
					}
				else
					{	/* Ast/venv.scm 289 */
						return BFALSE;
					}
			}
		}
	}



/* error-rebind-global! */
	obj_t BGl_errorzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt
		BgL_oz00_23, obj_t BgL_srcz00_24)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 302 */
			{	/* Ast/venv.scm 304 */
				obj_t BgL_locz00_1507;

				BgL_locz00_1507 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_24);
				if (CBOOL(BgL_locz00_1507))
					{	/* Ast/venv.scm 307 */
						obj_t BgL_arg2012z00_1509;
						obj_t BgL_arg2013z00_1510;

						BgL_arg2012z00_1509 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_23))->BgL_modulez00);
						BgL_arg2013z00_1510 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_23));
						return
							BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_1507,
							BgL_arg2012z00_1509, BGl_string2250z00zzast_envz00,
							BgL_arg2013z00_1510, BNIL);
					}
				else
					{	/* Ast/venv.scm 308 */
						obj_t BgL_arg2016z00_1512;
						obj_t BgL_arg2017z00_1513;

						BgL_arg2016z00_1512 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_23))->BgL_modulez00);
						BgL_arg2017z00_1513 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_23));
						return
							BGl_userzd2errorzd2zztools_errorz00(BgL_arg2016z00_1512,
							BGl_string2250z00zzast_envz00, BgL_arg2017z00_1513, BNIL);
					}
			}
		}
	}



/* warning-rebind-global! */
	obj_t BGl_warningzd2rebindzd2globalz12z12zzast_envz00(BgL_globalz00_bglt
		BgL_oz00_25, obj_t BgL_srcz00_26)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 313 */
			{	/* Ast/venv.scm 315 */
				obj_t BgL_locz00_1516;

				BgL_locz00_1516 =
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_26);
				if (CBOOL(BgL_locz00_1516))
					{	/* Ast/venv.scm 318 */
						obj_t BgL_arg2019z00_1518;
						obj_t BgL_arg2020z00_1519;

						BgL_arg2019z00_1518 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_25))->BgL_modulez00);
						BgL_arg2020z00_1519 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_25));
						return
							BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_1516,
							BgL_arg2019z00_1518, BGl_string2250z00zzast_envz00,
							BgL_arg2020z00_1519);
					}
				else
					{	/* Ast/venv.scm 319 */
						obj_t BgL_arg2021z00_1520;
						obj_t BgL_arg2022z00_1521;

						BgL_arg2021z00_1520 =
							(((BgL_globalz00_bglt) CREF(BgL_oz00_25))->BgL_modulez00);
						BgL_arg2022z00_1521 =
							BGl_shapez00zztools_shapez00(((obj_t) BgL_oz00_25));
						return
							BGl_userzd2warningzd2zztools_errorz00(BgL_arg2021z00_1520,
							BGl_string2250z00zzast_envz00, BgL_arg2022z00_1521);
					}
			}
		}
	}



/* bind-global! */
	BGL_EXPORTED_DEF BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_27, obj_t BgL_aliasz00_28, obj_t BgL_modulez00_29,
		BgL_valuez00_bglt BgL_valuez00_30, obj_t BgL_importz00_31,
		obj_t BgL_srcz00_32)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 336 */
			{	/* Ast/venv.scm 339 */
				obj_t BgL_identz00_1522;

				if (CBOOL(BgL_aliasz00_28))
					{	/* Ast/venv.scm 339 */
						BgL_identz00_1522 = BgL_aliasz00_28;
					}
				else
					{	/* Ast/venv.scm 339 */
						BgL_identz00_1522 = BgL_idz00_27;
					}
				{	/* Ast/venv.scm 339 */
					obj_t BgL_oldz00_1523;

					{	/* Ast/venv.scm 340 */
						obj_t BgL_list2052z00_1558;

						BgL_list2052z00_1558 = MAKE_PAIR(BgL_modulez00_29, BNIL);
						BgL_oldz00_1523 =
							BGl_findzd2globalzd2zzast_envz00(BgL_identz00_1522,
							BgL_list2052z00_1558);
					}
					{	/* Ast/venv.scm 340 */

						if (BGl_isazf3zf3zz__objectz00(BgL_oldz00_1523,
								BGl_globalz00zzast_varz00))
							{	/* Ast/venv.scm 341 */
								if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
									{	/* Ast/venv.scm 343 */
										return ((BgL_globalz00_bglt) BgL_oldz00_1523);
									}
								else
									{	/* Ast/venv.scm 343 */
										if (
											(BgL_modulez00_29 ==
												(((BgL_globalz00_bglt) CREF(
															((BgL_globalz00_bglt) BgL_oldz00_1523)))->
													BgL_modulez00)))
											{	/* Ast/venv.scm 345 */
												BGl_warningzd2rebindzd2globalz12z12zzast_envz00(
													((BgL_globalz00_bglt) BgL_oldz00_1523),
													BgL_srcz00_32);
												return ((BgL_globalz00_bglt) BgL_oldz00_1523);
											}
										else
											{	/* Ast/venv.scm 345 */
												return
													((BgL_globalz00_bglt)
													BGl_errorzd2rebindzd2globalz12z12zzast_envz00(
														((BgL_globalz00_bglt) BgL_oldz00_1523),
														BgL_srcz00_32));
											}
									}
							}
						else
							{	/* Ast/venv.scm 350 */
								obj_t BgL_bucketz00_1527;
								BgL_globalz00_bglt BgL_newz00_1528;

								BgL_bucketz00_1527 =
									BGl_hashtablezd2getzd2zz__hashz00
									(BGl_za2Genvza2z00zzast_envz00, BgL_identz00_1522);
								{	/* Ast/venv.scm 351 */
									BgL_globalz00_bglt BgL_new1108z00_1554;

									{	/* Ast/venv.scm 351 */
										BgL_globalz00_bglt BgL_new1107z00_1556;

										BgL_new1107z00_1556 =
											((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
														BgL_globalz00_bgl))));
										{	/* Ast/venv.scm 351 */
											long BgL_arg2051z00_1557;

											{	/* Ast/venv.scm 351 */
												long BgL_res2210z00_2619;

												BgL_res2210z00_2619 =
													BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
												BgL_arg2051z00_1557 = BgL_res2210z00_2619;
											}
											{	/* Ast/venv.scm 351 */
												BgL_objectz00_bglt BgL_objz00_2620;

												BgL_objz00_2620 =
													((BgL_objectz00_bglt) BgL_new1107z00_1556);
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2620,
													BgL_arg2051z00_1557);
										}}
										{	/* Ast/venv.scm 351 */
											BgL_objectz00_bglt BgL_auxz00_3103;

											BgL_auxz00_3103 =
												((BgL_objectz00_bglt) BgL_new1107z00_1556);
											BGL_OBJECT_WIDENING_SET(BgL_auxz00_3103, BFALSE);
										}
										BgL_new1108z00_1554 = BgL_new1107z00_1556;
									}
									((((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_new1108z00_1554)))->
											BgL_idz00) = ((obj_t) BgL_identz00_1522), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1108z00_1554)))->BgL_namez00) =
										((obj_t) BFALSE), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1108z00_1554)))->BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1108z00_1554)))->BgL_valuez00) =
										((BgL_valuez00_bglt) BgL_valuez00_30), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1108z00_1554)))->BgL_accessz00) =
										((obj_t) CNST_TABLE_REF(((long) 4))), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1108z00_1554)))->BgL_fastzd2alphazd2) =
										((obj_t) BUNSPEC), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1108z00_1554)))->BgL_removablez00) =
										((obj_t) CNST_TABLE_REF(((long) 5))), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1108z00_1554)))->BgL_occurrencez00) =
										((long) ((long) 0)), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1108z00_1554)))->BgL_occurrencewz00) =
										((long) ((long) 0)), BUNSPEC);
									((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
														BgL_new1108z00_1554)))->BgL_userzf3zf3) =
										((bool_t) ((bool_t) 1)), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1108z00_1554))->
											BgL_modulez00) = ((obj_t) BgL_modulez00_29), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1108z00_1554))->
											BgL_importz00) = ((obj_t) BgL_importz00_31), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1108z00_1554))->
											BgL_evaluablezf3zf3) = ((bool_t) ((bool_t) 1)), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1108z00_1554))->
											BgL_evalzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1108z00_1554))->
											BgL_libraryz00) = ((obj_t) BFALSE), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1108z00_1554))->
											BgL_pragmaz00) = ((obj_t) BNIL), BUNSPEC);
									((((BgL_globalz00_bglt) CREF(BgL_new1108z00_1554))->
											BgL_srcz00) = ((obj_t) BgL_srcz00_32), BUNSPEC);
									{
										obj_t BgL_auxz00_3136;

										if ((BgL_importz00_31 == CNST_TABLE_REF(((long) 6))))
											{	/* Ast/venv.scm 354 */
												BgL_auxz00_3136 = BGl_string2251z00zzast_envz00;
											}
										else
											{	/* Ast/venv.scm 354 */
												BgL_auxz00_3136 =
													BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
													(BgL_modulez00_29);
											}
										((((BgL_globalz00_bglt) CREF(BgL_new1108z00_1554))->
												BgL_jvmzd2typezd2namez00) =
											((obj_t) BgL_auxz00_3136), BUNSPEC);
									}
									((((BgL_globalz00_bglt) CREF(BgL_new1108z00_1554))->
											BgL_initz00) = ((obj_t) BUNSPEC), BUNSPEC);
									{
										obj_t BgL_auxz00_3143;

										if (CBOOL(BgL_aliasz00_28))
											{	/* Ast/venv.scm 358 */
												BgL_auxz00_3143 = BgL_idz00_27;
											}
										else
											{	/* Ast/venv.scm 358 */
												BgL_auxz00_3143 = BFALSE;
											}
										((((BgL_globalz00_bglt) CREF(BgL_new1108z00_1554))->
												BgL_aliasz00) = ((obj_t) BgL_auxz00_3143), BUNSPEC);
									}
									BgL_newz00_1528 = BgL_new1108z00_1554;
								}
								{	/* Ast/venv.scm 364 */
									bool_t BgL_testz00_3147;

									if (PAIRP(BgL_bucketz00_1527))
										{	/* Ast/venv.scm 364 */
											BgL_testz00_3147 = NULLP(CDR(BgL_bucketz00_1527));
										}
									else
										{	/* Ast/venv.scm 364 */
											BgL_testz00_3147 = ((bool_t) 1);
										}
									if (BgL_testz00_3147)
										{	/* Ast/venv.scm 364 */
											{	/* Ast/venv.scm 366 */
												obj_t BgL_arg2028z00_1530;

												{	/* Ast/venv.scm 366 */
													obj_t BgL_list2029z00_1531;

													{	/* Ast/venv.scm 366 */
														obj_t BgL_arg2030z00_1532;

														BgL_arg2030z00_1532 =
															MAKE_PAIR(((obj_t) BgL_newz00_1528), BNIL);
														BgL_list2029z00_1531 =
															MAKE_PAIR(BgL_identz00_1522, BgL_arg2030z00_1532);
													}
													BgL_arg2028z00_1530 = BgL_list2029z00_1531;
												}
												BGl_hashtablezd2putz12zc0zz__hashz00
													(BGl_za2Genvza2z00zzast_envz00, BgL_identz00_1522,
													BgL_arg2028z00_1530);
											}
											return BgL_newz00_1528;
										}
									else
										{	/* Ast/venv.scm 369 */
											obj_t BgL_oldza2za2_1533;

											BgL_oldza2za2_1533 = CDR(BgL_bucketz00_1527);
											{	/* Ast/venv.scm 369 */
												obj_t BgL_midz00_1534;

												{	/* Ast/venv.scm 371 */
													obj_t BgL_arg2045z00_1550;

													{
														BgL_globalz00_bglt BgL_auxz00_3157;

														{	/* Ast/venv.scm 371 */
															obj_t BgL_pairz00_2630;

															BgL_pairz00_2630 = BgL_oldza2za2_1533;
															BgL_auxz00_3157 =
																((BgL_globalz00_bglt) CAR(BgL_pairz00_2630));
														}
														BgL_arg2045z00_1550 =
															(((BgL_globalz00_bglt) CREF(BgL_auxz00_3157))->
															BgL_modulez00);
													}
													BgL_midz00_1534 =
														BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
														(BgL_arg2045z00_1550);
												}
												{	/* Ast/venv.scm 370 */

													{	/* Ast/venv.scm 373 */
														bool_t BgL_testz00_3162;

														{	/* Ast/venv.scm 373 */
															obj_t BgL_arg2043z00_1548;

															{
																BgL_globalz00_bglt BgL_auxz00_3163;

																{	/* Ast/venv.scm 373 */
																	obj_t BgL_pairz00_2634;

																	BgL_pairz00_2634 = BgL_oldza2za2_1533;
																	BgL_auxz00_3163 =
																		((BgL_globalz00_bglt)
																		CAR(BgL_pairz00_2634));
																}
																BgL_arg2043z00_1548 =
																	(((BgL_globalz00_bglt)
																		CREF(BgL_auxz00_3163))->BgL_modulez00);
															}
															BgL_testz00_3162 =
																(BgL_arg2043z00_1548 ==
																BGl_za2moduleza2z00zzmodule_modulez00);
														}
														if (BgL_testz00_3162)
															{	/* Ast/venv.scm 373 */
																{	/* Ast/venv.scm 375 */
																	bool_t BgL_testz00_3168;

																	if ((BgL_identz00_1522 == BgL_midz00_1534))
																		{	/* Ast/venv.scm 375 */
																			BgL_testz00_3168 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 375 */
																			if (CBOOL
																				(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																				{	/* Ast/venv.scm 375 */
																					BgL_testz00_3168 = ((bool_t) 0);
																				}
																			else
																				{	/* Ast/venv.scm 375 */
																					BgL_testz00_3168 = ((bool_t) 1);
																				}
																		}
																	if (BgL_testz00_3168)
																		{	/* Ast/venv.scm 376 */
																			obj_t BgL_arg2033z00_1537;

																			BgL_arg2033z00_1537 =
																				CAR(BgL_oldza2za2_1533);
																			BGl_warningzd2overridezd2globalz12z12zzast_envz00
																				(BgL_arg2033z00_1537,
																				((obj_t) BgL_newz00_1528), BNIL);
																		}
																	else
																		{	/* Ast/venv.scm 375 */
																			BFALSE;
																		}
																}
																{	/* Ast/venv.scm 377 */
																	obj_t BgL_arg2036z00_1540;
																	obj_t BgL_arg2037z00_1541;

																	BgL_arg2036z00_1540 = CDR(BgL_bucketz00_1527);
																	{	/* Ast/venv.scm 377 */
																		obj_t BgL_arg2038z00_1542;

																		{	/* Ast/venv.scm 377 */
																			obj_t BgL_pairz00_2640;

																			BgL_pairz00_2640 = BgL_bucketz00_1527;
																			BgL_arg2038z00_1542 =
																				CDR(CDR(BgL_pairz00_2640));
																		}
																		BgL_arg2037z00_1541 =
																			MAKE_PAIR(
																			((obj_t) BgL_newz00_1528),
																			BgL_arg2038z00_1542);
																	}
																	SET_CDR(BgL_arg2036z00_1540,
																		BgL_arg2037z00_1541);
																}
																return BgL_newz00_1528;
															}
														else
															{	/* Ast/venv.scm 380 */
																obj_t BgL_newza2za2_1543;

																BgL_newza2za2_1543 =
																	MAKE_PAIR(
																	((obj_t) BgL_newz00_1528),
																	BgL_oldza2za2_1533);
																{	/* Ast/venv.scm 381 */
																	bool_t BgL_testz00_3184;

																	if ((BgL_identz00_1522 == BgL_midz00_1534))
																		{	/* Ast/venv.scm 381 */
																			BgL_testz00_3184 = ((bool_t) 0);
																		}
																	else
																		{	/* Ast/venv.scm 381 */
																			if (CBOOL
																				(BGl_za2libzd2modeza2zd2zzengine_paramz00))
																				{	/* Ast/venv.scm 381 */
																					BgL_testz00_3184 = ((bool_t) 0);
																				}
																			else
																				{	/* Ast/venv.scm 381 */
																					BgL_testz00_3184 = ((bool_t) 1);
																				}
																		}
																	if (BgL_testz00_3184)
																		{	/* Ast/venv.scm 382 */
																			obj_t BgL_arg2040z00_1545;

																			BgL_arg2040z00_1545 =
																				CAR(BgL_oldza2za2_1533);
																			BGl_warningzd2overridezd2globalz12z12zzast_envz00
																				(((obj_t) BgL_newz00_1528),
																				BgL_arg2040z00_1545, BNIL);
																		}
																	else
																		{	/* Ast/venv.scm 381 */
																			BFALSE;
																		}
																}
																SET_CDR(BgL_bucketz00_1527, BgL_newza2za2_1543);
																return BgL_newz00_1528;
															}
													}
												}
											}
										}
								}
							}
					}
				}
			}
		}
	}



/* &bind-global! */
	BgL_globalz00_bglt BGl_z62bindzd2globalz12za2zzast_envz00(obj_t
		BgL_envz00_2802, obj_t BgL_idz00_2803, obj_t BgL_aliasz00_2804,
		obj_t BgL_modulez00_2805, obj_t BgL_valuez00_2806, obj_t BgL_importz00_2807,
		obj_t BgL_srcz00_2808)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 336 */
			return
				BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_2803, BgL_aliasz00_2804,
				BgL_modulez00_2805, ((BgL_valuez00_bglt) BgL_valuez00_2806),
				BgL_importz00_2807, BgL_srcz00_2808);
		}
	}



/* unbind-global! */
	BGL_EXPORTED_DEF obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t
		BgL_idz00_33, obj_t BgL_modulez00_34)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 389 */
			{	/* Ast/venv.scm 390 */
				obj_t BgL_globalz00_1560;

				{	/* Ast/venv.scm 390 */
					obj_t BgL_list2064z00_1578;

					BgL_list2064z00_1578 = MAKE_PAIR(BgL_modulez00_34, BNIL);
					BgL_globalz00_1560 =
						BGl_findzd2globalzd2zzast_envz00(BgL_idz00_33,
						BgL_list2064z00_1578);
				}
				if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_1560,
						BGl_globalz00zzast_varz00))
					{	/* Ast/venv.scm 393 */
						obj_t BgL_bucketz00_1562;

						BgL_bucketz00_1562 =
							BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
							BgL_idz00_33);
						{	/* Ast/venv.scm 394 */
							obj_t BgL_g1109z00_1563;

							BgL_g1109z00_1563 = CDR(BgL_bucketz00_1562);
							{
								obj_t BgL_curz00_1565;
								obj_t BgL_prevz00_1566;

								BgL_curz00_1565 = BgL_g1109z00_1563;
								BgL_prevz00_1566 = BgL_bucketz00_1562;
							BgL_zc3anonymousza32054ze3z83_1567:
								if ((CAR(BgL_curz00_1565) == BgL_globalz00_1560))
									{	/* Ast/venv.scm 397 */
										obj_t BgL_auxz00_3204;

										BgL_auxz00_3204 = CDR(BgL_curz00_1565);
										return SET_CDR(BgL_prevz00_1566, BgL_auxz00_3204);
									}
								else
									{
										obj_t BgL_prevz00_3209;
										obj_t BgL_curz00_3207;

										BgL_curz00_3207 = CDR(BgL_curz00_1565);
										BgL_prevz00_3209 = CDR(BgL_prevz00_1566);
										BgL_prevz00_1566 = BgL_prevz00_3209;
										BgL_curz00_1565 = BgL_curz00_3207;
										goto BgL_zc3anonymousza32054ze3z83_1567;
									}
							}
						}
					}
				else
					{	/* Ast/venv.scm 392 */
						obj_t BgL_arg2060z00_1574;

						{	/* Ast/venv.scm 392 */
							obj_t BgL_arg2062z00_1576;

							{	/* Ast/venv.scm 392 */
								obj_t BgL_arg2063z00_1577;

								BgL_arg2063z00_1577 = MAKE_PAIR(BgL_modulez00_34, BNIL);
								BgL_arg2062z00_1576 =
									MAKE_PAIR(BgL_idz00_33, BgL_arg2063z00_1577);
							}
							BgL_arg2060z00_1574 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg2062z00_1576);
						}
						return
							BGl_userzd2errorzd2zztools_errorz00(BGl_string2252z00zzast_envz00,
							BGl_string2253z00zzast_envz00, BgL_arg2060z00_1574, BNIL);
					}
			}
		}
	}



/* &unbind-global! */
	obj_t BGl_z62unbindzd2globalz12za2zzast_envz00(obj_t BgL_envz00_2809,
		obj_t BgL_idz00_2810, obj_t BgL_modulez00_2811)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 389 */
			return
				BGl_unbindzd2globalz12zc0zzast_envz00(BgL_idz00_2810,
				BgL_modulez00_2811);
		}
	}



/* for-each-global! */
	BGL_EXPORTED_DEF obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t
		BgL_procz00_35, obj_t BgL_envz00_36)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 403 */
			{	/* Ast/venv.scm 404 */
				obj_t BgL_arg2065z00_1579;

				if (NULLP(BgL_envz00_36))
					{	/* Ast/venv.scm 404 */
						BgL_arg2065z00_1579 = BGl_za2Genvza2z00zzast_envz00;
					}
				else
					{	/* Ast/venv.scm 404 */
						BgL_arg2065z00_1579 = CAR(BgL_envz00_36);
					}
				{	/* Ast/venv.scm 405 */
					obj_t BgL_zc3anonymousza32068ze3z83_2812;

					BgL_zc3anonymousza32068ze3z83_2812 =
						MAKE_FX_PROCEDURE(BGl_z62zc3anonymousza32068ze3ze1zzast_envz00,
						(int) (((long) 2)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza32068ze3z83_2812,
						(int) (((long) 0)), BgL_procz00_35);
					return
						BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_arg2065z00_1579,
						BgL_zc3anonymousza32068ze3z83_2812);
				}
			}
		}
	}



/* &for-each-global! */
	obj_t BGl_z62forzd2eachzd2globalz12z70zzast_envz00(obj_t BgL_envz00_2813,
		obj_t BgL_procz00_2814, obj_t BgL_envz00_2815)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 403 */
			return
				BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_procz00_2814,
				BgL_envz00_2815);
		}
	}



/* &<anonymous:2068> */
	obj_t BGl_z62zc3anonymousza32068ze3ze1zzast_envz00(obj_t BgL_envz00_2816,
		obj_t BgL_kz00_2818, obj_t BgL_bucketz00_2819)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 405 */
			{	/* Ast/venv.scm 405 */
				obj_t BgL_procz00_2817;

				BgL_procz00_2817 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2816, (int) (((long) 0))));
				{
					obj_t BgL_kz00_1582;
					obj_t BgL_bucketz00_1583;

					{	/* Ast/venv.scm 405 */
						bool_t BgL_auxz00_3230;

						BgL_kz00_1582 = BgL_kz00_2818;
						BgL_bucketz00_1583 = BgL_bucketz00_2819;
						{	/* Ast/venv.scm 405 */
							obj_t BgL_g1921z00_1585;

							BgL_g1921z00_1585 = CDR(BgL_bucketz00_1583);
							{
								obj_t BgL_l1919z00_1587;

								BgL_l1919z00_1587 = BgL_g1921z00_1585;
							BgL_zc3anonymousza32069ze3z83_1588:
								if (PAIRP(BgL_l1919z00_1587))
									{	/* Ast/venv.scm 405 */
										{	/* Ast/venv.scm 405 */
											obj_t BgL_arg2071z00_1590;

											BgL_arg2071z00_1590 = CAR(BgL_l1919z00_1587);
											PROCEDURE_ENTRY(BgL_procz00_2817) (BgL_procz00_2817,
												BgL_arg2071z00_1590, BEOA);
										}
										{
											obj_t BgL_l1919z00_3239;

											BgL_l1919z00_3239 = CDR(BgL_l1919z00_1587);
											BgL_l1919z00_1587 = BgL_l1919z00_3239;
											goto BgL_zc3anonymousza32069ze3z83_1588;
										}
									}
								else
									{	/* Ast/venv.scm 405 */
										BgL_auxz00_3230 = ((bool_t) 1);
									}
							}
						}
						return BBOOL(BgL_auxz00_3230);
					}
				}
			}
		}
	}



/* global-bucket-position */
	BGL_EXPORTED_DEF obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t
		BgL_idz00_37, obj_t BgL_modulez00_38)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 410 */
			{	/* Ast/venv.scm 411 */
				obj_t BgL_bucketz00_1594;

				BgL_bucketz00_1594 =
					BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00,
					BgL_idz00_37);
				if (PAIRP(BgL_bucketz00_1594))
					{	/* Ast/venv.scm 414 */
						obj_t BgL_g1110z00_1596;

						BgL_g1110z00_1596 = CDR(BgL_bucketz00_1594);
						{
							obj_t BgL_globalsz00_1598;
							long BgL_posz00_1599;

							{	/* Ast/venv.scm 414 */
								long BgL_auxz00_3246;

								BgL_globalsz00_1598 = BgL_g1110z00_1596;
								BgL_posz00_1599 = ((long) 0);
							BgL_zc3anonymousza32074ze3z83_1600:
								if (NULLP(BgL_globalsz00_1598))
									{	/* Ast/venv.scm 417 */
										BgL_auxz00_3246 = ((long) -1);
									}
								else
									{	/* Ast/venv.scm 419 */
										bool_t BgL_testz00_3249;

										{	/* Ast/venv.scm 419 */
											obj_t BgL_auxz00_3250;

											{
												BgL_globalz00_bglt BgL_auxz00_3251;

												{	/* Ast/venv.scm 419 */
													obj_t BgL_pairz00_2671;

													BgL_pairz00_2671 = BgL_globalsz00_1598;
													BgL_auxz00_3251 =
														((BgL_globalz00_bglt) CAR(BgL_pairz00_2671));
												}
												BgL_auxz00_3250 =
													(((BgL_globalz00_bglt) CREF(BgL_auxz00_3251))->
													BgL_modulez00);
											}
											BgL_testz00_3249 = (BgL_auxz00_3250 == BgL_modulez00_38);
										}
										if (BgL_testz00_3249)
											{	/* Ast/venv.scm 419 */
												BgL_auxz00_3246 = BgL_posz00_1599;
											}
										else
											{
												long BgL_posz00_3258;
												obj_t BgL_globalsz00_3256;

												BgL_globalsz00_3256 = CDR(BgL_globalsz00_1598);
												BgL_posz00_3258 = (BgL_posz00_1599 + ((long) 1));
												BgL_posz00_1599 = BgL_posz00_3258;
												BgL_globalsz00_1598 = BgL_globalsz00_3256;
												goto BgL_zc3anonymousza32074ze3z83_1600;
											}
									}
								return BINT(BgL_auxz00_3246);
							}
						}
					}
				else
					{	/* Ast/venv.scm 412 */
						return BINT(((long) -1));
		}}}
	}



/* &global-bucket-position */
	obj_t BGl_z62globalzd2bucketzd2positionz62zzast_envz00(obj_t BgL_envz00_2820,
		obj_t BgL_idz00_2821, obj_t BgL_modulez00_2822)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 410 */
			return
				BGl_globalzd2bucketzd2positionz00zzast_envz00(BgL_idz00_2821,
				BgL_modulez00_2822);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_proc2254z00zzast_envz00, BGl_valuez00zzast_varz00,
				BGl_string2255z00zzast_envz00);
		}
	}



/* &restore-value-types!1922 */
	obj_t BGl_z62restorezd2valuezd2typesz121922z70zzast_envz00(obj_t
		BgL_envz00_2824, obj_t BgL_valuez00_2825)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 152 */
			return BUNSPEC;
		}
	}



/* restore-value-types! */
	obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt
		BgL_valuez00_9)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 152 */
			{	/* Ast/venv.scm 152 */
				obj_t BgL_method1923z00_1612;

				{	/* Ast/venv.scm 152 */
					obj_t BgL_res2229z00_2707;

					{	/* Ast/venv.scm 152 */
						BgL_objectz00_bglt BgL_objz00_2679;

						BgL_objz00_2679 = ((BgL_objectz00_bglt) BgL_valuez00_9);
						{	/* Ast/venv.scm 152 */
							long BgL_objzd2classzd2numz00_2680;

							{	/* Ast/venv.scm 152 */
								long BgL_res2223z00_2683;

								BgL_res2223z00_2683 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2679);
								BgL_objzd2classzd2numz00_2680 = BgL_res2223z00_2683;
							}
							{	/* Ast/venv.scm 152 */
								obj_t BgL_arg1803z00_2681;

								BgL_arg1803z00_2681 =
									PROCEDURE_REF
									(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
									(int) (((long) 1)));
								{	/* Ast/venv.scm 152 */
									obj_t BgL_arrayz00_2684;
									int BgL_offsetz00_2685;

									BgL_arrayz00_2684 = BgL_arg1803z00_2681;
									BgL_offsetz00_2685 = (int) (BgL_objzd2classzd2numz00_2680);
									{	/* Ast/venv.scm 152 */
										long BgL_offsetz00_2686;

										BgL_offsetz00_2686 =
											((long) (BgL_offsetz00_2685) - OBJECT_TYPE);
										{	/* Ast/venv.scm 152 */
											long BgL_modz00_2687;

											{	/* Ast/venv.scm 152 */
												int BgL_arg1805z00_2688;

												BgL_arg1805z00_2688 = (int) (((long) 16));
												{	/* Ast/venv.scm 152 */
													long BgL_res2226z00_2698;

													{	/* Ast/venv.scm 152 */
														long BgL_auxz00_3272;

														BgL_auxz00_3272 = (long) (BgL_arg1805z00_2688);
														BgL_res2226z00_2698 =
															(BgL_offsetz00_2686 / BgL_auxz00_3272);
													}
													BgL_modz00_2687 = BgL_res2226z00_2698;
											}}
											{	/* Ast/venv.scm 152 */
												long BgL_restz00_2689;

												{	/* Ast/venv.scm 152 */
													int BgL_arg1804z00_2690;

													BgL_arg1804z00_2690 = (int) (((long) 16));
													{	/* Ast/venv.scm 152 */
														long BgL_res2228z00_2702;

														{	/* Ast/venv.scm 152 */
															long BgL_auxz00_3276;

															BgL_auxz00_3276 = (long) (BgL_arg1804z00_2690);
															BgL_res2228z00_2702 =
																(BgL_offsetz00_2686 % BgL_auxz00_3276);
														}
														BgL_restz00_2689 = BgL_res2228z00_2702;
												}}
												{	/* Ast/venv.scm 152 */

													BgL_res2229z00_2707 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2684,
															(int) (BgL_modz00_2687)),
														(int) (BgL_restz00_2689));
					}}}}}}}}
					BgL_method1923z00_1612 = BgL_res2229z00_2707;
				}
				return
					PROCEDURE_ENTRY(BgL_method1923z00_1612) (BgL_method1923z00_1612,
					((obj_t) BgL_valuez00_9), BEOA);
			}
		}
	}



/* &restore-value-types! */
	obj_t BGl_z62restorezd2valuezd2typesz12z70zzast_envz00(obj_t BgL_envz00_2826,
		obj_t BgL_valuez00_2827)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 152 */
			return
				BGl_restorezd2valuezd2typesz12z12zzast_envz00(
				((BgL_valuez00_bglt) BgL_valuez00_2827));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_funz00zzast_varz00, BGl_proc2256z00zzast_envz00,
				BGl_string2257z00zzast_envz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_sfunz00zzast_varz00, BGl_proc2258z00zzast_envz00,
				BGl_string2257z00zzast_envz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_isfunz00zzinline_inlinez00, BGl_proc2259z00zzast_envz00,
				BGl_string2257z00zzast_envz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
				BGl_cfunz00zzast_varz00, BGl_proc2260z00zzast_envz00,
				BGl_string2257z00zzast_envz00);
		}
	}



/* &restore-value-types!1932 */
	obj_t BGl_z62restorezd2valuezd2typesz121932z70zzast_envz00(obj_t
		BgL_envz00_2832, obj_t BgL_valuez00_2833)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 207 */
			{
				BgL_cfunz00_bglt BgL_valuez00_1656;

				{	/* Ast/venv.scm 207 */
					bool_t BgL_auxz00_3294;

					BgL_valuez00_1656 = ((BgL_cfunz00_bglt) BgL_valuez00_2833);
					{

						{	/* Ast/venv.scm 207 */
							obj_t BgL_nextzd2method1931zd2_1670;

							BgL_nextzd2method1931zd2_1670 =
								BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
								((BgL_objectz00_bglt) BgL_valuez00_1656),
								BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
								BGl_cfunz00zzast_varz00);
							PROCEDURE_ENTRY(BgL_nextzd2method1931zd2_1670)
								(BgL_nextzd2method1931zd2_1670, ((obj_t) BgL_valuez00_1656),
								BEOA);
						}
						{
							obj_t BgL_argsz00_1662;

							BgL_argsz00_1662 =
								(((BgL_cfunz00_bglt) CREF(BgL_valuez00_1656))->
								BgL_argszd2typezd2);
						BgL_zc3anonymousza32107ze3z83_1663:
							if (PAIRP(BgL_argsz00_1662))
								{	/* Ast/venv.scm 211 */
									{	/* Ast/venv.scm 213 */
										BgL_typez00_bglt BgL_arg2109z00_1665;

										{	/* Ast/venv.scm 213 */
											obj_t BgL_arg2110z00_1666;

											BgL_arg2110z00_1666 =
												(((BgL_typez00_bglt) CREF(
														((BgL_typez00_bglt)
															CAR(BgL_argsz00_1662))))->BgL_idz00);
											BgL_arg2109z00_1665 =
												BGl_findzd2typezd2zztype_envz00(BgL_arg2110z00_1666);
										}
										{	/* Ast/venv.scm 213 */
											obj_t BgL_pairz00_2761;
											obj_t BgL_objz00_2762;

											BgL_pairz00_2761 = BgL_argsz00_1662;
											BgL_objz00_2762 = ((obj_t) BgL_arg2109z00_1665);
											SET_CAR(BgL_pairz00_2761, BgL_objz00_2762);
										}
									}
									{
										obj_t BgL_argsz00_3310;

										BgL_argsz00_3310 = CDR(BgL_argsz00_1662);
										BgL_argsz00_1662 = BgL_argsz00_3310;
										goto BgL_zc3anonymousza32107ze3z83_1663;
									}
								}
							else
								{	/* Ast/venv.scm 211 */
									BgL_auxz00_3294 = ((bool_t) 0);
								}
						}
					}
					return BBOOL(BgL_auxz00_3294);
				}
			}
		}
	}



/* &restore-value-types!1930 */
	obj_t BGl_z62restorezd2valuezd2typesz121930z70zzast_envz00(obj_t
		BgL_envz00_2834, obj_t BgL_valuez00_2835)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 200 */
			{
				BgL_sfunz00_bglt BgL_valuez00_1651;

				BgL_valuez00_1651 = ((BgL_sfunz00_bglt) BgL_valuez00_2835);
				{

					{	/* Ast/venv.scm 200 */
						obj_t BgL_nextzd2method1929zd2_1655;

						BgL_nextzd2method1929zd2_1655 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_valuez00_1651),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_isfunz00zzinline_inlinez00);
						PROCEDURE_ENTRY(BgL_nextzd2method1929zd2_1655)
							(BgL_nextzd2method1929zd2_1655, ((obj_t) BgL_valuez00_1651),
							BEOA);
					}
					{	/* Ast/venv.scm 202 */
						BgL_nodez00_bglt BgL_arg2104z00_1654;

						{
							BgL_isfunz00_bglt BgL_auxz00_3322;

							{
								obj_t BgL_auxz00_3323;

								{	/* Ast/venv.scm 202 */
									BgL_objectz00_bglt BgL_auxz00_3324;

									BgL_auxz00_3324 = ((BgL_objectz00_bglt) BgL_valuez00_1651);
									BgL_auxz00_3323 = BGL_OBJECT_WIDENING(BgL_auxz00_3324);
								}
								BgL_auxz00_3322 = ((BgL_isfunz00_bglt) BgL_auxz00_3323);
							}
							BgL_arg2104z00_1654 =
								(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3322))->
								BgL_originalzd2bodyzd2);
						}
						return BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_arg2104z00_1654);
					}
				}
			}
		}
	}



/* &restore-value-types!1927 */
	obj_t BGl_z62restorezd2valuezd2typesz121927z70zzast_envz00(obj_t
		BgL_envz00_2836, obj_t BgL_valuez00_2837)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 166 */
			{
				BgL_sfunz00_bglt BgL_valuez00_1622;

				BgL_valuez00_1622 = ((BgL_sfunz00_bglt) BgL_valuez00_2837);
				{

					{	/* Ast/venv.scm 166 */
						obj_t BgL_nextzd2method1926zd2_1650;

						BgL_nextzd2method1926zd2_1650 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_valuez00_1622),
							BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00,
							BGl_sfunz00zzast_varz00);
						PROCEDURE_ENTRY(BgL_nextzd2method1926zd2_1650)
							(BgL_nextzd2method1926zd2_1650, ((obj_t) BgL_valuez00_1622),
							BEOA);
					}
					{
						obj_t BgL_argsz00_1628;

						BgL_argsz00_1628 =
							(((BgL_sfunz00_bglt) CREF(BgL_valuez00_1622))->BgL_argsz00);
					BgL_zc3anonymousza32087ze3z83_1629:
						if (PAIRP(BgL_argsz00_1628))
							{	/* Ast/venv.scm 172 */
								obj_t BgL_argz00_1631;

								BgL_argz00_1631 = CAR(BgL_argsz00_1628);
								if (BGl_isazf3zf3zz__objectz00(BgL_argz00_1631,
										BGl_typez00zztype_typez00))
									{	/* Ast/venv.scm 175 */
										BgL_typez00_bglt BgL_arg2090z00_1633;

										{	/* Ast/venv.scm 175 */
											obj_t BgL_arg2091z00_1634;

											BgL_arg2091z00_1634 =
												(((BgL_typez00_bglt) CREF(
														((BgL_typez00_bglt) BgL_argz00_1631)))->BgL_idz00);
											BgL_arg2090z00_1633 =
												BGl_findzd2typezd2zztype_envz00(BgL_arg2091z00_1634);
										}
										{	/* Ast/venv.scm 175 */
											obj_t BgL_pairz00_2721;
											obj_t BgL_objz00_2722;

											BgL_pairz00_2721 = BgL_argsz00_1628;
											BgL_objz00_2722 = ((obj_t) BgL_arg2090z00_1633);
											SET_CAR(BgL_pairz00_2721, BgL_objz00_2722);
										}
									}
								else
									{	/* Ast/venv.scm 174 */
										if (BGl_isazf3zf3zz__objectz00(BgL_argz00_1631,
												BGl_localz00zzast_varz00))
											{	/* Ast/venv.scm 177 */
												BgL_typez00_bglt BgL_newzd2typezd2_1636;

												{	/* Ast/venv.scm 177 */
													obj_t BgL_arg2093z00_1637;

													BgL_arg2093z00_1637 =
														(((BgL_typez00_bglt) CREF(
																(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_localz00_bglt)
																					BgL_argz00_1631))))->BgL_typez00)))->
														BgL_idz00);
													BgL_newzd2typezd2_1636 =
														BGl_findzd2typezd2zztype_envz00
														(BgL_arg2093z00_1637);
												}
												{	/* Ast/venv.scm 178 */
													BgL_localz00_bglt BgL_oz00_2731;

													BgL_oz00_2731 = ((BgL_localz00_bglt) BgL_argz00_1631);
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_oz00_2731)))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_newzd2typezd2_1636),
														BUNSPEC);
												}
											}
										else
											{	/* Ast/venv.scm 176 */
												BGl_errorz00zz__errorz00(BGl_string2261z00zzast_envz00,
													BGl_string2262z00zzast_envz00,
													BGl_shapez00zztools_shapez00(BgL_argz00_1631));
											}
									}
								{
									obj_t BgL_argsz00_3360;

									BgL_argsz00_3360 = CDR(BgL_argsz00_1628);
									BgL_argsz00_1628 = BgL_argsz00_3360;
									goto BgL_zc3anonymousza32087ze3z83_1629;
								}
							}
						else
							{	/* Ast/venv.scm 171 */
								if (NULLP(BgL_argsz00_1628))
									{	/* Ast/venv.scm 185 */
										obj_t BgL_bodyz00_1642;

										BgL_bodyz00_1642 =
											(((BgL_sfunz00_bglt) CREF(BgL_valuez00_1622))->
											BgL_bodyz00);
										if (BGl_isazf3zf3zz__objectz00(BgL_bodyz00_1642,
												BGl_nodez00zzast_nodez00))
											{	/* Ast/venv.scm 188 */
												BgL_typez00_bglt BgL_tresz00_1644;

												BgL_tresz00_1644 =
													(((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_bodyz00_1642)))->
													BgL_typez00);
												BGl_hrtypezd2nodez12zc0zzast_hrtypez00((
														(BgL_nodez00_bglt) BgL_bodyz00_1642));
												{	/* Ast/venv.scm 190 */
													bool_t BgL_testz00_3371;

													{	/* Ast/venv.scm 190 */
														bool_t BgL_res2241z00_2745;

														{	/* Ast/venv.scm 190 */
															obj_t BgL_objz00_2744;

															BgL_objz00_2744 = ((obj_t) BgL_tresz00_1644);
															BgL_res2241z00_2745 =
																BGl_isazf3zf3zz__objectz00(BgL_objz00_2744,
																BGl_typez00zztype_typez00);
														}
														BgL_testz00_3371 = BgL_res2241z00_2745;
													}
													if (BgL_testz00_3371)
														{	/* Ast/venv.scm 191 */
															BgL_typez00_bglt BgL_arg2101z00_1646;

															BgL_arg2101z00_1646 =
																BGl_findzd2typezd2zztype_envz00(
																(((BgL_typez00_bglt) CREF(BgL_tresz00_1644))->
																	BgL_idz00));
															{	/* Ast/venv.scm 191 */
																BgL_nodez00_bglt BgL_oz00_2749;

																BgL_oz00_2749 =
																	((BgL_nodez00_bglt) BgL_bodyz00_1642);
																return
																	((((BgL_nodez00_bglt) CREF(BgL_oz00_2749))->
																		BgL_typez00) =
																	((BgL_typez00_bglt) BgL_arg2101z00_1646),
																	BUNSPEC);
															}
														}
													else
														{	/* Ast/venv.scm 190 */
															return BFALSE;
														}
												}
											}
										else
											{	/* Ast/venv.scm 187 */
												return BFALSE;
											}
									}
								else
									{	/* Ast/venv.scm 184 */
										return
											BGl_errorz00zz__errorz00(BGl_string2263z00zzast_envz00,
											BGl_string2264z00zzast_envz00,
											BGl_shapez00zztools_shapez00(BgL_argsz00_1628));
									}
							}
					}
				}
			}
		}
	}



/* &restore-value-types!1925 */
	obj_t BGl_z62restorezd2valuezd2typesz121925z70zzast_envz00(obj_t
		BgL_envz00_2838, obj_t BgL_valuez00_2839)
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 158 */
			{
				BgL_funz00_bglt BgL_valuez00_1613;

				BgL_valuez00_1613 = ((BgL_funz00_bglt) BgL_valuez00_2839);
				{	/* Ast/venv.scm 160 */
					bool_t BgL_testz00_3382;

					{	/* Ast/venv.scm 160 */
						obj_t BgL_arg2085z00_1620;

						BgL_arg2085z00_1620 =
							(((BgL_funz00_bglt) CREF(BgL_valuez00_1613))->
							BgL_predicatezd2ofzd2);
						BgL_testz00_3382 =
							BGl_isazf3zf3zz__objectz00(BgL_arg2085z00_1620,
							BGl_typez00zztype_typez00);
					}
					if (BgL_testz00_3382)
						{
							obj_t BgL_auxz00_3385;

							{	/* Ast/venv.scm 161 */
								obj_t BgL_arg2083z00_1618;

								BgL_arg2083z00_1618 =
									(((BgL_typez00_bglt) CREF(
											((BgL_typez00_bglt)
												(((BgL_funz00_bglt) CREF(BgL_valuez00_1613))->
													BgL_predicatezd2ofzd2))))->BgL_idz00);
								BgL_auxz00_3385 =
									((obj_t)
									BGl_findzd2typezd2zztype_envz00(BgL_arg2083z00_1618));
							}
							return
								((((BgL_funz00_bglt) CREF(BgL_valuez00_1613))->
									BgL_predicatezd2ofzd2) = ((obj_t) BgL_auxz00_3385), BUNSPEC);
						}
					else
						{	/* Ast/venv.scm 160 */
							return BFALSE;
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_envz00()
	{
		AN_OBJECT;
		{	/* Ast/venv.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2265z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string2265z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2265z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2265z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2265z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2265z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2265z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2265z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzast_hrtypez00(((long) 156957722),
				BSTRING_TO_STRING(BGl_string2265z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string2265z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2265z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2265z00zzast_envz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2265z00zzast_envz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string2265z00zzast_envz00));
		}
	}

#ifdef __cplusplus
}
#endif
