/*===========================================================================*/
/*   (Cfa/arithmetic.scm)                                                    */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/arithmetic.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;


	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2va2764za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2fu2762za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2appzd2ly2776za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00();
	static obj_t
		BGl_z62cleanupzd2nodez12zd2condit2756z70zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2re2772za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t);
	static obj_t
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62cleanupzd2nodez12zd2fail2758z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	static obj_t BGl_z62cleanupzd2nodez12zd2sync2752z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app2784z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2funcal2778z70zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BUNSPEC;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t);
	extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2select2760z70zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2setzd2ex2766za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2setupz12zd2prezd2arit2782za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62cleanupzd2nodez12zd2app2780z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2se2774za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	static obj_t
		BGl_z62cleanupzd2nodez12zd2sequen2750z70zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 = BUNSPEC;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
	static obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00();
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_typez00zztype_typez00;
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2makezd2b2770za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2jumpzd2e2768za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
	static obj_t BGl_z62cleanupzd2nodez122746za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_z62cleanupzd2nodez12zd2setq2754z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string3210z00zzcfa_arithmeticz00,
		BgL_bgl_string3210za700za7za7c3237za7, "cleanup-node!2746", 17);
	      DEFINE_STRING(BGl_string3212z00zzcfa_arithmeticz00,
		BgL_bgl_string3212za700za7za7c3238za7, "cleanup-node!", 13);
	      DEFINE_STRING(BGl_string3229z00zzcfa_arithmeticz00,
		BgL_bgl_string3229za700za7za7c3239za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string3231z00zzcfa_arithmeticz00,
		BgL_bgl_string3231za700za7za7c3240za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string3232z00zzcfa_arithmeticz00,
		BgL_bgl_string3232za700za7za7c3241za7, "Illegal arithmetic node", 23);
	      DEFINE_STRING(BGl_string3233z00zzcfa_arithmeticz00,
		BgL_bgl_string3233za700za7za7c3242za7, "cfa_arithmetic", 14);
	      DEFINE_STRING(BGl_string3234z00zzcfa_arithmeticz00,
		BgL_bgl_string3234za700za7za7c3243za7, "all c-eq? arithmetic-app ", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3209z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3244z00,
		BGl_z62cleanupzd2nodez122746za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3211z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3245z00,
		BGl_z62cleanupzd2nodez12zd2sequen2750z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3213z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3246z00,
		BGl_z62cleanupzd2nodez12zd2sync2752z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3214z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3247z00,
		BGl_z62cleanupzd2nodez12zd2setq2754z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3215z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3248z00,
		BGl_z62cleanupzd2nodez12zd2condit2756z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3216z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3249z00,
		BGl_z62cleanupzd2nodez12zd2fail2758z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3217z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3250z00,
		BGl_z62cleanupzd2nodez12zd2select2760z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3218z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3251z00,
		BGl_z62cleanupzd2nodez12zd2letzd2fu2762za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3219z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3252z00,
		BGl_z62cleanupzd2nodez12zd2letzd2va2764za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3220z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3253z00,
		BGl_z62cleanupzd2nodez12zd2setzd2ex2766za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3221z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3254z00,
		BGl_z62cleanupzd2nodez12zd2jumpzd2e2768za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3222z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3255z00,
		BGl_z62cleanupzd2nodez12zd2makezd2b2770za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3223z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3256z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2re2772za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3224z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3257z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2se2774za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3225z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3258z00,
		BGl_z62cleanupzd2nodez12zd2appzd2ly2776za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3226z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3259z00,
		BGl_z62cleanupzd2nodez12zd2funcal2778z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3227z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3260z00,
		BGl_z62cleanupzd2nodez12zd2app2780z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3228z00zzcfa_arithmeticz00,
		BgL_bgl_za762nodeza7d2setupza73261za7,
		BGl_z62nodezd2setupz12zd2prezd2arit2782za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3230z00zzcfa_arithmeticz00,
		BgL_bgl_za762cfaza712za7d2arit3262za7,
		BGl_z62cfaz12zd2arithmeticzd2app2784z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod3263z00,
		BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cleanupzd2arithmeticzd2nodesz12zd2envzc0zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2ari3264z00,
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long
		BgL_checksumz00_5051, char *BgL_fromz00_5052)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_cnstzd2initzd2zzcfa_arithmeticz00();
					BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_genericzd2initzd2zzcfa_arithmeticz00();
					BGl_methodzd2initzd2zzcfa_arithmeticz00();
					BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_arithmetic");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			{	/* Cfa/arithmetic.scm 28 */
				obj_t BgL_cportz00_5042;

				BgL_cportz00_5042 =
					bgl_open_input_string(BGl_string3234z00zzcfa_arithmeticz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_5043;

					BgL_iz00_5043 = ((long) 2);
				BgL_loopz00_5044:
					if ((BgL_iz00_5043 == ((long) -1)))
						{	/* Cfa/arithmetic.scm 28 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/arithmetic.scm 28 */
							{	/* Cfa/arithmetic.scm 28 */
								obj_t BgL_arg3236z00_5046;

								{	/* Cfa/arithmetic.scm 28 */

									{	/* Cfa/arithmetic.scm 28 */
										obj_t BgL_locationz00_5048;

										BgL_locationz00_5048 = BBOOL(((bool_t) 0));
										{	/* Cfa/arithmetic.scm 28 */

											BgL_arg3236z00_5046 =
												BGl_readz00zz__readerz00(BgL_cportz00_5042,
												BgL_locationz00_5048);
										}
									}
								}
								{	/* Cfa/arithmetic.scm 28 */
									int BgL_auxz00_5074;

									BgL_auxz00_5074 = (int) (BgL_iz00_5043);
									CNST_TABLE_SET(BgL_auxz00_5074, BgL_arg3236z00_5046);
							}}
							{	/* Cfa/arithmetic.scm 28 */
								int BgL_auxz00_5049;

								BgL_auxz00_5049 = (int) ((BgL_iz00_5043 - ((long) 1)));
								{
									long BgL_iz00_5079;

									BgL_iz00_5079 = (long) (BgL_auxz00_5049);
									BgL_iz00_5043 = BgL_iz00_5079;
									goto BgL_loopz00_5044;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BNIL;
			return BUNSPEC;
		}
	}



/* cleanup-arithmetic-nodes! */
	BGL_EXPORTED_DEF obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 52 */
			{
				obj_t BgL_l2707z00_2578;

				BgL_l2707z00_2578 = BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00;
			BgL_zc3anonymousza32788ze3z83_2579:
				if (PAIRP(BgL_l2707z00_2578))
					{	/* Cfa/arithmetic.scm 63 */
						{	/* Cfa/arithmetic.scm 64 */
							obj_t BgL_nodez00_2581;

							BgL_nodez00_2581 = CAR(BgL_l2707z00_2578);
							{	/* Cfa/arithmetic.scm 64 */
								BgL_appz00_bglt BgL_i1150z00_2582;

								BgL_i1150z00_2582 = ((BgL_appz00_bglt) BgL_nodez00_2581);
								{	/* Cfa/arithmetic.scm 65 */
									BgL_variablez00_bglt BgL_fz00_2583;

									BgL_fz00_2583 =
										(((BgL_varz00_bglt) CREF(
												(((BgL_appz00_bglt) CREF(
															((BgL_appz00_bglt) BgL_i1150z00_2582)))->
													BgL_funz00)))->BgL_variablez00);
									{	/* Cfa/arithmetic.scm 65 */
										BgL_valuez00_bglt BgL_valz00_2584;

										BgL_valz00_2584 =
											(((BgL_variablez00_bglt) CREF(BgL_fz00_2583))->
											BgL_valuez00);
										{	/* Cfa/arithmetic.scm 66 */

											{	/* Cfa/arithmetic.scm 68 */
												bool_t BgL_testz00_5089;

												{	/* Cfa/arithmetic.scm 68 */
													BgL_typez00_bglt BgL_arg2791z00_2586;

													BgL_arg2791z00_2586 =
														(((BgL_variablez00_bglt) CREF(BgL_fz00_2583))->
														BgL_typez00);
													BgL_testz00_5089 =
														(((obj_t) BgL_arg2791z00_2586) ==
														BGl_za2_za2z00zztype_cachez00);
												}
												if (BgL_testz00_5089)
													{	/* Cfa/arithmetic.scm 69 */
														BgL_typez00_bglt BgL_vz00_4674;

														BgL_vz00_4674 =
															((BgL_typez00_bglt)
															BGl_za2objza2z00zztype_cachez00);
														((((BgL_variablez00_bglt) CREF(BgL_fz00_2583))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_vz00_4674), BUNSPEC);
													}
												else
													{	/* Cfa/arithmetic.scm 68 */
														BFALSE;
													}
											}
											{	/* Cfa/arithmetic.scm 70 */
												bool_t BgL_testz00_5095;

												{	/* Cfa/arithmetic.scm 70 */
													BgL_typez00_bglt BgL_arg2793z00_2588;

													BgL_arg2793z00_2588 =
														(((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_nodez00_2581)))->
														BgL_typez00);
													BgL_testz00_5095 =
														(((obj_t) BgL_arg2793z00_2588) ==
														BGl_za2_za2z00zztype_cachez00);
												}
												if (BgL_testz00_5095)
													{	/* Cfa/arithmetic.scm 71 */
														BgL_nodez00_bglt BgL_oz00_4679;
														BgL_typez00_bglt BgL_vz00_4680;

														BgL_oz00_4679 =
															((BgL_nodez00_bglt) BgL_nodez00_2581);
														BgL_vz00_4680 =
															((BgL_typez00_bglt)
															BGl_za2objza2z00zztype_cachez00);
														((((BgL_nodez00_bglt) CREF(BgL_oz00_4679))->
																BgL_typez00) =
															((BgL_typez00_bglt) BgL_vz00_4680), BUNSPEC);
													}
												else
													{	/* Cfa/arithmetic.scm 70 */
														BFALSE;
													}
											}
											{	/* Cfa/arithmetic.scm 73 */
												bool_t BgL_testz00_5103;

												{	/* Cfa/arithmetic.scm 73 */
													bool_t BgL_res3144z00_4683;

													{	/* Cfa/arithmetic.scm 73 */
														obj_t BgL_objz00_4682;

														BgL_objz00_4682 = ((obj_t) BgL_valz00_2584);
														BgL_res3144z00_4683 =
															BGl_isazf3zf3zz__objectz00(BgL_objz00_4682,
															BGl_sfunz00zzast_varz00);
													}
													BgL_testz00_5103 = BgL_res3144z00_4683;
												}
												if (BgL_testz00_5103)
													{	/* Cfa/arithmetic.scm 74 */
														obj_t BgL_arg2795z00_2590;

														{	/* Cfa/arithmetic.scm 74 */
															obj_t BgL_l2701z00_2591;

															BgL_l2701z00_2591 =
																(((BgL_sfunz00_bglt) CREF(
																		((BgL_sfunz00_bglt) BgL_valz00_2584)))->
																BgL_argsz00);
															if (NULLP(BgL_l2701z00_2591))
																{	/* Cfa/arithmetic.scm 74 */
																	BgL_arg2795z00_2590 = BNIL;
																}
															else
																{	/* Cfa/arithmetic.scm 74 */
																	obj_t BgL_head2703z00_2593;

																	{	/* Cfa/arithmetic.scm 74 */
																		obj_t BgL_arg2802z00_2605;

																		BgL_arg2802z00_2605 =
																			BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																			(CAR(BgL_l2701z00_2591));
																		{	/* Cfa/arithmetic.scm 74 */
																			obj_t BgL_res3146z00_4691;

																			BgL_res3146z00_4691 =
																				MAKE_PAIR(BgL_arg2802z00_2605, BNIL);
																			BgL_head2703z00_2593 =
																				BgL_res3146z00_4691;
																		}
																	}
																	{	/* Cfa/arithmetic.scm 74 */
																		obj_t BgL_g2706z00_2594;

																		BgL_g2706z00_2594 = CDR(BgL_l2701z00_2591);
																		{
																			obj_t BgL_l2701z00_2596;
																			obj_t BgL_tail2704z00_2597;

																			BgL_l2701z00_2596 = BgL_g2706z00_2594;
																			BgL_tail2704z00_2597 =
																				BgL_head2703z00_2593;
																		BgL_zc3anonymousza32797ze3z83_2598:
																			if (NULLP(BgL_l2701z00_2596))
																				{	/* Cfa/arithmetic.scm 74 */
																					BgL_arg2795z00_2590 =
																						BgL_head2703z00_2593;
																				}
																			else
																				{	/* Cfa/arithmetic.scm 74 */
																					obj_t BgL_newtail2705z00_2600;

																					{	/* Cfa/arithmetic.scm 74 */
																						obj_t BgL_arg2800z00_2602;

																						BgL_arg2800z00_2602 =
																							BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																							(CAR(BgL_l2701z00_2596));
																						{	/* Cfa/arithmetic.scm 74 */
																							obj_t BgL_res3148z00_4698;

																							BgL_res3148z00_4698 =
																								MAKE_PAIR(BgL_arg2800z00_2602,
																								BNIL);
																							BgL_newtail2705z00_2600 =
																								BgL_res3148z00_4698;
																						}
																					}
																					SET_CDR(BgL_tail2704z00_2597,
																						BgL_newtail2705z00_2600);
																					{
																						obj_t BgL_tail2704z00_5122;
																						obj_t BgL_l2701z00_5120;

																						BgL_l2701z00_5120 =
																							CDR(BgL_l2701z00_2596);
																						BgL_tail2704z00_5122 =
																							BgL_newtail2705z00_2600;
																						BgL_tail2704z00_2597 =
																							BgL_tail2704z00_5122;
																						BgL_l2701z00_2596 =
																							BgL_l2701z00_5120;
																						goto
																							BgL_zc3anonymousza32797ze3z83_2598;
																					}
																				}
																		}
																	}
																}
														}
														{	/* Cfa/arithmetic.scm 74 */
															BgL_sfunz00_bglt BgL_oz00_4702;

															BgL_oz00_4702 =
																((BgL_sfunz00_bglt) BgL_valz00_2584);
															((((BgL_sfunz00_bglt) CREF(BgL_oz00_4702))->
																	BgL_argsz00) =
																((obj_t) BgL_arg2795z00_2590), BUNSPEC);
														}
													}
												else
													{	/* Cfa/arithmetic.scm 75 */
														bool_t BgL_testz00_5125;

														{	/* Cfa/arithmetic.scm 75 */
															bool_t BgL_res3149z00_4706;

															{	/* Cfa/arithmetic.scm 75 */
																obj_t BgL_objz00_4705;

																BgL_objz00_4705 = ((obj_t) BgL_valz00_2584);
																BgL_res3149z00_4706 =
																	BGl_isazf3zf3zz__objectz00(BgL_objz00_4705,
																	BGl_cfunz00zzast_varz00);
															}
															BgL_testz00_5125 = BgL_res3149z00_4706;
														}
														if (BgL_testz00_5125)
															{	/* Cfa/arithmetic.scm 76 */
																obj_t BgL_g1151z00_2608;

																BgL_g1151z00_2608 =
																	(((BgL_cfunz00_bglt) CREF(
																			((BgL_cfunz00_bglt) BgL_valz00_2584)))->
																	BgL_argszd2typezd2);
																{
																	obj_t BgL_lz00_2610;

																	{	/* Cfa/arithmetic.scm 76 */
																		bool_t BgL_auxz00_5130;

																		BgL_lz00_2610 = BgL_g1151z00_2608;
																	BgL_zc3anonymousza32805ze3z83_2611:
																		if (PAIRP(BgL_lz00_2610))
																			{	/* Cfa/arithmetic.scm 77 */
																				{	/* Cfa/arithmetic.scm 79 */
																					obj_t BgL_auxz00_5133;

																					BgL_auxz00_5133 =
																						BGl_cleanupzd2typezd2zzcfa_arithmeticz00
																						(CAR(BgL_lz00_2610));
																					SET_CAR(BgL_lz00_2610,
																						BgL_auxz00_5133);
																				}
																				{
																					obj_t BgL_lz00_5137;

																					BgL_lz00_5137 = CDR(BgL_lz00_2610);
																					BgL_lz00_2610 = BgL_lz00_5137;
																					goto
																						BgL_zc3anonymousza32805ze3z83_2611;
																				}
																			}
																		else
																			{	/* Cfa/arithmetic.scm 77 */
																				BgL_auxz00_5130 = ((bool_t) 0);
																			}
																		BBOOL(BgL_auxz00_5130);
																	}
																}
															}
														else
															{	/* Cfa/arithmetic.scm 75 */
																BFALSE;
															}
													}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l2707z00_5140;

							BgL_l2707z00_5140 = CDR(BgL_l2707z00_2578);
							BgL_l2707z00_2578 = BgL_l2707z00_5140;
							goto BgL_zc3anonymousza32788ze3z83_2579;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 63 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l2709z00_2621;

				BgL_l2709z00_2621 = BgL_globalsz00_3;
			BgL_zc3anonymousza32813ze3z83_2622:
				if (PAIRP(BgL_l2709z00_2621))
					{	/* Cfa/arithmetic.scm 83 */
						{	/* Cfa/arithmetic.scm 83 */
							obj_t BgL_arg2815z00_2624;

							BgL_arg2815z00_2624 = CAR(BgL_l2709z00_2621);
							{	/* Cfa/arithmetic.scm 90 */
								BgL_valuez00_bglt BgL_funz00_4720;

								BgL_funz00_4720 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_arg2815z00_2624)))->
									BgL_valuez00);
								{	/* Cfa/arithmetic.scm 90 */
									obj_t BgL_bodyz00_4721;

									BgL_bodyz00_4721 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_funz00_4720)))->BgL_bodyz00);
									{	/* Cfa/arithmetic.scm 91 */

										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_bodyz00_4721));
									}
								}
							}
						}
						{
							obj_t BgL_l2709z00_5151;

							BgL_l2709z00_5151 = CDR(BgL_l2709z00_2621);
							BgL_l2709z00_2621 = BgL_l2709z00_5151;
							goto BgL_zc3anonymousza32813ze3z83_2622;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 83 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}
	}



/* cleanup-type */
	obj_t BGl_cleanupzd2typezd2zzcfa_arithmeticz00(obj_t BgL_tz00_2627)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 62 */
			if (BGl_isazf3zf3zz__objectz00(BgL_tz00_2627, BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 55 */
					if ((BgL_tz00_2627 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/arithmetic.scm 56 */
							return BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Cfa/arithmetic.scm 56 */
							return BgL_tz00_2627;
						}
				}
			else
				{	/* Cfa/arithmetic.scm 55 */
					if (BGl_isazf3zf3zz__objectz00(BgL_tz00_2627,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 57 */
							{	/* Cfa/arithmetic.scm 58 */
								bool_t BgL_testz00_5159;

								{	/* Cfa/arithmetic.scm 58 */
									BgL_typez00_bglt BgL_arg2822z00_2633;

									BgL_arg2822z00_2633 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_tz00_2627))))->BgL_typez00);
									BgL_testz00_5159 =
										(
										((obj_t) BgL_arg2822z00_2633) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_5159)
									{	/* Cfa/arithmetic.scm 59 */
										BgL_localz00_bglt BgL_oz00_4658;
										BgL_typez00_bglt BgL_vz00_4659;

										BgL_oz00_4658 = ((BgL_localz00_bglt) BgL_tz00_2627);
										BgL_vz00_4659 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_oz00_4658)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_4659), BUNSPEC);
									}
								else
									{	/* Cfa/arithmetic.scm 58 */
										BFALSE;
									}
							}
							return BgL_tz00_2627;
						}
					else
						{	/* Cfa/arithmetic.scm 57 */
							return BgL_tz00_2627;
						}
				}
		}
	}



/* &cleanup-arithmetic-nodes! */
	obj_t BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_4976, obj_t BgL_globalsz00_4977)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 52 */
			return
				BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00
				(BgL_globalsz00_4977);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_proc3209z00zzcfa_arithmeticz00, BGl_nodez00zzast_nodez00,
				BGl_string3210z00zzcfa_arithmeticz00);
		}
	}



/* &cleanup-node!2746 */
	obj_t BGl_z62cleanupzd2nodez122746za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_4979, obj_t BgL_nodez00_4980)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 97 */
			return BUNSPEC;
		}
	}



/* cleanup-node! */
	obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 97 */
			{	/* Cfa/arithmetic.scm 97 */
				obj_t BgL_method2748z00_2641;

				{	/* Cfa/arithmetic.scm 97 */
					obj_t BgL_res3160z00_4763;

					{	/* Cfa/arithmetic.scm 97 */
						BgL_objectz00_bglt BgL_objz00_4735;

						BgL_objz00_4735 = ((BgL_objectz00_bglt) BgL_nodez00_5);
						{	/* Cfa/arithmetic.scm 97 */
							long BgL_objzd2classzd2numz00_4736;

							{	/* Cfa/arithmetic.scm 97 */
								long BgL_res3154z00_4739;

								BgL_res3154z00_4739 = BGL_OBJECT_CLASS_NUM(BgL_objz00_4735);
								BgL_objzd2classzd2numz00_4736 = BgL_res3154z00_4739;
							}
							{	/* Cfa/arithmetic.scm 97 */
								obj_t BgL_arg1803z00_4737;

								BgL_arg1803z00_4737 =
									PROCEDURE_REF
									(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
									(int) (((long) 1)));
								{	/* Cfa/arithmetic.scm 97 */
									obj_t BgL_arrayz00_4740;
									int BgL_offsetz00_4741;

									BgL_arrayz00_4740 = BgL_arg1803z00_4737;
									BgL_offsetz00_4741 = (int) (BgL_objzd2classzd2numz00_4736);
									{	/* Cfa/arithmetic.scm 97 */
										long BgL_offsetz00_4742;

										BgL_offsetz00_4742 =
											((long) (BgL_offsetz00_4741) - OBJECT_TYPE);
										{	/* Cfa/arithmetic.scm 97 */
											long BgL_modz00_4743;

											{	/* Cfa/arithmetic.scm 97 */
												int BgL_arg1805z00_4744;

												BgL_arg1805z00_4744 = (int) (((long) 16));
												{	/* Cfa/arithmetic.scm 97 */
													long BgL_res3157z00_4754;

													{	/* Cfa/arithmetic.scm 97 */
														long BgL_auxz00_5179;

														BgL_auxz00_5179 = (long) (BgL_arg1805z00_4744);
														BgL_res3157z00_4754 =
															(BgL_offsetz00_4742 / BgL_auxz00_5179);
													}
													BgL_modz00_4743 = BgL_res3157z00_4754;
											}}
											{	/* Cfa/arithmetic.scm 97 */
												long BgL_restz00_4745;

												{	/* Cfa/arithmetic.scm 97 */
													int BgL_arg1804z00_4746;

													BgL_arg1804z00_4746 = (int) (((long) 16));
													{	/* Cfa/arithmetic.scm 97 */
														long BgL_res3159z00_4758;

														{	/* Cfa/arithmetic.scm 97 */
															long BgL_auxz00_5183;

															BgL_auxz00_5183 = (long) (BgL_arg1804z00_4746);
															BgL_res3159z00_4758 =
																(BgL_offsetz00_4742 % BgL_auxz00_5183);
														}
														BgL_restz00_4745 = BgL_res3159z00_4758;
												}}
												{	/* Cfa/arithmetic.scm 97 */

													BgL_res3160z00_4763 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_4740,
															(int) (BgL_modz00_4743)),
														(int) (BgL_restz00_4745));
					}}}}}}}}
					BgL_method2748z00_2641 = BgL_res3160z00_4763;
				}
				return
					PROCEDURE_ENTRY(BgL_method2748z00_2641) (BgL_method2748z00_2641,
					((obj_t) BgL_nodez00_5), BEOA);
			}
		}
	}



/* &cleanup-node! */
	obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t BgL_envz00_4981,
		obj_t BgL_nodez00_4982)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 97 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				((BgL_nodez00_bglt) BgL_nodez00_4982));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_sequencez00zzast_nodez00, BGl_proc3211z00zzcfa_arithmeticz00,
				BGl_string3212z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_syncz00zzast_nodez00, BGl_proc3213z00zzcfa_arithmeticz00,
				BGl_string3212z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setqz00zzast_nodez00, BGl_proc3214z00zzcfa_arithmeticz00,
				BGl_string3212z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3215z00zzcfa_arithmeticz00,
				BGl_string3212z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_failz00zzast_nodez00, BGl_proc3216z00zzcfa_arithmeticz00,
				BGl_string3212z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_selectz00zzast_nodez00, BGl_proc3217z00zzcfa_arithmeticz00,
				BGl_string3212z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3218z00zzcfa_arithmeticz00,
				BGl_string3212z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3219z00zzcfa_arithmeticz00,
				BGl_string3212z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3220z00zzcfa_arithmeticz00,
				BGl_string3212z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3221z00zzcfa_arithmeticz00,
				BGl_string3212z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3222z00zzcfa_arithmeticz00,
				BGl_string3212z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3223z00zzcfa_arithmeticz00,
				BGl_string3212z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3224z00zzcfa_arithmeticz00,
				BGl_string3212z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc3225z00zzcfa_arithmeticz00,
				BGl_string3212z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_funcallz00zzast_nodez00, BGl_proc3226z00zzcfa_arithmeticz00,
				BGl_string3212z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appz00zzast_nodez00, BGl_proc3227z00zzcfa_arithmeticz00,
				BGl_string3212z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2arithmeticzd2appz00zzcfa_info2z00,
				BGl_proc3228z00zzcfa_arithmeticz00,
				BGl_string3229z00zzcfa_arithmeticz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_arithmeticzd2appzd2zzcfa_info2z00,
				BGl_proc3230z00zzcfa_arithmeticz00,
				BGl_string3231z00zzcfa_arithmeticz00);
		}
	}



/* &cfa!-arithmetic-app2784 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app2784z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5001, obj_t BgL_nodez00_5002)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 288 */
			{
				BgL_appz00_bglt BgL_nodez00_2883;

				BgL_nodez00_2883 = ((BgL_appz00_bglt) BgL_nodez00_5002);
				{
					obj_t BgL_argszd2approxzd2_2933;
					obj_t BgL_argszd2approxzd2_2945;
					obj_t BgL_typez00_2946;
					obj_t BgL_speczd2typeszd2_2947;
					obj_t BgL_argszd2approxzd2_2962;
					obj_t BgL_speczd2typeszd2_2963;

					{	/* Cfa/arithmetic.scm 329 */
						obj_t BgL_argszd2approxzd2_2891;

						{	/* Cfa/arithmetic.scm 329 */
							obj_t BgL_l2738z00_2914;

							BgL_l2738z00_2914 =
								(((BgL_appz00_bglt) CREF(
										((BgL_appz00_bglt) BgL_nodez00_2883)))->BgL_argsz00);
							if (NULLP(BgL_l2738z00_2914))
								{	/* Cfa/arithmetic.scm 329 */
									BgL_argszd2approxzd2_2891 = BNIL;
								}
							else
								{	/* Cfa/arithmetic.scm 329 */
									obj_t BgL_head2740z00_2916;

									{	/* Cfa/arithmetic.scm 329 */
										BgL_approxz00_bglt BgL_arg2953z00_2928;

										{	/* Cfa/arithmetic.scm 329 */
											obj_t BgL_arg2955z00_2929;

											BgL_arg2955z00_2929 = CAR(BgL_l2738z00_2914);
											BgL_arg2953z00_2928 =
												BGl_cfaz12z12zzcfa_cfaz00(
												((BgL_nodez00_bglt) BgL_arg2955z00_2929));
										}
										{	/* Cfa/arithmetic.scm 329 */
											obj_t BgL_res3200z00_4938;

											{	/* Cfa/arithmetic.scm 329 */
												obj_t BgL_obj1z00_4936;

												BgL_obj1z00_4936 = ((obj_t) BgL_arg2953z00_2928);
												BgL_res3200z00_4938 = MAKE_PAIR(BgL_obj1z00_4936, BNIL);
											}
											BgL_head2740z00_2916 = BgL_res3200z00_4938;
										}
									}
									{	/* Cfa/arithmetic.scm 329 */
										obj_t BgL_g2743z00_2917;

										BgL_g2743z00_2917 = CDR(BgL_l2738z00_2914);
										{
											obj_t BgL_l2738z00_2919;
											obj_t BgL_tail2741z00_2920;

											BgL_l2738z00_2919 = BgL_g2743z00_2917;
											BgL_tail2741z00_2920 = BgL_head2740z00_2916;
										BgL_zc3anonymousza32947ze3z83_2921:
											if (NULLP(BgL_l2738z00_2919))
												{	/* Cfa/arithmetic.scm 329 */
													BgL_argszd2approxzd2_2891 = BgL_head2740z00_2916;
												}
											else
												{	/* Cfa/arithmetic.scm 329 */
													obj_t BgL_newtail2742z00_2923;

													{	/* Cfa/arithmetic.scm 329 */
														BgL_approxz00_bglt BgL_arg2951z00_2925;

														{	/* Cfa/arithmetic.scm 329 */
															obj_t BgL_arg2952z00_2926;

															BgL_arg2952z00_2926 = CAR(BgL_l2738z00_2919);
															BgL_arg2951z00_2925 =
																BGl_cfaz12z12zzcfa_cfaz00(
																((BgL_nodez00_bglt) BgL_arg2952z00_2926));
														}
														{	/* Cfa/arithmetic.scm 329 */
															obj_t BgL_res3202z00_4945;

															{	/* Cfa/arithmetic.scm 329 */
																obj_t BgL_obj1z00_4943;

																BgL_obj1z00_4943 =
																	((obj_t) BgL_arg2951z00_2925);
																BgL_res3202z00_4945 =
																	MAKE_PAIR(BgL_obj1z00_4943, BNIL);
															}
															BgL_newtail2742z00_2923 = BgL_res3202z00_4945;
														}
													}
													SET_CDR(BgL_tail2741z00_2920,
														BgL_newtail2742z00_2923);
													{
														obj_t BgL_tail2741z00_5235;
														obj_t BgL_l2738z00_5233;

														BgL_l2738z00_5233 = CDR(BgL_l2738z00_2919);
														BgL_tail2741z00_5235 = BgL_newtail2742z00_2923;
														BgL_tail2741z00_2920 = BgL_tail2741z00_5235;
														BgL_l2738z00_2919 = BgL_l2738z00_5233;
														goto BgL_zc3anonymousza32947ze3z83_2921;
													}
												}
										}
									}
								}
						}
						{	/* Cfa/arithmetic.scm 331 */
							obj_t BgL_tyz00_2892;

							BgL_argszd2approxzd2_2933 = BgL_argszd2approxzd2_2891;
							{
								obj_t BgL_argsz00_2936;

								BgL_argsz00_2936 = BgL_argszd2approxzd2_2933;
							BgL_zc3anonymousza32959ze3z83_2937:
								if (NULLP(BgL_argsz00_2936))
									{	/* Cfa/arithmetic.scm 297 */
										BgL_tyz00_2892 = BFALSE;
									}
								else
									{	/* Cfa/arithmetic.scm 299 */
										obj_t BgL_tz00_2939;

										{	/* Cfa/arithmetic.scm 299 */
											BgL_typez00_bglt BgL_arg2963z00_2942;

											{
												BgL_approxz00_bglt BgL_auxz00_5238;

												{	/* Cfa/arithmetic.scm 299 */
													obj_t BgL_pairz00_4908;

													BgL_pairz00_4908 = BgL_argsz00_2936;
													BgL_auxz00_5238 =
														((BgL_approxz00_bglt) CAR(BgL_pairz00_4908));
												}
												BgL_arg2963z00_2942 =
													(((BgL_approxz00_bglt) CREF(BgL_auxz00_5238))->
													BgL_typez00);
											}
											if (
												(((obj_t) BgL_arg2963z00_2942) ==
													BGl_za2intza2z00zztype_cachez00))
												{	/* Cfa/arithmetic.scm 291 */
													BgL_tz00_2939 = BGl_za2longza2z00zztype_cachez00;
												}
											else
												{	/* Cfa/arithmetic.scm 291 */
													BgL_tz00_2939 = ((obj_t) BgL_arg2963z00_2942);
												}
										}
										if ((BgL_tz00_2939 == BGl_za2_za2z00zztype_cachez00))
											{
												obj_t BgL_argsz00_5248;

												BgL_argsz00_5248 = CDR(BgL_argsz00_2936);
												BgL_argsz00_2936 = BgL_argsz00_5248;
												goto BgL_zc3anonymousza32959ze3z83_2937;
											}
										else
											{	/* Cfa/arithmetic.scm 300 */
												BgL_tyz00_2892 = BgL_tz00_2939;
											}
									}
							}
							{	/* Cfa/arithmetic.scm 337 */
								bool_t BgL_testz00_5250;

								{	/* Cfa/arithmetic.scm 337 */
									obj_t BgL_arg2945z00_2913;

									{
										BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5251;

										{
											obj_t BgL_auxz00_5252;

											{	/* Cfa/arithmetic.scm 337 */
												BgL_objectz00_bglt BgL_auxz00_5253;

												BgL_auxz00_5253 =
													((BgL_objectz00_bglt) BgL_nodez00_2883);
												BgL_auxz00_5252 = BGL_OBJECT_WIDENING(BgL_auxz00_5253);
											}
											BgL_auxz00_5251 =
												((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5252);
										}
										BgL_arg2945z00_2913 =
											(((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_5251))->
											BgL_speczd2typeszd2);
									}
									BgL_argszd2approxzd2_2945 = BgL_argszd2approxzd2_2891;
									BgL_typez00_2946 = BgL_tyz00_2892;
									BgL_speczd2typeszd2_2947 = BgL_arg2945z00_2913;
									{	/* Cfa/arithmetic.scm 306 */
										bool_t BgL__ortest_1176z00_2949;

										if (CBOOL(BgL_typez00_2946))
											{	/* Cfa/arithmetic.scm 306 */
												BgL__ortest_1176z00_2949 = ((bool_t) 0);
											}
										else
											{	/* Cfa/arithmetic.scm 306 */
												BgL__ortest_1176z00_2949 = ((bool_t) 1);
											}
										if (BgL__ortest_1176z00_2949)
											{	/* Cfa/arithmetic.scm 306 */
												BgL_testz00_5250 = BgL__ortest_1176z00_2949;
											}
										else
											{	/* Cfa/arithmetic.scm 307 */
												obj_t BgL__andtest_1177z00_2950;

												BgL__andtest_1177z00_2950 =
													BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(BgL_typez00_2946, BgL_speczd2typeszd2_2947);
												if (CBOOL(BgL__andtest_1177z00_2950))
													{
														obj_t BgL_argsz00_2952;

														BgL_argsz00_2952 = BgL_argszd2approxzd2_2945;
													BgL_zc3anonymousza32966ze3z83_2953:
														if (NULLP(BgL_argsz00_2952))
															{	/* Cfa/arithmetic.scm 309 */
																BgL_testz00_5250 = ((bool_t) 1);
															}
														else
															{	/* Cfa/arithmetic.scm 311 */
																obj_t BgL_tz00_2955;

																{	/* Cfa/arithmetic.scm 311 */
																	BgL_typez00_bglt BgL_arg2971z00_2959;

																	{
																		BgL_approxz00_bglt BgL_auxz00_5266;

																		{	/* Cfa/arithmetic.scm 311 */
																			obj_t BgL_pairz00_4917;

																			BgL_pairz00_4917 = BgL_argsz00_2952;
																			BgL_auxz00_5266 =
																				((BgL_approxz00_bglt)
																				CAR(BgL_pairz00_4917));
																		}
																		BgL_arg2971z00_2959 =
																			(((BgL_approxz00_bglt)
																				CREF(BgL_auxz00_5266))->BgL_typez00);
																	}
																	if (
																		(((obj_t) BgL_arg2971z00_2959) ==
																			BGl_za2intza2z00zztype_cachez00))
																		{	/* Cfa/arithmetic.scm 291 */
																			BgL_tz00_2955 =
																				BGl_za2longza2z00zztype_cachez00;
																		}
																	else
																		{	/* Cfa/arithmetic.scm 291 */
																			BgL_tz00_2955 =
																				((obj_t) BgL_arg2971z00_2959);
																		}
																}
																{	/* Cfa/arithmetic.scm 312 */
																	bool_t BgL_testz00_5274;

																	if ((BgL_tz00_2955 == BgL_typez00_2946))
																		{	/* Cfa/arithmetic.scm 312 */
																			BgL_testz00_5274 = ((bool_t) 1);
																		}
																	else
																		{	/* Cfa/arithmetic.scm 312 */
																			BgL_testz00_5274 =
																				(BgL_tz00_2955 ==
																				BGl_za2_za2z00zztype_cachez00);
																		}
																	if (BgL_testz00_5274)
																		{
																			obj_t BgL_argsz00_5278;

																			BgL_argsz00_5278 = CDR(BgL_argsz00_2952);
																			BgL_argsz00_2952 = BgL_argsz00_5278;
																			goto BgL_zc3anonymousza32966ze3z83_2953;
																		}
																	else
																		{	/* Cfa/arithmetic.scm 312 */
																			BgL_testz00_5250 = ((bool_t) 0);
																		}
																}
															}
													}
												else
													{	/* Cfa/arithmetic.scm 307 */
														BgL_testz00_5250 = ((bool_t) 0);
													}
											}
									}
								}
								if (BgL_testz00_5250)
									{	/* Cfa/arithmetic.scm 337 */
										{	/* Cfa/arithmetic.scm 340 */
											bool_t BgL_testz00_5280;

											{	/* Cfa/arithmetic.scm 340 */
												bool_t BgL_testz00_5281;

												{	/* Cfa/arithmetic.scm 340 */
													obj_t BgL_arg2935z00_2899;

													{
														BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5282;

														{
															obj_t BgL_auxz00_5283;

															{	/* Cfa/arithmetic.scm 340 */
																BgL_objectz00_bglt BgL_auxz00_5284;

																BgL_auxz00_5284 =
																	((BgL_objectz00_bglt) BgL_nodez00_2883);
																BgL_auxz00_5283 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_5284);
															}
															BgL_auxz00_5282 =
																((BgL_arithmeticzd2appzd2_bglt)
																BgL_auxz00_5283);
														}
														BgL_arg2935z00_2899 =
															(((BgL_arithmeticzd2appzd2_bglt)
																CREF(BgL_auxz00_5282))->BgL_speczd2typeszd2);
													}
													BgL_argszd2approxzd2_2962 = BgL_argszd2approxzd2_2891;
													BgL_speczd2typeszd2_2963 = BgL_arg2935z00_2899;
													{
														obj_t BgL_argsz00_2966;

														BgL_argsz00_2966 = BgL_argszd2approxzd2_2962;
													BgL_zc3anonymousza32974ze3z83_2967:
														if (NULLP(BgL_argsz00_2966))
															{	/* Cfa/arithmetic.scm 319 */
																BgL_testz00_5281 = ((bool_t) 1);
															}
														else
															{	/* Cfa/arithmetic.scm 321 */
																bool_t BgL_testz00_5291;

																{	/* Cfa/arithmetic.scm 321 */
																	obj_t BgL_arg2978z00_2971;

																	{	/* Cfa/arithmetic.scm 321 */
																		BgL_typez00_bglt BgL_arg2979z00_2972;

																		{
																			BgL_approxz00_bglt BgL_auxz00_5292;

																			{	/* Cfa/arithmetic.scm 321 */
																				obj_t BgL_pairz00_4926;

																				BgL_pairz00_4926 = BgL_argsz00_2966;
																				BgL_auxz00_5292 =
																					((BgL_approxz00_bglt)
																					CAR(BgL_pairz00_4926));
																			}
																			BgL_arg2979z00_2972 =
																				(((BgL_approxz00_bglt)
																					CREF(BgL_auxz00_5292))->BgL_typez00);
																		}
																		if (
																			(((obj_t) BgL_arg2979z00_2972) ==
																				BGl_za2intza2z00zztype_cachez00))
																			{	/* Cfa/arithmetic.scm 291 */
																				BgL_arg2978z00_2971 =
																					BGl_za2longza2z00zztype_cachez00;
																			}
																		else
																			{	/* Cfa/arithmetic.scm 291 */
																				BgL_arg2978z00_2971 =
																					((obj_t) BgL_arg2979z00_2972);
																			}
																	}
																	BgL_testz00_5291 =
																		CBOOL
																		(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																		(BgL_arg2978z00_2971,
																			BgL_speczd2typeszd2_2963));
																}
																if (BgL_testz00_5291)
																	{
																		obj_t BgL_argsz00_5302;

																		BgL_argsz00_5302 = CDR(BgL_argsz00_2966);
																		BgL_argsz00_2966 = BgL_argsz00_5302;
																		goto BgL_zc3anonymousza32974ze3z83_2967;
																	}
																else
																	{	/* Cfa/arithmetic.scm 321 */
																		BgL_testz00_5281 = ((bool_t) 0);
																	}
															}
													}
												}
												if (BgL_testz00_5281)
													{	/* Cfa/arithmetic.scm 341 */
														BgL_typez00_bglt BgL_arg2933z00_2897;

														{
															BgL_approxz00_bglt BgL_auxz00_5304;

															{
																BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5305;

																{
																	obj_t BgL_auxz00_5306;

																	{	/* Cfa/arithmetic.scm 341 */
																		BgL_objectz00_bglt BgL_auxz00_5307;

																		BgL_auxz00_5307 =
																			((BgL_objectz00_bglt) BgL_nodez00_2883);
																		BgL_auxz00_5306 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_5307);
																	}
																	BgL_auxz00_5305 =
																		((BgL_arithmeticzd2appzd2_bglt)
																		BgL_auxz00_5306);
																}
																BgL_auxz00_5304 =
																	(((BgL_arithmeticzd2appzd2_bglt)
																		CREF(BgL_auxz00_5305))->BgL_approxz00);
															}
															BgL_arg2933z00_2897 =
																(((BgL_approxz00_bglt) CREF(BgL_auxz00_5304))->
																BgL_typez00);
														}
														BgL_testz00_5280 =
															(
															((obj_t) BgL_arg2933z00_2897) ==
															BGl_za2_za2z00zztype_cachez00);
													}
												else
													{	/* Cfa/arithmetic.scm 340 */
														BgL_testz00_5280 = ((bool_t) 0);
													}
											}
											if (BgL_testz00_5280)
												{	/* Cfa/arithmetic.scm 340 */
													{	/* Cfa/arithmetic.scm 344 */
														BgL_approxz00_bglt BgL_arg2931z00_2895;

														{
															BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5315;

															{
																obj_t BgL_auxz00_5316;

																{	/* Cfa/arithmetic.scm 344 */
																	BgL_objectz00_bglt BgL_auxz00_5317;

																	BgL_auxz00_5317 =
																		((BgL_objectz00_bglt) BgL_nodez00_2883);
																	BgL_auxz00_5316 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_5317);
																}
																BgL_auxz00_5315 =
																	((BgL_arithmeticzd2appzd2_bglt)
																	BgL_auxz00_5316);
															}
															BgL_arg2931z00_2895 =
																(((BgL_arithmeticzd2appzd2_bglt)
																	CREF(BgL_auxz00_5315))->BgL_approxz00);
														}
														BGl_approxzd2setzd2typez12z12zzcfa_approxz00
															(BgL_arg2931z00_2895,
															((BgL_typez00_bglt) BgL_tyz00_2892));
													}
													BGl_continuezd2cfaz12zc0zzcfa_iteratez00
														(CNST_TABLE_REF(((long) 0)));
												}
											else
												{	/* Cfa/arithmetic.scm 340 */
													BFALSE;
												}
										}
									}
								else
									{	/* Cfa/arithmetic.scm 346 */
										bool_t BgL_testz00_5326;

										if (
											((((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt)
																	(((BgL_varz00_bglt) CREF(
																				(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_nodez00_2883)))->
																					BgL_funz00)))->BgL_variablez00)))))->
													BgL_idz00) == CNST_TABLE_REF(((long) 1))))
											{	/* Cfa/arithmetic.scm 346 */
												BgL_testz00_5326 = ((bool_t) 0);
											}
										else
											{	/* Cfa/arithmetic.scm 346 */
												BgL_testz00_5326 = ((bool_t) 1);
											}
										if (BgL_testz00_5326)
											{	/* Cfa/arithmetic.scm 346 */
												{
													obj_t BgL_l2744z00_2902;

													BgL_l2744z00_2902 = BgL_argszd2approxzd2_2891;
												BgL_zc3anonymousza32937ze3z83_2903:
													if (PAIRP(BgL_l2744z00_2902))
														{	/* Cfa/arithmetic.scm 347 */
															{	/* Cfa/arithmetic.scm 347 */
																obj_t BgL_az00_2905;

																BgL_az00_2905 = CAR(BgL_l2744z00_2902);
																BGl_loosez12z12zzcfa_loosez00(
																	((BgL_approxz00_bglt) BgL_az00_2905),
																	CNST_TABLE_REF(((long) 2)));
															}
															{
																obj_t BgL_l2744z00_5342;

																BgL_l2744z00_5342 = CDR(BgL_l2744z00_2902);
																BgL_l2744z00_2902 = BgL_l2744z00_5342;
																goto BgL_zc3anonymousza32937ze3z83_2903;
															}
														}
													else
														{	/* Cfa/arithmetic.scm 347 */
															((bool_t) 1);
														}
												}
												{	/* Cfa/arithmetic.scm 348 */
													BgL_approxz00_bglt BgL_arg2940z00_2908;

													{
														BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5344;

														{
															obj_t BgL_auxz00_5345;

															{	/* Cfa/arithmetic.scm 348 */
																BgL_objectz00_bglt BgL_auxz00_5346;

																BgL_auxz00_5346 =
																	((BgL_objectz00_bglt) BgL_nodez00_2883);
																BgL_auxz00_5345 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_5346);
															}
															BgL_auxz00_5344 =
																((BgL_arithmeticzd2appzd2_bglt)
																BgL_auxz00_5345);
														}
														BgL_arg2940z00_2908 =
															(((BgL_arithmeticzd2appzd2_bglt)
																CREF(BgL_auxz00_5344))->BgL_approxz00);
													}
													BGl_approxzd2setzd2typez12z12zzcfa_approxz00
														(BgL_arg2940z00_2908,
														((BgL_typez00_bglt)
															BGl_za2objza2z00zztype_cachez00));
												}
											}
										else
											{	/* Cfa/arithmetic.scm 346 */
												BFALSE;
											}
									}
							}
						}
					}
					{
						BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5353;

						{
							obj_t BgL_auxz00_5354;

							{	/* Cfa/arithmetic.scm 351 */
								BgL_objectz00_bglt BgL_auxz00_5355;

								BgL_auxz00_5355 = ((BgL_objectz00_bglt) BgL_nodez00_2883);
								BgL_auxz00_5354 = BGL_OBJECT_WIDENING(BgL_auxz00_5355);
							}
							BgL_auxz00_5353 =
								((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5354);
						}
						return
							(((BgL_arithmeticzd2appzd2_bglt) CREF(BgL_auxz00_5353))->
							BgL_approxz00);
					}
				}
			}
		}
	}



/* &node-setup!-pre-arit2782 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2arit2782za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5003, obj_t BgL_nodez00_5004)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 245 */
			{
				BgL_appz00_bglt BgL_nodez00_2824;

				BgL_nodez00_2824 = ((BgL_appz00_bglt) BgL_nodez00_5004);
				{	/* Cfa/arithmetic.scm 256 */
					BgL_variablez00_bglt BgL_fz00_2829;

					BgL_fz00_2829 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(
											((BgL_appz00_bglt) BgL_nodez00_2824)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Cfa/arithmetic.scm 256 */
						BgL_valuez00_bglt BgL_valz00_2830;

						BgL_valz00_2830 =
							(((BgL_variablez00_bglt) CREF(BgL_fz00_2829))->BgL_valuez00);
						{	/* Cfa/arithmetic.scm 257 */

							{	/* Cfa/arithmetic.scm 259 */
								bool_t BgL_testz00_5365;

								{	/* Cfa/arithmetic.scm 259 */
									BgL_typez00_bglt BgL_arg2898z00_2832;

									BgL_arg2898z00_2832 =
										(((BgL_variablez00_bglt) CREF(BgL_fz00_2829))->BgL_typez00);
									BgL_testz00_5365 =
										(
										((obj_t) BgL_arg2898z00_2832) ==
										BGl_za2objza2z00zztype_cachez00);
								}
								if (BgL_testz00_5365)
									{	/* Cfa/arithmetic.scm 259 */
										{	/* Cfa/arithmetic.scm 262 */
											BgL_typez00_bglt BgL_vz00_4843;

											BgL_vz00_4843 =
												((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
											((((BgL_variablez00_bglt) CREF(BgL_fz00_2829))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_4843), BUNSPEC);
										}
										{	/* Cfa/arithmetic.scm 263 */
											BgL_nodez00_bglt BgL_oz00_4845;
											BgL_typez00_bglt BgL_vz00_4846;

											BgL_oz00_4845 = ((BgL_nodez00_bglt) BgL_nodez00_2824);
											BgL_vz00_4846 =
												((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
											((((BgL_nodez00_bglt) CREF(BgL_oz00_4845))->BgL_typez00) =
												((BgL_typez00_bglt) BgL_vz00_4846), BUNSPEC);
										}
									}
								else
									{	/* Cfa/arithmetic.scm 259 */
										BFALSE;
									}
							}
							{	/* Cfa/arithmetic.scm 265 */
								bool_t BgL_testz00_5374;

								{	/* Cfa/arithmetic.scm 265 */
									bool_t BgL_res3180z00_4849;

									{	/* Cfa/arithmetic.scm 265 */
										obj_t BgL_objz00_4848;

										BgL_objz00_4848 = ((obj_t) BgL_valz00_2830);
										BgL_res3180z00_4849 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_4848,
											BGl_sfunz00zzast_varz00);
									}
									BgL_testz00_5374 = BgL_res3180z00_4849;
								}
								if (BgL_testz00_5374)
									{	/* Cfa/arithmetic.scm 266 */
										obj_t BgL_arg2900z00_2834;

										{	/* Cfa/arithmetic.scm 266 */
											obj_t BgL_l2732z00_2835;

											BgL_l2732z00_2835 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_valz00_2830)))->
												BgL_argsz00);
											if (NULLP(BgL_l2732z00_2835))
												{	/* Cfa/arithmetic.scm 266 */
													BgL_arg2900z00_2834 = BNIL;
												}
											else
												{	/* Cfa/arithmetic.scm 266 */
													obj_t BgL_head2734z00_2837;

													{	/* Cfa/arithmetic.scm 266 */
														obj_t BgL_arg2908z00_2849;

														BgL_arg2908z00_2849 =
															BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(CAR
															(BgL_l2732z00_2835));
														{	/* Cfa/arithmetic.scm 266 */
															obj_t BgL_res3182z00_4857;

															BgL_res3182z00_4857 =
																MAKE_PAIR(BgL_arg2908z00_2849, BNIL);
															BgL_head2734z00_2837 = BgL_res3182z00_4857;
														}
													}
													{	/* Cfa/arithmetic.scm 266 */
														obj_t BgL_g2737z00_2838;

														BgL_g2737z00_2838 = CDR(BgL_l2732z00_2835);
														{
															obj_t BgL_l2732z00_2840;
															obj_t BgL_tail2735z00_2841;

															BgL_l2732z00_2840 = BgL_g2737z00_2838;
															BgL_tail2735z00_2841 = BgL_head2734z00_2837;
														BgL_zc3anonymousza32902ze3z83_2842:
															if (NULLP(BgL_l2732z00_2840))
																{	/* Cfa/arithmetic.scm 266 */
																	BgL_arg2900z00_2834 = BgL_head2734z00_2837;
																}
															else
																{	/* Cfa/arithmetic.scm 266 */
																	obj_t BgL_newtail2736z00_2844;

																	{	/* Cfa/arithmetic.scm 266 */
																		obj_t BgL_arg2905z00_2846;

																		BgL_arg2905z00_2846 =
																			BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00
																			(CAR(BgL_l2732z00_2840));
																		{	/* Cfa/arithmetic.scm 266 */
																			obj_t BgL_res3184z00_4864;

																			BgL_res3184z00_4864 =
																				MAKE_PAIR(BgL_arg2905z00_2846, BNIL);
																			BgL_newtail2736z00_2844 =
																				BgL_res3184z00_4864;
																		}
																	}
																	SET_CDR(BgL_tail2735z00_2841,
																		BgL_newtail2736z00_2844);
																	{
																		obj_t BgL_tail2735z00_5393;
																		obj_t BgL_l2732z00_5391;

																		BgL_l2732z00_5391 = CDR(BgL_l2732z00_2840);
																		BgL_tail2735z00_5393 =
																			BgL_newtail2736z00_2844;
																		BgL_tail2735z00_2841 = BgL_tail2735z00_5393;
																		BgL_l2732z00_2840 = BgL_l2732z00_5391;
																		goto BgL_zc3anonymousza32902ze3z83_2842;
																	}
																}
														}
													}
												}
										}
										{	/* Cfa/arithmetic.scm 266 */
											BgL_sfunz00_bglt BgL_oz00_4868;

											BgL_oz00_4868 = ((BgL_sfunz00_bglt) BgL_valz00_2830);
											((((BgL_sfunz00_bglt) CREF(BgL_oz00_4868))->BgL_argsz00) =
												((obj_t) BgL_arg2900z00_2834), BUNSPEC);
										}
									}
								else
									{	/* Cfa/arithmetic.scm 267 */
										bool_t BgL_testz00_5396;

										{	/* Cfa/arithmetic.scm 267 */
											bool_t BgL_res3185z00_4872;

											{	/* Cfa/arithmetic.scm 267 */
												obj_t BgL_objz00_4871;

												BgL_objz00_4871 = ((obj_t) BgL_valz00_2830);
												BgL_res3185z00_4872 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_4871,
													BGl_cfunz00zzast_varz00);
											}
											BgL_testz00_5396 = BgL_res3185z00_4872;
										}
										if (BgL_testz00_5396)
											{	/* Cfa/arithmetic.scm 268 */
												obj_t BgL_g1169z00_2852;

												BgL_g1169z00_2852 =
													(((BgL_cfunz00_bglt) CREF(
															((BgL_cfunz00_bglt) BgL_valz00_2830)))->
													BgL_argszd2typezd2);
												{
													obj_t BgL_lz00_2854;

													BgL_lz00_2854 = BgL_g1169z00_2852;
												BgL_zc3anonymousza32911ze3z83_2855:
													if (PAIRP(BgL_lz00_2854))
														{	/* Cfa/arithmetic.scm 270 */
															obj_t BgL_auxz00_5403;

															BgL_auxz00_5403 =
																BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(CAR
																(BgL_lz00_2854));
															SET_CAR(BgL_lz00_2854, BgL_auxz00_5403);
														}
													else
														{
															obj_t BgL_lz00_5407;

															BgL_lz00_5407 = CDR(BgL_lz00_2854);
															BgL_lz00_2854 = BgL_lz00_5407;
															goto BgL_zc3anonymousza32911ze3z83_2855;
														}
												}
											}
										else
											{	/* Cfa/arithmetic.scm 267 */
												BGl_errorz00zz__errorz00
													(BGl_string3229z00zzcfa_arithmeticz00,
													BGl_string3232z00zzcfa_arithmeticz00,
													((obj_t) BgL_nodez00_2824));
											}
									}
							}
							BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 =
								MAKE_PAIR(
								((obj_t) BgL_nodez00_2824),
								BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00);
							{	/* Cfa/arithmetic.scm 276 */
								obj_t BgL_arg2916z00_2861;

								BgL_arg2916z00_2861 =
									(((BgL_appz00_bglt) CREF(
											((BgL_appz00_bglt) BgL_nodez00_2824)))->BgL_argsz00);
								BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg2916z00_2861);
							}
							{	/* Cfa/arithmetic.scm 277 */
								obj_t BgL_speczd2typeszd2_2862;

								{
									BgL_prezd2arithmeticzd2appz00_bglt BgL_auxz00_5416;

									{
										obj_t BgL_auxz00_5417;

										{	/* Cfa/arithmetic.scm 277 */
											BgL_objectz00_bglt BgL_auxz00_5418;

											BgL_auxz00_5418 = ((BgL_objectz00_bglt) BgL_nodez00_2824);
											BgL_auxz00_5417 = BGL_OBJECT_WIDENING(BgL_auxz00_5418);
										}
										BgL_auxz00_5416 =
											((BgL_prezd2arithmeticzd2appz00_bglt) BgL_auxz00_5417);
									}
									BgL_speczd2typeszd2_2862 =
										(((BgL_prezd2arithmeticzd2appz00_bglt)
											CREF(BgL_auxz00_5416))->BgL_speczd2typeszd2);
								}
								{	/* Cfa/arithmetic.scm 277 */
									BgL_appz00_bglt BgL_nodez00_2863;

									{	/* Cfa/arithmetic.scm 278 */
										long BgL_arg2922z00_2873;

										{	/* Cfa/arithmetic.scm 278 */
											obj_t BgL_arg2923z00_2874;

											{	/* Cfa/arithmetic.scm 278 */
												obj_t BgL_arg2924z00_2875;

												{	/* Cfa/arithmetic.scm 278 */
													BgL_objectz00_bglt BgL_objectz00_4881;

													BgL_objectz00_4881 =
														((BgL_objectz00_bglt) BgL_nodez00_2824);
													{	/* Cfa/arithmetic.scm 278 */
														long BgL_arg1806z00_4882;

														{	/* Cfa/arithmetic.scm 278 */
															long BgL_arg1808z00_4883;

															{	/* Cfa/arithmetic.scm 278 */
																long BgL_res3187z00_4885;

																BgL_res3187z00_4885 =
																	BGL_OBJECT_CLASS_NUM(BgL_objectz00_4881);
																BgL_arg1808z00_4883 = BgL_res3187z00_4885;
															}
															BgL_arg1806z00_4882 =
																(BgL_arg1808z00_4883 - OBJECT_TYPE);
														}
														BgL_arg2924z00_2875 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															(int) (BgL_arg1806z00_4882));
												}}
												BgL_arg2923z00_2874 =
													BGl_classzd2superzd2zz__objectz00
													(BgL_arg2924z00_2875);
											}
											{	/* Cfa/arithmetic.scm 278 */
												long BgL_res3189z00_4892;

												BgL_res3189z00_4892 =
													BGL_CLASS_INDEX(BgL_arg2923z00_2874);
												BgL_arg2922z00_2873 = BgL_res3189z00_4892;
										}}
										{	/* Cfa/arithmetic.scm 278 */
											BgL_objectz00_bglt BgL_objz00_4893;

											BgL_objz00_4893 = ((BgL_objectz00_bglt) BgL_nodez00_2824);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4893,
												BgL_arg2922z00_2873);
									}}
									{	/* Cfa/arithmetic.scm 278 */
										BgL_objectz00_bglt BgL_auxz00_5432;

										BgL_auxz00_5432 = ((BgL_objectz00_bglt) BgL_nodez00_2824);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_5432, BFALSE);
									}
									BgL_nodez00_2863 = BgL_nodez00_2824;
									{	/* Cfa/arithmetic.scm 278 */

										{	/* Cfa/arithmetic.scm 279 */
											BgL_appz00_bglt BgL_tmp1171z00_2864;

											BgL_tmp1171z00_2864 =
												((BgL_appz00_bglt) BgL_nodez00_2863);
											{	/* Cfa/arithmetic.scm 279 */
												BgL_appz00_bglt BgL_tmp1172z00_2865;
												BgL_arithmeticzd2appzd2_bglt BgL_wide1173z00_2866;

												BgL_tmp1172z00_2865 =
													((BgL_appz00_bglt) BgL_tmp1171z00_2864);
												BgL_wide1173z00_2866 =
													((BgL_arithmeticzd2appzd2_bglt)
													BREF(GC_MALLOC(sizeof(struct
																BgL_arithmeticzd2appzd2_bgl))));
												{	/* Cfa/arithmetic.scm 279 */
													obj_t BgL_auxz00_5440;
													BgL_objectz00_bglt BgL_auxz00_5438;

													BgL_auxz00_5440 = ((obj_t) BgL_wide1173z00_2866);
													BgL_auxz00_5438 =
														((BgL_objectz00_bglt) BgL_tmp1172z00_2865);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_5438,
														BgL_auxz00_5440);
												}
												{	/* Cfa/arithmetic.scm 279 */
													long BgL_arg2917z00_2867;

													{	/* Cfa/arithmetic.scm 279 */
														long BgL_res3190z00_4896;

														BgL_res3190z00_4896 =
															BGL_CLASS_INDEX
															(BGl_arithmeticzd2appzd2zzcfa_info2z00);
														BgL_arg2917z00_2867 = BgL_res3190z00_4896;
													}
													{	/* Cfa/arithmetic.scm 279 */
														BgL_objectz00_bglt BgL_objz00_4897;

														BgL_objz00_4897 =
															((BgL_objectz00_bglt) BgL_tmp1172z00_2865);
														((BgL_appz00_bglt)
															BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_4897,
																BgL_arg2917z00_2867));
												}} BgL_tmp1172z00_2865;
											}
											{	/* Cfa/arithmetic.scm 279 */
												BgL_appz00_bglt BgL_new1175z00_2868;

												BgL_new1175z00_2868 =
													((BgL_appz00_bglt) BgL_tmp1171z00_2864);
												{
													BgL_approxz00_bglt BgL_auxz00_5454;
													BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5448;

													{	/* Cfa/arithmetic.scm 281 */
														bool_t BgL_testz00_5455;

														{	/* Cfa/arithmetic.scm 281 */
															BgL_typez00_bglt BgL_arg2921z00_2871;

															BgL_arg2921z00_2871 =
																(((BgL_variablez00_bglt) CREF(BgL_fz00_2829))->
																BgL_typez00);
															BgL_testz00_5455 =
																(((obj_t) BgL_arg2921z00_2871) ==
																BGl_za2_za2z00zztype_cachez00);
														}
														if (BgL_testz00_5455)
															{	/* Cfa/arithmetic.scm 281 */
																BgL_auxz00_5454 =
																	BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
															}
														else
															{	/* Cfa/arithmetic.scm 283 */
																BgL_typez00_bglt BgL_arg2920z00_2870;

																BgL_arg2920z00_2870 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_fz00_2829))->BgL_typez00);
																BgL_auxz00_5454 =
																	BGl_makezd2typezd2approxz00zzcfa_approxz00
																	(BgL_arg2920z00_2870);
															}
													}
													{
														obj_t BgL_auxz00_5449;

														{	/* Cfa/arithmetic.scm 279 */
															BgL_objectz00_bglt BgL_auxz00_5450;

															BgL_auxz00_5450 =
																((BgL_objectz00_bglt) BgL_new1175z00_2868);
															BgL_auxz00_5449 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5450);
														}
														BgL_auxz00_5448 =
															((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5449);
													}
													((((BgL_arithmeticzd2appzd2_bglt)
																CREF(BgL_auxz00_5448))->BgL_approxz00) =
														((BgL_approxz00_bglt) BgL_auxz00_5454), BUNSPEC);
												}
												{
													BgL_arithmeticzd2appzd2_bglt BgL_auxz00_5463;

													{
														obj_t BgL_auxz00_5464;

														{	/* Cfa/arithmetic.scm 279 */
															BgL_objectz00_bglt BgL_auxz00_5465;

															BgL_auxz00_5465 =
																((BgL_objectz00_bglt) BgL_new1175z00_2868);
															BgL_auxz00_5464 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5465);
														}
														BgL_auxz00_5463 =
															((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_5464);
													}
													((((BgL_arithmeticzd2appzd2_bglt)
																CREF(BgL_auxz00_5463))->BgL_speczd2typeszd2) =
														((obj_t) BgL_speczd2typeszd2_2862), BUNSPEC);
												}
												return ((obj_t) BgL_new1175z00_2868);
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* unspecified-type */
	obj_t BGl_unspecifiedzd2typezd2zzcfa_arithmeticz00(obj_t BgL_lz00_2877)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 254 */
			if (BGl_isazf3zf3zz__objectz00(BgL_lz00_2877, BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 248 */
					return BGl_za2_za2z00zztype_cachez00;
				}
			else
				{	/* Cfa/arithmetic.scm 248 */
					if (BGl_isazf3zf3zz__objectz00(BgL_lz00_2877,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 250 */
							{	/* Cfa/arithmetic.scm 251 */
								BgL_localz00_bglt BgL_oz00_4830;
								BgL_typez00_bglt BgL_vz00_4831;

								BgL_oz00_4830 = ((BgL_localz00_bglt) BgL_lz00_2877);
								BgL_vz00_4831 =
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
								((((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_oz00_4830)))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_vz00_4831), BUNSPEC);
							}
							return BgL_lz00_2877;
						}
					else
						{	/* Cfa/arithmetic.scm 250 */
							return BgL_lz00_2877;
						}
				}
		}
	}



/* &cleanup-node!-app2780 */
	obj_t BGl_z62cleanupzd2nodez12zd2app2780z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5005, obj_t BgL_nodez00_5006)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 232 */
			{
				BgL_appz00_bglt BgL_nodez00_2810;

				{	/* Cfa/arithmetic.scm 233 */
					bool_t BgL_auxz00_5480;

					BgL_nodez00_2810 = ((BgL_appz00_bglt) BgL_nodez00_5006);
					{	/* Cfa/arithmetic.scm 234 */
						BgL_varz00_bglt BgL_arg2892z00_2814;

						BgL_arg2892z00_2814 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_2810))->BgL_funz00);
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
							((BgL_nodez00_bglt) BgL_arg2892z00_2814));
					}
					{	/* Cfa/arithmetic.scm 235 */
						obj_t BgL_g2731z00_2815;

						BgL_g2731z00_2815 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_2810))->BgL_argsz00);
						{
							obj_t BgL_l2729z00_2817;

							BgL_l2729z00_2817 = BgL_g2731z00_2815;
						BgL_zc3anonymousza32893ze3z83_2818:
							if (PAIRP(BgL_l2729z00_2817))
								{	/* Cfa/arithmetic.scm 235 */
									{	/* Cfa/arithmetic.scm 235 */
										obj_t BgL_arg2895z00_2820;

										BgL_arg2895z00_2820 = CAR(BgL_l2729z00_2817);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg2895z00_2820));
									}
									{
										obj_t BgL_l2729z00_5490;

										BgL_l2729z00_5490 = CDR(BgL_l2729z00_2817);
										BgL_l2729z00_2817 = BgL_l2729z00_5490;
										goto BgL_zc3anonymousza32893ze3z83_2818;
									}
								}
							else
								{	/* Cfa/arithmetic.scm 235 */
									BgL_auxz00_5480 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_5480);
				}
			}
		}
	}



/* &cleanup-node!-funcal2778 */
	obj_t BGl_z62cleanupzd2nodez12zd2funcal2778z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5007, obj_t BgL_nodez00_5008)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 224 */
			{
				BgL_funcallz00_bglt BgL_nodez00_2796;

				{	/* Cfa/arithmetic.scm 225 */
					bool_t BgL_auxz00_5494;

					BgL_nodez00_2796 = ((BgL_funcallz00_bglt) BgL_nodez00_5008);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_2796))->BgL_funz00));
					{	/* Cfa/arithmetic.scm 227 */
						obj_t BgL_g2728z00_2801;

						BgL_g2728z00_2801 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_2796))->BgL_argsz00);
						{
							obj_t BgL_l2726z00_2803;

							BgL_l2726z00_2803 = BgL_g2728z00_2801;
						BgL_zc3anonymousza32888ze3z83_2804:
							if (PAIRP(BgL_l2726z00_2803))
								{	/* Cfa/arithmetic.scm 227 */
									{	/* Cfa/arithmetic.scm 227 */
										obj_t BgL_arg2890z00_2806;

										BgL_arg2890z00_2806 = CAR(BgL_l2726z00_2803);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg2890z00_2806));
									}
									{
										obj_t BgL_l2726z00_5503;

										BgL_l2726z00_5503 = CDR(BgL_l2726z00_2803);
										BgL_l2726z00_2803 = BgL_l2726z00_5503;
										goto BgL_zc3anonymousza32888ze3z83_2804;
									}
								}
							else
								{	/* Cfa/arithmetic.scm 227 */
									BgL_auxz00_5494 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_5494);
				}
			}
		}
	}



/* &cleanup-node!-app-ly2776 */
	obj_t BGl_z62cleanupzd2nodez12zd2appzd2ly2776za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5009, obj_t BgL_nodez00_5010)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 216 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_2789;

				BgL_nodez00_2789 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_5010);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_2789))->BgL_funz00));
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_2789))->BgL_argz00));
			}
		}
	}



/* &cleanup-node!-box-se2774 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2se2774za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5011, obj_t BgL_nodez00_5012)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 208 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_2782;

				BgL_nodez00_2782 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5012);
				{	/* Cfa/arithmetic.scm 210 */
					BgL_varz00_bglt BgL_arg2883z00_2786;

					BgL_arg2883z00_2786 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2782))->BgL_varz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg2883z00_2786));
				}
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2782))->BgL_valuez00));
			}
		}
	}



/* &cleanup-node!-box-re2772 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2re2772za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5013, obj_t BgL_nodez00_5014)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 201 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_2776;

				BgL_nodez00_2776 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_5014);
				{	/* Cfa/arithmetic.scm 203 */
					BgL_varz00_bglt BgL_arg2881z00_4817;

					BgL_arg2881z00_4817 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_2776))->BgL_varz00);
					return
						BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg2881z00_4817));
				}
			}
		}
	}



/* &cleanup-node!-make-b2770 */
	obj_t BGl_z62cleanupzd2nodez12zd2makezd2b2770za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5015, obj_t BgL_nodez00_5016)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 194 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_2770;

				BgL_nodez00_2770 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_5016);
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_2770))->BgL_valuez00));
			}
		}
	}



/* &cleanup-node!-jump-e2768 */
	obj_t BGl_z62cleanupzd2nodez12zd2jumpzd2e2768za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5017, obj_t BgL_nodez00_5018)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 186 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2763;

				BgL_nodez00_2763 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5018);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2763))->BgL_exitz00));
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2763))->
						BgL_valuez00));
			}
		}
	}



/* &cleanup-node!-set-ex2766 */
	obj_t BGl_z62cleanupzd2nodez12zd2setzd2ex2766za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5019, obj_t BgL_nodez00_5020)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 178 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_2756;

				BgL_nodez00_2756 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5020);
				{	/* Cfa/arithmetic.scm 180 */
					BgL_varz00_bglt BgL_arg2876z00_2760;

					BgL_arg2876z00_2760 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2756))->BgL_varz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg2876z00_2760));
				}
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2756))->BgL_bodyz00));
			}
		}
	}



/* &cleanup-node!-let-va2764 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2va2764za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5021, obj_t BgL_nodez00_5022)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 168 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2738;

				BgL_nodez00_2738 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_5022);
				{	/* Cfa/arithmetic.scm 170 */
					obj_t BgL_g2725z00_2742;

					BgL_g2725z00_2742 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2738))->BgL_bindingsz00);
					{
						obj_t BgL_l2723z00_2744;

						BgL_l2723z00_2744 = BgL_g2725z00_2742;
					BgL_zc3anonymousza32868ze3z83_2745:
						if (PAIRP(BgL_l2723z00_2744))
							{	/* Cfa/arithmetic.scm 170 */
								{	/* Cfa/arithmetic.scm 170 */
									obj_t BgL_bz00_2747;

									BgL_bz00_2747 = CAR(BgL_l2723z00_2744);
									{	/* Cfa/arithmetic.scm 170 */
										obj_t BgL_arg2870z00_2748;

										BgL_arg2870z00_2748 = CDR(BgL_bz00_2747);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg2870z00_2748));
									}
								}
								{
									obj_t BgL_l2723z00_5543;

									BgL_l2723z00_5543 = CDR(BgL_l2723z00_2744);
									BgL_l2723z00_2744 = BgL_l2723z00_5543;
									goto BgL_zc3anonymousza32868ze3z83_2745;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 170 */
								((bool_t) 1);
							}
					}
				}
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2738))->BgL_bodyz00));
				{	/* Cfa/arithmetic.scm 172 */
					bool_t BgL_testz00_5547;

					{	/* Cfa/arithmetic.scm 172 */
						BgL_typez00_bglt BgL_arg2875z00_2754;

						BgL_arg2875z00_2754 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_2738)))->BgL_typez00);
						BgL_testz00_5547 =
							(((obj_t) BgL_arg2875z00_2754) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_5547)
						{	/* Cfa/arithmetic.scm 172 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_2738)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_nodez00_bglt)
											CREF((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2738))->
													BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
						}
					else
						{	/* Cfa/arithmetic.scm 172 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &cleanup-node!-let-fu2762 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2fu2762za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_5023, obj_t BgL_nodez00_5024)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 158 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_2721;

				BgL_nodez00_2721 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_5024);
				{	/* Cfa/arithmetic.scm 160 */
					obj_t BgL_g2722z00_2725;

					BgL_g2722z00_2725 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2721))->BgL_localsz00);
					{
						obj_t BgL_l2720z00_2727;

						BgL_l2720z00_2727 = BgL_g2722z00_2725;
					BgL_zc3anonymousza32860ze3z83_2728:
						if (PAIRP(BgL_l2720z00_2727))
							{	/* Cfa/arithmetic.scm 160 */
								{	/* Cfa/arithmetic.scm 160 */
									obj_t BgL_arg2862z00_2730;

									BgL_arg2862z00_2730 = CAR(BgL_l2720z00_2727);
									{	/* Cfa/arithmetic.scm 90 */
										BgL_valuez00_bglt BgL_funz00_4795;

										BgL_funz00_4795 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_arg2862z00_2730)))->
											BgL_valuez00);
										{	/* Cfa/arithmetic.scm 90 */
											obj_t BgL_bodyz00_4796;

											BgL_bodyz00_4796 =
												(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_funz00_4795)))->
												BgL_bodyz00);
											{	/* Cfa/arithmetic.scm 91 */

												BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
													((BgL_nodez00_bglt) BgL_bodyz00_4796));
											}
										}
									}
								}
								{
									obj_t BgL_l2720z00_5567;

									BgL_l2720z00_5567 = CDR(BgL_l2720z00_2727);
									BgL_l2720z00_2727 = BgL_l2720z00_5567;
									goto BgL_zc3anonymousza32860ze3z83_2728;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 160 */
								((bool_t) 1);
							}
					}
				}
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2721))->BgL_bodyz00));
				{	/* Cfa/arithmetic.scm 162 */
					bool_t BgL_testz00_5571;

					{	/* Cfa/arithmetic.scm 162 */
						BgL_typez00_bglt BgL_arg2867z00_2736;

						BgL_arg2867z00_2736 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_2721)))->BgL_typez00);
						BgL_testz00_5571 =
							(((obj_t) BgL_arg2867z00_2736) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_5571)
						{	/* Cfa/arithmetic.scm 162 */
							return
								((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_2721)))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_nodez00_bglt)
											CREF((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2721))->
													BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
						}
					else
						{	/* Cfa/arithmetic.scm 162 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &cleanup-node!-select2760 */
	obj_t BGl_z62cleanupzd2nodez12zd2select2760z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5025, obj_t BgL_nodez00_5026)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 150 */
			{
				BgL_selectz00_bglt BgL_nodez00_2706;

				{	/* Cfa/arithmetic.scm 151 */
					bool_t BgL_auxz00_5581;

					BgL_nodez00_2706 = ((BgL_selectz00_bglt) BgL_nodez00_5026);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_2706))->BgL_testz00));
					{	/* Cfa/arithmetic.scm 153 */
						obj_t BgL_g2719z00_2711;

						BgL_g2719z00_2711 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_2706))->BgL_clausesz00);
						{
							obj_t BgL_l2717z00_2713;

							BgL_l2717z00_2713 = BgL_g2719z00_2711;
						BgL_zc3anonymousza32856ze3z83_2714:
							if (PAIRP(BgL_l2717z00_2713))
								{	/* Cfa/arithmetic.scm 153 */
									{	/* Cfa/arithmetic.scm 153 */
										obj_t BgL_clausez00_2716;

										BgL_clausez00_2716 = CAR(BgL_l2717z00_2713);
										{	/* Cfa/arithmetic.scm 153 */
											obj_t BgL_arg2858z00_2717;

											BgL_arg2858z00_2717 = CDR(BgL_clausez00_2716);
											BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
												((BgL_nodez00_bglt) BgL_arg2858z00_2717));
										}
									}
									{
										obj_t BgL_l2717z00_5591;

										BgL_l2717z00_5591 = CDR(BgL_l2717z00_2713);
										BgL_l2717z00_2713 = BgL_l2717z00_5591;
										goto BgL_zc3anonymousza32856ze3z83_2714;
									}
								}
							else
								{	/* Cfa/arithmetic.scm 153 */
									BgL_auxz00_5581 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_5581);
				}
			}
		}
	}



/* &cleanup-node!-fail2758 */
	obj_t BGl_z62cleanupzd2nodez12zd2fail2758z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5027, obj_t BgL_nodez00_5028)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 141 */
			{
				BgL_failz00_bglt BgL_nodez00_2698;

				BgL_nodez00_2698 = ((BgL_failz00_bglt) BgL_nodez00_5028);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_2698))->BgL_procz00));
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_2698))->BgL_msgz00));
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_2698))->BgL_objz00));
			}
		}
	}



/* &cleanup-node!-condit2756 */
	obj_t BGl_z62cleanupzd2nodez12zd2condit2756z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5029, obj_t BgL_nodez00_5030)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 132 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_2690;

				BgL_nodez00_2690 = ((BgL_conditionalz00_bglt) BgL_nodez00_5030);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2690))->BgL_testz00));
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2690))->BgL_truez00));
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2690))->BgL_falsez00));
			}
		}
	}



/* &cleanup-node!-setq2754 */
	obj_t BGl_z62cleanupzd2nodez12zd2setq2754z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5031, obj_t BgL_nodez00_5032)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 125 */
			{
				BgL_setqz00_bglt BgL_nodez00_2684;

				BgL_nodez00_2684 = ((BgL_setqz00_bglt) BgL_nodez00_5032);
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_2684))->BgL_valuez00));
			}
		}
	}



/* &cleanup-node!-sync2752 */
	obj_t BGl_z62cleanupzd2nodez12zd2sync2752z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5033, obj_t BgL_nodez00_5034)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 113 */
			{
				BgL_syncz00_bglt BgL_nodez00_2662;

				BgL_nodez00_2662 = ((BgL_syncz00_bglt) BgL_nodez00_5034);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_2662))->BgL_mutexz00));
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_2662))->BgL_prelockz00));
				if (NULLP((((BgL_syncz00_bglt) CREF(BgL_nodez00_2662))->BgL_nodesz00)))
					{	/* Cfa/arithmetic.scm 117 */
						return BFALSE;
					}
				else
					{	/* Cfa/arithmetic.scm 117 */
						{	/* Cfa/arithmetic.scm 118 */
							obj_t BgL_g2716z00_2669;

							BgL_g2716z00_2669 =
								(((BgL_syncz00_bglt) CREF(BgL_nodez00_2662))->BgL_nodesz00);
							{
								obj_t BgL_l2714z00_2671;

								BgL_l2714z00_2671 = BgL_g2716z00_2669;
							BgL_zc3anonymousza32838ze3z83_2672:
								if (PAIRP(BgL_l2714z00_2671))
									{	/* Cfa/arithmetic.scm 118 */
										{	/* Cfa/arithmetic.scm 118 */
											obj_t BgL_arg2840z00_2674;

											BgL_arg2840z00_2674 = CAR(BgL_l2714z00_2671);
											BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
												((BgL_nodez00_bglt) BgL_arg2840z00_2674));
										}
										{
											obj_t BgL_l2714z00_5625;

											BgL_l2714z00_5625 = CDR(BgL_l2714z00_2671);
											BgL_l2714z00_2671 = BgL_l2714z00_5625;
											goto BgL_zc3anonymousza32838ze3z83_2672;
										}
									}
								else
									{	/* Cfa/arithmetic.scm 118 */
										((bool_t) 1);
									}
							}
						}
						{	/* Cfa/arithmetic.scm 119 */
							bool_t BgL_testz00_5627;

							{	/* Cfa/arithmetic.scm 119 */
								BgL_typez00_bglt BgL_arg2846z00_2681;

								BgL_arg2846z00_2681 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_2662)))->BgL_typez00);
								BgL_testz00_5627 =
									(
									((obj_t) BgL_arg2846z00_2681) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_5627)
								{	/* Cfa/arithmetic.scm 119 */
									return
										((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_2662)))->
											BgL_typez00) =
										((BgL_typez00_bglt) (((BgL_nodez00_bglt)
													CREF(((BgL_nodez00_bglt)
															CAR
															(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00((
																		((BgL_syncz00_bglt)
																			CREF(BgL_nodez00_2662))->
																		BgL_nodesz00))))))->BgL_typez00)), BUNSPEC);
								}
							else
								{	/* Cfa/arithmetic.scm 119 */
									return BFALSE;
								}
						}
					}
			}
		}
	}



/* &cleanup-node!-sequen2750 */
	obj_t BGl_z62cleanupzd2nodez12zd2sequen2750z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_5035, obj_t BgL_nodez00_5036)
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 103 */
			{
				BgL_sequencez00_bglt BgL_nodez00_2642;

				BgL_nodez00_2642 = ((BgL_sequencez00_bglt) BgL_nodez00_5036);
				{	/* Cfa/arithmetic.scm 105 */
					bool_t BgL_testz00_5640;

					{	/* Cfa/arithmetic.scm 105 */
						obj_t BgL_auxz00_5641;

						BgL_auxz00_5641 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_2642))->BgL_nodesz00);
						BgL_testz00_5640 = PAIRP(BgL_auxz00_5641);
					}
					if (BgL_testz00_5640)
						{	/* Cfa/arithmetic.scm 105 */
							{	/* Cfa/arithmetic.scm 106 */
								obj_t BgL_g2713z00_2647;

								BgL_g2713z00_2647 =
									(((BgL_sequencez00_bglt) CREF(BgL_nodez00_2642))->
									BgL_nodesz00);
								{
									obj_t BgL_l2711z00_2649;

									BgL_l2711z00_2649 = BgL_g2713z00_2647;
								BgL_zc3anonymousza32825ze3z83_2650:
									if (PAIRP(BgL_l2711z00_2649))
										{	/* Cfa/arithmetic.scm 106 */
											{	/* Cfa/arithmetic.scm 106 */
												obj_t BgL_arg2827z00_2652;

												BgL_arg2827z00_2652 = CAR(BgL_l2711z00_2649);
												BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
													((BgL_nodez00_bglt) BgL_arg2827z00_2652));
											}
											{
												obj_t BgL_l2711z00_5650;

												BgL_l2711z00_5650 = CDR(BgL_l2711z00_2649);
												BgL_l2711z00_2649 = BgL_l2711z00_5650;
												goto BgL_zc3anonymousza32825ze3z83_2650;
											}
										}
									else
										{	/* Cfa/arithmetic.scm 106 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/arithmetic.scm 107 */
								bool_t BgL_testz00_5652;

								{	/* Cfa/arithmetic.scm 107 */
									BgL_typez00_bglt BgL_arg2833z00_2659;

									BgL_arg2833z00_2659 =
										(((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_2642)))->BgL_typez00);
									BgL_testz00_5652 =
										(
										((obj_t) BgL_arg2833z00_2659) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_5652)
									{	/* Cfa/arithmetic.scm 107 */
										return
											((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_2642)))->
												BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_nodez00_bglt)
														CREF(((BgL_nodez00_bglt)
																CAR
																(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
																	((((BgL_sequencez00_bglt)
																				CREF(BgL_nodez00_2642))->
																			BgL_nodesz00))))))->BgL_typez00)),
											BUNSPEC);
									}
								else
									{	/* Cfa/arithmetic.scm 107 */
										return BFALSE;
									}
							}
						}
					else
						{	/* Cfa/arithmetic.scm 105 */
							return BFALSE;
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		AN_OBJECT;
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3233z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3233z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3233z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3233z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string3233z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3233z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string3233z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3233z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3233z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string3233z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string3233z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string3233z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string3233z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string3233z00zzcfa_arithmeticz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string3233z00zzcfa_arithmeticz00));
		}
	}

#ifdef __cplusplus
}
#endif
