/*===========================================================================*/
/*   (Coerce/convert.scm)                                                    */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Coerce/convert.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;


	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	static BgL_nodez00_bglt BGl_dozd2convertzd2zzcoerce_convertz00(obj_t,
		BgL_nodez00_bglt, BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
	static obj_t BGl_notifyzd2typezd2testz00zzcoerce_convertz00(obj_t, obj_t,
		obj_t);
	static long BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcoerce_convertz00();
	BGL_IMPORT obj_t BGl_warningzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_notifiedzd2locationszd2zzcoerce_convertz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcoerce_convertz00();
	static obj_t BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_findzd2coercerzd2zztype_coercionz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern BgL_nodez00_bglt BGl_coercez12z12zzcoerce_coercez00(BgL_nodez00_bglt,
		obj_t, BgL_typez00_bglt, bool_t);
	static BgL_nodez00_bglt BGl_z62convertz12z70zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	BGL_EXPORTED_DECL obj_t
		BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t, obj_t,
		BgL_nodez00_bglt);
	extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt, BgL_typez00_bglt,
		BgL_typez00_bglt, bool_t);
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t
		BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(int);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcoerce_convertz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	static obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzcoerce_convertz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static BgL_nodez00_bglt
		BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t, obj_t, obj_t,
		obj_t, BgL_nodez00_bglt, bool_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t, obj_t,
		obj_t, obj_t, BgL_nodez00_bglt);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static long BGl_za2checkza2z00zzcoerce_convertz00;
	extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2warningzd2typesza2zd2zzengine_paramz00;
	static obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt,
		BgL_typez00_bglt, obj_t, BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(BgL_typez00_bglt,
		obj_t, obj_t, obj_t, BgL_nodez00_bglt);
	extern BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_EXPORTED_DEF obj_t BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	BGL_IMPORT obj_t string_to_symbol(char *);
	static obj_t BGl_cnstzd2initzd2zzcoerce_convertz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
	static BgL_nodez00_bglt
		BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT int BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
	extern BgL_typez00_bglt
		BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t __cnst[11];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_convertz12zd2envzc0zzcoerce_convertz00,
		BgL_bgl_za762convertza712za7702281za7,
		BGl_z62convertz12z70zzcoerce_convertz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2stackzd2checkzd2envzd2zzcoerce_convertz00,
		BgL_bgl_za762getza7d2stackza7d2282za7,
		BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_runtimezd2typezd2errorzd2envzd2zzcoerce_convertz00,
		BgL_bgl_za762runtimeza7d2typ2283z00,
		BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2273z00zzcoerce_convertz00,
		BgL_bgl_string2273za700za7za7c2284za7,
		" ~a. Type test inserted \"~a\" -> \"~a\"", 36);
	      DEFINE_STRING(BGl_string2274z00zzcoerce_convertz00,
		BgL_bgl_string2274za700za7za7c2285za7, "", 0);
	      DEFINE_STRING(BGl_string2275z00zzcoerce_convertz00,
		BgL_bgl_string2275za700za7za7c2286za7, "Type error", 10);
	      DEFINE_STRING(BGl_string2276z00zzcoerce_convertz00,
		BgL_bgl_string2276za700za7za7c2287za7, "Illegal conversion", 18);
	      DEFINE_STRING(BGl_string2277z00zzcoerce_convertz00,
		BgL_bgl_string2277za700za7za7c2288za7, "coerce_convert", 14);
	      DEFINE_STRING(BGl_string2278z00zzcoerce_convertz00,
		BgL_bgl_string2278za700za7za7c2289za7,
		"aux2 if coercer let ::obj aux failure @ type-error __error location ", 68);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcoerce_convertz00(long
		BgL_checksumz00_2993, char *BgL_fromz00_2994)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcoerce_convertz00))
				{
					BGl_requirezd2initializa7ationz75zzcoerce_convertz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00();
					BGl_cnstzd2initzd2zzcoerce_convertz00();
					BGl_importedzd2moduleszd2initz00zzcoerce_convertz00();
					BGl_toplevelzd2initzd2zzcoerce_convertz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"coerce_convert");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"coerce_convert");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			{	/* Coerce/convert.scm 16 */
				obj_t BgL_cportz00_2985;

				BgL_cportz00_2985 =
					bgl_open_input_string(BGl_string2278z00zzcoerce_convertz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2986;

					BgL_iz00_2986 = ((long) 10);
				BgL_loopz00_2987:
					if ((BgL_iz00_2986 == ((long) -1)))
						{	/* Coerce/convert.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Coerce/convert.scm 16 */
							{	/* Coerce/convert.scm 16 */
								obj_t BgL_arg2280z00_2989;

								{	/* Coerce/convert.scm 16 */

									{	/* Coerce/convert.scm 16 */
										obj_t BgL_locationz00_2991;

										BgL_locationz00_2991 = BBOOL(((bool_t) 0));
										{	/* Coerce/convert.scm 16 */

											BgL_arg2280z00_2989 =
												BGl_readz00zz__readerz00(BgL_cportz00_2985,
												BgL_locationz00_2991);
										}
									}
								}
								{	/* Coerce/convert.scm 16 */
									int BgL_auxz00_3019;

									BgL_auxz00_3019 = (int) (BgL_iz00_2986);
									CNST_TABLE_SET(BgL_auxz00_3019, BgL_arg2280z00_2989);
							}}
							{	/* Coerce/convert.scm 16 */
								int BgL_auxz00_2992;

								BgL_auxz00_2992 = (int) ((BgL_iz00_2986 - ((long) 1)));
								{
									long BgL_iz00_3024;

									BgL_iz00_3024 = (long) (BgL_auxz00_2992);
									BgL_iz00_2986 = BgL_iz00_3024;
									goto BgL_loopz00_2987;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_za2checkza2z00zzcoerce_convertz00 = ((long) 0);
			BGl_notifiedzd2locationszd2zzcoerce_convertz00 = BNIL;
			BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00 = BTRUE;
			return (BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
				((long) 0), BUNSPEC);
		}
	}



/* notify-type-test */
	obj_t BGl_notifyzd2typezd2testz00zzcoerce_convertz00(obj_t BgL_fromz00_35,
		obj_t BgL_toz00_36, obj_t BgL_locz00_37)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 58 */
			if (CBOOL(BGl_za2notifyzd2typezd2testza2z00zzcoerce_convertz00))
				{	/* Coerce/convert.scm 60 */
					int BgL_stz00_1597;

					BgL_stz00_1597 = BGl_bigloozd2tracezd2stackzd2depthzd2zz__paramz00();
					BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00(
						(int) (((long) 0)));
					if (CBOOL(BgL_locz00_37))
						{	/* Coerce/convert.scm 63 */
							if (CBOOL(BGl_memberz00zz__r4_pairs_and_lists_6_3z00
									(BgL_locz00_37,
										BGl_notifiedzd2locationszd2zzcoerce_convertz00)))
								{	/* Coerce/convert.scm 68 */
									BFALSE;
								}
							else
								{	/* Coerce/convert.scm 68 */
									BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
										(((long) 1) +
										BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00);
									BGl_notifiedzd2locationszd2zzcoerce_convertz00 =
										MAKE_PAIR(BgL_locz00_37,
										BGl_notifiedzd2locationszd2zzcoerce_convertz00);
									{	/* Coerce/convert.scm 71 */
										obj_t BgL_arg1981z00_1599;
										obj_t BgL_arg1982z00_1600;
										obj_t BgL_arg1983z00_1601;

										BgL_arg1981z00_1599 =
											BGl_locationzd2fullzd2fnamez00zztools_locationz00
											(BgL_locz00_37);
										BgL_arg1982z00_1600 =
											STRUCT_REF(BgL_locz00_37, (int) (((long) 1)));
										{	/* Coerce/convert.scm 74 */
											obj_t BgL_arg1985z00_1603;
											obj_t BgL_arg1986z00_1604;

											BgL_arg1985z00_1603 =
												BGl_shapez00zztools_shapez00(BgL_fromz00_35);
											BgL_arg1986z00_1604 =
												BGl_shapez00zztools_shapez00(BgL_toz00_36);
											{	/* Coerce/convert.scm 73 */
												obj_t BgL_list1987z00_1605;

												{	/* Coerce/convert.scm 73 */
													obj_t BgL_arg1989z00_1606;

													{	/* Coerce/convert.scm 73 */
														obj_t BgL_arg1990z00_1607;

														BgL_arg1990z00_1607 =
															MAKE_PAIR(BgL_arg1986z00_1604, BNIL);
														BgL_arg1989z00_1606 =
															MAKE_PAIR(BgL_arg1985z00_1603,
															BgL_arg1990z00_1607);
													}
													BgL_list1987z00_1605 =
														MAKE_PAIR(BINT
														(BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00),
														BgL_arg1989z00_1606);
												}
												BgL_arg1983z00_1601 =
													BGl_formatz00zz__r4_output_6_10_3z00
													(BGl_string2273z00zzcoerce_convertz00,
													BgL_list1987z00_1605);
										}}
										{	/* Coerce/convert.scm 71 */
											obj_t BgL_list1984z00_1602;

											BgL_list1984z00_1602 =
												MAKE_PAIR(BgL_arg1983z00_1601, BNIL);
											BGl_warningzf2locationzf2zz__errorz00(BgL_arg1981z00_1599,
												BgL_arg1982z00_1600, BgL_list1984z00_1602);
						}}}}
					else
						{	/* Coerce/convert.scm 63 */
							BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00 =
								(((long) 1) + BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00);
							{	/* Coerce/convert.scm 67 */
								obj_t BgL_arg1992z00_1608;

								{	/* Coerce/convert.scm 67 */
									obj_t BgL_arg1995z00_1610;
									obj_t BgL_arg1996z00_1611;

									BgL_arg1995z00_1610 =
										BGl_shapez00zztools_shapez00(BgL_fromz00_35);
									BgL_arg1996z00_1611 =
										BGl_shapez00zztools_shapez00(BgL_toz00_36);
									{	/* Coerce/convert.scm 66 */
										obj_t BgL_list1997z00_1612;

										{	/* Coerce/convert.scm 66 */
											obj_t BgL_arg1998z00_1613;

											{	/* Coerce/convert.scm 66 */
												obj_t BgL_arg1999z00_1614;

												BgL_arg1999z00_1614 =
													MAKE_PAIR(BgL_arg1996z00_1611, BNIL);
												BgL_arg1998z00_1613 =
													MAKE_PAIR(BgL_arg1995z00_1610, BgL_arg1999z00_1614);
											}
											BgL_list1997z00_1612 =
												MAKE_PAIR(BINT
												(BGl_za2notifyzd2counterza2zd2zzcoerce_convertz00),
												BgL_arg1998z00_1613);
										}
										BgL_arg1992z00_1608 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string2273z00zzcoerce_convertz00,
											BgL_list1997z00_1612);
								}}
								{	/* Coerce/convert.scm 65 */
									obj_t BgL_list1993z00_1609;

									BgL_list1993z00_1609 = MAKE_PAIR(BgL_arg1992z00_1608, BNIL);
									BGl_warningz00zz__errorz00(BgL_list1993z00_1609);
						}}}
					return
						BGl_bigloozd2tracezd2stackzd2depthzd2setz12z12zz__paramz00
						(BgL_stz00_1597);
				}
			else
				{	/* Coerce/convert.scm 59 */
					return BFALSE;
				}
		}
	}



/* get-stack-check */
	BGL_EXPORTED_DEF obj_t BGl_getzd2stackzd2checkz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 87 */
			return BINT(BGl_za2checkza2z00zzcoerce_convertz00);
		}
	}



/* &get-stack-check */
	obj_t BGl_z62getzd2stackzd2checkz62zzcoerce_convertz00(obj_t BgL_envz00_2973)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 87 */
			return BGl_getzd2stackzd2checkz00zzcoerce_convertz00();
		}
	}



/* runtime-type-error/id */
	obj_t BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00(obj_t
		BgL_locz00_49, obj_t BgL_tiz00_50, obj_t BgL_idz00_51)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 113 */
			{	/* Coerce/convert.scm 115 */
				obj_t BgL_fnamez00_1622;
				obj_t BgL_posz00_1623;

				{	/* Coerce/convert.scm 115 */
					bool_t BgL_testz00_3063;

					if (STRUCTP(BgL_locz00_49))
						{	/* Coerce/convert.scm 115 */
							BgL_testz00_3063 =
								(STRUCT_KEY(BgL_locz00_49) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Coerce/convert.scm 115 */
							BgL_testz00_3063 = ((bool_t) 0);
						}
					if (BgL_testz00_3063)
						{	/* Coerce/convert.scm 115 */
							BgL_fnamez00_1622 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_49);
						}
					else
						{	/* Coerce/convert.scm 115 */
							BgL_fnamez00_1622 = BFALSE;
						}
				}
				{	/* Coerce/convert.scm 116 */
					bool_t BgL_testz00_3070;

					if (STRUCTP(BgL_locz00_49))
						{	/* Coerce/convert.scm 116 */
							BgL_testz00_3070 =
								(STRUCT_KEY(BgL_locz00_49) == CNST_TABLE_REF(((long) 0)));
						}
					else
						{	/* Coerce/convert.scm 116 */
							BgL_testz00_3070 = ((bool_t) 0);
						}
					if (BgL_testz00_3070)
						{	/* Coerce/convert.scm 116 */
							BgL_posz00_1623 = STRUCT_REF(BgL_locz00_49, (int) (((long) 1)));
						}
					else
						{	/* Coerce/convert.scm 116 */
							BgL_posz00_1623 = BFALSE;
						}
				}
				{	/* Coerce/convert.scm 118 */
					obj_t BgL_arg2007z00_1624;

					{	/* Coerce/convert.scm 118 */
						obj_t BgL_arg2008z00_1625;
						obj_t BgL_arg2009z00_1626;

						{	/* Coerce/convert.scm 118 */
							obj_t BgL_arg2010z00_1627;
							obj_t BgL_arg2011z00_1628;

							{	/* Coerce/convert.scm 118 */
								obj_t BgL_arg2012z00_1629;

								{	/* Coerce/convert.scm 118 */
									obj_t BgL_arg2013z00_1630;

									BgL_arg2013z00_1630 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 1)), BNIL);
									BgL_arg2012z00_1629 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 2)), BgL_arg2013z00_1630);
								}
								BgL_arg2010z00_1627 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 3)), BgL_arg2012z00_1629);
							}
							{	/* Coerce/convert.scm 119 */
								obj_t BgL_arg2014z00_1631;

								{	/* Coerce/convert.scm 119 */
									obj_t BgL_arg2016z00_1632;

									{	/* Coerce/convert.scm 119 */
										obj_t BgL_arg2017z00_1633;
										obj_t BgL_arg2019z00_1634;

										{	/* Coerce/convert.scm 119 */
											obj_t BgL_arg2020z00_1635;

											BgL_arg2020z00_1635 =
												BGl_currentzd2functionzd2zztools_errorz00();
											{	/* Coerce/convert.scm 119 */
												obj_t BgL_res2237z00_2759;

												{	/* Coerce/convert.scm 119 */
													obj_t BgL_symbolz00_2757;

													BgL_symbolz00_2757 = BgL_arg2020z00_1635;
													{	/* Coerce/convert.scm 119 */
														obj_t BgL_arg1308z00_2758;

														BgL_arg1308z00_2758 =
															SYMBOL_TO_STRING(BgL_symbolz00_2757);
														BgL_res2237z00_2759 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1308z00_2758);
												}}
												BgL_arg2017z00_1633 = BgL_res2237z00_2759;
										}}
										{	/* Coerce/convert.scm 120 */
											obj_t BgL_arg2021z00_1636;
											obj_t BgL_arg2022z00_1637;

											{	/* Coerce/convert.scm 120 */
												obj_t BgL_res2238z00_2762;

												{	/* Coerce/convert.scm 120 */
													obj_t BgL_symbolz00_2760;

													BgL_symbolz00_2760 = BgL_tiz00_50;
													{	/* Coerce/convert.scm 120 */
														obj_t BgL_arg1308z00_2761;

														BgL_arg1308z00_2761 =
															SYMBOL_TO_STRING(BgL_symbolz00_2760);
														BgL_res2238z00_2762 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1308z00_2761);
												}}
												BgL_arg2021z00_1636 = BgL_res2238z00_2762;
											}
											BgL_arg2022z00_1637 = MAKE_PAIR(BgL_idz00_51, BNIL);
											BgL_arg2019z00_1634 =
												MAKE_PAIR(BgL_arg2021z00_1636, BgL_arg2022z00_1637);
										}
										BgL_arg2016z00_1632 =
											MAKE_PAIR(BgL_arg2017z00_1633, BgL_arg2019z00_1634);
									}
									BgL_arg2014z00_1631 =
										MAKE_PAIR(BgL_posz00_1623, BgL_arg2016z00_1632);
								}
								BgL_arg2011z00_1628 =
									MAKE_PAIR(BgL_fnamez00_1622, BgL_arg2014z00_1631);
							}
							BgL_arg2008z00_1625 =
								MAKE_PAIR(BgL_arg2010z00_1627, BgL_arg2011z00_1628);
						}
						{	/* Coerce/convert.scm 117 */
							obj_t BgL_arg2024z00_1638;

							BgL_arg2024z00_1638 = MAKE_PAIR(BFALSE, BNIL);
							BgL_arg2009z00_1626 = MAKE_PAIR(BFALSE, BgL_arg2024z00_1638);
						}
						BgL_arg2007z00_1624 =
							MAKE_PAIR(BgL_arg2008z00_1625, BgL_arg2009z00_1626);
					}
					return MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BgL_arg2007z00_1624);
		}}}
	}



/* runtime-type-error */
	BGL_EXPORTED_DEF obj_t BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(obj_t
		BgL_locz00_52, obj_t BgL_tiz00_53, BgL_nodez00_bglt BgL_valuez00_54)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 127 */
			{	/* Coerce/convert.scm 129 */
				obj_t BgL_auxz00_1641;

				BgL_auxz00_1641 =
					BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)));
				{	/* Coerce/convert.scm 129 */
					BgL_nodez00_bglt BgL_uvaluez00_1642;

					{	/* Coerce/convert.scm 130 */
						bool_t BgL_testz00_3102;

						{	/* Coerce/convert.scm 130 */
							bool_t BgL_res2239z00_2764;

							{	/* Coerce/convert.scm 130 */
								obj_t BgL_objz00_2763;

								BgL_objz00_2763 = ((obj_t) BgL_valuez00_54);
								BgL_res2239z00_2764 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_2763,
									BGl_varz00zzast_nodez00);
							}
							BgL_testz00_3102 = BgL_res2239z00_2764;
						}
						if (BgL_testz00_3102)
							{	/* Coerce/convert.scm 131 */
								BgL_varz00_bglt BgL_duplicated1104z00_1659;
								BgL_varz00_bglt BgL_new1103z00_1660;

								BgL_duplicated1104z00_1659 =
									((BgL_varz00_bglt) BgL_valuez00_54);
								{	/* Coerce/convert.scm 131 */
									BgL_varz00_bglt BgL_new1106z00_1661;

									BgL_new1106z00_1661 =
										((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_varz00_bgl))));
									{	/* Coerce/convert.scm 131 */
										long BgL_arg2043z00_1662;

										{	/* Coerce/convert.scm 131 */
											long BgL_res2240z00_2766;

											BgL_res2240z00_2766 =
												BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
											BgL_arg2043z00_1662 = BgL_res2240z00_2766;
										}
										{	/* Coerce/convert.scm 131 */
											BgL_objectz00_bglt BgL_objz00_2767;

											BgL_objz00_2767 =
												((BgL_objectz00_bglt) BgL_new1106z00_1661);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2767,
												BgL_arg2043z00_1662);
									}}
									{	/* Coerce/convert.scm 131 */
										BgL_objectz00_bglt BgL_auxz00_3110;

										BgL_auxz00_3110 =
											((BgL_objectz00_bglt) BgL_new1106z00_1661);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_3110, BFALSE);
									}
									BgL_new1103z00_1660 = BgL_new1106z00_1661;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1103z00_1660)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
														BgL_duplicated1104z00_1659)))->BgL_locz00)),
									BUNSPEC);
								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
													BgL_new1103z00_1660)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
								((((BgL_varz00_bglt) CREF(BgL_new1103z00_1660))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) (((BgL_varz00_bglt)
												CREF(BgL_duplicated1104z00_1659))->BgL_variablez00)),
									BUNSPEC);
								BgL_uvaluez00_1642 = ((BgL_nodez00_bglt) BgL_new1103z00_1660);
							}
						else
							{	/* Coerce/convert.scm 130 */
								BgL_uvaluez00_1642 = BgL_valuez00_54;
							}
					}
					{	/* Coerce/convert.scm 130 */
						BgL_nodez00_bglt BgL_resz00_1643;

						{	/* Coerce/convert.scm 135 */
							obj_t BgL_arg2029z00_1646;

							{	/* Coerce/convert.scm 135 */
								obj_t BgL_arg2030z00_1647;

								{	/* Coerce/convert.scm 135 */
									obj_t BgL_arg2032z00_1648;
									obj_t BgL_arg2033z00_1649;

									{	/* Coerce/convert.scm 135 */
										obj_t BgL_arg2034z00_1650;

										{	/* Coerce/convert.scm 135 */
											obj_t BgL_arg2035z00_1651;
											obj_t BgL_arg2036z00_1652;

											{	/* Coerce/convert.scm 135 */
												obj_t BgL_arg2037z00_1653;

												{	/* Coerce/convert.scm 135 */
													obj_t BgL_arg2038z00_1654;

													{	/* Coerce/convert.scm 135 */
														obj_t BgL_arg2039z00_1655;
														obj_t BgL_arg2040z00_1656;

														{	/* Coerce/convert.scm 135 */
															obj_t BgL_res2241z00_2771;

															{	/* Coerce/convert.scm 135 */
																obj_t BgL_arg1308z00_2770;

																BgL_arg1308z00_2770 =
																	SYMBOL_TO_STRING(BgL_auxz00_1641);
																BgL_res2241z00_2771 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1308z00_2770);
															}
															BgL_arg2039z00_1655 = BgL_res2241z00_2771;
														}
														{	/* Coerce/convert.scm 135 */
															obj_t BgL_res2242z00_2774;

															{	/* Coerce/convert.scm 135 */
																obj_t BgL_symbolz00_2772;

																BgL_symbolz00_2772 = CNST_TABLE_REF(((long) 6));
																{	/* Coerce/convert.scm 135 */
																	obj_t BgL_arg1308z00_2773;

																	BgL_arg1308z00_2773 =
																		SYMBOL_TO_STRING(BgL_symbolz00_2772);
																	BgL_res2242z00_2774 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1308z00_2773);
															}}
															BgL_arg2040z00_1656 = BgL_res2242z00_2774;
														}
														BgL_arg2038z00_1654 =
															string_append(BgL_arg2039z00_1655,
															BgL_arg2040z00_1656);
													}
													BgL_arg2037z00_1653 =
														string_to_symbol(BSTRING_TO_STRING
														(BgL_arg2038z00_1654));
												}
												BgL_arg2035z00_1651 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BgL_arg2037z00_1653);
											}
											BgL_arg2036z00_1652 = MAKE_PAIR(BUNSPEC, BNIL);
											BgL_arg2034z00_1650 =
												MAKE_PAIR(BgL_arg2035z00_1651, BgL_arg2036z00_1652);
										}
										BgL_arg2032z00_1648 = MAKE_PAIR(BgL_arg2034z00_1650, BNIL);
									}
									BgL_arg2033z00_1649 =
										MAKE_PAIR
										(BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
										(BgL_locz00_52, BgL_tiz00_53, BgL_auxz00_1641), BNIL);
									BgL_arg2030z00_1647 =
										MAKE_PAIR(BgL_arg2032z00_1648, BgL_arg2033z00_1649);
								}
								BgL_arg2029z00_1646 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 7)), BgL_arg2030z00_1647);
							}
							BgL_resz00_1643 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg2029z00_1646, BgL_locz00_52);
						}
						{	/* Coerce/convert.scm 134 */

							{	/* Coerce/convert.scm 139 */
								obj_t BgL_arg2027z00_1644;

								{	/* Coerce/convert.scm 139 */
									obj_t BgL_pairz00_2779;

									BgL_pairz00_2779 =
										(((BgL_letzd2varzd2_bglt) CREF(
												((BgL_letzd2varzd2_bglt) BgL_resz00_1643)))->
										BgL_bindingsz00);
									BgL_arg2027z00_1644 = CAR(BgL_pairz00_2779);
								}
								{	/* Coerce/convert.scm 139 */
									obj_t BgL_pairz00_2780;
									obj_t BgL_objz00_2781;

									BgL_pairz00_2780 = BgL_arg2027z00_1644;
									BgL_objz00_2781 = ((obj_t) BgL_uvaluez00_1642);
									SET_CDR(BgL_pairz00_2780, BgL_objz00_2781);
							}}
							return ((obj_t) BgL_resz00_1643);
						}
					}
				}
			}
		}
	}



/* &runtime-type-error */
	obj_t BGl_z62runtimezd2typezd2errorz62zzcoerce_convertz00(obj_t
		BgL_envz00_2974, obj_t BgL_locz00_2975, obj_t BgL_tiz00_2976,
		obj_t BgL_valuez00_2977)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 127 */
			return
				BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_2975,
				BgL_tiz00_2976, ((BgL_nodez00_bglt) BgL_valuez00_2977));
		}
	}



/* convert-error */
	obj_t BGl_convertzd2errorzd2zzcoerce_convertz00(BgL_typez00_bglt
		BgL_fromz00_55, BgL_typez00_bglt BgL_toz00_56, obj_t BgL_locz00_57,
		BgL_nodez00_bglt BgL_nodez00_58)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 149 */
			{	/* Coerce/convert.scm 152 */
				bool_t BgL_testz00_3149;

				if ((((obj_t) BgL_toz00_56) == BGl_za2objza2z00zztype_cachez00))
					{	/* Coerce/convert.scm 152 */
						BgL_testz00_3149 = ((bool_t) 0);
					}
				else
					{	/* Coerce/convert.scm 152 */
						BgL_testz00_3149 =
							BGl_subzd2typezf3z21zztype_envz00(BgL_toz00_56,
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
					}
				if (BgL_testz00_3149)
					{	/* Coerce/convert.scm 153 */
						obj_t BgL_nodez00_1664;

						BgL_nodez00_1664 =
							BGl_runtimezd2typezd2errorz00zzcoerce_convertz00(BgL_locz00_57,
							(((BgL_typez00_bglt) CREF(BgL_toz00_56))->BgL_idz00),
							BgL_nodez00_58);
						{	/* Coerce/convert.scm 154 */
							obj_t BgL_arg2045z00_1665;

							BgL_arg2045z00_1665 = BGl_currentzd2functionzd2zztools_errorz00();
							{	/* Coerce/convert.scm 107 */
								obj_t BgL_arg2004z00_2789;

								{	/* Coerce/convert.scm 107 */
									obj_t BgL_arg2005z00_2790;
									obj_t BgL_arg2006z00_2791;

									BgL_arg2005z00_2790 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_toz00_56));
									BgL_arg2006z00_2791 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_fromz00_55));
									BgL_arg2004z00_2789 =
										BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
										(BGl_string2274z00zzcoerce_convertz00, BgL_arg2005z00_2790,
										BgL_arg2006z00_2791);
								}
								BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_57,
									BgL_arg2045z00_1665, BGl_string2275z00zzcoerce_convertz00,
									BgL_arg2004z00_2789);
							}
						}
						BGl_lvtypezd2nodez12zc0zzast_lvtypez00(
							((BgL_nodez00_bglt) BgL_nodez00_1664));
						return
							((obj_t)
							BGl_coercez12z12zzcoerce_coercez00(
								((BgL_nodez00_bglt) BgL_nodez00_1664), BUNSPEC, BgL_fromz00_55,
								((bool_t) 0)));
					}
				else
					{	/* Coerce/convert.scm 157 */
						obj_t BgL_arg2047z00_1667;

						BgL_arg2047z00_1667 = BGl_currentzd2functionzd2zztools_errorz00();
						{	/* Coerce/convert.scm 96 */
							obj_t BgL_arg2000z00_2796;

							{	/* Coerce/convert.scm 96 */
								obj_t BgL_arg2002z00_2797;
								obj_t BgL_arg2003z00_2798;

								BgL_arg2002z00_2797 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_toz00_56));
								BgL_arg2003z00_2798 =
									BGl_shapez00zztools_shapez00(((obj_t) BgL_fromz00_55));
								BgL_arg2000z00_2796 =
									BGl_bigloozd2typezd2errorzd2msgzd2zz__errorz00
									(BGl_string2274z00zzcoerce_convertz00, BgL_arg2002z00_2797,
									BgL_arg2003z00_2798);
							}
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_57,
								BgL_arg2047z00_1667, BGl_string2275z00zzcoerce_convertz00,
								BgL_arg2000z00_2796, BNIL);
						}
					}
			}
		}
	}



/* convert! */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_convertz12z12zzcoerce_convertz00(BgL_nodez00_bglt BgL_nodez00_59,
		BgL_typez00_bglt BgL_fromz00_60, BgL_typez00_bglt BgL_toz00_61,
		bool_t BgL_safez00_62)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 165 */
			if ((((obj_t) BgL_fromz00_60) == ((obj_t) BgL_toz00_61)))
				{	/* Coerce/convert.scm 169 */
					return BgL_nodez00_59;
				}
			else
				{	/* Coerce/convert.scm 171 */
					BgL_typez00_bglt BgL_toz00_1670;
					BgL_typez00_bglt BgL_fromz00_1671;

					BgL_toz00_1670 =
						BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_toz00_61);
					BgL_fromz00_1671 =
						BGl_getzd2aliasedzd2typez00zztype_typez00(BgL_fromz00_60);
					{	/* Coerce/convert.scm 173 */
						bool_t BgL_testz00_3182;

						if ((((obj_t) BgL_fromz00_1671) == ((obj_t) BgL_toz00_1670)))
							{	/* Coerce/convert.scm 173 */
								BgL_testz00_3182 = ((bool_t) 1);
							}
						else
							{	/* Coerce/convert.scm 173 */
								BgL_testz00_3182 =
									(((BgL_typez00_bglt) CREF(BgL_fromz00_1671))->
									BgL_magiczf3zf3);
							}
						if (BgL_testz00_3182)
							{	/* Coerce/convert.scm 173 */
								return BgL_nodez00_59;
							}
						else
							{	/* Coerce/convert.scm 175 */
								obj_t BgL_coercerz00_1673;
								obj_t BgL_locz00_1674;

								BgL_coercerz00_1673 =
									BGl_findzd2coercerzd2zztype_coercionz00(BgL_fromz00_1671,
									BgL_toz00_1670);
								BgL_locz00_1674 =
									(((BgL_nodez00_bglt) CREF(BgL_nodez00_59))->BgL_locz00);
								{	/* Coerce/convert.scm 177 */
									bool_t BgL_testz00_3190;

									if (STRUCTP(BgL_coercerz00_1673))
										{	/* Coerce/convert.scm 177 */
											BgL_testz00_3190 =
												(STRUCT_KEY(BgL_coercerz00_1673) ==
												CNST_TABLE_REF(((long) 8)));
										}
									else
										{	/* Coerce/convert.scm 177 */
											BgL_testz00_3190 = ((bool_t) 0);
										}
									if (BgL_testz00_3190)
										{	/* Coerce/convert.scm 181 */
											obj_t BgL_g1109z00_1676;
											obj_t BgL_g1110z00_1677;

											BgL_g1109z00_1676 =
												STRUCT_REF(BgL_coercerz00_1673, (int) (((long) 2)));
											BgL_g1110z00_1677 =
												STRUCT_REF(BgL_coercerz00_1673, (int) (((long) 3)));
											{
												obj_t BgL_checksz00_1679;
												obj_t BgL_coercesz00_1680;
												BgL_nodez00_bglt BgL_nodez00_1681;

												{
													obj_t BgL_auxz00_3200;

													BgL_checksz00_1679 = BgL_g1109z00_1676;
													BgL_coercesz00_1680 = BgL_g1110z00_1677;
													BgL_nodez00_1681 = BgL_nodez00_59;
												BgL_zc3anonymousza32052ze3z83_1682:
													if (NULLP(BgL_checksz00_1679))
														{	/* Coerce/convert.scm 185 */
															if (NULLP(BgL_coercesz00_1680))
																{	/* Coerce/convert.scm 186 */
																	BgL_auxz00_3200 = ((obj_t) BgL_nodez00_1681);
																}
															else
																{	/* Coerce/convert.scm 189 */
																	obj_t BgL_arg2055z00_1685;
																	obj_t BgL_arg2056z00_1686;

																	BgL_arg2055z00_1685 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_1671));
																	BgL_arg2056z00_1686 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_toz00_1670));
																	BgL_auxz00_3200 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string2276z00zzcoerce_convertz00,
																		BgL_arg2055z00_1685, BgL_arg2056z00_1686);
																}
														}
													else
														{	/* Coerce/convert.scm 185 */
															if (NULLP(BgL_coercesz00_1680))
																{	/* Coerce/convert.scm 193 */
																	obj_t BgL_arg2058z00_1688;
																	obj_t BgL_arg2059z00_1689;

																	BgL_arg2058z00_1688 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_fromz00_1671));
																	BgL_arg2059z00_1689 =
																		BGl_shapez00zztools_shapez00(
																		((obj_t) BgL_toz00_1670));
																	BgL_auxz00_3200 =
																		BGl_internalzd2errorzd2zztools_errorz00
																		(BGl_string2276z00zzcoerce_convertz00,
																		BgL_arg2058z00_1688, BgL_arg2059z00_1689);
																}
															else
																{	/* Coerce/convert.scm 196 */
																	obj_t BgL_arg2060z00_1690;
																	obj_t BgL_arg2061z00_1691;
																	BgL_nodez00_bglt BgL_arg2062z00_1692;

																	BgL_arg2060z00_1690 = CDR(BgL_checksz00_1679);
																	BgL_arg2061z00_1691 =
																		CDR(BgL_coercesz00_1680);
																	{	/* Coerce/convert.scm 198 */
																		obj_t BgL_arg2063z00_1693;
																		obj_t BgL_arg2064z00_1694;
																		obj_t BgL_arg2065z00_1695;
																		obj_t BgL_arg2066z00_1696;

																		{	/* Coerce/convert.scm 198 */
																			obj_t BgL_pairz00_2826;

																			BgL_pairz00_2826 = BgL_checksz00_1679;
																			BgL_arg2063z00_1693 =
																				CDR(CAR(BgL_pairz00_2826));
																		}
																		{	/* Coerce/convert.scm 199 */
																			obj_t BgL_pairz00_2830;

																			BgL_pairz00_2830 = BgL_coercesz00_1680;
																			BgL_arg2064z00_1694 =
																				CDR(CAR(BgL_pairz00_2830));
																		}
																		{	/* Coerce/convert.scm 200 */
																			obj_t BgL_pairz00_2834;

																			BgL_pairz00_2834 = BgL_checksz00_1679;
																			BgL_arg2065z00_1695 =
																				CAR(CAR(BgL_pairz00_2834));
																		}
																		{	/* Coerce/convert.scm 201 */
																			obj_t BgL_pairz00_2838;

																			BgL_pairz00_2838 = BgL_coercesz00_1680;
																			BgL_arg2066z00_1696 =
																				CAR(CAR(BgL_pairz00_2838));
																		}
																		BgL_arg2062z00_1692 =
																			BGl_makezd2onezd2conversionz00zzcoerce_convertz00
																			(BgL_arg2063z00_1693, BgL_arg2064z00_1694,
																			BgL_arg2065z00_1695, BgL_arg2066z00_1696,
																			BgL_nodez00_1681, BgL_safez00_62);
																	}
																	{
																		BgL_nodez00_bglt BgL_nodez00_3231;
																		obj_t BgL_coercesz00_3230;
																		obj_t BgL_checksz00_3229;

																		BgL_checksz00_3229 = BgL_arg2060z00_1690;
																		BgL_coercesz00_3230 = BgL_arg2061z00_1691;
																		BgL_nodez00_3231 = BgL_arg2062z00_1692;
																		BgL_nodez00_1681 = BgL_nodez00_3231;
																		BgL_coercesz00_1680 = BgL_coercesz00_3230;
																		BgL_checksz00_1679 = BgL_checksz00_3229;
																		goto BgL_zc3anonymousza32052ze3z83_1682;
																	}
																}
														}
													return ((BgL_nodez00_bglt) BgL_auxz00_3200);
												}
											}
										}
									else
										{	/* Coerce/convert.scm 177 */
											return
												((BgL_nodez00_bglt)
												BGl_convertzd2errorzd2zzcoerce_convertz00
												(BgL_fromz00_1671, BgL_toz00_1670, BgL_locz00_1674,
													BgL_nodez00_59));
										}
								}
							}
					}
				}
		}
	}



/* &convert! */
	BgL_nodez00_bglt BGl_z62convertz12z70zzcoerce_convertz00(obj_t
		BgL_envz00_2978, obj_t BgL_nodez00_2979, obj_t BgL_fromz00_2980,
		obj_t BgL_toz00_2981, obj_t BgL_safez00_2982)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 165 */
			return
				BGl_convertz12z12zzcoerce_convertz00(
				((BgL_nodez00_bglt) BgL_nodez00_2979),
				((BgL_typez00_bglt) BgL_fromz00_2980),
				((BgL_typez00_bglt) BgL_toz00_2981), CBOOL(BgL_safez00_2982));
		}
	}



/* make-one-conversion */
	BgL_nodez00_bglt BGl_makezd2onezd2conversionz00zzcoerce_convertz00(obj_t
		BgL_fromz00_63, obj_t BgL_toz00_64, obj_t BgL_checkopz00_65,
		obj_t BgL_coerceopz00_66, BgL_nodez00_bglt BgL_nodez00_67,
		bool_t BgL_safez00_68)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 214 */
			{	/* Coerce/convert.scm 215 */
				bool_t BgL_testz00_3240;

				if ((BgL_checkopz00_65 == BTRUE))
					{	/* Coerce/convert.scm 215 */
						BgL_testz00_3240 = ((bool_t) 1);
					}
				else
					{	/* Coerce/convert.scm 215 */
						if (BgL_safez00_68)
							{	/* Coerce/convert.scm 215 */
								BgL_testz00_3240 = ((bool_t) 0);
							}
						else
							{	/* Coerce/convert.scm 215 */
								BgL_testz00_3240 = ((bool_t) 1);
							}
					}
				if (BgL_testz00_3240)
					{	/* Coerce/convert.scm 215 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coerceopz00_66,
							BgL_nodez00_67, ((BgL_typez00_bglt) BgL_fromz00_63));
					}
				else
					{	/* Coerce/convert.scm 215 */
						if (BGl_isazf3zf3zz__objectz00(BgL_fromz00_63,
								BGl_tclassz00zzobject_classz00))
							{	/* Coerce/convert.scm 217 */
								return
									BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(
									((BgL_typez00_bglt) BgL_fromz00_63), BgL_toz00_64,
									BgL_checkopz00_65, BgL_coerceopz00_66, BgL_nodez00_67);
							}
						else
							{	/* Coerce/convert.scm 217 */
								return
									BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00
									(BgL_fromz00_63, BgL_toz00_64, BgL_checkopz00_65,
									BgL_coerceopz00_66, BgL_nodez00_67);
							}
					}
			}
		}
	}



/* skip-let-var */
	BgL_nodez00_bglt BGl_skipzd2letzd2varz00zzcoerce_convertz00(BgL_nodez00_bglt
		BgL_nodez00_69)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 224 */
		BGl_skipzd2letzd2varz00zzcoerce_convertz00:
			{	/* Coerce/convert.scm 225 */
				bool_t BgL_testz00_3251;

				{	/* Coerce/convert.scm 225 */
					bool_t BgL_res2252z00_2845;

					{	/* Coerce/convert.scm 225 */
						obj_t BgL_objz00_2844;

						BgL_objz00_2844 = ((obj_t) BgL_nodez00_69);
						BgL_res2252z00_2845 =
							BGl_isazf3zf3zz__objectz00(BgL_objz00_2844,
							BGl_letzd2varzd2zzast_nodez00);
					}
					BgL_testz00_3251 = BgL_res2252z00_2845;
				}
				if (BgL_testz00_3251)
					{	/* Coerce/convert.scm 226 */
						BgL_nodez00_bglt BgL_arg2072z00_1703;

						BgL_arg2072z00_1703 =
							(((BgL_letzd2varzd2_bglt) CREF(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_69)))->BgL_bodyz00);
						{
							BgL_nodez00_bglt BgL_nodez00_3256;

							BgL_nodez00_3256 = BgL_arg2072z00_1703;
							BgL_nodez00_69 = BgL_nodez00_3256;
							goto BGl_skipzd2letzd2varz00zzcoerce_convertz00;
						}
					}
				else
					{	/* Coerce/convert.scm 225 */
						return BgL_nodez00_69;
					}
			}
		}
	}



/* make-one-type-conversion */
	BgL_nodez00_bglt
		BGl_makezd2onezd2typezd2conversionzd2zzcoerce_convertz00(obj_t
		BgL_fromz00_70, obj_t BgL_toz00_71, obj_t BgL_checkzd2opzd2_72,
		obj_t BgL_coercezd2opzd2_73, BgL_nodez00_bglt BgL_nodez00_74)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 232 */
			{	/* Coerce/convert.scm 235 */
				obj_t BgL_auxz00_1704;

				BgL_auxz00_1704 =
					BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
					(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5))));
				{	/* Coerce/convert.scm 235 */
					obj_t BgL_locz00_1705;

					BgL_locz00_1705 =
						(((BgL_nodez00_bglt) CREF(BgL_nodez00_74))->BgL_locz00);
					{	/* Coerce/convert.scm 236 */
						BgL_nodez00_bglt BgL_lnodez00_1706;

						{	/* Coerce/convert.scm 244 */
							obj_t BgL_arg2081z00_1720;

							{	/* Coerce/convert.scm 244 */
								obj_t BgL_arg2082z00_1721;

								{	/* Coerce/convert.scm 244 */
									obj_t BgL_arg2083z00_1722;
									obj_t BgL_arg2084z00_1723;

									{	/* Coerce/convert.scm 244 */
										obj_t BgL_arg2085z00_1724;

										{	/* Coerce/convert.scm 244 */
											obj_t BgL_arg2086z00_1725;
											obj_t BgL_arg2087z00_1726;

											{	/* Coerce/convert.scm 244 */
												obj_t BgL_arg2089z00_1727;

												{	/* Coerce/convert.scm 244 */
													obj_t BgL_arg2090z00_1728;

													BgL_arg2090z00_1728 =
														(((BgL_typez00_bglt) CREF(
																((BgL_typez00_bglt) BgL_fromz00_70)))->
														BgL_idz00);
													BgL_arg2089z00_1727 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_auxz00_1704, BgL_arg2090z00_1728);
												}
												BgL_arg2086z00_1725 =
													BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
													(BgL_arg2089z00_1727);
											}
											BgL_arg2087z00_1726 = MAKE_PAIR(BUNSPEC, BNIL);
											BgL_arg2085z00_1724 =
												MAKE_PAIR(BgL_arg2086z00_1725, BgL_arg2087z00_1726);
										}
										BgL_arg2083z00_1722 = MAKE_PAIR(BgL_arg2085z00_1724, BNIL);
									}
									{	/* Coerce/convert.scm 246 */
										obj_t BgL_arg2091z00_1729;

										{	/* Coerce/convert.scm 246 */
											obj_t BgL_arg2092z00_1730;

											{	/* Coerce/convert.scm 246 */
												obj_t BgL_arg2093z00_1731;
												obj_t BgL_arg2095z00_1732;

												{	/* Coerce/convert.scm 246 */
													obj_t BgL_arg2096z00_1733;

													BgL_arg2096z00_1733 =
														MAKE_PAIR(BgL_auxz00_1704, BNIL);
													BgL_arg2093z00_1731 =
														MAKE_PAIR(BgL_checkzd2opzd2_72,
														BgL_arg2096z00_1733);
												}
												{	/* Coerce/convert.scm 248 */
													obj_t BgL_arg2097z00_1734;

													{	/* Coerce/convert.scm 248 */
														obj_t BgL_arg2098z00_1735;

														{	/* Coerce/convert.scm 248 */
															obj_t BgL_arg2099z00_1736;

															BgL_arg2099z00_1736 =
																(((BgL_typez00_bglt) CREF(
																		((BgL_typez00_bglt) BgL_toz00_71)))->
																BgL_idz00);
															BgL_arg2098z00_1735 =
																BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
																(BgL_locz00_1705, BgL_arg2099z00_1736,
																BgL_auxz00_1704);
														}
														BgL_arg2097z00_1734 =
															MAKE_PAIR(BgL_arg2098z00_1735, BNIL);
													}
													BgL_arg2095z00_1732 =
														MAKE_PAIR(BgL_auxz00_1704, BgL_arg2097z00_1734);
												}
												BgL_arg2092z00_1730 =
													MAKE_PAIR(BgL_arg2093z00_1731, BgL_arg2095z00_1732);
											}
											BgL_arg2091z00_1729 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
												BgL_arg2092z00_1730);
										}
										BgL_arg2084z00_1723 = MAKE_PAIR(BgL_arg2091z00_1729, BNIL);
									}
									BgL_arg2082z00_1721 =
										MAKE_PAIR(BgL_arg2083z00_1722, BgL_arg2084z00_1723);
								}
								BgL_arg2081z00_1720 =
									MAKE_PAIR(CNST_TABLE_REF(((long) 7)), BgL_arg2082z00_1721);
							}
							BgL_lnodez00_1706 =
								BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
								(BgL_arg2081z00_1720, BgL_locz00_1705);
						}
						{	/* Coerce/convert.scm 237 */

							BGl_za2checkza2z00zzcoerce_convertz00 =
								(((long) 1) + BGl_za2checkza2z00zzcoerce_convertz00);
							if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
								{	/* Coerce/convert.scm 82 */
									BGl_notifyzd2typezd2testz00zzcoerce_convertz00(BgL_fromz00_70,
										BgL_toz00_71, BgL_locz00_1705);
								}
							else
								{	/* Coerce/convert.scm 82 */
									BFALSE;
								}
							BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
								(BgL_lnodez00_1706);
							{	/* Coerce/convert.scm 252 */
								obj_t BgL_varz00_1707;

								{	/* Coerce/convert.scm 252 */
									obj_t BgL_pairz00_2866;

									{	/* Coerce/convert.scm 252 */
										obj_t BgL_pairz00_2865;

										BgL_pairz00_2865 =
											(((BgL_letzd2varzd2_bglt) CREF(
													((BgL_letzd2varzd2_bglt) BgL_lnodez00_1706)))->
											BgL_bindingsz00);
										BgL_pairz00_2866 = CAR(BgL_pairz00_2865);
									}
									BgL_varz00_1707 = CAR(BgL_pairz00_2866);
								}
								{	/* Coerce/convert.scm 252 */
									BgL_nodez00_bglt BgL_coercezd2appzd2_1708;

									{	/* Coerce/convert.scm 254 */
										BgL_varz00_bglt BgL_arg2077z00_1714;

										{	/* Coerce/convert.scm 254 */
											BgL_varz00_bglt BgL_new1112z00_1715;

											{	/* Coerce/convert.scm 254 */
												BgL_varz00_bglt BgL_new1111z00_1716;

												BgL_new1111z00_1716 =
													((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_varz00_bgl))));
												{	/* Coerce/convert.scm 254 */
													long BgL_arg2078z00_1717;

													{	/* Coerce/convert.scm 254 */
														long BgL_res2257z00_2868;

														BgL_res2257z00_2868 =
															BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
														BgL_arg2078z00_1717 = BgL_res2257z00_2868;
													}
													{	/* Coerce/convert.scm 254 */
														BgL_objectz00_bglt BgL_objz00_2869;

														BgL_objz00_2869 =
															((BgL_objectz00_bglt) BgL_new1111z00_1716);
														BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2869,
															BgL_arg2078z00_1717);
												}}
												{	/* Coerce/convert.scm 254 */
													BgL_objectz00_bglt BgL_auxz00_3296;

													BgL_auxz00_3296 =
														((BgL_objectz00_bglt) BgL_new1111z00_1716);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_3296, BFALSE);
												}
												BgL_new1112z00_1715 = BgL_new1111z00_1716;
											}
											((((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_new1112z00_1715)))->
													BgL_locz00) = ((obj_t) BgL_locz00_1705), BUNSPEC);
											((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																BgL_new1112z00_1715)))->BgL_typez00) =
												((BgL_typez00_bglt)
													BGl_strictzd2nodezd2typez00zzast_nodez00((
															(BgL_typez00_bglt) BgL_toz00_71),
														((BgL_typez00_bglt) BgL_fromz00_70))), BUNSPEC);
											((((BgL_varz00_bglt) CREF(BgL_new1112z00_1715))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_varz00_1707)), BUNSPEC);
											BgL_arg2077z00_1714 = BgL_new1112z00_1715;
										}
										BgL_coercezd2appzd2_1708 =
											BGl_dozd2convertzd2zzcoerce_convertz00
											(BgL_coercezd2opzd2_73,
											((BgL_nodez00_bglt) BgL_arg2077z00_1714),
											((BgL_typez00_bglt) BgL_fromz00_70));
									}
									{	/* Coerce/convert.scm 253 */
										BgL_nodez00_bglt BgL_condnz00_1709;

										BgL_condnz00_1709 =
											BGl_skipzd2letzd2varz00zzcoerce_convertz00
											(BgL_lnodez00_1706);
										{	/* Coerce/convert.scm 259 */

											{	/* Coerce/convert.scm 261 */
												BgL_localz00_bglt BgL_oz00_2871;
												BgL_typez00_bglt BgL_vz00_2872;

												BgL_oz00_2871 = ((BgL_localz00_bglt) BgL_varz00_1707);
												BgL_vz00_2872 = ((BgL_typez00_bglt) BgL_fromz00_70);
												((((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt) BgL_oz00_2871)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_vz00_2872), BUNSPEC);
											}
											{	/* Coerce/convert.scm 263 */
												obj_t BgL_arg2073z00_1710;

												{	/* Coerce/convert.scm 263 */
													obj_t BgL_pairz00_2876;

													BgL_pairz00_2876 =
														(((BgL_letzd2varzd2_bglt) CREF(
																((BgL_letzd2varzd2_bglt) BgL_lnodez00_1706)))->
														BgL_bindingsz00);
													BgL_arg2073z00_1710 = CAR(BgL_pairz00_2876);
												}
												{	/* Coerce/convert.scm 263 */
													obj_t BgL_pairz00_2877;
													obj_t BgL_objz00_2878;

													BgL_pairz00_2877 = BgL_arg2073z00_1710;
													BgL_objz00_2878 = ((obj_t) BgL_nodez00_74);
													SET_CDR(BgL_pairz00_2877, BgL_objz00_2878);
											}}
											{	/* Coerce/convert.scm 264 */
												BgL_typez00_bglt BgL_vz00_2880;

												BgL_vz00_2880 = ((BgL_typez00_bglt) BgL_fromz00_70);
												((((BgL_nodez00_bglt) CREF(BgL_nodez00_74))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_vz00_2880), BUNSPEC);
											}
											{	/* Coerce/convert.scm 265 */
												BgL_conditionalz00_bglt BgL_oz00_2882;

												BgL_oz00_2882 =
													((BgL_conditionalz00_bglt) BgL_condnz00_1709);
												((((BgL_conditionalz00_bglt) CREF(BgL_oz00_2882))->
														BgL_truez00) =
													((BgL_nodez00_bglt) BgL_coercezd2appzd2_1708),
													BUNSPEC);
											}
											{	/* Coerce/convert.scm 267 */
												BgL_nodez00_bglt BgL_arg2075z00_1712;

												{	/* Coerce/convert.scm 267 */
													BgL_nodez00_bglt BgL_arg2076z00_1713;

													BgL_arg2076z00_1713 =
														(((BgL_conditionalz00_bglt) CREF(
																((BgL_conditionalz00_bglt)
																	BgL_condnz00_1709)))->BgL_falsez00);
													BgL_arg2075z00_1712 =
														BGl_coercez12z12zzcoerce_coercez00
														(BgL_arg2076z00_1713, BUNSPEC,
														((BgL_typez00_bglt) BgL_fromz00_70), ((bool_t) 0));
												}
												{	/* Coerce/convert.scm 266 */
													BgL_conditionalz00_bglt BgL_oz00_2888;

													BgL_oz00_2888 =
														((BgL_conditionalz00_bglt) BgL_condnz00_1709);
													((((BgL_conditionalz00_bglt) CREF(BgL_oz00_2888))->
															BgL_falsez00) =
														((BgL_nodez00_bglt) BgL_arg2075z00_1712), BUNSPEC);
											}}
											BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_lnodez00_1706);
											return BgL_lnodez00_1706;
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* make-one-class-conversion */
	BgL_nodez00_bglt
		BGl_makezd2onezd2classzd2conversionzd2zzcoerce_convertz00(BgL_typez00_bglt
		BgL_fromz00_75, obj_t BgL_toz00_76, obj_t BgL_checkzd2opzd2_77,
		obj_t BgL_coercezd2opzd2_78, BgL_nodez00_bglt BgL_nodez00_79)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 277 */
			{	/* Coerce/convert.scm 278 */
				bool_t BgL_testz00_3332;

				if (BGl_isazf3zf3zz__objectz00(BgL_toz00_76,
						BGl_tclassz00zzobject_classz00))
					{	/* Coerce/convert.scm 278 */
						BgL_testz00_3332 =
							BGl_typezd2subclasszf3z21zzobject_classz00(
							((BgL_typez00_bglt) BgL_fromz00_75),
							((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_toz00_76)));
					}
				else
					{	/* Coerce/convert.scm 278 */
						BgL_testz00_3332 = ((bool_t) 0);
					}
				if (BgL_testz00_3332)
					{	/* Coerce/convert.scm 278 */
						return
							BGl_dozd2convertzd2zzcoerce_convertz00(BgL_coercezd2opzd2_78,
							BgL_nodez00_79, ((BgL_typez00_bglt) BgL_fromz00_75));
					}
				else
					{	/* Coerce/convert.scm 280 */
						obj_t BgL_auxz00_1739;

						BgL_auxz00_1739 =
							BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 5)));
						{	/* Coerce/convert.scm 280 */
							obj_t BgL_aux2z00_1740;

							BgL_aux2z00_1740 =
								BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 10)));
							{	/* Coerce/convert.scm 281 */
								obj_t BgL_locz00_1741;

								BgL_locz00_1741 =
									(((BgL_nodez00_bglt) CREF(BgL_nodez00_79))->BgL_locz00);
								{	/* Coerce/convert.scm 282 */
									BgL_nodez00_bglt BgL_lnodez00_1742;

									{	/* Coerce/convert.scm 285 */
										obj_t BgL_arg2119z00_1766;

										{	/* Coerce/convert.scm 285 */
											obj_t BgL_arg2122z00_1767;

											{	/* Coerce/convert.scm 285 */
												obj_t BgL_arg2123z00_1768;
												obj_t BgL_arg2124z00_1769;

												{	/* Coerce/convert.scm 285 */
													obj_t BgL_arg2125z00_1770;

													{	/* Coerce/convert.scm 285 */
														obj_t BgL_arg2126z00_1771;
														obj_t BgL_arg2127z00_1772;

														{	/* Coerce/convert.scm 285 */
															obj_t BgL_arg2128z00_1773;

															{	/* Coerce/convert.scm 285 */
																obj_t BgL_arg2129z00_1774;

																{	/* Coerce/convert.scm 285 */
																	obj_t BgL_arg2130z00_1775;
																	obj_t BgL_arg2131z00_1776;

																	{	/* Coerce/convert.scm 285 */
																		obj_t BgL_res2260z00_2897;

																		{	/* Coerce/convert.scm 285 */
																			obj_t BgL_arg1308z00_2896;

																			BgL_arg1308z00_2896 =
																				SYMBOL_TO_STRING(BgL_auxz00_1739);
																			BgL_res2260z00_2897 =
																				BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																				(BgL_arg1308z00_2896);
																		}
																		BgL_arg2130z00_1775 = BgL_res2260z00_2897;
																	}
																	{	/* Coerce/convert.scm 285 */
																		obj_t BgL_res2261z00_2900;

																		{	/* Coerce/convert.scm 285 */
																			obj_t BgL_symbolz00_2898;

																			BgL_symbolz00_2898 =
																				CNST_TABLE_REF(((long) 6));
																			{	/* Coerce/convert.scm 285 */
																				obj_t BgL_arg1308z00_2899;

																				BgL_arg1308z00_2899 =
																					SYMBOL_TO_STRING(BgL_symbolz00_2898);
																				BgL_res2261z00_2900 =
																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																					(BgL_arg1308z00_2899);
																		}}
																		BgL_arg2131z00_1776 = BgL_res2261z00_2900;
																	}
																	BgL_arg2129z00_1774 =
																		string_append(BgL_arg2130z00_1775,
																		BgL_arg2131z00_1776);
																}
																BgL_arg2128z00_1773 =
																	string_to_symbol(BSTRING_TO_STRING
																	(BgL_arg2129z00_1774));
															}
															BgL_arg2126z00_1771 =
																BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																(BgL_arg2128z00_1773);
														}
														BgL_arg2127z00_1772 = MAKE_PAIR(BUNSPEC, BNIL);
														BgL_arg2125z00_1770 =
															MAKE_PAIR(BgL_arg2126z00_1771,
															BgL_arg2127z00_1772);
													}
													BgL_arg2123z00_1768 =
														MAKE_PAIR(BgL_arg2125z00_1770, BNIL);
												}
												{	/* Coerce/convert.scm 287 */
													obj_t BgL_arg2132z00_1777;

													{	/* Coerce/convert.scm 287 */
														obj_t BgL_arg2133z00_1778;

														{	/* Coerce/convert.scm 287 */
															obj_t BgL_arg2134z00_1779;
															obj_t BgL_arg2135z00_1780;

															{	/* Coerce/convert.scm 287 */
																obj_t BgL_arg2136z00_1781;

																{	/* Coerce/convert.scm 287 */
																	obj_t BgL_arg2137z00_1782;
																	obj_t BgL_arg2138z00_1783;

																	{	/* Coerce/convert.scm 287 */
																		obj_t BgL_arg2139z00_1784;

																		{	/* Coerce/convert.scm 287 */
																			obj_t BgL_arg2140z00_1785;

																			{	/* Coerce/convert.scm 287 */
																				obj_t BgL_arg2142z00_1786;
																				obj_t BgL_arg2143z00_1787;

																				{	/* Coerce/convert.scm 287 */
																					obj_t BgL_res2263z00_2905;

																					{	/* Coerce/convert.scm 287 */
																						obj_t BgL_arg1308z00_2904;

																						BgL_arg1308z00_2904 =
																							SYMBOL_TO_STRING
																							(BgL_aux2z00_1740);
																						BgL_res2263z00_2905 =
																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																							(BgL_arg1308z00_2904);
																					}
																					BgL_arg2142z00_1786 =
																						BgL_res2263z00_2905;
																				}
																				{	/* Coerce/convert.scm 287 */
																					obj_t BgL_res2264z00_2908;

																					{	/* Coerce/convert.scm 287 */
																						obj_t BgL_symbolz00_2906;

																						BgL_symbolz00_2906 =
																							CNST_TABLE_REF(((long) 6));
																						{	/* Coerce/convert.scm 287 */
																							obj_t BgL_arg1308z00_2907;

																							BgL_arg1308z00_2907 =
																								SYMBOL_TO_STRING
																								(BgL_symbolz00_2906);
																							BgL_res2264z00_2908 =
																								BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																								(BgL_arg1308z00_2907);
																					}}
																					BgL_arg2143z00_1787 =
																						BgL_res2264z00_2908;
																				}
																				BgL_arg2140z00_1785 =
																					string_append(BgL_arg2142z00_1786,
																					BgL_arg2143z00_1787);
																			}
																			BgL_arg2139z00_1784 =
																				string_to_symbol(BSTRING_TO_STRING
																				(BgL_arg2140z00_1785));
																		}
																		BgL_arg2137z00_1782 =
																			BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																			(BgL_arg2139z00_1784);
																	}
																	BgL_arg2138z00_1783 =
																		MAKE_PAIR(BUNSPEC, BNIL);
																	BgL_arg2136z00_1781 =
																		MAKE_PAIR(BgL_arg2137z00_1782,
																		BgL_arg2138z00_1783);
																}
																BgL_arg2134z00_1779 =
																	MAKE_PAIR(BgL_arg2136z00_1781, BNIL);
															}
															{	/* Coerce/convert.scm 288 */
																obj_t BgL_arg2144z00_1788;

																{	/* Coerce/convert.scm 288 */
																	obj_t BgL_arg2146z00_1789;

																	{	/* Coerce/convert.scm 288 */
																		obj_t BgL_arg2147z00_1790;
																		obj_t BgL_arg2148z00_1791;

																		{	/* Coerce/convert.scm 288 */
																			obj_t BgL_arg2150z00_1792;

																			BgL_arg2150z00_1792 =
																				MAKE_PAIR(BgL_aux2z00_1740, BNIL);
																			BgL_arg2147z00_1790 =
																				MAKE_PAIR(BgL_checkzd2opzd2_77,
																				BgL_arg2150z00_1792);
																		}
																		{	/* Coerce/convert.scm 290 */
																			obj_t BgL_arg2151z00_1793;

																			{	/* Coerce/convert.scm 290 */
																				obj_t BgL_arg2152z00_1794;

																				{	/* Coerce/convert.scm 290 */
																					obj_t BgL_arg2153z00_1795;

																					BgL_arg2153z00_1795 =
																						(((BgL_typez00_bglt) CREF(
																								((BgL_typez00_bglt)
																									BgL_toz00_76)))->BgL_idz00);
																					BgL_arg2152z00_1794 =
																						BGl_runtimezd2typezd2errorzf2idzf2zzcoerce_convertz00
																						(BgL_locz00_1741,
																						BgL_arg2153z00_1795,
																						BgL_auxz00_1739);
																				}
																				BgL_arg2151z00_1793 =
																					MAKE_PAIR(BgL_arg2152z00_1794, BNIL);
																			}
																			BgL_arg2148z00_1791 =
																				MAKE_PAIR(BgL_auxz00_1739,
																				BgL_arg2151z00_1793);
																		}
																		BgL_arg2146z00_1789 =
																			MAKE_PAIR(BgL_arg2147z00_1790,
																			BgL_arg2148z00_1791);
																	}
																	BgL_arg2144z00_1788 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 9)),
																		BgL_arg2146z00_1789);
																}
																BgL_arg2135z00_1780 =
																	MAKE_PAIR(BgL_arg2144z00_1788, BNIL);
															}
															BgL_arg2133z00_1778 =
																MAKE_PAIR(BgL_arg2134z00_1779,
																BgL_arg2135z00_1780);
														}
														BgL_arg2132z00_1777 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
															BgL_arg2133z00_1778);
													}
													BgL_arg2124z00_1769 =
														MAKE_PAIR(BgL_arg2132z00_1777, BNIL);
												}
												BgL_arg2122z00_1767 =
													MAKE_PAIR(BgL_arg2123z00_1768, BgL_arg2124z00_1769);
											}
											BgL_arg2119z00_1766 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 7)),
												BgL_arg2122z00_1767);
										}
										BgL_lnodez00_1742 =
											BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
											(BgL_arg2119z00_1766, BgL_locz00_1741);
									}
									{	/* Coerce/convert.scm 283 */

										BGl_za2checkza2z00zzcoerce_convertz00 =
											(((long) 1) + BGl_za2checkza2z00zzcoerce_convertz00);
										if (CBOOL(BGl_za2warningzd2typesza2zd2zzengine_paramz00))
											{	/* Coerce/convert.scm 82 */
												BGl_notifyzd2typezd2testz00zzcoerce_convertz00(
													((obj_t) BgL_fromz00_75), BgL_toz00_76,
													BgL_locz00_1741);
											}
										else
											{	/* Coerce/convert.scm 82 */
												BFALSE;
											}
										BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00
											(BgL_lnodez00_1742);
										{	/* Coerce/convert.scm 294 */
											obj_t BgL_varz00_1743;

											{	/* Coerce/convert.scm 294 */
												obj_t BgL_pairz00_2923;

												{	/* Coerce/convert.scm 294 */
													obj_t BgL_pairz00_2922;

													BgL_pairz00_2922 =
														(((BgL_letzd2varzd2_bglt) CREF(
																((BgL_letzd2varzd2_bglt) BgL_lnodez00_1742)))->
														BgL_bindingsz00);
													BgL_pairz00_2923 = CAR(BgL_pairz00_2922);
												}
												BgL_varz00_1743 = CAR(BgL_pairz00_2923);
											}
											{	/* Coerce/convert.scm 294 */
												BgL_nodez00_bglt BgL_coercezd2appzd2_1744;

												{	/* Coerce/convert.scm 296 */
													BgL_varz00_bglt BgL_arg2112z00_1760;

													{	/* Coerce/convert.scm 296 */
														BgL_varz00_bglt BgL_new1114z00_1761;

														{	/* Coerce/convert.scm 296 */
															BgL_varz00_bglt BgL_new1113z00_1762;

															BgL_new1113z00_1762 =
																((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																			BgL_varz00_bgl))));
															{	/* Coerce/convert.scm 296 */
																long BgL_arg2114z00_1763;

																{	/* Coerce/convert.scm 296 */
																	long BgL_res2268z00_2925;

																	BgL_res2268z00_2925 =
																		BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
																	BgL_arg2114z00_1763 = BgL_res2268z00_2925;
																}
																{	/* Coerce/convert.scm 296 */
																	BgL_objectz00_bglt BgL_objz00_2926;

																	BgL_objz00_2926 =
																		((BgL_objectz00_bglt) BgL_new1113z00_1762);
																	BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2926,
																		BgL_arg2114z00_1763);
															}}
															{	/* Coerce/convert.scm 296 */
																BgL_objectz00_bglt BgL_auxz00_3403;

																BgL_auxz00_3403 =
																	((BgL_objectz00_bglt) BgL_new1113z00_1762);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_3403,
																	BFALSE);
															}
															BgL_new1114z00_1761 = BgL_new1113z00_1762;
														}
														((((BgL_nodez00_bglt) CREF(
																		((BgL_nodez00_bglt) BgL_new1114z00_1761)))->
																BgL_locz00) =
															((obj_t) BgL_locz00_1741), BUNSPEC);
														((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																			BgL_new1114z00_1761)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BgL_fromz00_75)), BUNSPEC);
														((((BgL_varz00_bglt) CREF(BgL_new1114z00_1761))->
																BgL_variablez00) =
															((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																	BgL_varz00_1743)), BUNSPEC);
														BgL_arg2112z00_1760 = BgL_new1114z00_1761;
													}
													BgL_coercezd2appzd2_1744 =
														BGl_dozd2convertzd2zzcoerce_convertz00
														(BgL_coercezd2opzd2_78,
														((BgL_nodez00_bglt) BgL_arg2112z00_1760),
														((BgL_typez00_bglt) BgL_fromz00_75));
												}
												{	/* Coerce/convert.scm 295 */
													BgL_nodez00_bglt BgL_condnz00_1745;

													BgL_condnz00_1745 =
														BGl_skipzd2letzd2varz00zzcoerce_convertz00
														(BgL_lnodez00_1742);
													{	/* Coerce/convert.scm 301 */

														{	/* Coerce/convert.scm 303 */
															BgL_localz00_bglt BgL_oz00_2928;
															BgL_typez00_bglt BgL_vz00_2929;

															BgL_oz00_2928 =
																((BgL_localz00_bglt) BgL_varz00_1743);
															BgL_vz00_2929 =
																((BgL_typez00_bglt) BgL_fromz00_75);
															((((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt) BgL_oz00_2928)))->
																	BgL_typez00) =
																((BgL_typez00_bglt) BgL_vz00_2929), BUNSPEC);
														}
														{	/* Coerce/convert.scm 305 */
															obj_t BgL_arg2102z00_1746;

															{	/* Coerce/convert.scm 305 */
																obj_t BgL_pairz00_2933;

																BgL_pairz00_2933 =
																	(((BgL_letzd2varzd2_bglt) CREF(
																			((BgL_letzd2varzd2_bglt)
																				BgL_lnodez00_1742)))->BgL_bindingsz00);
																BgL_arg2102z00_1746 = CAR(BgL_pairz00_2933);
															}
															{	/* Coerce/convert.scm 305 */
																obj_t BgL_pairz00_2934;
																obj_t BgL_objz00_2935;

																BgL_pairz00_2934 = BgL_arg2102z00_1746;
																BgL_objz00_2935 = ((obj_t) BgL_nodez00_79);
																SET_CDR(BgL_pairz00_2934, BgL_objz00_2935);
														}}
														{	/* Coerce/convert.scm 306 */
															obj_t BgL_binding2z00_1748;

															{	/* Coerce/convert.scm 306 */
																obj_t BgL_pairz00_2941;

																BgL_pairz00_2941 =
																	(((BgL_letzd2varzd2_bglt) CREF(
																			((BgL_letzd2varzd2_bglt)
																				(((BgL_letzd2varzd2_bglt) CREF(
																							((BgL_letzd2varzd2_bglt)
																								BgL_lnodez00_1742)))->
																					BgL_bodyz00))))->BgL_bindingsz00);
																BgL_binding2z00_1748 = CAR(BgL_pairz00_2941);
															}
															{	/* Coerce/convert.scm 307 */
																BgL_castz00_bglt BgL_arg2104z00_1749;

																{	/* Coerce/convert.scm 307 */
																	BgL_castz00_bglt BgL_new1116z00_1750;

																	{	/* Coerce/convert.scm 307 */
																		BgL_castz00_bglt BgL_new1115z00_1754;

																		BgL_new1115z00_1754 =
																			((BgL_castz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_castz00_bgl))));
																		{	/* Coerce/convert.scm 307 */
																			long BgL_arg2107z00_1755;

																			{	/* Coerce/convert.scm 307 */
																				long BgL_res2270z00_2943;

																				BgL_res2270z00_2943 =
																					BGL_CLASS_INDEX
																					(BGl_castz00zzast_nodez00);
																				BgL_arg2107z00_1755 =
																					BgL_res2270z00_2943;
																			}
																			{	/* Coerce/convert.scm 307 */
																				BgL_objectz00_bglt BgL_objz00_2944;

																				BgL_objz00_2944 =
																					((BgL_objectz00_bglt)
																					BgL_new1115z00_1754);
																				BGL_OBJECT_CLASS_NUM_SET
																					(BgL_objz00_2944,
																					BgL_arg2107z00_1755);
																		}}
																		{	/* Coerce/convert.scm 307 */
																			BgL_objectz00_bglt BgL_auxz00_3435;

																			BgL_auxz00_3435 =
																				((BgL_objectz00_bglt)
																				BgL_new1115z00_1754);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_3435,
																				BFALSE);
																		}
																		BgL_new1116z00_1750 = BgL_new1115z00_1754;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1116z00_1750)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_1741), BUNSPEC);
																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																						BgL_new1116z00_1750)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) ((BgL_typez00_bglt)
																				BGl_za2objza2z00zztype_cachez00)),
																		BUNSPEC);
																	{
																		BgL_nodez00_bglt BgL_auxz00_3443;

																		{	/* Coerce/convert.scm 310 */
																			BgL_varz00_bglt BgL_new1118z00_1751;

																			{	/* Coerce/convert.scm 310 */
																				BgL_varz00_bglt BgL_new1117z00_1752;

																				BgL_new1117z00_1752 =
																					((BgL_varz00_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_varz00_bgl))));
																				{	/* Coerce/convert.scm 310 */
																					long BgL_arg2106z00_1753;

																					{	/* Coerce/convert.scm 310 */
																						long BgL_res2271z00_2947;

																						{	/* Coerce/convert.scm 310 */
																							obj_t BgL_classz00_2946;

																							BgL_classz00_2946 =
																								BGl_varz00zzast_nodez00;
																							BgL_res2271z00_2947 =
																								BGL_CLASS_INDEX
																								(BgL_classz00_2946);
																						}
																						BgL_arg2106z00_1753 =
																							BgL_res2271z00_2947;
																					}
																					{	/* Coerce/convert.scm 310 */
																						BgL_objectz00_bglt BgL_objz00_2948;

																						BgL_objz00_2948 =
																							((BgL_objectz00_bglt)
																							BgL_new1117z00_1752);
																						BGL_OBJECT_CLASS_NUM_SET
																							(BgL_objz00_2948,
																							BgL_arg2106z00_1753);
																				}}
																				{	/* Coerce/convert.scm 310 */
																					BgL_objectz00_bglt BgL_auxz00_3448;

																					BgL_auxz00_3448 =
																						((BgL_objectz00_bglt)
																						BgL_new1117z00_1752);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_auxz00_3448, BFALSE);
																				}
																				BgL_new1118z00_1751 =
																					BgL_new1117z00_1752;
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1118z00_1751)))->
																					BgL_locz00) =
																				((obj_t) BgL_locz00_1741), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_new1118z00_1751)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BgL_fromz00_75)), BUNSPEC);
																			((((BgL_varz00_bglt)
																						CREF(BgL_new1118z00_1751))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) (
																						(BgL_variablez00_bglt)
																						BgL_varz00_1743)), BUNSPEC);
																			BgL_auxz00_3443 =
																				((BgL_nodez00_bglt)
																				BgL_new1118z00_1751);
																		}
																		((((BgL_castz00_bglt)
																					CREF(BgL_new1116z00_1750))->
																				BgL_argz00) =
																			((BgL_nodez00_bglt) BgL_auxz00_3443),
																			BUNSPEC);
																	}
																	BgL_arg2104z00_1749 = BgL_new1116z00_1750;
																}
																{	/* Coerce/convert.scm 307 */
																	obj_t BgL_pairz00_2950;
																	obj_t BgL_objz00_2951;

																	BgL_pairz00_2950 = BgL_binding2z00_1748;
																	BgL_objz00_2951 =
																		((obj_t) BgL_arg2104z00_1749);
																	SET_CDR(BgL_pairz00_2950, BgL_objz00_2951);
														}}}
														{	/* Coerce/convert.scm 314 */
															BgL_conditionalz00_bglt BgL_oz00_2952;

															BgL_oz00_2952 =
																((BgL_conditionalz00_bglt) BgL_condnz00_1745);
															((((BgL_conditionalz00_bglt)
																		CREF(BgL_oz00_2952))->BgL_truez00) =
																((BgL_nodez00_bglt) BgL_coercezd2appzd2_1744),
																BUNSPEC);
														}
														{	/* Coerce/convert.scm 316 */
															BgL_nodez00_bglt BgL_arg2110z00_1758;

															{	/* Coerce/convert.scm 316 */
																BgL_nodez00_bglt BgL_arg2111z00_1759;

																BgL_arg2111z00_1759 =
																	(((BgL_conditionalz00_bglt) CREF(
																			((BgL_conditionalz00_bglt)
																				BgL_condnz00_1745)))->BgL_falsez00);
																BgL_arg2110z00_1758 =
																	BGl_coercez12z12zzcoerce_coercez00
																	(BgL_arg2111z00_1759, BUNSPEC,
																	((BgL_typez00_bglt) BgL_fromz00_75),
																	((bool_t) 0));
															}
															{	/* Coerce/convert.scm 315 */
																BgL_conditionalz00_bglt BgL_oz00_2958;

																BgL_oz00_2958 =
																	((BgL_conditionalz00_bglt) BgL_condnz00_1745);
																((((BgL_conditionalz00_bglt)
																			CREF(BgL_oz00_2958))->BgL_falsez00) =
																	((BgL_nodez00_bglt) BgL_arg2110z00_1758),
																	BUNSPEC);
														}}
														BGl_lvtypezd2nodez12zc0zzast_lvtypez00
															(BgL_lnodez00_1742);
														return BgL_lnodez00_1742;
													}
												}
											}
										}
									}
								}
							}
						}
					}
			}
		}
	}



/* do-convert */
	BgL_nodez00_bglt BGl_dozd2convertzd2zzcoerce_convertz00(obj_t
		BgL_coercezd2opzd2_80, BgL_nodez00_bglt BgL_nodez00_81,
		BgL_typez00_bglt BgL_fromz00_82)
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 326 */
			if ((BgL_coercezd2opzd2_80 == BTRUE))
				{	/* Coerce/convert.scm 329 */
					return BgL_nodez00_81;
				}
			else
				{	/* Coerce/convert.scm 331 */
					BgL_nodez00_bglt BgL_nnodez00_1798;

					{	/* Coerce/convert.scm 331 */
						obj_t BgL_arg2156z00_1799;
						obj_t BgL_arg2157z00_1800;

						{	/* Coerce/convert.scm 331 */
							obj_t BgL_arg2158z00_1801;

							BgL_arg2158z00_1801 = MAKE_PAIR(((obj_t) BgL_nodez00_81), BNIL);
							BgL_arg2156z00_1799 =
								MAKE_PAIR(BgL_coercezd2opzd2_80, BgL_arg2158z00_1801);
						}
						BgL_arg2157z00_1800 =
							(((BgL_nodez00_bglt) CREF(BgL_nodez00_81))->BgL_locz00);
						BgL_nnodez00_1798 =
							BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00
							(BgL_arg2156z00_1799, BgL_arg2157z00_1800);
					}
					BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nnodez00_1798);
					BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nnodez00_1798);
					return BgL_nnodez00_1798;
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcoerce_convertz00()
	{
		AN_OBJECT;
		{	/* Coerce/convert.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2277z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string2277z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2277z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2277z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2277z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2277z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2277z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2277z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2277z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string2277z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2277z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2277z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2277z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2277z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2277z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2277z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2277z00zzcoerce_convertz00));
			BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long) 361167184),
				BSTRING_TO_STRING(BGl_string2277z00zzcoerce_convertz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2277z00zzcoerce_convertz00));
		}
	}

#ifdef __cplusplus
}
#endif
