/*===========================================================================*/
/*   (Effect/walk.scm)                                                       */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_objectzd2initzd2zzeffect_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t,
		bool_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_walkz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62effectzd2walkz12za2zzeffect_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
	static bool_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	extern bool_t
		BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00(BgL_nodez00_bglt);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2destza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_walkz00 = BUNSPEC;
	extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
	static obj_t BGl_z62zc3anonymousza31987ze3ze1zzeffect_walkz00(obj_t);
	extern obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzeffect_walkz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_feffectz12z12zzeffect_feffectz00(obj_t);
	BGL_IMPORT obj_t bgl_close_output_port(obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_localzf2fromzf2zzeffect_cgraphz00;
	extern obj_t BGl_feffectz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzeffect_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00();
	BGL_IMPORT obj_t BGl_prefixz00zz__osz00(obj_t);
	extern obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	extern obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00();
	static obj_t BGl_z62writezd2effectzb0zzeffect_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string2120z00zzeffect_walkz00,
		BgL_bgl_string2120za700za7za7e2135za7, " (effect", 8);
	      DEFINE_STRING(BGl_string2121z00zzeffect_walkz00,
		BgL_bgl_string2121za700za7za7e2136za7, "   (", 4);
	      DEFINE_STRING(BGl_string2122z00zzeffect_walkz00,
		BgL_bgl_string2122za700za7za7e2137za7, ")", 1);
	      DEFINE_STRING(BGl_string2123z00zzeffect_walkz00,
		BgL_bgl_string2123za700za7za7e2138za7, " (read ", 7);
	      DEFINE_STRING(BGl_string2124z00zzeffect_walkz00,
		BgL_bgl_string2124za700za7za7e2139za7, " (write ", 8);
	      DEFINE_STRING(BGl_string2125z00zzeffect_walkz00,
		BgL_bgl_string2125za700za7za7e2140za7, "))", 2);
	      DEFINE_STRING(BGl_string2126z00zzeffect_walkz00,
		BgL_bgl_string2126za700za7za7e2141za7, ".sch", 4);
	      DEFINE_STRING(BGl_string2127z00zzeffect_walkz00,
		BgL_bgl_string2127za700za7za7e2142za7, "(directives\n (pragma\n", 21);
	      DEFINE_STRING(BGl_string2128z00zzeffect_walkz00,
		BgL_bgl_string2128za700za7za7e2143za7, " ))\n", 4);
	      DEFINE_STRING(BGl_string2129z00zzeffect_walkz00,
		BgL_bgl_string2129za700za7za7e2144za7, "write-effect", 12);
	      DEFINE_STRING(BGl_string2130z00zzeffect_walkz00,
		BgL_bgl_string2130za700za7za7e2145za7, "Can't open output file", 22);
	      DEFINE_STRING(BGl_string2131z00zzeffect_walkz00,
		BgL_bgl_string2131za700za7za7e2146za7, "effect_walk", 11);
	      DEFINE_STRING(BGl_string2132z00zzeffect_walkz00,
		BgL_bgl_string2132za700za7za7e2147za7,
		"top (reset-effect-tables!) pass-started ", 40);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_effectzd2walkz12zd2envz12zzeffect_walkz00,
		BgL_bgl_za762effectza7d2walk2148z00,
		BGl_z62effectzd2walkz12za2zzeffect_walkz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_writezd2effectzd2envz00zzeffect_walkz00,
		BgL_bgl_za762writeza7d2effec2149z00,
		BGl_z62writezd2effectzb0zzeffect_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2112z00zzeffect_walkz00,
		BgL_bgl_string2112za700za7za7e2150za7, "Effect", 6);
	      DEFINE_STRING(BGl_string2113z00zzeffect_walkz00,
		BgL_bgl_string2113za700za7za7e2151za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2114z00zzeffect_walkz00,
		BgL_bgl_string2114za700za7za7e2152za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2115z00zzeffect_walkz00,
		BgL_bgl_string2115za700za7za7e2153za7, " error", 6);
	      DEFINE_STRING(BGl_string2116z00zzeffect_walkz00,
		BgL_bgl_string2116za700za7za7e2154za7, "s", 1);
	      DEFINE_STRING(BGl_string2117z00zzeffect_walkz00,
		BgL_bgl_string2117za700za7za7e2155za7, "", 0);
	      DEFINE_STRING(BGl_string2118z00zzeffect_walkz00,
		BgL_bgl_string2118za700za7za7e2156za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2119z00zzeffect_walkz00,
		BgL_bgl_string2119za700za7za7e2157za7, "failure during postlude hook", 28);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long
		BgL_checksumz00_2395, char *BgL_fromz00_2396)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzeffect_walkz00();
					BGl_cnstzd2initzd2zzeffect_walkz00();
					BGl_importedzd2moduleszd2initz00zzeffect_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"effect_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			{	/* Effect/walk.scm 15 */
				obj_t BgL_cportz00_2387;

				BgL_cportz00_2387 =
					bgl_open_input_string(BGl_string2132z00zzeffect_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2388;

					BgL_iz00_2388 = ((long) 2);
				BgL_loopz00_2389:
					if ((BgL_iz00_2388 == ((long) -1)))
						{	/* Effect/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/walk.scm 15 */
							{	/* Effect/walk.scm 15 */
								obj_t BgL_arg2134z00_2391;

								{	/* Effect/walk.scm 15 */

									{	/* Effect/walk.scm 15 */
										obj_t BgL_locationz00_2393;

										BgL_locationz00_2393 = BBOOL(((bool_t) 0));
										{	/* Effect/walk.scm 15 */

											BgL_arg2134z00_2391 =
												BGl_readz00zz__readerz00(BgL_cportz00_2387,
												BgL_locationz00_2393);
										}
									}
								}
								{	/* Effect/walk.scm 15 */
									int BgL_auxz00_2420;

									BgL_auxz00_2420 = (int) (BgL_iz00_2388);
									CNST_TABLE_SET(BgL_auxz00_2420, BgL_arg2134z00_2391);
							}}
							{	/* Effect/walk.scm 15 */
								int BgL_auxz00_2394;

								BgL_auxz00_2394 = (int) ((BgL_iz00_2388 - ((long) 1)));
								{
									long BgL_iz00_2425;

									BgL_iz00_2425 = (long) (BgL_auxz00_2394);
									BgL_iz00_2388 = BgL_iz00_2425;
									goto BgL_loopz00_2389;
								}
							}
						}
				}
			}
		}
	}



/* effect-walk! */
	BGL_EXPORTED_DEF obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t
		BgL_globalsz00_3, bool_t BgL_feffectz00_4)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 33 */
			{	/* Effect/walk.scm 34 */
				obj_t BgL_list1928z00_1322;

				{	/* Effect/walk.scm 34 */
					obj_t BgL_arg1929z00_1323;

					{	/* Effect/walk.scm 34 */
						obj_t BgL_arg1930z00_1324;

						BgL_arg1930z00_1324 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg1929z00_1323 =
							MAKE_PAIR(BGl_string2112z00zzeffect_walkz00, BgL_arg1930z00_1324);
					}
					BgL_list1928z00_1322 =
						MAKE_PAIR(BGl_string2113z00zzeffect_walkz00, BgL_arg1929z00_1323);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1928z00_1322);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2112z00zzeffect_walkz00;
			{
				obj_t BgL_hooksz00_1328;
				obj_t BgL_hnamesz00_1329;

				BgL_hooksz00_1328 = BNIL;
				BgL_hnamesz00_1329 = BNIL;
			BgL_zc3anonymousza31931ze3z83_1330:
				if (NULLP(BgL_hooksz00_1328))
					{	/* Effect/walk.scm 34 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Effect/walk.scm 34 */
						bool_t BgL_testz00_2437;

						{	/* Effect/walk.scm 34 */
							obj_t BgL_fun1938z00_1336;

							BgL_fun1938z00_1336 = CAR(BgL_hooksz00_1328);
							BgL_testz00_2437 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun1938z00_1336) (BgL_fun1938z00_1336,
									BEOA));
						}
						if (BgL_testz00_2437)
							{
								obj_t BgL_hnamesz00_2445;
								obj_t BgL_hooksz00_2443;

								BgL_hooksz00_2443 = CDR(BgL_hooksz00_1328);
								BgL_hnamesz00_2445 = CDR(BgL_hnamesz00_1329);
								BgL_hnamesz00_1329 = BgL_hnamesz00_2445;
								BgL_hooksz00_1328 = BgL_hooksz00_2443;
								goto BgL_zc3anonymousza31931ze3z83_1330;
							}
						else
							{	/* Effect/walk.scm 34 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string2112z00zzeffect_walkz00,
									BGl_string2114z00zzeffect_walkz00, CAR(BgL_hnamesz00_1329));
							}
					}
			}
			{
				obj_t BgL_l1857z00_1340;

				BgL_l1857z00_1340 = BgL_globalsz00_3;
			BgL_zc3anonymousza31940ze3z83_1341:
				if (PAIRP(BgL_l1857z00_1340))
					{	/* Effect/walk.scm 37 */
						{	/* Effect/walk.scm 38 */
							obj_t BgL_globalz00_1343;

							BgL_globalz00_1343 = CAR(BgL_l1857z00_1340);
							BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_globalz00_1343));
						}
						{
							obj_t BgL_l1857z00_2454;

							BgL_l1857z00_2454 = CDR(BgL_l1857z00_1340);
							BgL_l1857z00_1340 = BgL_l1857z00_2454;
							goto BgL_zc3anonymousza31940ze3z83_1341;
						}
					}
				else
					{	/* Effect/walk.scm 37 */
						((bool_t) 1);
					}
			}
			BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
				(BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00());
			{	/* Effect/walk.scm 46 */
				obj_t BgL_g1916z00_1347;

				BgL_g1916z00_1347 = BGl_getzd2varzf2allz20zzeffect_cgraphz00();
				{
					obj_t BgL_l1859z00_1349;

					BgL_l1859z00_1349 = BgL_g1916z00_1347;
				BgL_zc3anonymousza31944ze3z83_1350:
					if (PAIRP(BgL_l1859z00_1349))
						{	/* Effect/walk.scm 50 */
							{	/* Effect/walk.scm 47 */
								obj_t BgL_varz00_1352;

								BgL_varz00_1352 = CAR(BgL_l1859z00_1349);
								{	/* Effect/walk.scm 47 */
									BgL_valuez00_bglt BgL_funz00_1353;

									BgL_funz00_1353 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_varz00_1352)))->
										BgL_valuez00);
									if (((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_funz00_1353)))->BgL_sidezd2effectzd2) ==
											BUNSPEC))
										{	/* Effect/walk.scm 49 */
											BgL_funz00_bglt BgL_oz00_2268;

											BgL_oz00_2268 = ((BgL_funz00_bglt) BgL_funz00_1353);
											((((BgL_funz00_bglt) CREF(BgL_oz00_2268))->
													BgL_sidezd2effectzd2) = ((obj_t) BFALSE), BUNSPEC);
										}
									else
										{	/* Effect/walk.scm 48 */
											BFALSE;
										}
								}
							}
							{
								obj_t BgL_l1859z00_2470;

								BgL_l1859z00_2470 = CDR(BgL_l1859z00_1349);
								BgL_l1859z00_1349 = BgL_l1859z00_2470;
								goto BgL_zc3anonymousza31944ze3z83_1350;
							}
						}
					else
						{	/* Effect/walk.scm 50 */
							((bool_t) 1);
						}
				}
			}
			{
				obj_t BgL_l1917z00_1359;

				BgL_l1917z00_1359 = BgL_globalsz00_3;
			BgL_zc3anonymousza31949ze3z83_1360:
				if (PAIRP(BgL_l1917z00_1359))
					{	/* Effect/walk.scm 53 */
						{	/* Effect/walk.scm 54 */
							obj_t BgL_globalz00_1362;

							BgL_globalz00_1362 = CAR(BgL_l1917z00_1359);
							{	/* Effect/walk.scm 54 */
								obj_t BgL_arg1951z00_1363;

								BgL_arg1951z00_1363 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_globalz00_1362))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_spreadzd2sidezd2effectz12z12zzeffect_spreadz00((
										(BgL_nodez00_bglt) BgL_arg1951z00_1363));
							}
						}
						{
							obj_t BgL_l1917z00_2482;

							BgL_l1917z00_2482 = CDR(BgL_l1917z00_1359);
							BgL_l1917z00_1359 = BgL_l1917z00_2482;
							goto BgL_zc3anonymousza31949ze3z83_1360;
						}
					}
				else
					{	/* Effect/walk.scm 53 */
						((bool_t) 1);
					}
			}
			if (BgL_feffectz00_4)
				{	/* Effect/walk.scm 59 */
					BGl_feffectz12z12zzeffect_feffectz00(BgL_globalsz00_3);
				}
			else
				{	/* Effect/walk.scm 59 */
					BFALSE;
				}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Effect/walk.scm 62 */
					{	/* Effect/walk.scm 62 */
						obj_t BgL_port1919z00_1369;

						{	/* Effect/walk.scm 62 */
							obj_t BgL_res2088z00_2285;

							{	/* Effect/walk.scm 62 */
								obj_t BgL_auxz00_2489;

								BgL_auxz00_2489 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2088z00_2285 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_2489);
							}
							BgL_port1919z00_1369 = BgL_res2088z00_2285;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1919z00_1369);
						bgl_display_string(BGl_string2115z00zzeffect_walkz00,
							BgL_port1919z00_1369);
						{	/* Effect/walk.scm 62 */
							obj_t BgL_arg1955z00_1370;

							{	/* Effect/walk.scm 62 */
								bool_t BgL_testz00_2494;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Effect/walk.scm 62 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Effect/walk.scm 62 */
												BgL_testz00_2494 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Effect/walk.scm 62 */
												BgL_testz00_2494 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Effect/walk.scm 62 */
										BgL_testz00_2494 = ((bool_t) 0);
									}
								if (BgL_testz00_2494)
									{	/* Effect/walk.scm 62 */
										BgL_arg1955z00_1370 = BGl_string2116z00zzeffect_walkz00;
									}
								else
									{	/* Effect/walk.scm 62 */
										BgL_arg1955z00_1370 = BGl_string2117z00zzeffect_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1955z00_1370, BgL_port1919z00_1369);
						}
						bgl_display_string(BGl_string2118z00zzeffect_walkz00,
							BgL_port1919z00_1369);
						bgl_display_char(((unsigned char) '\n'), BgL_port1919z00_1369);
					}
					{	/* Effect/walk.scm 62 */
						obj_t BgL_list1959z00_1374;

						BgL_list1959z00_1374 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1959z00_1374);
					}
				}
			else
				{	/* Effect/walk.scm 62 */
					obj_t BgL_g1117z00_1375;
					obj_t BgL_g1118z00_1376;

					{	/* Effect/walk.scm 62 */
						obj_t BgL_list1968z00_1388;

						BgL_list1968z00_1388 =
							MAKE_PAIR
							(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00, BNIL);
						BgL_g1117z00_1375 = BgL_list1968z00_1388;
					}
					BgL_g1118z00_1376 = CNST_TABLE_REF(((long) 1));
					{
						obj_t BgL_hooksz00_1378;
						obj_t BgL_hnamesz00_1379;

						BgL_hooksz00_1378 = BgL_g1117z00_1375;
						BgL_hnamesz00_1379 = BgL_g1118z00_1376;
					BgL_zc3anonymousza31960ze3z83_1380:
						if (NULLP(BgL_hooksz00_1378))
							{	/* Effect/walk.scm 62 */
								return BgL_globalsz00_3;
							}
						else
							{	/* Effect/walk.scm 62 */
								bool_t BgL_testz00_2513;

								{	/* Effect/walk.scm 62 */
									obj_t BgL_fun1967z00_1386;

									BgL_fun1967z00_1386 = CAR(BgL_hooksz00_1378);
									BgL_testz00_2513 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1967z00_1386)
										(BgL_fun1967z00_1386, BEOA));
								}
								if (BgL_testz00_2513)
									{
										obj_t BgL_hnamesz00_2521;
										obj_t BgL_hooksz00_2519;

										BgL_hooksz00_2519 = CDR(BgL_hooksz00_1378);
										BgL_hnamesz00_2521 = CDR(BgL_hnamesz00_1379);
										BgL_hnamesz00_1379 = BgL_hnamesz00_2521;
										BgL_hooksz00_1378 = BgL_hooksz00_2519;
										goto BgL_zc3anonymousza31960ze3z83_1380;
									}
								else
									{	/* Effect/walk.scm 62 */
										obj_t BgL_arg1965z00_1385;

										BgL_arg1965z00_1385 = CAR(BgL_hnamesz00_1379);
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string2119z00zzeffect_walkz00, BgL_arg1965z00_1385);
									}
							}
					}
				}
		}
	}



/* &effect-walk! */
	obj_t BGl_z62effectzd2walkz12za2zzeffect_walkz00(obj_t BgL_envz00_2378,
		obj_t BgL_globalsz00_2379, obj_t BgL_feffectz00_2380)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 33 */
			return
				BGl_effectzd2walkz12zc0zzeffect_walkz00(BgL_globalsz00_2379,
				CBOOL(BgL_feffectz00_2380));
		}
	}



/* iterate-to-fix-point! */
	bool_t BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00(obj_t BgL_wz00_5)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 67 */
			if (PAIRP(BgL_wz00_5))
				{
					obj_t BgL_l1920z00_1391;

					BgL_l1920z00_1391 = BgL_wz00_5;
				BgL_zc3anonymousza31970ze3z83_1392:
					if (PAIRP(BgL_l1920z00_1391))
						{	/* Effect/walk.scm 69 */
							{	/* Effect/walk.scm 71 */
								obj_t BgL_varz00_1394;

								BgL_varz00_1394 = CAR(BgL_l1920z00_1391);
								{	/* Effect/walk.scm 71 */
									BgL_valuez00_bglt BgL_funz00_1395;

									BgL_funz00_1395 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt) BgL_varz00_1394)))->
										BgL_valuez00);
									if (((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt)
															BgL_funz00_1395)))->BgL_sidezd2effectzd2) ==
											BTRUE))
										{	/* Effect/walk.scm 72 */
											((bool_t) 0);
										}
									else
										{	/* Effect/walk.scm 72 */
											{	/* Effect/walk.scm 73 */
												BgL_funz00_bglt BgL_oz00_2314;

												BgL_oz00_2314 = ((BgL_funz00_bglt) BgL_funz00_1395);
												((((BgL_funz00_bglt) CREF(BgL_oz00_2314))->
														BgL_sidezd2effectzd2) = ((obj_t) BTRUE), BUNSPEC);
											}
											if (BGl_isazf3zf3zz__objectz00(BgL_varz00_1394,
													BGl_localzf2fromzf2zzeffect_cgraphz00))
												{	/* Effect/walk.scm 76 */
													obj_t BgL_arg1974z00_1398;

													{
														BgL_localzf2fromzf2_bglt BgL_auxz00_2542;

														{
															obj_t BgL_auxz00_2543;

															{	/* Effect/walk.scm 76 */
																BgL_objectz00_bglt BgL_auxz00_2544;

																BgL_auxz00_2544 =
																	((BgL_objectz00_bglt)
																	((BgL_localz00_bglt) BgL_varz00_1394));
																BgL_auxz00_2543 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_2544);
															}
															BgL_auxz00_2542 =
																((BgL_localzf2fromzf2_bglt) BgL_auxz00_2543);
														}
														BgL_arg1974z00_1398 =
															(((BgL_localzf2fromzf2_bglt)
																CREF(BgL_auxz00_2542))->BgL_fromz00);
													}
													BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
														(BgL_arg1974z00_1398);
												}
											else
												{	/* Effect/walk.scm 75 */
													if (BGl_isazf3zf3zz__objectz00(BgL_varz00_1394,
															BGl_globalzf2fromzf2zzeffect_cgraphz00))
														{	/* Effect/walk.scm 78 */
															obj_t BgL_arg1977z00_1400;

															{
																BgL_globalzf2fromzf2_bglt BgL_auxz00_2553;

																{
																	obj_t BgL_auxz00_2554;

																	{	/* Effect/walk.scm 78 */
																		BgL_objectz00_bglt BgL_auxz00_2555;

																		BgL_auxz00_2555 =
																			((BgL_objectz00_bglt)
																			((BgL_globalz00_bglt) BgL_varz00_1394));
																		BgL_auxz00_2554 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_2555);
																	}
																	BgL_auxz00_2553 =
																		((BgL_globalzf2fromzf2_bglt)
																		BgL_auxz00_2554);
																}
																BgL_arg1977z00_1400 =
																	(((BgL_globalzf2fromzf2_bglt)
																		CREF(BgL_auxz00_2553))->BgL_fromz00);
															}
															BGl_iteratezd2tozd2fixzd2pointz12zc0zzeffect_walkz00
																(BgL_arg1977z00_1400);
														}
													else
														{	/* Effect/walk.scm 77 */
															((bool_t) 0);
														}
												}
										}
								}
							}
							{
								obj_t BgL_l1920z00_2562;

								BgL_l1920z00_2562 = CDR(BgL_l1920z00_1391);
								BgL_l1920z00_1391 = BgL_l1920z00_2562;
								goto BgL_zc3anonymousza31970ze3z83_1392;
							}
						}
					else
						{	/* Effect/walk.scm 69 */
							return ((bool_t) 1);
						}
				}
			else
				{	/* Effect/walk.scm 68 */
					return ((bool_t) 0);
				}
		}
	}



/* write-effect */
	BGL_EXPORTED_DEF obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t
		BgL_globalsz00_6)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 84 */
			{
				obj_t BgL_gz00_1433;

				{	/* Effect/walk.scm 95 */
					obj_t BgL_onamez00_1405;

					if (STRINGP(BGl_za2destza2z00zzengine_paramz00))
						{	/* Effect/walk.scm 95 */
							BgL_onamez00_1405 = BGl_za2destza2z00zzengine_paramz00;
						}
					else
						{	/* Effect/walk.scm 97 */
							bool_t BgL_testz00_2566;

							if (PAIRP(BGl_za2srczd2filesza2zd2zzengine_paramz00))
								{	/* Effect/walk.scm 97 */
									obj_t BgL_auxz00_2569;

									BgL_auxz00_2569 =
										CAR(BGl_za2srczd2filesza2zd2zzengine_paramz00);
									BgL_testz00_2566 = STRINGP(BgL_auxz00_2569);
								}
							else
								{	/* Effect/walk.scm 97 */
									BgL_testz00_2566 = ((bool_t) 0);
								}
							if (BgL_testz00_2566)
								{	/* Effect/walk.scm 97 */
									BgL_onamez00_1405 =
										string_append(BGl_prefixz00zz__osz00(CAR
											(BGl_za2srczd2filesza2zd2zzengine_paramz00)),
										BGl_string2126z00zzeffect_walkz00);
								}
							else
								{	/* Effect/walk.scm 97 */
									BgL_onamez00_1405 = BFALSE;
								}
						}
					{	/* Effect/walk.scm 95 */
						obj_t BgL_portz00_1406;

						if (STRINGP(BgL_onamez00_1405))
							{	/* Effect/walk.scm 101 */
								obj_t BgL_g1859z00_1425;

								BgL_g1859z00_1425 = BgL_onamez00_1405;
								{	/* Effect/walk.scm 101 */

									BgL_portz00_1406 =
										BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00
										(BgL_g1859z00_1425, BTRUE);
								}
							}
						else
							{	/* Effect/walk.scm 102 */
								obj_t BgL_res2107z00_2353;

								{	/* Effect/walk.scm 102 */
									obj_t BgL_auxz00_2578;

									BgL_auxz00_2578 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res2107z00_2353 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2578);
								}
								BgL_portz00_1406 = BgL_res2107z00_2353;
							}
						{	/* Effect/walk.scm 100 */

							if (OUTPUT_PORTP(BgL_portz00_1406))
								{	/* Effect/walk.scm 105 */
									obj_t BgL_exitd1120z00_1408;

									BgL_exitd1120z00_1408 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Effect/walk.scm 110 */
										obj_t BgL_zc3anonymousza31987ze3z83_2382;

										BgL_zc3anonymousza31987ze3z83_2382 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31987ze3ze1zzeffect_walkz00,
											(int) (((long) 0)), (int) (((long) 1)));
										PROCEDURE_SET(BgL_zc3anonymousza31987ze3z83_2382,
											(int) (((long) 0)), BgL_portz00_1406);
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
											(BgL_exitd1120z00_1408,
											BgL_zc3anonymousza31987ze3z83_2382);
										{	/* Effect/walk.scm 107 */
											obj_t BgL_tmp1122z00_1410;

											{	/* Effect/walk.scm 107 */
												obj_t BgL_arg1981z00_1411;

												{	/* Effect/walk.scm 107 */
													obj_t BgL_res2109z00_2359;

													{	/* Effect/walk.scm 107 */
														obj_t BgL_auxz00_2590;

														BgL_auxz00_2590 = BGL_CURRENT_DYNAMIC_ENV();
														BgL_res2109z00_2359 =
															BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2590);
													}
													BgL_arg1981z00_1411 = BgL_res2109z00_2359;
												}
												bgl_display_string(BGl_string2127z00zzeffect_walkz00,
													BgL_arg1981z00_1411);
											}
											{
												obj_t BgL_l1923z00_1413;

												BgL_l1923z00_1413 = BgL_globalsz00_6;
											BgL_zc3anonymousza31982ze3z83_1414:
												if (PAIRP(BgL_l1923z00_1413))
													{	/* Effect/walk.scm 108 */
														BgL_gz00_1433 = CAR(BgL_l1923z00_1413);
														{	/* Effect/walk.scm 86 */
															obj_t BgL_fez00_1435;

															BgL_fez00_1435 =
																(((BgL_funz00_bglt) CREF(
																		((BgL_funz00_bglt)
																			(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							BgL_gz00_1433)))->
																				BgL_valuez00))))->BgL_effectz00);
															if (BGl_isazf3zf3zz__objectz00(BgL_fez00_1435,
																	BGl_feffectz00zzast_varz00))
																{	/* Effect/walk.scm 88 */
																	BgL_feffectz00_bglt BgL_i1119z00_1437;

																	BgL_i1119z00_1437 =
																		((BgL_feffectz00_bglt) BgL_fez00_1435);
																	{	/* Effect/walk.scm 89 */
																		bool_t BgL_testz00_2603;

																		if (
																			((((BgL_feffectz00_bglt)
																						CREF(BgL_i1119z00_1437))->
																					BgL_readz00) ==
																				CNST_TABLE_REF(((long) 2))))
																			{	/* Effect/walk.scm 89 */
																				BgL_testz00_2603 =
																					(
																					(((BgL_feffectz00_bglt)
																							CREF(BgL_i1119z00_1437))->
																						BgL_writez00) ==
																					CNST_TABLE_REF(((long) 2)));
																			}
																		else
																			{	/* Effect/walk.scm 89 */
																				BgL_testz00_2603 = ((bool_t) 0);
																			}
																		if (BgL_testz00_2603)
																			{	/* Effect/walk.scm 89 */
																				BFALSE;
																			}
																		else
																			{	/* Effect/walk.scm 89 */
																				{	/* Effect/walk.scm 91 */
																					obj_t BgL_arg2001z00_1439;

																					BgL_arg2001z00_1439 =
																						BGl_shapez00zztools_shapez00
																						(BgL_gz00_1433);
																					{	/* Effect/walk.scm 91 */
																						obj_t BgL_list2002z00_1440;

																						{	/* Effect/walk.scm 91 */
																							obj_t BgL_arg2003z00_1441;

																							{	/* Effect/walk.scm 91 */
																								obj_t BgL_arg2004z00_1442;

																								BgL_arg2004z00_1442 =
																									MAKE_PAIR
																									(BGl_string2120z00zzeffect_walkz00,
																									BNIL);
																								BgL_arg2003z00_1441 =
																									MAKE_PAIR(BgL_arg2001z00_1439,
																									BgL_arg2004z00_1442);
																							}
																							BgL_list2002z00_1440 =
																								MAKE_PAIR
																								(BGl_string2121z00zzeffect_walkz00,
																								BgL_arg2003z00_1441);
																						}
																						BGl_displayza2za2zz__r4_output_6_10_3z00
																							(BgL_list2002z00_1440);
																					}
																				}
																				if (NULLP(
																						(((BgL_feffectz00_bglt)
																								CREF(BgL_i1119z00_1437))->
																							BgL_readz00)))
																					{	/* Effect/walk.scm 92 */
																						BFALSE;
																					}
																				else
																					{	/* Effect/walk.scm 92 */
																						obj_t BgL_arg2006z00_1444;

																						BgL_arg2006z00_1444 =
																							(((BgL_feffectz00_bglt)
																								CREF(BgL_i1119z00_1437))->
																							BgL_readz00);
																						{	/* Effect/walk.scm 92 */
																							obj_t BgL_list2007z00_1445;

																							{	/* Effect/walk.scm 92 */
																								obj_t BgL_arg2008z00_1446;

																								{	/* Effect/walk.scm 92 */
																									obj_t BgL_arg2009z00_1447;

																									BgL_arg2009z00_1447 =
																										MAKE_PAIR
																										(BGl_string2122z00zzeffect_walkz00,
																										BNIL);
																									BgL_arg2008z00_1446 =
																										MAKE_PAIR
																										(BgL_arg2006z00_1444,
																										BgL_arg2009z00_1447);
																								}
																								BgL_list2007z00_1445 =
																									MAKE_PAIR
																									(BGl_string2123z00zzeffect_walkz00,
																									BgL_arg2008z00_1446);
																							}
																							BGl_displayza2za2zz__r4_output_6_10_3z00
																								(BgL_list2007z00_1445);
																						}
																					}
																				if (NULLP(
																						(((BgL_feffectz00_bglt)
																								CREF(BgL_i1119z00_1437))->
																							BgL_writez00)))
																					{	/* Effect/walk.scm 93 */
																						BFALSE;
																					}
																				else
																					{	/* Effect/walk.scm 93 */
																						obj_t BgL_arg2012z00_1450;

																						BgL_arg2012z00_1450 =
																							(((BgL_feffectz00_bglt)
																								CREF(BgL_i1119z00_1437))->
																							BgL_writez00);
																						{	/* Effect/walk.scm 93 */
																							obj_t BgL_list2013z00_1451;

																							{	/* Effect/walk.scm 93 */
																								obj_t BgL_arg2014z00_1452;

																								{	/* Effect/walk.scm 93 */
																									obj_t BgL_arg2016z00_1453;

																									BgL_arg2016z00_1453 =
																										MAKE_PAIR
																										(BGl_string2122z00zzeffect_walkz00,
																										BNIL);
																									BgL_arg2014z00_1452 =
																										MAKE_PAIR
																										(BgL_arg2012z00_1450,
																										BgL_arg2016z00_1453);
																								}
																								BgL_list2013z00_1451 =
																									MAKE_PAIR
																									(BGl_string2124z00zzeffect_walkz00,
																									BgL_arg2014z00_1452);
																							}
																							BGl_displayza2za2zz__r4_output_6_10_3z00
																								(BgL_list2013z00_1451);
																						}
																					}
																				{	/* Effect/walk.scm 94 */
																					obj_t BgL_port1922z00_1455;

																					{	/* Effect/walk.scm 94 */
																						obj_t BgL_res2102z00_2338;

																						{	/* Effect/walk.scm 94 */
																							obj_t BgL_auxz00_2632;

																							BgL_auxz00_2632 =
																								BGL_CURRENT_DYNAMIC_ENV();
																							BgL_res2102z00_2338 =
																								BGL_ENV_CURRENT_OUTPUT_PORT
																								(BgL_auxz00_2632);
																						}
																						BgL_port1922z00_1455 =
																							BgL_res2102z00_2338;
																					}
																					bgl_display_string
																						(BGl_string2125z00zzeffect_walkz00,
																						BgL_port1922z00_1455);
																					bgl_display_char(((unsigned char)
																							'\n'), BgL_port1922z00_1455);
																}}}}
															else
																{	/* Effect/walk.scm 87 */
																	BFALSE;
																}
														}
														{
															obj_t BgL_l1923z00_2638;

															BgL_l1923z00_2638 = CDR(BgL_l1923z00_1413);
															BgL_l1923z00_1413 = BgL_l1923z00_2638;
															goto BgL_zc3anonymousza31982ze3z83_1414;
														}
													}
												else
													{	/* Effect/walk.scm 108 */
														((bool_t) 1);
													}
											}
											{	/* Effect/walk.scm 109 */
												obj_t BgL_arg1986z00_1419;

												{	/* Effect/walk.scm 109 */
													obj_t BgL_res2111z00_2367;

													{	/* Effect/walk.scm 109 */
														obj_t BgL_auxz00_2640;

														BgL_auxz00_2640 = BGL_CURRENT_DYNAMIC_ENV();
														BgL_res2111z00_2367 =
															BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2640);
													}
													BgL_arg1986z00_1419 = BgL_res2111z00_2367;
												}
												BgL_tmp1122z00_1410 =
													bgl_display_string(BGl_string2128z00zzeffect_walkz00,
													BgL_arg1986z00_1419);
											}
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_exitd1120z00_1408);
											BGl_z62zc3anonymousza31987ze3ze1zzeffect_walkz00
												(BgL_zc3anonymousza31987ze3z83_2382);
											return BgL_tmp1122z00_1410;
										}
									}
								}
							else
								{	/* Effect/walk.scm 103 */
									return
										BGl_errorz00zz__errorz00(BGl_string2129z00zzeffect_walkz00,
										BGl_string2130z00zzeffect_walkz00, BgL_onamez00_1405);
								}
						}
					}
				}
			}
		}
	}



/* &write-effect */
	obj_t BGl_z62writezd2effectzb0zzeffect_walkz00(obj_t BgL_envz00_2383,
		obj_t BgL_globalsz00_2384)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 84 */
			return BGl_writezd2effectzd2zzeffect_walkz00(BgL_globalsz00_2384);
		}
	}



/* &<anonymous:1987> */
	obj_t BGl_z62zc3anonymousza31987ze3ze1zzeffect_walkz00(obj_t BgL_envz00_2385)
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 105 */
			{	/* Effect/walk.scm 110 */
				obj_t BgL_portz00_2386;

				BgL_portz00_2386 = PROCEDURE_REF(BgL_envz00_2385, (int) (((long) 0)));
				{

					{	/* Effect/walk.scm 110 */
						bool_t BgL_testz00_2650;

						{	/* Effect/walk.scm 110 */
							obj_t BgL_arg1989z00_1422;

							{	/* Effect/walk.scm 110 */
								obj_t BgL_res2108z00_2356;

								{	/* Effect/walk.scm 110 */
									obj_t BgL_auxz00_2651;

									BgL_auxz00_2651 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_res2108z00_2356 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_2651);
								}
								BgL_arg1989z00_1422 = BgL_res2108z00_2356;
							}
							BgL_testz00_2650 = (BgL_portz00_2386 == BgL_arg1989z00_1422);
						}
						if (BgL_testz00_2650)
							{	/* Effect/walk.scm 110 */
								return BFALSE;
							}
						else
							{	/* Effect/walk.scm 110 */
								return bgl_close_output_port(BgL_portz00_2386);
							}
					}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_walkz00()
	{
		AN_OBJECT;
		{	/* Effect/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2131z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2131z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2131z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2131z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2131z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2131z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2131z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2131z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 271385047),
				BSTRING_TO_STRING(BGl_string2131z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2131z00zzeffect_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string2131z00zzeffect_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string2131z00zzeffect_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
