/*===========================================================================*/
/*   (Engine/heap.scm)                                                       */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Engine/heap.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;


	extern obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00();
	extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
	extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzengine_heapz00 = BUNSPEC;
	static obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	static obj_t BGl_z62dumpzd2heapszb0zzengine_heapz00(obj_t, obj_t);
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	BGL_IMPORT obj_t input_obj(obj_t);
	static obj_t BGl_genericzd2initzd2zzengine_heapz00();
	static obj_t BGl_objectzd2initzd2zzengine_heapz00();
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31542ze3ze1zzengine_heapz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31526ze3ze1zzengine_heapz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzengine_heapz00();
	extern obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
	static obj_t BGl_z62zc3anonymousza31561ze3ze1zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t close_binary_port(obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31581ze3ze1zzengine_heapz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza31574ze3ze1zzengine_heapz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62zc3anonymousza31729ze3ze1zzengine_heapz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setzd2tenvz12zc0zztype_envz00(obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzengine_heapz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00();
	BGL_IMPORT obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
	static obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t);
	BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_heapzd2modulezd2listz00zzheap_restorez00(obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_STRING(BGl_string1864z00zzengine_heapz00,
		BgL_bgl_string1864za700za7za7e1886za7, "Corrupted heap", 14);
	      DEFINE_STRING(BGl_string1867z00zzengine_heapz00,
		BgL_bgl_string1867za700za7za7e1887za7, "Cannot open heap file ~s", 24);
	      DEFINE_STRING(BGl_string1868z00zzengine_heapz00,
		BgL_bgl_string1868za700za7za7e1888za7, "(heap \"", 7);
	      DEFINE_STRING(BGl_string1869z00zzengine_heapz00,
		BgL_bgl_string1869za700za7za7e1889za7, "\"", 1);
	      DEFINE_STRING(BGl_string1870z00zzengine_heapz00,
		BgL_bgl_string1870za700za7za7e1890za7, " (variables", 11);
	      DEFINE_STRING(BGl_string1871z00zzengine_heapz00,
		BgL_bgl_string1871za700za7za7e1891za7, " )\n", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1865z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71892za7,
		BGl_z62zc3anonymousza31526ze3ze1zzengine_heapz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1872z00zzengine_heapz00,
		BgL_bgl_string1872za700za7za7e1893za7, " (types", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71894za7,
		BGl_z62zc3anonymousza31542ze3ze1zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1873z00zzengine_heapz00,
		BgL_bgl_string1873za700za7za7e1895za7, " )", 2);
	      DEFINE_STRING(BGl_string1874z00zzengine_heapz00,
		BgL_bgl_string1874za700za7za7e1896za7, " (includes", 10);
	      DEFINE_STRING(BGl_string1875z00zzengine_heapz00,
		BgL_bgl_string1875za700za7za7e1897za7, ")\n", 2);
	      DEFINE_STRING(BGl_string1877z00zzengine_heapz00,
		BgL_bgl_string1877za700za7za7e1898za7, "   ", 3);
	      DEFINE_STRING(BGl_string1878z00zzengine_heapz00,
		BgL_bgl_string1878za700za7za7e1899za7, "~s", 2);
	      DEFINE_STRING(BGl_string1879z00zzengine_heapz00,
		BgL_bgl_string1879za700za7za7e1900za7, "\n    ", 5);
	      DEFINE_STRING(BGl_string1880z00zzengine_heapz00,
		BgL_bgl_string1880za700za7za7e1901za7, "", 0);
	      DEFINE_STRING(BGl_string1882z00zzengine_heapz00,
		BgL_bgl_string1882za700za7za7e1902za7, "engine_heap", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71903za7,
		BGl_z62zc3anonymousza31581ze3ze1zzengine_heapz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_dumpzd2heapszd2envz00zzengine_heapz00,
		BgL_bgl_za762dumpza7d2heapsza71904za7,
		BGl_z62dumpzd2heapszb0zzengine_heapz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1883z00zzengine_heapz00,
		BgL_bgl_string1883za700za7za7e1905za7,
		"type class super jvm-type-name inline sifun qualified-type name module id variable native function dump-heap ",
		109);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zzengine_heapz00,
		BgL_bgl_za762za7c3anonymousza71906za7,
		BGl_z62zc3anonymousza31729ze3ze1zzengine_heapz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_heapz00(long
		BgL_checksumz00_1565, char *BgL_fromz00_1566)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzengine_heapz00))
				{
					BGl_requirezd2initializa7ationz75zzengine_heapz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzengine_heapz00();
					BGl_cnstzd2initzd2zzengine_heapz00();
					BGl_importedzd2moduleszd2initz00zzengine_heapz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__binaryz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__hashz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"engine_heap");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"engine_heap");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			{	/* Engine/heap.scm 15 */
				obj_t BgL_cportz00_1557;

				BgL_cportz00_1557 =
					bgl_open_input_string(BGl_string1883z00zzengine_heapz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_1558;

					BgL_iz00_1558 = ((long) 13);
				BgL_loopz00_1559:
					if ((BgL_iz00_1558 == ((long) -1)))
						{	/* Engine/heap.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Engine/heap.scm 15 */
							{	/* Engine/heap.scm 15 */
								obj_t BgL_arg1885z00_1561;

								{	/* Engine/heap.scm 15 */

									{	/* Engine/heap.scm 15 */
										obj_t BgL_locationz00_1563;

										BgL_locationz00_1563 = BBOOL(((bool_t) 0));
										{	/* Engine/heap.scm 15 */

											BgL_arg1885z00_1561 =
												BGl_readz00zz__readerz00(BgL_cportz00_1557,
												BgL_locationz00_1563);
										}
									}
								}
								{	/* Engine/heap.scm 15 */
									int BgL_auxz00_1592;

									BgL_auxz00_1592 = (int) (BgL_iz00_1558);
									CNST_TABLE_SET(BgL_auxz00_1592, BgL_arg1885z00_1561);
							}}
							{	/* Engine/heap.scm 15 */
								int BgL_auxz00_1564;

								BgL_auxz00_1564 = (int) ((BgL_iz00_1558 - ((long) 1)));
								{
									long BgL_iz00_1597;

									BgL_iz00_1597 = (long) (BgL_auxz00_1564);
									BgL_iz00_1558 = BgL_iz00_1597;
									goto BgL_loopz00_1559;
								}
							}
						}
				}
			}
		}
	}



/* dump-heaps */
	BGL_EXPORTED_DEF obj_t BGl_dumpzd2heapszd2zzengine_heapz00(obj_t
		BgL_namesz00_3)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 33 */
			BGl_setzd2backendz12zc0zzbackend_backendz00
				(BGl_za2targetzd2languageza2zd2zzengine_paramz00);
			BGl_initializa7ezd2Genvz12z67zzast_envz00();
			BGl_initializa7ezd2Tenvz12z67zztype_envz00();
			{
				obj_t BgL_l1474z00_733;

				{	/* Engine/heap.scm 40 */
					bool_t BgL_auxz00_1602;

					BgL_l1474z00_733 = BgL_namesz00_3;
				BgL_zc3anonymousza31507ze3z83_734:
					if (PAIRP(BgL_l1474z00_733))
						{	/* Engine/heap.scm 40 */
							BGl_dumpzd2heapzd2zzengine_heapz00(CAR(BgL_l1474z00_733));
							{
								obj_t BgL_l1474z00_1607;

								BgL_l1474z00_1607 = CDR(BgL_l1474z00_733);
								BgL_l1474z00_733 = BgL_l1474z00_1607;
								goto BgL_zc3anonymousza31507ze3z83_734;
							}
						}
					else
						{	/* Engine/heap.scm 40 */
							BgL_auxz00_1602 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_1602);
				}
			}
		}
	}



/* &dump-heaps */
	obj_t BGl_z62dumpzd2heapszb0zzengine_heapz00(obj_t BgL_envz00_1530,
		obj_t BgL_namesz00_1531)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 33 */
			return BGl_dumpzd2heapszd2zzengine_heapz00(BgL_namesz00_1531);
		}
	}



/* dump-heap */
	obj_t BGl_dumpzd2heapzd2zzengine_heapz00(obj_t BgL_heapz00_4)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 45 */
			{	/* Engine/heap.scm 46 */
				obj_t BgL_fnamez00_739;

				BgL_fnamez00_739 =
					BGl_findzd2filezf2pathz20zz__osz00(BgL_heapz00_4,
					BGl_za2libzd2dirza2zd2zzengine_paramz00);
				if (STRINGP(BgL_fnamez00_739))
					{	/* Engine/heap.scm 48 */
						obj_t BgL_portz00_741;

						BgL_portz00_741 =
							BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00
							(BgL_fnamez00_739);
						if (BINARY_PORTP(BgL_portz00_741))
							{	/* Engine/heap.scm 53 */
								obj_t BgL_exitd1064z00_743;

								BgL_exitd1064z00_743 = BGL_EXITD_TOP_AS_OBJ();
								{	/* Engine/heap.scm 113 */
									obj_t BgL_zc3anonymousza31574ze3z83_1535;

									BgL_zc3anonymousza31574ze3z83_1535 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza31574ze3ze1zzengine_heapz00,
										(int) (((long) 0)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza31574ze3z83_1535,
										(int) (((long) 0)), BgL_portz00_741);
									BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
										(BgL_exitd1064z00_743, BgL_zc3anonymousza31574ze3z83_1535);
									{	/* Engine/heap.scm 54 */
										obj_t BgL_tmp1066z00_745;

										{	/* Engine/heap.scm 54 */
											obj_t BgL_envsz00_746;

											BgL_envsz00_746 = input_obj(BgL_portz00_741);
											{	/* Engine/heap.scm 54 */
												obj_t BgL__z00_747;

												{	/* Engine/heap.scm 55 */
													bool_t BgL_testz00_1625;

													{	/* Engine/heap.scm 55 */
														bool_t BgL_testz00_1626;

														{	/* Engine/heap.scm 55 */
															obj_t BgL_v1476z00_803;

															BgL_v1476z00_803 =
																create_vector((int) (((long) 1)));
															VECTOR_SET(BgL_v1476z00_803,
																(int) (((long) 0)), BgL_envsz00_746);
															BgL_testz00_1626 = ((bool_t) 1);
														}
														if (BgL_testz00_1626)
															{	/* Engine/heap.scm 56 */
																bool_t BgL__ortest_1067z00_800;

																{	/* Engine/heap.scm 56 */
																	int BgL_arg1573z00_802;

																	BgL_arg1573z00_802 =
																		VECTOR_LENGTH(BgL_envsz00_746);
																	BgL__ortest_1067z00_800 =
																		((long) (BgL_arg1573z00_802) == ((long) 5));
																}
																if (BgL__ortest_1067z00_800)
																	{	/* Engine/heap.scm 56 */
																		BgL_testz00_1625 = BgL__ortest_1067z00_800;
																	}
																else
																	{	/* Engine/heap.scm 57 */
																		int BgL_arg1570z00_801;

																		BgL_arg1570z00_801 =
																			VECTOR_LENGTH(BgL_envsz00_746);
																		BgL_testz00_1625 =
																			(
																			(long) (BgL_arg1570z00_801) ==
																			((long) 6));
															}}
														else
															{	/* Engine/heap.scm 55 */
																BgL_testz00_1625 = ((bool_t) 0);
															}
													}
													if (BgL_testz00_1625)
														{	/* Engine/heap.scm 55 */
															BgL__z00_747 = BFALSE;
														}
													else
														{	/* Engine/heap.scm 55 */
															BgL__z00_747 =
																BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long)
																		0)), BGl_string1864z00zzengine_heapz00,
																BgL_heapz00_4);
												}}
												{	/* Engine/heap.scm 55 */
													obj_t BgL_targetz00_748;

													BgL_targetz00_748 =
														VECTOR_REF(BgL_envsz00_746, (int) (((long) 0)));
													{	/* Engine/heap.scm 59 */
														obj_t BgL_versionz00_749;

														BgL_versionz00_749 =
															VECTOR_REF(BgL_envsz00_746, (int) (((long) 1)));
														{	/* Engine/heap.scm 60 */
															obj_t BgL_specificz00_750;

															BgL_specificz00_750 =
																VECTOR_REF(BgL_envsz00_746, (int) (((long) 2)));
															{	/* Engine/heap.scm 61 */
																obj_t BgL_genvz00_751;

																BgL_genvz00_751 =
																	VECTOR_REF(BgL_envsz00_746,
																	(int) (((long) 3)));
																{	/* Engine/heap.scm 62 */
																	obj_t BgL_tenvz00_752;

																	BgL_tenvz00_752 =
																		VECTOR_REF(BgL_envsz00_746,
																		(int) (((long) 4)));
																	{	/* Engine/heap.scm 63 */
																		obj_t BgL_includesz00_753;

																		{	/* Engine/heap.scm 64 */
																			bool_t BgL_testz00_1650;

																			{	/* Engine/heap.scm 64 */
																				int BgL_arg1565z00_797;

																				BgL_arg1565z00_797 =
																					VECTOR_LENGTH(BgL_envsz00_746);
																				BgL_testz00_1650 =
																					(
																					(long) (BgL_arg1565z00_797) ==
																					((long) 6));
																			}
																			if (BgL_testz00_1650)
																				{	/* Engine/heap.scm 64 */
																					BgL_includesz00_753 =
																						VECTOR_REF(BgL_envsz00_746,
																						(int) (((long) 5)));
																				}
																			else
																				{	/* Engine/heap.scm 64 */
																					BgL_includesz00_753 = BNIL;
																				}
																		}
																		{	/* Engine/heap.scm 64 */

																			{	/* Engine/heap.scm 76 */
																				bool_t BgL_testz00_1656;

																				{	/* Engine/heap.scm 76 */
																					int BgL_arg1522z00_755;

																					BgL_arg1522z00_755 =
																						VECTOR_LENGTH(BgL_envsz00_746);
																					BgL_testz00_1656 =
																						(
																						(long) (BgL_arg1522z00_755) ==
																						((long) 6));
																				}
																				if (BgL_testz00_1656)
																					{	/* Engine/heap.scm 76 */
																						BGl_addzd2genvz12zc0zzast_envz00
																							(BgL_genvz00_751);
																					}
																				else
																					{	/* Engine/heap.scm 76 */
																						BGl_setzd2tenvz12zc0zztype_envz00
																							(BgL_tenvz00_752);
																						BGl_setzd2genvz12zc0zzast_envz00
																							(BgL_genvz00_751);
																					}
																			}
																			{	/* Engine/heap.scm 85 */
																				bool_t BgL_testz00_1663;

																				{	/* Engine/heap.scm 85 */
																					obj_t BgL_arg1534z00_766;

																					BgL_arg1534z00_766 =
																						BGl_thezd2backendzd2zzbackend_backendz00
																						();
																					BgL_testz00_1663 =
																						(((BgL_backendz00_bglt)
																							CREF(((BgL_backendz00_bglt)
																									BgL_arg1534z00_766)))->
																						BgL_qualifiedzd2typeszd2);
																				}
																				if (BgL_testz00_1663)
																					{	/* Engine/heap.scm 85 */
																						BGl_forzd2eachzd2globalz12z12zzast_envz00
																							(BGl_proc1865z00zzengine_heapz00,
																							BNIL);
																					}
																				else
																					{	/* Engine/heap.scm 85 */
																						BFALSE;
																					}
																			}
																			BGl_hashtablezd2forzd2eachz00zz__hashz00
																				(BgL_genvz00_751,
																				BGl_proc1866z00zzengine_heapz00);
																			{	/* Engine/heap.scm 99 */
																				obj_t BgL_arg1555z00_782;

																				{	/* Engine/heap.scm 99 */
																					obj_t BgL_res1835z00_1400;

																					{	/* Engine/heap.scm 99 */
																						obj_t BgL_auxz00_1669;

																						BgL_auxz00_1669 =
																							BGL_CURRENT_DYNAMIC_ENV();
																						BgL_res1835z00_1400 =
																							BGL_ENV_CURRENT_ERROR_PORT
																							(BgL_auxz00_1669);
																					}
																					BgL_arg1555z00_782 =
																						BgL_res1835z00_1400;
																				}
																				{	/* Engine/heap.scm 101 */
																					obj_t
																						BgL_zc3anonymousza31561ze3z83_1532;
																					BgL_zc3anonymousza31561ze3z83_1532 =
																						MAKE_FX_PROCEDURE
																						(BGl_z62zc3anonymousza31561ze3ze1zzengine_heapz00,
																						(int) (((long) 0)),
																						(int) (((long) 4)));
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31561ze3z83_1532,
																						(int) (((long) 0)), BgL_heapz00_4);
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31561ze3z83_1532,
																						(int) (((long) 1)),
																						BgL_genvz00_751);
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31561ze3z83_1532,
																						(int) (((long) 2)),
																						BgL_tenvz00_752);
																					PROCEDURE_SET
																						(BgL_zc3anonymousza31561ze3z83_1532,
																						(int) (((long) 3)),
																						BgL_includesz00_753);
																					BgL_tmp1066z00_745 =
																						BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00
																						(BgL_arg1555z00_782,
																						BgL_zc3anonymousza31561ze3z83_1532);
										}}}}}}}}}}}
										BGl_exitdzd2popzd2protectz12z12zz__bexitz00
											(BgL_exitd1064z00_743);
										close_binary_port(BgL_portz00_741);
										return BgL_tmp1066z00_745;
									}
								}
							}
						else
							{	/* Engine/heap.scm 51 */
								obj_t BgL_arg1577z00_806;

								{	/* Engine/heap.scm 51 */
									obj_t BgL_list1578z00_807;

									BgL_list1578z00_807 = MAKE_PAIR(BgL_fnamez00_739, BNIL);
									BgL_arg1577z00_806 =
										BGl_formatz00zz__r4_output_6_10_3z00
										(BGl_string1867z00zzengine_heapz00, BgL_list1578z00_807);
								}
								return
									BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)),
									BgL_arg1577z00_806, BGl_za2libzd2dirza2zd2zzengine_paramz00);
					}}
				else
					{	/* Engine/heap.scm 114 */
						obj_t BgL_mz00_808;

						{	/* Engine/heap.scm 114 */
							obj_t BgL_list1579z00_809;

							BgL_list1579z00_809 = MAKE_PAIR(BgL_heapz00_4, BNIL);
							BgL_mz00_808 =
								BGl_formatz00zz__r4_output_6_10_3z00
								(BGl_string1867z00zzengine_heapz00, BgL_list1579z00_809);
						}
						BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 0)), BgL_mz00_808,
							BGl_za2libzd2dirza2zd2zzengine_paramz00);
						return BFALSE;
					}
			}
		}
	}



/* &<anonymous:1561> */
	obj_t BGl_z62zc3anonymousza31561ze3ze1zzengine_heapz00(obj_t BgL_envz00_1536)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 100 */
			{	/* Engine/heap.scm 101 */
				obj_t BgL_heapz00_1537;
				obj_t BgL_genvz00_1538;
				obj_t BgL_tenvz00_1539;
				obj_t BgL_includesz00_1540;

				BgL_heapz00_1537 = PROCEDURE_REF(BgL_envz00_1536, (int) (((long) 0)));
				BgL_genvz00_1538 = PROCEDURE_REF(BgL_envz00_1536, (int) (((long) 1)));
				BgL_tenvz00_1539 = PROCEDURE_REF(BgL_envz00_1536, (int) (((long) 2)));
				BgL_includesz00_1540 =
					PROCEDURE_REF(BgL_envz00_1536, (int) (((long) 3)));
				{

					{	/* Engine/heap.scm 101 */
						obj_t BgL_port1480z00_785;

						{	/* Engine/heap.scm 101 */
							obj_t BgL_res1836z00_1402;

							{	/* Engine/heap.scm 101 */
								obj_t BgL_auxz00_1702;

								BgL_auxz00_1702 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1836z00_1402 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1702);
							}
							BgL_port1480z00_785 = BgL_res1836z00_1402;
						}
						bgl_display_string(BGl_string1868z00zzengine_heapz00,
							BgL_port1480z00_785);
						bgl_display_obj(BgL_heapz00_1537, BgL_port1480z00_785);
						bgl_display_string(BGl_string1869z00zzengine_heapz00,
							BgL_port1480z00_785);
						bgl_display_char(((unsigned char) '\n'), BgL_port1480z00_785);
					}
					{	/* Engine/heap.scm 102 */
						obj_t BgL_port1481z00_786;

						{	/* Engine/heap.scm 102 */
							obj_t BgL_res1837z00_1409;

							{	/* Engine/heap.scm 102 */
								obj_t BgL_auxz00_1709;

								BgL_auxz00_1709 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1837z00_1409 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1709);
							}
							BgL_port1481z00_786 = BgL_res1837z00_1409;
						}
						bgl_display_string(BGl_string1870z00zzengine_heapz00,
							BgL_port1481z00_786);
						bgl_display_char(((unsigned char) '\n'), BgL_port1481z00_786);
					}
					BGl_dumpzd2Genvzd2zzengine_heapz00(BgL_genvz00_1538);
					{	/* Engine/heap.scm 104 */
						obj_t BgL_port1482z00_787;

						{	/* Engine/heap.scm 104 */
							obj_t BgL_res1838z00_1414;

							{	/* Engine/heap.scm 104 */
								obj_t BgL_auxz00_1715;

								BgL_auxz00_1715 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1838z00_1414 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1715);
							}
							BgL_port1482z00_787 = BgL_res1838z00_1414;
						}
						bgl_display_string(BGl_string1871z00zzengine_heapz00,
							BgL_port1482z00_787);
						bgl_display_char(((unsigned char) '\n'), BgL_port1482z00_787);
					}
					{	/* Engine/heap.scm 105 */
						obj_t BgL_port1483z00_788;

						{	/* Engine/heap.scm 105 */
							obj_t BgL_res1839z00_1419;

							{	/* Engine/heap.scm 105 */
								obj_t BgL_auxz00_1720;

								BgL_auxz00_1720 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1839z00_1419 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1720);
							}
							BgL_port1483z00_788 = BgL_res1839z00_1419;
						}
						bgl_display_string(BGl_string1872z00zzengine_heapz00,
							BgL_port1483z00_788);
						bgl_display_char(((unsigned char) '\n'), BgL_port1483z00_788);
					}
					BGl_dumpzd2Tenvzd2zzengine_heapz00(BgL_tenvz00_1539);
					{	/* Engine/heap.scm 107 */
						obj_t BgL_port1484z00_789;

						{	/* Engine/heap.scm 107 */
							obj_t BgL_res1840z00_1424;

							{	/* Engine/heap.scm 107 */
								obj_t BgL_auxz00_1726;

								BgL_auxz00_1726 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1840z00_1424 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1726);
							}
							BgL_port1484z00_789 = BgL_res1840z00_1424;
						}
						bgl_display_string(BGl_string1873z00zzengine_heapz00,
							BgL_port1484z00_789);
						bgl_display_char(((unsigned char) '\n'), BgL_port1484z00_789);
					}
					if (PAIRP(BgL_includesz00_1540))
						{	/* Engine/heap.scm 108 */
							{	/* Engine/heap.scm 109 */
								obj_t BgL_port1485z00_791;

								{	/* Engine/heap.scm 109 */
									obj_t BgL_res1842z00_1431;

									{	/* Engine/heap.scm 109 */
										obj_t BgL_auxz00_1733;

										BgL_auxz00_1733 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res1842z00_1431 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1733);
									}
									BgL_port1485z00_791 = BgL_res1842z00_1431;
								}
								bgl_display_string(BGl_string1874z00zzengine_heapz00,
									BgL_port1485z00_791);
								bgl_display_char(((unsigned char) '\n'), BgL_port1485z00_791);
							}
							{	/* Engine/heap.scm 110 */
								obj_t BgL_port1486z00_792;

								{	/* Engine/heap.scm 110 */
									obj_t BgL_res1843z00_1436;

									{	/* Engine/heap.scm 110 */
										obj_t BgL_auxz00_1738;

										BgL_auxz00_1738 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res1843z00_1436 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1738);
									}
									BgL_port1486z00_792 = BgL_res1843z00_1436;
								}
								bgl_display_obj(BgL_includesz00_1540, BgL_port1486z00_792);
								bgl_display_char(((unsigned char) '\n'), BgL_port1486z00_792);
							}
							{	/* Engine/heap.scm 111 */
								obj_t BgL_port1487z00_793;

								{	/* Engine/heap.scm 111 */
									obj_t BgL_res1844z00_1439;

									{	/* Engine/heap.scm 111 */
										obj_t BgL_auxz00_1743;

										BgL_auxz00_1743 = BGL_CURRENT_DYNAMIC_ENV();
										BgL_res1844z00_1439 =
											BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1743);
									}
									BgL_port1487z00_793 = BgL_res1844z00_1439;
								}
								bgl_display_string(BGl_string1873z00zzengine_heapz00,
									BgL_port1487z00_793);
								bgl_display_char(((unsigned char) '\n'), BgL_port1487z00_793);
						}}
					else
						{	/* Engine/heap.scm 108 */
							BFALSE;
						}
					{	/* Engine/heap.scm 112 */
						obj_t BgL_port1488z00_794;

						{	/* Engine/heap.scm 112 */
							obj_t BgL_res1845z00_1444;

							{	/* Engine/heap.scm 112 */
								obj_t BgL_auxz00_1748;

								BgL_auxz00_1748 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1845z00_1444 =
									BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1748);
							}
							BgL_port1488z00_794 = BgL_res1845z00_1444;
						}
						bgl_display_string(BGl_string1875z00zzengine_heapz00,
							BgL_port1488z00_794);
						return bgl_display_char(((unsigned char) '\n'),
							BgL_port1488z00_794);
		}}}}
	}



/* &<anonymous:1542> */
	obj_t BGl_z62zc3anonymousza31542ze3ze1zzengine_heapz00(obj_t BgL_envz00_1541,
		obj_t BgL_kz00_1542, obj_t BgL_bucketz00_1543)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 95 */
			{
				obj_t BgL_kz00_768;
				obj_t BgL_bucketz00_769;

				{	/* Engine/heap.scm 96 */
					bool_t BgL_auxz00_1753;

					BgL_kz00_768 = BgL_kz00_1542;
					BgL_bucketz00_769 = BgL_bucketz00_1543;
					{	/* Engine/heap.scm 96 */
						obj_t BgL_g1479z00_771;

						BgL_g1479z00_771 = CDR(BgL_bucketz00_769);
						{
							obj_t BgL_l1477z00_773;

							BgL_l1477z00_773 = BgL_g1479z00_771;
						BgL_zc3anonymousza31543ze3z83_774:
							if (PAIRP(BgL_l1477z00_773))
								{	/* Engine/heap.scm 98 */
									{	/* Engine/heap.scm 97 */
										obj_t BgL_newz00_776;

										BgL_newz00_776 = CAR(BgL_l1477z00_773);
										{	/* Engine/heap.scm 97 */
											obj_t BgL_arg1547z00_777;

											BgL_arg1547z00_777 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_newz00_776)))->
												BgL_modulez00);
											{	/* Engine/heap.scm 97 */
												obj_t BgL_list1548z00_778;

												BgL_list1548z00_778 =
													MAKE_PAIR(BgL_arg1547z00_777, BNIL);
												BGl_heapzd2modulezd2listz00zzheap_restorez00
													(BgL_list1548z00_778);
											}
										}
									}
									{
										obj_t BgL_l1477z00_1762;

										BgL_l1477z00_1762 = CDR(BgL_l1477z00_773);
										BgL_l1477z00_773 = BgL_l1477z00_1762;
										goto BgL_zc3anonymousza31543ze3z83_774;
									}
								}
							else
								{	/* Engine/heap.scm 98 */
									BgL_auxz00_1753 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_1753);
				}
			}
		}
	}



/* &<anonymous:1526> */
	obj_t BGl_z62zc3anonymousza31526ze3ze1zzengine_heapz00(obj_t BgL_envz00_1544,
		obj_t BgL_newz00_1545)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 87 */
			{
				obj_t BgL_newz00_759;

				BgL_newz00_759 = BgL_newz00_1545;
				{	/* Engine/heap.scm 89 */
					obj_t BgL_arg1527z00_761;
					obj_t BgL_arg1528z00_762;
					obj_t BgL_arg1532z00_763;

					BgL_arg1527z00_761 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_759)))->BgL_modulez00);
					BgL_arg1528z00_762 =
						(((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_newz00_759)))->
						BgL_jvmzd2typezd2namez00);
					BgL_arg1532z00_763 = BGl_shapez00zztools_shapez00(BgL_newz00_759);
					{	/* Engine/heap.scm 88 */
						obj_t BgL_list1533z00_764;

						BgL_list1533z00_764 = MAKE_PAIR(BgL_arg1532z00_763, BNIL);
						return
							BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg1527z00_761,
							BgL_arg1528z00_762, BgL_list1533z00_764);
					}
				}
			}
		}
	}



/* &<anonymous:1574> */
	obj_t BGl_z62zc3anonymousza31574ze3ze1zzengine_heapz00(obj_t BgL_envz00_1546)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 53 */
			{	/* Engine/heap.scm 113 */
				obj_t BgL_portz00_1547;

				BgL_portz00_1547 = PROCEDURE_REF(BgL_envz00_1546, (int) (((long) 0)));
				{

					return close_binary_port(BgL_portz00_1547);
				}
			}
		}
	}



/* dump-Genv */
	obj_t BGl_dumpzd2Genvzd2zzengine_heapz00(obj_t BgL_genvz00_5)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 121 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_5,
				BGl_proc1876z00zzengine_heapz00);
		}
	}



/* &<anonymous:1581> */
	obj_t BGl_z62zc3anonymousza31581ze3ze1zzengine_heapz00(obj_t BgL_envz00_1549,
		obj_t BgL_kz00_1550, obj_t BgL_bucketz00_1551)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 152 */
			{
				obj_t BgL_kz00_812;
				obj_t BgL_bucketz00_813;

				{	/* Engine/heap.scm 152 */
					bool_t BgL_auxz00_1776;

					BgL_kz00_812 = BgL_kz00_1550;
					BgL_bucketz00_813 = BgL_bucketz00_1551;
					{
						obj_t BgL_newz00_824;

						{	/* Engine/heap.scm 152 */
							obj_t BgL_g1492z00_815;

							BgL_g1492z00_815 = CDR(BgL_bucketz00_813);
							{
								obj_t BgL_l1490z00_817;

								BgL_l1490z00_817 = BgL_g1492z00_815;
							BgL_zc3anonymousza31582ze3z83_818:
								if (PAIRP(BgL_l1490z00_817))
									{	/* Engine/heap.scm 152 */
										BgL_newz00_824 = CAR(BgL_l1490z00_817);
										{	/* Engine/heap.scm 123 */
											obj_t BgL_modulez00_826;

											BgL_modulez00_826 =
												(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_newz00_824)))->
												BgL_modulez00);
											{	/* Engine/heap.scm 123 */
												obj_t BgL_idz00_827;

												BgL_idz00_827 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_newz00_824))))->
													BgL_idz00);
												{	/* Engine/heap.scm 124 */
													obj_t BgL_qtz00_828;

													BgL_qtz00_828 =
														BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00
														(BgL_modulez00_826);
													{	/* Engine/heap.scm 125 */
														obj_t BgL_jtz00_829;

														BgL_jtz00_829 =
															(((BgL_globalz00_bglt) CREF(
																	((BgL_globalz00_bglt) BgL_newz00_824)))->
															BgL_jvmzd2typezd2namez00);
														{	/* Engine/heap.scm 126 */
															BgL_valuez00_bglt BgL_valz00_830;

															BgL_valz00_830 =
																(((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt) BgL_newz00_824))))->
																BgL_valuez00);
															{	/* Engine/heap.scm 127 */
																obj_t BgL_kindz00_831;

																{	/* Engine/heap.scm 129 */
																	bool_t BgL_testz00_1791;

																	{	/* Engine/heap.scm 129 */
																		bool_t BgL_res1850z00_1462;

																		{	/* Engine/heap.scm 129 */
																			obj_t BgL_objz00_1461;

																			BgL_objz00_1461 =
																				((obj_t) BgL_valz00_830);
																			BgL_res1850z00_1462 =
																				BGl_isazf3zf3zz__objectz00
																				(BgL_objz00_1461,
																				BGl_sfunz00zzast_varz00);
																		}
																		BgL_testz00_1791 = BgL_res1850z00_1462;
																	}
																	if (BgL_testz00_1791)
																		{	/* Engine/heap.scm 129 */
																			BgL_kindz00_831 =
																				CNST_TABLE_REF(((long) 1));
																		}
																	else
																		{	/* Engine/heap.scm 130 */
																			bool_t BgL_testz00_1795;

																			{	/* Engine/heap.scm 130 */
																				bool_t BgL_res1851z00_1464;

																				{	/* Engine/heap.scm 130 */
																					obj_t BgL_objz00_1463;

																					BgL_objz00_1463 =
																						((obj_t) BgL_valz00_830);
																					BgL_res1851z00_1464 =
																						BGl_isazf3zf3zz__objectz00
																						(BgL_objz00_1463,
																						BGl_cfunz00zzast_varz00);
																				}
																				BgL_testz00_1795 = BgL_res1851z00_1464;
																			}
																			if (BgL_testz00_1795)
																				{	/* Engine/heap.scm 130 */
																					BgL_kindz00_831 =
																						CNST_TABLE_REF(((long) 2));
																				}
																			else
																				{	/* Engine/heap.scm 130 */
																					BgL_kindz00_831 =
																						CNST_TABLE_REF(((long) 3));
																}}}
																{	/* Engine/heap.scm 128 */

																	{	/* Engine/heap.scm 132 */
																		obj_t BgL_port1489z00_832;

																		{	/* Engine/heap.scm 132 */
																			obj_t BgL_res1852z00_1466;

																			{	/* Engine/heap.scm 132 */
																				obj_t BgL_auxz00_1800;

																				BgL_auxz00_1800 =
																					BGL_CURRENT_DYNAMIC_ENV();
																				BgL_res1852z00_1466 =
																					BGL_ENV_CURRENT_OUTPUT_PORT
																					(BgL_auxz00_1800);
																			}
																			BgL_port1489z00_832 = BgL_res1852z00_1466;
																		}
																		bgl_display_string
																			(BGl_string1877z00zzengine_heapz00,
																			BgL_port1489z00_832);
																		{	/* Engine/heap.scm 133 */
																			obj_t BgL_arg1593z00_833;

																			{	/* Engine/heap.scm 133 */
																				obj_t BgL_arg1602z00_834;

																				{	/* Engine/heap.scm 133 */
																					obj_t BgL_arg1605z00_835;
																					obj_t BgL_arg1611z00_836;

																					BgL_arg1605z00_835 =
																						BGl_shapez00zztools_shapez00
																						(BgL_newz00_824);
																					{	/* Engine/heap.scm 135 */
																						obj_t BgL_arg1612z00_837;

																						{	/* Engine/heap.scm 135 */
																							obj_t BgL_arg1618z00_838;
																							obj_t BgL_arg1619z00_839;

																							{	/* Engine/heap.scm 135 */
																								obj_t BgL_arg1625z00_840;

																								BgL_arg1625z00_840 =
																									MAKE_PAIR(BgL_idz00_827,
																									BNIL);
																								BgL_arg1618z00_838 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 4)),
																									BgL_arg1625z00_840);
																							}
																							{	/* Engine/heap.scm 137 */
																								obj_t BgL_arg1631z00_841;

																								{	/* Engine/heap.scm 137 */
																									obj_t BgL_arg1632z00_842;
																									obj_t BgL_arg1633z00_843;

																									{	/* Engine/heap.scm 137 */
																										obj_t BgL_arg1639z00_844;

																										BgL_arg1639z00_844 =
																											MAKE_PAIR
																											(BgL_modulez00_826, BNIL);
																										BgL_arg1632z00_842 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 5)),
																											BgL_arg1639z00_844);
																									}
																									{	/* Engine/heap.scm 139 */
																										obj_t BgL_arg1646z00_845;

																										{	/* Engine/heap.scm 139 */
																											obj_t BgL_arg1647z00_846;
																											obj_t BgL_arg1649z00_847;

																											{	/* Engine/heap.scm 139 */
																												obj_t
																													BgL_arg1660z00_848;
																												{	/* Engine/heap.scm 139 */
																													obj_t
																														BgL_arg1661z00_849;
																													{	/* Engine/heap.scm 139 */
																														obj_t
																															BgL_arg1662z00_850;
																														BgL_arg1662z00_850 =
																															(((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) BgL_newz00_824))))->BgL_namez00);
																														{	/* Engine/heap.scm 139 */
																															obj_t
																																BgL_list1663z00_851;
																															BgL_list1663z00_851
																																=
																																MAKE_PAIR
																																(BgL_arg1662z00_850,
																																BNIL);
																															BgL_arg1661z00_849
																																=
																																BGl_formatz00zz__r4_output_6_10_3z00
																																(BGl_string1878z00zzengine_heapz00,
																																BgL_list1663z00_851);
																													}}
																													BgL_arg1660z00_848 =
																														MAKE_PAIR
																														(BgL_arg1661z00_849,
																														BNIL);
																												}
																												BgL_arg1647z00_846 =
																													MAKE_PAIR
																													(CNST_TABLE_REF((
																															(long) 6)),
																													BgL_arg1660z00_848);
																											}
																											{	/* Engine/heap.scm 141 */
																												obj_t
																													BgL_arg1672z00_852;
																												{	/* Engine/heap.scm 141 */
																													obj_t
																														BgL_arg1673z00_853;
																													obj_t
																														BgL_arg1674z00_854;
																													{	/* Engine/heap.scm 141 */
																														obj_t
																															BgL_arg1675z00_855;
																														BgL_arg1675z00_855 =
																															MAKE_PAIR
																															(BgL_qtz00_828,
																															BNIL);
																														BgL_arg1673z00_853 =
																															MAKE_PAIR
																															(CNST_TABLE_REF((
																																	(long) 7)),
																															BgL_arg1675z00_855);
																													}
																													{	/* Engine/heap.scm 142 */
																														obj_t
																															BgL_arg1692z00_856;
																														obj_t
																															BgL_arg1695z00_857;
																														{	/* Engine/heap.scm 142 */
																															bool_t
																																BgL_testz00_1822;
																															{	/* Engine/heap.scm 142 */
																																bool_t
																																	BgL_testz00_1823;
																																{	/* Engine/heap.scm 142 */
																																	bool_t
																																		BgL_res1853z00_1472;
																																	{	/* Engine/heap.scm 142 */
																																		obj_t
																																			BgL_objz00_1471;
																																		BgL_objz00_1471
																																			=
																																			((obj_t)
																																			BgL_valz00_830);
																																		BgL_res1853z00_1472
																																			=
																																			BGl_isazf3zf3zz__objectz00
																																			(BgL_objz00_1471,
																																			BGl_sfunz00zzast_varz00);
																																	}
																																	BgL_testz00_1823
																																		=
																																		BgL_res1853z00_1472;
																																}
																																if (BgL_testz00_1823)
																																	{	/* Engine/heap.scm 142 */
																																		BgL_testz00_1822
																																			=
																																			((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_valz00_830)))->BgL_classz00) == CNST_TABLE_REF(((long) 8)));
																																	}
																																else
																																	{	/* Engine/heap.scm 142 */
																																		BgL_testz00_1822
																																			=
																																			((bool_t)
																																			0);
																																	}
																															}
																															if (BgL_testz00_1822)
																																{	/* Engine/heap.scm 142 */
																																	BgL_arg1692z00_856
																																		=
																																		BGl_string1879z00zzengine_heapz00;
																																}
																															else
																																{	/* Engine/heap.scm 142 */
																																	BgL_arg1692z00_856
																																		=
																																		BGl_string1880z00zzengine_heapz00;
																																}
																														}
																														{	/* Engine/heap.scm 145 */
																															obj_t
																																BgL_arg1705z00_861;
																															obj_t
																																BgL_arg1710z00_862;
																															{	/* Engine/heap.scm 145 */
																																bool_t
																																	BgL_testz00_1830;
																																{	/* Engine/heap.scm 145 */
																																	bool_t
																																		BgL_testz00_1831;
																																	{	/* Engine/heap.scm 145 */
																																		bool_t
																																			BgL_res1854z00_1476;
																																		{	/* Engine/heap.scm 145 */
																																			obj_t
																																				BgL_objz00_1475;
																																			BgL_objz00_1475
																																				=
																																				((obj_t)
																																				BgL_valz00_830);
																																			BgL_res1854z00_1476
																																				=
																																				BGl_isazf3zf3zz__objectz00
																																				(BgL_objz00_1475,
																																				BGl_sfunz00zzast_varz00);
																																		}
																																		BgL_testz00_1831
																																			=
																																			BgL_res1854z00_1476;
																																	}
																																	if (BgL_testz00_1831)
																																		{	/* Engine/heap.scm 145 */
																																			BgL_testz00_1830
																																				=
																																				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_valz00_830)))->BgL_classz00) == CNST_TABLE_REF(((long) 8)));
																																		}
																																	else
																																		{	/* Engine/heap.scm 145 */
																																			BgL_testz00_1830
																																				=
																																				(
																																				(bool_t)
																																				0);
																																		}
																																}
																																if (BgL_testz00_1830)
																																	{	/* Engine/heap.scm 146 */
																																		obj_t
																																			BgL_arg1714z00_864;
																																		{	/* Engine/heap.scm 146 */
																																			obj_t
																																				BgL_arg1716z00_865;
																																			{	/* Engine/heap.scm 146 */
																																				obj_t
																																					BgL_arg1717z00_866;
																																				BgL_arg1717z00_866
																																					=
																																					(((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_valz00_830)))->BgL_bodyz00);
																																				BgL_arg1716z00_865
																																					=
																																					BGl_shapez00zztools_shapez00
																																					(BgL_arg1717z00_866);
																																			}
																																			BgL_arg1714z00_864
																																				=
																																				MAKE_PAIR
																																				(BgL_arg1716z00_865,
																																				BNIL);
																																		}
																																		BgL_arg1705z00_861
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					9)),
																																			BgL_arg1714z00_864);
																																	}
																																else
																																	{	/* Engine/heap.scm 145 */
																																		BgL_arg1705z00_861
																																			=
																																			BGl_string1880z00zzengine_heapz00;
																																	}
																															}
																															{	/* Engine/heap.scm 149 */
																																obj_t
																																	BgL_arg1720z00_869;
																																{	/* Engine/heap.scm 149 */
																																	obj_t
																																		BgL_arg1722z00_870;
																																	{	/* Engine/heap.scm 149 */
																																		obj_t
																																			BgL_arg1723z00_871;
																																		BgL_arg1723z00_871
																																			=
																																			MAKE_PAIR
																																			(BgL_jtz00_829,
																																			BNIL);
																																		BgL_arg1722z00_870
																																			=
																																			MAKE_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					10)),
																																			BgL_arg1723z00_871);
																																	}
																																	BgL_arg1720z00_869
																																		=
																																		MAKE_PAIR
																																		(BgL_arg1722z00_870,
																																		BNIL);
																																}
																																BgL_arg1710z00_862
																																	=
																																	MAKE_PAIR
																																	(BGl_string1879z00zzengine_heapz00,
																																	BgL_arg1720z00_869);
																															}
																															BgL_arg1695z00_857
																																=
																																MAKE_PAIR
																																(BgL_arg1705z00_861,
																																BgL_arg1710z00_862);
																														}
																														BgL_arg1674z00_854 =
																															MAKE_PAIR
																															(BgL_arg1692z00_856,
																															BgL_arg1695z00_857);
																													}
																													BgL_arg1672z00_852 =
																														MAKE_PAIR
																														(BgL_arg1673z00_853,
																														BgL_arg1674z00_854);
																												}
																												BgL_arg1649z00_847 =
																													MAKE_PAIR
																													(BGl_string1879z00zzengine_heapz00,
																													BgL_arg1672z00_852);
																											}
																											BgL_arg1646z00_845 =
																												MAKE_PAIR
																												(BgL_arg1647z00_846,
																												BgL_arg1649z00_847);
																										}
																										BgL_arg1633z00_843 =
																											MAKE_PAIR
																											(BGl_string1879z00zzengine_heapz00,
																											BgL_arg1646z00_845);
																									}
																									BgL_arg1631z00_841 =
																										MAKE_PAIR
																										(BgL_arg1632z00_842,
																										BgL_arg1633z00_843);
																								}
																								BgL_arg1619z00_839 =
																									MAKE_PAIR
																									(BGl_string1879z00zzengine_heapz00,
																									BgL_arg1631z00_841);
																							}
																							BgL_arg1612z00_837 =
																								MAKE_PAIR(BgL_arg1618z00_838,
																								BgL_arg1619z00_839);
																						}
																						BgL_arg1611z00_836 =
																							MAKE_PAIR
																							(BGl_string1879z00zzengine_heapz00,
																							BgL_arg1612z00_837);
																					}
																					BgL_arg1602z00_834 =
																						MAKE_PAIR(BgL_arg1605z00_835,
																						BgL_arg1611z00_836);
																				}
																				BgL_arg1593z00_833 =
																					MAKE_PAIR(BgL_kindz00_831,
																					BgL_arg1602z00_834);
																			}
																			bgl_display_obj(BgL_arg1593z00_833,
																				BgL_port1489z00_832);
																		}
																		bgl_display_char(((unsigned char) '\n'),
																			BgL_port1489z00_832);
										}}}}}}}}
										{
											obj_t BgL_l1490z00_1864;

											BgL_l1490z00_1864 = CDR(BgL_l1490z00_817);
											BgL_l1490z00_817 = BgL_l1490z00_1864;
											goto BgL_zc3anonymousza31582ze3z83_818;
										}
									}
								else
									{	/* Engine/heap.scm 152 */
										BgL_auxz00_1776 = ((bool_t) 1);
									}
							}
						}
					}
					return BBOOL(BgL_auxz00_1776);
				}
			}
		}
	}



/* dump-Tenv */
	obj_t BGl_dumpzd2Tenvzd2zzengine_heapz00(obj_t BgL_tenvz00_6)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 157 */
			return
				BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_tenvz00_6,
				BGl_proc1881z00zzengine_heapz00);
		}
	}



/* &<anonymous:1729> */
	obj_t BGl_z62zc3anonymousza31729ze3ze1zzengine_heapz00(obj_t BgL_envz00_1553,
		obj_t BgL_kz00_1554, obj_t BgL_newz00_1555)
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 159 */
			{
				obj_t BgL_kz00_876;
				obj_t BgL_newz00_877;

				BgL_kz00_876 = BgL_kz00_1554;
				BgL_newz00_877 = BgL_newz00_1555;
				{	/* Engine/heap.scm 160 */
					obj_t BgL_idz00_879;

					BgL_idz00_879 =
						(((BgL_typez00_bglt) CREF(
								((BgL_typez00_bglt) BgL_newz00_877)))->BgL_idz00);
					{	/* Engine/heap.scm 160 */
						obj_t BgL_namez00_880;

						BgL_namez00_880 =
							(((BgL_typez00_bglt) CREF(
									((BgL_typez00_bglt) BgL_newz00_877)))->BgL_namez00);
						{	/* Engine/heap.scm 161 */

							if (BGl_isazf3zf3zz__objectz00(BgL_newz00_877,
									BGl_tclassz00zzobject_classz00))
								{	/* Engine/heap.scm 163 */
									BgL_typez00_bglt BgL_i1068z00_882;

									BgL_i1068z00_882 = ((BgL_typez00_bglt) BgL_newz00_877);
									{	/* Engine/heap.scm 164 */
										obj_t BgL_port1499z00_883;

										{	/* Engine/heap.scm 164 */
											obj_t BgL_res1858z00_1495;

											{	/* Engine/heap.scm 164 */
												obj_t BgL_auxz00_1875;

												BgL_auxz00_1875 = BGL_CURRENT_DYNAMIC_ENV();
												BgL_res1858z00_1495 =
													BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1875);
											}
											BgL_port1499z00_883 = BgL_res1858z00_1495;
										}
										bgl_display_string(BGl_string1877z00zzengine_heapz00,
											BgL_port1499z00_883);
										{	/* Engine/heap.scm 165 */
											obj_t BgL_arg1731z00_884;

											{	/* Engine/heap.scm 165 */
												obj_t BgL_arg1732z00_885;

												{	/* Engine/heap.scm 165 */
													obj_t BgL_arg1733z00_886;
													obj_t BgL_arg1736z00_887;

													BgL_arg1733z00_886 =
														BGl_shapez00zztools_shapez00(BgL_newz00_877);
													{	/* Engine/heap.scm 166 */
														obj_t BgL_arg1743z00_888;
														obj_t BgL_arg1744z00_889;

														{	/* Engine/heap.scm 166 */
															obj_t BgL_arg1745z00_890;

															{	/* Engine/heap.scm 166 */
																obj_t BgL_arg1746z00_891;

																{	/* Engine/heap.scm 166 */
																	obj_t BgL_arg1748z00_892;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_1880;

																		{
																			obj_t BgL_auxz00_1881;

																			{	/* Engine/heap.scm 166 */
																				BgL_objectz00_bglt BgL_auxz00_1882;

																				BgL_auxz00_1882 =
																					((BgL_objectz00_bglt)
																					BgL_i1068z00_882);
																				BgL_auxz00_1881 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_1882);
																			}
																			BgL_auxz00_1880 =
																				((BgL_tclassz00_bglt) BgL_auxz00_1881);
																		}
																		BgL_arg1748z00_892 =
																			(((BgL_tclassz00_bglt)
																				CREF(BgL_auxz00_1880))->
																			BgL_itszd2superzd2);
																	}
																	BgL_arg1746z00_891 =
																		BGl_shapez00zztools_shapez00
																		(BgL_arg1748z00_892);
																}
																BgL_arg1745z00_890 =
																	MAKE_PAIR(BgL_arg1746z00_891, BNIL);
															}
															BgL_arg1743z00_888 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
																BgL_arg1745z00_890);
														}
														{	/* Engine/heap.scm 167 */
															obj_t BgL_arg1749z00_893;

															{	/* Engine/heap.scm 167 */
																obj_t BgL_l1493z00_894;

																{
																	BgL_tclassz00_bglt BgL_auxz00_1891;

																	{
																		obj_t BgL_auxz00_1892;

																		{	/* Engine/heap.scm 167 */
																			BgL_objectz00_bglt BgL_auxz00_1893;

																			BgL_auxz00_1893 =
																				((BgL_objectz00_bglt) BgL_i1068z00_882);
																			BgL_auxz00_1892 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_1893);
																		}
																		BgL_auxz00_1891 =
																			((BgL_tclassz00_bglt) BgL_auxz00_1892);
																	}
																	BgL_l1493z00_894 =
																		(((BgL_tclassz00_bglt)
																			CREF(BgL_auxz00_1891))->BgL_slotsz00);
																}
																if (NULLP(BgL_l1493z00_894))
																	{	/* Engine/heap.scm 167 */
																		BgL_arg1749z00_893 = BNIL;
																	}
																else
																	{	/* Engine/heap.scm 167 */
																		obj_t BgL_head1495z00_896;

																		{	/* Engine/heap.scm 167 */
																			obj_t BgL_arg1757z00_908;

																			BgL_arg1757z00_908 =
																				BGl_shapez00zztools_shapez00(CAR
																				(BgL_l1493z00_894));
																			{	/* Engine/heap.scm 167 */
																				obj_t BgL_res1860z00_1503;

																				BgL_res1860z00_1503 =
																					MAKE_PAIR(BgL_arg1757z00_908, BNIL);
																				BgL_head1495z00_896 =
																					BgL_res1860z00_1503;
																			}
																		}
																		{	/* Engine/heap.scm 167 */
																			obj_t BgL_g1498z00_897;

																			BgL_g1498z00_897 = CDR(BgL_l1493z00_894);
																			{
																				obj_t BgL_l1493z00_899;
																				obj_t BgL_tail1496z00_900;

																				BgL_l1493z00_899 = BgL_g1498z00_897;
																				BgL_tail1496z00_900 =
																					BgL_head1495z00_896;
																			BgL_zc3anonymousza31751ze3z83_901:
																				if (NULLP(BgL_l1493z00_899))
																					{	/* Engine/heap.scm 167 */
																						BgL_arg1749z00_893 =
																							BgL_head1495z00_896;
																					}
																				else
																					{	/* Engine/heap.scm 167 */
																						obj_t BgL_newtail1497z00_903;

																						{	/* Engine/heap.scm 167 */
																							obj_t BgL_arg1755z00_905;

																							BgL_arg1755z00_905 =
																								BGl_shapez00zztools_shapez00(CAR
																								(BgL_l1493z00_899));
																							{	/* Engine/heap.scm 167 */
																								obj_t BgL_res1862z00_1510;

																								BgL_res1862z00_1510 =
																									MAKE_PAIR(BgL_arg1755z00_905,
																									BNIL);
																								BgL_newtail1497z00_903 =
																									BgL_res1862z00_1510;
																							}
																						}
																						SET_CDR(BgL_tail1496z00_900,
																							BgL_newtail1497z00_903);
																						{
																							obj_t BgL_tail1496z00_1912;
																							obj_t BgL_l1493z00_1910;

																							BgL_l1493z00_1910 =
																								CDR(BgL_l1493z00_899);
																							BgL_tail1496z00_1912 =
																								BgL_newtail1497z00_903;
																							BgL_tail1496z00_900 =
																								BgL_tail1496z00_1912;
																							BgL_l1493z00_899 =
																								BgL_l1493z00_1910;
																							goto
																								BgL_zc3anonymousza31751ze3z83_901;
																						}
																					}
																			}
																		}
																	}
															}
															BgL_arg1744z00_889 =
																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																(BgL_arg1749z00_893, BNIL);
														}
														BgL_arg1736z00_887 =
															MAKE_PAIR(BgL_arg1743z00_888, BgL_arg1744z00_889);
													}
													BgL_arg1732z00_885 =
														MAKE_PAIR(BgL_arg1733z00_886, BgL_arg1736z00_887);
												}
												BgL_arg1731z00_884 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 12)),
													BgL_arg1732z00_885);
											}
											bgl_display_obj(BgL_arg1731z00_884, BgL_port1499z00_883);
										}
										return
											bgl_display_char(((unsigned char) '\n'),
											BgL_port1499z00_883);
								}}
							else
								{	/* Engine/heap.scm 168 */
									obj_t BgL_port1500z00_910;

									{	/* Engine/heap.scm 168 */
										obj_t BgL_res1863z00_1516;

										{	/* Engine/heap.scm 168 */
											obj_t BgL_auxz00_1920;

											BgL_auxz00_1920 = BGL_CURRENT_DYNAMIC_ENV();
											BgL_res1863z00_1516 =
												BGL_ENV_CURRENT_OUTPUT_PORT(BgL_auxz00_1920);
										}
										BgL_port1500z00_910 = BgL_res1863z00_1516;
									}
									bgl_display_string(BGl_string1877z00zzengine_heapz00,
										BgL_port1500z00_910);
									{	/* Engine/heap.scm 168 */
										obj_t BgL_arg1759z00_911;

										{	/* Engine/heap.scm 168 */
											obj_t BgL_arg1761z00_912;

											{	/* Engine/heap.scm 168 */
												obj_t BgL_arg1762z00_913;

												{	/* Engine/heap.scm 168 */
													obj_t BgL_arg1767z00_914;

													{	/* Engine/heap.scm 168 */
														obj_t BgL_arg1770z00_915;

														BgL_arg1770z00_915 =
															MAKE_PAIR(BgL_namez00_880, BNIL);
														BgL_arg1767z00_914 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 6)),
															BgL_arg1770z00_915);
													}
													BgL_arg1762z00_913 =
														MAKE_PAIR(BgL_arg1767z00_914, BNIL);
												}
												BgL_arg1761z00_912 =
													MAKE_PAIR(BgL_idz00_879, BgL_arg1762z00_913);
											}
											BgL_arg1759z00_911 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
												BgL_arg1761z00_912);
										}
										bgl_display_obj(BgL_arg1759z00_911, BgL_port1500z00_910);
									}
									return
										bgl_display_char(((unsigned char) '\n'),
										BgL_port1500z00_910);
		}}}}}}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzengine_heapz00()
	{
		AN_OBJECT;
		{	/* Engine/heap.scm 15 */
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string1882z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string1882z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1882z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1882z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1882z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string1882z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1882z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string1882z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1882z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzheap_restorez00(((long) 147989063),
				BSTRING_TO_STRING(BGl_string1882z00zzengine_heapz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1882z00zzengine_heapz00));
			return
				BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(((long) 433305536),
				BSTRING_TO_STRING(BGl_string1882z00zzengine_heapz00));
		}
	}

#ifdef __cplusplus
}
#endif
