/*===========================================================================*/
/*   (Module/eval.scm)                                                       */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Module/eval.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_ccompz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_producerz00;
		obj_t BgL_consumerz00;
		obj_t BgL_finaliza7erza7;
	}               *BgL_ccompz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
	}                *BgL_tclassz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	static obj_t BGl_setzd2evalzd2typesz12z12zzmodule_evalz00(obj_t);
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t bigloo_module_mangle(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzmodule_evalz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_evalzd2finaliza7erz75zzmodule_evalz00();
	static obj_t BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32093ze3ze1zzmodule_evalz00(obj_t);
	static obj_t BGl_appendzd221011zd2zzmodule_evalz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzmodule_evalz00();
	BGL_IMPORT obj_t BGl_libraryzd2infozd2zz__libraryz00(obj_t);
	static obj_t BGl_getzd2evalzd2srfizd2librarieszd2zzmodule_evalz00();
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00
		= BUNSPEC;
	static obj_t BGl_getzd2evaluatedzd2classzd2holderszd2zzmodule_evalz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_svarz00zzast_varz00;
	static obj_t BGl_z62addzd2evalzd2libraryz12z70zzmodule_evalz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_ccompz00zzmodule_modulez00;
	extern BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static bool_t BGl_za2onezd2evalzf3za2z21zzmodule_evalz00;
	static obj_t BGl_z62evalzd2producerzb0zzmodule_evalz00(obj_t, obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00 =
		BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2evalzf3za2z21zzmodule_evalz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_z62makezd2evalzd2compilerz62zzmodule_evalz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzmodule_evalz00 = BUNSPEC;
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62evalzd2finaliza7erz17zzmodule_evalz00(obj_t);
	static obj_t BGl_library_ez00zzmodule_evalz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzmodule_evalz00();
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	extern obj_t BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00();
	static obj_t BGl_genericzd2initzd2zzmodule_evalz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_za2evalzd2librariesza2zd2zzmodule_evalz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	BGL_IMPORT obj_t BGl_libraryzd2initzd2filez00zz__libraryz00(obj_t);
	static obj_t BGl_za2evalzd2classesza2zd2zzmodule_evalz00 = BUNSPEC;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	extern BgL_typez00_bglt BGl_findzd2typezf2locationz20zztype_envz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
	static obj_t BGl_z62getzd2evalzd2librariesz62zzmodule_evalz00(obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_makezd2evalzd2compilerz00zzmodule_evalz00();
	static obj_t BGl_z62zc3anonymousza32196ze3ze1zzmodule_evalz00(obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__libraryz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00();
	BGL_EXPORTED_DEF obj_t BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00 =
		BUNSPEC;
	BGL_IMPORT obj_t BGl_loadqz00zz__evalz00(obj_t, obj_t);
	extern obj_t BGl_za2libzd2dirza2zd2zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzmodule_evalz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_evalz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzmodule_evalz00();
	extern obj_t BGl_scnstz00zzast_varz00;
	extern BgL_globalz00_bglt
		BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt,
		BgL_nodez00_bglt);
	static obj_t BGl_evalzd2parserzd2zzmodule_evalz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
	static obj_t BGl_za2evalzd2exportedza2zd2zzmodule_evalz00 = BUNSPEC;
	static obj_t BGl_getzd2libraryzd2infoz00zzmodule_evalz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2evalzd2librariesz00zzmodule_evalz00();
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_getzd2evaluatedzd2classzd2macroszd2zzmodule_evalz00();
	extern obj_t BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00(obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_IMPORT obj_t BGl_defaultzd2environmentzd2zz__evalz00();
	static obj_t BGl_evalzd2producerzd2zzmodule_evalz00(obj_t);
	static obj_t __cnst[28];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_evalzd2producerzd2envz00zzmodule_evalz00,
		BgL_bgl_za762evalza7d2produc2428z00,
		BGl_z62evalzd2producerzb0zzmodule_evalz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2414z00zzmodule_evalz00,
		BgL_bgl_za762za7c3anonymousza72429za7,
		BGl_z62zc3anonymousza32093ze3ze1zzmodule_evalz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2evalzd2libraryz12zd2envzc0zzmodule_evalz00,
		BgL_bgl_za762addza7d2evalza7d22430za7,
		BGl_z62addzd2evalzd2libraryz12z70zzmodule_evalz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_evalzd2finaliza7erzd2envza7zzmodule_evalz00,
		BgL_bgl_za762evalza7d2finali2431z00,
		BGl_z62evalzd2finaliza7erz17zzmodule_evalz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evalzd2librarieszd2envzd2zzmodule_evalz00,
		BgL_bgl_za762getza7d2evalza7d22432za7,
		BGl_z62getzd2evalzd2librariesz62zzmodule_evalz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2412z00zzmodule_evalz00,
		BgL_bgl_string2412za700za7za7m2433za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string2413z00zzmodule_evalz00,
		BgL_bgl_string2413za700za7za7m2434za7, "Illegal `eval' clause", 21);
	      DEFINE_STRING(BGl_string2415z00zzmodule_evalz00,
		BgL_bgl_string2415za700za7za7m2435za7, "cannot find info \"~a\"", 21);
	      DEFINE_STRING(BGl_string2416z00zzmodule_evalz00,
		BgL_bgl_string2416za700za7za7m2436za7,
		"cannot find file \"~a\" in lib path", 33);
	      DEFINE_STRING(BGl_string2417z00zzmodule_evalz00,
		BgL_bgl_string2417za700za7za7m2437za7, "~a( 0, ~s )", 11);
	      DEFINE_STRING(BGl_string2418z00zzmodule_evalz00,
		BgL_bgl_string2418za700za7za7m2438za7, "cannot initialize library for eval",
		34);
	      DEFINE_STRING(BGl_string2419z00zzmodule_evalz00,
		BgL_bgl_string2419za700za7za7m2439za7, "eval", 4);
	      DEFINE_STRING(BGl_string2420z00zzmodule_evalz00,
		BgL_bgl_string2420za700za7za7m2440za7,
		"Non bigloo prototyped value can't be evaluated", 46);
	      DEFINE_STRING(BGl_string2421z00zzmodule_evalz00,
		BgL_bgl_string2421za700za7za7m2441za7, "eval-init", 9);
	      DEFINE_STRING(BGl_string2422z00zzmodule_evalz00,
		BgL_bgl_string2422za700za7za7m2442za7,
		"This variable cannot be known by eval", 37);
	      DEFINE_STRING(BGl_string2423z00zzmodule_evalz00,
		BgL_bgl_string2423za700za7za7m2443za7, "Unbound eval variable", 21);
	      DEFINE_STRING(BGl_string2424z00zzmodule_evalz00,
		BgL_bgl_string2424za700za7za7m2444za7, "module_eval", 11);
	      DEFINE_STRING(BGl_string2425z00zzmodule_evalz00,
		BgL_bgl_string2425za700za7za7m2445za7,
		"eval-expand-with-access eval-expand-duplicate eval-expand-instantiate register-eval-srfi! (export) (static export) (import static export) library-load library-mark-loaded! pragma quote library-load-init __library libinfo begin (#unspecified) write void unit library import class @ export export-module export-exports export-all eval ",
		333);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2evalzd2compilerzd2envzd2zzmodule_evalz00,
		BgL_bgl_za762makeza7d2evalza7d2446za7,
		BGl_z62makezd2evalzd2compilerz62zzmodule_evalz00, 0L, BUNSPEC, 0);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_evalz00(long
		BgL_checksumz00_3357, char *BgL_fromz00_3358)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzmodule_evalz00))
				{
					BGl_requirezd2initializa7ationz75zzmodule_evalz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzmodule_evalz00();
					BGl_cnstzd2initzd2zzmodule_evalz00();
					BGl_importedzd2moduleszd2initz00zzmodule_evalz00();
					BGl_toplevelzd2initzd2zzmodule_evalz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__libraryz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"module_eval");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"module_eval");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			{	/* Module/eval.scm 15 */
				obj_t BgL_cportz00_3349;

				BgL_cportz00_3349 =
					bgl_open_input_string(BGl_string2425z00zzmodule_evalz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3350;

					BgL_iz00_3350 = ((long) 27);
				BgL_loopz00_3351:
					if ((BgL_iz00_3350 == ((long) -1)))
						{	/* Module/eval.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Module/eval.scm 15 */
							{	/* Module/eval.scm 15 */
								obj_t BgL_arg2427z00_3353;

								{	/* Module/eval.scm 15 */

									{	/* Module/eval.scm 15 */
										obj_t BgL_locationz00_3355;

										BgL_locationz00_3355 = BBOOL(((bool_t) 0));
										{	/* Module/eval.scm 15 */

											BgL_arg2427z00_3353 =
												BGl_readz00zz__readerz00(BgL_cportz00_3349,
												BgL_locationz00_3355);
										}
									}
								}
								{	/* Module/eval.scm 15 */
									int BgL_auxz00_3387;

									BgL_auxz00_3387 = (int) (BgL_iz00_3350);
									CNST_TABLE_SET(BgL_auxz00_3387, BgL_arg2427z00_3353);
							}}
							{	/* Module/eval.scm 15 */
								int BgL_auxz00_3356;

								BgL_auxz00_3356 = (int) ((BgL_iz00_3350 - ((long) 1)));
								{
									long BgL_iz00_3392;

									BgL_iz00_3392 = (long) (BgL_auxz00_3356);
									BgL_iz00_3350 = BgL_iz00_3392;
									goto BgL_loopz00_3351;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			BGl_za2evalzd2librariesza2zd2zzmodule_evalz00 = BNIL;
			BGl_za2evalzd2exportedza2zd2zzmodule_evalz00 = BNIL;
			BGl_za2evalzd2classesza2zd2zzmodule_evalz00 = BNIL;
			BGl_za2allzd2evalzf3za2z21zzmodule_evalz00 = BFALSE;
			BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00 = BFALSE;
			BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00 = BFALSE;
			BGl_za2allzd2exportzd2mutablezf3za2zf3zzmodule_evalz00 = BFALSE;
			return (BGl_za2onezd2evalzf3za2z21zzmodule_evalz00 =
				((bool_t) 0), BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzmodule_evalz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1619;

				BgL_headz00_1619 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1620;
					obj_t BgL_tailz00_1621;

					BgL_prevz00_1620 = BgL_headz00_1619;
					BgL_tailz00_1621 = BgL_l1z00_1;
				BgL_loopz00_1622:
					if (PAIRP(BgL_tailz00_1621))
						{
							obj_t BgL_newzd2prevzd2_1624;

							BgL_newzd2prevzd2_1624 =
								MAKE_PAIR(CAR(BgL_tailz00_1621), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1620, BgL_newzd2prevzd2_1624);
							{
								obj_t BgL_tailz00_3401;
								obj_t BgL_prevz00_3400;

								BgL_prevz00_3400 = BgL_newzd2prevzd2_1624;
								BgL_tailz00_3401 = CDR(BgL_tailz00_1621);
								BgL_tailz00_1621 = BgL_tailz00_3401;
								BgL_prevz00_1620 = BgL_prevz00_3400;
								goto BgL_loopz00_1622;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1619);
				}
			}
		}
	}



/* make-eval-compiler */
	BGL_EXPORTED_DEF obj_t BGl_makezd2evalzd2compilerz00zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 45 */
			{	/* Module/eval.scm 46 */
				BgL_ccompz00_bglt BgL_new1102z00_1641;

				{	/* Module/eval.scm 46 */
					BgL_ccompz00_bglt BgL_new1101z00_1644;

					BgL_new1101z00_1644 =
						((BgL_ccompz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ccompz00_bgl))));
					{	/* Module/eval.scm 46 */
						long BgL_arg2022z00_1645;

						{	/* Module/eval.scm 46 */
							long BgL_res2337z00_2971;

							BgL_res2337z00_2971 =
								BGL_CLASS_INDEX(BGl_ccompz00zzmodule_modulez00);
							BgL_arg2022z00_1645 = BgL_res2337z00_2971;
						}
						{	/* Module/eval.scm 46 */
							BgL_objectz00_bglt BgL_objz00_2972;

							BgL_objz00_2972 = ((BgL_objectz00_bglt) BgL_new1101z00_1644);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2972, BgL_arg2022z00_1645);
					}}
					{	/* Module/eval.scm 46 */
						BgL_objectz00_bglt BgL_auxz00_3408;

						BgL_auxz00_3408 = ((BgL_objectz00_bglt) BgL_new1101z00_1644);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3408, BFALSE);
					}
					BgL_new1102z00_1641 = BgL_new1101z00_1644;
				}
				((((BgL_ccompz00_bglt) CREF(BgL_new1102z00_1641))->BgL_idz00) = ((obj_t)
						CNST_TABLE_REF(((long) 0))), BUNSPEC);
				((((BgL_ccompz00_bglt) CREF(BgL_new1102z00_1641))->BgL_producerz00) =
					((obj_t) BGl_evalzd2producerzd2envz00zzmodule_evalz00), BUNSPEC);
				{
					obj_t BgL_auxz00_3414;

					{	/* Module/eval.scm 46 */
						obj_t BgL_arg2020z00_1642;

						{	/* Module/eval.scm 46 */
							obj_t BgL_arg2021z00_1643;

							{	/* Module/eval.scm 46 */
								obj_t BgL_res2338z00_2975;

								{	/* Module/eval.scm 46 */
									obj_t BgL_classz00_2974;

									BgL_classz00_2974 = BGl_ccompz00zzmodule_modulez00;
									BgL_res2338z00_2975 = BGL_CLASS_ALL_FIELDS(BgL_classz00_2974);
								}
								BgL_arg2021z00_1643 = BgL_res2338z00_2975;
							}
							{	/* Module/eval.scm 46 */
								int BgL_kz00_2977;

								BgL_kz00_2977 = (int) (((long) 2));
								BgL_arg2020z00_1642 =
									VECTOR_REF(BgL_arg2021z00_1643, BgL_kz00_2977);
						}}
						BgL_auxz00_3414 =
							BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00
							(BgL_arg2020z00_1642);
					}
					((((BgL_ccompz00_bglt) CREF(BgL_new1102z00_1641))->BgL_consumerz00) =
						((obj_t) BgL_auxz00_3414), BUNSPEC);
				}
				((((BgL_ccompz00_bglt) CREF(BgL_new1102z00_1641))->BgL_finaliza7erza7) =
					((obj_t) BGl_evalzd2finaliza7erzd2envza7zzmodule_evalz00), BUNSPEC);
				return ((obj_t) BgL_new1102z00_1641);
			}
		}
	}



/* &make-eval-compiler */
	obj_t BGl_z62makezd2evalzd2compilerz62zzmodule_evalz00(obj_t BgL_envz00_3332)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 45 */
			return BGl_makezd2evalzd2compilerz00zzmodule_evalz00();
		}
	}



/* eval-producer */
	obj_t BGl_evalzd2producerzd2zzmodule_evalz00(obj_t BgL_clausez00_75)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 54 */
			{
				obj_t BgL_protosz00_1646;

				if (PAIRP(BgL_clausez00_75))
					{	/* Module/eval.scm 55 */
						BgL_protosz00_1646 = CDR(BgL_clausez00_75);
						{
							obj_t BgL_l1978z00_1653;

							BgL_l1978z00_1653 = BgL_protosz00_1646;
						BgL_zc3anonymousza32025ze3z83_1654:
							if (PAIRP(BgL_l1978z00_1653))
								{	/* Module/eval.scm 57 */
									BGl_evalzd2parserzd2zzmodule_evalz00(CAR(BgL_l1978z00_1653),
										BgL_clausez00_75);
									{
										obj_t BgL_l1978z00_3429;

										BgL_l1978z00_3429 = CDR(BgL_l1978z00_1653);
										BgL_l1978z00_1653 = BgL_l1978z00_3429;
										goto BgL_zc3anonymousza32025ze3z83_1654;
									}
								}
							else
								{	/* Module/eval.scm 57 */
									((bool_t) 1);
								}
						}
						return BNIL;
					}
				else
					{	/* Module/eval.scm 55 */
						{	/* Module/eval.scm 60 */
							obj_t BgL_list2028z00_1659;

							BgL_list2028z00_1659 = MAKE_PAIR(BNIL, BNIL);
							return
								BGl_userzd2errorzd2zztools_errorz00
								(BGl_string2412z00zzmodule_evalz00,
								BGl_string2413z00zzmodule_evalz00, BgL_clausez00_75,
								BgL_list2028z00_1659);
						}
					}
			}
		}
	}



/* &eval-producer */
	obj_t BGl_z62evalzd2producerzb0zzmodule_evalz00(obj_t BgL_envz00_3333,
		obj_t BgL_clausez00_3334)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 54 */
			return BGl_evalzd2producerzd2zzmodule_evalz00(BgL_clausez00_3334);
		}
	}



/* eval-parser */
	obj_t BGl_evalzd2parserzd2zzmodule_evalz00(obj_t BgL_protoz00_76,
		obj_t BgL_clausez00_77)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 68 */
			{
				obj_t BgL_libsz00_1672;

				if (PAIRP(BgL_protoz00_76))
					{	/* Module/eval.scm 69 */
						if ((CAR(BgL_protoz00_76) == CNST_TABLE_REF(((long) 1))))
							{	/* Module/eval.scm 69 */
								if (NULLP(CDR(BgL_protoz00_76)))
									{	/* Module/eval.scm 69 */
										return (BGl_za2allzd2evalzf3za2z21zzmodule_evalz00 =
											BTRUE, BUNSPEC);
									}
								else
									{	/* Module/eval.scm 69 */
									BgL_tagzd2117zd2_1674:
										{	/* Module/eval.scm 95 */
											obj_t BgL_list2080z00_1742;

											BgL_list2080z00_1742 = MAKE_PAIR(BNIL, BNIL);
											return
												BGl_userzd2errorzd2zztools_errorz00
												(BGl_string2412z00zzmodule_evalz00,
												BGl_string2413z00zzmodule_evalz00, BgL_clausez00_77,
												BgL_list2080z00_1742);
										}
									}
							}
						else
							{	/* Module/eval.scm 69 */
								if ((CAR(BgL_protoz00_76) == CNST_TABLE_REF(((long) 2))))
									{	/* Module/eval.scm 69 */
										if (NULLP(CDR(BgL_protoz00_76)))
											{	/* Module/eval.scm 69 */
												return
													(BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00 =
													BTRUE, BUNSPEC);
											}
										else
											{	/* Module/eval.scm 69 */
												goto BgL_tagzd2117zd2_1674;
											}
									}
								else
									{	/* Module/eval.scm 69 */
										if ((CAR(BgL_protoz00_76) == CNST_TABLE_REF(((long) 3))))
											{	/* Module/eval.scm 69 */
												if (NULLP(CDR(BgL_protoz00_76)))
													{	/* Module/eval.scm 69 */
														return
															(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00
															= BTRUE, BUNSPEC);
													}
												else
													{	/* Module/eval.scm 69 */
														goto BgL_tagzd2117zd2_1674;
													}
											}
										else
											{	/* Module/eval.scm 69 */
												obj_t BgL_cdrzd2215zd2_1686;

												BgL_cdrzd2215zd2_1686 = CDR(BgL_protoz00_76);
												if (
													(CAR(BgL_protoz00_76) == CNST_TABLE_REF(((long) 4))))
													{	/* Module/eval.scm 69 */
														if (PAIRP(BgL_cdrzd2215zd2_1686))
															{	/* Module/eval.scm 69 */
																obj_t BgL_carzd2217zd2_1689;

																BgL_carzd2217zd2_1689 =
																	CAR(BgL_cdrzd2215zd2_1686);
																if (SYMBOLP(BgL_carzd2217zd2_1689))
																	{	/* Module/eval.scm 69 */
																		if (NULLP(CDR(BgL_cdrzd2215zd2_1686)))
																			{	/* Module/eval.scm 69 */
																				obj_t BgL_varz00_3025;

																				BgL_varz00_3025 = BgL_carzd2217zd2_1689;
																				BGl_za2onezd2evalzf3za2z21zzmodule_evalz00
																					= ((bool_t) 1);
																				return
																					BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00
																					(BgL_varz00_3025, BFALSE,
																					BgL_protoz00_76);
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1674;
																			}
																	}
																else
																	{	/* Module/eval.scm 69 */
																		obj_t BgL_carzd2247zd2_1694;

																		BgL_carzd2247zd2_1694 =
																			CAR(BgL_cdrzd2215zd2_1686);
																		if (PAIRP(BgL_carzd2247zd2_1694))
																			{	/* Module/eval.scm 69 */
																				obj_t BgL_cdrzd2252zd2_1696;

																				BgL_cdrzd2252zd2_1696 =
																					CDR(BgL_carzd2247zd2_1694);
																				if (
																					(CAR(BgL_carzd2247zd2_1694) ==
																						CNST_TABLE_REF(((long) 5))))
																					{	/* Module/eval.scm 69 */
																						if (PAIRP(BgL_cdrzd2252zd2_1696))
																							{	/* Module/eval.scm 69 */
																								obj_t BgL_carzd2255zd2_1699;
																								obj_t BgL_cdrzd2256zd2_1700;

																								BgL_carzd2255zd2_1699 =
																									CAR(BgL_cdrzd2252zd2_1696);
																								BgL_cdrzd2256zd2_1700 =
																									CDR(BgL_cdrzd2252zd2_1696);
																								if (SYMBOLP
																									(BgL_carzd2255zd2_1699))
																									{	/* Module/eval.scm 69 */
																										if (PAIRP
																											(BgL_cdrzd2256zd2_1700))
																											{	/* Module/eval.scm 69 */
																												obj_t
																													BgL_carzd2261zd2_1703;
																												BgL_carzd2261zd2_1703 =
																													CAR
																													(BgL_cdrzd2256zd2_1700);
																												if (SYMBOLP
																													(BgL_carzd2261zd2_1703))
																													{	/* Module/eval.scm 69 */
																														if (NULLP(CDR
																																(BgL_cdrzd2256zd2_1700)))
																															{	/* Module/eval.scm 69 */
																																if (NULLP(CDR
																																		(BgL_cdrzd2215zd2_1686)))
																																	{	/* Module/eval.scm 69 */
																																		obj_t
																																			BgL_varz00_3049;
																																		obj_t
																																			BgL_modulez00_3050;
																																		BgL_varz00_3049
																																			=
																																			BgL_carzd2255zd2_1699;
																																		BgL_modulez00_3050
																																			=
																																			BgL_carzd2261zd2_1703;
																																		BGl_za2onezd2evalzf3za2z21zzmodule_evalz00
																																			=
																																			((bool_t)
																																			1);
																																		return
																																			BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00
																																			(BgL_varz00_3049,
																																			BgL_modulez00_3050,
																																			BgL_protoz00_76);
																																	}
																																else
																																	{	/* Module/eval.scm 69 */
																																		goto
																																			BgL_tagzd2117zd2_1674;
																																	}
																															}
																														else
																															{	/* Module/eval.scm 69 */
																																goto
																																	BgL_tagzd2117zd2_1674;
																															}
																													}
																												else
																													{	/* Module/eval.scm 69 */
																														goto
																															BgL_tagzd2117zd2_1674;
																													}
																											}
																										else
																											{	/* Module/eval.scm 69 */
																												goto
																													BgL_tagzd2117zd2_1674;
																											}
																									}
																								else
																									{	/* Module/eval.scm 69 */
																										goto BgL_tagzd2117zd2_1674;
																									}
																							}
																						else
																							{	/* Module/eval.scm 69 */
																								goto BgL_tagzd2117zd2_1674;
																							}
																					}
																				else
																					{	/* Module/eval.scm 69 */
																						goto BgL_tagzd2117zd2_1674;
																					}
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1674;
																			}
																	}
															}
														else
															{	/* Module/eval.scm 69 */
																goto BgL_tagzd2117zd2_1674;
															}
													}
												else
													{	/* Module/eval.scm 69 */
														if (
															(CAR(BgL_protoz00_76) ==
																CNST_TABLE_REF(((long) 6))))
															{	/* Module/eval.scm 69 */
																if (PAIRP(BgL_cdrzd2215zd2_1686))
																	{	/* Module/eval.scm 69 */
																		obj_t BgL_carzd2366zd2_1713;

																		BgL_carzd2366zd2_1713 =
																			CAR(BgL_cdrzd2215zd2_1686);
																		if (SYMBOLP(BgL_carzd2366zd2_1713))
																			{	/* Module/eval.scm 69 */
																				if (NULLP(CDR(BgL_cdrzd2215zd2_1686)))
																					{	/* Module/eval.scm 69 */
																						return
																							(BGl_za2evalzd2classesza2zd2zzmodule_evalz00
																							=
																							MAKE_PAIR(BgL_protoz00_76,
																								BGl_za2evalzd2classesza2zd2zzmodule_evalz00),
																							BUNSPEC);
																					}
																				else
																					{	/* Module/eval.scm 69 */
																						goto BgL_tagzd2117zd2_1674;
																					}
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1674;
																			}
																	}
																else
																	{	/* Module/eval.scm 69 */
																		goto BgL_tagzd2117zd2_1674;
																	}
															}
														else
															{	/* Module/eval.scm 69 */
																obj_t BgL_cdrzd2390zd2_1717;

																BgL_cdrzd2390zd2_1717 = CDR(BgL_protoz00_76);
																if (
																	(CAR(BgL_protoz00_76) ==
																		CNST_TABLE_REF(((long) 7))))
																	{	/* Module/eval.scm 69 */
																		if (PAIRP(BgL_cdrzd2390zd2_1717))
																			{	/* Module/eval.scm 69 */
																				obj_t BgL_carzd2392zd2_1720;

																				BgL_carzd2392zd2_1720 =
																					CAR(BgL_cdrzd2390zd2_1717);
																				if (SYMBOLP(BgL_carzd2392zd2_1720))
																					{	/* Module/eval.scm 69 */
																						if (NULLP(CDR
																								(BgL_cdrzd2390zd2_1717)))
																							{	/* Module/eval.scm 69 */
																								obj_t BgL_varz00_3072;

																								BgL_varz00_3072 =
																									BgL_carzd2392zd2_1720;
																								return ((obj_t)
																									BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2
																									(BgL_varz00_3072, BFALSE,
																										CNST_TABLE_REF(((long) 0)),
																										CNST_TABLE_REF(((long) 0)),
																										BgL_clausez00_77, BFALSE));
																							}
																						else
																							{	/* Module/eval.scm 69 */
																								goto BgL_tagzd2117zd2_1674;
																							}
																					}
																				else
																					{	/* Module/eval.scm 69 */
																						goto BgL_tagzd2117zd2_1674;
																					}
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1674;
																			}
																	}
																else
																	{	/* Module/eval.scm 69 */
																		if (
																			(CAR(BgL_protoz00_76) ==
																				CNST_TABLE_REF(((long) 8))))
																			{	/* Module/eval.scm 69 */
																				bool_t BgL_auxz00_3534;

																				BgL_libsz00_1672 =
																					BgL_cdrzd2390zd2_1717;
																				{
																					obj_t BgL_l1980z00_1734;

																					BgL_l1980z00_1734 = BgL_libsz00_1672;
																				BgL_zc3anonymousza32075ze3z83_1735:
																					if (PAIRP(BgL_l1980z00_1734))
																						{	/* Module/eval.scm 87 */
																							{	/* Module/eval.scm 88 */
																								obj_t BgL_libz00_1737;

																								BgL_libz00_1737 =
																									CAR(BgL_l1980z00_1734);
																								if (SYMBOLP(BgL_libz00_1737))
																									{	/* Module/eval.scm 92 */
																										obj_t BgL_libz00_2999;

																										BgL_libz00_2999 =
																											BgL_libz00_1737;
																										BGl_za2evalzd2librariesza2zd2zzmodule_evalz00
																											=
																											MAKE_PAIR(BgL_libz00_2999,
																											BGl_za2evalzd2librariesza2zd2zzmodule_evalz00);
																									}
																								else
																									{	/* Module/eval.scm 89 */
																										obj_t BgL_list2078z00_1739;

																										BgL_list2078z00_1739 =
																											MAKE_PAIR(BNIL, BNIL);
																										BGl_userzd2errorzd2zztools_errorz00
																											(BGl_string2412z00zzmodule_evalz00,
																											BGl_string2413z00zzmodule_evalz00,
																											BgL_clausez00_77,
																											BgL_list2078z00_1739);
																									}
																							}
																							{
																								obj_t BgL_l1980z00_3543;

																								BgL_l1980z00_3543 =
																									CDR(BgL_l1980z00_1734);
																								BgL_l1980z00_1734 =
																									BgL_l1980z00_3543;
																								goto
																									BgL_zc3anonymousza32075ze3z83_1735;
																							}
																						}
																					else
																						{	/* Module/eval.scm 87 */
																							BgL_auxz00_3534 = ((bool_t) 1);
																						}
																				}
																				return BBOOL(BgL_auxz00_3534);
																			}
																		else
																			{	/* Module/eval.scm 69 */
																				goto BgL_tagzd2117zd2_1674;
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Module/eval.scm 69 */
						goto BgL_tagzd2117zd2_1674;
					}
			}
		}
	}



/* get-eval-libraries */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evalzd2librariesz00zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 105 */
			return BGl_za2evalzd2librariesza2zd2zzmodule_evalz00;
		}
	}



/* &get-eval-libraries */
	obj_t BGl_z62getzd2evalzd2librariesz62zzmodule_evalz00(obj_t BgL_envz00_3336)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 105 */
			return BGl_za2evalzd2librariesza2zd2zzmodule_evalz00;
		}
	}



/* add-eval-library! */
	BGL_EXPORTED_DEF obj_t BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(obj_t
		BgL_libz00_78)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 111 */
			return (BGl_za2evalzd2librariesza2zd2zzmodule_evalz00 =
				MAKE_PAIR(BgL_libz00_78, BGl_za2evalzd2librariesza2zd2zzmodule_evalz00),
				BUNSPEC);
		}
	}



/* &add-eval-library! */
	obj_t BGl_z62addzd2evalzd2libraryz12z70zzmodule_evalz00(obj_t BgL_envz00_3337,
		obj_t BgL_libz00_3338)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 111 */
			return BGl_addzd2evalzd2libraryz12z12zzmodule_evalz00(BgL_libz00_3338);
		}
	}



/* remember-eval-exported! */
	obj_t BGl_rememberzd2evalzd2exportedz12z12zzmodule_evalz00(obj_t
		BgL_varz00_79, obj_t BgL_modulez00_80, obj_t BgL_locz00_81)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 127 */
			{	/* Module/eval.scm 128 */
				obj_t BgL_arg2081z00_1743;

				{	/* Module/eval.scm 128 */
					obj_t BgL_list2082z00_1744;

					{	/* Module/eval.scm 128 */
						obj_t BgL_arg2083z00_1745;

						{	/* Module/eval.scm 128 */
							obj_t BgL_arg2084z00_1746;

							BgL_arg2084z00_1746 = MAKE_PAIR(BgL_locz00_81, BNIL);
							BgL_arg2083z00_1745 =
								MAKE_PAIR(BgL_modulez00_80, BgL_arg2084z00_1746);
						}
						BgL_list2082z00_1744 =
							MAKE_PAIR(BgL_varz00_79, BgL_arg2083z00_1745);
					}
					BgL_arg2081z00_1743 = BgL_list2082z00_1744;
				}
				return (BGl_za2evalzd2exportedza2zd2zzmodule_evalz00 =
					MAKE_PAIR(BgL_arg2081z00_1743,
						BGl_za2evalzd2exportedza2zd2zzmodule_evalz00), BUNSPEC);
			}
		}
	}



/* eval-finalizer */
	obj_t BGl_evalzd2finaliza7erz75zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 146 */
			{	/* Module/eval.scm 159 */
				bool_t BgL_testz00_3552;

				if (BGl_za2onezd2evalzf3za2z21zzmodule_evalz00)
					{	/* Module/eval.scm 159 */
						BgL_testz00_3552 = ((bool_t) 1);
					}
				else
					{	/* Module/eval.scm 159 */
						if (CBOOL(BGl_za2allzd2evalzf3za2z21zzmodule_evalz00))
							{	/* Module/eval.scm 159 */
								BgL_testz00_3552 = ((bool_t) 1);
							}
						else
							{	/* Module/eval.scm 159 */
								if (CBOOL(BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00))
									{	/* Module/eval.scm 159 */
										BgL_testz00_3552 = ((bool_t) 1);
									}
								else
									{	/* Module/eval.scm 159 */
										if (CBOOL
											(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00))
											{	/* Module/eval.scm 159 */
												BgL_testz00_3552 = ((bool_t) 1);
											}
										else
											{	/* Module/eval.scm 159 */
												if (NULLP
													(BGl_za2evalzd2librariesza2zd2zzmodule_evalz00))
													{	/* Module/eval.scm 163 */
														BgL_testz00_3552 =
															PAIRP
															(BGl_za2evalzd2classesza2zd2zzmodule_evalz00);
													}
												else
													{	/* Module/eval.scm 163 */
														BgL_testz00_3552 = ((bool_t) 1);
													}
											}
									}
							}
					}
				if (BgL_testz00_3552)
					{	/* Module/eval.scm 167 */
						obj_t BgL_arg2086z00_1749;

						{	/* Module/eval.scm 167 */
							long BgL_arg2089z00_1751;
							obj_t BgL_arg2090z00_1752;

							{	/* Module/eval.scm 167 */
								obj_t BgL_arg2091z00_1753;

								BgL_arg2091z00_1753 =
									BGl_getzd2toplevelzd2unitzd2weightzd2zzmodule_includez00();
								BgL_arg2089z00_1751 =
									((long) CINT(BgL_arg2091z00_1753) - ((long) 2));
							}
							BgL_arg2090z00_1752 =
								BGl_makezd2promisezd2zz__r4_control_features_6_9z00
								(BGl_proc2414z00zzmodule_evalz00);
							{	/* Module/eval.scm 166 */
								obj_t BgL_idz00_3123;

								BgL_idz00_3123 = CNST_TABLE_REF(((long) 0));
								{	/* Module/eval.scm 166 */
									obj_t BgL_newz00_3128;

									BgL_newz00_3128 =
										create_struct(CNST_TABLE_REF(((long) 9)),
										(int) (((long) 5)));
									{	/* Module/eval.scm 166 */
										int BgL_auxz00_3571;

										BgL_auxz00_3571 = (int) (((long) 4));
										STRUCT_SET(BgL_newz00_3128, BgL_auxz00_3571, BFALSE);
									}
									{	/* Module/eval.scm 166 */
										int BgL_auxz00_3574;

										BgL_auxz00_3574 = (int) (((long) 3));
										STRUCT_SET(BgL_newz00_3128, BgL_auxz00_3574, BFALSE);
									}
									{	/* Module/eval.scm 166 */
										int BgL_auxz00_3577;

										BgL_auxz00_3577 = (int) (((long) 2));
										STRUCT_SET(BgL_newz00_3128, BgL_auxz00_3577,
											BgL_arg2090z00_1752);
									}
									{	/* Module/eval.scm 166 */
										obj_t BgL_auxz00_3582;
										int BgL_auxz00_3580;

										BgL_auxz00_3582 = BINT(BgL_arg2089z00_1751);
										BgL_auxz00_3580 = (int) (((long) 1));
										STRUCT_SET(BgL_newz00_3128, BgL_auxz00_3580,
											BgL_auxz00_3582);
									}
									{	/* Module/eval.scm 166 */
										int BgL_auxz00_3585;

										BgL_auxz00_3585 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_3128, BgL_auxz00_3585,
											BgL_idz00_3123);
									}
									BgL_arg2086z00_1749 = BgL_newz00_3128;
						}}}
						{	/* Module/eval.scm 165 */
							obj_t BgL_list2087z00_1750;

							BgL_list2087z00_1750 = MAKE_PAIR(BgL_arg2086z00_1749, BNIL);
							return BgL_list2087z00_1750;
						}
					}
				else
					{	/* Module/eval.scm 159 */
						return CNST_TABLE_REF(((long) 10));
		}}}
	}



/* &eval-finalizer */
	obj_t BGl_z62evalzd2finaliza7erz17zzmodule_evalz00(obj_t BgL_envz00_3335)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 146 */
			return BGl_evalzd2finaliza7erz75zzmodule_evalz00();
		}
	}



/* &<anonymous:2093> */
	obj_t BGl_z62zc3anonymousza32093ze3ze1zzmodule_evalz00(obj_t BgL_envz00_3340)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 168 */
			{

				{
					obj_t BgL_gz00_1798;

					{	/* Module/eval.scm 169 */
						obj_t BgL_g1104z00_1756;
						obj_t BgL_g1105z00_1757;

						BgL_g1104z00_1756 =
							BGl_appendzd221011zd2zzmodule_evalz00
							(BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00(),
							BGl_getzd2evaluatedzd2classzd2holderszd2zzmodule_evalz00());
						BgL_g1105z00_1757 = CNST_TABLE_REF(((long) 12));
						{
							obj_t BgL_globalsz00_1759;
							obj_t BgL_initza2za2_1760;

							BgL_globalsz00_1759 = BgL_g1104z00_1756;
							BgL_initza2za2_1760 = BgL_g1105z00_1757;
						BgL_zc3anonymousza32094ze3z83_1761:
							if (NULLP(BgL_globalsz00_1759))
								{	/* Module/eval.scm 175 */
									obj_t BgL_arg2096z00_1763;

									{	/* Module/eval.scm 175 */
										obj_t BgL_arg2097z00_1764;
										obj_t BgL_arg2098z00_1765;

										{	/* Module/eval.scm 175 */
											obj_t BgL_l1982z00_1766;

											BgL_l1982z00_1766 =
												BGl_za2evalzd2librariesza2zd2zzmodule_evalz00;
											if (NULLP(BgL_l1982z00_1766))
												{	/* Module/eval.scm 175 */
													BgL_arg2097z00_1764 = BNIL;
												}
											else
												{	/* Module/eval.scm 175 */
													obj_t BgL_head1984z00_1768;

													{	/* Module/eval.scm 175 */
														obj_t BgL_arg2106z00_1780;

														BgL_arg2106z00_1780 =
															BGl_library_ez00zzmodule_evalz00(CAR
															(BgL_l1982z00_1766));
														{	/* Module/eval.scm 175 */
															obj_t BgL_res2374z00_3107;

															BgL_res2374z00_3107 =
																MAKE_PAIR(BgL_arg2106z00_1780, BNIL);
															BgL_head1984z00_1768 = BgL_res2374z00_3107;
														}
													}
													{	/* Module/eval.scm 175 */
														obj_t BgL_g1987z00_1769;

														BgL_g1987z00_1769 = CDR(BgL_l1982z00_1766);
														{
															obj_t BgL_l1982z00_1771;
															obj_t BgL_tail1985z00_1772;

															BgL_l1982z00_1771 = BgL_g1987z00_1769;
															BgL_tail1985z00_1772 = BgL_head1984z00_1768;
														BgL_zc3anonymousza32100ze3z83_1773:
															if (NULLP(BgL_l1982z00_1771))
																{	/* Module/eval.scm 175 */
																	BgL_arg2097z00_1764 = BgL_head1984z00_1768;
																}
															else
																{	/* Module/eval.scm 175 */
																	obj_t BgL_newtail1986z00_1775;

																	{	/* Module/eval.scm 175 */
																		obj_t BgL_arg2103z00_1777;

																		BgL_arg2103z00_1777 =
																			BGl_library_ez00zzmodule_evalz00(CAR
																			(BgL_l1982z00_1771));
																		{	/* Module/eval.scm 175 */
																			obj_t BgL_res2376z00_3114;

																			BgL_res2376z00_3114 =
																				MAKE_PAIR(BgL_arg2103z00_1777, BNIL);
																			BgL_newtail1986z00_1775 =
																				BgL_res2376z00_3114;
																		}
																	}
																	SET_CDR(BgL_tail1985z00_1772,
																		BgL_newtail1986z00_1775);
																	{
																		obj_t BgL_tail1985z00_3611;
																		obj_t BgL_l1982z00_3609;

																		BgL_l1982z00_3609 = CDR(BgL_l1982z00_1771);
																		BgL_tail1985z00_3611 =
																			BgL_newtail1986z00_1775;
																		BgL_tail1985z00_1772 = BgL_tail1985z00_3611;
																		BgL_l1982z00_1771 = BgL_l1982z00_3609;
																		goto BgL_zc3anonymousza32100ze3z83_1773;
																	}
																}
														}
													}
												}
										}
										{	/* Module/eval.scm 177 */
											obj_t BgL_arg2108z00_1782;
											obj_t BgL_arg2109z00_1783;

											BgL_arg2108z00_1782 =
												BGl_getzd2evalzd2srfizd2librarieszd2zzmodule_evalz00();
											{	/* Module/eval.scm 179 */
												obj_t BgL_arg2110z00_1784;
												obj_t BgL_arg2111z00_1785;

												BgL_arg2110z00_1784 =
													BGl_getzd2evaluatedzd2classzd2macroszd2zzmodule_evalz00
													();
												{	/* Module/eval.scm 181 */
													obj_t BgL_arg2112z00_1786;
													obj_t BgL_arg2114z00_1787;

													BgL_arg2112z00_1786 =
														bgl_reverse_bang(BgL_initza2za2_1760);
													BgL_arg2114z00_1787 = MAKE_PAIR(BUNSPEC, BNIL);
													BgL_arg2111z00_1785 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
														(BgL_arg2112z00_1786, BgL_arg2114z00_1787);
												}
												BgL_arg2109z00_1783 =
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
													(BgL_arg2110z00_1784, BgL_arg2111z00_1785);
											}
											BgL_arg2098z00_1765 =
												BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
												(BgL_arg2108z00_1782, BgL_arg2109z00_1783);
										}
										BgL_arg2096z00_1763 =
											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
											(BgL_arg2097z00_1764, BgL_arg2098z00_1765);
									}
									return
										MAKE_PAIR(CNST_TABLE_REF(((long) 13)), BgL_arg2096z00_1763);
								}
							else
								{	/* Module/eval.scm 183 */
									obj_t BgL_gz00_1788;

									BgL_gz00_1788 = CAR(BgL_globalsz00_1759);
									BGl_setzd2evalzd2typesz12z12zzmodule_evalz00(BgL_gz00_1788);
									{	/* Module/eval.scm 185 */
										obj_t BgL_arg2115z00_1789;
										obj_t BgL_arg2116z00_1790;

										BgL_arg2115z00_1789 = CDR(BgL_globalsz00_1759);
										if (
											(((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt) BgL_gz00_1788)))->
												BgL_evalzf3zf3))
											{	/* Module/eval.scm 186 */
												BgL_arg2116z00_1790 = BgL_initza2za2_1760;
											}
										else
											{	/* Module/eval.scm 188 */
												BgL_nodez00_bglt BgL_arg2119z00_1792;

												BgL_gz00_1798 = BgL_gz00_1788;
												{	/* Module/eval.scm 149 */
													BgL_globalz00_bglt BgL_oz00_3077;

													BgL_oz00_3077 = ((BgL_globalz00_bglt) BgL_gz00_1798);
													((((BgL_globalz00_bglt) CREF(BgL_oz00_3077))->
															BgL_evalzf3zf3) =
														((bool_t) ((bool_t) 1)), BUNSPEC);
												}
												{	/* Module/eval.scm 151 */
													bool_t BgL_testz00_3630;

													{	/* Module/eval.scm 151 */
														BgL_valuez00_bglt BgL_arg2131z00_1805;

														BgL_arg2131z00_1805 =
															(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_globalz00_bglt) BgL_gz00_1798))))->
															BgL_valuez00);
														{	/* Module/eval.scm 151 */
															bool_t BgL_res2366z00_3084;

															{	/* Module/eval.scm 151 */
																obj_t BgL_objz00_3083;

																BgL_objz00_3083 = ((obj_t) BgL_arg2131z00_1805);
																BgL_res2366z00_3084 =
																	BGl_isazf3zf3zz__objectz00(BgL_objz00_3083,
																	BGl_svarz00zzast_varz00);
															}
															BgL_testz00_3630 = BgL_res2366z00_3084;
														}
													}
													if (BgL_testz00_3630)
														{	/* Module/eval.scm 151 */
															{	/* Module/eval.scm 152 */
																BgL_variablez00_bglt BgL_oz00_3085;
																obj_t BgL_vz00_3086;

																BgL_oz00_3085 =
																	((BgL_variablez00_bglt) BgL_gz00_1798);
																BgL_vz00_3086 = CNST_TABLE_REF(((long) 11));
																((((BgL_variablez00_bglt) CREF(BgL_oz00_3085))->
																		BgL_accessz00) =
																	((obj_t) BgL_vz00_3086), BUNSPEC);
															}
															{	/* Module/eval.scm 153 */
																BgL_nodez00_bglt BgL_arg2127z00_1801;

																BgL_arg2127z00_1801 =
																	BGl_locationzd2ze3nodez31zzast_sexpz00(
																	((BgL_globalz00_bglt) BgL_gz00_1798));
																BgL_arg2119z00_1792 =
																	BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
																	(((BgL_globalz00_bglt) BgL_gz00_1798),
																	BgL_arg2127z00_1801);
														}}
													else
														{	/* Module/eval.scm 154 */
															bool_t BgL_testz00_3643;

															{	/* Module/eval.scm 154 */
																BgL_valuez00_bglt BgL_arg2130z00_1804;

																BgL_arg2130z00_1804 =
																	(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BgL_gz00_1798))))->BgL_valuez00);
																{	/* Module/eval.scm 154 */
																	bool_t BgL_res2368z00_3092;

																	{	/* Module/eval.scm 154 */
																		obj_t BgL_objz00_3091;

																		BgL_objz00_3091 =
																			((obj_t) BgL_arg2130z00_1804);
																		BgL_res2368z00_3092 =
																			BGl_isazf3zf3zz__objectz00
																			(BgL_objz00_3091,
																			BGl_scnstz00zzast_varz00);
																	}
																	BgL_testz00_3643 = BgL_res2368z00_3092;
																}
															}
															if (BgL_testz00_3643)
																{	/* Module/eval.scm 155 */
																	BgL_nodez00_bglt BgL_arg2129z00_1803;

																	BgL_arg2129z00_1803 =
																		BGl_locationzd2ze3nodez31zzast_sexpz00(
																		((BgL_globalz00_bglt) BgL_gz00_1798));
																	BgL_arg2119z00_1792 =
																		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00
																		(((BgL_globalz00_bglt) BgL_gz00_1798),
																		BgL_arg2129z00_1803);
																}
															else
																{	/* Module/eval.scm 154 */
																	BgL_arg2119z00_1792 =
																		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00
																		(((BgL_globalz00_bglt) BgL_gz00_1798));
																}
														}
												}
												BgL_arg2116z00_1790 =
													MAKE_PAIR(
													((obj_t) BgL_arg2119z00_1792), BgL_initza2za2_1760);
											}
										{
											obj_t BgL_initza2za2_3658;
											obj_t BgL_globalsz00_3657;

											BgL_globalsz00_3657 = BgL_arg2115z00_1789;
											BgL_initza2za2_3658 = BgL_arg2116z00_1790;
											BgL_initza2za2_1760 = BgL_initza2za2_3658;
											BgL_globalsz00_1759 = BgL_globalsz00_3657;
											goto BgL_zc3anonymousza32094ze3z83_1761;
										}
									}
								}
						}
					}
				}
			}
		}
	}



/* get-library-info */
	obj_t BGl_getzd2libraryzd2infoz00zzmodule_evalz00(obj_t BgL_libraryz00_82)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 196 */
			{	/* Module/eval.scm 197 */
				obj_t BgL__ortest_1106z00_1807;

				BgL__ortest_1106z00_1807 =
					BGl_libraryzd2infozd2zz__libraryz00(BgL_libraryz00_82);
				if (CBOOL(BgL__ortest_1106z00_1807))
					{	/* Module/eval.scm 197 */
						return BgL__ortest_1106z00_1807;
					}
				else
					{	/* Module/eval.scm 198 */
						obj_t BgL_initz00_1808;

						BgL_initz00_1808 =
							BGl_libraryzd2initzd2filez00zz__libraryz00(BgL_libraryz00_82);
						{	/* Module/eval.scm 198 */
							obj_t BgL_pathz00_1809;

							BgL_pathz00_1809 =
								BGl_findzd2filezf2pathz20zz__osz00(BgL_initz00_1808,
								BGl_za2libzd2dirza2zd2zzengine_paramz00);
							{	/* Module/eval.scm 199 */

								if (CBOOL(BgL_pathz00_1809))
									{	/* Module/eval.scm 200 */
										{	/* Module/eval.scm 202 */
											obj_t BgL_envz00_1811;

											BgL_envz00_1811 =
												BGl_defaultzd2environmentzd2zz__evalz00();
											{	/* Module/eval.scm 202 */

												BGl_loadqz00zz__evalz00(BgL_pathz00_1809,
													BgL_envz00_1811);
											}
										}
										{	/* Module/eval.scm 203 */
											obj_t BgL_iz00_1812;

											BgL_iz00_1812 =
												BGl_libraryzd2infozd2zz__libraryz00(BgL_libraryz00_82);
											if (CBOOL(BgL_iz00_1812))
												{	/* Module/eval.scm 204 */
													return BgL_iz00_1812;
												}
											else
												{	/* Module/eval.scm 206 */
													obj_t BgL_arg2132z00_1813;

													{	/* Module/eval.scm 206 */
														obj_t BgL_list2135z00_1816;

														BgL_list2135z00_1816 =
															MAKE_PAIR(BgL_initz00_1808, BNIL);
														BgL_arg2132z00_1813 =
															BGl_formatz00zz__r4_output_6_10_3z00
															(BGl_string2415z00zzmodule_evalz00,
															BgL_list2135z00_1816);
													}
													{	/* Module/eval.scm 206 */
														obj_t BgL_list2133z00_1814;

														{	/* Module/eval.scm 206 */
															obj_t BgL_arg2134z00_1815;

															BgL_arg2134z00_1815 =
																MAKE_PAIR(BgL_arg2132z00_1813, BNIL);
															BgL_list2133z00_1814 =
																MAKE_PAIR(BgL_libraryz00_82,
																BgL_arg2134z00_1815);
														}
														return
															BGl_warningz00zz__errorz00(BgL_list2133z00_1814);
													}
												}
										}
									}
								else
									{	/* Module/eval.scm 207 */
										obj_t BgL_arg2136z00_1817;

										{	/* Module/eval.scm 207 */
											obj_t BgL_list2139z00_1820;

											BgL_list2139z00_1820 = MAKE_PAIR(BgL_initz00_1808, BNIL);
											BgL_arg2136z00_1817 =
												BGl_formatz00zz__r4_output_6_10_3z00
												(BGl_string2416z00zzmodule_evalz00,
												BgL_list2139z00_1820);
										}
										{	/* Module/eval.scm 207 */
											obj_t BgL_list2137z00_1818;

											{	/* Module/eval.scm 207 */
												obj_t BgL_arg2138z00_1819;

												BgL_arg2138z00_1819 =
													MAKE_PAIR(BgL_arg2136z00_1817, BNIL);
												BgL_list2137z00_1818 =
													MAKE_PAIR(BgL_libraryz00_82, BgL_arg2138z00_1819);
											}
											return BGl_warningz00zz__errorz00(BgL_list2137z00_1818);
										}
									}
							}
						}
					}
			}
		}
	}



/* library_e */
	obj_t BGl_library_ez00zzmodule_evalz00(obj_t BgL_libz00_83)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 214 */
			{	/* Module/eval.scm 215 */
				obj_t BgL_infoz00_1821;

				BgL_infoz00_1821 =
					BGl_getzd2libraryzd2infoz00zzmodule_evalz00(BgL_libz00_83);
				{	/* Module/eval.scm 216 */
					bool_t BgL_testz00_3682;

					{	/* Module/eval.scm 216 */
						bool_t BgL_testz00_3683;

						if (STRUCTP(BgL_infoz00_1821))
							{	/* Module/eval.scm 216 */
								BgL_testz00_3683 =
									(STRUCT_KEY(BgL_infoz00_1821) == CNST_TABLE_REF(((long) 14)));
							}
						else
							{	/* Module/eval.scm 216 */
								BgL_testz00_3683 = ((bool_t) 0);
							}
						if (BgL_testz00_3683)
							{	/* Module/eval.scm 216 */
								BgL_testz00_3682 =
									CBOOL(STRUCT_REF(BgL_infoz00_1821, (int) (((long) 6))));
							}
						else
							{	/* Module/eval.scm 216 */
								BgL_testz00_3682 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3682)
						{	/* Module/eval.scm 217 */
							obj_t BgL_initz00_1823;

							BgL_initz00_1823 =
								BGl_modulezd2initializa7ationzd2idza7zzmodule_modulez00
								(STRUCT_REF(BgL_infoz00_1821, (int) (((long) 6))));
							{	/* Module/eval.scm 218 */
								bool_t BgL_testz00_3695;

								{	/* Module/eval.scm 218 */
									obj_t BgL_arg2184z00_1861;

									BgL_arg2184z00_1861 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									BgL_testz00_3695 =
										(((BgL_backendz00_bglt) CREF(
												((BgL_backendz00_bglt) BgL_arg2184z00_1861)))->
										BgL_pragmazd2supportzd2);
								}
								if (BgL_testz00_3695)
									{	/* Module/eval.scm 220 */
										obj_t BgL_arg2142z00_1825;

										{	/* Module/eval.scm 220 */
											obj_t BgL_arg2143z00_1826;
											obj_t BgL_arg2144z00_1827;

											{	/* Module/eval.scm 220 */
												obj_t BgL_arg2146z00_1828;
												obj_t BgL_arg2147z00_1829;

												{	/* Module/eval.scm 220 */
													obj_t BgL_arg2148z00_1830;

													{	/* Module/eval.scm 220 */
														obj_t BgL_arg2150z00_1831;

														BgL_arg2150z00_1831 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 15)), BNIL);
														BgL_arg2148z00_1830 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 16)),
															BgL_arg2150z00_1831);
													}
													BgL_arg2146z00_1828 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
														BgL_arg2148z00_1830);
												}
												{	/* Module/eval.scm 220 */
													obj_t BgL_arg2151z00_1832;
													obj_t BgL_arg2152z00_1833;

													{	/* Module/eval.scm 220 */
														obj_t BgL_arg2153z00_1834;

														BgL_arg2153z00_1834 =
															MAKE_PAIR(BgL_libz00_83, BNIL);
														BgL_arg2151z00_1832 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
															BgL_arg2153z00_1834);
													}
													{	/* Module/eval.scm 220 */
														obj_t BgL_arg2154z00_1835;

														{	/* Module/eval.scm 220 */
															obj_t BgL_arg2155z00_1836;

															BgL_arg2155z00_1836 =
																MAKE_PAIR
																(BGl_za2libzd2dirza2zd2zzengine_paramz00, BNIL);
															BgL_arg2154z00_1835 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
																BgL_arg2155z00_1836);
														}
														BgL_arg2152z00_1833 =
															MAKE_PAIR(BgL_arg2154z00_1835, BNIL);
													}
													BgL_arg2147z00_1829 =
														MAKE_PAIR(BgL_arg2151z00_1832, BgL_arg2152z00_1833);
												}
												BgL_arg2143z00_1826 =
													MAKE_PAIR(BgL_arg2146z00_1828, BgL_arg2147z00_1829);
											}
											{	/* Module/eval.scm 223 */
												obj_t BgL_arg2156z00_1837;
												obj_t BgL_arg2157z00_1838;

												{	/* Module/eval.scm 223 */
													obj_t BgL_arg2158z00_1839;

													{	/* Module/eval.scm 223 */
														obj_t BgL_arg2159z00_1840;

														{	/* Module/eval.scm 223 */
															obj_t BgL_arg2160z00_1841;
															obj_t BgL_arg2161z00_1842;

															{	/* Module/eval.scm 223 */
																obj_t BgL_arg2164z00_1845;
																obj_t BgL_arg2165z00_1846;

																{	/* Module/eval.scm 223 */
																	obj_t BgL_res2382z00_3174;

																	{	/* Module/eval.scm 223 */
																		obj_t BgL_arg1308z00_3173;

																		BgL_arg1308z00_3173 =
																			SYMBOL_TO_STRING(BgL_initz00_1823);
																		BgL_res2382z00_3174 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1308z00_3173);
																	}
																	BgL_arg2164z00_1845 = BgL_res2382z00_3174;
																}
																{	/* Module/eval.scm 224 */
																	obj_t BgL_arg2166z00_1847;

																	BgL_arg2166z00_1847 =
																		STRUCT_REF(BgL_infoz00_1821,
																		(int) (((long) 6)));
																	{	/* Module/eval.scm 224 */
																		obj_t BgL_res2383z00_3180;

																		{	/* Module/eval.scm 224 */
																			obj_t BgL_symbolz00_3178;

																			BgL_symbolz00_3178 = BgL_arg2166z00_1847;
																			{	/* Module/eval.scm 224 */
																				obj_t BgL_arg1308z00_3179;

																				BgL_arg1308z00_3179 =
																					SYMBOL_TO_STRING(BgL_symbolz00_3178);
																				BgL_res2383z00_3180 =
																					BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																					(BgL_arg1308z00_3179);
																		}}
																		BgL_arg2165z00_1846 = BgL_res2383z00_3180;
																}}
																BgL_arg2160z00_1841 =
																	bigloo_module_mangle(BgL_arg2164z00_1845,
																	BgL_arg2165z00_1846);
															}
															{	/* Module/eval.scm 225 */
																obj_t BgL_res2384z00_3183;

																{	/* Module/eval.scm 225 */
																	obj_t BgL_symbolz00_3181;

																	BgL_symbolz00_3181 =
																		BGl_za2moduleza2z00zzmodule_modulez00;
																	{	/* Module/eval.scm 225 */
																		obj_t BgL_arg1308z00_3182;

																		BgL_arg1308z00_3182 =
																			SYMBOL_TO_STRING(BgL_symbolz00_3181);
																		BgL_res2384z00_3183 =
																			BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																			(BgL_arg1308z00_3182);
																}}
																BgL_arg2161z00_1842 = BgL_res2384z00_3183;
															}
															{	/* Module/eval.scm 221 */
																obj_t BgL_list2162z00_1843;

																{	/* Module/eval.scm 221 */
																	obj_t BgL_arg2163z00_1844;

																	BgL_arg2163z00_1844 =
																		MAKE_PAIR(BgL_arg2161z00_1842, BNIL);
																	BgL_list2162z00_1843 =
																		MAKE_PAIR(BgL_arg2160z00_1841,
																		BgL_arg2163z00_1844);
																}
																BgL_arg2159z00_1840 =
																	BGl_formatz00zz__r4_output_6_10_3z00
																	(BGl_string2417z00zzmodule_evalz00,
																	BgL_list2162z00_1843);
														}}
														BgL_arg2158z00_1839 =
															MAKE_PAIR(BgL_arg2159z00_1840, BNIL);
													}
													BgL_arg2156z00_1837 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 18)),
														BgL_arg2158z00_1839);
												}
												{	/* Module/eval.scm 226 */
													obj_t BgL_arg2167z00_1848;

													{	/* Module/eval.scm 226 */
														obj_t BgL_arg2168z00_1849;
														obj_t BgL_arg2171z00_1850;

														{	/* Module/eval.scm 226 */
															obj_t BgL_arg2172z00_1851;

															{	/* Module/eval.scm 226 */
																obj_t BgL_arg2173z00_1852;

																BgL_arg2173z00_1852 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 15)), BNIL);
																BgL_arg2172z00_1851 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
																	BgL_arg2173z00_1852);
															}
															BgL_arg2168z00_1849 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
																BgL_arg2172z00_1851);
														}
														{	/* Module/eval.scm 226 */
															obj_t BgL_arg2175z00_1853;

															{	/* Module/eval.scm 226 */
																obj_t BgL_arg2176z00_1854;

																BgL_arg2176z00_1854 =
																	MAKE_PAIR(BgL_libz00_83, BNIL);
																BgL_arg2175z00_1853 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
																	BgL_arg2176z00_1854);
															}
															BgL_arg2171z00_1850 =
																MAKE_PAIR(BgL_arg2175z00_1853, BNIL);
														}
														BgL_arg2167z00_1848 =
															MAKE_PAIR(BgL_arg2168z00_1849,
															BgL_arg2171z00_1850);
													}
													BgL_arg2157z00_1838 =
														MAKE_PAIR(BgL_arg2167z00_1848, BNIL);
												}
												BgL_arg2144z00_1827 =
													MAKE_PAIR(BgL_arg2156z00_1837, BgL_arg2157z00_1838);
											}
											BgL_arg2142z00_1825 =
												MAKE_PAIR(BgL_arg2143z00_1826, BgL_arg2144z00_1827);
										}
										return
											MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
											BgL_arg2142z00_1825);
									}
								else
									{	/* Module/eval.scm 227 */
										obj_t BgL_arg2177z00_1855;
										obj_t BgL_arg2178z00_1856;

										{	/* Module/eval.scm 227 */
											obj_t BgL_arg2179z00_1857;

											{	/* Module/eval.scm 227 */
												obj_t BgL_arg2180z00_1858;

												BgL_arg2180z00_1858 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 15)), BNIL);
												BgL_arg2179z00_1857 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 20)),
													BgL_arg2180z00_1858);
											}
											BgL_arg2177z00_1855 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
												BgL_arg2179z00_1857);
										}
										{	/* Module/eval.scm 227 */
											obj_t BgL_arg2181z00_1859;

											{	/* Module/eval.scm 227 */
												obj_t BgL_arg2182z00_1860;

												BgL_arg2182z00_1860 = MAKE_PAIR(BgL_libz00_83, BNIL);
												BgL_arg2181z00_1859 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
													BgL_arg2182z00_1860);
											}
											BgL_arg2178z00_1856 =
												MAKE_PAIR(BgL_arg2181z00_1859, BNIL);
										}
										return MAKE_PAIR(BgL_arg2177z00_1855, BgL_arg2178z00_1856);
									}
							}
						}
					else
						{	/* Module/eval.scm 228 */
							obj_t BgL_list2186z00_1863;

							{	/* Module/eval.scm 228 */
								obj_t BgL_arg2187z00_1864;

								BgL_arg2187z00_1864 =
									MAKE_PAIR(BGl_string2418z00zzmodule_evalz00, BNIL);
								BgL_list2186z00_1863 =
									MAKE_PAIR(BgL_libz00_83, BgL_arg2187z00_1864);
							}
							return BGl_warningz00zz__errorz00(BgL_list2186z00_1863);
						}
				}
			}
		}
	}



/* set-eval-types! */
	obj_t BGl_setzd2evalzd2typesz12z12zzmodule_evalz00(obj_t BgL_globalz00_84)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 236 */
			{	/* Module/eval.scm 237 */
				BgL_valuez00_bglt BgL_valz00_1866;

				BgL_valz00_1866 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_globalz00_84))))->BgL_valuez00);
				{	/* Module/eval.scm 238 */
					bool_t BgL_testz00_3762;

					{	/* Module/eval.scm 238 */
						bool_t BgL_res2386z00_3188;

						{	/* Module/eval.scm 238 */
							obj_t BgL_objz00_3187;

							BgL_objz00_3187 = ((obj_t) BgL_valz00_1866);
							BgL_res2386z00_3188 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_3187,
								BGl_sfunz00zzast_varz00);
						}
						BgL_testz00_3762 = BgL_res2386z00_3188;
					}
					if (BgL_testz00_3762)
						{	/* Module/eval.scm 238 */
							return BFALSE;
						}
					else
						{	/* Module/eval.scm 239 */
							BgL_typez00_bglt BgL_typez00_1868;

							BgL_typez00_1868 =
								(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_globalz00_84))))->BgL_typez00);
							if ((((obj_t) BgL_typez00_1868) == BGl_za2_za2z00zztype_cachez00))
								{	/* Module/eval.scm 242 */
									BgL_globalz00_bglt BgL_oz00_3192;
									BgL_typez00_bglt BgL_vz00_3193;

									BgL_oz00_3192 = ((BgL_globalz00_bglt) BgL_globalz00_84);
									BgL_vz00_3193 =
										((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
									return
										((((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_oz00_3192)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_vz00_3193), BUNSPEC);
								}
							else
								{	/* Module/eval.scm 241 */
									if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_1868))
										{	/* Module/eval.scm 243 */
											return BFALSE;
										}
									else
										{	/* Module/eval.scm 246 */
											obj_t BgL_arg2192z00_1871;

											BgL_arg2192z00_1871 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt) BgL_globalz00_84))))->
												BgL_idz00);
											return
												BGl_errorz00zz__errorz00
												(BGl_string2419z00zzmodule_evalz00,
												BGl_string2420z00zzmodule_evalz00, BgL_arg2192z00_1871);
										}
								}
						}
				}
			}
		}
	}



/* get-evaluated-globals */
	obj_t BGl_getzd2evaluatedzd2globalsz00zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 251 */
			{	/* Module/eval.scm 252 */
				obj_t BgL_globalsz00_1872;

				BgL_globalsz00_1872 = MAKE_CELL(BNIL);
				{	/* Module/eval.scm 252 */

					{	/* Module/eval.scm 253 */
						bool_t BgL_testz00_3781;

						if (CBOOL(BGl_za2allzd2evalzf3za2z21zzmodule_evalz00))
							{	/* Module/eval.scm 253 */
								BgL_testz00_3781 = ((bool_t) 1);
							}
						else
							{	/* Module/eval.scm 253 */
								if (CBOOL(BGl_za2allzd2exportzd2evalzf3za2zf3zzmodule_evalz00))
									{	/* Module/eval.scm 253 */
										BgL_testz00_3781 = ((bool_t) 1);
									}
								else
									{	/* Module/eval.scm 253 */
										BgL_testz00_3781 =
											CBOOL
											(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00);
									}
							}
						if (BgL_testz00_3781)
							{	/* Module/eval.scm 254 */
								obj_t BgL_scopezd2lstzd2_1874;

								if (CBOOL(BGl_za2allzd2evalzf3za2z21zzmodule_evalz00))
									{	/* Module/eval.scm 255 */
										BgL_scopezd2lstzd2_1874 = CNST_TABLE_REF(((long) 21));
									}
								else
									{	/* Module/eval.scm 255 */
										if (CBOOL
											(BGl_za2allzd2modulezd2evalzf3za2zf3zzmodule_evalz00))
											{	/* Module/eval.scm 256 */
												BgL_scopezd2lstzd2_1874 = CNST_TABLE_REF(((long) 22));
											}
										else
											{	/* Module/eval.scm 256 */
												BgL_scopezd2lstzd2_1874 = CNST_TABLE_REF(((long) 23));
									}}
								{	/* Module/eval.scm 260 */
									obj_t BgL_zc3anonymousza32196ze3z83_3341;

									BgL_zc3anonymousza32196ze3z83_3341 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32196ze3ze1zzmodule_evalz00,
										(int) (((long) 1)), (int) (((long) 2)));
									PROCEDURE_SET(BgL_zc3anonymousza32196ze3z83_3341,
										(int) (((long) 0)), BgL_globalsz00_1872);
									PROCEDURE_SET(BgL_zc3anonymousza32196ze3z83_3341,
										(int) (((long) 1)), BgL_scopezd2lstzd2_1874);
									BGl_forzd2eachzd2globalz12z12zzast_envz00
										(BgL_zc3anonymousza32196ze3z83_3341, BNIL);
							}}
						else
							{	/* Module/eval.scm 253 */
								BFALSE;
							}
					}
					{
						obj_t BgL_evalzd2exportedzd2_1887;
						obj_t BgL_resz00_1888;

						BgL_evalzd2exportedzd2_1887 =
							BGl_za2evalzd2exportedza2zd2zzmodule_evalz00;
						BgL_resz00_1888 = CELL_REF(BgL_globalsz00_1872);
					BgL_zc3anonymousza32203ze3z83_1889:
						if (NULLP(BgL_evalzd2exportedzd2_1887))
							{	/* Module/eval.scm 266 */
								return BgL_resz00_1888;
							}
						else
							{	/* Module/eval.scm 268 */
								obj_t BgL_varzd2modulezd2posz00_1891;

								BgL_varzd2modulezd2posz00_1891 =
									CAR(BgL_evalzd2exportedzd2_1887);
								{	/* Module/eval.scm 269 */
									obj_t BgL_gz00_1892;

									{	/* Module/eval.scm 269 */
										bool_t BgL_testz00_3805;

										{	/* Module/eval.scm 269 */
											obj_t BgL_pairz00_3208;

											BgL_pairz00_3208 = BgL_varzd2modulezd2posz00_1891;
											{	/* Module/eval.scm 269 */
												obj_t BgL_pairz00_3211;

												BgL_pairz00_3211 = CDR(BgL_pairz00_3208);
												BgL_testz00_3805 = CBOOL(CAR(BgL_pairz00_3211));
											}
										}
										if (BgL_testz00_3805)
											{	/* Module/eval.scm 270 */
												obj_t BgL_arg2221z00_1908;
												obj_t BgL_arg2222z00_1909;

												BgL_arg2221z00_1908 =
													CAR(BgL_varzd2modulezd2posz00_1891);
												{	/* Module/eval.scm 271 */
													obj_t BgL_pairz00_3213;

													BgL_pairz00_3213 = BgL_varzd2modulezd2posz00_1891;
													BgL_arg2222z00_1909 = CAR(CDR(BgL_pairz00_3213));
												}
												BgL_gz00_1892 =
													BGl_findzd2globalzf2modulez20zzast_envz00
													(BgL_arg2221z00_1908, BgL_arg2222z00_1909);
											}
										else
											{	/* Module/eval.scm 269 */
												BgL_gz00_1892 =
													BGl_findzd2globalzd2zzast_envz00(CAR
													(BgL_varzd2modulezd2posz00_1891), BNIL);
											}
									}
									if (BGl_isazf3zf3zz__objectz00(BgL_gz00_1892,
											BGl_globalz00zzast_varz00))
										{	/* Module/eval.scm 274 */
											if (
												(((BgL_globalz00_bglt) CREF(
															((BgL_globalz00_bglt) BgL_gz00_1892)))->
													BgL_evaluablezf3zf3))
												{	/* Module/eval.scm 291 */
													obj_t BgL_arg2207z00_1895;
													obj_t BgL_arg2208z00_1896;

													BgL_arg2207z00_1895 =
														CDR(BgL_evalzd2exportedzd2_1887);
													BgL_arg2208z00_1896 =
														MAKE_PAIR(BgL_gz00_1892, BgL_resz00_1888);
													{
														obj_t BgL_resz00_3823;
														obj_t BgL_evalzd2exportedzd2_3822;

														BgL_evalzd2exportedzd2_3822 = BgL_arg2207z00_1895;
														BgL_resz00_3823 = BgL_arg2208z00_1896;
														BgL_resz00_1888 = BgL_resz00_3823;
														BgL_evalzd2exportedzd2_1887 =
															BgL_evalzd2exportedzd2_3822;
														goto BgL_zc3anonymousza32203ze3z83_1889;
													}
												}
											else
												{	/* Module/eval.scm 282 */
													{	/* Module/eval.scm 284 */
														obj_t BgL_arg2209z00_1897;
														obj_t BgL_arg2210z00_1898;

														{	/* Module/eval.scm 284 */
															obj_t BgL_arg2212z00_1900;

															{	/* Module/eval.scm 284 */
																obj_t BgL_pairz00_3224;

																BgL_pairz00_3224 =
																	BgL_varzd2modulezd2posz00_1891;
																BgL_arg2212z00_1900 =
																	CAR(CDR(CDR(BgL_pairz00_3224)));
															}
															BgL_arg2209z00_1897 =
																BGl_findzd2locationzd2zztools_locationz00
																(BgL_arg2212z00_1900);
														}
														BgL_arg2210z00_1898 =
															CAR(BgL_varzd2modulezd2posz00_1891);
														{	/* Module/eval.scm 283 */
															obj_t BgL_list2211z00_1899;

															BgL_list2211z00_1899 = MAKE_PAIR(BNIL, BNIL);
															BGl_userzd2errorzf2locationz20zztools_errorz00
																(BgL_arg2209z00_1897,
																BGl_string2421z00zzmodule_evalz00,
																BGl_string2422z00zzmodule_evalz00,
																BgL_arg2210z00_1898, BgL_list2211z00_1899);
														}
													}
													{
														obj_t BgL_evalzd2exportedzd2_3831;

														BgL_evalzd2exportedzd2_3831 =
															CDR(BgL_evalzd2exportedzd2_1887);
														BgL_evalzd2exportedzd2_1887 =
															BgL_evalzd2exportedzd2_3831;
														goto BgL_zc3anonymousza32203ze3z83_1889;
													}
												}
										}
									else
										{	/* Module/eval.scm 274 */
											{	/* Module/eval.scm 276 */
												obj_t BgL_arg2215z00_1902;
												obj_t BgL_arg2216z00_1903;

												{	/* Module/eval.scm 276 */
													obj_t BgL_arg2218z00_1905;

													{	/* Module/eval.scm 276 */
														obj_t BgL_pairz00_3232;

														BgL_pairz00_3232 = BgL_varzd2modulezd2posz00_1891;
														BgL_arg2218z00_1905 =
															CAR(CDR(CDR(BgL_pairz00_3232)));
													}
													BgL_arg2215z00_1902 =
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_arg2218z00_1905);
												}
												BgL_arg2216z00_1903 =
													CAR(BgL_varzd2modulezd2posz00_1891);
												{	/* Module/eval.scm 275 */
													obj_t BgL_list2217z00_1904;

													BgL_list2217z00_1904 = MAKE_PAIR(BNIL, BNIL);
													BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_arg2215z00_1902,
														BGl_string2421z00zzmodule_evalz00,
														BGl_string2423z00zzmodule_evalz00,
														BgL_arg2216z00_1903, BgL_list2217z00_1904);
												}
											}
											{
												obj_t BgL_evalzd2exportedzd2_3840;

												BgL_evalzd2exportedzd2_3840 =
													CDR(BgL_evalzd2exportedzd2_1887);
												BgL_evalzd2exportedzd2_1887 =
													BgL_evalzd2exportedzd2_3840;
												goto BgL_zc3anonymousza32203ze3z83_1889;
											}
										}
								}
							}
					}
				}
			}
		}
	}



/* &<anonymous:2196> */
	obj_t BGl_z62zc3anonymousza32196ze3ze1zzmodule_evalz00(obj_t BgL_envz00_3342,
		obj_t BgL_gz00_3345)
	{
		AN_OBJECT;
		{	/* Module/eval.scm 259 */
			{	/* Module/eval.scm 260 */
				obj_t BgL_globalsz00_3343;
				obj_t BgL_scopezd2lstzd2_3344;

				BgL_globalsz00_3343 =
					PROCEDURE_REF(BgL_envz00_3342, (int) (((long) 0)));
				BgL_scopezd2lstzd2_3344 =
					((obj_t) PROCEDURE_REF(BgL_envz00_3342, (int) (((long) 1))));
				{
					obj_t BgL_gz00_1877;

					BgL_gz00_1877 = BgL_gz00_3345;
					{	/* Module/eval.scm 260 */
						bool_t BgL_testz00_3847;

						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									(((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_gz00_1877)))->BgL_importz00),
									BgL_scopezd2lstzd2_3344)))
							{	/* Module/eval.scm 260 */
								if (
									(((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_gz00_1877)))->
										BgL_evaluablezf3zf3))
									{	/* Module/eval.scm 262 */
										obj_t BgL__ortest_1107z00_1882;

										BgL__ortest_1107z00_1882 =
											BGl_za2libzd2modeza2zd2zzengine_paramz00;
										if (CBOOL(BgL__ortest_1107z00_1882))
											{	/* Module/eval.scm 262 */
												BgL_testz00_3847 = CBOOL(BgL__ortest_1107z00_1882);
											}
										else
											{	/* Module/eval.scm 262 */
												if (CBOOL(
														(((BgL_globalz00_bglt) CREF(
																	((BgL_globalz00_bglt) BgL_gz00_1877)))->
															BgL_libraryz00)))
													{	/* Module/eval.scm 262 */
														BgL_testz00_3847 = ((bool_t) 0);
													}
												else
													{	/* Module/eval.scm 262 */
														BgL_testz00_3847 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Module/eval.scm 261 */
										BgL_testz00_3847 = ((bool_t) 0);
									}
							}
						else
							{	/* Module/eval.scm 260 */
								BgL_testz00_3847 = ((bool_t) 0);
							}
						if (BgL_testz00_3847)
							{	/* Module/eval.scm 263 */
								obj_t BgL_auxz00_3346;

								BgL_auxz00_3346 =
									MAKE_PAIR(BgL_gz00_1877, CELL_REF(BgL_globalsz00_3343));
								return CELL_SET(BgL_globalsz00_3343, BgL_auxz00_3346);
							}
						else
							{	/* Module/eval.scm 260 */
								return BFALSE;
							}
					}
				}
			}
		}
	}



/* get-eval-srfi-libraries */
	obj_t BGl_getzd2evalzd2srfizd2librarieszd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 302 */
			{	/* Module/eval.scm 303 */
				obj_t BgL_l1988z00_1913;

				BgL_l1988z00_1913 = BGl_za2evalzd2librariesza2zd2zzmodule_evalz00;
				if (NULLP(BgL_l1988z00_1913))
					{	/* Module/eval.scm 303 */
						return BNIL;
					}
				else
					{	/* Module/eval.scm 303 */
						obj_t BgL_head1990z00_1915;

						{	/* Module/eval.scm 303 */
							obj_t BgL_res2394z00_3244;

							BgL_res2394z00_3244 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1990z00_1915 = BgL_res2394z00_3244;
						}
						{
							obj_t BgL_l1988z00_1917;
							obj_t BgL_tail1991z00_1918;

							BgL_l1988z00_1917 = BgL_l1988z00_1913;
							BgL_tail1991z00_1918 = BgL_head1990z00_1915;
						BgL_zc3anonymousza32226ze3z83_1919:
							if (NULLP(BgL_l1988z00_1917))
								{	/* Module/eval.scm 303 */
									return CDR(BgL_head1990z00_1915);
								}
							else
								{	/* Module/eval.scm 303 */
									obj_t BgL_newtail1992z00_1921;

									{	/* Module/eval.scm 303 */
										obj_t BgL_arg2229z00_1923;

										{	/* Module/eval.scm 303 */
											obj_t BgL_lz00_1924;

											BgL_lz00_1924 = CAR(BgL_l1988z00_1917);
											{	/* Module/eval.scm 305 */
												obj_t BgL_arg2231z00_1925;

												{	/* Module/eval.scm 305 */
													obj_t BgL_arg2233z00_1926;

													{	/* Module/eval.scm 305 */
														obj_t BgL_arg2234z00_1927;

														{	/* Module/eval.scm 305 */
															obj_t BgL_arg2235z00_1928;

															{	/* Module/eval.scm 305 */
																obj_t BgL_arg2236z00_1929;

																BgL_arg2236z00_1929 =
																	MAKE_PAIR(BgL_lz00_1924, BNIL);
																BgL_arg2235z00_1928 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
																	BgL_arg2236z00_1929);
															}
															BgL_arg2234z00_1927 =
																MAKE_PAIR(BgL_arg2235z00_1928, BNIL);
														}
														BgL_arg2233z00_1926 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 24)),
															BgL_arg2234z00_1927);
													}
													BgL_arg2231z00_1925 =
														MAKE_PAIR(BgL_arg2233z00_1926, BNIL);
												}
												BgL_arg2229z00_1923 =
													MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
													BgL_arg2231z00_1925);
										}}
										{	/* Module/eval.scm 303 */
											obj_t BgL_res2396z00_3251;

											BgL_res2396z00_3251 =
												MAKE_PAIR(BgL_arg2229z00_1923, BNIL);
											BgL_newtail1992z00_1921 = BgL_res2396z00_3251;
									}}
									SET_CDR(BgL_tail1991z00_1918, BgL_newtail1992z00_1921);
									{
										obj_t BgL_tail1991z00_3884;
										obj_t BgL_l1988z00_3882;

										BgL_l1988z00_3882 = CDR(BgL_l1988z00_1917);
										BgL_tail1991z00_3884 = BgL_newtail1992z00_1921;
										BgL_tail1991z00_1918 = BgL_tail1991z00_3884;
										BgL_l1988z00_1917 = BgL_l1988z00_3882;
										goto BgL_zc3anonymousza32226ze3z83_1919;
									}
								}
						}
					}
			}
		}
	}



/* get-evaluated-class-macros */
	obj_t BGl_getzd2evaluatedzd2classzd2macroszd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 311 */
			{	/* Module/eval.scm 312 */
				obj_t BgL_l1993z00_1931;

				BgL_l1993z00_1931 = BGl_za2evalzd2classesza2zd2zzmodule_evalz00;
				if (NULLP(BgL_l1993z00_1931))
					{	/* Module/eval.scm 312 */
						return BNIL;
					}
				else
					{	/* Module/eval.scm 312 */
						obj_t BgL_head1995z00_1933;

						{	/* Module/eval.scm 312 */
							obj_t BgL_res2398z00_3259;

							BgL_res2398z00_3259 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1995z00_1933 = BgL_res2398z00_3259;
						}
						{
							obj_t BgL_l1993z00_1935;
							obj_t BgL_tail1996z00_1936;

							BgL_l1993z00_1935 = BgL_l1993z00_1931;
							BgL_tail1996z00_1936 = BgL_head1995z00_1933;
						BgL_zc3anonymousza32238ze3z83_1937:
							if (NULLP(BgL_l1993z00_1935))
								{	/* Module/eval.scm 312 */
									return CDR(BgL_head1995z00_1933);
								}
							else
								{	/* Module/eval.scm 312 */
									obj_t BgL_newtail1997z00_1939;

									{	/* Module/eval.scm 312 */
										obj_t BgL_arg2241z00_1941;

										{	/* Module/eval.scm 312 */
											obj_t BgL_sz00_1942;

											BgL_sz00_1942 = CAR(BgL_l1993z00_1935);
											{	/* Module/eval.scm 313 */
												BgL_typez00_bglt BgL_tz00_1943;

												{	/* Module/eval.scm 313 */
													obj_t BgL_arg2263z00_1968;
													obj_t BgL_arg2264z00_1969;

													{	/* Module/eval.scm 313 */
														obj_t BgL_pairz00_3264;

														BgL_pairz00_3264 = BgL_sz00_1942;
														BgL_arg2263z00_1968 = CAR(CDR(BgL_pairz00_3264));
													}
													BgL_arg2264z00_1969 =
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_sz00_1942);
													BgL_tz00_1943 =
														BGl_findzd2typezf2locationz20zztype_envz00
														(BgL_arg2263z00_1968, BgL_arg2264z00_1969);
												}
												{	/* Module/eval.scm 315 */
													BgL_globalz00_bglt BgL_holderz00_1946;

													{
														BgL_tclassz00_bglt BgL_auxz00_3896;

														{
															obj_t BgL_auxz00_3897;

															{	/* Module/eval.scm 316 */
																BgL_objectz00_bglt BgL_auxz00_3898;

																BgL_auxz00_3898 =
																	((BgL_objectz00_bglt)
																	((BgL_typez00_bglt) BgL_tz00_1943));
																BgL_auxz00_3897 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_3898);
															}
															BgL_auxz00_3896 =
																((BgL_tclassz00_bglt) BgL_auxz00_3897);
														}
														BgL_holderz00_1946 =
															(((BgL_tclassz00_bglt) CREF(BgL_auxz00_3896))->
															BgL_holderz00);
													}
													{	/* Module/eval.scm 316 */
														obj_t BgL_holderez00_1947;

														{	/* Module/eval.scm 317 */
															obj_t BgL_arg2257z00_1963;

															{	/* Module/eval.scm 317 */
																obj_t BgL_arg2258z00_1964;
																obj_t BgL_arg2259z00_1965;

																BgL_arg2258z00_1964 =
																	(((BgL_variablez00_bglt) CREF(
																			((BgL_variablez00_bglt)
																				BgL_holderz00_1946)))->BgL_idz00);
																BgL_arg2259z00_1965 =
																	MAKE_PAIR((((BgL_globalz00_bglt)
																			CREF(BgL_holderz00_1946))->BgL_modulez00),
																	BNIL);
																BgL_arg2257z00_1963 =
																	MAKE_PAIR(BgL_arg2258z00_1964,
																	BgL_arg2259z00_1965);
															}
															BgL_holderez00_1947 =
																MAKE_PAIR(CNST_TABLE_REF(((long) 5)),
																BgL_arg2257z00_1963);
														}
														{	/* Module/eval.scm 317 */

															{	/* Module/eval.scm 319 */
																obj_t BgL_arg2242z00_1948;

																{	/* Module/eval.scm 319 */
																	obj_t BgL_arg2243z00_1949;
																	obj_t BgL_arg2244z00_1950;

																	{	/* Module/eval.scm 319 */
																		bool_t BgL_testz00_3911;

																		{
																			BgL_tclassz00_bglt BgL_auxz00_3912;

																			{
																				obj_t BgL_auxz00_3913;

																				{	/* Module/eval.scm 319 */
																					BgL_objectz00_bglt BgL_auxz00_3914;

																					BgL_auxz00_3914 =
																						((BgL_objectz00_bglt)
																						((BgL_typez00_bglt) BgL_tz00_1943));
																					BgL_auxz00_3913 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_3914);
																				}
																				BgL_auxz00_3912 =
																					((BgL_tclassz00_bglt)
																					BgL_auxz00_3913);
																			}
																			BgL_testz00_3911 =
																				(((BgL_tclassz00_bglt)
																					CREF(BgL_auxz00_3912))->
																				BgL_abstractzf3zf3);
																		}
																		if (BgL_testz00_3911)
																			{	/* Module/eval.scm 319 */
																				BgL_arg2243z00_1949 = BUNSPEC;
																			}
																		else
																			{	/* Module/eval.scm 322 */
																				obj_t BgL_arg2246z00_1952;

																				{	/* Module/eval.scm 322 */
																					obj_t BgL_arg2247z00_1953;
																					obj_t BgL_arg2248z00_1954;

																					{	/* Module/eval.scm 322 */
																						obj_t BgL_arg2249z00_1955;

																						BgL_arg2249z00_1955 =
																							MAKE_PAIR(BgL_holderez00_1947,
																							BNIL);
																						BgL_arg2247z00_1953 =
																							MAKE_PAIR(CNST_TABLE_REF(((long)
																									25)), BgL_arg2249z00_1955);
																					}
																					{	/* Module/eval.scm 323 */
																						obj_t BgL_arg2250z00_1956;

																						{	/* Module/eval.scm 323 */
																							obj_t BgL_arg2251z00_1957;

																							BgL_arg2251z00_1957 =
																								MAKE_PAIR(BgL_holderez00_1947,
																								BNIL);
																							BgL_arg2250z00_1956 =
																								MAKE_PAIR(CNST_TABLE_REF(((long)
																										26)), BgL_arg2251z00_1957);
																						}
																						BgL_arg2248z00_1954 =
																							MAKE_PAIR(BgL_arg2250z00_1956,
																							BNIL);
																					}
																					BgL_arg2246z00_1952 =
																						MAKE_PAIR(BgL_arg2247z00_1953,
																						BgL_arg2248z00_1954);
																				}
																				BgL_arg2243z00_1949 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																					BgL_arg2246z00_1952);
																	}}
																	{	/* Module/eval.scm 324 */
																		obj_t BgL_arg2252z00_1958;
																		obj_t BgL_arg2253z00_1959;

																		{	/* Module/eval.scm 324 */
																			obj_t BgL_arg2254z00_1960;

																			BgL_arg2254z00_1960 =
																				MAKE_PAIR(BgL_holderez00_1947, BNIL);
																			BgL_arg2252z00_1958 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 27)),
																				BgL_arg2254z00_1960);
																		}
																		{	/* Module/eval.scm 325 */
																			obj_t BgL_arg2255z00_1961;

																			{	/* Module/eval.scm 325 */
																				obj_t BgL_arg2256z00_1962;

																				BgL_arg2256z00_1962 =
																					MAKE_PAIR(BNIL, BNIL);
																				BgL_arg2255z00_1961 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
																					BgL_arg2256z00_1962);
																			}
																			BgL_arg2253z00_1959 =
																				MAKE_PAIR(BgL_arg2255z00_1961, BNIL);
																		}
																		BgL_arg2244z00_1950 =
																			MAKE_PAIR(BgL_arg2252z00_1958,
																			BgL_arg2253z00_1959);
																	}
																	BgL_arg2242z00_1948 =
																		MAKE_PAIR(BgL_arg2243z00_1949,
																		BgL_arg2244z00_1950);
																}
																BgL_arg2241z00_1941 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
																	BgL_arg2242z00_1948);
										}}}}}}
										{	/* Module/eval.scm 312 */
											obj_t BgL_res2406z00_3291;

											BgL_res2406z00_3291 =
												MAKE_PAIR(BgL_arg2241z00_1941, BNIL);
											BgL_newtail1997z00_1939 = BgL_res2406z00_3291;
									}}
									SET_CDR(BgL_tail1996z00_1936, BgL_newtail1997z00_1939);
									{
										obj_t BgL_tail1996z00_3945;
										obj_t BgL_l1993z00_3943;

										BgL_l1993z00_3943 = CDR(BgL_l1993z00_1935);
										BgL_tail1996z00_3945 = BgL_newtail1997z00_1939;
										BgL_tail1996z00_1936 = BgL_tail1996z00_3945;
										BgL_l1993z00_1935 = BgL_l1993z00_3943;
										goto BgL_zc3anonymousza32238ze3z83_1937;
									}
								}
						}
					}
			}
		}
	}



/* get-evaluated-class-holders */
	obj_t BGl_getzd2evaluatedzd2classzd2holderszd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 331 */
			{	/* Module/eval.scm 332 */
				obj_t BgL_l1998z00_1971;

				BgL_l1998z00_1971 = BGl_za2evalzd2classesza2zd2zzmodule_evalz00;
				if (NULLP(BgL_l1998z00_1971))
					{	/* Module/eval.scm 332 */
						return BNIL;
					}
				else
					{	/* Module/eval.scm 332 */
						obj_t BgL_head2000z00_1973;

						{	/* Module/eval.scm 332 */
							obj_t BgL_res2408z00_3299;

							BgL_res2408z00_3299 = MAKE_PAIR(BNIL, BNIL);
							BgL_head2000z00_1973 = BgL_res2408z00_3299;
						}
						{
							obj_t BgL_l1998z00_1975;
							obj_t BgL_tail2001z00_1976;

							BgL_l1998z00_1975 = BgL_l1998z00_1971;
							BgL_tail2001z00_1976 = BgL_head2000z00_1973;
						BgL_zc3anonymousza32266ze3z83_1977:
							if (NULLP(BgL_l1998z00_1975))
								{	/* Module/eval.scm 332 */
									return CDR(BgL_head2000z00_1973);
								}
							else
								{	/* Module/eval.scm 332 */
									obj_t BgL_newtail2002z00_1979;

									{	/* Module/eval.scm 332 */
										BgL_globalz00_bglt BgL_arg2269z00_1981;

										{	/* Module/eval.scm 332 */
											obj_t BgL_sz00_1982;

											BgL_sz00_1982 = CAR(BgL_l1998z00_1975);
											{	/* Module/eval.scm 333 */
												BgL_typez00_bglt BgL_tz00_1983;

												{	/* Module/eval.scm 333 */
													obj_t BgL_arg2270z00_1984;
													obj_t BgL_arg2271z00_1985;

													{	/* Module/eval.scm 333 */
														obj_t BgL_pairz00_3304;

														BgL_pairz00_3304 = BgL_sz00_1982;
														BgL_arg2270z00_1984 = CAR(CDR(BgL_pairz00_3304));
													}
													BgL_arg2271z00_1985 =
														BGl_findzd2locationzd2zztools_locationz00
														(BgL_sz00_1982);
													BgL_tz00_1983 =
														BGl_findzd2typezf2locationz20zztype_envz00
														(BgL_arg2270z00_1984, BgL_arg2271z00_1985);
												}
												{
													BgL_tclassz00_bglt BgL_auxz00_3957;

													{
														obj_t BgL_auxz00_3958;

														{	/* Module/eval.scm 334 */
															BgL_objectz00_bglt BgL_auxz00_3959;

															BgL_auxz00_3959 =
																((BgL_objectz00_bglt)
																((BgL_typez00_bglt) BgL_tz00_1983));
															BgL_auxz00_3958 =
																BGL_OBJECT_WIDENING(BgL_auxz00_3959);
														}
														BgL_auxz00_3957 =
															((BgL_tclassz00_bglt) BgL_auxz00_3958);
													}
													BgL_arg2269z00_1981 =
														(((BgL_tclassz00_bglt) CREF(BgL_auxz00_3957))->
														BgL_holderz00);
												}
											}
										}
										{	/* Module/eval.scm 332 */
											obj_t BgL_res2411z00_3313;

											{	/* Module/eval.scm 332 */
												obj_t BgL_obj1z00_3311;

												BgL_obj1z00_3311 = ((obj_t) BgL_arg2269z00_1981);
												BgL_res2411z00_3313 = MAKE_PAIR(BgL_obj1z00_3311, BNIL);
											}
											BgL_newtail2002z00_1979 = BgL_res2411z00_3313;
										}
									}
									SET_CDR(BgL_tail2001z00_1976, BgL_newtail2002z00_1979);
									{
										obj_t BgL_tail2001z00_3970;
										obj_t BgL_l1998z00_3968;

										BgL_l1998z00_3968 = CDR(BgL_l1998z00_1975);
										BgL_tail2001z00_3970 = BgL_newtail2002z00_1979;
										BgL_tail2001z00_1976 = BgL_tail2001z00_3970;
										BgL_l1998z00_1975 = BgL_l1998z00_3968;
										goto BgL_zc3anonymousza32266ze3z83_1977;
									}
								}
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzmodule_evalz00()
	{
		AN_OBJECT;
		{	/* Module/eval.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2424z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2424z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2424z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2424z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 184800657),
				BSTRING_TO_STRING(BGl_string2424z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string2424z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2424z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2424z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2424z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2424z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2424z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2424z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string2424z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2424z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long) 374700232),
				BSTRING_TO_STRING(BGl_string2424z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2424z00zzmodule_evalz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2424z00zzmodule_evalz00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2424z00zzmodule_evalz00));
		}
	}

#ifdef __cplusplus
}
#endif
