/*===========================================================================*/
/*   (Sync/failsafe.scm)                                                     */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Sync/failsafe.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_failsafezd2funzf3z21zzsync_failsafez00(BgL_funz00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzsync_failsafez00();
	static obj_t BGl_z62failsafezd2funzf31985z43zzsync_failsafez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2cast1997z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf3zd2letzd2fun2006z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2setq1999z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzsync_failsafez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2boxzd2setz122014z83zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	static obj_t BGl_z62failsafezd2funzf3zd2sfun1989z91zzsync_failsafez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2sequence1979z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2makezd2box2010z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2extern1993z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_za2optimzd2synczd2failsafezf3za2zf3zzengine_paramz00;
	static obj_t BGl_z62failsafezf3zd2letzd2var2008z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3z91zzsync_failsafez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62failsafezd2funzf3z43zzsync_failsafez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2var1975z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_failsafezf3zf3zzsync_failsafez00(BgL_nodez00_bglt, obj_t);
	static obj_t BGl_z62failsafezf3zd2atom1973z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2kwote1977z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2pragma1995z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezd2funzf3zd2cfun1991z91zzsync_failsafez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzsync_failsafez00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzsync_failsafez00();
	static obj_t BGl_genericzd2initzd2zzsync_failsafez00();
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2sync1982z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62failsafezf31969z91zzsync_failsafez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsync_failsafez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62failsafezf3zd2select2004z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzsync_failsafez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsync_failsafez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzsync_failsafez00();
	static obj_t BGl_z62failsafezf3zd2conditiona2001z43zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62failsafezf3zd2boxzd2ref2012z91zzsync_failsafez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62failsafezd2synczf3z43zzsync_failsafez00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62failsafezf3zd2app1984z43zzsync_failsafez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[1];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2215za7,
		BGl_z62failsafezf3zd2extern1993z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2216za7,
		BGl_z62failsafezf3zd2pragma1995z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2217za7,
		BGl_z62failsafezf3zd2cast1997z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2218za7,
		BGl_z62failsafezf3zd2setq1999z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2219za7,
		BGl_z62failsafezf3zd2conditiona2001z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2220za7,
		BGl_z62failsafezf3zd2select2004z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2221za7,
		BGl_z62failsafezf3zd2letzd2fun2006z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2222za7,
		BGl_z62failsafezf3zd2letzd2var2008z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2223za7,
		BGl_z62failsafezf3zd2makezd2box2010z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2224za7,
		BGl_z62failsafezf3zd2boxzd2ref2012z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2225za7,
		BGl_z62failsafezf3zd2boxzd2setz122014z83zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2187z00zzsync_failsafez00,
		BgL_bgl_string2187za700za7za7s2226za7, "failsafe?1969", 13);
	      DEFINE_STRING(BGl_string2189z00zzsync_failsafez00,
		BgL_bgl_string2189za700za7za7s2227za7, "failsafe-fun?1985", 17);
	      DEFINE_STRING(BGl_string2191z00zzsync_failsafez00,
		BgL_bgl_string2191za700za7za7s2228za7, "failsafe?", 9);
	      DEFINE_STRING(BGl_string2198z00zzsync_failsafez00,
		BgL_bgl_string2198za700za7za7s2229za7, "failsafe-fun?", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_failsafezd2synczf3zd2envzf3zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2sy2230z00,
		BGl_z62failsafezd2synczf3z43zzsync_failsafez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_failsafezf3zd2envz21zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za792231za7,
		BGl_z62failsafezf3z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2211z00zzsync_failsafez00,
		BgL_bgl_string2211za700za7za7s2232za7, "sync_failsafe", 13);
	      DEFINE_STRING(BGl_string2212z00zzsync_failsafez00,
		BgL_bgl_string2212za700za7za7s2233za7, "fail-safe ", 10);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu2234z00,
		BGl_z62failsafezd2funzf3z43zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3192235z00,
		BGl_z62failsafezf31969z91zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu2236z00,
		BGl_z62failsafezd2funzf31985z43zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2237za7,
		BGl_z62failsafezf3zd2atom1973z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2238za7,
		BGl_z62failsafezf3zd2var1975z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2239za7,
		BGl_z62failsafezf3zd2kwote1977z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2240za7,
		BGl_z62failsafezf3zd2sequence1979z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2241za7,
		BGl_z62failsafezf3zd2sync1982z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7f3za7d2242za7,
		BGl_z62failsafezf3zd2app1984z43zzsync_failsafez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu2243z00,
		BGl_z62failsafezd2funzf3zd2sfun1989z91zzsync_failsafez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zzsync_failsafez00,
		BgL_bgl_za762failsafeza7d2fu2244z00,
		BGl_z62failsafezd2funzf3zd2cfun1991z91zzsync_failsafez00, 0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsync_failsafez00(long
		BgL_checksumz00_2879, char *BgL_fromz00_2880)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsync_failsafez00))
				{
					BGl_requirezd2initializa7ationz75zzsync_failsafez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzsync_failsafez00();
					BGl_cnstzd2initzd2zzsync_failsafez00();
					BGl_importedzd2moduleszd2initz00zzsync_failsafez00();
					BGl_genericzd2initzd2zzsync_failsafez00();
					BGl_methodzd2initzd2zzsync_failsafez00();
					BGl_toplevelzd2initzd2zzsync_failsafez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"sync_failsafe");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"sync_failsafe");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			{	/* Sync/failsafe.scm 16 */
				obj_t BgL_cportz00_2856;

				BgL_cportz00_2856 =
					bgl_open_input_string(BGl_string2212z00zzsync_failsafez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2857;

					BgL_iz00_2857 = ((long) 0);
				BgL_loopz00_2858:
					if ((BgL_iz00_2857 == ((long) -1)))
						{	/* Sync/failsafe.scm 16 */
							return BUNSPEC;
						}
					else
						{	/* Sync/failsafe.scm 16 */
							{	/* Sync/failsafe.scm 16 */
								obj_t BgL_arg2214z00_2860;

								{	/* Sync/failsafe.scm 16 */

									{	/* Sync/failsafe.scm 16 */
										obj_t BgL_locationz00_2862;

										BgL_locationz00_2862 = BBOOL(((bool_t) 0));
										{	/* Sync/failsafe.scm 16 */

											BgL_arg2214z00_2860 =
												BGl_readz00zz__readerz00(BgL_cportz00_2856,
												BgL_locationz00_2862);
										}
									}
								}
								{	/* Sync/failsafe.scm 16 */
									int BgL_auxz00_2903;

									BgL_auxz00_2903 = (int) (BgL_iz00_2857);
									CNST_TABLE_SET(BgL_auxz00_2903, BgL_arg2214z00_2860);
							}}
							{	/* Sync/failsafe.scm 16 */
								int BgL_auxz00_2863;

								BgL_auxz00_2863 = (int) ((BgL_iz00_2857 - ((long) 1)));
								{
									long BgL_iz00_2908;

									BgL_iz00_2908 = (long) (BgL_auxz00_2863);
									BgL_iz00_2857 = BgL_iz00_2908;
									goto BgL_loopz00_2858;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			return BUNSPEC;
		}
	}



/* failsafe-sync? */
	BGL_EXPORTED_DEF obj_t
		BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt BgL_nz00_17)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 45 */
			if (CBOOL(BGl_za2optimzd2synczd2failsafezf3za2zf3zzengine_paramz00))
				{	/* Sync/failsafe.scm 48 */
					obj_t BgL_g1943z00_1525;

					BgL_g1943z00_1525 =
						(((BgL_syncz00_bglt) CREF(BgL_nz00_17))->BgL_nodesz00);
					{
						obj_t BgL_l1941z00_1527;

						{	/* Sync/failsafe.scm 48 */
							bool_t BgL_auxz00_2913;

							BgL_l1941z00_1527 = BgL_g1943z00_1525;
						BgL_zc3anonymousza32025ze3z83_1528:
							if (NULLP(BgL_l1941z00_1527))
								{	/* Sync/failsafe.scm 48 */
									BgL_auxz00_2913 = ((bool_t) 1);
								}
							else
								{	/* Sync/failsafe.scm 48 */
									obj_t BgL_nvz00_1530;

									{	/* Sync/failsafe.scm 48 */
										obj_t BgL_nz00_1533;

										BgL_nz00_1533 = CAR(BgL_l1941z00_1527);
										BgL_nvz00_1530 =
											BGl_failsafezf3zf3zzsync_failsafez00(
											((BgL_nodez00_bglt) BgL_nz00_1533), BNIL);
									}
									if (CBOOL(BgL_nvz00_1530))
										{
											obj_t BgL_l1941z00_2921;

											BgL_l1941z00_2921 = CDR(BgL_l1941z00_1527);
											BgL_l1941z00_1527 = BgL_l1941z00_2921;
											goto BgL_zc3anonymousza32025ze3z83_1528;
										}
									else
										{	/* Sync/failsafe.scm 48 */
											BgL_auxz00_2913 = ((bool_t) 0);
										}
								}
							return BBOOL(BgL_auxz00_2913);
						}
					}
				}
			else
				{	/* Sync/failsafe.scm 46 */
					return BFALSE;
				}
		}
	}



/* &failsafe-sync? */
	obj_t BGl_z62failsafezd2synczf3z43zzsync_failsafez00(obj_t BgL_envz00_2759,
		obj_t BgL_nz00_2760)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 45 */
			return
				BGl_failsafezd2synczf3z21zzsync_failsafez00(
				((BgL_syncz00_bglt) BgL_nz00_2760));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_proc2186z00zzsync_failsafez00, BGl_nodez00zzast_nodez00,
				BGl_string2187z00zzsync_failsafez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_proc2188z00zzsync_failsafez00, BGl_funz00zzast_varz00,
				BGl_string2189z00zzsync_failsafez00);
		}
	}



/* &failsafe-fun?1985 */
	obj_t BGl_z62failsafezd2funzf31985z43zzsync_failsafez00(obj_t BgL_envz00_2763,
		obj_t BgL_funz00_2764, obj_t BgL_varz00_2765, obj_t BgL_stkz00_2766)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 102 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &failsafe?1969 */
	obj_t BGl_z62failsafezf31969z91zzsync_failsafez00(obj_t BgL_envz00_2767,
		obj_t BgL_nz00_2768, obj_t BgL_stkz00_2769)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 53 */
			return BBOOL(((bool_t) 0));
		}
	}



/* failsafe? */
	obj_t BGl_failsafezf3zf3zzsync_failsafez00(BgL_nodez00_bglt BgL_nz00_18,
		obj_t BgL_stkz00_19)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 53 */
			{	/* Sync/failsafe.scm 53 */
				obj_t BgL_method1970z00_1546;

				{	/* Sync/failsafe.scm 53 */
					obj_t BgL_res2162z00_2664;

					{	/* Sync/failsafe.scm 53 */
						BgL_objectz00_bglt BgL_objz00_2636;

						BgL_objz00_2636 = ((BgL_objectz00_bglt) BgL_nz00_18);
						{	/* Sync/failsafe.scm 53 */
							long BgL_objzd2classzd2numz00_2637;

							{	/* Sync/failsafe.scm 53 */
								long BgL_res2156z00_2640;

								BgL_res2156z00_2640 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2636);
								BgL_objzd2classzd2numz00_2637 = BgL_res2156z00_2640;
							}
							{	/* Sync/failsafe.scm 53 */
								obj_t BgL_arg1803z00_2638;

								BgL_arg1803z00_2638 =
									PROCEDURE_REF(BGl_failsafezf3zd2envz21zzsync_failsafez00,
									(int) (((long) 1)));
								{	/* Sync/failsafe.scm 53 */
									obj_t BgL_arrayz00_2641;
									int BgL_offsetz00_2642;

									BgL_arrayz00_2641 = BgL_arg1803z00_2638;
									BgL_offsetz00_2642 = (int) (BgL_objzd2classzd2numz00_2637);
									{	/* Sync/failsafe.scm 53 */
										long BgL_offsetz00_2643;

										BgL_offsetz00_2643 =
											((long) (BgL_offsetz00_2642) - OBJECT_TYPE);
										{	/* Sync/failsafe.scm 53 */
											long BgL_modz00_2644;

											{	/* Sync/failsafe.scm 53 */
												int BgL_arg1805z00_2645;

												BgL_arg1805z00_2645 = (int) (((long) 16));
												{	/* Sync/failsafe.scm 53 */
													long BgL_res2159z00_2655;

													{	/* Sync/failsafe.scm 53 */
														long BgL_auxz00_2938;

														BgL_auxz00_2938 = (long) (BgL_arg1805z00_2645);
														BgL_res2159z00_2655 =
															(BgL_offsetz00_2643 / BgL_auxz00_2938);
													}
													BgL_modz00_2644 = BgL_res2159z00_2655;
											}}
											{	/* Sync/failsafe.scm 53 */
												long BgL_restz00_2646;

												{	/* Sync/failsafe.scm 53 */
													int BgL_arg1804z00_2647;

													BgL_arg1804z00_2647 = (int) (((long) 16));
													{	/* Sync/failsafe.scm 53 */
														long BgL_res2161z00_2659;

														{	/* Sync/failsafe.scm 53 */
															long BgL_auxz00_2942;

															BgL_auxz00_2942 = (long) (BgL_arg1804z00_2647);
															BgL_res2161z00_2659 =
																(BgL_offsetz00_2643 % BgL_auxz00_2942);
														}
														BgL_restz00_2646 = BgL_res2161z00_2659;
												}}
												{	/* Sync/failsafe.scm 53 */

													BgL_res2162z00_2664 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2641,
															(int) (BgL_modz00_2644)),
														(int) (BgL_restz00_2646));
					}}}}}}}}
					BgL_method1970z00_1546 = BgL_res2162z00_2664;
				}
				return
					PROCEDURE_ENTRY(BgL_method1970z00_1546) (BgL_method1970z00_1546,
					((obj_t) BgL_nz00_18), BgL_stkz00_19, BEOA);
			}
		}
	}



/* &failsafe? */
	obj_t BGl_z62failsafezf3z91zzsync_failsafez00(obj_t BgL_envz00_2770,
		obj_t BgL_nz00_2771, obj_t BgL_stkz00_2772)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 53 */
			return
				BGl_failsafezf3zf3zzsync_failsafez00(
				((BgL_nodez00_bglt) BgL_nz00_2771), BgL_stkz00_2772);
		}
	}



/* failsafe-fun? */
	obj_t BGl_failsafezd2funzf3z21zzsync_failsafez00(BgL_funz00_bglt
		BgL_funz00_32, BgL_variablez00_bglt BgL_varz00_33, obj_t BgL_stkz00_34)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 102 */
			{	/* Sync/failsafe.scm 102 */
				obj_t BgL_method1986z00_1547;

				{	/* Sync/failsafe.scm 102 */
					obj_t BgL_res2169z00_2693;

					{	/* Sync/failsafe.scm 102 */
						BgL_objectz00_bglt BgL_objz00_2665;

						BgL_objz00_2665 = ((BgL_objectz00_bglt) BgL_funz00_32);
						{	/* Sync/failsafe.scm 102 */
							long BgL_objzd2classzd2numz00_2666;

							{	/* Sync/failsafe.scm 102 */
								long BgL_res2163z00_2669;

								BgL_res2163z00_2669 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2665);
								BgL_objzd2classzd2numz00_2666 = BgL_res2163z00_2669;
							}
							{	/* Sync/failsafe.scm 102 */
								obj_t BgL_arg1803z00_2667;

								BgL_arg1803z00_2667 =
									PROCEDURE_REF
									(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
									(int) (((long) 1)));
								{	/* Sync/failsafe.scm 102 */
									obj_t BgL_arrayz00_2670;
									int BgL_offsetz00_2671;

									BgL_arrayz00_2670 = BgL_arg1803z00_2667;
									BgL_offsetz00_2671 = (int) (BgL_objzd2classzd2numz00_2666);
									{	/* Sync/failsafe.scm 102 */
										long BgL_offsetz00_2672;

										BgL_offsetz00_2672 =
											((long) (BgL_offsetz00_2671) - OBJECT_TYPE);
										{	/* Sync/failsafe.scm 102 */
											long BgL_modz00_2673;

											{	/* Sync/failsafe.scm 102 */
												int BgL_arg1805z00_2674;

												BgL_arg1805z00_2674 = (int) (((long) 16));
												{	/* Sync/failsafe.scm 102 */
													long BgL_res2166z00_2684;

													{	/* Sync/failsafe.scm 102 */
														long BgL_auxz00_2965;

														BgL_auxz00_2965 = (long) (BgL_arg1805z00_2674);
														BgL_res2166z00_2684 =
															(BgL_offsetz00_2672 / BgL_auxz00_2965);
													}
													BgL_modz00_2673 = BgL_res2166z00_2684;
											}}
											{	/* Sync/failsafe.scm 102 */
												long BgL_restz00_2675;

												{	/* Sync/failsafe.scm 102 */
													int BgL_arg1804z00_2676;

													BgL_arg1804z00_2676 = (int) (((long) 16));
													{	/* Sync/failsafe.scm 102 */
														long BgL_res2168z00_2688;

														{	/* Sync/failsafe.scm 102 */
															long BgL_auxz00_2969;

															BgL_auxz00_2969 = (long) (BgL_arg1804z00_2676);
															BgL_res2168z00_2688 =
																(BgL_offsetz00_2672 % BgL_auxz00_2969);
														}
														BgL_restz00_2675 = BgL_res2168z00_2688;
												}}
												{	/* Sync/failsafe.scm 102 */

													BgL_res2169z00_2693 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2670,
															(int) (BgL_modz00_2673)),
														(int) (BgL_restz00_2675));
					}}}}}}}}
					BgL_method1986z00_1547 = BgL_res2169z00_2693;
				}
				return
					PROCEDURE_ENTRY(BgL_method1986z00_1547) (BgL_method1986z00_1547,
					((obj_t) BgL_funz00_32),
					((obj_t) BgL_varz00_33), BgL_stkz00_34, BEOA);
			}
		}
	}



/* &failsafe-fun? */
	obj_t BGl_z62failsafezd2funzf3z43zzsync_failsafez00(obj_t BgL_envz00_2773,
		obj_t BgL_funz00_2774, obj_t BgL_varz00_2775, obj_t BgL_stkz00_2776)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 102 */
			return
				BGl_failsafezd2funzf3z21zzsync_failsafez00(
				((BgL_funz00_bglt) BgL_funz00_2774),
				((BgL_variablez00_bglt) BgL_varz00_2775), BgL_stkz00_2776);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_atomz00zzast_nodez00,
				BGl_proc2190z00zzsync_failsafez00, BGl_string2191z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_varz00zzast_nodez00,
				BGl_proc2192z00zzsync_failsafez00, BGl_string2191z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2193z00zzsync_failsafez00, BGl_string2191z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_sequencez00zzast_nodez00, BGl_proc2194z00zzsync_failsafez00,
				BGl_string2191z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_syncz00zzast_nodez00,
				BGl_proc2195z00zzsync_failsafez00, BGl_string2191z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_appz00zzast_nodez00,
				BGl_proc2196z00zzsync_failsafez00, BGl_string2191z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_sfunz00zzast_varz00, BGl_proc2197z00zzsync_failsafez00,
				BGl_string2198z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezd2funzf3zd2envzf3zzsync_failsafez00,
				BGl_cfunz00zzast_varz00, BGl_proc2199z00zzsync_failsafez00,
				BGl_string2198z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_externz00zzast_nodez00,
				BGl_proc2200z00zzsync_failsafez00, BGl_string2191z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_pragmaz00zzast_nodez00,
				BGl_proc2201z00zzsync_failsafez00, BGl_string2191z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_castz00zzast_nodez00,
				BGl_proc2202z00zzsync_failsafez00, BGl_string2191z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_setqz00zzast_nodez00,
				BGl_proc2203z00zzsync_failsafez00, BGl_string2191z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2204z00zzsync_failsafez00,
				BGl_string2191z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00, BGl_selectz00zzast_nodez00,
				BGl_proc2205z00zzsync_failsafez00, BGl_string2191z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2206z00zzsync_failsafez00,
				BGl_string2191z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2207z00zzsync_failsafez00,
				BGl_string2191z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2208z00zzsync_failsafez00,
				BGl_string2191z00zzsync_failsafez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2209z00zzsync_failsafez00,
				BGl_string2191z00zzsync_failsafez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_failsafezf3zd2envz21zzsync_failsafez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2210z00zzsync_failsafez00,
				BGl_string2191z00zzsync_failsafez00);
		}
	}



/* &failsafe?-box-set!2014 */
	obj_t BGl_z62failsafezf3zd2boxzd2setz122014z83zzsync_failsafez00(obj_t
		BgL_envz00_2796, obj_t BgL_nz00_2797, obj_t BgL_stkz00_2798)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 216 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nz00_1757;
				obj_t BgL_stkz00_1758;

				BgL_nz00_1757 = ((BgL_boxzd2setz12zc0_bglt) BgL_nz00_2797);
				BgL_stkz00_1758 = BgL_stkz00_2798;
				return
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nz00_1757))->BgL_valuez00),
					BgL_stkz00_1758);
			}
		}
	}



/* &failsafe?-box-ref2012 */
	obj_t BGl_z62failsafezf3zd2boxzd2ref2012z91zzsync_failsafez00(obj_t
		BgL_envz00_2799, obj_t BgL_nz00_2800, obj_t BgL_stkz00_2801)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 210 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &failsafe?-make-box2010 */
	obj_t BGl_z62failsafezf3zd2makezd2box2010z91zzsync_failsafez00(obj_t
		BgL_envz00_2802, obj_t BgL_nz00_2803, obj_t BgL_stkz00_2804)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 203 */
			{
				BgL_makezd2boxzd2_bglt BgL_nz00_1745;
				obj_t BgL_stkz00_1746;

				BgL_nz00_1745 = ((BgL_makezd2boxzd2_bglt) BgL_nz00_2803);
				BgL_stkz00_1746 = BgL_stkz00_2804;
				return
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nz00_1745))->BgL_valuez00),
					BgL_stkz00_1746);
			}
		}
	}



/* &failsafe?-let-var2008 */
	obj_t BGl_z62failsafezf3zd2letzd2var2008z91zzsync_failsafez00(obj_t
		BgL_envz00_2805, obj_t BgL_nz00_2806, obj_t BgL_stkz00_2807)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 195 */
			{
				BgL_letzd2varzd2_bglt BgL_nz00_1726;
				obj_t BgL_stkz00_1727;

				{	/* Sync/failsafe.scm 196 */
					bool_t BgL_auxz00_3013;

					BgL_nz00_1726 = ((BgL_letzd2varzd2_bglt) BgL_nz00_2806);
					BgL_stkz00_1727 = BgL_stkz00_2807;
					{	/* Sync/failsafe.scm 197 */
						bool_t BgL_testz00_3014;

						{	/* Sync/failsafe.scm 197 */
							BgL_nodez00_bglt BgL_arg2083z00_1743;

							BgL_arg2083z00_1743 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_1726))->BgL_bodyz00);
							BgL_testz00_3014 =
								CBOOL(BGl_failsafezf3zf3zzsync_failsafez00(BgL_arg2083z00_1743,
									BgL_stkz00_1727));
						}
						if (BgL_testz00_3014)
							{	/* Sync/failsafe.scm 198 */
								obj_t BgL_g1967z00_1732;

								BgL_g1967z00_1732 =
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nz00_1726))->
									BgL_bindingsz00);
								{
									obj_t BgL_l1965z00_1734;

									BgL_l1965z00_1734 = BgL_g1967z00_1732;
								BgL_zc3anonymousza32079ze3z83_1735:
									if (NULLP(BgL_l1965z00_1734))
										{	/* Sync/failsafe.scm 198 */
											BgL_auxz00_3013 = ((bool_t) 1);
										}
									else
										{	/* Sync/failsafe.scm 198 */
											obj_t BgL_nvz00_1737;

											{	/* Sync/failsafe.scm 198 */
												obj_t BgL_bz00_1740;

												BgL_bz00_1740 = CAR(BgL_l1965z00_1734);
												{	/* Sync/failsafe.scm 198 */
													obj_t BgL_arg2082z00_1741;

													BgL_arg2082z00_1741 = CDR(BgL_bz00_1740);
													BgL_nvz00_1737 =
														BGl_failsafezf3zf3zzsync_failsafez00(
														((BgL_nodez00_bglt) BgL_arg2082z00_1741),
														BgL_stkz00_1727);
												}
											}
											if (CBOOL(BgL_nvz00_1737))
												{
													obj_t BgL_l1965z00_3027;

													BgL_l1965z00_3027 = CDR(BgL_l1965z00_1734);
													BgL_l1965z00_1734 = BgL_l1965z00_3027;
													goto BgL_zc3anonymousza32079ze3z83_1735;
												}
											else
												{	/* Sync/failsafe.scm 198 */
													BgL_auxz00_3013 = ((bool_t) 0);
												}
										}
								}
							}
						else
							{	/* Sync/failsafe.scm 197 */
								BgL_auxz00_3013 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3013);
				}
			}
		}
	}



/* &failsafe?-let-fun2006 */
	obj_t BGl_z62failsafezf3zd2letzd2fun2006z91zzsync_failsafez00(obj_t
		BgL_envz00_2808, obj_t BgL_nz00_2809, obj_t BgL_stkz00_2810)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 187 */
			{
				BgL_letzd2funzd2_bglt BgL_nz00_1719;
				obj_t BgL_stkz00_1720;

				BgL_nz00_1719 = ((BgL_letzd2funzd2_bglt) BgL_nz00_2809);
				BgL_stkz00_1720 = BgL_stkz00_2810;
				return
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nz00_1719))->BgL_bodyz00),
					BgL_stkz00_1720);
			}
		}
	}



/* &failsafe?-select2004 */
	obj_t BGl_z62failsafezf3zd2select2004z43zzsync_failsafez00(obj_t
		BgL_envz00_2811, obj_t BgL_nz00_2812, obj_t BgL_stkz00_2813)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 179 */
			{
				BgL_selectz00_bglt BgL_nz00_1700;
				obj_t BgL_stkz00_1701;

				{	/* Sync/failsafe.scm 180 */
					bool_t BgL_auxz00_3034;

					BgL_nz00_1700 = ((BgL_selectz00_bglt) BgL_nz00_2812);
					BgL_stkz00_1701 = BgL_stkz00_2813;
					{	/* Sync/failsafe.scm 181 */
						bool_t BgL_testz00_3035;

						{	/* Sync/failsafe.scm 181 */
							BgL_nodez00_bglt BgL_arg2076z00_1717;

							BgL_arg2076z00_1717 =
								(((BgL_selectz00_bglt) CREF(BgL_nz00_1700))->BgL_testz00);
							BgL_testz00_3035 =
								CBOOL(BGl_failsafezf3zf3zzsync_failsafez00(BgL_arg2076z00_1717,
									BgL_stkz00_1701));
						}
						if (BgL_testz00_3035)
							{	/* Sync/failsafe.scm 182 */
								obj_t BgL_g1963z00_1706;

								BgL_g1963z00_1706 =
									(((BgL_selectz00_bglt) CREF(BgL_nz00_1700))->BgL_clausesz00);
								{
									obj_t BgL_l1961z00_1708;

									BgL_l1961z00_1708 = BgL_g1963z00_1706;
								BgL_zc3anonymousza32072ze3z83_1709:
									if (NULLP(BgL_l1961z00_1708))
										{	/* Sync/failsafe.scm 182 */
											BgL_auxz00_3034 = ((bool_t) 1);
										}
									else
										{	/* Sync/failsafe.scm 182 */
											obj_t BgL_nvz00_1711;

											{	/* Sync/failsafe.scm 182 */
												obj_t BgL_cz00_1714;

												BgL_cz00_1714 = CAR(BgL_l1961z00_1708);
												{	/* Sync/failsafe.scm 182 */
													obj_t BgL_arg2075z00_1715;

													BgL_arg2075z00_1715 = CDR(BgL_cz00_1714);
													BgL_nvz00_1711 =
														BGl_failsafezf3zf3zzsync_failsafez00(
														((BgL_nodez00_bglt) BgL_arg2075z00_1715),
														BgL_stkz00_1701);
												}
											}
											if (CBOOL(BgL_nvz00_1711))
												{
													obj_t BgL_l1961z00_3048;

													BgL_l1961z00_3048 = CDR(BgL_l1961z00_1708);
													BgL_l1961z00_1708 = BgL_l1961z00_3048;
													goto BgL_zc3anonymousza32072ze3z83_1709;
												}
											else
												{	/* Sync/failsafe.scm 182 */
													BgL_auxz00_3034 = ((bool_t) 0);
												}
										}
								}
							}
						else
							{	/* Sync/failsafe.scm 181 */
								BgL_auxz00_3034 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3034);
				}
			}
		}
	}



/* &failsafe?-conditiona2001 */
	obj_t BGl_z62failsafezf3zd2conditiona2001z43zzsync_failsafez00(obj_t
		BgL_envz00_2814, obj_t BgL_nz00_2815, obj_t BgL_stkz00_2816)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 172 */
			{
				BgL_conditionalz00_bglt BgL_nz00_1689;
				obj_t BgL_stkz00_1690;

				BgL_nz00_1689 = ((BgL_conditionalz00_bglt) BgL_nz00_2815);
				BgL_stkz00_1690 = BgL_stkz00_2816;
				{	/* Sync/failsafe.scm 174 */
					obj_t BgL__andtest_1120z00_1694;

					BgL__andtest_1120z00_1694 =
						BGl_failsafezf3zf3zzsync_failsafez00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nz00_1689))->BgL_testz00),
						BgL_stkz00_1690);
					if (CBOOL(BgL__andtest_1120z00_1694))
						{	/* Sync/failsafe.scm 174 */
							obj_t BgL__andtest_1121z00_1695;

							BgL__andtest_1121z00_1695 =
								BGl_failsafezf3zf3zzsync_failsafez00(
								(((BgL_conditionalz00_bglt) CREF(BgL_nz00_1689))->BgL_truez00),
								BgL_stkz00_1690);
							if (CBOOL(BgL__andtest_1121z00_1695))
								{	/* Sync/failsafe.scm 174 */
									return
										BGl_failsafezf3zf3zzsync_failsafez00(
										(((BgL_conditionalz00_bglt) CREF(BgL_nz00_1689))->
											BgL_falsez00), BgL_stkz00_1690);
								}
							else
								{	/* Sync/failsafe.scm 174 */
									return BFALSE;
								}
						}
					else
						{	/* Sync/failsafe.scm 174 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &failsafe?-setq1999 */
	obj_t BGl_z62failsafezf3zd2setq1999z43zzsync_failsafez00(obj_t
		BgL_envz00_2817, obj_t BgL_nz00_2818, obj_t BgL_stkz00_2819)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 165 */
			{
				BgL_setqz00_bglt BgL_nz00_1682;
				obj_t BgL_stkz00_1683;

				BgL_nz00_1682 = ((BgL_setqz00_bglt) BgL_nz00_2818);
				BgL_stkz00_1683 = BgL_stkz00_2819;
				return
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_setqz00_bglt) CREF(BgL_nz00_1682))->BgL_valuez00),
					BgL_stkz00_1683);
			}
		}
	}



/* &failsafe?-cast1997 */
	obj_t BGl_z62failsafezf3zd2cast1997z43zzsync_failsafez00(obj_t
		BgL_envz00_2820, obj_t BgL_nz00_2821, obj_t BgL_stkz00_2822)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 158 */
			{
				BgL_castz00_bglt BgL_nz00_1675;
				obj_t BgL_stkz00_1676;

				BgL_nz00_1675 = ((BgL_castz00_bglt) BgL_nz00_2821);
				BgL_stkz00_1676 = BgL_stkz00_2822;
				return
					BGl_failsafezf3zf3zzsync_failsafez00(
					(((BgL_castz00_bglt) CREF(BgL_nz00_1675))->BgL_argz00),
					BgL_stkz00_1676);
			}
		}
	}



/* &failsafe?-pragma1995 */
	obj_t BGl_z62failsafezf3zd2pragma1995z43zzsync_failsafez00(obj_t
		BgL_envz00_2823, obj_t BgL_nz00_2824, obj_t BgL_stkz00_2825)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 152 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &failsafe?-extern1993 */
	obj_t BGl_z62failsafezf3zd2extern1993z43zzsync_failsafez00(obj_t
		BgL_envz00_2826, obj_t BgL_nz00_2827, obj_t BgL_stkz00_2828)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 145 */
			{
				BgL_externz00_bglt BgL_nz00_1654;
				obj_t BgL_stkz00_1655;

				{	/* Sync/failsafe.scm 146 */
					bool_t BgL_auxz00_3070;

					BgL_nz00_1654 = ((BgL_externz00_bglt) BgL_nz00_2827);
					BgL_stkz00_1655 = BgL_stkz00_2828;
					{	/* Sync/failsafe.scm 147 */
						obj_t BgL_g1959z00_1659;

						BgL_g1959z00_1659 =
							(((BgL_externz00_bglt) CREF(BgL_nz00_1654))->BgL_exprza2za2);
						{
							obj_t BgL_l1957z00_1661;

							BgL_l1957z00_1661 = BgL_g1959z00_1659;
						BgL_zc3anonymousza32063ze3z83_1662:
							if (NULLP(BgL_l1957z00_1661))
								{	/* Sync/failsafe.scm 147 */
									BgL_auxz00_3070 = ((bool_t) 1);
								}
							else
								{	/* Sync/failsafe.scm 147 */
									obj_t BgL_nvz00_1664;

									{	/* Sync/failsafe.scm 147 */
										obj_t BgL_nz00_1667;

										BgL_nz00_1667 = CAR(BgL_l1957z00_1661);
										BgL_nvz00_1664 =
											BGl_failsafezf3zf3zzsync_failsafez00(
											((BgL_nodez00_bglt) BgL_nz00_1667), BgL_stkz00_1655);
									}
									if (CBOOL(BgL_nvz00_1664))
										{
											obj_t BgL_l1957z00_3079;

											BgL_l1957z00_3079 = CDR(BgL_l1957z00_1661);
											BgL_l1957z00_1661 = BgL_l1957z00_3079;
											goto BgL_zc3anonymousza32063ze3z83_1662;
										}
									else
										{	/* Sync/failsafe.scm 147 */
											BgL_auxz00_3070 = ((bool_t) 0);
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_3070);
				}
			}
		}
	}



/* &failsafe-fun?-cfun1991 */
	obj_t BGl_z62failsafezd2funzf3zd2cfun1991z91zzsync_failsafez00(obj_t
		BgL_envz00_2829, obj_t BgL_funz00_2830, obj_t BgL_varz00_2831,
		obj_t BgL_stkz00_2832)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 130 */
			{
				BgL_cfunz00_bglt BgL_funz00_1641;
				BgL_variablez00_bglt BgL_varz00_1642;
				obj_t BgL_stkz00_1643;

				BgL_funz00_1641 = ((BgL_cfunz00_bglt) BgL_funz00_2830);
				BgL_varz00_1642 = ((BgL_variablez00_bglt) BgL_varz00_2831);
				BgL_stkz00_1643 = BgL_stkz00_2832;
				{	/* Sync/failsafe.scm 133 */
					bool_t BgL_testz00_3083;

					{	/* Sync/failsafe.scm 133 */
						obj_t BgL_auxz00_3084;

						BgL_auxz00_3084 =
							(((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt) BgL_funz00_1641)))->BgL_failsafez00);
						BgL_testz00_3083 = BOOLEANP(BgL_auxz00_3084);
					}
					if (BgL_testz00_3083)
						{	/* Sync/failsafe.scm 133 */
							return
								(((BgL_funz00_bglt) CREF(
										((BgL_funz00_bglt) BgL_funz00_1641)))->BgL_failsafez00);
						}
					else
						{	/* Sync/failsafe.scm 135 */
							bool_t BgL_testz00_3090;

							{	/* Sync/failsafe.scm 135 */
								bool_t BgL_res2181z00_2728;

								{	/* Sync/failsafe.scm 135 */
									obj_t BgL_objz00_2727;

									BgL_objz00_2727 = ((obj_t) BgL_varz00_1642);
									BgL_res2181z00_2728 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2727,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_3090 = BgL_res2181z00_2728;
							}
							if (BgL_testz00_3090)
								{	/* Sync/failsafe.scm 136 */
									BgL_globalz00_bglt BgL_i1115z00_1649;

									BgL_i1115z00_1649 = ((BgL_globalz00_bglt) BgL_varz00_1642);
									{
										obj_t BgL_auxz00_3094;

										{	/* Sync/failsafe.scm 137 */
											bool_t BgL_auxz00_3096;

											{	/* Sync/failsafe.scm 137 */
												obj_t BgL_auxz00_3097;

												BgL_auxz00_3097 =
													BGl_memqz00zz__r4_pairs_and_lists_6_3z00
													(CNST_TABLE_REF(((long) 0)),
													(((BgL_globalz00_bglt) CREF(BgL_i1115z00_1649))->
														BgL_pragmaz00));
												BgL_auxz00_3096 = PAIRP(BgL_auxz00_3097);
											}
											BgL_auxz00_3094 = BBOOL(BgL_auxz00_3096);
										}
										((((BgL_funz00_bglt) CREF(
														((BgL_funz00_bglt) BgL_funz00_1641)))->
												BgL_failsafez00) = ((obj_t) BgL_auxz00_3094), BUNSPEC);
									}
									return
										(((BgL_funz00_bglt) CREF(
												((BgL_funz00_bglt) BgL_funz00_1641)))->BgL_failsafez00);
								}
							else
								{	/* Sync/failsafe.scm 135 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* &failsafe-fun?-sfun1989 */
	obj_t BGl_z62failsafezd2funzf3zd2sfun1989z91zzsync_failsafez00(obj_t
		BgL_envz00_2833, obj_t BgL_funz00_2834, obj_t BgL_varz00_2835,
		obj_t BgL_stkz00_2836)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 108 */
			{
				BgL_sfunz00_bglt BgL_funz00_1619;
				BgL_variablez00_bglt BgL_varz00_1620;
				obj_t BgL_stkz00_1621;

				BgL_funz00_1619 = ((BgL_sfunz00_bglt) BgL_funz00_2834);
				BgL_varz00_1620 = ((BgL_variablez00_bglt) BgL_varz00_2835);
				BgL_stkz00_1621 = BgL_stkz00_2836;
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t) BgL_varz00_1620), BgL_stkz00_1621)))
					{	/* Sync/failsafe.scm 111 */
						return BTRUE;
					}
				else
					{	/* Sync/failsafe.scm 113 */
						bool_t BgL_testz00_3112;

						{	/* Sync/failsafe.scm 113 */
							obj_t BgL_auxz00_3113;

							BgL_auxz00_3113 =
								(((BgL_funz00_bglt) CREF(
										((BgL_funz00_bglt) BgL_funz00_1619)))->BgL_failsafez00);
							BgL_testz00_3112 = BOOLEANP(BgL_auxz00_3113);
						}
						if (BgL_testz00_3112)
							{	/* Sync/failsafe.scm 113 */
								return
									(((BgL_funz00_bglt) CREF(
											((BgL_funz00_bglt) BgL_funz00_1619)))->BgL_failsafez00);
							}
						else
							{	/* Sync/failsafe.scm 115 */
								bool_t BgL_testz00_3119;

								{	/* Sync/failsafe.scm 115 */
									bool_t BgL_testz00_3120;

									{	/* Sync/failsafe.scm 115 */
										bool_t BgL_res2176z00_2715;

										{	/* Sync/failsafe.scm 115 */
											obj_t BgL_objz00_2714;

											BgL_objz00_2714 = ((obj_t) BgL_varz00_1620);
											BgL_res2176z00_2715 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_2714,
												BGl_globalz00zzast_varz00);
										}
										BgL_testz00_3120 = BgL_res2176z00_2715;
									}
									if (BgL_testz00_3120)
										{	/* Sync/failsafe.scm 115 */
											bool_t BgL_testz00_3123;

											{	/* Sync/failsafe.scm 115 */
												obj_t BgL_arg2056z00_1638;

												BgL_arg2056z00_1638 =
													(((BgL_globalz00_bglt) CREF(
															((BgL_globalz00_bglt) BgL_varz00_1620)))->
													BgL_modulez00);
												BgL_testz00_3123 =
													(BgL_arg2056z00_1638 ==
													BGl_za2moduleza2z00zzmodule_modulez00);
											}
											if (BgL_testz00_3123)
												{	/* Sync/failsafe.scm 115 */
													BgL_testz00_3119 = ((bool_t) 0);
												}
											else
												{	/* Sync/failsafe.scm 115 */
													BgL_testz00_3119 = ((bool_t) 1);
												}
										}
									else
										{	/* Sync/failsafe.scm 115 */
											BgL_testz00_3119 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_3119)
									{	/* Sync/failsafe.scm 117 */
										BgL_globalz00_bglt BgL_i1112z00_1628;

										BgL_i1112z00_1628 = ((BgL_globalz00_bglt) BgL_varz00_1620);
										{
											obj_t BgL_auxz00_3128;

											{	/* Sync/failsafe.scm 118 */
												bool_t BgL_auxz00_3130;

												{	/* Sync/failsafe.scm 118 */
													obj_t BgL_auxz00_3131;

													BgL_auxz00_3131 =
														BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(CNST_TABLE_REF(((long) 0)),
														(((BgL_globalz00_bglt) CREF(BgL_i1112z00_1628))->
															BgL_pragmaz00));
													BgL_auxz00_3130 = PAIRP(BgL_auxz00_3131);
												}
												BgL_auxz00_3128 = BBOOL(BgL_auxz00_3130);
											}
											((((BgL_funz00_bglt) CREF(
															((BgL_funz00_bglt) BgL_funz00_1619)))->
													BgL_failsafez00) =
												((obj_t) BgL_auxz00_3128), BUNSPEC);
										}
										return
											(((BgL_funz00_bglt) CREF(
													((BgL_funz00_bglt) BgL_funz00_1619)))->
											BgL_failsafez00);
									}
								else
									{	/* Sync/failsafe.scm 122 */
										obj_t BgL_fsafez00_1632;

										{	/* Sync/failsafe.scm 122 */
											obj_t BgL_arg2051z00_1634;
											obj_t BgL_arg2053z00_1635;

											BgL_arg2051z00_1634 =
												(((BgL_sfunz00_bglt) CREF(BgL_funz00_1619))->
												BgL_bodyz00);
											BgL_arg2053z00_1635 =
												MAKE_PAIR(((obj_t) BgL_varz00_1620), BgL_stkz00_1621);
											BgL_fsafez00_1632 =
												BGl_failsafezf3zf3zzsync_failsafez00(((BgL_nodez00_bglt)
													BgL_arg2051z00_1634), BgL_arg2053z00_1635);
										}
										if (NULLP(BgL_stkz00_1621))
											{	/* Sync/failsafe.scm 124 */
												((((BgL_funz00_bglt) CREF(
																((BgL_funz00_bglt) BgL_funz00_1619)))->
														BgL_failsafez00) =
													((obj_t) BgL_fsafez00_1632), BUNSPEC);
											}
										else
											{	/* Sync/failsafe.scm 124 */
												BFALSE;
											}
										return BgL_fsafez00_1632;
									}
							}
					}
			}
		}
	}



/* &failsafe?-app1984 */
	obj_t BGl_z62failsafezf3zd2app1984z43zzsync_failsafez00(obj_t BgL_envz00_2837,
		obj_t BgL_nz00_2838, obj_t BgL_stkz00_2839)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 93 */
			{
				BgL_appz00_bglt BgL_nz00_1599;
				obj_t BgL_stkz00_1600;

				{	/* Sync/failsafe.scm 94 */
					bool_t BgL_auxz00_3151;

					BgL_nz00_1599 = ((BgL_appz00_bglt) BgL_nz00_2838);
					BgL_stkz00_1600 = BgL_stkz00_2839;
					{	/* Sync/failsafe.scm 95 */
						BgL_variablez00_bglt BgL_vz00_1604;

						BgL_vz00_1604 =
							(((BgL_varz00_bglt) CREF(
									(((BgL_appz00_bglt) CREF(BgL_nz00_1599))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Sync/failsafe.scm 96 */
							bool_t BgL_testz00_3154;

							{	/* Sync/failsafe.scm 96 */
								BgL_valuez00_bglt BgL_arg2042z00_1616;

								BgL_arg2042z00_1616 =
									(((BgL_variablez00_bglt) CREF(BgL_vz00_1604))->BgL_valuez00);
								BgL_testz00_3154 =
									CBOOL(BGl_failsafezd2funzf3z21zzsync_failsafez00(
										((BgL_funz00_bglt) BgL_arg2042z00_1616), BgL_vz00_1604,
										BgL_stkz00_1600));
							}
							if (BgL_testz00_3154)
								{	/* Sync/failsafe.scm 97 */
									obj_t BgL_g1955z00_1606;

									BgL_g1955z00_1606 =
										(((BgL_appz00_bglt) CREF(BgL_nz00_1599))->BgL_argsz00);
									{
										obj_t BgL_l1953z00_1608;

										BgL_l1953z00_1608 = BgL_g1955z00_1606;
									BgL_zc3anonymousza32039ze3z83_1609:
										if (NULLP(BgL_l1953z00_1608))
											{	/* Sync/failsafe.scm 97 */
												BgL_auxz00_3151 = ((bool_t) 1);
											}
										else
											{	/* Sync/failsafe.scm 97 */
												obj_t BgL_nvz00_1611;

												{	/* Sync/failsafe.scm 97 */
													obj_t BgL_nz00_1614;

													BgL_nz00_1614 = CAR(BgL_l1953z00_1608);
													BgL_nvz00_1611 =
														BGl_failsafezf3zf3zzsync_failsafez00(
														((BgL_nodez00_bglt) BgL_nz00_1614),
														BgL_stkz00_1600);
												}
												if (CBOOL(BgL_nvz00_1611))
													{
														obj_t BgL_l1953z00_3167;

														BgL_l1953z00_3167 = CDR(BgL_l1953z00_1608);
														BgL_l1953z00_1608 = BgL_l1953z00_3167;
														goto BgL_zc3anonymousza32039ze3z83_1609;
													}
												else
													{	/* Sync/failsafe.scm 97 */
														BgL_auxz00_3151 = ((bool_t) 0);
													}
											}
									}
								}
							else
								{	/* Sync/failsafe.scm 96 */
									BgL_auxz00_3151 = ((bool_t) 0);
								}
						}
					}
					return BBOOL(BgL_auxz00_3151);
				}
			}
		}
	}



/* &failsafe?-sync1982 */
	obj_t BGl_z62failsafezf3zd2sync1982z43zzsync_failsafez00(obj_t
		BgL_envz00_2840, obj_t BgL_nz00_2841, obj_t BgL_stkz00_2842)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 84 */
			{
				BgL_syncz00_bglt BgL_nz00_1579;
				obj_t BgL_stkz00_1580;

				{	/* Sync/failsafe.scm 85 */
					bool_t BgL_auxz00_3171;

					BgL_nz00_1579 = ((BgL_syncz00_bglt) BgL_nz00_2841);
					BgL_stkz00_1580 = BgL_stkz00_2842;
					{	/* Sync/failsafe.scm 86 */
						obj_t BgL__andtest_1108z00_1584;

						BgL__andtest_1108z00_1584 =
							BGl_failsafezf3zf3zzsync_failsafez00(
							(((BgL_syncz00_bglt) CREF(BgL_nz00_1579))->BgL_mutexz00),
							BgL_stkz00_1580);
						if (CBOOL(BgL__andtest_1108z00_1584))
							{	/* Sync/failsafe.scm 87 */
								obj_t BgL__andtest_1109z00_1585;

								BgL__andtest_1109z00_1585 =
									BGl_failsafezf3zf3zzsync_failsafez00(
									(((BgL_syncz00_bglt) CREF(BgL_nz00_1579))->BgL_prelockz00),
									BgL_stkz00_1580);
								if (CBOOL(BgL__andtest_1109z00_1585))
									{	/* Sync/failsafe.scm 88 */
										obj_t BgL_g1951z00_1586;

										BgL_g1951z00_1586 =
											(((BgL_syncz00_bglt) CREF(BgL_nz00_1579))->BgL_nodesz00);
										{
											obj_t BgL_l1949z00_1588;

											BgL_l1949z00_1588 = BgL_g1951z00_1586;
										BgL_zc3anonymousza32033ze3z83_1589:
											if (NULLP(BgL_l1949z00_1588))
												{	/* Sync/failsafe.scm 88 */
													BgL_auxz00_3171 = ((bool_t) 1);
												}
											else
												{	/* Sync/failsafe.scm 88 */
													obj_t BgL_nvz00_1591;

													{	/* Sync/failsafe.scm 88 */
														obj_t BgL_nz00_1594;

														BgL_nz00_1594 = CAR(BgL_l1949z00_1588);
														BgL_nvz00_1591 =
															BGl_failsafezf3zf3zzsync_failsafez00(
															((BgL_nodez00_bglt) BgL_nz00_1594),
															BgL_stkz00_1580);
													}
													if (CBOOL(BgL_nvz00_1591))
														{
															obj_t BgL_l1949z00_3188;

															BgL_l1949z00_3188 = CDR(BgL_l1949z00_1588);
															BgL_l1949z00_1588 = BgL_l1949z00_3188;
															goto BgL_zc3anonymousza32033ze3z83_1589;
														}
													else
														{	/* Sync/failsafe.scm 88 */
															BgL_auxz00_3171 = ((bool_t) 0);
														}
												}
										}
									}
								else
									{	/* Sync/failsafe.scm 87 */
										BgL_auxz00_3171 = ((bool_t) 0);
									}
							}
						else
							{	/* Sync/failsafe.scm 86 */
								BgL_auxz00_3171 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_3171);
				}
			}
		}
	}



/* &failsafe?-sequence1979 */
	obj_t BGl_z62failsafezf3zd2sequence1979z43zzsync_failsafez00(obj_t
		BgL_envz00_2843, obj_t BgL_nz00_2844, obj_t BgL_stkz00_2845)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 77 */
			{
				BgL_sequencez00_bglt BgL_nz00_1563;
				obj_t BgL_stkz00_1564;

				{	/* Sync/failsafe.scm 78 */
					bool_t BgL_auxz00_3192;

					BgL_nz00_1563 = ((BgL_sequencez00_bglt) BgL_nz00_2844);
					BgL_stkz00_1564 = BgL_stkz00_2845;
					{	/* Sync/failsafe.scm 79 */
						obj_t BgL_g1947z00_1568;

						BgL_g1947z00_1568 =
							(((BgL_sequencez00_bglt) CREF(BgL_nz00_1563))->BgL_nodesz00);
						{
							obj_t BgL_l1945z00_1570;

							BgL_l1945z00_1570 = BgL_g1947z00_1568;
						BgL_zc3anonymousza32030ze3z83_1571:
							if (NULLP(BgL_l1945z00_1570))
								{	/* Sync/failsafe.scm 79 */
									BgL_auxz00_3192 = ((bool_t) 1);
								}
							else
								{	/* Sync/failsafe.scm 79 */
									obj_t BgL_nvz00_1573;

									{	/* Sync/failsafe.scm 79 */
										obj_t BgL_nz00_1576;

										BgL_nz00_1576 = CAR(BgL_l1945z00_1570);
										BgL_nvz00_1573 =
											BGl_failsafezf3zf3zzsync_failsafez00(
											((BgL_nodez00_bglt) BgL_nz00_1576), BgL_stkz00_1564);
									}
									if (CBOOL(BgL_nvz00_1573))
										{
											obj_t BgL_l1945z00_3201;

											BgL_l1945z00_3201 = CDR(BgL_l1945z00_1570);
											BgL_l1945z00_1570 = BgL_l1945z00_3201;
											goto BgL_zc3anonymousza32030ze3z83_1571;
										}
									else
										{	/* Sync/failsafe.scm 79 */
											BgL_auxz00_3192 = ((bool_t) 0);
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_3192);
				}
			}
		}
	}



/* &failsafe?-kwote1977 */
	obj_t BGl_z62failsafezf3zd2kwote1977z43zzsync_failsafez00(obj_t
		BgL_envz00_2846, obj_t BgL_nz00_2847, obj_t BgL_stkz00_2848)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 71 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &failsafe?-var1975 */
	obj_t BGl_z62failsafezf3zd2var1975z43zzsync_failsafez00(obj_t BgL_envz00_2849,
		obj_t BgL_nz00_2850, obj_t BgL_stkz00_2851)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 65 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &failsafe?-atom1973 */
	obj_t BGl_z62failsafezf3zd2atom1973z43zzsync_failsafez00(obj_t
		BgL_envz00_2852, obj_t BgL_nz00_2853, obj_t BgL_stkz00_2854)
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 59 */
			return BBOOL(((bool_t) 1));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsync_failsafez00()
	{
		AN_OBJECT;
		{	/* Sync/failsafe.scm 16 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2211z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2211z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2211z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string2211z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2211z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string2211z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2211z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string2211z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2211z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string2211z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2211z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2211z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2211z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2211z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string2211z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2211z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2211z00zzsync_failsafez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2211z00zzsync_failsafez00));
			return
				BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string2211z00zzsync_failsafez00));
		}
	}

#ifdef __cplusplus
}
#endif
