/*===========================================================================*/
/*   (Sync/node.scm)                                                         */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Sync/node.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	static obj_t BGl_mpopz00zzsync_nodez00 = BUNSPEC;
	extern obj_t BGl_za2synczd2profilingza2zd2zzengine_paramz00;
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzsync_nodez00();
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_getexitdtopz00zzsync_nodez00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zzsync_nodez00();
	static obj_t BGl_exitdzd2mutexzd2profilez00zzsync_nodez00 = BUNSPEC;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_mpushz00zzsync_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_synczd2ze3sequencez31zzsync_nodez00(BgL_syncz00_bglt);
	static obj_t BGl_mulockz00zzsync_nodez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_syncz00_bglt);
	static obj_t BGl_requirezd2initializa7ationz75zzsync_nodez00 = BUNSPEC;
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzsync_nodez00();
	static obj_t BGl_failsafezd2mutexzd2profilez00zzsync_nodez00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zzsync_nodez00();
	static obj_t BGl_initzd2syncz12zc0zzsync_nodez00(obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_mlockz00zzsync_nodez00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_z62synczd2ze3sequencez53zzsync_nodez00(obj_t,
		obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_mlockprelockz00zzsync_nodez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzsync_nodez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsync_failsafez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cplibz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzsync_nodez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzsync_nodez00();
	extern BgL_localz00_bglt BGl_makezd2localzd2svarz00zzast_localz00(obj_t,
		BgL_typez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzsync_nodez00();
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	extern obj_t
		BGl_setzd2variablezd2namez12z12zzbackend_cplibz00(BgL_variablez00_bglt);
	static obj_t __cnst[15];


	   
		 
		DEFINE_STRING(BGl_string2244z00zzsync_nodez00,
		BgL_bgl_string2244za700za7za7s2248za7, "sync_node", 9);
	      DEFINE_STRING(BGl_string2245z00zzsync_nodez00,
		BgL_bgl_string2245za700za7za7s2249za7,
		"top tmp value (@ exitd-pop-protect! __bexit) (@ exitd-push-protect! __bexit) $exitd-pop-protect! $exitd-push-protect! $failsafe-mutex-profile $exitd-mutex-profile c $mutex-unlock $mutex-lock-prelock $mutex-lock app $get-exitd-top ",
		230);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_synczd2ze3sequencezd2envze3zzsync_nodez00,
		BgL_bgl_za762syncza7d2za7e3seq2250za7,
		BGl_z62synczd2ze3sequencez53zzsync_nodez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsync_nodez00(long
		BgL_checksumz00_2806, char *BgL_fromz00_2807)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsync_nodez00))
				{
					BGl_requirezd2initializa7ationz75zzsync_nodez00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzsync_nodez00();
					BGl_cnstzd2initzd2zzsync_nodez00();
					BGl_importedzd2moduleszd2initz00zzsync_nodez00();
					BGl_toplevelzd2initzd2zzsync_nodez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsync_nodez00()
	{
		AN_OBJECT;
		{	/* Sync/node.scm 18 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "sync_node");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"sync_node");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "sync_node");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"sync_node");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"sync_node");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "sync_node");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsync_nodez00()
	{
		AN_OBJECT;
		{	/* Sync/node.scm 18 */
			{	/* Sync/node.scm 18 */
				obj_t BgL_cportz00_2798;

				BgL_cportz00_2798 =
					bgl_open_input_string(BGl_string2245z00zzsync_nodez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2799;

					BgL_iz00_2799 = ((long) 14);
				BgL_loopz00_2800:
					if ((BgL_iz00_2799 == ((long) -1)))
						{	/* Sync/node.scm 18 */
							return BUNSPEC;
						}
					else
						{	/* Sync/node.scm 18 */
							{	/* Sync/node.scm 18 */
								obj_t BgL_arg2247z00_2802;

								{	/* Sync/node.scm 18 */

									{	/* Sync/node.scm 18 */
										obj_t BgL_locationz00_2804;

										BgL_locationz00_2804 = BBOOL(((bool_t) 0));
										{	/* Sync/node.scm 18 */

											BgL_arg2247z00_2802 =
												BGl_readz00zz__readerz00(BgL_cportz00_2798,
												BgL_locationz00_2804);
										}
									}
								}
								{	/* Sync/node.scm 18 */
									int BgL_auxz00_2827;

									BgL_auxz00_2827 = (int) (BgL_iz00_2799);
									CNST_TABLE_SET(BgL_auxz00_2827, BgL_arg2247z00_2802);
							}}
							{	/* Sync/node.scm 18 */
								int BgL_auxz00_2805;

								BgL_auxz00_2805 = (int) ((BgL_iz00_2799 - ((long) 1)));
								{
									long BgL_iz00_2832;

									BgL_iz00_2832 = (long) (BgL_auxz00_2805);
									BgL_iz00_2799 = BgL_iz00_2832;
									goto BgL_loopz00_2800;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsync_nodez00()
	{
		AN_OBJECT;
		{	/* Sync/node.scm 18 */
			BGl_mlockz00zzsync_nodez00 = BFALSE;
			BGl_mlockprelockz00zzsync_nodez00 = BFALSE;
			BGl_mulockz00zzsync_nodez00 = BFALSE;
			BGl_mpushz00zzsync_nodez00 = BFALSE;
			BGl_mpopz00zzsync_nodez00 = BFALSE;
			BGl_getexitdtopz00zzsync_nodez00 = BFALSE;
			BGl_exitdzd2mutexzd2profilez00zzsync_nodez00 = BFALSE;
			return (BGl_failsafezd2mutexzd2profilez00zzsync_nodez00 =
				BFALSE, BUNSPEC);
		}
	}



/* init-sync! */
	obj_t BGl_initzd2syncz12zc0zzsync_nodez00(obj_t BgL_locz00_17)
	{
		AN_OBJECT;
		{	/* Sync/node.scm 61 */
			if (CBOOL(BGl_mlockz00zzsync_nodez00))
				{	/* Sync/node.scm 62 */
					return BFALSE;
				}
			else
				{	/* Sync/node.scm 62 */
					BGl_getexitdtopz00zzsync_nodez00 =
						((obj_t)
						BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 0)), BNIL,
							BgL_locz00_17, CNST_TABLE_REF(((long) 1))));
					BGl_mlockz00zzsync_nodez00 =
						((obj_t) BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
									2)), BNIL, BgL_locz00_17, CNST_TABLE_REF(((long) 1))));
					BGl_mlockprelockz00zzsync_nodez00 =
						((obj_t) BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
									3)), BNIL, BgL_locz00_17, CNST_TABLE_REF(((long) 1))));
					BGl_mulockz00zzsync_nodez00 =
						((obj_t) BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
									4)), BNIL, BgL_locz00_17, CNST_TABLE_REF(((long) 1))));
					{	/* Sync/node.scm 67 */
						obj_t BgL_casezd2valuezd2_1559;

						{	/* Sync/node.scm 67 */
							obj_t BgL_arg2010z00_1563;

							BgL_arg2010z00_1563 = BGl_thezd2backendzd2zzbackend_backendz00();
							BgL_casezd2valuezd2_1559 =
								(((BgL_backendz00_bglt) CREF(
										((BgL_backendz00_bglt) BgL_arg2010z00_1563)))->
								BgL_languagez00);
						}
						if ((BgL_casezd2valuezd2_1559 == CNST_TABLE_REF(((long) 5))))
							{	/* Sync/node.scm 67 */
								if (CBOOL(BGl_za2synczd2profilingza2zd2zzengine_paramz00))
									{	/* Sync/node.scm 69 */
										BGl_exitdzd2mutexzd2profilez00zzsync_nodez00 =
											((obj_t)
											BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
														6)), BNIL, BgL_locz00_17,
												CNST_TABLE_REF(((long) 1))));
										BGl_failsafezd2mutexzd2profilez00zzsync_nodez00 =
											((obj_t)
											BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
														7)), BNIL, BgL_locz00_17,
												CNST_TABLE_REF(((long) 1))));
										{	/* Sync/node.scm 74 */
											BgL_variablez00_bglt BgL_arg2008z00_1561;

											{	/* Sync/node.scm 74 */
												BgL_varz00_bglt BgL_oz00_2663;

												BgL_oz00_2663 =
													((BgL_varz00_bglt)
													BGl_exitdzd2mutexzd2profilez00zzsync_nodez00);
												BgL_arg2008z00_1561 =
													(((BgL_varz00_bglt) CREF(BgL_oz00_2663))->
													BgL_variablez00);
											}
											BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
												(BgL_arg2008z00_1561);
										}
										{	/* Sync/node.scm 75 */
											BgL_variablez00_bglt BgL_arg2009z00_1562;

											{	/* Sync/node.scm 75 */
												BgL_varz00_bglt BgL_oz00_2666;

												BgL_oz00_2666 =
													((BgL_varz00_bglt)
													BGl_failsafezd2mutexzd2profilez00zzsync_nodez00);
												BgL_arg2009z00_1562 =
													(((BgL_varz00_bglt) CREF(BgL_oz00_2666))->
													BgL_variablez00);
											}
											BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
												(BgL_arg2009z00_1562);
									}}
								else
									{	/* Sync/node.scm 69 */
										BFALSE;
									}
								BGl_mpushz00zzsync_nodez00 =
									((obj_t)
									BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 8)),
										BNIL, BgL_locz00_17, CNST_TABLE_REF(((long) 1))));
								BGl_mpopz00zzsync_nodez00 =
									((obj_t)
									BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 9)),
										BNIL, BgL_locz00_17, CNST_TABLE_REF(((long) 1))));
							}
						else
							{	/* Sync/node.scm 67 */
								BGl_mpushz00zzsync_nodez00 =
									((obj_t)
									BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
												10)), BNIL, BgL_locz00_17, CNST_TABLE_REF(((long) 1))));
								BGl_mpopz00zzsync_nodez00 =
									((obj_t)
									BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
												11)), BNIL, BgL_locz00_17, CNST_TABLE_REF(((long) 1))));
					}}
					{	/* Sync/node.scm 81 */
						BgL_variablez00_bglt BgL_arg2011z00_1564;

						{	/* Sync/node.scm 81 */
							BgL_varz00_bglt BgL_oz00_2669;

							BgL_oz00_2669 =
								((BgL_varz00_bglt) BGl_getexitdtopz00zzsync_nodez00);
							BgL_arg2011z00_1564 =
								(((BgL_varz00_bglt) CREF(BgL_oz00_2669))->BgL_variablez00);
						}
						BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
							(BgL_arg2011z00_1564);
					}
					{	/* Sync/node.scm 82 */
						BgL_variablez00_bglt BgL_arg2012z00_1565;

						{	/* Sync/node.scm 82 */
							BgL_varz00_bglt BgL_oz00_2672;

							BgL_oz00_2672 = ((BgL_varz00_bglt) BGl_mlockz00zzsync_nodez00);
							BgL_arg2012z00_1565 =
								(((BgL_varz00_bglt) CREF(BgL_oz00_2672))->BgL_variablez00);
						}
						BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
							(BgL_arg2012z00_1565);
					}
					{	/* Sync/node.scm 83 */
						BgL_variablez00_bglt BgL_arg2013z00_1566;

						{	/* Sync/node.scm 83 */
							BgL_varz00_bglt BgL_oz00_2675;

							BgL_oz00_2675 =
								((BgL_varz00_bglt) BGl_mlockprelockz00zzsync_nodez00);
							BgL_arg2013z00_1566 =
								(((BgL_varz00_bglt) CREF(BgL_oz00_2675))->BgL_variablez00);
						}
						BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
							(BgL_arg2013z00_1566);
					}
					{	/* Sync/node.scm 84 */
						BgL_variablez00_bglt BgL_arg2014z00_1567;

						{	/* Sync/node.scm 84 */
							BgL_varz00_bglt BgL_oz00_2678;

							BgL_oz00_2678 = ((BgL_varz00_bglt) BGl_mulockz00zzsync_nodez00);
							BgL_arg2014z00_1567 =
								(((BgL_varz00_bglt) CREF(BgL_oz00_2678))->BgL_variablez00);
						}
						BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
							(BgL_arg2014z00_1567);
					}
					{	/* Sync/node.scm 85 */
						BgL_variablez00_bglt BgL_arg2016z00_1568;

						{	/* Sync/node.scm 85 */
							BgL_varz00_bglt BgL_oz00_2681;

							BgL_oz00_2681 = ((BgL_varz00_bglt) BGl_mpushz00zzsync_nodez00);
							BgL_arg2016z00_1568 =
								(((BgL_varz00_bglt) CREF(BgL_oz00_2681))->BgL_variablez00);
						}
						BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
							(BgL_arg2016z00_1568);
					}
					{	/* Sync/node.scm 86 */
						BgL_variablez00_bglt BgL_arg2017z00_1569;

						{	/* Sync/node.scm 86 */
							BgL_varz00_bglt BgL_oz00_2684;

							BgL_oz00_2684 = ((BgL_varz00_bglt) BGl_mpopz00zzsync_nodez00);
							BgL_arg2017z00_1569 =
								(((BgL_varz00_bglt) CREF(BgL_oz00_2684))->BgL_variablez00);
						}
						return
							BGl_setzd2variablezd2namez12z12zzbackend_cplibz00
							(BgL_arg2017z00_1569);
					}
				}
		}
	}



/* sync->sequence */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_synczd2ze3sequencez31zzsync_nodez00(BgL_syncz00_bglt BgL_nodez00_18)
	{
		AN_OBJECT;
		{	/* Sync/node.scm 111 */
			{
				BgL_syncz00_bglt BgL_nodez00_1653;
				BgL_syncz00_bglt BgL_nodez00_1599;
				BgL_letzd2varzd2_bglt BgL_nodez00_1590;
				obj_t BgL_locz00_1591;
				BgL_letzd2varzd2_bglt BgL_nodez00_1581;
				obj_t BgL_locz00_1582;

				{	/* Sync/node.scm 203 */
					obj_t BgL_arg2019z00_1576;

					BgL_arg2019z00_1576 =
						(((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_18)))->BgL_locz00);
					BGl_initzd2syncz12zc0zzsync_nodez00(BgL_arg2019z00_1576);
				}
				if (CBOOL(BGl_failsafezd2synczf3z21zzsync_failsafez00(BgL_nodez00_18)))
					{
						BgL_sequencez00_bglt BgL_auxz00_2914;

						BgL_nodez00_1599 = BgL_nodez00_18;
						{	/* Sync/node.scm 130 */
							BgL_localz00_bglt BgL_tmpz00_1602;

							{	/* Sync/node.scm 130 */
								obj_t BgL_arg2075z00_1651;
								BgL_typez00_bglt BgL_arg2076z00_1652;

								BgL_arg2075z00_1651 =
									BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											13)));
								BgL_arg2076z00_1652 =
									(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1599)))->BgL_typez00);
								BgL_tmpz00_1602 =
									BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg2075z00_1651,
									BgL_arg2076z00_1652);
							}
							{	/* Sync/node.scm 130 */
								BgL_nodez00_bglt BgL_lockz00_1603;

								{	/* Sync/node.scm 131 */
									bool_t BgL_testz00_2920;

									{	/* Sync/node.scm 131 */
										BgL_nodez00_bglt BgL_arg2074z00_1650;

										BgL_arg2074z00_1650 =
											(((BgL_syncz00_bglt) CREF(BgL_nodez00_1599))->
											BgL_prelockz00);
										{	/* Sync/node.scm 131 */
											bool_t BgL_res2221z00_2700;

											{	/* Sync/node.scm 131 */
												obj_t BgL_objz00_2699;

												BgL_objz00_2699 = ((obj_t) BgL_arg2074z00_1650);
												BgL_res2221z00_2700 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_2699,
													BGl_atomz00zzast_nodez00);
											}
											BgL_testz00_2920 = BgL_res2221z00_2700;
									}}
									if (BgL_testz00_2920)
										{	/* Sync/node.scm 132 */
											obj_t BgL_arg2064z00_1640;
											obj_t BgL_arg2065z00_1641;

											{	/* Sync/node.scm 132 */
												obj_t BgL_arg2066z00_1642;

												{	/* Sync/node.scm 132 */
													BgL_nodez00_bglt BgL_arg2067z00_1643;

													BgL_arg2067z00_1643 =
														(((BgL_syncz00_bglt) CREF(BgL_nodez00_1599))->
														BgL_mutexz00);
													BgL_arg2066z00_1642 =
														MAKE_PAIR(((obj_t) BgL_arg2067z00_1643), BNIL);
												}
												BgL_arg2064z00_1640 =
													MAKE_PAIR(BGl_mlockz00zzsync_nodez00,
													BgL_arg2066z00_1642);
											}
											BgL_arg2065z00_1641 =
												(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1599)))->
												BgL_locz00);
											BgL_lockz00_1603 =
												BGl_applicationzd2ze3nodez31zzast_appz00
												(BgL_arg2064z00_1640, BNIL, BgL_arg2065z00_1641,
												CNST_TABLE_REF(((long) 12)));
										}
									else
										{	/* Sync/node.scm 133 */
											obj_t BgL_arg2068z00_1644;
											obj_t BgL_arg2069z00_1645;

											{	/* Sync/node.scm 133 */
												obj_t BgL_arg2070z00_1646;

												{	/* Sync/node.scm 133 */
													BgL_nodez00_bglt BgL_arg2071z00_1647;
													obj_t BgL_arg2072z00_1648;

													BgL_arg2071z00_1647 =
														(((BgL_syncz00_bglt) CREF(BgL_nodez00_1599))->
														BgL_mutexz00);
													{	/* Sync/node.scm 133 */
														BgL_nodez00_bglt BgL_arg2073z00_1649;

														BgL_arg2073z00_1649 =
															(((BgL_syncz00_bglt) CREF(BgL_nodez00_1599))->
															BgL_prelockz00);
														BgL_arg2072z00_1648 =
															MAKE_PAIR(((obj_t) BgL_arg2073z00_1649), BNIL);
													}
													BgL_arg2070z00_1646 =
														MAKE_PAIR(
														((obj_t) BgL_arg2071z00_1647), BgL_arg2072z00_1648);
												}
												BgL_arg2068z00_1644 =
													MAKE_PAIR(BGl_mlockprelockz00zzsync_nodez00,
													BgL_arg2070z00_1646);
											}
											BgL_arg2069z00_1645 =
												(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1599)))->
												BgL_locz00);
											BgL_lockz00_1603 =
												BGl_applicationzd2ze3nodez31zzast_appz00
												(BgL_arg2068z00_1644, BNIL, BgL_arg2069z00_1645,
												CNST_TABLE_REF(((long) 12)));
								}}
								{	/* Sync/node.scm 131 */
									BgL_nodez00_bglt BgL_unlockz00_1604;

									{	/* Sync/node.scm 134 */
										obj_t BgL_arg2059z00_1635;
										obj_t BgL_arg2060z00_1636;

										{	/* Sync/node.scm 134 */
											obj_t BgL_arg2061z00_1637;

											{	/* Sync/node.scm 134 */
												BgL_nodez00_bglt BgL_arg2062z00_1638;

												BgL_arg2062z00_1638 =
													(((BgL_syncz00_bglt) CREF(BgL_nodez00_1599))->
													BgL_mutexz00);
												BgL_arg2061z00_1637 =
													MAKE_PAIR(((obj_t) BgL_arg2062z00_1638), BNIL);
											}
											BgL_arg2059z00_1635 =
												MAKE_PAIR(BGl_mulockz00zzsync_nodez00,
												BgL_arg2061z00_1637);
										}
										BgL_arg2060z00_1636 =
											(((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_1599)))->BgL_locz00);
										BgL_unlockz00_1604 =
											BGl_applicationzd2ze3nodez31zzast_appz00
											(BgL_arg2059z00_1635, BNIL, BgL_arg2060z00_1636,
											CNST_TABLE_REF(((long) 12)));
									}
									{	/* Sync/node.scm 134 */
										BgL_varz00_bglt BgL_vrefz00_1605;

										{	/* Sync/node.scm 135 */
											BgL_varz00_bglt BgL_new1107z00_1632;

											{	/* Sync/node.scm 135 */
												BgL_varz00_bglt BgL_new1106z00_1633;

												BgL_new1106z00_1633 =
													((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_varz00_bgl))));
												{	/* Sync/node.scm 135 */
													long BgL_arg2058z00_1634;

													{	/* Sync/node.scm 135 */
														long BgL_res2222z00_2708;

														BgL_res2222z00_2708 =
															BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
														BgL_arg2058z00_1634 = BgL_res2222z00_2708;
													}
													{	/* Sync/node.scm 135 */
														BgL_objectz00_bglt BgL_objz00_2709;

														BgL_objz00_2709 =
															((BgL_objectz00_bglt) BgL_new1106z00_1633);
														BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2709,
															BgL_arg2058z00_1634);
												}}
												{	/* Sync/node.scm 135 */
													BgL_objectz00_bglt BgL_auxz00_2955;

													BgL_auxz00_2955 =
														((BgL_objectz00_bglt) BgL_new1106z00_1633);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_2955, BFALSE);
												}
												BgL_new1107z00_1632 = BgL_new1106z00_1633;
											}
											((((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_new1107z00_1632)))->
													BgL_locz00) =
												((obj_t) (((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																	BgL_nodez00_1599)))->BgL_locz00)), BUNSPEC);
											((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																BgL_new1107z00_1632)))->BgL_typez00) =
												((BgL_typez00_bglt) (((BgL_nodez00_bglt)
															CREF(((BgL_nodez00_bglt) BgL_nodez00_1599)))->
														BgL_typez00)), BUNSPEC);
											((((BgL_varz00_bglt) CREF(BgL_new1107z00_1632))->
													BgL_variablez00) =
												((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
														BgL_tmpz00_1602)), BUNSPEC);
											BgL_vrefz00_1605 = BgL_new1107z00_1632;
										}
										{	/* Sync/node.scm 135 */
											obj_t BgL_sbodyz00_1606;

											{	/* Sync/node.scm 139 */
												bool_t BgL_testz00_2968;

												if (NULLP(
														(((BgL_syncz00_bglt) CREF(BgL_nodez00_1599))->
															BgL_nodesz00)))
													{	/* Sync/node.scm 139 */
														BgL_testz00_2968 = ((bool_t) 0);
													}
												else
													{	/* Sync/node.scm 139 */
														BgL_testz00_2968 =
															NULLP(CDR(
																(((BgL_syncz00_bglt) CREF(BgL_nodez00_1599))->
																	BgL_nodesz00)));
													}
												if (BgL_testz00_2968)
													{	/* Sync/node.scm 139 */
														BgL_sbodyz00_1606 =
															CAR(
															(((BgL_syncz00_bglt) CREF(BgL_nodez00_1599))->
																BgL_nodesz00));
													}
												else
													{	/* Sync/node.scm 141 */
														BgL_sequencez00_bglt BgL_new1110z00_1625;

														{	/* Sync/node.scm 141 */
															BgL_sequencez00_bglt BgL_new1108z00_1626;

															BgL_new1108z00_1626 =
																((BgL_sequencez00_bglt)
																BREF(GC_MALLOC(sizeof(struct
																			BgL_sequencez00_bgl))));
															{	/* Sync/node.scm 141 */
																long BgL_arg2053z00_1627;

																{	/* Sync/node.scm 141 */
																	long BgL_res2225z00_2718;

																	BgL_res2225z00_2718 =
																		BGL_CLASS_INDEX
																		(BGl_sequencez00zzast_nodez00);
																	BgL_arg2053z00_1627 = BgL_res2225z00_2718;
																}
																{	/* Sync/node.scm 141 */
																	BgL_objectz00_bglt BgL_objz00_2719;

																	BgL_objz00_2719 =
																		((BgL_objectz00_bglt) BgL_new1108z00_1626);
																	BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2719,
																		BgL_arg2053z00_1627);
															}}
															{	/* Sync/node.scm 141 */
																BgL_objectz00_bglt BgL_auxz00_2981;

																BgL_auxz00_2981 =
																	((BgL_objectz00_bglt) BgL_new1108z00_1626);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_2981,
																	BFALSE);
															}
															BgL_new1110z00_1625 = BgL_new1108z00_1626;
														}
														((((BgL_nodez00_bglt) CREF(
																		((BgL_nodez00_bglt) BgL_new1110z00_1625)))->
																BgL_locz00) =
															((obj_t) (((BgL_nodez00_bglt)
																		CREF(((BgL_nodez00_bglt)
																				BgL_nodez00_1599)))->BgL_locz00)),
															BUNSPEC);
														((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																			BgL_new1110z00_1625)))->BgL_typez00) =
															((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																		CREF(((BgL_nodez00_bglt)
																				BgL_nodez00_1599)))->BgL_typez00)),
															BUNSPEC);
														((((BgL_nodezf2effectzf2_bglt)
																	CREF(((BgL_nodezf2effectzf2_bglt)
																			BgL_new1110z00_1625)))->
																BgL_sidezd2effectzd2) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_nodezf2effectzf2_bglt)
																	CREF(((BgL_nodezf2effectzf2_bglt)
																			BgL_new1110z00_1625)))->BgL_keyz00) =
															((obj_t) BINT(((long) -1))), BUNSPEC);
														((((BgL_sequencez00_bglt)
																	CREF(BgL_new1110z00_1625))->BgL_nodesz00) =
															((obj_t) (((BgL_syncz00_bglt)
																		CREF(BgL_nodez00_1599))->BgL_nodesz00)),
															BUNSPEC);
														((((BgL_sequencez00_bglt)
																	CREF(BgL_new1110z00_1625))->BgL_unsafez00) =
															((bool_t) ((bool_t) 0)), BUNSPEC);
														BgL_sbodyz00_1606 = ((obj_t) BgL_new1110z00_1625);
											}}
											{	/* Sync/node.scm 139 */
												BgL_letzd2varzd2_bglt BgL_lbodyz00_1607;

												{	/* Sync/node.scm 145 */
													BgL_letzd2varzd2_bglt BgL_new1112z00_1613;

													{	/* Sync/node.scm 145 */
														BgL_letzd2varzd2_bglt BgL_new1111z00_1621;

														BgL_new1111z00_1621 =
															((BgL_letzd2varzd2_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_letzd2varzd2_bgl))));
														{	/* Sync/node.scm 145 */
															long BgL_arg2049z00_1622;

															{	/* Sync/node.scm 145 */
																long BgL_res2226z00_2722;

																BgL_res2226z00_2722 =
																	BGL_CLASS_INDEX
																	(BGl_letzd2varzd2zzast_nodez00);
																BgL_arg2049z00_1622 = BgL_res2226z00_2722;
															}
															{	/* Sync/node.scm 145 */
																BgL_objectz00_bglt BgL_objz00_2723;

																BgL_objz00_2723 =
																	((BgL_objectz00_bglt) BgL_new1111z00_1621);
																BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2723,
																	BgL_arg2049z00_1622);
														}}
														{	/* Sync/node.scm 145 */
															BgL_objectz00_bglt BgL_auxz00_3005;

															BgL_auxz00_3005 =
																((BgL_objectz00_bglt) BgL_new1111z00_1621);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_3005, BFALSE);
														}
														BgL_new1112z00_1613 = BgL_new1111z00_1621;
													}
													((((BgL_nodez00_bglt) CREF(
																	((BgL_nodez00_bglt) BgL_new1112z00_1613)))->
															BgL_locz00) =
														((obj_t) (((BgL_nodez00_bglt)
																	CREF(((BgL_nodez00_bglt) BgL_nodez00_1599)))->
																BgL_locz00)), BUNSPEC);
													((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																		BgL_new1112z00_1613)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																	CREF(((BgL_nodez00_bglt) BgL_nodez00_1599)))->
																BgL_typez00)), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																CREF(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1112z00_1613)))->
															BgL_sidezd2effectzd2) =
														((obj_t) BUNSPEC), BUNSPEC);
													((((BgL_nodezf2effectzf2_bglt)
																CREF(((BgL_nodezf2effectzf2_bglt)
																		BgL_new1112z00_1613)))->BgL_keyz00) =
														((obj_t) BINT(((long) -1))), BUNSPEC);
													{
														obj_t BgL_auxz00_3021;

														{	/* Sync/node.scm 148 */
															obj_t BgL_arg2041z00_1614;

															BgL_arg2041z00_1614 =
																MAKE_PAIR(
																((obj_t) BgL_tmpz00_1602), BgL_sbodyz00_1606);
															{	/* Sync/node.scm 148 */
																obj_t BgL_list2044z00_1615;

																BgL_list2044z00_1615 =
																	MAKE_PAIR(BgL_arg2041z00_1614, BNIL);
																BgL_auxz00_3021 = BgL_list2044z00_1615;
														}}
														((((BgL_letzd2varzd2_bglt)
																	CREF(BgL_new1112z00_1613))->BgL_bindingsz00) =
															((obj_t) BgL_auxz00_3021), BUNSPEC);
													}
													{
														BgL_nodez00_bglt BgL_auxz00_3026;

														{	/* Sync/node.scm 149 */
															BgL_sequencez00_bglt BgL_new1114z00_1616;

															{	/* Sync/node.scm 149 */
																BgL_sequencez00_bglt BgL_new1113z00_1619;

																BgL_new1113z00_1619 =
																	((BgL_sequencez00_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_sequencez00_bgl))));
																{	/* Sync/node.scm 149 */
																	long BgL_arg2047z00_1620;

																	{	/* Sync/node.scm 149 */
																		long BgL_res2228z00_2728;

																		{	/* Sync/node.scm 149 */
																			obj_t BgL_classz00_2727;

																			BgL_classz00_2727 =
																				BGl_sequencez00zzast_nodez00;
																			BgL_res2228z00_2728 =
																				BGL_CLASS_INDEX(BgL_classz00_2727);
																		}
																		BgL_arg2047z00_1620 = BgL_res2228z00_2728;
																	}
																	{	/* Sync/node.scm 149 */
																		BgL_objectz00_bglt BgL_objz00_2729;

																		BgL_objz00_2729 =
																			((BgL_objectz00_bglt)
																			BgL_new1113z00_1619);
																		BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2729,
																			BgL_arg2047z00_1620);
																}}
																{	/* Sync/node.scm 149 */
																	BgL_objectz00_bglt BgL_auxz00_3031;

																	BgL_auxz00_3031 =
																		((BgL_objectz00_bglt) BgL_new1113z00_1619);
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_3031,
																		BFALSE);
																}
																BgL_new1114z00_1616 = BgL_new1113z00_1619;
															}
															((((BgL_nodez00_bglt) CREF(
																			((BgL_nodez00_bglt)
																				BgL_new1114z00_1616)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			CREF(((BgL_nodez00_bglt)
																					BgL_nodez00_1599)))->BgL_locz00)),
																BUNSPEC);
															((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																				BgL_new1114z00_1616)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																			CREF(((BgL_nodez00_bglt)
																					BgL_nodez00_1599)))->BgL_typez00)),
																BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		CREF(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1114z00_1616)))->
																	BgL_sidezd2effectzd2) =
																((obj_t) BUNSPEC), BUNSPEC);
															((((BgL_nodezf2effectzf2_bglt)
																		CREF(((BgL_nodezf2effectzf2_bglt)
																				BgL_new1114z00_1616)))->BgL_keyz00) =
																((obj_t) BINT(((long) -1))), BUNSPEC);
															{
																obj_t BgL_auxz00_3047;

																{	/* Sync/node.scm 152 */
																	obj_t BgL_list2045z00_1617;

																	{	/* Sync/node.scm 152 */
																		obj_t BgL_arg2046z00_1618;

																		BgL_arg2046z00_1618 =
																			MAKE_PAIR(
																			((obj_t) BgL_vrefz00_1605), BNIL);
																		BgL_list2045z00_1617 =
																			MAKE_PAIR(
																			((obj_t) BgL_unlockz00_1604),
																			BgL_arg2046z00_1618);
																	}
																	BgL_auxz00_3047 = BgL_list2045z00_1617;
																}
																((((BgL_sequencez00_bglt)
																			CREF(BgL_new1114z00_1616))->
																		BgL_nodesz00) =
																	((obj_t) BgL_auxz00_3047), BUNSPEC);
															}
															((((BgL_sequencez00_bglt)
																		CREF(BgL_new1114z00_1616))->BgL_unsafez00) =
																((bool_t) ((bool_t) 0)), BUNSPEC);
															BgL_auxz00_3026 =
																((BgL_nodez00_bglt) BgL_new1114z00_1616);
														}
														((((BgL_letzd2varzd2_bglt)
																	CREF(BgL_new1112z00_1613))->BgL_bodyz00) =
															((BgL_nodez00_bglt) BgL_auxz00_3026), BUNSPEC);
													}
													((((BgL_letzd2varzd2_bglt)
																CREF(BgL_new1112z00_1613))->
															BgL_removablezf3zf3) =
														((bool_t) ((bool_t) 1)), BUNSPEC);
													BgL_lbodyz00_1607 = BgL_new1112z00_1613;
												}
												{	/* Sync/node.scm 145 */

													{	/* Sync/node.scm 153 */
														BgL_sequencez00_bglt BgL_new1116z00_1608;

														{	/* Sync/node.scm 153 */
															BgL_sequencez00_bglt BgL_new1115z00_1611;

															BgL_new1115z00_1611 =
																((BgL_sequencez00_bglt)
																BREF(GC_MALLOC(sizeof(struct
																			BgL_sequencez00_bgl))));
															{	/* Sync/node.scm 153 */
																long BgL_arg2040z00_1612;

																{	/* Sync/node.scm 153 */
																	long BgL_res2230z00_2734;

																	BgL_res2230z00_2734 =
																		BGL_CLASS_INDEX
																		(BGl_sequencez00zzast_nodez00);
																	BgL_arg2040z00_1612 = BgL_res2230z00_2734;
																}
																{	/* Sync/node.scm 153 */
																	BgL_objectz00_bglt BgL_objz00_2735;

																	BgL_objz00_2735 =
																		((BgL_objectz00_bglt) BgL_new1115z00_1611);
																	BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2735,
																		BgL_arg2040z00_1612);
															}}
															{	/* Sync/node.scm 153 */
																BgL_objectz00_bglt BgL_auxz00_3061;

																BgL_auxz00_3061 =
																	((BgL_objectz00_bglt) BgL_new1115z00_1611);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_3061,
																	BFALSE);
															}
															BgL_new1116z00_1608 = BgL_new1115z00_1611;
														}
														((((BgL_nodez00_bglt) CREF(
																		((BgL_nodez00_bglt) BgL_new1116z00_1608)))->
																BgL_locz00) =
															((obj_t) (((BgL_nodez00_bglt)
																		CREF(((BgL_nodez00_bglt)
																				BgL_nodez00_1599)))->BgL_locz00)),
															BUNSPEC);
														((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																			BgL_new1116z00_1608)))->BgL_typez00) =
															((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																		CREF(((BgL_nodez00_bglt)
																				BgL_nodez00_1599)))->BgL_typez00)),
															BUNSPEC);
														((((BgL_nodezf2effectzf2_bglt)
																	CREF(((BgL_nodezf2effectzf2_bglt)
																			BgL_new1116z00_1608)))->
																BgL_sidezd2effectzd2) =
															((obj_t) BUNSPEC), BUNSPEC);
														((((BgL_nodezf2effectzf2_bglt)
																	CREF(((BgL_nodezf2effectzf2_bglt)
																			BgL_new1116z00_1608)))->BgL_keyz00) =
															((obj_t) BINT(((long) -1))), BUNSPEC);
														{
															obj_t BgL_auxz00_3077;

															{	/* Sync/node.scm 156 */
																obj_t BgL_arg2038z00_1609;

																{	/* Sync/node.scm 156 */
																	obj_t BgL_arg2039z00_1610;

																	BgL_arg2039z00_1610 =
																		(((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_nodez00_1599)))->BgL_locz00);
																	BgL_nodez00_1590 = BgL_lbodyz00_1607;
																	BgL_locz00_1591 = BgL_arg2039z00_1610;
																	{	/* Sync/node.scm 122 */
																		bool_t BgL_testz00_3080;

																		if (CBOOL
																			(BGl_failsafezd2mutexzd2profilez00zzsync_nodez00))
																			{	/* Sync/node.scm 122 */
																				BgL_testz00_3080 = ((bool_t) 1);
																			}
																		else
																			{	/* Sync/node.scm 122 */
																				BgL_testz00_3080 = ((bool_t) 0);
																			}
																		if (BgL_testz00_3080)
																			{	/* Sync/node.scm 123 */
																				BgL_nodez00_bglt BgL_arg2032z00_1594;

																				{	/* Sync/node.scm 123 */
																					obj_t BgL_arg2035z00_1597;

																					BgL_arg2035z00_1597 =
																						MAKE_PAIR
																						(BGl_failsafezd2mutexzd2profilez00zzsync_nodez00,
																						BNIL);
																					BgL_arg2032z00_1594 =
																						BGl_applicationzd2ze3nodez31zzast_appz00
																						(BgL_arg2035z00_1597, BNIL,
																						BgL_locz00_1591,
																						CNST_TABLE_REF(((long) 12)));
																				}
																				{	/* Sync/node.scm 123 */
																					obj_t BgL_list2033z00_1595;

																					{	/* Sync/node.scm 123 */
																						obj_t BgL_arg2034z00_1596;

																						BgL_arg2034z00_1596 =
																							MAKE_PAIR(
																							((obj_t) BgL_nodez00_1590), BNIL);
																						BgL_list2033z00_1595 =
																							MAKE_PAIR(
																							((obj_t) BgL_arg2032z00_1594),
																							BgL_arg2034z00_1596);
																					}
																					BgL_arg2038z00_1609 =
																						BgL_list2033z00_1595;
																			}}
																		else
																			{	/* Sync/node.scm 124 */
																				obj_t BgL_list2036z00_1598;

																				BgL_list2036z00_1598 =
																					MAKE_PAIR(
																					((obj_t) BgL_nodez00_1590), BNIL);
																				BgL_arg2038z00_1609 =
																					BgL_list2036z00_1598;
																			}
																	}
																}
																BgL_auxz00_3077 =
																	MAKE_PAIR(
																	((obj_t) BgL_lockz00_1603),
																	BgL_arg2038z00_1609);
															}
															((((BgL_sequencez00_bglt)
																		CREF(BgL_new1116z00_1608))->BgL_nodesz00) =
																((obj_t) BgL_auxz00_3077), BUNSPEC);
														}
														((((BgL_sequencez00_bglt)
																	CREF(BgL_new1116z00_1608))->BgL_unsafez00) =
															((bool_t) ((bool_t) 0)), BUNSPEC);
														BgL_auxz00_2914 = BgL_new1116z00_1608;
													}
												}
											}
										}
									}
								}
							}
						}
						return ((BgL_nodez00_bglt) BgL_auxz00_2914);
					}
				else
					{
						BgL_letzd2varzd2_bglt BgL_auxz00_3097;

						BgL_nodez00_1653 = BgL_nodez00_18;
						{	/* Sync/node.scm 162 */
							BgL_localz00_bglt BgL_tmpz00_1656;

							{	/* Sync/node.scm 162 */
								obj_t BgL_arg2136z00_1731;
								BgL_typez00_bglt BgL_arg2137z00_1732;

								BgL_arg2136z00_1731 =
									BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											13)));
								BgL_arg2137z00_1732 =
									(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1653)))->BgL_typez00);
								BgL_tmpz00_1656 =
									BGl_makezd2localzd2svarz00zzast_localz00(BgL_arg2136z00_1731,
									BgL_arg2137z00_1732);
							}
							{	/* Sync/node.scm 162 */
								BgL_localz00_bglt BgL_topz00_1657;

								{	/* Sync/node.scm 163 */
									obj_t BgL_arg2135z00_1730;

									BgL_arg2135z00_1730 =
										BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												14)));
									BgL_topz00_1657 =
										BGl_makezd2localzd2svarz00zzast_localz00
										(BgL_arg2135z00_1730,
										((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
								}
								{	/* Sync/node.scm 163 */
									BgL_varz00_bglt BgL_toprefz00_1658;

									{	/* Sync/node.scm 164 */
										BgL_varz00_bglt BgL_new1119z00_1727;

										{	/* Sync/node.scm 164 */
											BgL_varz00_bglt BgL_new1118z00_1728;

											BgL_new1118z00_1728 =
												((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_varz00_bgl))));
											{	/* Sync/node.scm 164 */
												long BgL_arg2134z00_1729;

												{	/* Sync/node.scm 164 */
													long BgL_res2231z00_2738;

													BgL_res2231z00_2738 =
														BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
													BgL_arg2134z00_1729 = BgL_res2231z00_2738;
												}
												{	/* Sync/node.scm 164 */
													BgL_objectz00_bglt BgL_objz00_2739;

													BgL_objz00_2739 =
														((BgL_objectz00_bglt) BgL_new1118z00_1728);
													BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2739,
														BgL_arg2134z00_1729);
											}}
											{	/* Sync/node.scm 164 */
												BgL_objectz00_bglt BgL_auxz00_3111;

												BgL_auxz00_3111 =
													((BgL_objectz00_bglt) BgL_new1118z00_1728);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_3111, BFALSE);
											}
											BgL_new1119z00_1727 = BgL_new1118z00_1728;
										}
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_new1119z00_1727)))->
												BgL_locz00) =
											((obj_t) (((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																BgL_nodez00_1653)))->BgL_locz00)), BUNSPEC);
										((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
															BgL_new1119z00_1727)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
										((((BgL_varz00_bglt) CREF(BgL_new1119z00_1727))->
												BgL_variablez00) =
											((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
													BgL_topz00_1657)), BUNSPEC);
										BgL_toprefz00_1658 = BgL_new1119z00_1727;
									}
									{	/* Sync/node.scm 164 */
										BgL_nodez00_bglt BgL_gettopz00_1659;

										{	/* Sync/node.scm 168 */
											obj_t BgL_arg2132z00_1725;
											obj_t BgL_arg2133z00_1726;

											BgL_arg2132z00_1725 =
												MAKE_PAIR(BGl_getexitdtopz00zzsync_nodez00, BNIL);
											BgL_arg2133z00_1726 =
												(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1653)))->
												BgL_locz00);
											BgL_gettopz00_1659 =
												BGl_applicationzd2ze3nodez31zzast_appz00
												(BgL_arg2132z00_1725, BNIL, BgL_arg2133z00_1726,
												CNST_TABLE_REF(((long) 12)));
										}
										{	/* Sync/node.scm 168 */
											BgL_nodez00_bglt BgL_lockz00_1660;

											{	/* Sync/node.scm 169 */
												bool_t BgL_testz00_3128;

												{	/* Sync/node.scm 169 */
													BgL_nodez00_bglt BgL_arg2131z00_1724;

													BgL_arg2131z00_1724 =
														(((BgL_syncz00_bglt) CREF(BgL_nodez00_1653))->
														BgL_prelockz00);
													{	/* Sync/node.scm 169 */
														bool_t BgL_res2232z00_2744;

														{	/* Sync/node.scm 169 */
															obj_t BgL_objz00_2743;

															BgL_objz00_2743 = ((obj_t) BgL_arg2131z00_1724);
															BgL_res2232z00_2744 =
																BGl_isazf3zf3zz__objectz00(BgL_objz00_2743,
																BGl_atomz00zzast_nodez00);
														}
														BgL_testz00_3128 = BgL_res2232z00_2744;
												}}
												if (BgL_testz00_3128)
													{	/* Sync/node.scm 170 */
														obj_t BgL_arg2119z00_1714;
														obj_t BgL_arg2122z00_1715;

														{	/* Sync/node.scm 170 */
															obj_t BgL_arg2123z00_1716;

															{	/* Sync/node.scm 170 */
																BgL_nodez00_bglt BgL_arg2124z00_1717;

																BgL_arg2124z00_1717 =
																	(((BgL_syncz00_bglt) CREF(BgL_nodez00_1653))->
																	BgL_mutexz00);
																BgL_arg2123z00_1716 =
																	MAKE_PAIR(((obj_t) BgL_arg2124z00_1717),
																	BNIL);
															}
															BgL_arg2119z00_1714 =
																MAKE_PAIR(BGl_mlockz00zzsync_nodez00,
																BgL_arg2123z00_1716);
														}
														BgL_arg2122z00_1715 =
															(((BgL_nodez00_bglt) CREF(
																	((BgL_nodez00_bglt) BgL_nodez00_1653)))->
															BgL_locz00);
														BgL_lockz00_1660 =
															BGl_applicationzd2ze3nodez31zzast_appz00
															(BgL_arg2119z00_1714, BNIL, BgL_arg2122z00_1715,
															CNST_TABLE_REF(((long) 12)));
													}
												else
													{	/* Sync/node.scm 171 */
														obj_t BgL_arg2125z00_1718;
														obj_t BgL_arg2126z00_1719;

														{	/* Sync/node.scm 171 */
															obj_t BgL_arg2127z00_1720;

															{	/* Sync/node.scm 171 */
																BgL_nodez00_bglt BgL_arg2128z00_1721;
																obj_t BgL_arg2129z00_1722;

																BgL_arg2128z00_1721 =
																	(((BgL_syncz00_bglt) CREF(BgL_nodez00_1653))->
																	BgL_mutexz00);
																{	/* Sync/node.scm 171 */
																	BgL_nodez00_bglt BgL_arg2130z00_1723;

																	BgL_arg2130z00_1723 =
																		(((BgL_syncz00_bglt)
																			CREF(BgL_nodez00_1653))->BgL_prelockz00);
																	BgL_arg2129z00_1722 =
																		MAKE_PAIR(((obj_t) BgL_arg2130z00_1723),
																		BNIL);
																}
																BgL_arg2127z00_1720 =
																	MAKE_PAIR(
																	((obj_t) BgL_arg2128z00_1721),
																	BgL_arg2129z00_1722);
															}
															BgL_arg2125z00_1718 =
																MAKE_PAIR(BGl_mlockprelockz00zzsync_nodez00,
																BgL_arg2127z00_1720);
														}
														BgL_arg2126z00_1719 =
															(((BgL_nodez00_bglt) CREF(
																	((BgL_nodez00_bglt) BgL_nodez00_1653)))->
															BgL_locz00);
														BgL_lockz00_1660 =
															BGl_applicationzd2ze3nodez31zzast_appz00
															(BgL_arg2125z00_1718, BNIL, BgL_arg2126z00_1719,
															CNST_TABLE_REF(((long) 12)));
											}}
											{	/* Sync/node.scm 169 */
												BgL_nodez00_bglt BgL_pushz00_1661;

												{	/* Sync/node.scm 172 */
													obj_t BgL_arg2110z00_1708;
													obj_t BgL_arg2111z00_1709;

													{	/* Sync/node.scm 172 */
														obj_t BgL_arg2112z00_1710;

														{	/* Sync/node.scm 172 */
															obj_t BgL_arg2114z00_1711;

															{	/* Sync/node.scm 172 */
																BgL_nodez00_bglt BgL_arg2115z00_1712;

																BgL_arg2115z00_1712 =
																	(((BgL_syncz00_bglt) CREF(BgL_nodez00_1653))->
																	BgL_mutexz00);
																BgL_arg2114z00_1711 =
																	MAKE_PAIR(((obj_t) BgL_arg2115z00_1712),
																	BNIL);
															}
															BgL_arg2112z00_1710 =
																MAKE_PAIR(
																((obj_t) BgL_toprefz00_1658),
																BgL_arg2114z00_1711);
														}
														BgL_arg2110z00_1708 =
															MAKE_PAIR(BGl_mpushz00zzsync_nodez00,
															BgL_arg2112z00_1710);
													}
													BgL_arg2111z00_1709 =
														(((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_nodez00_1653)))->
														BgL_locz00);
													BgL_pushz00_1661 =
														BGl_applicationzd2ze3nodez31zzast_appz00
														(BgL_arg2110z00_1708, BNIL, BgL_arg2111z00_1709,
														CNST_TABLE_REF(((long) 12)));
												}
												{	/* Sync/node.scm 172 */
													BgL_nodez00_bglt BgL_popz00_1662;

													{	/* Sync/node.scm 173 */
														obj_t BgL_arg2107z00_1705;
														obj_t BgL_arg2108z00_1706;

														{	/* Sync/node.scm 173 */
															obj_t BgL_arg2109z00_1707;

															BgL_arg2109z00_1707 =
																MAKE_PAIR(((obj_t) BgL_toprefz00_1658), BNIL);
															BgL_arg2107z00_1705 =
																MAKE_PAIR(BGl_mpopz00zzsync_nodez00,
																BgL_arg2109z00_1707);
														}
														BgL_arg2108z00_1706 =
															(((BgL_nodez00_bglt) CREF(
																	((BgL_nodez00_bglt) BgL_nodez00_1653)))->
															BgL_locz00);
														BgL_popz00_1662 =
															BGl_applicationzd2ze3nodez31zzast_appz00
															(BgL_arg2107z00_1705, BNIL, BgL_arg2108z00_1706,
															CNST_TABLE_REF(((long) 12)));
													}
													{	/* Sync/node.scm 173 */
														BgL_nodez00_bglt BgL_unlockz00_1663;

														{	/* Sync/node.scm 174 */
															obj_t BgL_arg2102z00_1701;
															obj_t BgL_arg2103z00_1702;

															{	/* Sync/node.scm 174 */
																obj_t BgL_arg2104z00_1703;

																{	/* Sync/node.scm 174 */
																	BgL_nodez00_bglt BgL_arg2106z00_1704;

																	BgL_arg2106z00_1704 =
																		(((BgL_syncz00_bglt)
																			CREF(BgL_nodez00_1653))->BgL_mutexz00);
																	BgL_arg2104z00_1703 =
																		MAKE_PAIR(((obj_t) BgL_arg2106z00_1704),
																		BNIL);
																}
																BgL_arg2102z00_1701 =
																	MAKE_PAIR(BGl_mulockz00zzsync_nodez00,
																	BgL_arg2104z00_1703);
															}
															BgL_arg2103z00_1702 =
																(((BgL_nodez00_bglt) CREF(
																		((BgL_nodez00_bglt) BgL_nodez00_1653)))->
																BgL_locz00);
															BgL_unlockz00_1663 =
																BGl_applicationzd2ze3nodez31zzast_appz00
																(BgL_arg2102z00_1701, BNIL, BgL_arg2103z00_1702,
																CNST_TABLE_REF(((long) 12)));
														}
														{	/* Sync/node.scm 174 */
															BgL_varz00_bglt BgL_vrefz00_1664;

															{	/* Sync/node.scm 175 */
																BgL_varz00_bglt BgL_new1121z00_1698;

																{	/* Sync/node.scm 175 */
																	BgL_varz00_bglt BgL_new1120z00_1699;

																	BgL_new1120z00_1699 =
																		((BgL_varz00_bglt)
																		BREF(GC_MALLOC(sizeof(struct
																					BgL_varz00_bgl))));
																	{	/* Sync/node.scm 175 */
																		long BgL_arg2101z00_1700;

																		{	/* Sync/node.scm 175 */
																			long BgL_res2233z00_2756;

																			BgL_res2233z00_2756 =
																				BGL_CLASS_INDEX
																				(BGl_varz00zzast_nodez00);
																			BgL_arg2101z00_1700 = BgL_res2233z00_2756;
																		}
																		{	/* Sync/node.scm 175 */
																			BgL_objectz00_bglt BgL_objz00_2757;

																			BgL_objz00_2757 =
																				((BgL_objectz00_bglt)
																				BgL_new1120z00_1699);
																			BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2757,
																				BgL_arg2101z00_1700);
																	}}
																	{	/* Sync/node.scm 175 */
																		BgL_objectz00_bglt BgL_auxz00_3180;

																		BgL_auxz00_3180 =
																			((BgL_objectz00_bglt)
																			BgL_new1120z00_1699);
																		BGL_OBJECT_WIDENING_SET(BgL_auxz00_3180,
																			BFALSE);
																	}
																	BgL_new1121z00_1698 = BgL_new1120z00_1699;
																}
																((((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_new1121z00_1698)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				CREF(((BgL_nodez00_bglt)
																						BgL_nodez00_1653)))->BgL_locz00)),
																	BUNSPEC);
																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																					BgL_new1121z00_1698)))->BgL_typez00) =
																	((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																				CREF(((BgL_nodez00_bglt)
																						BgL_nodez00_1653)))->BgL_typez00)),
																	BUNSPEC);
																((((BgL_varz00_bglt)
																			CREF(BgL_new1121z00_1698))->
																		BgL_variablez00) =
																	((BgL_variablez00_bglt) (
																			(BgL_variablez00_bglt) BgL_tmpz00_1656)),
																	BUNSPEC);
																BgL_vrefz00_1664 = BgL_new1121z00_1698;
															}
															{	/* Sync/node.scm 175 */
																obj_t BgL_sbodyz00_1665;

																{	/* Sync/node.scm 179 */
																	bool_t BgL_testz00_3193;

																	if (NULLP(
																			(((BgL_syncz00_bglt)
																					CREF(BgL_nodez00_1653))->
																				BgL_nodesz00)))
																		{	/* Sync/node.scm 179 */
																			BgL_testz00_3193 = ((bool_t) 0);
																		}
																	else
																		{	/* Sync/node.scm 179 */
																			BgL_testz00_3193 =
																				NULLP(CDR(
																					(((BgL_syncz00_bglt)
																							CREF(BgL_nodez00_1653))->
																						BgL_nodesz00)));
																		}
																	if (BgL_testz00_3193)
																		{	/* Sync/node.scm 179 */
																			BgL_sbodyz00_1665 =
																				CAR(
																				(((BgL_syncz00_bglt)
																						CREF(BgL_nodez00_1653))->
																					BgL_nodesz00));
																		}
																	else
																		{	/* Sync/node.scm 181 */
																			BgL_sequencez00_bglt BgL_new1124z00_1691;

																			{	/* Sync/node.scm 181 */
																				BgL_sequencez00_bglt
																					BgL_new1122z00_1692;
																				BgL_new1122z00_1692 =
																					((BgL_sequencez00_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_sequencez00_bgl))));
																				{	/* Sync/node.scm 181 */
																					long BgL_arg2096z00_1693;

																					{	/* Sync/node.scm 181 */
																						long BgL_res2236z00_2766;

																						BgL_res2236z00_2766 =
																							BGL_CLASS_INDEX
																							(BGl_sequencez00zzast_nodez00);
																						BgL_arg2096z00_1693 =
																							BgL_res2236z00_2766;
																					}
																					{	/* Sync/node.scm 181 */
																						BgL_objectz00_bglt BgL_objz00_2767;

																						BgL_objz00_2767 =
																							((BgL_objectz00_bglt)
																							BgL_new1122z00_1692);
																						BGL_OBJECT_CLASS_NUM_SET
																							(BgL_objz00_2767,
																							BgL_arg2096z00_1693);
																				}}
																				{	/* Sync/node.scm 181 */
																					BgL_objectz00_bglt BgL_auxz00_3206;

																					BgL_auxz00_3206 =
																						((BgL_objectz00_bglt)
																						BgL_new1122z00_1692);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_auxz00_3206, BFALSE);
																				}
																				BgL_new1124z00_1691 =
																					BgL_new1122z00_1692;
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1124z00_1691)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_nodez00_bglt)
																							CREF(((BgL_nodez00_bglt)
																									BgL_nodez00_1653)))->
																						BgL_locz00)), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_new1124z00_1691)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																							CREF(((BgL_nodez00_bglt)
																									BgL_nodez00_1653)))->
																						BgL_typez00)), BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						CREF(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1124z00_1691)))->
																					BgL_sidezd2effectzd2) =
																				((obj_t) BUNSPEC), BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						CREF(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1124z00_1691)))->
																					BgL_keyz00) =
																				((obj_t) BINT(((long) -1))), BUNSPEC);
																			((((BgL_sequencez00_bglt)
																						CREF(BgL_new1124z00_1691))->
																					BgL_nodesz00) =
																				((obj_t) (((BgL_syncz00_bglt)
																							CREF(BgL_nodez00_1653))->
																						BgL_nodesz00)), BUNSPEC);
																			((((BgL_sequencez00_bglt)
																						CREF(BgL_new1124z00_1691))->
																					BgL_unsafez00) =
																				((bool_t) ((bool_t) 0)), BUNSPEC);
																			BgL_sbodyz00_1665 =
																				((obj_t) BgL_new1124z00_1691);
																}}
																{	/* Sync/node.scm 179 */
																	BgL_letzd2varzd2_bglt BgL_lbodyz00_1666;

																	{	/* Sync/node.scm 185 */
																		BgL_letzd2varzd2_bglt BgL_new1126z00_1678;

																		{	/* Sync/node.scm 185 */
																			BgL_letzd2varzd2_bglt BgL_new1125z00_1687;

																			BgL_new1125z00_1687 =
																				((BgL_letzd2varzd2_bglt)
																				BREF(GC_MALLOC(sizeof(struct
																							BgL_letzd2varzd2_bgl))));
																			{	/* Sync/node.scm 185 */
																				long BgL_arg2092z00_1688;

																				{	/* Sync/node.scm 185 */
																					long BgL_res2237z00_2770;

																					BgL_res2237z00_2770 =
																						BGL_CLASS_INDEX
																						(BGl_letzd2varzd2zzast_nodez00);
																					BgL_arg2092z00_1688 =
																						BgL_res2237z00_2770;
																				}
																				{	/* Sync/node.scm 185 */
																					BgL_objectz00_bglt BgL_objz00_2771;

																					BgL_objz00_2771 =
																						((BgL_objectz00_bglt)
																						BgL_new1125z00_1687);
																					BGL_OBJECT_CLASS_NUM_SET
																						(BgL_objz00_2771,
																						BgL_arg2092z00_1688);
																			}}
																			{	/* Sync/node.scm 185 */
																				BgL_objectz00_bglt BgL_auxz00_3230;

																				BgL_auxz00_3230 =
																					((BgL_objectz00_bglt)
																					BgL_new1125z00_1687);
																				BGL_OBJECT_WIDENING_SET(BgL_auxz00_3230,
																					BFALSE);
																			}
																			BgL_new1126z00_1678 = BgL_new1125z00_1687;
																		}
																		((((BgL_nodez00_bglt) CREF(
																						((BgL_nodez00_bglt)
																							BgL_new1126z00_1678)))->
																				BgL_locz00) =
																			((obj_t) (((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_nodez00_1653)))->
																					BgL_locz00)), BUNSPEC);
																		((((BgL_nodez00_bglt)
																					CREF(((BgL_nodez00_bglt)
																							BgL_new1126z00_1678)))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_nodez00_1653)))->
																					BgL_typez00)), BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					CREF(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1126z00_1678)))->
																				BgL_sidezd2effectzd2) =
																			((obj_t) BUNSPEC), BUNSPEC);
																		((((BgL_nodezf2effectzf2_bglt)
																					CREF(((BgL_nodezf2effectzf2_bglt)
																							BgL_new1126z00_1678)))->
																				BgL_keyz00) =
																			((obj_t) BINT(((long) -1))), BUNSPEC);
																		{
																			obj_t BgL_auxz00_3246;

																			{	/* Sync/node.scm 188 */
																				obj_t BgL_arg2085z00_1679;

																				BgL_arg2085z00_1679 =
																					MAKE_PAIR(
																					((obj_t) BgL_tmpz00_1656),
																					BgL_sbodyz00_1665);
																				{	/* Sync/node.scm 188 */
																					obj_t BgL_list2086z00_1680;

																					BgL_list2086z00_1680 =
																						MAKE_PAIR(BgL_arg2085z00_1679,
																						BNIL);
																					BgL_auxz00_3246 =
																						BgL_list2086z00_1680;
																			}}
																			((((BgL_letzd2varzd2_bglt)
																						CREF(BgL_new1126z00_1678))->
																					BgL_bindingsz00) =
																				((obj_t) BgL_auxz00_3246), BUNSPEC);
																		}
																		{
																			BgL_nodez00_bglt BgL_auxz00_3251;

																			{	/* Sync/node.scm 189 */
																				BgL_sequencez00_bglt
																					BgL_new1129z00_1681;
																				{	/* Sync/node.scm 189 */
																					BgL_sequencez00_bglt
																						BgL_new1127z00_1685;
																					BgL_new1127z00_1685 =
																						((BgL_sequencez00_bglt)
																						BREF(GC_MALLOC(sizeof(struct
																									BgL_sequencez00_bgl))));
																					{	/* Sync/node.scm 189 */
																						long BgL_arg2091z00_1686;

																						{	/* Sync/node.scm 189 */
																							long BgL_res2239z00_2776;

																							{	/* Sync/node.scm 189 */
																								obj_t BgL_classz00_2775;

																								BgL_classz00_2775 =
																									BGl_sequencez00zzast_nodez00;
																								BgL_res2239z00_2776 =
																									BGL_CLASS_INDEX
																									(BgL_classz00_2775);
																							}
																							BgL_arg2091z00_1686 =
																								BgL_res2239z00_2776;
																						}
																						{	/* Sync/node.scm 189 */
																							BgL_objectz00_bglt
																								BgL_objz00_2777;
																							BgL_objz00_2777 =
																								((BgL_objectz00_bglt)
																								BgL_new1127z00_1685);
																							BGL_OBJECT_CLASS_NUM_SET
																								(BgL_objz00_2777,
																								BgL_arg2091z00_1686);
																					}}
																					{	/* Sync/node.scm 189 */
																						BgL_objectz00_bglt BgL_auxz00_3256;

																						BgL_auxz00_3256 =
																							((BgL_objectz00_bglt)
																							BgL_new1127z00_1685);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_auxz00_3256, BFALSE);
																					}
																					BgL_new1129z00_1681 =
																						BgL_new1127z00_1685;
																				}
																				((((BgL_nodez00_bglt) CREF(
																								((BgL_nodez00_bglt)
																									BgL_new1129z00_1681)))->
																						BgL_locz00) =
																					((obj_t) (((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_nodez00_1653)))->
																							BgL_locz00)), BUNSPEC);
																				((((BgL_nodez00_bglt)
																							CREF(((BgL_nodez00_bglt)
																									BgL_new1129z00_1681)))->
																						BgL_typez00) =
																					((BgL_typez00_bglt) ((
																								(BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_nodez00_1653)))->
																							BgL_typez00)), BUNSPEC);
																				((((BgL_nodezf2effectzf2_bglt)
																							CREF(((BgL_nodezf2effectzf2_bglt)
																									BgL_new1129z00_1681)))->
																						BgL_sidezd2effectzd2) =
																					((obj_t) BUNSPEC), BUNSPEC);
																				((((BgL_nodezf2effectzf2_bglt)
																							CREF(((BgL_nodezf2effectzf2_bglt)
																									BgL_new1129z00_1681)))->
																						BgL_keyz00) =
																					((obj_t) BINT(((long) -1))), BUNSPEC);
																				{
																					obj_t BgL_auxz00_3272;

																					{	/* Sync/node.scm 192 */
																						obj_t BgL_list2087z00_1682;

																						{	/* Sync/node.scm 192 */
																							obj_t BgL_arg2089z00_1683;

																							{	/* Sync/node.scm 192 */
																								obj_t BgL_arg2090z00_1684;

																								BgL_arg2090z00_1684 =
																									MAKE_PAIR(
																									((obj_t) BgL_vrefz00_1664),
																									BNIL);
																								BgL_arg2089z00_1683 =
																									MAKE_PAIR(((obj_t)
																										BgL_unlockz00_1663),
																									BgL_arg2090z00_1684);
																							}
																							BgL_list2087z00_1682 =
																								MAKE_PAIR(
																								((obj_t) BgL_popz00_1662),
																								BgL_arg2089z00_1683);
																						}
																						BgL_auxz00_3272 =
																							BgL_list2087z00_1682;
																					}
																					((((BgL_sequencez00_bglt)
																								CREF(BgL_new1129z00_1681))->
																							BgL_nodesz00) =
																						((obj_t) BgL_auxz00_3272), BUNSPEC);
																				}
																				((((BgL_sequencez00_bglt)
																							CREF(BgL_new1129z00_1681))->
																						BgL_unsafez00) =
																					((bool_t) ((bool_t) 0)), BUNSPEC);
																				BgL_auxz00_3251 =
																					((BgL_nodez00_bglt)
																					BgL_new1129z00_1681);
																			}
																			((((BgL_letzd2varzd2_bglt)
																						CREF(BgL_new1126z00_1678))->
																					BgL_bodyz00) =
																				((BgL_nodez00_bglt) BgL_auxz00_3251),
																				BUNSPEC);
																		}
																		((((BgL_letzd2varzd2_bglt)
																					CREF(BgL_new1126z00_1678))->
																				BgL_removablezf3zf3) =
																			((bool_t) ((bool_t) 1)), BUNSPEC);
																		BgL_lbodyz00_1666 = BgL_new1126z00_1678;
																	}
																	{	/* Sync/node.scm 185 */

																		{	/* Sync/node.scm 193 */
																			BgL_letzd2varzd2_bglt BgL_new1131z00_1667;

																			{	/* Sync/node.scm 193 */
																				BgL_letzd2varzd2_bglt
																					BgL_new1130z00_1676;
																				BgL_new1130z00_1676 =
																					((BgL_letzd2varzd2_bglt)
																					BREF(GC_MALLOC(sizeof(struct
																								BgL_letzd2varzd2_bgl))));
																				{	/* Sync/node.scm 193 */
																					long BgL_arg2084z00_1677;

																					{	/* Sync/node.scm 193 */
																						long BgL_res2241z00_2782;

																						BgL_res2241z00_2782 =
																							BGL_CLASS_INDEX
																							(BGl_letzd2varzd2zzast_nodez00);
																						BgL_arg2084z00_1677 =
																							BgL_res2241z00_2782;
																					}
																					{	/* Sync/node.scm 193 */
																						BgL_objectz00_bglt BgL_objz00_2783;

																						BgL_objz00_2783 =
																							((BgL_objectz00_bglt)
																							BgL_new1130z00_1676);
																						BGL_OBJECT_CLASS_NUM_SET
																							(BgL_objz00_2783,
																							BgL_arg2084z00_1677);
																				}}
																				{	/* Sync/node.scm 193 */
																					BgL_objectz00_bglt BgL_auxz00_3288;

																					BgL_auxz00_3288 =
																						((BgL_objectz00_bglt)
																						BgL_new1130z00_1676);
																					BGL_OBJECT_WIDENING_SET
																						(BgL_auxz00_3288, BFALSE);
																				}
																				BgL_new1131z00_1667 =
																					BgL_new1130z00_1676;
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_new1131z00_1667)))->
																					BgL_locz00) =
																				((obj_t) (((BgL_nodez00_bglt)
																							CREF(((BgL_nodez00_bglt)
																									BgL_nodez00_1653)))->
																						BgL_locz00)), BUNSPEC);
																			((((BgL_nodez00_bglt)
																						CREF(((BgL_nodez00_bglt)
																								BgL_new1131z00_1667)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																							CREF(((BgL_nodez00_bglt)
																									BgL_nodez00_1653)))->
																						BgL_typez00)), BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						CREF(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1131z00_1667)))->
																					BgL_sidezd2effectzd2) =
																				((obj_t) BUNSPEC), BUNSPEC);
																			((((BgL_nodezf2effectzf2_bglt)
																						CREF(((BgL_nodezf2effectzf2_bglt)
																								BgL_new1131z00_1667)))->
																					BgL_keyz00) =
																				((obj_t) BINT(((long) -1))), BUNSPEC);
																			{
																				obj_t BgL_auxz00_3304;

																				{	/* Sync/node.scm 196 */
																					obj_t BgL_arg2078z00_1668;

																					BgL_arg2078z00_1668 =
																						MAKE_PAIR(
																						((obj_t) BgL_topz00_1657),
																						((obj_t) BgL_gettopz00_1659));
																					{	/* Sync/node.scm 196 */
																						obj_t BgL_list2079z00_1669;

																						BgL_list2079z00_1669 =
																							MAKE_PAIR(BgL_arg2078z00_1668,
																							BNIL);
																						BgL_auxz00_3304 =
																							BgL_list2079z00_1669;
																				}}
																				((((BgL_letzd2varzd2_bglt)
																							CREF(BgL_new1131z00_1667))->
																						BgL_bindingsz00) =
																					((obj_t) BgL_auxz00_3304), BUNSPEC);
																			}
																			{
																				BgL_nodez00_bglt BgL_auxz00_3310;

																				{	/* Sync/node.scm 197 */
																					BgL_sequencez00_bglt
																						BgL_new1133z00_1670;
																					{	/* Sync/node.scm 197 */
																						BgL_sequencez00_bglt
																							BgL_new1132z00_1674;
																						BgL_new1132z00_1674 =
																							((BgL_sequencez00_bglt)
																							BREF(GC_MALLOC(sizeof(struct
																										BgL_sequencez00_bgl))));
																						{	/* Sync/node.scm 197 */
																							long BgL_arg2083z00_1675;

																							{	/* Sync/node.scm 197 */
																								long BgL_res2243z00_2788;

																								{	/* Sync/node.scm 197 */
																									obj_t BgL_classz00_2787;

																									BgL_classz00_2787 =
																										BGl_sequencez00zzast_nodez00;
																									BgL_res2243z00_2788 =
																										BGL_CLASS_INDEX
																										(BgL_classz00_2787);
																								}
																								BgL_arg2083z00_1675 =
																									BgL_res2243z00_2788;
																							}
																							{	/* Sync/node.scm 197 */
																								BgL_objectz00_bglt
																									BgL_objz00_2789;
																								BgL_objz00_2789 =
																									((BgL_objectz00_bglt)
																									BgL_new1132z00_1674);
																								BGL_OBJECT_CLASS_NUM_SET
																									(BgL_objz00_2789,
																									BgL_arg2083z00_1675);
																						}}
																						{	/* Sync/node.scm 197 */
																							BgL_objectz00_bglt
																								BgL_auxz00_3315;
																							BgL_auxz00_3315 =
																								((BgL_objectz00_bglt)
																								BgL_new1132z00_1674);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_auxz00_3315, BFALSE);
																						}
																						BgL_new1133z00_1670 =
																							BgL_new1132z00_1674;
																					}
																					((((BgL_nodez00_bglt) CREF(
																									((BgL_nodez00_bglt)
																										BgL_new1133z00_1670)))->
																							BgL_locz00) =
																						((obj_t) (((BgL_nodez00_bglt)
																									CREF(((BgL_nodez00_bglt)
																											BgL_nodez00_1653)))->
																								BgL_locz00)), BUNSPEC);
																					((((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_new1133z00_1670)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) ((
																									(BgL_nodez00_bglt)
																									CREF(((BgL_nodez00_bglt)
																											BgL_nodez00_1653)))->
																								BgL_typez00)), BUNSPEC);
																					((((BgL_nodezf2effectzf2_bglt)
																								CREF((
																										(BgL_nodezf2effectzf2_bglt)
																										BgL_new1133z00_1670)))->
																							BgL_sidezd2effectzd2) =
																						((obj_t) BUNSPEC), BUNSPEC);
																					((((BgL_nodezf2effectzf2_bglt)
																								CREF((
																										(BgL_nodezf2effectzf2_bglt)
																										BgL_new1133z00_1670)))->
																							BgL_keyz00) =
																						((obj_t) BINT(((long) -1))),
																						BUNSPEC);
																					{
																						obj_t BgL_auxz00_3331;

																						{	/* Sync/node.scm 200 */
																							obj_t BgL_arg2080z00_1671;

																							{	/* Sync/node.scm 200 */
																								obj_t BgL_arg2081z00_1672;

																								{	/* Sync/node.scm 200 */
																									obj_t BgL_arg2082z00_1673;

																									BgL_arg2082z00_1673 =
																										(((BgL_nodez00_bglt) CREF(
																												((BgL_nodez00_bglt)
																													BgL_nodez00_1653)))->
																										BgL_locz00);
																									BgL_nodez00_1581 =
																										BgL_lbodyz00_1666;
																									BgL_locz00_1582 =
																										BgL_arg2082z00_1673;
																									{	/* Sync/node.scm 117 */
																										bool_t BgL_testz00_3334;

																										if (CBOOL
																											(BGl_exitdzd2mutexzd2profilez00zzsync_nodez00))
																											{	/* Sync/node.scm 117 */
																												BgL_testz00_3334 =
																													((bool_t) 1);
																											}
																										else
																											{	/* Sync/node.scm 117 */
																												BgL_testz00_3334 =
																													((bool_t) 0);
																											}
																										if (BgL_testz00_3334)
																											{	/* Sync/node.scm 118 */
																												BgL_nodez00_bglt
																													BgL_arg2024z00_1585;
																												{	/* Sync/node.scm 118 */
																													obj_t
																														BgL_arg2027z00_1588;
																													BgL_arg2027z00_1588 =
																														MAKE_PAIR
																														(BGl_exitdzd2mutexzd2profilez00zzsync_nodez00,
																														BNIL);
																													BgL_arg2024z00_1585 =
																														BGl_applicationzd2ze3nodez31zzast_appz00
																														(BgL_arg2027z00_1588,
																														BNIL,
																														BgL_locz00_1582,
																														CNST_TABLE_REF((
																																(long) 12)));
																												}
																												{	/* Sync/node.scm 118 */
																													obj_t
																														BgL_list2025z00_1586;
																													{	/* Sync/node.scm 118 */
																														obj_t
																															BgL_arg2026z00_1587;
																														BgL_arg2026z00_1587
																															=
																															MAKE_PAIR(((obj_t)
																																BgL_nodez00_1581),
																															BNIL);
																														BgL_list2025z00_1586
																															=
																															MAKE_PAIR(((obj_t)
																																BgL_arg2024z00_1585),
																															BgL_arg2026z00_1587);
																													}
																													BgL_arg2081z00_1672 =
																														BgL_list2025z00_1586;
																											}}
																										else
																											{	/* Sync/node.scm 119 */
																												obj_t
																													BgL_list2028z00_1589;
																												BgL_list2028z00_1589 =
																													MAKE_PAIR(((obj_t)
																														BgL_nodez00_1581),
																													BNIL);
																												BgL_arg2081z00_1672 =
																													BgL_list2028z00_1589;
																											}
																									}
																								}
																								BgL_arg2080z00_1671 =
																									MAKE_PAIR(
																									((obj_t) BgL_pushz00_1661),
																									BgL_arg2081z00_1672);
																							}
																							BgL_auxz00_3331 =
																								MAKE_PAIR(
																								((obj_t) BgL_lockz00_1660),
																								BgL_arg2080z00_1671);
																						}
																						((((BgL_sequencez00_bglt)
																									CREF(BgL_new1133z00_1670))->
																								BgL_nodesz00) =
																							((obj_t) BgL_auxz00_3331),
																							BUNSPEC);
																					}
																					((((BgL_sequencez00_bglt)
																								CREF(BgL_new1133z00_1670))->
																							BgL_unsafez00) =
																						((bool_t) ((bool_t) 0)), BUNSPEC);
																					BgL_auxz00_3310 =
																						((BgL_nodez00_bglt)
																						BgL_new1133z00_1670);
																				}
																				((((BgL_letzd2varzd2_bglt)
																							CREF(BgL_new1131z00_1667))->
																						BgL_bodyz00) =
																					((BgL_nodez00_bglt) BgL_auxz00_3310),
																					BUNSPEC);
																			}
																			((((BgL_letzd2varzd2_bglt)
																						CREF(BgL_new1131z00_1667))->
																					BgL_removablezf3zf3) =
																				((bool_t) ((bool_t) 1)), BUNSPEC);
																			BgL_auxz00_3097 = BgL_new1131z00_1667;
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
						return ((BgL_nodez00_bglt) BgL_auxz00_3097);
					}
			}
		}
	}



/* &sync->sequence */
	BgL_nodez00_bglt BGl_z62synczd2ze3sequencez53zzsync_nodez00(obj_t
		BgL_envz00_2793, obj_t BgL_nodez00_2794)
	{
		AN_OBJECT;
		{	/* Sync/node.scm 111 */
			return
				BGl_synczd2ze3sequencez31zzsync_nodez00(
				((BgL_syncz00_bglt) BgL_nodez00_2794));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsync_nodez00()
	{
		AN_OBJECT;
		{	/* Sync/node.scm 18 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsync_nodez00()
	{
		AN_OBJECT;
		{	/* Sync/node.scm 18 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsync_nodez00()
	{
		AN_OBJECT;
		{	/* Sync/node.scm 18 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsync_nodez00()
	{
		AN_OBJECT;
		{	/* Sync/node.scm 18 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 504896450),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzinline_appz00(((long) 148760855),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long) 460136018),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			BGl_modulezd2initializa7ationz75zzbackend_cplibz00(((long) 395792377),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
			return
				BGl_modulezd2initializa7ationz75zzsync_failsafez00(((long) 377892095),
				BSTRING_TO_STRING(BGl_string2244z00zzsync_nodez00));
		}
	}

#ifdef __cplusplus
}
#endif
