/*===========================================================================*/
/*   (Type/typeof.scm)                                                       */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Type/typeof.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;


	extern obj_t BGl_za2symbolza2z00zztype_cachez00;
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	extern obj_t BGl_za2bignumza2z00zztype_cachez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	static BgL_typez00_bglt BGl_z62getzd2typezd2atomz62zztype_typeofz00(obj_t,
		obj_t);
	static obj_t BGl_z62iszd2subtypezf3z43zztype_typeofz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zztype_typeofz00();
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	static BgL_typez00_bglt BGl_z62getzd2typezd2var1916z62zztype_typeofz00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62getzd2type1913zb0zztype_typeofz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztype_typeofz00();
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_za2elongza2z00zztype_cachez00;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_typez00_bglt BGl_z62getzd2typezd2kwotez62zztype_typeofz00(obj_t,
		obj_t);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2select1924z62zztype_typeofz00(obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2nilza2z00zz__evalz00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_za2charza2z00zztype_cachez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zztype_typeofz00 = BUNSPEC;
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	static bool_t BGl_pairzd2nilzf3z21zztype_typeofz00(obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zztype_typeofz00();
	static BgL_typez00_bglt BGl_z62getzd2typezb0zztype_typeofz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2letzd2fun1926zb0zztype_typeofz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zztype_typeofz00();
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	extern bool_t BGl_czd2subtypezf3z21zztype_miscz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2bstringza2z00zztype_cachez00;
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2sequence1918z62zztype_typeofz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static BgL_typez00_bglt BGl_z62getzd2typezd2app1930z62zztype_typeofz00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62getzd2typezd2sync1920z62zztype_typeofz00(obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2letzd2var1928zb0zztype_typeofz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_coercionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_typez00_bglt
		BGl_z62getzd2typezd2conditional1922z62zztype_typeofz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zztype_typeofz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztype_typeofz00();
	static obj_t BGl_importedzd2moduleszd2initz00zztype_typeofz00();
	extern obj_t BGl_za2llongza2z00zztype_cachez00;
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	extern obj_t BGl_za2keywordza2z00zztype_cachez00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_iszd2subtypezf3z21zztype_typeofz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t __cnst[1];


	   
		 
		DEFINE_STRING(BGl_string2144z00zztype_typeofz00,
		BgL_bgl_string2144za700za7za7t2158za7, "get-type1913", 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2typezd2atomzd2envzd2zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22159za7,
		BGl_z62getzd2typezd2atomz62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2146z00zztype_typeofz00,
		BgL_bgl_string2146za700za7za7t2160za7, "get-type", 8);
	      DEFINE_STRING(BGl_string2154z00zztype_typeofz00,
		BgL_bgl_string2154za700za7za7t2161za7, "type_typeof", 11);
	      DEFINE_STRING(BGl_string2155z00zztype_typeofz00,
		BgL_bgl_string2155za700za7za7t2162za7, "a-tvector ", 10);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_getzd2typezd2envz00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7b02163za7, BGl_z62getzd2typezb0zztype_typeofz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2143z00zztype_typeofz00,
		BgL_bgl_za762getza7d2type1912164z00,
		BGl_z62getzd2type1913zb0zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2145z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22165za7,
		BGl_z62getzd2typezd2var1916z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2147z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22166za7,
		BGl_z62getzd2typezd2sequence1918z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2148z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22167za7,
		BGl_z62getzd2typezd2sync1920z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22168za7,
		BGl_z62getzd2typezd2conditional1922z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22169za7,
		BGl_z62getzd2typezd2select1924z62zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2151z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22170za7,
		BGl_z62getzd2typezd2letzd2fun1926zb0zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22171za7,
		BGl_z62getzd2typezd2letzd2var1928zb0zztype_typeofz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2153z00zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22172za7,
		BGl_z62getzd2typezd2app1930z62zztype_typeofz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_iszd2subtypezf3zd2envzf3zztype_typeofz00,
		BgL_bgl_za762isza7d2subtypeza72173za7,
		BGl_z62iszd2subtypezf3z43zztype_typeofz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2typezd2kwotezd2envzd2zztype_typeofz00,
		BgL_bgl_za762getza7d2typeza7d22174za7,
		BGl_z62getzd2typezd2kwotez62zztype_typeofz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long
		BgL_checksumz00_2625, char *BgL_fromz00_2626)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztype_typeofz00))
				{
					BGl_requirezd2initializa7ationz75zztype_typeofz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztype_typeofz00();
					BGl_cnstzd2initzd2zztype_typeofz00();
					BGl_importedzd2moduleszd2initz00zztype_typeofz00();
					BGl_genericzd2initzd2zztype_typeofz00();
					BGl_methodzd2initzd2zztype_typeofz00();
					BGl_toplevelzd2initzd2zztype_typeofz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "type_typeof");
			BGl_modulezd2initializa7ationz75zz__evalz00(((long) 0), "type_typeof");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "type_typeof");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"type_typeof");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"type_typeof");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"type_typeof");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"type_typeof");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"type_typeof");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"type_typeof");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long) 0),
				"type_typeof");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"type_typeof");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"type_typeof");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "type_typeof");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			{	/* Type/typeof.scm 15 */
				obj_t BgL_cportz00_2616;

				BgL_cportz00_2616 =
					bgl_open_input_string(BGl_string2155z00zztype_typeofz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_2617;

					BgL_iz00_2617 = ((long) 0);
				BgL_loopz00_2618:
					if ((BgL_iz00_2617 == ((long) -1)))
						{	/* Type/typeof.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Type/typeof.scm 15 */
							{	/* Type/typeof.scm 15 */
								obj_t BgL_arg2157z00_2620;

								{	/* Type/typeof.scm 15 */

									{	/* Type/typeof.scm 15 */
										obj_t BgL_locationz00_2622;

										BgL_locationz00_2622 = BBOOL(((bool_t) 0));
										{	/* Type/typeof.scm 15 */

											BgL_arg2157z00_2620 =
												BGl_readz00zz__readerz00(BgL_cportz00_2616,
												BgL_locationz00_2622);
										}
									}
								}
								{	/* Type/typeof.scm 15 */
									int BgL_auxz00_2655;

									BgL_auxz00_2655 = (int) (BgL_iz00_2617);
									CNST_TABLE_SET(BgL_auxz00_2655, BgL_arg2157z00_2620);
							}}
							{	/* Type/typeof.scm 15 */
								int BgL_auxz00_2623;

								BgL_auxz00_2623 = (int) ((BgL_iz00_2617 - ((long) 1)));
								{
									long BgL_iz00_2660;

									BgL_iz00_2660 = (long) (BgL_auxz00_2623);
									BgL_iz00_2617 = BgL_iz00_2660;
									goto BgL_loopz00_2618;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			return BUNSPEC;
		}
	}



/* get-type-atom */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t BgL_atomz00_13)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 35 */
			if (NULLP(BgL_atomz00_13))
				{	/* Type/typeof.scm 37 */
					return ((BgL_typez00_bglt) BGl_za2bnilza2z00zztype_cachez00);
				}
			else
				{	/* Type/typeof.scm 37 */
					if (INTEGERP(BgL_atomz00_13))
						{	/* Type/typeof.scm 39 */
							return ((BgL_typez00_bglt) BGl_za2longza2z00zztype_cachez00);
						}
					else
						{	/* Type/typeof.scm 39 */
							if (BIGNUMP(BgL_atomz00_13))
								{	/* Type/typeof.scm 41 */
									return
										((BgL_typez00_bglt) BGl_za2bignumza2z00zztype_cachez00);
								}
							else
								{	/* Type/typeof.scm 43 */
									bool_t BgL_testz00_2671;

									if (INTEGERP(BgL_atomz00_13))
										{	/* Type/typeof.scm 43 */
											BgL_testz00_2671 = ((bool_t) 1);
										}
									else
										{	/* Type/typeof.scm 43 */
											BgL_testz00_2671 = REALP(BgL_atomz00_13);
										}
									if (BgL_testz00_2671)
										{	/* Type/typeof.scm 43 */
											return
												((BgL_typez00_bglt) BGl_za2realza2z00zztype_cachez00);
										}
									else
										{	/* Type/typeof.scm 43 */
											if (BOOLEANP(BgL_atomz00_13))
												{	/* Type/typeof.scm 45 */
													return
														((BgL_typez00_bglt)
														BGl_za2boolza2z00zztype_cachez00);
												}
											else
												{	/* Type/typeof.scm 45 */
													if (CHARP(BgL_atomz00_13))
														{	/* Type/typeof.scm 47 */
															return
																((BgL_typez00_bglt)
																BGl_za2charza2z00zztype_cachez00);
														}
													else
														{	/* Type/typeof.scm 47 */
															if (STRINGP(BgL_atomz00_13))
																{	/* Type/typeof.scm 49 */
																	return
																		((BgL_typez00_bglt)
																		BGl_za2bstringza2z00zztype_cachez00);
																}
															else
																{	/* Type/typeof.scm 49 */
																	if ((BgL_atomz00_13 == BUNSPEC))
																		{	/* Type/typeof.scm 51 */
																			return
																				((BgL_typez00_bglt)
																				BGl_za2unspecza2z00zztype_cachez00);
																		}
																	else
																		{	/* Type/typeof.scm 51 */
																			if (ELONGP(BgL_atomz00_13))
																				{	/* Type/typeof.scm 53 */
																					return
																						((BgL_typez00_bglt)
																						BGl_za2elongza2z00zztype_cachez00);
																				}
																			else
																				{	/* Type/typeof.scm 53 */
																					if (LLONGP(BgL_atomz00_13))
																						{	/* Type/typeof.scm 55 */
																							return
																								((BgL_typez00_bglt)
																								BGl_za2llongza2z00zztype_cachez00);
																						}
																					else
																						{	/* Type/typeof.scm 55 */
																							if (KEYWORDP(BgL_atomz00_13))
																								{	/* Type/typeof.scm 57 */
																									return
																										((BgL_typez00_bglt)
																										BGl_za2keywordza2z00zztype_cachez00);
																								}
																							else
																								{	/* Type/typeof.scm 57 */
																									return
																										((BgL_typez00_bglt)
																										BGl_za2objza2z00zztype_cachez00);
																								}
																						}
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* &get-type-atom */
	BgL_typez00_bglt BGl_z62getzd2typezd2atomz62zztype_typeofz00(obj_t
		BgL_envz00_2579, obj_t BgL_atomz00_2580)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 35 */
			return BGl_getzd2typezd2atomz00zztype_typeofz00(BgL_atomz00_2580);
		}
	}



/* get-type-kwote */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t BgL_kwotez00_14)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 65 */
			if (SYMBOLP(BgL_kwotez00_14))
				{	/* Type/typeof.scm 67 */
					return ((BgL_typez00_bglt) BGl_za2symbolza2z00zztype_cachez00);
				}
			else
				{	/* Type/typeof.scm 67 */
					if (KEYWORDP(BgL_kwotez00_14))
						{	/* Type/typeof.scm 69 */
							return ((BgL_typez00_bglt) BGl_za2keywordza2z00zztype_cachez00);
						}
					else
						{	/* Type/typeof.scm 69 */
							if (PAIRP(BgL_kwotez00_14))
								{	/* Type/typeof.scm 71 */
									return ((BgL_typez00_bglt) BGl_za2pairza2z00zztype_cachez00);
								}
							else
								{	/* Type/typeof.scm 71 */
									if (NULLP(BgL_kwotez00_14))
										{	/* Type/typeof.scm 73 */
											return
												((BgL_typez00_bglt) BGl_za2bnilza2z00zztype_cachez00);
										}
									else
										{	/* Type/typeof.scm 73 */
											if (VECTORP(BgL_kwotez00_14))
												{	/* Type/typeof.scm 75 */
													return
														((BgL_typez00_bglt)
														BGl_za2vectorza2z00zztype_cachez00);
												}
											else
												{	/* Type/typeof.scm 77 */
													bool_t BgL_testz00_2714;

													if (STRUCTP(BgL_kwotez00_14))
														{	/* Type/typeof.scm 77 */
															BgL_testz00_2714 =
																(STRUCT_KEY(BgL_kwotez00_14) ==
																CNST_TABLE_REF(((long) 0)));
														}
													else
														{	/* Type/typeof.scm 77 */
															BgL_testz00_2714 = ((bool_t) 0);
														}
													if (BgL_testz00_2714)
														{	/* Type/typeof.scm 77 */
															return
																((BgL_typez00_bglt)
																STRUCT_REF(BgL_kwotez00_14,
																	(int) (((long) 0))));
														}
													else
														{	/* Type/typeof.scm 77 */
															return
																((BgL_typez00_bglt)
																BGl_za2objza2z00zztype_cachez00);
														}
												}
										}
								}
						}
				}
		}
	}



/* &get-type-kwote */
	BgL_typez00_bglt BGl_z62getzd2typezd2kwotez62zztype_typeofz00(obj_t
		BgL_envz00_2581, obj_t BgL_kwotez00_2582)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 65 */
			return BGl_getzd2typezd2kwotez00zztype_typeofz00(BgL_kwotez00_2582);
		}
	}



/* pair-nil? */
	bool_t BGl_pairzd2nilzf3z21zztype_typeofz00(obj_t BgL_tz00_15)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 85 */
			{	/* Type/typeof.scm 86 */
				bool_t BgL__ortest_1098z00_1463;

				BgL__ortest_1098z00_1463 =
					(BgL_tz00_15 == BGl_za2pairza2z00zztype_cachez00);
				if (BgL__ortest_1098z00_1463)
					{	/* Type/typeof.scm 86 */
						return BgL__ortest_1098z00_1463;
					}
				else
					{	/* Type/typeof.scm 86 */
						bool_t BgL__ortest_1099z00_1464;

						BgL__ortest_1099z00_1464 =
							(BgL_tz00_15 == BGl_za2epairza2z00zztype_cachez00);
						if (BgL__ortest_1099z00_1464)
							{	/* Type/typeof.scm 86 */
								return BgL__ortest_1099z00_1464;
							}
						else
							{	/* Type/typeof.scm 86 */
								bool_t BgL__ortest_1100z00_1465;

								BgL__ortest_1100z00_1465 =
									(BgL_tz00_15 == BGl_za2bnilza2z00zztype_cachez00);
								if (BgL__ortest_1100z00_1465)
									{	/* Type/typeof.scm 86 */
										return BgL__ortest_1100z00_1465;
									}
								else
									{	/* Type/typeof.scm 86 */
										return
											(BgL_tz00_15 == BGl_za2pairzd2nilza2zd2zztype_cachez00);
									}
							}
					}
			}
		}
	}



/* is-subtype? */
	BGL_EXPORTED_DEF obj_t BGl_iszd2subtypezf3z21zztype_typeofz00(obj_t
		BgL_t1z00_21, obj_t BgL_t2z00_22)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 183 */
			if ((BgL_t1z00_21 == BgL_t2z00_22))
				{	/* Type/typeof.scm 185 */
					return BTRUE;
				}
			else
				{	/* Type/typeof.scm 187 */
					bool_t BgL_testz00_2734;

					if ((BgL_t1z00_21 == BGl_za2magicza2z00zztype_cachez00))
						{	/* Type/typeof.scm 187 */
							BgL_testz00_2734 = ((bool_t) 1);
						}
					else
						{	/* Type/typeof.scm 187 */
							BgL_testz00_2734 =
								(BgL_t2z00_22 == BGl_za2magicza2z00zztype_cachez00);
						}
					if (BgL_testz00_2734)
						{	/* Type/typeof.scm 187 */
							return BTRUE;
						}
					else
						{	/* Type/typeof.scm 189 */
							bool_t BgL_testz00_2738;

							if ((BgL_t2z00_22 == BGl_za2_za2z00zztype_cachez00))
								{	/* Type/typeof.scm 189 */
									BgL_testz00_2738 = ((bool_t) 1);
								}
							else
								{	/* Type/typeof.scm 189 */
									BgL_testz00_2738 =
										(BgL_t1z00_21 == BGl_za2_za2z00zztype_cachez00);
								}
							if (BgL_testz00_2738)
								{	/* Type/typeof.scm 189 */
									return BTRUE;
								}
							else
								{	/* Type/typeof.scm 189 */
									if ((BgL_t2z00_22 == BGl_za2pairzd2nilza2zd2zztype_cachez00))
										{	/* Type/typeof.scm 192 */
											bool_t BgL__ortest_1116z00_1470;

											BgL__ortest_1116z00_1470 =
												(BgL_t1z00_21 == BGl_za2pairza2z00zztype_cachez00);
											if (BgL__ortest_1116z00_1470)
												{	/* Type/typeof.scm 192 */
													return BBOOL(BgL__ortest_1116z00_1470);
												}
											else
												{	/* Type/typeof.scm 192 */
													bool_t BgL__ortest_1117z00_1471;

													BgL__ortest_1117z00_1471 =
														(BgL_t1z00_21 == BGl_za2epairza2z00zztype_cachez00);
													if (BgL__ortest_1117z00_1471)
														{	/* Type/typeof.scm 192 */
															return BBOOL(BgL__ortest_1117z00_1471);
														}
													else
														{	/* Type/typeof.scm 192 */
															return
																BBOOL(
																(BgL_t1z00_21 == BGl_za2nilza2z00zz__evalz00));
														}
												}
										}
									else
										{	/* Type/typeof.scm 193 */
											bool_t BgL_testz00_2752;

											if (BGl_isazf3zf3zz__objectz00(BgL_t1z00_21,
													BGl_tclassz00zzobject_classz00))
												{	/* Type/typeof.scm 193 */
													BgL_testz00_2752 = ((bool_t) 1);
												}
											else
												{	/* Type/typeof.scm 193 */
													BgL_testz00_2752 =
														BGl_isazf3zf3zz__objectz00(BgL_t2z00_22,
														BGl_tclassz00zzobject_classz00);
												}
											if (BgL_testz00_2752)
												{	/* Type/typeof.scm 193 */
													return
														BBOOL(BGl_typezd2subclasszf3z21zzobject_classz00(
															((BgL_typez00_bglt) BgL_t1z00_21),
															((BgL_typez00_bglt) BgL_t2z00_22)));
												}
											else
												{	/* Type/typeof.scm 195 */
													bool_t BgL_testz00_2760;

													if (BGl_bigloozd2typezf3z21zztype_typez00(
															((BgL_typez00_bglt) BgL_t1z00_21)))
														{	/* Type/typeof.scm 195 */
															BgL_testz00_2760 = ((bool_t) 0);
														}
													else
														{	/* Type/typeof.scm 195 */
															if (BGl_bigloozd2typezf3z21zztype_typez00(
																	((BgL_typez00_bglt) BgL_t2z00_22)))
																{	/* Type/typeof.scm 195 */
																	BgL_testz00_2760 = ((bool_t) 0);
																}
															else
																{	/* Type/typeof.scm 195 */
																	BgL_testz00_2760 = ((bool_t) 1);
																}
														}
													if (BgL_testz00_2760)
														{	/* Type/typeof.scm 195 */
															return
																BBOOL(BGl_czd2subtypezf3z21zztype_miscz00(
																	((BgL_typez00_bglt) BgL_t1z00_21),
																	((BgL_typez00_bglt) BgL_t2z00_22)));
														}
													else
														{	/* Type/typeof.scm 197 */
															bool_t BgL_testz00_2771;

															if (
																(BgL_t2z00_22 ==
																	BGl_za2bintza2z00zztype_cachez00))
																{	/* Type/typeof.scm 197 */
																	bool_t BgL__ortest_1118z00_1476;

																	BgL__ortest_1118z00_1476 =
																		(BGl_typez00zztype_typez00 ==
																		BGl_za2intza2z00zztype_cachez00);
																	if (BgL__ortest_1118z00_1476)
																		{	/* Type/typeof.scm 197 */
																			BgL_testz00_2771 =
																				BgL__ortest_1118z00_1476;
																		}
																	else
																		{	/* Type/typeof.scm 197 */
																			BgL_testz00_2771 =
																				(BGl_typez00zztype_typez00 ==
																				BGl_za2longza2z00zztype_cachez00);
																		}
																}
															else
																{	/* Type/typeof.scm 197 */
																	BgL_testz00_2771 = ((bool_t) 0);
																}
															if (BgL_testz00_2771)
																{	/* Type/typeof.scm 197 */
																	return BTRUE;
																}
															else
																{	/* Type/typeof.scm 197 */
																	return
																		BBOOL(
																		(BgL_t2z00_22 ==
																			BGl_za2objza2z00zztype_cachez00));
																}
														}
												}
										}
								}
						}
				}
		}
	}



/* &is-subtype? */
	obj_t BGl_z62iszd2subtypezf3z43zztype_typeofz00(obj_t BgL_envz00_2583,
		obj_t BgL_t1z00_2584, obj_t BgL_t2z00_2585)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 183 */
			return
				BGl_iszd2subtypezf3z21zztype_typeofz00(BgL_t1z00_2584, BgL_t2z00_2585);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00,
				BGl_proc2143z00zztype_typeofz00, BGl_nodez00zzast_nodez00,
				BGl_string2144z00zztype_typeofz00);
		}
	}



/* &get-type1913 */
	BgL_typez00_bglt BGl_z62getzd2type1913zb0zztype_typeofz00(obj_t
		BgL_envz00_2587, obj_t BgL_nodez00_2588)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 97 */
			return
				(((BgL_nodez00_bglt) CREF(
						((BgL_nodez00_bglt) BgL_nodez00_2588)))->BgL_typez00);
		}
	}



/* get-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt BgL_nodez00_16)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 97 */
			{	/* Type/typeof.scm 97 */
				obj_t BgL_method1914z00_1486;

				{	/* Type/typeof.scm 97 */
					obj_t BgL_res2138z00_2554;

					{	/* Type/typeof.scm 97 */
						BgL_objectz00_bglt BgL_objz00_2526;

						BgL_objz00_2526 = ((BgL_objectz00_bglt) BgL_nodez00_16);
						{	/* Type/typeof.scm 97 */
							long BgL_objzd2classzd2numz00_2527;

							{	/* Type/typeof.scm 97 */
								long BgL_res2132z00_2530;

								BgL_res2132z00_2530 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2526);
								BgL_objzd2classzd2numz00_2527 = BgL_res2132z00_2530;
							}
							{	/* Type/typeof.scm 97 */
								obj_t BgL_arg1803z00_2528;

								BgL_arg1803z00_2528 =
									PROCEDURE_REF(BGl_getzd2typezd2envz00zztype_typeofz00,
									(int) (((long) 1)));
								{	/* Type/typeof.scm 97 */
									obj_t BgL_arrayz00_2531;
									int BgL_offsetz00_2532;

									BgL_arrayz00_2531 = BgL_arg1803z00_2528;
									BgL_offsetz00_2532 = (int) (BgL_objzd2classzd2numz00_2527);
									{	/* Type/typeof.scm 97 */
										long BgL_offsetz00_2533;

										BgL_offsetz00_2533 =
											((long) (BgL_offsetz00_2532) - OBJECT_TYPE);
										{	/* Type/typeof.scm 97 */
											long BgL_modz00_2534;

											{	/* Type/typeof.scm 97 */
												int BgL_arg1805z00_2535;

												BgL_arg1805z00_2535 = (int) (((long) 16));
												{	/* Type/typeof.scm 97 */
													long BgL_res2135z00_2545;

													{	/* Type/typeof.scm 97 */
														long BgL_auxz00_2791;

														BgL_auxz00_2791 = (long) (BgL_arg1805z00_2535);
														BgL_res2135z00_2545 =
															(BgL_offsetz00_2533 / BgL_auxz00_2791);
													}
													BgL_modz00_2534 = BgL_res2135z00_2545;
											}}
											{	/* Type/typeof.scm 97 */
												long BgL_restz00_2536;

												{	/* Type/typeof.scm 97 */
													int BgL_arg1804z00_2537;

													BgL_arg1804z00_2537 = (int) (((long) 16));
													{	/* Type/typeof.scm 97 */
														long BgL_res2137z00_2549;

														{	/* Type/typeof.scm 97 */
															long BgL_auxz00_2795;

															BgL_auxz00_2795 = (long) (BgL_arg1804z00_2537);
															BgL_res2137z00_2549 =
																(BgL_offsetz00_2533 % BgL_auxz00_2795);
														}
														BgL_restz00_2536 = BgL_res2137z00_2549;
												}}
												{	/* Type/typeof.scm 97 */

													BgL_res2138z00_2554 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2531,
															(int) (BgL_modz00_2534)),
														(int) (BgL_restz00_2536));
					}}}}}}}}
					BgL_method1914z00_1486 = BgL_res2138z00_2554;
				}
				return
					((BgL_typez00_bglt)
					PROCEDURE_ENTRY(BgL_method1914z00_1486) (BgL_method1914z00_1486,
						((obj_t) BgL_nodez00_16), BEOA));
			}
		}
	}



/* &get-type */
	BgL_typez00_bglt BGl_z62getzd2typezb0zztype_typeofz00(obj_t BgL_envz00_2589,
		obj_t BgL_nodez00_2590)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 97 */
			return
				BGl_getzd2typezd2zztype_typeofz00(
				((BgL_nodez00_bglt) BgL_nodez00_2590));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_varz00zzast_nodez00,
				BGl_proc2145z00zztype_typeofz00, BGl_string2146z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2147z00zztype_typeofz00, BGl_string2146z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_syncz00zzast_nodez00,
				BGl_proc2148z00zztype_typeofz00, BGl_string2146z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2149z00zztype_typeofz00,
				BGl_string2146z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_selectz00zzast_nodez00,
				BGl_proc2150z00zztype_typeofz00, BGl_string2146z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2151z00zztype_typeofz00, BGl_string2146z00zztype_typeofz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2152z00zztype_typeofz00, BGl_string2146z00zztype_typeofz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2typezd2envz00zztype_typeofz00, BGl_appz00zzast_nodez00,
				BGl_proc2153z00zztype_typeofz00, BGl_string2146z00zztype_typeofz00);
		}
	}



/* &get-type-app1930 */
	BgL_typez00_bglt BGl_z62getzd2typezd2app1930z62zztype_typeofz00(obj_t
		BgL_envz00_2599, obj_t BgL_nodez00_2600)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 246 */
			{
				BgL_appz00_bglt BgL_nodez00_1619;

				BgL_nodez00_1619 = ((BgL_appz00_bglt) BgL_nodez00_2600);
				{	/* Type/typeof.scm 248 */
					bool_t BgL_testz00_2818;

					{	/* Type/typeof.scm 248 */
						BgL_typez00_bglt BgL_arg2049z00_1626;

						BgL_arg2049z00_1626 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1619)))->BgL_typez00);
						BgL_testz00_2818 =
							(((obj_t) BgL_arg2049z00_1626) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2818)
						{	/* Type/typeof.scm 248 */
							return
								(((BgL_variablez00_bglt) CREF(
										(((BgL_varz00_bglt) CREF(
													(((BgL_appz00_bglt) CREF(BgL_nodez00_1619))->
														BgL_funz00)))->BgL_variablez00)))->BgL_typez00);
						}
					else
						{	/* Type/typeof.scm 248 */
							return
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_1619)))->BgL_typez00);
						}
				}
			}
		}
	}



/* &get-type-let-var1928 */
	BgL_typez00_bglt BGl_z62getzd2typezd2letzd2var1928zb0zztype_typeofz00(obj_t
		BgL_envz00_2601, obj_t BgL_nodez00_2602)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 237 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1611;

				BgL_nodez00_1611 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2602);
				{	/* Type/typeof.scm 239 */
					bool_t BgL_testz00_2829;

					{	/* Type/typeof.scm 239 */
						BgL_typez00_bglt BgL_arg2044z00_1617;

						BgL_arg2044z00_1617 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1611)))->BgL_typez00);
						BgL_testz00_2829 =
							(((obj_t) BgL_arg2044z00_1617) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2829)
						{	/* Type/typeof.scm 239 */
							return
								BGl_getzd2typezd2zztype_typeofz00(
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1611))->
									BgL_bodyz00));
						}
					else
						{	/* Type/typeof.scm 239 */
							return
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_1611)))->BgL_typez00);
						}
				}
			}
		}
	}



/* &get-type-let-fun1926 */
	BgL_typez00_bglt BGl_z62getzd2typezd2letzd2fun1926zb0zztype_typeofz00(obj_t
		BgL_envz00_2603, obj_t BgL_nodez00_2604)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 228 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1603;

				BgL_nodez00_1603 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2604);
				{	/* Type/typeof.scm 230 */
					bool_t BgL_testz00_2839;

					{	/* Type/typeof.scm 230 */
						BgL_typez00_bglt BgL_arg2041z00_1609;

						BgL_arg2041z00_1609 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1603)))->BgL_typez00);
						BgL_testz00_2839 =
							(((obj_t) BgL_arg2041z00_1609) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2839)
						{	/* Type/typeof.scm 230 */
							return
								BGl_getzd2typezd2zztype_typeofz00(
								(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1603))->
									BgL_bodyz00));
						}
					else
						{	/* Type/typeof.scm 230 */
							return
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_1603)))->BgL_typez00);
						}
				}
			}
		}
	}



/* &get-type-select1924 */
	BgL_typez00_bglt BGl_z62getzd2typezd2select1924z62zztype_typeofz00(obj_t
		BgL_envz00_2605, obj_t BgL_nodez00_2606)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 205 */
			{
				BgL_selectz00_bglt BgL_nodez00_1571;

				BgL_nodez00_1571 = ((BgL_selectz00_bglt) BgL_nodez00_2606);
				{	/* Type/typeof.scm 207 */
					bool_t BgL_testz00_2849;

					{	/* Type/typeof.scm 207 */
						BgL_typez00_bglt BgL_arg2038z00_1601;

						BgL_arg2038z00_1601 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1571)))->BgL_typez00);
						BgL_testz00_2849 =
							(((obj_t) BgL_arg2038z00_1601) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2849)
						{	/* Type/typeof.scm 208 */
							obj_t BgL_g1121z00_1576;
							BgL_typez00_bglt BgL_g1122z00_1577;

							BgL_g1121z00_1576 =
								CDR(
								(((BgL_selectz00_bglt) CREF(BgL_nodez00_1571))->
									BgL_clausesz00));
							{	/* Type/typeof.scm 209 */
								obj_t BgL_arg2035z00_1598;

								BgL_arg2035z00_1598 =
									CDR(CAR(
										(((BgL_selectz00_bglt) CREF(BgL_nodez00_1571))->
											BgL_clausesz00)));
								BgL_g1122z00_1577 =
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
										BgL_arg2035z00_1598));
							}
							{
								obj_t BgL_clausesz00_1579;
								obj_t BgL_typez00_1580;

								{
									obj_t BgL_auxz00_2861;

									BgL_clausesz00_1579 = BgL_g1121z00_1576;
									BgL_typez00_1580 = ((obj_t) BgL_g1122z00_1577);
								BgL_zc3anonymousza32018ze3z83_1581:
									if (NULLP(BgL_clausesz00_1579))
										{	/* Type/typeof.scm 210 */
											BgL_auxz00_2861 = BgL_typez00_1580;
										}
									else
										{	/* Type/typeof.scm 212 */
											BgL_typez00_bglt BgL_ntypez00_1583;

											{	/* Type/typeof.scm 212 */
												obj_t BgL_arg2032z00_1594;

												BgL_arg2032z00_1594 = CDR(CAR(BgL_clausesz00_1579));
												BgL_ntypez00_1583 =
													BGl_getzd2typezd2zztype_typeofz00(
													((BgL_nodez00_bglt) BgL_arg2032z00_1594));
											}
											if ((((obj_t) BgL_ntypez00_1583) == BgL_typez00_1580))
												{
													obj_t BgL_clausesz00_2871;

													BgL_clausesz00_2871 = CDR(BgL_clausesz00_1579);
													BgL_clausesz00_1579 = BgL_clausesz00_2871;
													goto BgL_zc3anonymousza32018ze3z83_1581;
												}
											else
												{	/* Type/typeof.scm 214 */
													if (
														(BgL_typez00_1580 ==
															BGl_za2magicza2z00zztype_cachez00))
														{	/* Type/typeof.scm 217 */
															obj_t BgL_arg2024z00_1587;

															BgL_arg2024z00_1587 = CDR(BgL_clausesz00_1579);
															{
																obj_t BgL_typez00_2877;
																obj_t BgL_clausesz00_2876;

																BgL_clausesz00_2876 = BgL_arg2024z00_1587;
																BgL_typez00_2877 = ((obj_t) BgL_ntypez00_1583);
																BgL_typez00_1580 = BgL_typez00_2877;
																BgL_clausesz00_1579 = BgL_clausesz00_2876;
																goto BgL_zc3anonymousza32018ze3z83_1581;
															}
														}
													else
														{	/* Type/typeof.scm 218 */
															bool_t BgL_testz00_2879;

															if (
																(((obj_t) BgL_ntypez00_1583) ==
																	BgL_typez00_1580))
																{	/* Type/typeof.scm 218 */
																	BgL_testz00_2879 = ((bool_t) 1);
																}
															else
																{	/* Type/typeof.scm 218 */
																	BgL_testz00_2879 =
																		(
																		((obj_t) BgL_ntypez00_1583) ==
																		BGl_za2magicza2z00zztype_cachez00);
																}
															if (BgL_testz00_2879)
																{
																	obj_t BgL_clausesz00_2885;

																	BgL_clausesz00_2885 =
																		CDR(BgL_clausesz00_1579);
																	BgL_clausesz00_1579 = BgL_clausesz00_2885;
																	goto BgL_zc3anonymousza32018ze3z83_1581;
																}
															else
																{	/* Type/typeof.scm 220 */
																	bool_t BgL_testz00_2887;

																	if (BGl_pairzd2nilzf3z21zztype_typeofz00
																		(BgL_typez00_1580))
																		{	/* Type/typeof.scm 220 */
																			BgL_testz00_2887 =
																				BGl_pairzd2nilzf3z21zztype_typeofz00(
																				((obj_t) BgL_ntypez00_1583));
																		}
																	else
																		{	/* Type/typeof.scm 220 */
																			BgL_testz00_2887 = ((bool_t) 0);
																		}
																	if (BgL_testz00_2887)
																		{	/* Type/typeof.scm 221 */
																			obj_t BgL_arg2028z00_1591;

																			BgL_arg2028z00_1591 =
																				CDR(BgL_clausesz00_1579);
																			{
																				obj_t BgL_typez00_2894;
																				obj_t BgL_clausesz00_2893;

																				BgL_clausesz00_2893 =
																					BgL_arg2028z00_1591;
																				BgL_typez00_2894 =
																					BGl_za2pairzd2nilza2zd2zztype_cachez00;
																				BgL_typez00_1580 = BgL_typez00_2894;
																				BgL_clausesz00_1579 =
																					BgL_clausesz00_2893;
																				goto BgL_zc3anonymousza32018ze3z83_1581;
																			}
																		}
																	else
																		{	/* Type/typeof.scm 220 */
																			BgL_auxz00_2861 =
																				BGl_za2objza2z00zztype_cachez00;
																		}
																}
														}
												}
										}
									return ((BgL_typez00_bglt) BgL_auxz00_2861);
								}
							}
						}
					else
						{	/* Type/typeof.scm 207 */
							return
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_1571)))->BgL_typez00);
						}
				}
			}
		}
	}



/* &get-type-conditional1922 */
	BgL_typez00_bglt BGl_z62getzd2typezd2conditional1922z62zztype_typeofz00(obj_t
		BgL_envz00_2607, obj_t BgL_nodez00_2608)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 163 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1552;

				BgL_nodez00_1552 = ((BgL_conditionalz00_bglt) BgL_nodez00_2608);
				{	/* Type/typeof.scm 165 */
					bool_t BgL_testz00_2900;

					{	/* Type/typeof.scm 165 */
						BgL_typez00_bglt BgL_arg2016z00_1569;

						BgL_arg2016z00_1569 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1552)))->BgL_typez00);
						BgL_testz00_2900 =
							(((obj_t) BgL_arg2016z00_1569) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2900)
						{	/* Type/typeof.scm 167 */
							BgL_typez00_bglt BgL_ttruez00_1558;
							BgL_typez00_bglt BgL_tfalsez00_1559;

							BgL_ttruez00_1558 =
								BGl_getzd2typezd2zztype_typeofz00(
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1552))->
									BgL_truez00));
							BgL_tfalsez00_1559 =
								BGl_getzd2typezd2zztype_typeofz00((((BgL_conditionalz00_bglt)
										CREF(BgL_nodez00_1552))->BgL_falsez00));
							{	/* Type/typeof.scm 170 */
								bool_t BgL_testz00_2909;

								if (
									(((obj_t) BgL_ttruez00_1558) == ((obj_t) BgL_tfalsez00_1559)))
									{	/* Type/typeof.scm 170 */
										BgL_testz00_2909 = ((bool_t) 1);
									}
								else
									{	/* Type/typeof.scm 170 */
										BgL_testz00_2909 =
											(
											((obj_t) BgL_tfalsez00_1559) ==
											BGl_za2magicza2z00zztype_cachez00);
									}
								if (BgL_testz00_2909)
									{	/* Type/typeof.scm 170 */
										return BgL_ttruez00_1558;
									}
								else
									{	/* Type/typeof.scm 170 */
										if (
											(((obj_t) BgL_ttruez00_1558) ==
												BGl_za2magicza2z00zztype_cachez00))
											{	/* Type/typeof.scm 171 */
												return BgL_tfalsez00_1559;
											}
										else
											{	/* Type/typeof.scm 172 */
												bool_t BgL_testz00_2919;

												if (BGl_pairzd2nilzf3z21zztype_typeofz00(
														((obj_t) BgL_ttruez00_1558)))
													{	/* Type/typeof.scm 172 */
														BgL_testz00_2919 =
															BGl_pairzd2nilzf3z21zztype_typeofz00(
															((obj_t) BgL_tfalsez00_1559));
													}
												else
													{	/* Type/typeof.scm 172 */
														BgL_testz00_2919 = ((bool_t) 0);
													}
												if (BgL_testz00_2919)
													{	/* Type/typeof.scm 172 */
														return
															((BgL_typez00_bglt)
															BGl_za2pairzd2nilza2zd2zztype_cachez00);
													}
												else
													{	/* Type/typeof.scm 172 */
														if (CBOOL(BGl_iszd2subtypezf3z21zztype_typeofz00(
																	((obj_t) BgL_ttruez00_1558),
																	((obj_t) BgL_tfalsez00_1559))))
															{	/* Type/typeof.scm 173 */
																return BgL_tfalsez00_1559;
															}
														else
															{	/* Type/typeof.scm 173 */
																if (CBOOL(BGl_iszd2subtypezf3z21zztype_typeofz00
																		(((obj_t) BgL_tfalsez00_1559),
																			((obj_t) BgL_ttruez00_1558))))
																	{	/* Type/typeof.scm 174 */
																		return BgL_ttruez00_1558;
																	}
																else
																	{	/* Type/typeof.scm 174 */
																		return
																			((BgL_typez00_bglt)
																			BGl_za2objza2z00zztype_cachez00);
																	}
															}
													}
											}
									}
							}
						}
					else
						{	/* Type/typeof.scm 165 */
							return
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_1552)))->BgL_typez00);
						}
				}
			}
		}
	}



/* &get-type-sync1920 */
	BgL_typez00_bglt BGl_z62getzd2typezd2sync1920z62zztype_typeofz00(obj_t
		BgL_envz00_2609, obj_t BgL_nodez00_2610)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 153 */
			{
				BgL_syncz00_bglt BgL_nodez00_1541;

				BgL_nodez00_1541 = ((BgL_syncz00_bglt) BgL_nodez00_2610);
				{	/* Type/typeof.scm 155 */
					bool_t BgL_testz00_2940;

					{	/* Type/typeof.scm 155 */
						BgL_typez00_bglt BgL_arg2004z00_1550;

						BgL_arg2004z00_1550 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1541)))->BgL_typez00);
						BgL_testz00_2940 =
							(((obj_t) BgL_arg2004z00_1550) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2940)
						{	/* Type/typeof.scm 157 */
							obj_t BgL_arg2001z00_1547;

							BgL_arg2001z00_1547 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_syncz00_bglt) CREF(BgL_nodez00_1541))->BgL_nodesz00)));
							return
								BGl_getzd2typezd2zztype_typeofz00(
								((BgL_nodez00_bglt) BgL_arg2001z00_1547));
						}
					else
						{	/* Type/typeof.scm 155 */
							return
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_1541)))->BgL_typez00);
						}
				}
			}
		}
	}



/* &get-type-sequence1918 */
	BgL_typez00_bglt BGl_z62getzd2typezd2sequence1918z62zztype_typeofz00(obj_t
		BgL_envz00_2611, obj_t BgL_nodez00_2612)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 143 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1530;

				BgL_nodez00_1530 = ((BgL_sequencez00_bglt) BgL_nodez00_2612);
				{	/* Type/typeof.scm 145 */
					bool_t BgL_testz00_2953;

					{	/* Type/typeof.scm 145 */
						BgL_typez00_bglt BgL_arg1999z00_1539;

						BgL_arg1999z00_1539 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1530)))->BgL_typez00);
						BgL_testz00_2953 =
							(((obj_t) BgL_arg1999z00_1539) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_2953)
						{	/* Type/typeof.scm 147 */
							obj_t BgL_arg1996z00_1536;

							BgL_arg1996z00_1536 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1530))->
										BgL_nodesz00)));
							return BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
									BgL_arg1996z00_1536));
						}
					else
						{	/* Type/typeof.scm 145 */
							return
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_1530)))->BgL_typez00);
						}
				}
			}
		}
	}



/* &get-type-var1916 */
	BgL_typez00_bglt BGl_z62getzd2typezd2var1916z62zztype_typeofz00(obj_t
		BgL_envz00_2613, obj_t BgL_nodez00_2614)
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 119 */
			{
				BgL_varz00_bglt BgL_nodez00_1487;

				BgL_nodez00_1487 = ((BgL_varz00_bglt) BgL_nodez00_2614);
				{	/* Type/typeof.scm 134 */
					BgL_variablez00_bglt BgL_i1109z00_1493;

					BgL_i1109z00_1493 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1487))->BgL_variablez00);
					{	/* Type/typeof.scm 136 */
						bool_t BgL_testz00_2967;

						{	/* Type/typeof.scm 136 */
							BgL_typez00_bglt BgL_arg1978z00_1500;

							BgL_arg1978z00_1500 =
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_1487)))->BgL_typez00);
							BgL_testz00_2967 =
								(
								((obj_t) BgL_arg1978z00_1500) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_2967)
							{	/* Type/typeof.scm 136 */
								return
									(((BgL_variablez00_bglt) CREF(BgL_i1109z00_1493))->
									BgL_typez00);
							}
						else
							{	/* Type/typeof.scm 137 */
								bool_t BgL_testz00_2973;

								{	/* Type/typeof.scm 137 */
									bool_t BgL_testz00_2974;

									{	/* Type/typeof.scm 137 */
										BgL_typez00_bglt BgL_arg1977z00_1499;

										BgL_arg1977z00_1499 =
											(((BgL_variablez00_bglt) CREF(BgL_i1109z00_1493))->
											BgL_typez00);
										{	/* Type/typeof.scm 137 */
											bool_t BgL_res2139z00_2556;

											{	/* Type/typeof.scm 137 */
												obj_t BgL_objz00_2555;

												BgL_objz00_2555 = ((obj_t) BgL_arg1977z00_1499);
												BgL_res2139z00_2556 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_2555,
													BGl_tclassz00zzobject_classz00);
											}
											BgL_testz00_2974 = BgL_res2139z00_2556;
										}
									}
									if (BgL_testz00_2974)
										{	/* Type/typeof.scm 137 */
											BgL_typez00_bglt BgL_arg1974z00_1497;
											BgL_typez00_bglt BgL_arg1975z00_1498;

											BgL_arg1974z00_1497 =
												(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1487)))->
												BgL_typez00);
											BgL_arg1975z00_1498 =
												(((BgL_variablez00_bglt) CREF(BgL_i1109z00_1493))->
												BgL_typez00);
											BgL_testz00_2973 =
												BGl_typezd2subclasszf3z21zzobject_classz00
												(BgL_arg1974z00_1497, BgL_arg1975z00_1498);
										}
									else
										{	/* Type/typeof.scm 137 */
											BgL_testz00_2973 = ((bool_t) 0);
										}
								}
								if (BgL_testz00_2973)
									{	/* Type/typeof.scm 137 */
										return
											(((BgL_variablez00_bglt) CREF(BgL_i1109z00_1493))->
											BgL_typez00);
									}
								else
									{	/* Type/typeof.scm 137 */
										return
											(((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_1487)))->BgL_typez00);
									}
							}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztype_typeofz00()
	{
		AN_OBJECT;
		{	/* Type/typeof.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2154z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2154z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zztype_coercionz00(((long) 116865673),
				BSTRING_TO_STRING(BGl_string2154z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2154z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string2154z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2154z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2154z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2154z00zztype_typeofz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2154z00zztype_typeofz00));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2154z00zztype_typeofz00));
		}
	}

#ifdef __cplusplus
}
#endif
