/*===========================================================================*/
/*   (Eval/evaluate_uncomp.scm)                                              */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_uncomp.scm -indent -o objs/obj_u/Eval/evaluate_uncomp.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_symbol1911z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1913z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1915z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1917z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncomp1178z62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_symbol1919z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t
		BGl_z62uncompzd2ev_bindzd2exit1204z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_symbol1921z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
		BUNSPEC;
	static obj_t BGl_keyword1897z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1863z00zz__evaluate_uncompz00 = BUNSPEC;
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00();
	static obj_t
		BGl_z62uncompzd2ev_unwindzd2pro1206z62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_let1212zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_symbol1889z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_symbol1891z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1893z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_or1190zb0zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_symbol1895z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1899z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00();
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_goto1220zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_recz00zz__evaluate_uncompz00(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_defglobal1200zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_var1182zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_prog21194zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_app1222zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_redovarsz00zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t
		BGl_z62uncompzd2ev_synchroniza71210z17zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62uncompzd2ev_abs1224zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_labels1218zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_setglobal1198zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_and1192zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
	static obj_t BGl_z62uncompzd2ev_if1188zb0zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_letza21214z12zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompzd2ev_global1184zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t, obj_t);
	static obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62uncompzd2ev_letrec1216zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t
		BGl_z62uncompzd2ev_withzd2handl1208z62zz__evaluate_uncompz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	extern obj_t bstring_to_keyword(obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_z62uncompzd2ev_setlocal1202zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_symbol1901z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1903z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1905z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_symbol1907z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_trap1196zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t BGl_symbol1909z00zz__evaluate_uncompz00 = BUNSPEC;
	static obj_t BGl_z62uncompzd2ev_litt1186zb0zz__evaluate_uncompz00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1900z00zz__evaluate_uncompz00,
		BgL_bgl_string1900za700za7za7_1924za7, "synchronize", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_uncompilezd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompileza762za71925za7,
		BGl_z62uncompilez62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1902z00zz__evaluate_uncompz00,
		BgL_bgl_string1902za700za7za7_1926za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string1904z00zz__evaluate_uncompz00,
		BgL_bgl_string1904za700za7za7_1927za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string1906z00zz__evaluate_uncompz00,
		BgL_bgl_string1906za700za7za7_1928za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string1908z00zz__evaluate_uncompz00,
		BgL_bgl_string1908za700za7za7_1929za7, "set!", 4);
	      DEFINE_STRING(BGl_string1910z00zz__evaluate_uncompz00,
		BgL_bgl_string1910za700za7za7_1930za7, "define", 6);
	      DEFINE_STRING(BGl_string1912z00zz__evaluate_uncompz00,
		BgL_bgl_string1912za700za7za7_1931za7, "trap", 4);
	      DEFINE_STRING(BGl_string1914z00zz__evaluate_uncompz00,
		BgL_bgl_string1914za700za7za7_1932za7, "begin", 5);
	      DEFINE_STRING(BGl_string1916z00zz__evaluate_uncompz00,
		BgL_bgl_string1916za700za7za7_1933za7, "and", 3);
	      DEFINE_STRING(BGl_string1918z00zz__evaluate_uncompz00,
		BgL_bgl_string1918za700za7za7_1934za7, "or", 2);
	      DEFINE_STRING(BGl_string1920z00zz__evaluate_uncompz00,
		BgL_bgl_string1920za700za7za7_1935za7, "if", 2);
	      DEFINE_STRING(BGl_string1922z00zz__evaluate_uncompz00,
		BgL_bgl_string1922za700za7za7_1936za7, "quote", 5);
	      DEFINE_STRING(BGl_string1923z00zz__evaluate_uncompz00,
		BgL_bgl_string1923za700za7za7_1937za7, "__evaluate_uncomp", 17);
	      DEFINE_STRING(BGl_string1858z00zz__evaluate_uncompz00,
		BgL_bgl_string1858za700za7za7_1938za7,
		"/tmp/bigloo/runtime/Eval/evaluate_uncomp.scm", 44);
	      DEFINE_STRING(BGl_string1859z00zz__evaluate_uncompz00,
		BgL_bgl_string1859za700za7za7_1939za7, "&uncompile", 10);
	      DEFINE_STRING(BGl_string1860z00zz__evaluate_uncompz00,
		BgL_bgl_string1860za700za7za7_1940za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string1862z00zz__evaluate_uncompz00,
		BgL_bgl_string1862za700za7za7_1941za7, "uncomp1178", 10);
	      DEFINE_STRING(BGl_string1864z00zz__evaluate_uncompz00,
		BgL_bgl_string1864za700za7za7_1942za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string1865z00zz__evaluate_uncompz00,
		BgL_bgl_string1865za700za7za7_1943za7, "&uncomp", 7);
	      DEFINE_STRING(BGl_string1867z00zz__evaluate_uncompz00,
		BgL_bgl_string1867za700za7za7_1944za7, "uncomp", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1861z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncomp1178za7621945z00,
		BGl_z62uncomp1178z62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1866z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_v1946z00,
		BGl_z62uncompzd2ev_var1182zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1868z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g1947z00,
		BGl_z62uncompzd2ev_global1184zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1869z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1948z00,
		BGl_z62uncompzd2ev_litt1186zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1870z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_i1949z00,
		BGl_z62uncompzd2ev_if1188zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1871z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_o1950z00,
		BGl_z62uncompzd2ev_or1190zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1872z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1951z00,
		BGl_z62uncompzd2ev_and1192zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1873z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_p1952z00,
		BGl_z62uncompzd2ev_prog21194zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_t1953z00,
		BGl_z62uncompzd2ev_trap1196zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s1954z00,
		BGl_z62uncompzd2ev_setglobal1198zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_d1955z00,
		BGl_z62uncompzd2ev_defglobal1200zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s1956z00,
		BGl_z62uncompzd2ev_setlocal1202zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_b1957z00,
		BGl_z62uncompzd2ev_bindzd2exit1204z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_u1958z00,
		BGl_z62uncompzd2ev_unwindzd2pro1206z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1880z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_w1959z00,
		BGl_z62uncompzd2ev_withzd2handl1208z62zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1881z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_s1960z00,
		BGl_z62uncompzd2ev_synchroniza71210z17zz__evaluate_uncompz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1882z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1961z00,
		BGl_z62uncompzd2ev_let1212zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1883z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1962z00,
		BGl_z62uncompzd2ev_letza21214z12zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1890z00zz__evaluate_uncompz00,
		BgL_bgl_string1890za700za7za7_1963za7, "lambda", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1884z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1964z00,
		BGl_z62uncompzd2ev_letrec1216zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1885z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_l1965z00,
		BGl_z62uncompzd2ev_labels1218zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1892z00zz__evaluate_uncompz00,
		BgL_bgl_string1892za700za7za7_1966za7, "letrec", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1886z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_g1967z00,
		BGl_z62uncompzd2ev_goto1220zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1887z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1968z00,
		BGl_z62uncompzd2ev_app1222zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1894z00zz__evaluate_uncompz00,
		BgL_bgl_string1894za700za7za7_1969za7, "let*", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1888z00zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza7d2ev_a1970z00,
		BGl_z62uncompzd2ev_abs1224zb0zz__evaluate_uncompz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1896z00zz__evaluate_uncompz00,
		BgL_bgl_string1896za700za7za7_1971za7, "let", 3);
	      DEFINE_STRING(BGl_string1898z00zz__evaluate_uncompz00,
		BgL_bgl_string1898za700za7za7_1972za7, "prelock", 7);
	      DEFINE_STATIC_BGL_GENERIC(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
		BgL_bgl_za762uncompza762za7za7__1973z00,
		BGl_z62uncompz62zz__evaluate_uncompz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long
		BgL_checksumz00_2159, char *BgL_fromz00_2160)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_uncompz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_uncompz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00();
					BGl_genericzd2initzd2zz__evaluate_uncompz00();
					BGl_methodzd2initzd2zz__evaluate_uncompz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_symbol1863z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1862z00zz__evaluate_uncompz00);
			BGl_symbol1889z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1890z00zz__evaluate_uncompz00);
			BGl_symbol1891z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1892z00zz__evaluate_uncompz00);
			BGl_symbol1893z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1894z00zz__evaluate_uncompz00);
			BGl_symbol1895z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1896z00zz__evaluate_uncompz00);
			BGl_keyword1897z00zz__evaluate_uncompz00 =
				bstring_to_keyword(BGl_string1898z00zz__evaluate_uncompz00);
			BGl_symbol1899z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1900z00zz__evaluate_uncompz00);
			BGl_symbol1901z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1902z00zz__evaluate_uncompz00);
			BGl_symbol1903z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1904z00zz__evaluate_uncompz00);
			BGl_symbol1905z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1906z00zz__evaluate_uncompz00);
			BGl_symbol1907z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1908z00zz__evaluate_uncompz00);
			BGl_symbol1909z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1910z00zz__evaluate_uncompz00);
			BGl_symbol1911z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1912z00zz__evaluate_uncompz00);
			BGl_symbol1913z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1914z00zz__evaluate_uncompz00);
			BGl_symbol1915z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1916z00zz__evaluate_uncompz00);
			BGl_symbol1917z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1918z00zz__evaluate_uncompz00);
			BGl_symbol1919z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1920z00zz__evaluate_uncompz00);
			return (BGl_symbol1921z00zz__evaluate_uncompz00 =
				bstring_to_symbol(BGl_string1922z00zz__evaluate_uncompz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
	}



/* uncompile */
	BGL_EXPORTED_DEF obj_t
		BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 62 */
			return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_3);
		}
	}



/* &uncompile */
	obj_t BGl_z62uncompilez62zz__evaluate_uncompz00(obj_t BgL_envz00_2077,
		obj_t BgL_ez00_2078)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 62 */
			{	/* Eval/evaluate_uncomp.scm 63 */
				BgL_ev_exprz00_bglt BgL_ez00_2156;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2078,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 63 */
						BgL_ez00_2156 = ((BgL_ev_exprz00_bglt) BgL_ez00_2078);
					}
				else
					{
						obj_t BgL_auxz00_2190;

						BgL_auxz00_2190 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1858z00zz__evaluate_uncompz00, BINT(((long) 1816)),
							BGl_string1859z00zz__evaluate_uncompz00,
							BGl_string1860z00zz__evaluate_uncompz00, BgL_ez00_2078);
						FAILURE(BgL_auxz00_2190, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_ez00_2156);
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_proc1861z00zz__evaluate_uncompz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string1862z00zz__evaluate_uncompz00);
		}
	}



/* &uncomp1178 */
	obj_t BGl_z62uncomp1178z62zz__evaluate_uncompz00(obj_t BgL_envz00_2080,
		obj_t BgL_ez00_2081)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_652;

				BgL_ez00_652 = ((BgL_ev_exprz00_bglt) BgL_ez00_2081);
				return
					BGl_errorz00zz__errorz00(BGl_symbol1863z00zz__evaluate_uncompz00,
					BGl_string1864z00zz__evaluate_uncompz00, ((obj_t) BgL_ez00_652));
			}
		}
	}



/* uncomp */
	obj_t BGl_uncompz00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt BgL_ez00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				obj_t BgL_method1180z00_655;

				{	/* Eval/evaluate_uncomp.scm 65 */
					obj_t BgL_res1735z00_1356;

					{	/* Eval/evaluate_uncomp.scm 65 */
						BgL_objectz00_bglt BgL_objz00_1328;

						BgL_objz00_1328 = ((BgL_objectz00_bglt) BgL_ez00_4);
						{	/* Eval/evaluate_uncomp.scm 65 */
							long BgL_objzd2classzd2numz00_1329;

							{	/* Eval/evaluate_uncomp.scm 65 */
								long BgL_res1729z00_1332;

								BgL_res1729z00_1332 = BGL_OBJECT_CLASS_NUM(BgL_objz00_1328);
								BgL_objzd2classzd2numz00_1329 = BgL_res1729z00_1332;
							}
							{	/* Eval/evaluate_uncomp.scm 65 */
								obj_t BgL_arg1723z00_1330;

								BgL_arg1723z00_1330 =
									PROCEDURE_REF(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_uncomp.scm 65 */
									obj_t BgL_arrayz00_1333;
									int BgL_offsetz00_1334;

									BgL_arrayz00_1333 = BgL_arg1723z00_1330;
									BgL_offsetz00_1334 = (int) (BgL_objzd2classzd2numz00_1329);
									{	/* Eval/evaluate_uncomp.scm 65 */
										long BgL_offsetz00_1335;

										BgL_offsetz00_1335 =
											((long) (BgL_offsetz00_1334) - OBJECT_TYPE);
										{	/* Eval/evaluate_uncomp.scm 65 */
											long BgL_modz00_1336;

											{	/* Eval/evaluate_uncomp.scm 65 */
												int BgL_arg1725z00_1337;

												BgL_arg1725z00_1337 = (int) (((long) 16));
												{	/* Eval/evaluate_uncomp.scm 65 */
													long BgL_res1732z00_1347;

													{	/* Eval/evaluate_uncomp.scm 65 */
														long BgL_auxz00_2207;

														BgL_auxz00_2207 = (long) (BgL_arg1725z00_1337);
														BgL_res1732z00_1347 =
															(BgL_offsetz00_1335 / BgL_auxz00_2207);
													}
													BgL_modz00_1336 = BgL_res1732z00_1347;
											}}
											{	/* Eval/evaluate_uncomp.scm 65 */
												long BgL_restz00_1338;

												{	/* Eval/evaluate_uncomp.scm 65 */
													int BgL_arg1724z00_1339;

													BgL_arg1724z00_1339 = (int) (((long) 16));
													{	/* Eval/evaluate_uncomp.scm 65 */
														long BgL_res1734z00_1351;

														{	/* Eval/evaluate_uncomp.scm 65 */
															long BgL_auxz00_2211;

															BgL_auxz00_2211 = (long) (BgL_arg1724z00_1339);
															BgL_res1734z00_1351 =
																(BgL_offsetz00_1335 % BgL_auxz00_2211);
														}
														BgL_restz00_1338 = BgL_res1734z00_1351;
												}}
												{	/* Eval/evaluate_uncomp.scm 65 */

													BgL_res1735z00_1356 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_1333,
															(int) (BgL_modz00_1336)),
														(int) (BgL_restz00_1338));
					}}}}}}}}
					BgL_method1180z00_655 = BgL_res1735z00_1356;
				}
				return
					PROCEDURE_ENTRY(BgL_method1180z00_655) (BgL_method1180z00_655,
					((obj_t) BgL_ez00_4), BEOA);
			}
		}
	}



/* &uncomp */
	obj_t BGl_z62uncompz62zz__evaluate_uncompz00(obj_t BgL_envz00_2082,
		obj_t BgL_ez00_2083)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 65 */
			{	/* Eval/evaluate_uncomp.scm 65 */
				BgL_ev_exprz00_bglt BgL_auxz00_2223;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_2083,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_uncomp.scm 65 */
						BgL_auxz00_2223 = ((BgL_ev_exprz00_bglt) BgL_ez00_2083);
					}
				else
					{
						obj_t BgL_auxz00_2227;

						BgL_auxz00_2227 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string1858z00zz__evaluate_uncompz00, BINT(((long) 1830)),
							BGl_string1865z00zz__evaluate_uncompz00,
							BGl_string1860z00zz__evaluate_uncompz00, BgL_ez00_2083);
						FAILURE(BgL_auxz00_2227, BFALSE, BFALSE);
					}
				return BGl_uncompz00zz__evaluate_uncompz00(BgL_auxz00_2223);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc1866z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc1868z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc1869z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc1870z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_orz00zz__evaluate_typesz00,
				BGl_proc1871z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_andz00zz__evaluate_typesz00,
				BGl_proc1872z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc1873z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc1874z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc1875z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc1876z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc1877z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc1878z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc1879z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc1880z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc1881z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc1882z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc1883z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc1884z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc1885z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc1886z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc1887z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_uncompzd2envzd2zz__evaluate_uncompz00,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc1888z00zz__evaluate_uncompz00,
				BGl_string1867z00zz__evaluate_uncompz00);
		}
	}



/* &uncomp-ev_abs1224 */
	obj_t BGl_z62uncompzd2ev_abs1224zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2106, obj_t BgL_ez00_2107)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 157 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1029;

				BgL_ez00_1029 = ((BgL_ev_absz00_bglt) BgL_ez00_2107);
				{	/* Eval/evaluate_uncomp.scm 166 */
					obj_t BgL_arg1505z00_1034;

					{	/* Eval/evaluate_uncomp.scm 166 */
						obj_t BgL_arg1506z00_1035;
						obj_t BgL_arg1507z00_1036;

						{	/* Eval/evaluate_uncomp.scm 166 */
							obj_t BgL_arg1508z00_1037;
							obj_t BgL_arg1509z00_1038;

							BgL_arg1508z00_1037 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1029))->BgL_arityz00);
							{	/* Eval/evaluate_uncomp.scm 166 */
								obj_t BgL_l1163z00_1039;

								BgL_l1163z00_1039 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1029))->BgL_varsz00);
								if (NULLP(BgL_l1163z00_1039))
									{	/* Eval/evaluate_uncomp.scm 166 */
										BgL_arg1509z00_1038 = BNIL;
									}
								else
									{	/* Eval/evaluate_uncomp.scm 166 */
										obj_t BgL_head1165z00_1041;

										{	/* Eval/evaluate_uncomp.scm 166 */
											obj_t BgL_res1796z00_1748;

											BgL_res1796z00_1748 = MAKE_PAIR(BNIL, BNIL);
											BgL_head1165z00_1041 = BgL_res1796z00_1748;
										}
										{
											obj_t BgL_l1163z00_1784;
											obj_t BgL_tail1166z00_1785;

											BgL_l1163z00_1784 = BgL_l1163z00_1039;
											BgL_tail1166z00_1785 = BgL_head1165z00_1041;
										BgL_zc3anonymousza31511ze3z83_1783:
											if (NULLP(BgL_l1163z00_1784))
												{	/* Eval/evaluate_uncomp.scm 166 */
													BgL_arg1509z00_1038 = CDR(BgL_head1165z00_1041);
												}
											else
												{	/* Eval/evaluate_uncomp.scm 166 */
													obj_t BgL_newtail1167z00_1793;

													{	/* Eval/evaluate_uncomp.scm 166 */
														obj_t BgL_arg1516z00_1794;

														{
															BgL_ev_varz00_bglt BgL_auxz00_2262;

															{	/* Eval/evaluate_uncomp.scm 166 */
																obj_t BgL_pairz00_1801;

																BgL_pairz00_1801 = BgL_l1163z00_1784;
																BgL_auxz00_2262 =
																	((BgL_ev_varz00_bglt) CAR(BgL_pairz00_1801));
															}
															BgL_arg1516z00_1794 =
																(((BgL_ev_varz00_bglt) CREF(BgL_auxz00_2262))->
																BgL_namez00);
														}
														{	/* Eval/evaluate_uncomp.scm 166 */
															obj_t BgL_res1804z00_1804;

															BgL_res1804z00_1804 =
																MAKE_PAIR(BgL_arg1516z00_1794, BNIL);
															BgL_newtail1167z00_1793 = BgL_res1804z00_1804;
														}
													}
													SET_CDR(BgL_tail1166z00_1785,
														BgL_newtail1167z00_1793);
													{
														obj_t BgL_tail1166z00_2270;
														obj_t BgL_l1163z00_2268;

														BgL_l1163z00_2268 = CDR(BgL_l1163z00_1784);
														BgL_tail1166z00_2270 = BgL_newtail1167z00_1793;
														BgL_tail1166z00_1785 = BgL_tail1166z00_2270;
														BgL_l1163z00_1784 = BgL_l1163z00_2268;
														goto BgL_zc3anonymousza31511ze3z83_1783;
													}
												}
										}
									}
							}
							BgL_arg1506z00_1035 =
								BGl_redovarsz00zz__evaluate_uncompz00(BgL_arg1508z00_1037,
								BgL_arg1509z00_1038);
						}
						BgL_arg1507z00_1036 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1029))->BgL_bodyz00)),
							BNIL);
						BgL_arg1505z00_1034 =
							MAKE_PAIR(BgL_arg1506z00_1035, BgL_arg1507z00_1036);
					}
					return
						MAKE_PAIR(BGl_symbol1889z00zz__evaluate_uncompz00,
						BgL_arg1505z00_1034);
				}
			}
		}
	}



/* rec */
	obj_t BGl_recz00zz__evaluate_uncompz00(obj_t BgL_lz00_1060)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 162 */
			if (NULLP(CDR(BgL_lz00_1060)))
				{	/* Eval/evaluate_uncomp.scm 163 */
					return CAR(BgL_lz00_1060);
				}
			else
				{	/* Eval/evaluate_uncomp.scm 163 */
					return
						MAKE_PAIR(CAR(BgL_lz00_1060),
						BGl_recz00zz__evaluate_uncompz00(CDR(BgL_lz00_1060)));
				}
		}
	}



/* redovars */
	obj_t BGl_redovarsz00zz__evaluate_uncompz00(obj_t BgL_nz00_1055,
		obj_t BgL_lz00_1056)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 165 */
			if (((long) CINT(BgL_nz00_1055) >= ((long) 0)))
				{	/* Eval/evaluate_uncomp.scm 160 */
					return BgL_lz00_1056;
				}
			else
				{	/* Eval/evaluate_uncomp.scm 160 */
					return BGl_recz00zz__evaluate_uncompz00(BgL_lz00_1056);
				}
		}
	}



/* &uncomp-ev_app1222 */
	obj_t BGl_z62uncompzd2ev_app1222zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2108, obj_t BgL_ez00_2109)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 153 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1004;

				BgL_ez00_1004 = ((BgL_ev_appz00_bglt) BgL_ez00_2109);
				{	/* Eval/evaluate_uncomp.scm 155 */
					obj_t BgL_arg1490z00_1008;
					obj_t BgL_arg1491z00_1009;

					BgL_arg1490z00_1008 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1004))->BgL_funz00));
					{	/* Eval/evaluate_uncomp.scm 155 */
						obj_t BgL_arg1493z00_1011;

						{	/* Eval/evaluate_uncomp.scm 155 */
							obj_t BgL_l1157z00_1012;

							BgL_l1157z00_1012 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1004))->BgL_argsz00);
							if (NULLP(BgL_l1157z00_1012))
								{	/* Eval/evaluate_uncomp.scm 155 */
									BgL_arg1493z00_1011 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 155 */
									obj_t BgL_head1159z00_1014;

									{	/* Eval/evaluate_uncomp.scm 155 */
										obj_t BgL_arg1503z00_1026;

										{	/* Eval/evaluate_uncomp.scm 155 */
											obj_t BgL_arg1504z00_1027;

											BgL_arg1504z00_1027 = CAR(BgL_l1157z00_1012);
											BgL_arg1503z00_1026 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1504z00_1027));
										}
										{	/* Eval/evaluate_uncomp.scm 155 */
											obj_t BgL_res1786z00_1681;

											BgL_res1786z00_1681 =
												MAKE_PAIR(BgL_arg1503z00_1026, BNIL);
											BgL_head1159z00_1014 = BgL_res1786z00_1681;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 155 */
										obj_t BgL_g1162z00_1015;

										BgL_g1162z00_1015 = CDR(BgL_l1157z00_1012);
										{
											obj_t BgL_l1157z00_1714;
											obj_t BgL_tail1160z00_1715;

											BgL_l1157z00_1714 = BgL_g1162z00_1015;
											BgL_tail1160z00_1715 = BgL_head1159z00_1014;
										BgL_zc3anonymousza31495ze3z83_1713:
											if (NULLP(BgL_l1157z00_1714))
												{	/* Eval/evaluate_uncomp.scm 155 */
													BgL_arg1493z00_1011 = BgL_head1159z00_1014;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 155 */
													obj_t BgL_newtail1161z00_1722;

													{	/* Eval/evaluate_uncomp.scm 155 */
														obj_t BgL_arg1500z00_1723;

														{	/* Eval/evaluate_uncomp.scm 155 */
															obj_t BgL_arg1501z00_1724;

															BgL_arg1501z00_1724 = CAR(BgL_l1157z00_1714);
															BgL_arg1500z00_1723 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1501z00_1724));
														}
														{	/* Eval/evaluate_uncomp.scm 155 */
															obj_t BgL_res1792z00_1731;

															BgL_res1792z00_1731 =
																MAKE_PAIR(BgL_arg1500z00_1723, BNIL);
															BgL_newtail1161z00_1722 = BgL_res1792z00_1731;
														}
													}
													SET_CDR(BgL_tail1160z00_1715,
														BgL_newtail1161z00_1722);
													{
														obj_t BgL_tail1160z00_2309;
														obj_t BgL_l1157z00_2307;

														BgL_l1157z00_2307 = CDR(BgL_l1157z00_1714);
														BgL_tail1160z00_2309 = BgL_newtail1161z00_1722;
														BgL_tail1160z00_1715 = BgL_tail1160z00_2309;
														BgL_l1157z00_1714 = BgL_l1157z00_2307;
														goto BgL_zc3anonymousza31495ze3z83_1713;
													}
												}
										}
									}
								}
						}
						BgL_arg1491z00_1009 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1493z00_1011, BNIL);
					}
					return MAKE_PAIR(BgL_arg1490z00_1008, BgL_arg1491z00_1009);
				}
			}
		}
	}



/* &uncomp-ev_goto1220 */
	obj_t BGl_z62uncompzd2ev_goto1220zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2110, obj_t BgL_ez00_2111)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 149 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_979;

				BgL_ez00_979 = ((BgL_ev_gotoz00_bglt) BgL_ez00_2111);
				{	/* Eval/evaluate_uncomp.scm 151 */
					obj_t BgL_arg1476z00_983;
					obj_t BgL_arg1478z00_984;

					{	/* Eval/evaluate_uncomp.scm 151 */
						BgL_ev_varz00_bglt BgL_arg1479z00_985;

						BgL_arg1479z00_985 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_979))->BgL_labelz00);
						BgL_arg1476z00_983 =
							BGl_uncompz00zz__evaluate_uncompz00(
							((BgL_ev_exprz00_bglt) BgL_arg1479z00_985));
					}
					{	/* Eval/evaluate_uncomp.scm 151 */
						obj_t BgL_arg1480z00_986;

						{	/* Eval/evaluate_uncomp.scm 151 */
							obj_t BgL_l1151z00_987;

							BgL_l1151z00_987 =
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_979))->BgL_argsz00);
							if (NULLP(BgL_l1151z00_987))
								{	/* Eval/evaluate_uncomp.scm 151 */
									BgL_arg1480z00_986 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 151 */
									obj_t BgL_head1153z00_989;

									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_arg1487z00_1001;

										{	/* Eval/evaluate_uncomp.scm 151 */
											obj_t BgL_arg1489z00_1002;

											BgL_arg1489z00_1002 = CAR(BgL_l1151z00_987);
											BgL_arg1487z00_1001 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1489z00_1002));
										}
										{	/* Eval/evaluate_uncomp.scm 151 */
											obj_t BgL_res1778z00_1622;

											BgL_res1778z00_1622 =
												MAKE_PAIR(BgL_arg1487z00_1001, BNIL);
											BgL_head1153z00_989 = BgL_res1778z00_1622;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 151 */
										obj_t BgL_g1156z00_990;

										BgL_g1156z00_990 = CDR(BgL_l1151z00_987);
										{
											obj_t BgL_l1151z00_1655;
											obj_t BgL_tail1154z00_1656;

											BgL_l1151z00_1655 = BgL_g1156z00_990;
											BgL_tail1154z00_1656 = BgL_head1153z00_989;
										BgL_zc3anonymousza31482ze3z83_1654:
											if (NULLP(BgL_l1151z00_1655))
												{	/* Eval/evaluate_uncomp.scm 151 */
													BgL_arg1480z00_986 = BgL_head1153z00_989;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 151 */
													obj_t BgL_newtail1155z00_1663;

													{	/* Eval/evaluate_uncomp.scm 151 */
														obj_t BgL_arg1485z00_1664;

														{	/* Eval/evaluate_uncomp.scm 151 */
															obj_t BgL_arg1486z00_1665;

															BgL_arg1486z00_1665 = CAR(BgL_l1151z00_1655);
															BgL_arg1485z00_1664 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1486z00_1665));
														}
														{	/* Eval/evaluate_uncomp.scm 151 */
															obj_t BgL_res1784z00_1672;

															BgL_res1784z00_1672 =
																MAKE_PAIR(BgL_arg1485z00_1664, BNIL);
															BgL_newtail1155z00_1663 = BgL_res1784z00_1672;
														}
													}
													SET_CDR(BgL_tail1154z00_1656,
														BgL_newtail1155z00_1663);
													{
														obj_t BgL_tail1154z00_2333;
														obj_t BgL_l1151z00_2331;

														BgL_l1151z00_2331 = CDR(BgL_l1151z00_1655);
														BgL_tail1154z00_2333 = BgL_newtail1155z00_1663;
														BgL_tail1154z00_1656 = BgL_tail1154z00_2333;
														BgL_l1151z00_1655 = BgL_l1151z00_2331;
														goto BgL_zc3anonymousza31482ze3z83_1654;
													}
												}
										}
									}
								}
						}
						BgL_arg1478z00_984 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1480z00_986, BNIL);
					}
					return MAKE_PAIR(BgL_arg1476z00_983, BgL_arg1478z00_984);
				}
			}
		}
	}



/* &uncomp-ev_labels1218 */
	obj_t BGl_z62uncompzd2ev_labels1218zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2112, obj_t BgL_ez00_2113)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 142 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_928;

				BgL_ez00_928 = ((BgL_ev_labelsz00_bglt) BgL_ez00_2113);
				{	/* Eval/evaluate_uncomp.scm 144 */
					obj_t BgL_arg1445z00_932;

					{	/* Eval/evaluate_uncomp.scm 144 */
						obj_t BgL_arg1448z00_933;
						obj_t BgL_arg1449z00_934;

						{	/* Eval/evaluate_uncomp.scm 144 */
							obj_t BgL_ll1145z00_935;
							obj_t BgL_ll1146z00_936;

							BgL_ll1145z00_935 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_928))->BgL_varsz00);
							BgL_ll1146z00_936 =
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_928))->BgL_valsz00);
							if (NULLP(BgL_ll1145z00_935))
								{	/* Eval/evaluate_uncomp.scm 144 */
									BgL_arg1448z00_933 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 144 */
									obj_t BgL_head1147z00_938;

									{	/* Eval/evaluate_uncomp.scm 144 */
										obj_t BgL_res1766z00_1543;

										BgL_res1766z00_1543 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1147z00_938 = BgL_res1766z00_1543;
									}
									{
										obj_t BgL_ll1145z00_940;
										obj_t BgL_ll1146z00_941;
										obj_t BgL_tail1148z00_942;

										BgL_ll1145z00_940 = BgL_ll1145z00_935;
										BgL_ll1146z00_941 = BgL_ll1146z00_936;
										BgL_tail1148z00_942 = BgL_head1147z00_938;
									BgL_zc3anonymousza31451ze3z83_943:
										if (NULLP(BgL_ll1145z00_940))
											{	/* Eval/evaluate_uncomp.scm 144 */
												BgL_arg1448z00_933 = CDR(BgL_head1147z00_938);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 144 */
												obj_t BgL_newtail1149z00_945;

												{	/* Eval/evaluate_uncomp.scm 144 */
													obj_t BgL_arg1455z00_948;

													{	/* Eval/evaluate_uncomp.scm 144 */
														obj_t BgL_vz00_949;
														obj_t BgL_az00_950;

														BgL_vz00_949 = CAR(BgL_ll1145z00_940);
														BgL_az00_950 = CAR(BgL_ll1146z00_941);
														{	/* Eval/evaluate_uncomp.scm 144 */
															obj_t BgL_arg1456z00_951;
															obj_t BgL_arg1458z00_952;

															BgL_arg1456z00_951 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_949));
															{	/* Eval/evaluate_uncomp.scm 144 */
																obj_t BgL_arg1459z00_953;

																{	/* Eval/evaluate_uncomp.scm 144 */
																	obj_t BgL_arg1461z00_954;

																	{	/* Eval/evaluate_uncomp.scm 144 */
																		obj_t BgL_arg1462z00_955;
																		obj_t BgL_arg1463z00_956;

																		{	/* Eval/evaluate_uncomp.scm 144 */
																			obj_t BgL_l1139z00_957;

																			BgL_l1139z00_957 = CAR(BgL_az00_950);
																			if (NULLP(BgL_l1139z00_957))
																				{	/* Eval/evaluate_uncomp.scm 144 */
																					BgL_arg1462z00_955 = BNIL;
																				}
																			else
																				{	/* Eval/evaluate_uncomp.scm 144 */
																					obj_t BgL_head1141z00_959;

																					{	/* Eval/evaluate_uncomp.scm 144 */
																						obj_t BgL_arg1470z00_971;

																						{	/* Eval/evaluate_uncomp.scm 144 */
																							obj_t BgL_arg1471z00_972;

																							BgL_arg1471z00_972 =
																								CAR(BgL_l1139z00_957);
																							BgL_arg1470z00_971 =
																								BGl_uncompz00zz__evaluate_uncompz00
																								(((BgL_ev_exprz00_bglt)
																									BgL_arg1471z00_972));
																						}
																						{	/* Eval/evaluate_uncomp.scm 144 */
																							obj_t BgL_res1769z00_1555;

																							BgL_res1769z00_1555 =
																								MAKE_PAIR(BgL_arg1470z00_971,
																								BNIL);
																							BgL_head1141z00_959 =
																								BgL_res1769z00_1555;
																						}
																					}
																					{	/* Eval/evaluate_uncomp.scm 144 */
																						obj_t BgL_g1144z00_960;

																						BgL_g1144z00_960 =
																							CDR(BgL_l1139z00_957);
																						{
																							obj_t BgL_l1139z00_1588;
																							obj_t BgL_tail1142z00_1589;

																							BgL_l1139z00_1588 =
																								BgL_g1144z00_960;
																							BgL_tail1142z00_1589 =
																								BgL_head1141z00_959;
																						BgL_zc3anonymousza31465ze3z83_1587:
																							if (NULLP(BgL_l1139z00_1588))
																								{	/* Eval/evaluate_uncomp.scm 144 */
																									BgL_arg1462z00_955 =
																										BgL_head1141z00_959;
																								}
																							else
																								{	/* Eval/evaluate_uncomp.scm 144 */
																									obj_t BgL_newtail1143z00_1596;

																									{	/* Eval/evaluate_uncomp.scm 144 */
																										obj_t BgL_arg1468z00_1597;

																										{	/* Eval/evaluate_uncomp.scm 144 */
																											obj_t BgL_arg1469z00_1598;

																											BgL_arg1469z00_1598 =
																												CAR(BgL_l1139z00_1588);
																											BgL_arg1468z00_1597 =
																												BGl_uncompz00zz__evaluate_uncompz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_arg1469z00_1598));
																										}
																										{	/* Eval/evaluate_uncomp.scm 144 */
																											obj_t BgL_res1775z00_1605;

																											BgL_res1775z00_1605 =
																												MAKE_PAIR
																												(BgL_arg1468z00_1597,
																												BNIL);
																											BgL_newtail1143z00_1596 =
																												BgL_res1775z00_1605;
																										}
																									}
																									SET_CDR(BgL_tail1142z00_1589,
																										BgL_newtail1143z00_1596);
																									{
																										obj_t BgL_tail1142z00_2366;
																										obj_t BgL_l1139z00_2364;

																										BgL_l1139z00_2364 =
																											CDR(BgL_l1139z00_1588);
																										BgL_tail1142z00_2366 =
																											BgL_newtail1143z00_1596;
																										BgL_tail1142z00_1589 =
																											BgL_tail1142z00_2366;
																										BgL_l1139z00_1588 =
																											BgL_l1139z00_2364;
																										goto
																											BgL_zc3anonymousza31465ze3z83_1587;
																									}
																								}
																						}
																					}
																				}
																		}
																		{	/* Eval/evaluate_uncomp.scm 145 */
																			obj_t BgL_arg1472z00_973;

																			{	/* Eval/evaluate_uncomp.scm 145 */
																				obj_t BgL_arg1473z00_974;

																				BgL_arg1473z00_974 = CDR(BgL_az00_950);
																				BgL_arg1472z00_973 =
																					BGl_uncompz00zz__evaluate_uncompz00(
																					((BgL_ev_exprz00_bglt)
																						BgL_arg1473z00_974));
																			}
																			BgL_arg1463z00_956 =
																				MAKE_PAIR(BgL_arg1472z00_973, BNIL);
																		}
																		BgL_arg1461z00_954 =
																			MAKE_PAIR(BgL_arg1462z00_955,
																			BgL_arg1463z00_956);
																	}
																	BgL_arg1459z00_953 =
																		MAKE_PAIR
																		(BGl_symbol1889z00zz__evaluate_uncompz00,
																		BgL_arg1461z00_954);
																}
																BgL_arg1458z00_952 =
																	MAKE_PAIR(BgL_arg1459z00_953, BNIL);
															}
															BgL_arg1455z00_948 =
																MAKE_PAIR(BgL_arg1456z00_951,
																BgL_arg1458z00_952);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 144 */
														obj_t BgL_res1776z00_1612;

														BgL_res1776z00_1612 =
															MAKE_PAIR(BgL_arg1455z00_948, BNIL);
														BgL_newtail1149z00_945 = BgL_res1776z00_1612;
													}
												}
												SET_CDR(BgL_tail1148z00_942, BgL_newtail1149z00_945);
												{
													obj_t BgL_tail1148z00_2381;
													obj_t BgL_ll1146z00_2379;
													obj_t BgL_ll1145z00_2377;

													BgL_ll1145z00_2377 = CDR(BgL_ll1145z00_940);
													BgL_ll1146z00_2379 = CDR(BgL_ll1146z00_941);
													BgL_tail1148z00_2381 = BgL_newtail1149z00_945;
													BgL_tail1148z00_942 = BgL_tail1148z00_2381;
													BgL_ll1146z00_941 = BgL_ll1146z00_2379;
													BgL_ll1145z00_940 = BgL_ll1145z00_2377;
													goto BgL_zc3anonymousza31451ze3z83_943;
												}
											}
									}
								}
						}
						BgL_arg1449z00_934 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_928))->BgL_bodyz00)),
							BNIL);
						BgL_arg1445z00_932 =
							MAKE_PAIR(BgL_arg1448z00_933, BgL_arg1449z00_934);
					}
					return
						MAKE_PAIR(BGl_symbol1891z00zz__evaluate_uncompz00,
						BgL_arg1445z00_932);
				}
			}
		}
	}



/* &uncomp-ev_letrec1216 */
	obj_t BGl_z62uncompzd2ev_letrec1216zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2114, obj_t BgL_ez00_2115)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 138 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_898;

				BgL_ez00_898 = ((BgL_ev_letrecz00_bglt) BgL_ez00_2115);
				{	/* Eval/evaluate_uncomp.scm 140 */
					obj_t BgL_arg1420z00_902;

					{	/* Eval/evaluate_uncomp.scm 140 */
						obj_t BgL_arg1421z00_903;
						obj_t BgL_arg1422z00_904;

						{	/* Eval/evaluate_uncomp.scm 140 */
							obj_t BgL_ll1133z00_905;
							obj_t BgL_ll1134z00_906;

							BgL_ll1133z00_905 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_898)))->BgL_varsz00);
							BgL_ll1134z00_906 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_898)))->BgL_valsz00);
							if (NULLP(BgL_ll1133z00_905))
								{	/* Eval/evaluate_uncomp.scm 140 */
									BgL_arg1421z00_903 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 140 */
									obj_t BgL_head1135z00_908;

									{	/* Eval/evaluate_uncomp.scm 140 */
										obj_t BgL_res1762z00_1526;

										BgL_res1762z00_1526 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1135z00_908 = BgL_res1762z00_1526;
									}
									{
										obj_t BgL_ll1133z00_910;
										obj_t BgL_ll1134z00_911;
										obj_t BgL_tail1136z00_912;

										BgL_ll1133z00_910 = BgL_ll1133z00_905;
										BgL_ll1134z00_911 = BgL_ll1134z00_906;
										BgL_tail1136z00_912 = BgL_head1135z00_908;
									BgL_zc3anonymousza31424ze3z83_913:
										if (NULLP(BgL_ll1133z00_910))
											{	/* Eval/evaluate_uncomp.scm 140 */
												BgL_arg1421z00_903 = CDR(BgL_head1135z00_908);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 140 */
												obj_t BgL_newtail1137z00_915;

												{	/* Eval/evaluate_uncomp.scm 140 */
													obj_t BgL_arg1428z00_918;

													{	/* Eval/evaluate_uncomp.scm 140 */
														obj_t BgL_vz00_919;
														obj_t BgL_az00_920;

														BgL_vz00_919 = CAR(BgL_ll1133z00_910);
														BgL_az00_920 = CAR(BgL_ll1134z00_911);
														{	/* Eval/evaluate_uncomp.scm 140 */
															obj_t BgL_arg1435z00_921;
															obj_t BgL_arg1436z00_922;

															BgL_arg1435z00_921 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_919));
															{	/* Eval/evaluate_uncomp.scm 140 */
																obj_t BgL_arg1442z00_923;

																BgL_arg1442z00_923 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_920));
																BgL_arg1436z00_922 =
																	MAKE_PAIR(BgL_arg1442z00_923, BNIL);
															}
															BgL_arg1428z00_918 =
																MAKE_PAIR(BgL_arg1435z00_921,
																BgL_arg1436z00_922);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 140 */
														obj_t BgL_res1764z00_1534;

														BgL_res1764z00_1534 =
															MAKE_PAIR(BgL_arg1428z00_918, BNIL);
														BgL_newtail1137z00_915 = BgL_res1764z00_1534;
													}
												}
												SET_CDR(BgL_tail1136z00_912, BgL_newtail1137z00_915);
												{
													obj_t BgL_tail1136z00_2412;
													obj_t BgL_ll1134z00_2410;
													obj_t BgL_ll1133z00_2408;

													BgL_ll1133z00_2408 = CDR(BgL_ll1133z00_910);
													BgL_ll1134z00_2410 = CDR(BgL_ll1134z00_911);
													BgL_tail1136z00_2412 = BgL_newtail1137z00_915;
													BgL_tail1136z00_912 = BgL_tail1136z00_2412;
													BgL_ll1134z00_911 = BgL_ll1134z00_2410;
													BgL_ll1133z00_910 = BgL_ll1133z00_2408;
													goto BgL_zc3anonymousza31424ze3z83_913;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 140 */
							obj_t BgL_arg1443z00_925;

							{	/* Eval/evaluate_uncomp.scm 140 */
								BgL_ev_exprz00_bglt BgL_arg1444z00_926;

								BgL_arg1444z00_926 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_898)))->BgL_bodyz00);
								BgL_arg1443z00_925 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1444z00_926);
							}
							BgL_arg1422z00_904 = MAKE_PAIR(BgL_arg1443z00_925, BNIL);
						}
						BgL_arg1420z00_902 =
							MAKE_PAIR(BgL_arg1421z00_903, BgL_arg1422z00_904);
					}
					return
						MAKE_PAIR(BGl_symbol1891z00zz__evaluate_uncompz00,
						BgL_arg1420z00_902);
				}
			}
		}
	}



/* &uncomp-ev_let*1214 */
	obj_t BGl_z62uncompzd2ev_letza21214z12zz__evaluate_uncompz00(obj_t
		BgL_envz00_2116, obj_t BgL_ez00_2117)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 134 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_868;

				BgL_ez00_868 = ((BgL_ev_letza2za2_bglt) BgL_ez00_2117);
				{	/* Eval/evaluate_uncomp.scm 136 */
					obj_t BgL_arg1405z00_872;

					{	/* Eval/evaluate_uncomp.scm 136 */
						obj_t BgL_arg1406z00_873;
						obj_t BgL_arg1408z00_874;

						{	/* Eval/evaluate_uncomp.scm 136 */
							obj_t BgL_ll1127z00_875;
							obj_t BgL_ll1128z00_876;

							BgL_ll1127z00_875 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_868)))->BgL_varsz00);
							BgL_ll1128z00_876 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_868)))->BgL_valsz00);
							if (NULLP(BgL_ll1127z00_875))
								{	/* Eval/evaluate_uncomp.scm 136 */
									BgL_arg1406z00_873 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 136 */
									obj_t BgL_head1129z00_878;

									{	/* Eval/evaluate_uncomp.scm 136 */
										obj_t BgL_res1758z00_1509;

										BgL_res1758z00_1509 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1129z00_878 = BgL_res1758z00_1509;
									}
									{
										obj_t BgL_ll1127z00_880;
										obj_t BgL_ll1128z00_881;
										obj_t BgL_tail1130z00_882;

										BgL_ll1127z00_880 = BgL_ll1127z00_875;
										BgL_ll1128z00_881 = BgL_ll1128z00_876;
										BgL_tail1130z00_882 = BgL_head1129z00_878;
									BgL_zc3anonymousza31410ze3z83_883:
										if (NULLP(BgL_ll1127z00_880))
											{	/* Eval/evaluate_uncomp.scm 136 */
												BgL_arg1406z00_873 = CDR(BgL_head1129z00_878);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 136 */
												obj_t BgL_newtail1131z00_885;

												{	/* Eval/evaluate_uncomp.scm 136 */
													obj_t BgL_arg1414z00_888;

													{	/* Eval/evaluate_uncomp.scm 136 */
														obj_t BgL_vz00_889;
														obj_t BgL_az00_890;

														BgL_vz00_889 = CAR(BgL_ll1127z00_880);
														BgL_az00_890 = CAR(BgL_ll1128z00_881);
														{	/* Eval/evaluate_uncomp.scm 136 */
															obj_t BgL_arg1415z00_891;
															obj_t BgL_arg1416z00_892;

															BgL_arg1415z00_891 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_889));
															{	/* Eval/evaluate_uncomp.scm 136 */
																obj_t BgL_arg1417z00_893;

																BgL_arg1417z00_893 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_890));
																BgL_arg1416z00_892 =
																	MAKE_PAIR(BgL_arg1417z00_893, BNIL);
															}
															BgL_arg1414z00_888 =
																MAKE_PAIR(BgL_arg1415z00_891,
																BgL_arg1416z00_892);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 136 */
														obj_t BgL_res1760z00_1517;

														BgL_res1760z00_1517 =
															MAKE_PAIR(BgL_arg1414z00_888, BNIL);
														BgL_newtail1131z00_885 = BgL_res1760z00_1517;
													}
												}
												SET_CDR(BgL_tail1130z00_882, BgL_newtail1131z00_885);
												{
													obj_t BgL_tail1130z00_2444;
													obj_t BgL_ll1128z00_2442;
													obj_t BgL_ll1127z00_2440;

													BgL_ll1127z00_2440 = CDR(BgL_ll1127z00_880);
													BgL_ll1128z00_2442 = CDR(BgL_ll1128z00_881);
													BgL_tail1130z00_2444 = BgL_newtail1131z00_885;
													BgL_tail1130z00_882 = BgL_tail1130z00_2444;
													BgL_ll1128z00_881 = BgL_ll1128z00_2442;
													BgL_ll1127z00_880 = BgL_ll1127z00_2440;
													goto BgL_zc3anonymousza31410ze3z83_883;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 136 */
							obj_t BgL_arg1418z00_895;

							{	/* Eval/evaluate_uncomp.scm 136 */
								BgL_ev_exprz00_bglt BgL_arg1419z00_896;

								BgL_arg1419z00_896 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_868)))->BgL_bodyz00);
								BgL_arg1418z00_895 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1419z00_896);
							}
							BgL_arg1408z00_874 = MAKE_PAIR(BgL_arg1418z00_895, BNIL);
						}
						BgL_arg1405z00_872 =
							MAKE_PAIR(BgL_arg1406z00_873, BgL_arg1408z00_874);
					}
					return
						MAKE_PAIR(BGl_symbol1893z00zz__evaluate_uncompz00,
						BgL_arg1405z00_872);
				}
			}
		}
	}



/* &uncomp-ev_let1212 */
	obj_t BGl_z62uncompzd2ev_let1212zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2118, obj_t BgL_ez00_2119)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 130 */
			{
				BgL_ev_letz00_bglt BgL_ez00_838;

				BgL_ez00_838 = ((BgL_ev_letz00_bglt) BgL_ez00_2119);
				{	/* Eval/evaluate_uncomp.scm 132 */
					obj_t BgL_arg1391z00_842;

					{	/* Eval/evaluate_uncomp.scm 132 */
						obj_t BgL_arg1392z00_843;
						obj_t BgL_arg1393z00_844;

						{	/* Eval/evaluate_uncomp.scm 132 */
							obj_t BgL_ll1121z00_845;
							obj_t BgL_ll1122z00_846;

							BgL_ll1121z00_845 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_838)))->BgL_varsz00);
							BgL_ll1122z00_846 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_838)))->BgL_valsz00);
							if (NULLP(BgL_ll1121z00_845))
								{	/* Eval/evaluate_uncomp.scm 132 */
									BgL_arg1392z00_843 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 132 */
									obj_t BgL_head1123z00_848;

									{	/* Eval/evaluate_uncomp.scm 132 */
										obj_t BgL_res1754z00_1492;

										BgL_res1754z00_1492 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1123z00_848 = BgL_res1754z00_1492;
									}
									{
										obj_t BgL_ll1121z00_850;
										obj_t BgL_ll1122z00_851;
										obj_t BgL_tail1124z00_852;

										BgL_ll1121z00_850 = BgL_ll1121z00_845;
										BgL_ll1122z00_851 = BgL_ll1122z00_846;
										BgL_tail1124z00_852 = BgL_head1123z00_848;
									BgL_zc3anonymousza31395ze3z83_853:
										if (NULLP(BgL_ll1121z00_850))
											{	/* Eval/evaluate_uncomp.scm 132 */
												BgL_arg1392z00_843 = CDR(BgL_head1123z00_848);
											}
										else
											{	/* Eval/evaluate_uncomp.scm 132 */
												obj_t BgL_newtail1125z00_855;

												{	/* Eval/evaluate_uncomp.scm 132 */
													obj_t BgL_arg1399z00_858;

													{	/* Eval/evaluate_uncomp.scm 132 */
														obj_t BgL_vz00_859;
														obj_t BgL_az00_860;

														BgL_vz00_859 = CAR(BgL_ll1121z00_850);
														BgL_az00_860 = CAR(BgL_ll1122z00_851);
														{	/* Eval/evaluate_uncomp.scm 132 */
															obj_t BgL_arg1400z00_861;
															obj_t BgL_arg1401z00_862;

															BgL_arg1400z00_861 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_vz00_859));
															{	/* Eval/evaluate_uncomp.scm 132 */
																obj_t BgL_arg1402z00_863;

																BgL_arg1402z00_863 =
																	BGl_uncompz00zz__evaluate_uncompz00(
																	((BgL_ev_exprz00_bglt) BgL_az00_860));
																BgL_arg1401z00_862 =
																	MAKE_PAIR(BgL_arg1402z00_863, BNIL);
															}
															BgL_arg1399z00_858 =
																MAKE_PAIR(BgL_arg1400z00_861,
																BgL_arg1401z00_862);
														}
													}
													{	/* Eval/evaluate_uncomp.scm 132 */
														obj_t BgL_res1756z00_1500;

														BgL_res1756z00_1500 =
															MAKE_PAIR(BgL_arg1399z00_858, BNIL);
														BgL_newtail1125z00_855 = BgL_res1756z00_1500;
													}
												}
												SET_CDR(BgL_tail1124z00_852, BgL_newtail1125z00_855);
												{
													obj_t BgL_tail1124z00_2476;
													obj_t BgL_ll1122z00_2474;
													obj_t BgL_ll1121z00_2472;

													BgL_ll1121z00_2472 = CDR(BgL_ll1121z00_850);
													BgL_ll1122z00_2474 = CDR(BgL_ll1122z00_851);
													BgL_tail1124z00_2476 = BgL_newtail1125z00_855;
													BgL_tail1124z00_852 = BgL_tail1124z00_2476;
													BgL_ll1122z00_851 = BgL_ll1122z00_2474;
													BgL_ll1121z00_850 = BgL_ll1121z00_2472;
													goto BgL_zc3anonymousza31395ze3z83_853;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_uncomp.scm 132 */
							obj_t BgL_arg1403z00_865;

							{	/* Eval/evaluate_uncomp.scm 132 */
								BgL_ev_exprz00_bglt BgL_arg1404z00_866;

								BgL_arg1404z00_866 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_838)))->BgL_bodyz00);
								BgL_arg1403z00_865 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1404z00_866);
							}
							BgL_arg1393z00_844 = MAKE_PAIR(BgL_arg1403z00_865, BNIL);
						}
						BgL_arg1391z00_842 =
							MAKE_PAIR(BgL_arg1392z00_843, BgL_arg1393z00_844);
					}
					return
						MAKE_PAIR(BGl_symbol1895z00zz__evaluate_uncompz00,
						BgL_arg1391z00_842);
				}
			}
		}
	}



/* &uncomp-ev_synchroniz1210 */
	obj_t BGl_z62uncompzd2ev_synchroniza71210z17zz__evaluate_uncompz00(obj_t
		BgL_envz00_2120, obj_t BgL_ez00_2121)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 126 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_823;

				BgL_ez00_823 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_2121);
				{	/* Eval/evaluate_uncomp.scm 128 */
					obj_t BgL_arg1381z00_827;

					{	/* Eval/evaluate_uncomp.scm 128 */
						obj_t BgL_arg1382z00_828;
						obj_t BgL_arg1383z00_829;

						BgL_arg1382z00_828 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_823))->
								BgL_mutexz00));
						{	/* Eval/evaluate_uncomp.scm 128 */
							obj_t BgL_arg1385z00_831;

							{	/* Eval/evaluate_uncomp.scm 128 */
								obj_t BgL_arg1386z00_832;
								obj_t BgL_arg1387z00_833;

								BgL_arg1386z00_832 =
									BGl_uncompz00zz__evaluate_uncompz00(
									(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_823))->
										BgL_prelockz00));
								BgL_arg1387z00_833 =
									MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
												(BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_823))->
											BgL_bodyz00)), BNIL);
								BgL_arg1385z00_831 =
									MAKE_PAIR(BgL_arg1386z00_832, BgL_arg1387z00_833);
							}
							BgL_arg1383z00_829 =
								MAKE_PAIR(BGl_keyword1897z00zz__evaluate_uncompz00,
								BgL_arg1385z00_831);
						}
						BgL_arg1381z00_827 =
							MAKE_PAIR(BgL_arg1382z00_828, BgL_arg1383z00_829);
					}
					return
						MAKE_PAIR(BGl_symbol1899z00zz__evaluate_uncompz00,
						BgL_arg1381z00_827);
				}
			}
		}
	}



/* &uncomp-ev_with-handl1208 */
	obj_t BGl_z62uncompzd2ev_withzd2handl1208z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2122, obj_t BgL_ez00_2123)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 122 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_812;

				BgL_ez00_812 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_2123);
				{	/* Eval/evaluate_uncomp.scm 124 */
					obj_t BgL_arg1373z00_816;

					{	/* Eval/evaluate_uncomp.scm 124 */
						obj_t BgL_arg1374z00_817;
						obj_t BgL_arg1377z00_818;

						BgL_arg1374z00_817 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_812))->
								BgL_handlerz00));
						BgL_arg1377z00_818 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
										(BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_812))->
									BgL_bodyz00)), BNIL);
						BgL_arg1373z00_816 =
							MAKE_PAIR(BgL_arg1374z00_817, BgL_arg1377z00_818);
					}
					return
						MAKE_PAIR(BGl_symbol1901z00zz__evaluate_uncompz00,
						BgL_arg1373z00_816);
				}
			}
		}
	}



/* &uncomp-ev_unwind-pro1206 */
	obj_t BGl_z62uncompzd2ev_unwindzd2pro1206z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2124, obj_t BgL_ez00_2125)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 118 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_801;

				BgL_ez00_801 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_2125);
				{	/* Eval/evaluate_uncomp.scm 120 */
					obj_t BgL_arg1366z00_805;

					{	/* Eval/evaluate_uncomp.scm 120 */
						obj_t BgL_arg1367z00_806;
						obj_t BgL_arg1368z00_807;

						BgL_arg1367z00_806 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_801))->
								BgL_ez00));
						BgL_arg1368z00_807 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(((
										(BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_801))->
									BgL_bodyz00)), BNIL);
						BgL_arg1366z00_805 =
							MAKE_PAIR(BgL_arg1367z00_806, BgL_arg1368z00_807);
					}
					return
						MAKE_PAIR(BGl_symbol1903z00zz__evaluate_uncompz00,
						BgL_arg1366z00_805);
				}
			}
		}
	}



/* &uncomp-ev_bind-exit1204 */
	obj_t BGl_z62uncompzd2ev_bindzd2exit1204z62zz__evaluate_uncompz00(obj_t
		BgL_envz00_2126, obj_t BgL_ez00_2127)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 114 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_789;

				BgL_ez00_789 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_2127);
				{	/* Eval/evaluate_uncomp.scm 116 */
					obj_t BgL_arg1356z00_793;

					{	/* Eval/evaluate_uncomp.scm 116 */
						obj_t BgL_arg1357z00_794;
						obj_t BgL_arg1358z00_795;

						{	/* Eval/evaluate_uncomp.scm 116 */
							obj_t BgL_arg1362z00_796;

							{	/* Eval/evaluate_uncomp.scm 116 */
								BgL_ev_varz00_bglt BgL_arg1363z00_797;

								BgL_arg1363z00_797 =
									(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_789))->
									BgL_varz00);
								BgL_arg1362z00_796 =
									BGl_uncompz00zz__evaluate_uncompz00(((BgL_ev_exprz00_bglt)
										BgL_arg1363z00_797));
							}
							BgL_arg1357z00_794 = MAKE_PAIR(BgL_arg1362z00_796, BNIL);
						}
						BgL_arg1358z00_795 =
							MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_789))->
									BgL_bodyz00)), BNIL);
						BgL_arg1356z00_793 =
							MAKE_PAIR(BgL_arg1357z00_794, BgL_arg1358z00_795);
					}
					return
						MAKE_PAIR(BGl_symbol1905z00zz__evaluate_uncompz00,
						BgL_arg1356z00_793);
				}
			}
		}
	}



/* &uncomp-ev_setlocal1202 */
	obj_t BGl_z62uncompzd2ev_setlocal1202zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2128, obj_t BgL_ez00_2129)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 110 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_778;

				BgL_ez00_778 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_2129);
				{	/* Eval/evaluate_uncomp.scm 112 */
					obj_t BgL_arg1348z00_782;

					{	/* Eval/evaluate_uncomp.scm 112 */
						obj_t BgL_arg1349z00_783;
						obj_t BgL_arg1350z00_784;

						{	/* Eval/evaluate_uncomp.scm 112 */
							BgL_ev_varz00_bglt BgL_arg1351z00_785;

							BgL_arg1351z00_785 =
								(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_778))->BgL_vz00);
							BgL_arg1349z00_783 =
								BGl_uncompz00zz__evaluate_uncompz00(
								((BgL_ev_exprz00_bglt) BgL_arg1351z00_785));
						}
						{	/* Eval/evaluate_uncomp.scm 112 */
							obj_t BgL_arg1352z00_786;

							{	/* Eval/evaluate_uncomp.scm 112 */
								BgL_ev_exprz00_bglt BgL_arg1355z00_787;

								BgL_arg1355z00_787 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_778)))->BgL_ez00);
								BgL_arg1352z00_786 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1355z00_787);
							}
							BgL_arg1350z00_784 = MAKE_PAIR(BgL_arg1352z00_786, BNIL);
						}
						BgL_arg1348z00_782 =
							MAKE_PAIR(BgL_arg1349z00_783, BgL_arg1350z00_784);
					}
					return
						MAKE_PAIR(BGl_symbol1907z00zz__evaluate_uncompz00,
						BgL_arg1348z00_782);
				}
			}
		}
	}



/* &uncomp-ev_defglobal1200 */
	obj_t BGl_z62uncompzd2ev_defglobal1200zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2130, obj_t BgL_ez00_2131)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 106 */
			{
				BgL_ev_defglobalz00_bglt BgL_ez00_768;

				BgL_ez00_768 = ((BgL_ev_defglobalz00_bglt) BgL_ez00_2131);
				{	/* Eval/evaluate_uncomp.scm 108 */
					obj_t BgL_arg1343z00_772;

					{	/* Eval/evaluate_uncomp.scm 108 */
						obj_t BgL_arg1344z00_773;
						obj_t BgL_arg1345z00_774;

						BgL_arg1344z00_773 =
							(((BgL_ev_setglobalz00_bglt) CREF(
									((BgL_ev_setglobalz00_bglt) BgL_ez00_768)))->BgL_namez00);
						{	/* Eval/evaluate_uncomp.scm 108 */
							obj_t BgL_arg1346z00_775;

							{	/* Eval/evaluate_uncomp.scm 108 */
								BgL_ev_exprz00_bglt BgL_arg1347z00_776;

								BgL_arg1347z00_776 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_768)))->BgL_ez00);
								BgL_arg1346z00_775 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1347z00_776);
							}
							BgL_arg1345z00_774 = MAKE_PAIR(BgL_arg1346z00_775, BNIL);
						}
						BgL_arg1343z00_772 =
							MAKE_PAIR(BgL_arg1344z00_773, BgL_arg1345z00_774);
					}
					return
						MAKE_PAIR(BGl_symbol1909z00zz__evaluate_uncompz00,
						BgL_arg1343z00_772);
				}
			}
		}
	}



/* &uncomp-ev_setglobal1198 */
	obj_t BGl_z62uncompzd2ev_setglobal1198zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2132, obj_t BgL_ez00_2133)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 102 */
			{
				BgL_ev_setglobalz00_bglt BgL_ez00_758;

				BgL_ez00_758 = ((BgL_ev_setglobalz00_bglt) BgL_ez00_2133);
				{	/* Eval/evaluate_uncomp.scm 104 */
					obj_t BgL_arg1338z00_762;

					{	/* Eval/evaluate_uncomp.scm 104 */
						obj_t BgL_arg1339z00_763;
						obj_t BgL_arg1340z00_764;

						BgL_arg1339z00_763 =
							(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_758))->BgL_namez00);
						{	/* Eval/evaluate_uncomp.scm 104 */
							obj_t BgL_arg1341z00_765;

							{	/* Eval/evaluate_uncomp.scm 104 */
								BgL_ev_exprz00_bglt BgL_arg1342z00_766;

								BgL_arg1342z00_766 =
									(((BgL_ev_hookz00_bglt) CREF(
											((BgL_ev_hookz00_bglt) BgL_ez00_758)))->BgL_ez00);
								BgL_arg1341z00_765 =
									BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1342z00_766);
							}
							BgL_arg1340z00_764 = MAKE_PAIR(BgL_arg1341z00_765, BNIL);
						}
						BgL_arg1338z00_762 =
							MAKE_PAIR(BgL_arg1339z00_763, BgL_arg1340z00_764);
					}
					return
						MAKE_PAIR(BGl_symbol1907z00zz__evaluate_uncompz00,
						BgL_arg1338z00_762);
				}
			}
		}
	}



/* &uncomp-ev_trap1196 */
	obj_t BGl_z62uncompzd2ev_trap1196zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2134, obj_t BgL_ez00_2135)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 98 */
			{
				BgL_ev_trapz00_bglt BgL_ez00_750;

				BgL_ez00_750 = ((BgL_ev_trapz00_bglt) BgL_ez00_2135);
				{	/* Eval/evaluate_uncomp.scm 100 */
					obj_t BgL_arg1335z00_1485;

					{	/* Eval/evaluate_uncomp.scm 100 */
						obj_t BgL_arg1336z00_1486;

						{	/* Eval/evaluate_uncomp.scm 100 */
							BgL_ev_exprz00_bglt BgL_arg1337z00_1487;

							BgL_arg1337z00_1487 =
								(((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt) BgL_ez00_750)))->BgL_ez00);
							BgL_arg1336z00_1486 =
								BGl_uncompz00zz__evaluate_uncompz00(BgL_arg1337z00_1487);
						}
						BgL_arg1335z00_1485 = MAKE_PAIR(BgL_arg1336z00_1486, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1911z00zz__evaluate_uncompz00,
						BgL_arg1335z00_1485);
				}
			}
		}
	}



/* &uncomp-ev_prog21194 */
	obj_t BGl_z62uncompzd2ev_prog21194zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2136, obj_t BgL_ez00_2137)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 91 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_733;

				BgL_ez00_733 = ((BgL_ev_prog2z00_bglt) BgL_ez00_2137);
				{	/* Eval/evaluate_uncomp.scm 93 */
					obj_t BgL_e1z00_737;
					obj_t BgL_e2z00_738;

					BgL_e1z00_737 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_733))->BgL_e1z00));
					BgL_e2z00_738 =
						BGl_uncompz00zz__evaluate_uncompz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_733))->BgL_e2z00));
					{	/* Eval/evaluate_uncomp.scm 94 */
						bool_t BgL_testz00_2559;

						if (PAIRP(BgL_e2z00_738))
							{	/* Eval/evaluate_uncomp.scm 94 */
								BgL_testz00_2559 =
									(CAR(BgL_e2z00_738) ==
									BGl_symbol1913z00zz__evaluate_uncompz00);
							}
						else
							{	/* Eval/evaluate_uncomp.scm 94 */
								BgL_testz00_2559 = ((bool_t) 0);
							}
						if (BgL_testz00_2559)
							{	/* Eval/evaluate_uncomp.scm 95 */
								obj_t BgL_arg1322z00_740;

								BgL_arg1322z00_740 =
									MAKE_PAIR(BgL_e1z00_737,
									BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(CDR
										(BgL_e2z00_738), BNIL));
								return MAKE_PAIR(BGl_symbol1913z00zz__evaluate_uncompz00,
									BgL_arg1322z00_740);
							}
						else
							{	/* Eval/evaluate_uncomp.scm 96 */
								obj_t BgL_arg1327z00_743;

								{	/* Eval/evaluate_uncomp.scm 96 */
									obj_t BgL_arg1329z00_744;

									BgL_arg1329z00_744 = MAKE_PAIR(BgL_e2z00_738, BNIL);
									BgL_arg1327z00_743 =
										MAKE_PAIR(BgL_e1z00_737, BgL_arg1329z00_744);
								}
								return
									MAKE_PAIR(BGl_symbol1913z00zz__evaluate_uncompz00,
									BgL_arg1327z00_743);
							}
					}
				}
			}
		}
	}



/* &uncomp-ev_and1192 */
	obj_t BGl_z62uncompzd2ev_and1192zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2138, obj_t BgL_ez00_2139)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 87 */
			{
				BgL_ev_andz00_bglt BgL_ez00_710;

				BgL_ez00_710 = ((BgL_ev_andz00_bglt) BgL_ez00_2139);
				{	/* Eval/evaluate_uncomp.scm 89 */
					obj_t BgL_arg1311z00_714;

					{	/* Eval/evaluate_uncomp.scm 89 */
						obj_t BgL_arg1312z00_715;

						{	/* Eval/evaluate_uncomp.scm 89 */
							obj_t BgL_l1115z00_716;

							BgL_l1115z00_716 =
								(((BgL_ev_listz00_bglt) CREF(
										((BgL_ev_listz00_bglt) BgL_ez00_710)))->BgL_argsz00);
							if (NULLP(BgL_l1115z00_716))
								{	/* Eval/evaluate_uncomp.scm 89 */
									BgL_arg1312z00_715 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 89 */
									obj_t BgL_head1117z00_718;

									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_arg1319z00_730;

										{	/* Eval/evaluate_uncomp.scm 89 */
											obj_t BgL_arg1320z00_731;

											BgL_arg1320z00_731 = CAR(BgL_l1115z00_716);
											BgL_arg1319z00_730 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1320z00_731));
										}
										{	/* Eval/evaluate_uncomp.scm 89 */
											obj_t BgL_res1745z00_1426;

											BgL_res1745z00_1426 = MAKE_PAIR(BgL_arg1319z00_730, BNIL);
											BgL_head1117z00_718 = BgL_res1745z00_1426;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 89 */
										obj_t BgL_g1120z00_719;

										BgL_g1120z00_719 = CDR(BgL_l1115z00_716);
										{
											obj_t BgL_l1115z00_1459;
											obj_t BgL_tail1118z00_1460;

											BgL_l1115z00_1459 = BgL_g1120z00_719;
											BgL_tail1118z00_1460 = BgL_head1117z00_718;
										BgL_zc3anonymousza31314ze3z83_1458:
											if (NULLP(BgL_l1115z00_1459))
												{	/* Eval/evaluate_uncomp.scm 89 */
													BgL_arg1312z00_715 = BgL_head1117z00_718;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 89 */
													obj_t BgL_newtail1119z00_1467;

													{	/* Eval/evaluate_uncomp.scm 89 */
														obj_t BgL_arg1317z00_1468;

														{	/* Eval/evaluate_uncomp.scm 89 */
															obj_t BgL_arg1318z00_1469;

															BgL_arg1318z00_1469 = CAR(BgL_l1115z00_1459);
															BgL_arg1317z00_1468 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1318z00_1469));
														}
														{	/* Eval/evaluate_uncomp.scm 89 */
															obj_t BgL_res1751z00_1476;

															BgL_res1751z00_1476 =
																MAKE_PAIR(BgL_arg1317z00_1468, BNIL);
															BgL_newtail1119z00_1467 = BgL_res1751z00_1476;
														}
													}
													SET_CDR(BgL_tail1118z00_1460,
														BgL_newtail1119z00_1467);
													{
														obj_t BgL_tail1118z00_2590;
														obj_t BgL_l1115z00_2588;

														BgL_l1115z00_2588 = CDR(BgL_l1115z00_1459);
														BgL_tail1118z00_2590 = BgL_newtail1119z00_1467;
														BgL_tail1118z00_1460 = BgL_tail1118z00_2590;
														BgL_l1115z00_1459 = BgL_l1115z00_2588;
														goto BgL_zc3anonymousza31314ze3z83_1458;
													}
												}
										}
									}
								}
						}
						BgL_arg1311z00_714 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1312z00_715, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1915z00zz__evaluate_uncompz00,
						BgL_arg1311z00_714);
				}
			}
		}
	}



/* &uncomp-ev_or1190 */
	obj_t BGl_z62uncompzd2ev_or1190zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2140, obj_t BgL_ez00_2141)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 83 */
			{
				BgL_ev_orz00_bglt BgL_ez00_687;

				BgL_ez00_687 = ((BgL_ev_orz00_bglt) BgL_ez00_2141);
				{	/* Eval/evaluate_uncomp.scm 85 */
					obj_t BgL_arg1287z00_691;

					{	/* Eval/evaluate_uncomp.scm 85 */
						obj_t BgL_arg1289z00_692;

						{	/* Eval/evaluate_uncomp.scm 85 */
							obj_t BgL_l1109z00_693;

							BgL_l1109z00_693 =
								(((BgL_ev_listz00_bglt) CREF(
										((BgL_ev_listz00_bglt) BgL_ez00_687)))->BgL_argsz00);
							if (NULLP(BgL_l1109z00_693))
								{	/* Eval/evaluate_uncomp.scm 85 */
									BgL_arg1289z00_692 = BNIL;
								}
							else
								{	/* Eval/evaluate_uncomp.scm 85 */
									obj_t BgL_head1111z00_695;

									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_arg1304z00_707;

										{	/* Eval/evaluate_uncomp.scm 85 */
											obj_t BgL_arg1310z00_708;

											BgL_arg1310z00_708 = CAR(BgL_l1109z00_693);
											BgL_arg1304z00_707 =
												BGl_uncompz00zz__evaluate_uncompz00(
												((BgL_ev_exprz00_bglt) BgL_arg1310z00_708));
										}
										{	/* Eval/evaluate_uncomp.scm 85 */
											obj_t BgL_res1737z00_1367;

											BgL_res1737z00_1367 = MAKE_PAIR(BgL_arg1304z00_707, BNIL);
											BgL_head1111z00_695 = BgL_res1737z00_1367;
										}
									}
									{	/* Eval/evaluate_uncomp.scm 85 */
										obj_t BgL_g1114z00_696;

										BgL_g1114z00_696 = CDR(BgL_l1109z00_693);
										{
											obj_t BgL_l1109z00_1400;
											obj_t BgL_tail1112z00_1401;

											BgL_l1109z00_1400 = BgL_g1114z00_696;
											BgL_tail1112z00_1401 = BgL_head1111z00_695;
										BgL_zc3anonymousza31291ze3z83_1399:
											if (NULLP(BgL_l1109z00_1400))
												{	/* Eval/evaluate_uncomp.scm 85 */
													BgL_arg1289z00_692 = BgL_head1111z00_695;
												}
											else
												{	/* Eval/evaluate_uncomp.scm 85 */
													obj_t BgL_newtail1113z00_1408;

													{	/* Eval/evaluate_uncomp.scm 85 */
														obj_t BgL_arg1301z00_1409;

														{	/* Eval/evaluate_uncomp.scm 85 */
															obj_t BgL_arg1303z00_1410;

															BgL_arg1303z00_1410 = CAR(BgL_l1109z00_1400);
															BgL_arg1301z00_1409 =
																BGl_uncompz00zz__evaluate_uncompz00(
																((BgL_ev_exprz00_bglt) BgL_arg1303z00_1410));
														}
														{	/* Eval/evaluate_uncomp.scm 85 */
															obj_t BgL_res1743z00_1417;

															BgL_res1743z00_1417 =
																MAKE_PAIR(BgL_arg1301z00_1409, BNIL);
															BgL_newtail1113z00_1408 = BgL_res1743z00_1417;
														}
													}
													SET_CDR(BgL_tail1112z00_1401,
														BgL_newtail1113z00_1408);
													{
														obj_t BgL_tail1112z00_2612;
														obj_t BgL_l1109z00_2610;

														BgL_l1109z00_2610 = CDR(BgL_l1109z00_1400);
														BgL_tail1112z00_2612 = BgL_newtail1113z00_1408;
														BgL_tail1112z00_1401 = BgL_tail1112z00_2612;
														BgL_l1109z00_1400 = BgL_l1109z00_2610;
														goto BgL_zc3anonymousza31291ze3z83_1399;
													}
												}
										}
									}
								}
						}
						BgL_arg1287z00_691 =
							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
							(BgL_arg1289z00_692, BNIL);
					}
					return
						MAKE_PAIR(BGl_symbol1917z00zz__evaluate_uncompz00,
						BgL_arg1287z00_691);
				}
			}
		}
	}



/* &uncomp-ev_if1188 */
	obj_t BGl_z62uncompzd2ev_if1188zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2142, obj_t BgL_ez00_2143)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 79 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_673;

				BgL_ez00_673 = ((BgL_ev_ifz00_bglt) BgL_ez00_2143);
				{	/* Eval/evaluate_uncomp.scm 81 */
					obj_t BgL_arg1264z00_677;

					{	/* Eval/evaluate_uncomp.scm 81 */
						obj_t BgL_arg1265z00_678;
						obj_t BgL_arg1266z00_679;

						BgL_arg1265z00_678 =
							BGl_uncompz00zz__evaluate_uncompz00(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_673))->BgL_pz00));
						{	/* Eval/evaluate_uncomp.scm 81 */
							obj_t BgL_arg1274z00_681;
							obj_t BgL_arg1277z00_682;

							BgL_arg1274z00_681 =
								BGl_uncompz00zz__evaluate_uncompz00(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_673))->BgL_tz00));
							BgL_arg1277z00_682 =
								MAKE_PAIR(BGl_uncompz00zz__evaluate_uncompz00(
									(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_673))->BgL_ez00)), BNIL);
							BgL_arg1266z00_679 =
								MAKE_PAIR(BgL_arg1274z00_681, BgL_arg1277z00_682);
						}
						BgL_arg1264z00_677 =
							MAKE_PAIR(BgL_arg1265z00_678, BgL_arg1266z00_679);
					}
					return
						MAKE_PAIR(BGl_symbol1919z00zz__evaluate_uncompz00,
						BgL_arg1264z00_677);
				}
			}
		}
	}



/* &uncomp-ev_litt1186 */
	obj_t BGl_z62uncompzd2ev_litt1186zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2144, obj_t BgL_ez00_2145)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 75 */
			{
				BgL_ev_littz00_bglt BgL_ez00_666;

				BgL_ez00_666 = ((BgL_ev_littz00_bglt) BgL_ez00_2145);
				{	/* Eval/evaluate_uncomp.scm 77 */
					obj_t BgL_arg1260z00_1360;

					BgL_arg1260z00_1360 =
						MAKE_PAIR(
						(((BgL_ev_littz00_bglt) CREF(BgL_ez00_666))->BgL_valuez00), BNIL);
					return
						MAKE_PAIR(BGl_symbol1921z00zz__evaluate_uncompz00,
						BgL_arg1260z00_1360);
				}
			}
		}
	}



/* &uncomp-ev_global1184 */
	obj_t BGl_z62uncompzd2ev_global1184zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2146, obj_t BgL_varz00_2147)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 71 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_varz00_2147)))->BgL_namez00);
		}
	}



/* &uncomp-ev_var1182 */
	obj_t BGl_z62uncompzd2ev_var1182zb0zz__evaluate_uncompz00(obj_t
		BgL_envz00_2148, obj_t BgL_varz00_2149)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 67 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_varz00_2149)))->BgL_namez00);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_uncompz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_uncomp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 77607588),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 304399560),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 237624134),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					247617611),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 162479995),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string1923z00zz__evaluate_uncompz00));
		}
	}

#ifdef __cplusplus
}
#endif
