/*===========================================================================*/
/*   (Ast/sexp.scm)                                                          */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Ast/sexp.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_feffectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_readz00;
		obj_t BgL_writez00;
	}                 *BgL_feffectz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;


	extern obj_t BGl_normaliza7ezd2prognz75zztools_prognz00(obj_t);
	static BgL_nodez00_bglt BGl_z62zc3anonymousza32051ze3ze1zzast_sexpz00(obj_t);
	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_stringzd2replacezd2zz__r4_strings_6_7z00(obj_t,
		unsigned char, unsigned char);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_ifzd2symzd2zzast_sexpz00();
	extern BgL_nodez00_bglt BGl_applycationzd2ze3nodez31zzast_applyz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzast_sexpz00();
	extern obj_t BGl_privatezd2nodezd2zzast_privatez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t BGl_castzd2sexpzd2typez00zzast_privatez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2magicza2z00zztype_cachez00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_letzd2symzf3z21zzast_letz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzast_sexpz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_zc3exitza32046ze3z83zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2compilerzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	BGL_IMPORT obj_t BGl_exceptionzd2notifyzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt);
	static BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(bool_t,
		obj_t, BgL_typez00_bglt, obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern BgL_jumpzd2exzd2itz00_bglt
		BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_parsezd2idzd2zzast_identz00(obj_t, obj_t);
	static obj_t BGl_za2sitesza2z00zzast_sexpz00 = BUNSPEC;
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	static obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_epairifyzd2reczd2zztools_miscz00(obj_t, obj_t);
	extern obj_t BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(obj_t);
	BGL_IMPORT obj_t c_substring(obj_t, long, long);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt, obj_t, obj_t);
	static obj_t BGl_za2ifza2z00zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(obj_t);
	BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzast_sexpz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static bool_t BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(obj_t);
	static obj_t BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32893ze3ze1zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzast_sexpz00();
	extern obj_t BGl_epairifyz00zztools_miscz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzast_sexpz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern bool_t BGl_privatezd2sexpzf3z21zzast_privatez00(obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_labelszd2symzf3z21zzast_labelsz00(obj_t);
	extern obj_t BGl_labelszd2symzd2zzast_labelsz00();
	BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_liipz00zzast_sexpz00(obj_t);
	static obj_t BGl_za2cachezd2resza2zd2zzast_sexpz00 = BUNSPEC;
	static BgL_nodez00_bglt
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	BGL_IMPORT bool_t bigloo_strncmp(obj_t, obj_t, long);
	static obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t, obj_t, obj_t,
		obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	extern BgL_nodez00_bglt BGl_letzd2ze3nodez31zzast_letz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t,
		obj_t);
	extern obj_t BGl_replacez12z12zztools_miscz00(obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_applyz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_exitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_labelsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern bool_t BGl_globalzd2readzd2onlyzf3zf3zzast_varz00(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
	extern bool_t BGl_castzd2sexpzf3z21zzast_privatez00(obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t string_to_symbol(char *);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_cnstzd2initzd2zzast_sexpz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00();
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_letzd2symzd2zzast_letz00();
	BGL_EXPORTED_DECL BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_loopz00zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
	extern BgL_letzd2funzd2_bglt BGl_labelszd2ze3nodez31zzast_labelsz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	extern BgL_nodez00_bglt BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	extern BgL_feffectz00_bglt BGl_parsezd2effectzd2zzeffect_feffectz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32050ze3ze1zzast_sexpz00(obj_t, obj_t);
	static obj_t BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BUNSPEC;
	static obj_t __cnst[45];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim3553z00,
		BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_errorzd2sexpzd2ze3nodezd2envz31zzast_sexpz00,
		BgL_bgl_za762errorza7d2sexpza73554za7,
		BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00, 0L, BUNSPEC, 3);
	BGL_IMPORT obj_t BGl_expzd2envzd2zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2anonymouszd2namezd2envzd2zzast_sexpz00,
		BgL_bgl_za762makeza7d2anonym3555z00, va_generic_entry,
		BGl_z62makezd2anonymouszd2namez62zzast_sexpz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2localzd2envz00zzast_sexpz00,
		BgL_bgl_za762findza7d2localza73556za7, BGl_z62findzd2localzb0zzast_sexpz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_locationzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762locationza7d2za7e3557za7,
		BGl_z62locationzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762sexpza7d2za7e3nod3558za7,
		BGl_z62sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_topzd2levelzd2sexpzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762topza7d2levelza7d3559za7,
		BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sexpza2zd2ze3nodezd2envz41zzast_sexpz00,
		BgL_bgl_za762sexpza7a2za7d2za7e33560z00,
		BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string3518z00zzast_sexpz00,
		BgL_bgl_string3518za700za7za7a3561za7, "Illegal `application' form", 26);
	      DEFINE_STRING(BGl_string3519z00zzast_sexpz00,
		BgL_bgl_string3519za700za7za7a3562za7, "Illegal `case' form", 19);
	      DEFINE_STRING(BGl_string3520z00zzast_sexpz00,
		BgL_bgl_string3520za700za7za7a3563za7, "Illegal `failure' form", 22);
	      DEFINE_STRING(BGl_string3521z00zzast_sexpz00,
		BgL_bgl_string3521za700za7za7a3564za7, "Illegal `lambda' form", 21);
	      DEFINE_STRING(BGl_string3522z00zzast_sexpz00,
		BgL_bgl_string3522za700za7za7a3565za7, "Illegal `define' form", 21);
	      DEFINE_STRING(BGl_string3523z00zzast_sexpz00,
		BgL_bgl_string3523za700za7za7a3566za7, "illegal `define' expression", 27);
	      DEFINE_STRING(BGl_string3524z00zzast_sexpz00,
		BgL_bgl_string3524za700za7za7a3567za7, "Illegal `set!' form", 19);
	      DEFINE_STRING(BGl_string3525z00zzast_sexpz00,
		BgL_bgl_string3525za700za7za7a3568za7, "Read-only variable", 18);
	      DEFINE_STRING(BGl_string3526z00zzast_sexpz00,
		BgL_bgl_string3526za700za7za7a3569za7, "illegal `set!' expression", 25);
	      DEFINE_STRING(BGl_string3527z00zzast_sexpz00,
		BgL_bgl_string3527za700za7za7a3570za7, "Illegal ->", 10);
	      DEFINE_STRING(BGl_string3528z00zzast_sexpz00,
		BgL_bgl_string3528za700za7za7a3571za7, "Illegal `if' form", 17);
	      DEFINE_STRING(BGl_string3529z00zzast_sexpz00,
		BgL_bgl_string3529za700za7za7a3572za7, "Illegal `quote' expression", 26);
	      DEFINE_STRING(BGl_string3530z00zzast_sexpz00,
		BgL_bgl_string3530za700za7za7a3573za7, "Illegal `@' expression", 22);
	      DEFINE_STRING(BGl_string3531z00zzast_sexpz00,
		BgL_bgl_string3531za700za7za7a3574za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string3532z00zzast_sexpz00,
		BgL_bgl_string3532za700za7za7a3575za7, "Illegal atom in s-expression", 28);
	      DEFINE_STRING(BGl_string3533z00zzast_sexpz00,
		BgL_bgl_string3533za700za7za7a3576za7, "Illegal `()' expression", 23);
	      DEFINE_STRING(BGl_string3534z00zzast_sexpz00,
		BgL_bgl_string3534za700za7za7a3577za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string3535z00zzast_sexpz00,
		BgL_bgl_string3535za700za7za7a3578za7, "Illegal formal argument", 23);
	      DEFINE_STRING(BGl_string3536z00zzast_sexpz00,
		BgL_bgl_string3536za700za7za7a3579za7,
		"Backend (~a) does not support external first class function", 59);
	      DEFINE_STRING(BGl_string3537z00zzast_sexpz00,
		BgL_bgl_string3537za700za7za7a3580za7, "Illegal pragma/effect", 21);
	      DEFINE_STRING(BGl_string3538z00zzast_sexpz00,
		BgL_bgl_string3538za700za7za7a3581za7, "Illegal free-pragma/effect", 26);
	      DEFINE_STRING(BGl_string3539z00zzast_sexpz00,
		BgL_bgl_string3539za700za7za7a3582za7, "Illegal lambda", 14);
	      DEFINE_STRING(BGl_string3540z00zzast_sexpz00,
		BgL_bgl_string3540za700za7za7a3583za7, "Illegal empty sequence", 22);
	      DEFINE_STRING(BGl_string3541z00zzast_sexpz00,
		BgL_bgl_string3541za700za7za7a3584za7, "Illegal mutation", 16);
	      DEFINE_STRING(BGl_string3542z00zzast_sexpz00,
		BgL_bgl_string3542za700za7za7a3585za7, "($1)", 4);
	      DEFINE_STRING(BGl_string3543z00zzast_sexpz00,
		BgL_bgl_string3543za700za7za7a3586za7, "anonymous", 9);
	      DEFINE_STRING(BGl_string3544z00zzast_sexpz00,
		BgL_bgl_string3544za700za7za7a3587za7, "<", 1);
	      DEFINE_STRING(BGl_string3545z00zzast_sexpz00,
		BgL_bgl_string3545za700za7za7a3588za7, ":", 1);
	      DEFINE_STRING(BGl_string3546z00zzast_sexpz00,
		BgL_bgl_string3546za700za7za7a3589za7, "./", 2);
	      DEFINE_STRING(BGl_string3547z00zzast_sexpz00,
		BgL_bgl_string3547za700za7za7a3590za7, ">", 1);
	      DEFINE_STRING(BGl_string3548z00zzast_sexpz00,
		BgL_bgl_string3548za700za7za7a3591za7, "-", 1);
	      DEFINE_STRING(BGl_string3549z00zzast_sexpz00,
		BgL_bgl_string3549za700za7za7a3592za7, "ast_sexp", 8);
	      DEFINE_STRING(BGl_string3550z00zzast_sexpz00,
		BgL_bgl_string3550za700za7za7a3593za7,
		"mutex > bdb location pragma::obj (@ __evmeaning_address foreign) (@ define-primop! __evenv) (@ define-primop-ref! __evenv) write car exp app cons :prelock synchronize apply jump-exit set-exit case failure free-pragma/effect free-pragma pragma/effect letrec* labels letrec let define begin -> __r4_control_features_6_9 quote @ eval not bool test set! pragma else (quote ()) lambda value if (value apply app set!) ",
		412);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ifzd2symzd2envz00zzast_sexpz00,
		BgL_bgl_za762ifza7d2symza7b0za7za73594za7, BGl_z62ifzd2symzb0zzast_sexpz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_usezd2variablez12zd2envz12zzast_sexpz00,
		BgL_bgl_za762useza7d2variabl3595z00,
		BGl_z62usezd2variablez12za2zzast_sexpz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_definezd2primopzd2refzd2ze3nodezd2envze3zzast_sexpz00,
		BgL_bgl_za762defineza7d2prim3596z00,
		BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long
		BgL_checksumz00_5671, char *BgL_fromz00_5672)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzast_sexpz00))
				{
					BGl_requirezd2initializa7ationz75zzast_sexpz00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzast_sexpz00();
					BGl_cnstzd2initzd2zzast_sexpz00();
					BGl_importedzd2moduleszd2initz00zzast_sexpz00();
					BGl_toplevelzd2initzd2zzast_sexpz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"ast_sexp");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0), "ast_sexp");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "ast_sexp");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			{	/* Ast/sexp.scm 14 */
				obj_t BgL_cportz00_5661;

				BgL_cportz00_5661 =
					bgl_open_input_string(BGl_string3550z00zzast_sexpz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_5662;

					BgL_iz00_5662 = ((long) 44);
				BgL_loopz00_5663:
					if ((BgL_iz00_5662 == ((long) -1)))
						{	/* Ast/sexp.scm 14 */
							return BUNSPEC;
						}
					else
						{	/* Ast/sexp.scm 14 */
							{	/* Ast/sexp.scm 14 */
								obj_t BgL_arg3552z00_5665;

								{	/* Ast/sexp.scm 14 */

									{	/* Ast/sexp.scm 14 */
										obj_t BgL_locationz00_5667;

										BgL_locationz00_5667 = BBOOL(((bool_t) 0));
										{	/* Ast/sexp.scm 14 */

											BgL_arg3552z00_5665 =
												BGl_readz00zz__readerz00(BgL_cportz00_5661,
												BgL_locationz00_5667);
										}
									}
								}
								{	/* Ast/sexp.scm 14 */
									int BgL_auxz00_5705;

									BgL_auxz00_5705 = (int) (BgL_iz00_5662);
									CNST_TABLE_SET(BgL_auxz00_5705, BgL_arg3552z00_5665);
							}}
							{	/* Ast/sexp.scm 14 */
								int BgL_auxz00_5668;

								BgL_auxz00_5668 = (int) ((BgL_iz00_5662 - ((long) 1)));
								{
									long BgL_iz00_5710;

									BgL_iz00_5710 = (long) (BgL_auxz00_5668);
									BgL_iz00_5662 = BgL_iz00_5710;
									goto BgL_loopz00_5663;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_za2sitesza2z00zzast_sexpz00 = CNST_TABLE_REF(((long) 0));
			BGl_za2ifza2z00zzast_sexpz00 =
				BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 1)));
			BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BFALSE;
			BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BFALSE;
			return (BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE, BUNSPEC);
		}
	}



/* top-level-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_topzd2levelzd2sexpzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_17,
		obj_t BgL_locz00_18)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 62 */
			return
				((BgL_nodez00_bglt)
				BGl_zc3exitza32046ze3z83zzast_sexpz00(BgL_locz00_18, BgL_expz00_17));
		}
	}



/* <exit:2046> */
	obj_t BGl_zc3exitza32046ze3z83zzast_sexpz00(obj_t BgL_locz00_5659,
		obj_t BgL_expz00_5658)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 63 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1103z00_1565;

			if (SET_EXIT(BgL_an_exit1103z00_1565))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1103z00_1565 = (void *) jmpbuf;
					{	/* Ast/sexp.scm 63 */

						PUSH_EXIT(BgL_an_exit1103z00_1565, ((long) 1));
						{	/* Ast/sexp.scm 63 */
							obj_t BgL_an_exitd1104z00_1566;

							BgL_an_exitd1104z00_1566 = ((obj_t) (&exitd));
							{	/* Ast/sexp.scm 66 */
								obj_t BgL_res1106z00_1569;

								{	/* Ast/sexp.scm 66 */
									obj_t BgL_zc3anonymousza32051ze3z83_5605;
									obj_t BgL_zc3anonymousza32050ze3z83_5606;

									BgL_zc3anonymousza32051ze3z83_5605 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32051ze3ze1zzast_sexpz00,
										(int) (((long) 0)), (int) (((long) 2)));
									BgL_zc3anonymousza32050ze3z83_5606 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32050ze3ze1zzast_sexpz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza32051ze3z83_5605,
										(int) (((long) 0)), BgL_expz00_5658);
									PROCEDURE_SET(BgL_zc3anonymousza32051ze3z83_5605,
										(int) (((long) 1)), BgL_locz00_5659);
									PROCEDURE_SET(BgL_zc3anonymousza32050ze3z83_5606,
										(int) (((long) 0)), BgL_an_exitd1104z00_1566);
									BgL_res1106z00_1569 =
										BGl_withzd2exceptionzd2handlerz00zz__errorz00
										(BgL_zc3anonymousza32050ze3z83_5606,
										BgL_zc3anonymousza32051ze3z83_5605);
								}
								POP_EXIT();
								return BgL_res1106z00_1569;
							}
						}
					}
				}
		}
	}



/* &top-level-sexp->node */
	BgL_nodez00_bglt BGl_z62topzd2levelzd2sexpzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_5607, obj_t BgL_expz00_5608, obj_t BgL_locz00_5609)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 62 */
			return
				((BgL_nodez00_bglt)
				BGl_zc3exitza32046ze3z83zzast_sexpz00(BgL_locz00_5609,
					BgL_expz00_5608));
		}
	}



/* &<anonymous:2051> */
	BgL_nodez00_bglt BGl_z62zc3anonymousza32051ze3ze1zzast_sexpz00(obj_t
		BgL_envz00_5610)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 68 */
			{	/* Ast/sexp.scm 69 */
				obj_t BgL_expz00_5611;
				obj_t BgL_locz00_5612;

				BgL_expz00_5611 = PROCEDURE_REF(BgL_envz00_5610, (int) (((long) 0)));
				BgL_locz00_5612 = PROCEDURE_REF(BgL_envz00_5610, (int) (((long) 1)));
				{

					return
						BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_5611, BNIL,
						BgL_locz00_5612, CNST_TABLE_REF(((long) 2)));
		}}}
	}



/* &<anonymous:2050> */
	obj_t BGl_z62zc3anonymousza32050ze3ze1zzast_sexpz00(obj_t BgL_envz00_5613,
		obj_t BgL_ez00_5615)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 65 */
			{	/* Ast/sexp.scm 66 */
				obj_t BgL_an_exitd1104z00_5614;

				BgL_an_exitd1104z00_5614 =
					PROCEDURE_REF(BgL_envz00_5613, (int) (((long) 0)));
				{
					obj_t BgL_ez00_1572;

					BgL_ez00_1572 = BgL_ez00_5615;
					BGl_exceptionzd2notifyzd2zz__objectz00(BgL_ez00_1572);
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1104z00_5614,
						BUNSPEC);
				}
			}
		}
	}



/* if-sym */
	BGL_EXPORTED_DEF obj_t BGl_ifzd2symzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 84 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}
	}



/* &if-sym */
	obj_t BGl_z62ifzd2symzb0zzast_sexpz00(obj_t BgL_envz00_5616)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 84 */
			return BGl_za2ifza2z00zzast_sexpz00;
		}
	}



/* proc-or-lambda? */
	bool_t BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(obj_t BgL_ez00_20)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 96 */
			if (SYMBOLP(BgL_ez00_20))
				{	/* Ast/sexp.scm 97 */
					return ((bool_t) 1);
				}
			else
				{	/* Ast/sexp.scm 97 */
					if (PAIRP(BgL_ez00_20))
						{	/* Ast/sexp.scm 97 */
							if ((CAR(BgL_ez00_20) == CNST_TABLE_REF(((long) 3))))
								{	/* Ast/sexp.scm 97 */
									bool_t BgL_testz00_5754;

									{	/* Ast/sexp.scm 97 */
										obj_t BgL_auxz00_5755;

										BgL_auxz00_5755 = CDR(BgL_ez00_20);
										BgL_testz00_5754 = PAIRP(BgL_auxz00_5755);
									}
									if (BgL_testz00_5754)
										{	/* Ast/sexp.scm 97 */
											return ((bool_t) 1);
										}
									else
										{	/* Ast/sexp.scm 97 */
											return ((bool_t) 0);
										}
								}
							else
								{	/* Ast/sexp.scm 97 */
									return ((bool_t) 0);
								}
						}
					else
						{	/* Ast/sexp.scm 97 */
							return ((bool_t) 0);
						}
				}
		}
	}



/* sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t
		BgL_expz00_21, obj_t BgL_stackz00_22, obj_t BgL_locz00_23,
		obj_t BgL_sitez00_24)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 110 */
		BGl_sexpzd2ze3nodez31zzast_sexpz00:
			{
				obj_t BgL_atomz00_1589;
				obj_t BgL_lz00_1594;
				obj_t BgL_bodyz00_1598;
				obj_t BgL_lz00_1601;
				obj_t BgL_valz00_1602;
				obj_t BgL_bodyz00_1606;
				obj_t BgL_argsz00_1607;
				obj_t BgL_varz00_1611;
				obj_t BgL_bodyz00_1612;
				obj_t BgL_argz00_1613;
				obj_t BgL_varsz00_1615;
				obj_t BgL_bodyz00_1616;
				obj_t BgL_argsz00_1617;
				obj_t BgL_testz00_1619;
				obj_t BgL_proc1z00_1620;
				obj_t BgL_proc2z00_1621;
				obj_t BgL_argsz00_1622;
				obj_t BgL_testz00_1624;
				obj_t BgL_proc1z00_1625;
				obj_t BgL_proc2z00_1626;
				obj_t BgL_argsz00_1627;
				obj_t BgL_effectz00_1631;
				obj_t BgL_restz00_1632;
				obj_t BgL_effectz00_1635;
				obj_t BgL_restz00_1636;

				if (NULLP(BgL_expz00_21))
					{	/* Ast/sexp.scm 115 */
						{	/* Ast/sexp.scm 118 */
							BgL_nodez00_bglt BgL_res3233z00_4126;

							{	/* Ast/sexp.scm 668 */
								obj_t BgL_arg3097z00_4122;
								BgL_nodez00_bglt BgL_arg3098z00_4123;

								BgL_arg3097z00_4122 =
									BGl_shapez00zztools_shapez00
									(BGl_currentzd2functionzd2zztools_errorz00());
								BgL_arg3098z00_4123 =
									BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)),
									BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
								{	/* Ast/sexp.scm 667 */
									obj_t BgL_list3099z00_4125;

									BgL_list3099z00_4125 =
										MAKE_PAIR(((obj_t) BgL_arg3098z00_4123), BNIL);
									BgL_res3233z00_4126 =
										((BgL_nodez00_bglt)
										BGl_userzd2errorzf2locationz20zztools_errorz00
										(BgL_locz00_23, BgL_arg3097z00_4122,
											BGl_string3533z00zzast_sexpz00, BgL_expz00_21,
											BgL_list3099z00_4125));
							}}
							return BgL_res3233z00_4126;
						}
					}
				else
					{	/* Ast/sexp.scm 115 */
						if (BGl_isazf3zf3zz__objectz00(BgL_expz00_21,
								BGl_nodez00zzast_nodez00))
							{
								obj_t BgL_auxz00_5771;

								if (BGl_isazf3zf3zz__objectz00(BgL_expz00_21,
										BGl_externz00zzast_nodez00))
									{	/* Ast/sexp.scm 122 */
										BgL_externz00_bglt BgL_i1107z00_2446;

										BgL_i1107z00_2446 = ((BgL_externz00_bglt) BgL_expz00_21);
										{	/* Ast/sexp.scm 123 */
											obj_t BgL_l02002z00_2447;

											BgL_l02002z00_2447 =
												(((BgL_externz00_bglt) CREF(BgL_i1107z00_2446))->
												BgL_exprza2za2);
											{
												obj_t BgL_l2001z00_2449;

												BgL_l2001z00_2449 = BgL_l02002z00_2447;
											BgL_zc3anonymousza32662ze3z83_2450:
												if (NULLP(BgL_l2001z00_2449))
													{	/* Ast/sexp.scm 123 */
														BgL_l02002z00_2447;
													}
												else
													{	/* Ast/sexp.scm 123 */
														{	/* Ast/sexp.scm 123 */
															BgL_nodez00_bglt BgL_arg2664z00_2452;

															{	/* Ast/sexp.scm 123 */
																obj_t BgL_ez00_2453;

																BgL_ez00_2453 = CAR(BgL_l2001z00_2449);
																{	/* Ast/sexp.scm 123 */
																	obj_t BgL_arg2665z00_2454;

																	BgL_arg2665z00_2454 =
																		(((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_i1107z00_2446)))->BgL_locz00);
																	BgL_arg2664z00_2452 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(BgL_ez00_2453, BgL_stackz00_22,
																		BgL_arg2665z00_2454,
																		CNST_TABLE_REF(((long) 2)));
															}}
															{	/* Ast/sexp.scm 123 */
																obj_t BgL_pairz00_4132;
																obj_t BgL_objz00_4133;

																BgL_pairz00_4132 = BgL_l2001z00_2449;
																BgL_objz00_4133 = ((obj_t) BgL_arg2664z00_2452);
																SET_CAR(BgL_pairz00_4132, BgL_objz00_4133);
														}}
														{
															obj_t BgL_l2001z00_5785;

															BgL_l2001z00_5785 = CDR(BgL_l2001z00_2449);
															BgL_l2001z00_2449 = BgL_l2001z00_5785;
															goto BgL_zc3anonymousza32662ze3z83_2450;
														}
													}
											}
										}
									}
								else
									{	/* Ast/sexp.scm 121 */
										BFALSE;
									}
								if (BGl_isazf3zf3zz__objectz00(BgL_expz00_21,
										BGl_appz00zzast_nodez00))
									{	/* Ast/sexp.scm 125 */
										BgL_appz00_bglt BgL_i1108z00_2458;

										BgL_i1108z00_2458 = ((BgL_appz00_bglt) BgL_expz00_21);
										{	/* Ast/sexp.scm 126 */
											obj_t BgL_l02005z00_2459;

											BgL_l02005z00_2459 =
												(((BgL_appz00_bglt) CREF(BgL_i1108z00_2458))->
												BgL_argsz00);
											{
												obj_t BgL_l2004z00_2461;

												BgL_l2004z00_2461 = BgL_l02005z00_2459;
											BgL_zc3anonymousza32668ze3z83_2462:
												if (NULLP(BgL_l2004z00_2461))
													{	/* Ast/sexp.scm 126 */
														BgL_l02005z00_2459;
													}
												else
													{	/* Ast/sexp.scm 126 */
														{	/* Ast/sexp.scm 126 */
															BgL_nodez00_bglt BgL_arg2670z00_2464;

															{	/* Ast/sexp.scm 126 */
																obj_t BgL_ez00_2465;

																BgL_ez00_2465 = CAR(BgL_l2004z00_2461);
																{	/* Ast/sexp.scm 126 */
																	obj_t BgL_arg2671z00_2466;

																	BgL_arg2671z00_2466 =
																		(((BgL_nodez00_bglt) CREF(
																				((BgL_nodez00_bglt)
																					BgL_i1108z00_2458)))->BgL_locz00);
																	BgL_arg2670z00_2464 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(BgL_ez00_2465, BgL_stackz00_22,
																		BgL_arg2671z00_2466,
																		CNST_TABLE_REF(((long) 2)));
															}}
															{	/* Ast/sexp.scm 126 */
																obj_t BgL_pairz00_4140;
																obj_t BgL_objz00_4141;

																BgL_pairz00_4140 = BgL_l2004z00_2461;
																BgL_objz00_4141 = ((obj_t) BgL_arg2670z00_2464);
																SET_CAR(BgL_pairz00_4140, BgL_objz00_4141);
														}}
														{
															obj_t BgL_l2004z00_5800;

															BgL_l2004z00_5800 = CDR(BgL_l2004z00_2461);
															BgL_l2004z00_2461 = BgL_l2004z00_5800;
															goto BgL_zc3anonymousza32668ze3z83_2462;
														}
													}
											}
										}
									}
								else
									{	/* Ast/sexp.scm 124 */
										BFALSE;
									}
								BgL_auxz00_5771 = BgL_expz00_21;
								return ((BgL_nodez00_bglt) BgL_auxz00_5771);
							}
						else
							{	/* Ast/sexp.scm 115 */
								if (PAIRP(BgL_expz00_21))
									{	/* Ast/sexp.scm 115 */
										obj_t BgL_carzd2467zd2_1657;

										BgL_carzd2467zd2_1657 = CAR(BgL_expz00_21);
										if (SYMBOLP(BgL_carzd2467zd2_1657))
											{	/* Ast/sexp.scm 115 */
												bool_t BgL_testz00_5808;

												{	/* Ast/sexp.scm 115 */
													obj_t BgL_xz00_2050;

													BgL_xz00_2050 = BgL_carzd2467zd2_1657;
													{	/* Ast/sexp.scm 115 */
														obj_t BgL__ortest_1138z00_2051;

														BgL__ortest_1138z00_2051 =
															BGl_findzd2localzd2zzast_sexpz00(BgL_xz00_2050,
															BgL_stackz00_22);
														if (CBOOL(BgL__ortest_1138z00_2051))
															{	/* Ast/sexp.scm 115 */
																BgL_testz00_5808 =
																	CBOOL(BgL__ortest_1138z00_2051);
															}
														else
															{	/* Ast/sexp.scm 115 */
																obj_t BgL_gz00_2052;

																BgL_gz00_2052 =
																	BGl_findzd2globalzd2zzast_envz00
																	(BgL_xz00_2050, BNIL);
																if (CBOOL(BgL_gz00_2052))
																	{	/* Ast/sexp.scm 115 */
																		if (
																			((((BgL_globalz00_bglt) CREF(
																							((BgL_globalz00_bglt)
																								BgL_gz00_2052)))->
																					BgL_modulez00) ==
																				CNST_TABLE_REF(((long) 14))))
																			{	/* Ast/sexp.scm 115 */
																				BgL_testz00_5808 = ((bool_t) 0);
																			}
																		else
																			{	/* Ast/sexp.scm 115 */
																				BgL_testz00_5808 = ((bool_t) 1);
																			}
																	}
																else
																	{	/* Ast/sexp.scm 115 */
																		BgL_testz00_5808 = ((bool_t) 0);
																	}
															}
													}
												}
												if (BgL_testz00_5808)
													{	/* Ast/sexp.scm 115 */
														return
															BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_21,
															BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
													}
												else
													{	/* Ast/sexp.scm 115 */
														if (
															(CAR(BgL_expz00_21) ==
																CNST_TABLE_REF(((long) 12))))
															{	/* Ast/sexp.scm 115 */
															BgL_tagzd2371zd2_1593:
																{	/* Ast/sexp.scm 166 */
																	obj_t BgL_locz00_2491;

																	BgL_locz00_2491 =
																		BGl_findzd2locationzf2locz20zztools_locationz00
																		(BgL_expz00_21, BgL_locz00_23);
																	{
																		obj_t BgL_namez00_2492;
																		obj_t BgL_modulez00_2493;

																		if (PAIRP(BgL_expz00_21))
																			{	/* Ast/sexp.scm 167 */
																				obj_t BgL_cdrzd27723zd2_2498;

																				BgL_cdrzd27723zd2_2498 =
																					CDR(BgL_expz00_21);
																				if (
																					(CAR(BgL_expz00_21) ==
																						CNST_TABLE_REF(((long) 12))))
																					{	/* Ast/sexp.scm 167 */
																						if (PAIRP(BgL_cdrzd27723zd2_2498))
																							{	/* Ast/sexp.scm 167 */
																								obj_t BgL_carzd27726zd2_2501;
																								obj_t BgL_cdrzd27727zd2_2502;

																								BgL_carzd27726zd2_2501 =
																									CAR(BgL_cdrzd27723zd2_2498);
																								BgL_cdrzd27727zd2_2502 =
																									CDR(BgL_cdrzd27723zd2_2498);
																								if (SYMBOLP
																									(BgL_carzd27726zd2_2501))
																									{	/* Ast/sexp.scm 167 */
																										if (PAIRP
																											(BgL_cdrzd27727zd2_2502))
																											{	/* Ast/sexp.scm 167 */
																												obj_t
																													BgL_carzd27732zd2_2505;
																												BgL_carzd27732zd2_2505 =
																													CAR
																													(BgL_cdrzd27727zd2_2502);
																												if (SYMBOLP
																													(BgL_carzd27732zd2_2505))
																													{	/* Ast/sexp.scm 167 */
																														if (NULLP(CDR
																																(BgL_cdrzd27727zd2_2502)))
																															{	/* Ast/sexp.scm 167 */
																																BgL_namez00_2492
																																	=
																																	BgL_carzd27726zd2_2501;
																																BgL_modulez00_2493
																																	=
																																	BgL_carzd27732zd2_2505;
																																{	/* Ast/sexp.scm 169 */
																																	obj_t
																																		BgL_globalz00_2510;
																																	BgL_globalz00_2510
																																		=
																																		BGl_findzd2globalzf2modulez20zzast_envz00
																																		(BgL_namez00_2492,
																																		BgL_modulez00_2493);
																																	if (BGl_isazf3zf3zz__objectz00(BgL_globalz00_2510, BGl_globalz00zzast_varz00))
																																		{	/* Ast/sexp.scm 171 */
																																			if (
																																				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt) BgL_globalz00_2510)))->BgL_importz00) == CNST_TABLE_REF(((long) 11))))
																																				{	/* Ast/sexp.scm 174 */
																																					obj_t
																																						BgL_arg2700z00_2513;
																																					{	/* Ast/sexp.scm 174 */
																																						obj_t
																																							BgL_arg2701z00_2514;
																																						BgL_arg2701z00_2514
																																							=
																																							MAKE_PAIR
																																							(BGl_atomz00zzast_nodez00,
																																							BNIL);
																																						BgL_arg2700z00_2513
																																							=
																																							MAKE_PAIR
																																							(CNST_TABLE_REF
																																							(((long) 11)), BgL_arg2701z00_2514);
																																					}
																																					{
																																						obj_t
																																							BgL_locz00_5860;
																																						obj_t
																																							BgL_expz00_5859;
																																						BgL_expz00_5859
																																							=
																																							BgL_arg2700z00_2513;
																																						BgL_locz00_5860
																																							=
																																							BgL_locz00_2491;
																																						BgL_locz00_23
																																							=
																																							BgL_locz00_5860;
																																						BgL_expz00_21
																																							=
																																							BgL_expz00_5859;
																																						goto
																																							BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																					}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 173 */
																																					return
																																						BGl_variablezd2ze3nodez31zzast_sexpz00
																																						(BgL_globalz00_2510,
																																						BgL_locz00_2491,
																																						BgL_sitez00_24);
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 172 */
																																			BgL_nodez00_bglt
																																				BgL_res3250z00_4192;
																																			{	/* Ast/sexp.scm 668 */
																																				obj_t
																																					BgL_arg3097z00_4188;
																																				BgL_nodez00_bglt
																																					BgL_arg3098z00_4189;
																																				BgL_arg3097z00_4188
																																					=
																																					BGl_shapez00zztools_shapez00
																																					(BGl_currentzd2functionzd2zztools_errorz00
																																					());
																																				BgL_arg3098z00_4189
																																					=
																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																					(CNST_TABLE_REF
																																					(((long) 4)), BNIL, BgL_locz00_2491, CNST_TABLE_REF(((long) 2)));
																																				{	/* Ast/sexp.scm 667 */
																																					obj_t
																																						BgL_list3099z00_4191;
																																					BgL_list3099z00_4191
																																						=
																																						MAKE_PAIR
																																						(((obj_t) BgL_arg3098z00_4189), BNIL);
																																					BgL_res3250z00_4192
																																						=
																																						(
																																						(BgL_nodez00_bglt)
																																						BGl_userzd2errorzf2locationz20zztools_errorz00
																																						(BgL_locz00_2491,
																																							BgL_arg3097z00_4188,
																																							BGl_string3531z00zzast_sexpz00,
																																							BgL_expz00_21,
																																							BgL_list3099z00_4191));
																																			}}
																																			return
																																				BgL_res3250z00_4192;
																																		}
																																}
																															}
																														else
																															{	/* Ast/sexp.scm 167 */
																															BgL_tagzd27716zd2_2495:
																																{	/* Ast/sexp.scm 178 */
																																	BgL_nodez00_bglt
																																		BgL_res3251z00_4200;
																																	{	/* Ast/sexp.scm 668 */
																																		obj_t
																																			BgL_arg3097z00_4196;
																																		BgL_nodez00_bglt
																																			BgL_arg3098z00_4197;
																																		BgL_arg3097z00_4196
																																			=
																																			BGl_shapez00zztools_shapez00
																																			(BGl_currentzd2functionzd2zztools_errorz00
																																			());
																																		BgL_arg3098z00_4197
																																			=
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																			(CNST_TABLE_REF
																																			(((long)
																																					4)),
																																			BNIL,
																																			BgL_locz00_2491,
																																			CNST_TABLE_REF
																																			(((long)
																																					2)));
																																		{	/* Ast/sexp.scm 667 */
																																			obj_t
																																				BgL_list3099z00_4199;
																																			BgL_list3099z00_4199
																																				=
																																				MAKE_PAIR
																																				(((obj_t) BgL_arg3098z00_4197), BNIL);
																																			BgL_res3251z00_4200
																																				=
																																				(
																																				(BgL_nodez00_bglt)
																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																				(BgL_locz00_2491,
																																					BgL_arg3097z00_4196,
																																					BGl_string3530z00zzast_sexpz00,
																																					BgL_expz00_21,
																																					BgL_list3099z00_4199));
																																	}}
																																	return
																																		BgL_res3251z00_4200;
																																}
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 167 */
																														goto
																															BgL_tagzd27716zd2_2495;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 167 */
																												goto
																													BgL_tagzd27716zd2_2495;
																											}
																									}
																								else
																									{	/* Ast/sexp.scm 167 */
																										goto BgL_tagzd27716zd2_2495;
																									}
																							}
																						else
																							{	/* Ast/sexp.scm 167 */
																								goto BgL_tagzd27716zd2_2495;
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 167 */
																						goto BgL_tagzd27716zd2_2495;
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 167 */
																				goto BgL_tagzd27716zd2_2495;
																			}
																	}
																}
															}
														else
															{	/* Ast/sexp.scm 115 */
																if (
																	(CAR(BgL_expz00_21) ==
																		CNST_TABLE_REF(((long) 15))))
																	{	/* Ast/sexp.scm 115 */
																		BgL_lz00_1594 = CDR(BgL_expz00_21);
																	BgL_tagzd2372zd2_1595:
																		{	/* Ast/sexp.scm 181 */
																			bool_t BgL_testz00_5884;

																			if (PAIRP(BgL_lz00_1594))
																				{	/* Ast/sexp.scm 181 */
																					bool_t BgL_testz00_5887;

																					{	/* Ast/sexp.scm 181 */
																						obj_t BgL_auxz00_5888;

																						BgL_auxz00_5888 =
																							CDR(BgL_lz00_1594);
																						BgL_testz00_5887 =
																							PAIRP(BgL_auxz00_5888);
																					}
																					if (BgL_testz00_5887)
																						{
																							obj_t BgL_l2006z00_2520;

																							BgL_l2006z00_2520 = BgL_lz00_1594;
																						BgL_zc3anonymousza32707ze3z83_2521:
																							if (NULLP(BgL_l2006z00_2520))
																								{	/* Ast/sexp.scm 181 */
																									BgL_testz00_5884 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Ast/sexp.scm 181 */
																									bool_t BgL_testz00_5893;

																									{	/* Ast/sexp.scm 181 */
																										obj_t BgL_auxz00_5894;

																										BgL_auxz00_5894 =
																											CAR(BgL_l2006z00_2520);
																										BgL_testz00_5893 =
																											SYMBOLP(BgL_auxz00_5894);
																									}
																									if (BgL_testz00_5893)
																										{
																											obj_t BgL_l2006z00_5897;

																											BgL_l2006z00_5897 =
																												CDR(BgL_l2006z00_2520);
																											BgL_l2006z00_2520 =
																												BgL_l2006z00_5897;
																											goto
																												BgL_zc3anonymousza32707ze3z83_2521;
																										}
																									else
																										{	/* Ast/sexp.scm 181 */
																											BgL_testz00_5884 =
																												((bool_t) 0);
																										}
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 181 */
																							BgL_testz00_5884 = ((bool_t) 0);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 181 */
																					BgL_testz00_5884 = ((bool_t) 0);
																				}
																			if (BgL_testz00_5884)
																				{	/* Ast/sexp.scm 181 */
																					return
																						BGl_fieldzd2refzd2ze3nodeze3zzast_objectz00
																						(BgL_lz00_1594, BgL_expz00_21,
																						BgL_stackz00_22, BgL_locz00_23,
																						BgL_sitez00_24);
																				}
																			else
																				{	/* Ast/sexp.scm 183 */
																					BgL_nodez00_bglt BgL_res3262z00_4237;

																					{	/* Ast/sexp.scm 668 */
																						obj_t BgL_arg3097z00_4233;
																						BgL_nodez00_bglt
																							BgL_arg3098z00_4234;
																						BgL_arg3097z00_4233 =
																							BGl_shapez00zztools_shapez00
																							(BGl_currentzd2functionzd2zztools_errorz00
																							());
																						BgL_arg3098z00_4234 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(CNST_TABLE_REF(((long) 4)), BNIL,
																							BgL_locz00_23,
																							CNST_TABLE_REF(((long) 2)));
																						{	/* Ast/sexp.scm 667 */
																							obj_t BgL_list3099z00_4236;

																							BgL_list3099z00_4236 =
																								MAKE_PAIR(
																								((obj_t) BgL_arg3098z00_4234),
																								BNIL);
																							BgL_res3262z00_4237 =
																								((BgL_nodez00_bglt)
																								BGl_userzd2errorzf2locationz20zztools_errorz00
																								(BgL_locz00_23,
																									BgL_arg3097z00_4233,
																									BGl_string3527z00zzast_sexpz00,
																									BgL_expz00_21,
																									BgL_list3099z00_4236));
																					}}
																					return BgL_res3262z00_4237;
																				}
																		}
																	}
																else
																	{	/* Ast/sexp.scm 115 */
																		if (
																			(CAR(BgL_expz00_21) ==
																				CNST_TABLE_REF(((long) 13))))
																			{	/* Ast/sexp.scm 115 */
																			BgL_tagzd2373zd2_1596:
																				{
																					obj_t BgL_valuez00_2529;

																					if (PAIRP(BgL_expz00_21))
																						{	/* Ast/sexp.scm 115 */
																							obj_t BgL_cdrzd27743zd2_2534;

																							BgL_cdrzd27743zd2_2534 =
																								CDR(BgL_expz00_21);
																							if (PAIRP(BgL_cdrzd27743zd2_2534))
																								{	/* Ast/sexp.scm 115 */
																									if (NULLP(CDR
																											(BgL_cdrzd27743zd2_2534)))
																										{	/* Ast/sexp.scm 115 */
																											BgL_valuez00_2529 =
																												CAR
																												(BgL_cdrzd27743zd2_2534);
																											{	/* Ast/sexp.scm 188 */
																												obj_t BgL_locz00_2539;

																												BgL_locz00_2539 =
																													BGl_findzd2locationzf2locz20zztools_locationz00
																													(BgL_expz00_21,
																													BgL_locz00_23);
																												if (NULLP
																													(BgL_valuez00_2529))
																													{	/* Ast/sexp.scm 191 */
																														BgL_atomz00_bglt
																															BgL_new1117z00_2541;
																														{	/* Ast/sexp.scm 191 */
																															BgL_atomz00_bglt
																																BgL_new1116z00_2543;
																															BgL_new1116z00_2543
																																=
																																(
																																(BgL_atomz00_bglt)
																																BREF(GC_MALLOC
																																	(sizeof(struct
																																			BgL_atomz00_bgl))));
																															{	/* Ast/sexp.scm 191 */
																																long
																																	BgL_arg2720z00_2544;
																																{	/* Ast/sexp.scm 191 */
																																	long
																																		BgL_res3264z00_4241;
																																	BgL_res3264z00_4241
																																		=
																																		BGL_CLASS_INDEX
																																		(BGl_atomz00zzast_nodez00);
																																	BgL_arg2720z00_2544
																																		=
																																		BgL_res3264z00_4241;
																																}
																																{	/* Ast/sexp.scm 191 */
																																	BgL_objectz00_bglt
																																		BgL_objz00_4242;
																																	BgL_objz00_4242
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		BgL_new1116z00_2543);
																																	BGL_OBJECT_CLASS_NUM_SET
																																		(BgL_objz00_4242,
																																		BgL_arg2720z00_2544);
																															}}
																															{	/* Ast/sexp.scm 191 */
																																BgL_objectz00_bglt
																																	BgL_auxz00_5929;
																																BgL_auxz00_5929
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1116z00_2543);
																																BGL_OBJECT_WIDENING_SET
																																	(BgL_auxz00_5929,
																																	BFALSE);
																															}
																															BgL_new1117z00_2541
																																=
																																BgL_new1116z00_2543;
																														}
																														((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1117z00_2541)))->BgL_locz00) = ((obj_t) BgL_locz00_2539), BUNSPEC);
																														{
																															BgL_typez00_bglt
																																BgL_auxz00_5934;
																															{	/* Ast/sexp.scm 193 */
																																BgL_typez00_bglt
																																	BgL_arg2719z00_2542;
																																BgL_arg2719z00_2542
																																	=
																																	BGl_getzd2typezd2kwotez00zztype_typeofz00
																																	(BgL_valuez00_2529);
																																BgL_auxz00_5934
																																	=
																																	BGl_strictzd2nodezd2typez00zzast_nodez00
																																	(BgL_arg2719z00_2542,
																																	((BgL_typez00_bglt) BGl_za2bnilza2z00zztype_cachez00));
																															}
																															((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1117z00_2541)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_5934), BUNSPEC);
																														}
																														((((BgL_atomz00_bglt) CREF(BgL_new1117z00_2541))->BgL_valuez00) = ((obj_t) BNIL), BUNSPEC);
																														return
																															(
																															(BgL_nodez00_bglt)
																															BgL_new1117z00_2541);
																													}
																												else
																													{	/* Ast/sexp.scm 195 */
																														bool_t
																															BgL_testz00_5942;
																														if (PAIRP
																															(BgL_valuez00_2529))
																															{	/* Ast/sexp.scm 195 */
																																BgL_testz00_5942
																																	=
																																	((bool_t) 1);
																															}
																														else
																															{	/* Ast/sexp.scm 195 */
																																if (VECTORP
																																	(BgL_valuez00_2529))
																																	{	/* Ast/sexp.scm 196 */
																																		BgL_testz00_5942
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 196 */
																																		if (BGL_HVECTORP(BgL_valuez00_2529))
																																			{	/* Ast/sexp.scm 197 */
																																				BgL_testz00_5942
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 197 */
																																				if (STRUCTP(BgL_valuez00_2529))
																																					{	/* Ast/sexp.scm 198 */
																																						BgL_testz00_5942
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 198 */
																																						if (SYMBOLP(BgL_valuez00_2529))
																																							{	/* Ast/sexp.scm 199 */
																																								BgL_testz00_5942
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 199 */
																																								BgL_testz00_5942
																																									=
																																									KEYWORDP
																																									(BgL_valuez00_2529);
																																							}
																																					}
																																			}
																																	}
																															}
																														if (BgL_testz00_5942)
																															{	/* Ast/sexp.scm 201 */
																																BgL_kwotez00_bglt
																																	BgL_new1119z00_2546;
																																{	/* Ast/sexp.scm 201 */
																																	BgL_kwotez00_bglt
																																		BgL_new1118z00_2548;
																																	BgL_new1118z00_2548
																																		=
																																		(
																																		(BgL_kwotez00_bglt)
																																		BREF
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_kwotez00_bgl))));
																																	{	/* Ast/sexp.scm 201 */
																																		long
																																			BgL_arg2724z00_2549;
																																		{	/* Ast/sexp.scm 201 */
																																			long
																																				BgL_res3270z00_4256;
																																			BgL_res3270z00_4256
																																				=
																																				BGL_CLASS_INDEX
																																				(BGl_kwotez00zzast_nodez00);
																																			BgL_arg2724z00_2549
																																				=
																																				BgL_res3270z00_4256;
																																		}
																																		{	/* Ast/sexp.scm 201 */
																																			BgL_objectz00_bglt
																																				BgL_objz00_4257;
																																			BgL_objz00_4257
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				BgL_new1118z00_2548);
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(BgL_objz00_4257,
																																				BgL_arg2724z00_2549);
																																	}}
																																	{	/* Ast/sexp.scm 201 */
																																		BgL_objectz00_bglt
																																			BgL_auxz00_5958;
																																		BgL_auxz00_5958
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_new1118z00_2548);
																																		BGL_OBJECT_WIDENING_SET
																																			(BgL_auxz00_5958,
																																			BFALSE);
																																	}
																																	BgL_new1119z00_2546
																																		=
																																		BgL_new1118z00_2548;
																																}
																																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1119z00_2546)))->BgL_locz00) = ((obj_t) BgL_locz00_2539), BUNSPEC);
																																{
																																	BgL_typez00_bglt
																																		BgL_auxz00_5963;
																																	{	/* Ast/sexp.scm 203 */
																																		BgL_typez00_bglt
																																			BgL_arg2722z00_2547;
																																		BgL_arg2722z00_2547
																																			=
																																			BGl_getzd2typezd2kwotez00zztype_typeofz00
																																			(BgL_valuez00_2529);
																																		BgL_auxz00_5963
																																			=
																																			BGl_strictzd2nodezd2typez00zzast_nodez00
																																			(BgL_arg2722z00_2547,
																																			((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00));
																																	}
																																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1119z00_2546)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_5963), BUNSPEC);
																																}
																																((((BgL_kwotez00_bglt) CREF(BgL_new1119z00_2546))->BgL_valuez00) = ((obj_t) BgL_valuez00_2529), BUNSPEC);
																																return
																																	(
																																	(BgL_nodez00_bglt)
																																	BgL_new1119z00_2546);
																															}
																														else
																															{	/* Ast/sexp.scm 205 */
																																bool_t
																																	BgL_testz00_5971;
																																if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_valuez00_2529))
																																	{	/* Ast/sexp.scm 205 */
																																		BgL_testz00_5971
																																			=
																																			((bool_t)
																																			1);
																																	}
																																else
																																	{	/* Ast/sexp.scm 205 */
																																		if (STRINGP
																																			(BgL_valuez00_2529))
																																			{	/* Ast/sexp.scm 206 */
																																				BgL_testz00_5971
																																					=
																																					(
																																					(bool_t)
																																					1);
																																			}
																																		else
																																			{	/* Ast/sexp.scm 206 */
																																				if (CNSTP(BgL_valuez00_2529))
																																					{	/* Ast/sexp.scm 207 */
																																						BgL_testz00_5971
																																							=
																																							(
																																							(bool_t)
																																							1);
																																					}
																																				else
																																					{	/* Ast/sexp.scm 207 */
																																						if (CHARP(BgL_valuez00_2529))
																																							{	/* Ast/sexp.scm 211 */
																																								BgL_testz00_5971
																																									=
																																									(
																																									(bool_t)
																																									1);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 211 */
																																								BgL_testz00_5971
																																									=
																																									BOOLEANP
																																									(BgL_valuez00_2529);
																																							}
																																					}
																																			}
																																	}
																																if (BgL_testz00_5971)
																																	{
																																		obj_t
																																			BgL_locz00_5982;
																																		obj_t
																																			BgL_expz00_5981;
																																		BgL_expz00_5981
																																			=
																																			BgL_valuez00_2529;
																																		BgL_locz00_5982
																																			=
																																			BgL_locz00_2539;
																																		BgL_locz00_23
																																			=
																																			BgL_locz00_5982;
																																		BgL_expz00_21
																																			=
																																			BgL_expz00_5981;
																																		goto
																																			BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																	}
																																else
																																	{	/* Ast/sexp.scm 215 */
																																		BgL_nodez00_bglt
																																			BgL_res3275z00_4274;
																																		{	/* Ast/sexp.scm 668 */
																																			obj_t
																																				BgL_arg3097z00_4270;
																																			BgL_nodez00_bglt
																																				BgL_arg3098z00_4271;
																																			BgL_arg3097z00_4270
																																				=
																																				BGl_shapez00zztools_shapez00
																																				(BGl_currentzd2functionzd2zztools_errorz00
																																				());
																																			BgL_arg3098z00_4271
																																				=
																																				BGl_sexpzd2ze3nodez31zzast_sexpz00
																																				(CNST_TABLE_REF
																																				(((long)
																																						4)),
																																				BNIL,
																																				BgL_locz00_2539,
																																				CNST_TABLE_REF
																																				(((long)
																																						2)));
																																			{	/* Ast/sexp.scm 667 */
																																				obj_t
																																					BgL_list3099z00_4273;
																																				BgL_list3099z00_4273
																																					=
																																					MAKE_PAIR
																																					(((obj_t) BgL_arg3098z00_4271), BNIL);
																																				BgL_res3275z00_4274
																																					=
																																					(
																																					(BgL_nodez00_bglt)
																																					BGl_userzd2errorzf2locationz20zztools_errorz00
																																					(BgL_locz00_2539,
																																						BgL_arg3097z00_4270,
																																						BGl_string3529z00zzast_sexpz00,
																																						BgL_expz00_21,
																																						BgL_list3099z00_4273));
																																		}}
																																		return
																																			BgL_res3275z00_4274;
																																	}
																															}
																													}
																											}
																										}
																									else
																										{	/* Ast/sexp.scm 115 */
																										BgL_tagzd27738zd2_2531:
																											{	/* Ast/sexp.scm 217 */
																												BgL_nodez00_bglt
																													BgL_res3276z00_4282;
																												{	/* Ast/sexp.scm 668 */
																													obj_t
																														BgL_arg3097z00_4278;
																													BgL_nodez00_bglt
																														BgL_arg3098z00_4279;
																													BgL_arg3097z00_4278 =
																														BGl_shapez00zztools_shapez00
																														(BGl_currentzd2functionzd2zztools_errorz00
																														());
																													BgL_arg3098z00_4279 =
																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																														(CNST_TABLE_REF((
																																(long) 4)),
																														BNIL, BgL_locz00_23,
																														CNST_TABLE_REF((
																																(long) 2)));
																													{	/* Ast/sexp.scm 667 */
																														obj_t
																															BgL_list3099z00_4281;
																														BgL_list3099z00_4281
																															=
																															MAKE_PAIR(((obj_t)
																																BgL_arg3098z00_4279),
																															BNIL);
																														BgL_res3276z00_4282
																															=
																															(
																															(BgL_nodez00_bglt)
																															BGl_userzd2errorzf2locationz20zztools_errorz00
																															(BgL_locz00_23,
																																BgL_arg3097z00_4278,
																																BGl_string3529z00zzast_sexpz00,
																																BgL_expz00_21,
																																BgL_list3099z00_4281));
																												}}
																												return
																													BgL_res3276z00_4282;
																											}
																										}
																								}
																							else
																								{	/* Ast/sexp.scm 115 */
																									goto BgL_tagzd27738zd2_2531;
																								}
																						}
																					else
																						{	/* Ast/sexp.scm 115 */
																							goto BgL_tagzd27738zd2_2531;
																						}
																				}
																			}
																		else
																			{	/* Ast/sexp.scm 115 */
																				if (
																					(CAR(BgL_expz00_21) ==
																						CNST_TABLE_REF(((long) 16))))
																					{	/* Ast/sexp.scm 115 */
																						if (NULLP(CDR(BgL_expz00_21)))
																							{	/* Ast/sexp.scm 115 */
																							BgL_tagzd2374zd2_1597:
																								{
																									obj_t BgL_locz00_6010;
																									obj_t BgL_expz00_6009;

																									BgL_expz00_6009 = BUNSPEC;
																									BgL_locz00_6010 =
																										BGl_findzd2locationzf2locz20zztools_locationz00
																										(BgL_expz00_21,
																										BgL_locz00_23);
																									BgL_locz00_23 =
																										BgL_locz00_6010;
																									BgL_expz00_21 =
																										BgL_expz00_6009;
																									goto
																										BGl_sexpzd2ze3nodez31zzast_sexpz00;
																								}
																							}
																						else
																							{	/* Ast/sexp.scm 115 */
																								obj_t BgL_arg2070z00_1667;

																								BgL_arg2070z00_1667 =
																									CDR(BgL_expz00_21);
																								{
																									BgL_sequencez00_bglt
																										BgL_auxz00_6013;
																									BgL_bodyz00_1598 =
																										BgL_arg2070z00_1667;
																								BgL_tagzd2375zd2_1599:
																									{	/* Ast/sexp.scm 222 */
																										obj_t BgL_locz00_2561;

																										BgL_locz00_2561 =
																											BGl_findzd2locationzf2locz20zztools_locationz00
																											(BgL_expz00_21,
																											BgL_locz00_23);
																										{	/* Ast/sexp.scm 222 */
																											obj_t BgL_nodesz00_2562;

																											BgL_nodesz00_2562 =
																												BGl_sexpza2zd2ze3nodez93zzast_sexpz00
																												(BgL_bodyz00_1598,
																												BgL_stackz00_22,
																												BgL_locz00_2561,
																												BgL_sitez00_24);
																											{	/* Ast/sexp.scm 223 */

																												{	/* Ast/sexp.scm 224 */
																													BgL_sequencez00_bglt
																														BgL_new1121z00_2563;
																													{	/* Ast/sexp.scm 224 */
																														BgL_sequencez00_bglt
																															BgL_new1120z00_2564;
																														BgL_new1120z00_2564
																															=
																															(
																															(BgL_sequencez00_bglt)
																															BREF(GC_MALLOC
																																(sizeof(struct
																																		BgL_sequencez00_bgl))));
																														{	/* Ast/sexp.scm 224 */
																															long
																																BgL_arg2736z00_2565;
																															{	/* Ast/sexp.scm 224 */
																																long
																																	BgL_res3280z00_4293;
																																BgL_res3280z00_4293
																																	=
																																	BGL_CLASS_INDEX
																																	(BGl_sequencez00zzast_nodez00);
																																BgL_arg2736z00_2565
																																	=
																																	BgL_res3280z00_4293;
																															}
																															{	/* Ast/sexp.scm 224 */
																																BgL_objectz00_bglt
																																	BgL_objz00_4294;
																																BgL_objz00_4294
																																	=
																																	(
																																	(BgL_objectz00_bglt)
																																	BgL_new1120z00_2564);
																																BGL_OBJECT_CLASS_NUM_SET
																																	(BgL_objz00_4294,
																																	BgL_arg2736z00_2565);
																														}}
																														{	/* Ast/sexp.scm 224 */
																															BgL_objectz00_bglt
																																BgL_auxz00_6020;
																															BgL_auxz00_6020 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1120z00_2564);
																															BGL_OBJECT_WIDENING_SET
																																(BgL_auxz00_6020,
																																BFALSE);
																														}
																														BgL_new1121z00_2563
																															=
																															BgL_new1120z00_2564;
																													}
																													((((BgL_nodez00_bglt)
																																CREF((
																																		(BgL_nodez00_bglt)
																																		BgL_new1121z00_2563)))->
																															BgL_locz00) =
																														((obj_t)
																															BgL_locz00_2561),
																														BUNSPEC);
																													((((BgL_nodez00_bglt)
																																CREF((
																																		(BgL_nodez00_bglt)
																																		BgL_new1121z00_2563)))->
																															BgL_typez00) =
																														((BgL_typez00_bglt)
																															((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1121z00_2563)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																													((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1121z00_2563)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																													((((BgL_sequencez00_bglt) CREF(BgL_new1121z00_2563))->BgL_nodesz00) = ((obj_t) BgL_nodesz00_2562), BUNSPEC);
																													((((BgL_sequencez00_bglt) CREF(BgL_new1121z00_2563))->BgL_unsafez00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																													BgL_auxz00_6013 =
																														BgL_new1121z00_2563;
																									}}}}
																									return
																										((BgL_nodez00_bglt)
																										BgL_auxz00_6013);
																								}
																							}
																					}
																				else
																					{	/* Ast/sexp.scm 115 */
																						obj_t BgL_carzd2583zd2_1669;

																						BgL_carzd2583zd2_1669 =
																							CAR(BgL_expz00_21);
																						if (
																							(BgL_carzd2583zd2_1669 ==
																								CNST_TABLE_REF(((long) 1))))
																							{	/* Ast/sexp.scm 115 */
																							BgL_tagzd2376zd2_1600:
																								{
																									obj_t BgL_siz00_2566;
																									obj_t BgL_alorsz00_2567;
																									obj_t BgL_sinonz00_2568;
																									obj_t BgL_siz00_2570;
																									obj_t BgL_alorsz00_2571;

																									if (PAIRP(BgL_expz00_21))
																										{	/* Ast/sexp.scm 115 */
																											obj_t
																												BgL_cdrzd27759zd2_2576;
																											BgL_cdrzd27759zd2_2576 =
																												CDR(BgL_expz00_21);
																											if (PAIRP
																												(BgL_cdrzd27759zd2_2576))
																												{	/* Ast/sexp.scm 115 */
																													obj_t
																														BgL_cdrzd27764zd2_2578;
																													BgL_cdrzd27764zd2_2578
																														=
																														CDR
																														(BgL_cdrzd27759zd2_2576);
																													if (PAIRP
																														(BgL_cdrzd27764zd2_2578))
																														{	/* Ast/sexp.scm 115 */
																															obj_t
																																BgL_cdrzd27769zd2_2580;
																															BgL_cdrzd27769zd2_2580
																																=
																																CDR
																																(BgL_cdrzd27764zd2_2578);
																															if (PAIRP
																																(BgL_cdrzd27769zd2_2580))
																																{	/* Ast/sexp.scm 115 */
																																	if (NULLP(CDR
																																			(BgL_cdrzd27769zd2_2580)))
																																		{	/* Ast/sexp.scm 115 */
																																			BgL_siz00_2566
																																				=
																																				CAR
																																				(BgL_cdrzd27759zd2_2576);
																																			BgL_alorsz00_2567
																																				=
																																				CAR
																																				(BgL_cdrzd27764zd2_2578);
																																			BgL_sinonz00_2568
																																				=
																																				CAR
																																				(BgL_cdrzd27769zd2_2580);
																																			{
																																				obj_t
																																					BgL_siz00_2593;
																																				if (PAIRP(BgL_siz00_2566))
																																					{	/* Ast/sexp.scm 115 */
																																						obj_t
																																							BgL_cdrzd27824zd2_2598;
																																						BgL_cdrzd27824zd2_2598
																																							=
																																							CDR
																																							(BgL_siz00_2566);
																																						if (
																																							(CAR
																																								(BgL_siz00_2566)
																																								==
																																								CNST_TABLE_REF
																																								(((long) 1))))
																																							{	/* Ast/sexp.scm 115 */
																																								if (PAIRP(BgL_cdrzd27824zd2_2598))
																																									{	/* Ast/sexp.scm 115 */
																																										obj_t
																																											BgL_cdrzd27827zd2_2601;
																																										BgL_cdrzd27827zd2_2601
																																											=
																																											CDR
																																											(BgL_cdrzd27824zd2_2598);
																																										if (PAIRP(BgL_cdrzd27827zd2_2601))
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_cdrzd27830zd2_2603;
																																												BgL_cdrzd27830zd2_2603
																																													=
																																													CDR
																																													(BgL_cdrzd27827zd2_2601);
																																												if ((CAR(BgL_cdrzd27827zd2_2601) == BFALSE))
																																													{	/* Ast/sexp.scm 115 */
																																														if (PAIRP(BgL_cdrzd27830zd2_2603))
																																															{	/* Ast/sexp.scm 115 */
																																																if ((CAR(BgL_cdrzd27830zd2_2603) == BTRUE))
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (NULLP(CDR(BgL_cdrzd27830zd2_2603)))
																																																			{	/* Ast/sexp.scm 115 */
																																																				BgL_siz00_2593
																																																					=
																																																					CAR
																																																					(BgL_cdrzd27824zd2_2598);
																																																			BgL_tagzd27816zd2_2594:
																																																				{	/* Ast/sexp.scm 234 */
																																																					obj_t
																																																						BgL_auxz00_6078;
																																																					BgL_auxz00_6078
																																																						=
																																																						CDR
																																																						(BgL_expz00_21);
																																																					SET_CAR
																																																						(BgL_auxz00_6078,
																																																						BgL_siz00_2593);
																																																				}
																																																				{	/* Ast/sexp.scm 235 */
																																																					obj_t
																																																						BgL_arg2770z00_2621;
																																																					{	/* Ast/sexp.scm 235 */
																																																						obj_t
																																																							BgL_pairz00_4299;
																																																						BgL_pairz00_4299
																																																							=
																																																							BgL_expz00_21;
																																																						BgL_arg2770z00_2621
																																																							=
																																																							CDR
																																																							(CDR
																																																							(BgL_pairz00_4299));
																																																					}
																																																					SET_CAR
																																																						(BgL_arg2770z00_2621,
																																																						BgL_sinonz00_2568);
																																																				}
																																																				{	/* Ast/sexp.scm 236 */
																																																					obj_t
																																																						BgL_arg2771z00_2622;
																																																					{	/* Ast/sexp.scm 236 */
																																																						obj_t
																																																							BgL_pairz00_4305;
																																																						BgL_pairz00_4305
																																																							=
																																																							BgL_expz00_21;
																																																						BgL_arg2771z00_2622
																																																							=
																																																							CDR
																																																							(CDR
																																																							(CDR
																																																								(BgL_pairz00_4305)));
																																																					}
																																																					SET_CAR
																																																						(BgL_arg2771z00_2622,
																																																						BgL_alorsz00_2567);
																																																				}
																																																				{

																																																					goto
																																																						BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																			BgL_tagzd27817zd2_2595:
																																																				{	/* Ast/sexp.scm 239 */
																																																					bool_t
																																																						BgL_testz00_6089;
																																																					if (SYMBOLP(BgL_siz00_2566))
																																																						{	/* Ast/sexp.scm 239 */
																																																							BgL_testz00_6089
																																																								=
																																																								(
																																																								(bool_t)
																																																								1);
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 239 */
																																																							BgL_testz00_6089
																																																								=
																																																								BGl_isazf3zf3zz__objectz00
																																																								(BgL_siz00_2566,
																																																								BGl_atomz00zzast_nodez00);
																																																						}
																																																					if (BgL_testz00_6089)
																																																						{	/* Ast/sexp.scm 240 */
																																																							obj_t
																																																								BgL_locz00_2624;
																																																							BgL_locz00_2624
																																																								=
																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																								(BgL_expz00_21,
																																																								BgL_locz00_23);
																																																							{	/* Ast/sexp.scm 240 */
																																																								obj_t
																																																									BgL_cdlocz00_2625;
																																																								BgL_cdlocz00_2625
																																																									=
																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																									(CDR
																																																									(BgL_expz00_21),
																																																									BgL_locz00_2624);
																																																								{	/* Ast/sexp.scm 241 */
																																																									obj_t
																																																										BgL_cddlocz00_2626;
																																																									{	/* Ast/sexp.scm 242 */
																																																										obj_t
																																																											BgL_arg2775z00_2638;
																																																										{	/* Ast/sexp.scm 242 */
																																																											obj_t
																																																												BgL_pairz00_4318;
																																																											BgL_pairz00_4318
																																																												=
																																																												BgL_expz00_21;
																																																											BgL_arg2775z00_2638
																																																												=
																																																												CDR
																																																												(CDR
																																																												(BgL_pairz00_4318));
																																																										}
																																																										BgL_cddlocz00_2626
																																																											=
																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																											(BgL_arg2775z00_2638,
																																																											BgL_locz00_2624);
																																																									}
																																																									{	/* Ast/sexp.scm 242 */
																																																										obj_t
																																																											BgL_cdddlocz00_2627;
																																																										{	/* Ast/sexp.scm 243 */
																																																											obj_t
																																																												BgL_arg2774z00_2637;
																																																											{	/* Ast/sexp.scm 243 */
																																																												obj_t
																																																													BgL_pairz00_4322;
																																																												BgL_pairz00_4322
																																																													=
																																																													BgL_expz00_21;
																																																												BgL_arg2774z00_2637
																																																													=
																																																													CDR
																																																													(CDR
																																																													(CDR
																																																														(BgL_pairz00_4322)));
																																																											}
																																																											BgL_cdddlocz00_2627
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_arg2774z00_2637,
																																																												BgL_locz00_2624);
																																																										}
																																																										{	/* Ast/sexp.scm 243 */
																																																											obj_t
																																																												BgL_lzd2sizd2_2628;
																																																											BgL_lzd2sizd2_2628
																																																												=
																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																												(BgL_siz00_2566,
																																																												BgL_cdlocz00_2625);
																																																											{	/* Ast/sexp.scm 244 */
																																																												obj_t
																																																													BgL_lzd2alorszd2_2629;
																																																												BgL_lzd2alorszd2_2629
																																																													=
																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																													(BgL_alorsz00_2567,
																																																													BgL_cddlocz00_2626);
																																																												{	/* Ast/sexp.scm 245 */
																																																													obj_t
																																																														BgL_lzd2sinonzd2_2630;
																																																													BgL_lzd2sinonzd2_2630
																																																														=
																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																														(BgL_sinonz00_2568,
																																																														BgL_cdddlocz00_2627);
																																																													{	/* Ast/sexp.scm 246 */
																																																														BgL_nodez00_bglt
																																																															BgL_siz00_2631;
																																																														BgL_siz00_2631
																																																															=
																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																															(BgL_siz00_2566,
																																																															BgL_stackz00_22,
																																																															BgL_lzd2sizd2_2628,
																																																															CNST_TABLE_REF
																																																															(((long) 2)));
																																																														{	/* Ast/sexp.scm 247 */
																																																															BgL_nodez00_bglt
																																																																BgL_alorsz00_2632;
																																																															BgL_alorsz00_2632
																																																																=
																																																																BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																(BgL_alorsz00_2567,
																																																																BgL_stackz00_22,
																																																																BgL_lzd2alorszd2_2629,
																																																																CNST_TABLE_REF
																																																																(((long) 2)));
																																																															{	/* Ast/sexp.scm 248 */
																																																																BgL_nodez00_bglt
																																																																	BgL_sinonz00_2633;
																																																																BgL_sinonz00_2633
																																																																	=
																																																																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																	(BgL_sinonz00_2568,
																																																																	BgL_stackz00_22,
																																																																	BgL_lzd2sinonzd2_2630,
																																																																	CNST_TABLE_REF
																																																																	(((long) 2)));
																																																																{	/* Ast/sexp.scm 249 */

																																																																	{	/* Ast/sexp.scm 250 */
																																																																		BgL_conditionalz00_bglt
																																																																			BgL_new1124z00_2634;
																																																																		{	/* Ast/sexp.scm 250 */
																																																																			BgL_conditionalz00_bglt
																																																																				BgL_new1122z00_2635;
																																																																			BgL_new1122z00_2635
																																																																				=
																																																																				(
																																																																				(BgL_conditionalz00_bglt)
																																																																				BREF
																																																																				(GC_MALLOC
																																																																					(sizeof
																																																																						(struct
																																																																							BgL_conditionalz00_bgl))));
																																																																			{	/* Ast/sexp.scm 250 */
																																																																				long
																																																																					BgL_arg2773z00_2636;
																																																																				{	/* Ast/sexp.scm 250 */
																																																																					long
																																																																						BgL_res3283z00_4329;
																																																																					BgL_res3283z00_4329
																																																																						=
																																																																						BGL_CLASS_INDEX
																																																																						(BGl_conditionalz00zzast_nodez00);
																																																																					BgL_arg2773z00_2636
																																																																						=
																																																																						BgL_res3283z00_4329;
																																																																				}
																																																																				{	/* Ast/sexp.scm 250 */
																																																																					BgL_objectz00_bglt
																																																																						BgL_objz00_4330;
																																																																					BgL_objz00_4330
																																																																						=
																																																																						(
																																																																						(BgL_objectz00_bglt)
																																																																						BgL_new1122z00_2635);
																																																																					BGL_OBJECT_CLASS_NUM_SET
																																																																						(BgL_objz00_4330,
																																																																						BgL_arg2773z00_2636);
																																																																			}}
																																																																			{	/* Ast/sexp.scm 250 */
																																																																				BgL_objectz00_bglt
																																																																					BgL_auxz00_6116;
																																																																				BgL_auxz00_6116
																																																																					=
																																																																					(
																																																																					(BgL_objectz00_bglt)
																																																																					BgL_new1122z00_2635);
																																																																				BGL_OBJECT_WIDENING_SET
																																																																					(BgL_auxz00_6116,
																																																																					BFALSE);
																																																																			}
																																																																			BgL_new1124z00_2634
																																																																				=
																																																																				BgL_new1122z00_2635;
																																																																		}
																																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1124z00_2634)))->BgL_locz00) = ((obj_t) BgL_locz00_2624), BUNSPEC);
																																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1124z00_2634)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																		((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1124z00_2634)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																		((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1124z00_2634)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																		((((BgL_conditionalz00_bglt) CREF(BgL_new1124z00_2634))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_siz00_2631), BUNSPEC);
																																																																		((((BgL_conditionalz00_bglt) CREF(BgL_new1124z00_2634))->BgL_truez00) = ((BgL_nodez00_bglt) BgL_alorsz00_2632), BUNSPEC);
																																																																		((((BgL_conditionalz00_bglt) CREF(BgL_new1124z00_2634))->BgL_falsez00) = ((BgL_nodez00_bglt) BgL_sinonz00_2633), BUNSPEC);
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_new1124z00_2634);
																																																																	}
																																																																}
																																																															}
																																																														}
																																																													}
																																																												}
																																																											}
																																																										}
																																																									}
																																																								}
																																																							}
																																																						}
																																																					else
																																																						{	/* Ast/sexp.scm 256 */
																																																							obj_t
																																																								BgL_vz00_2640;
																																																							BgL_vz00_2640
																																																								=
																																																								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																																																								(BGl_gensymz00zz__r4_symbols_6_4z00
																																																								(CNST_TABLE_REF
																																																									(((long) 8))));
																																																							{	/* Ast/sexp.scm 256 */
																																																								obj_t
																																																									BgL_varz00_2641;
																																																								BgL_varz00_2641
																																																									=
																																																									BGl_makezd2typedzd2identz00zzast_identz00
																																																									(BgL_vz00_2640,
																																																									CNST_TABLE_REF
																																																									(((long) 9)));
																																																								{	/* Ast/sexp.scm 257 */
																																																									obj_t
																																																										BgL_nexpz00_2642;
																																																									{	/* Ast/sexp.scm 258 */
																																																										obj_t
																																																											BgL_arg2786z00_2650;
																																																										{	/* Ast/sexp.scm 258 */
																																																											obj_t
																																																												BgL_arg2787z00_2651;
																																																											{	/* Ast/sexp.scm 258 */
																																																												obj_t
																																																													BgL_arg2788z00_2652;
																																																												{	/* Ast/sexp.scm 258 */
																																																													obj_t
																																																														BgL_arg2789z00_2653;
																																																													BgL_arg2789z00_2653
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_sinonz00_2568,
																																																														BNIL);
																																																													BgL_arg2788z00_2652
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_alorsz00_2567,
																																																														BgL_arg2789z00_2653);
																																																												}
																																																												BgL_arg2787z00_2651
																																																													=
																																																													MAKE_PAIR
																																																													(BgL_vz00_2640,
																																																													BgL_arg2788z00_2652);
																																																											}
																																																											BgL_arg2786z00_2650
																																																												=
																																																												MAKE_PAIR
																																																												(CNST_TABLE_REF
																																																												(((long) 1)), BgL_arg2787z00_2651);
																																																										}
																																																										BgL_nexpz00_2642
																																																											=
																																																											BGl_epairifyzd2reczd2zztools_miscz00
																																																											(BgL_arg2786z00_2650,
																																																											BgL_expz00_21);
																																																									}
																																																									{	/* Ast/sexp.scm 258 */

																																																										{	/* Ast/sexp.scm 259 */
																																																											obj_t
																																																												BgL_arg2777z00_2643;
																																																											{	/* Ast/sexp.scm 259 */
																																																												obj_t
																																																													BgL_arg2778z00_2644;
																																																												obj_t
																																																													BgL_arg2779z00_2645;
																																																												BgL_arg2778z00_2644
																																																													=
																																																													BGl_letzd2symzd2zzast_letz00
																																																													();
																																																												{	/* Ast/sexp.scm 259 */
																																																													obj_t
																																																														BgL_arg2780z00_2646;
																																																													obj_t
																																																														BgL_arg2782z00_2647;
																																																													{	/* Ast/sexp.scm 259 */
																																																														obj_t
																																																															BgL_arg2783z00_2648;
																																																														{	/* Ast/sexp.scm 259 */
																																																															obj_t
																																																																BgL_arg2784z00_2649;
																																																															BgL_arg2784z00_2649
																																																																=
																																																																MAKE_PAIR
																																																																(BgL_siz00_2566,
																																																																BNIL);
																																																															BgL_arg2783z00_2648
																																																																=
																																																																MAKE_PAIR
																																																																(BgL_varz00_2641,
																																																																BgL_arg2784z00_2649);
																																																														}
																																																														BgL_arg2780z00_2646
																																																															=
																																																															MAKE_PAIR
																																																															(BgL_arg2783z00_2648,
																																																															BNIL);
																																																													}
																																																													BgL_arg2782z00_2647
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_nexpz00_2642,
																																																														BNIL);
																																																													BgL_arg2779z00_2645
																																																														=
																																																														MAKE_PAIR
																																																														(BgL_arg2780z00_2646,
																																																														BgL_arg2782z00_2647);
																																																												}
																																																												BgL_arg2777z00_2643
																																																													=
																																																													MAKE_PAIR
																																																													(BgL_arg2778z00_2644,
																																																													BgL_arg2779z00_2645);
																																																											}
																																																											BGl_replacez12z12zztools_miscz00
																																																												(BgL_expz00_21,
																																																												BgL_arg2777z00_2643);
																																																										}
																																																										{

																																																											goto
																																																												BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																																										}
																																																									}
																																																								}
																																																							}
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		goto
																																																			BgL_tagzd27817zd2_2595;
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 115 */
																																																goto
																																																	BgL_tagzd27817zd2_2595;
																																															}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 115 */
																																														goto
																																															BgL_tagzd27817zd2_2595;
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 115 */
																																												goto
																																													BgL_tagzd27817zd2_2595;
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 115 */
																																										goto
																																											BgL_tagzd27817zd2_2595;
																																									}
																																							}
																																						else
																																							{	/* Ast/sexp.scm 115 */
																																								if ((CAR(BgL_siz00_2566) == CNST_TABLE_REF(((long) 10))))
																																									{	/* Ast/sexp.scm 115 */
																																										if (PAIRP(BgL_cdrzd27824zd2_2598))
																																											{	/* Ast/sexp.scm 115 */
																																												if (NULLP(CDR(BgL_cdrzd27824zd2_2598)))
																																													{
																																														obj_t
																																															BgL_siz00_6161;
																																														BgL_siz00_6161
																																															=
																																															CAR
																																															(BgL_cdrzd27824zd2_2598);
																																														BgL_siz00_2593
																																															=
																																															BgL_siz00_6161;
																																														goto
																																															BgL_tagzd27816zd2_2594;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 115 */
																																														goto
																																															BgL_tagzd27817zd2_2595;
																																													}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 115 */
																																												goto
																																													BgL_tagzd27817zd2_2595;
																																											}
																																									}
																																								else
																																									{	/* Ast/sexp.scm 115 */
																																										goto
																																											BgL_tagzd27817zd2_2595;
																																									}
																																							}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 115 */
																																						goto
																																							BgL_tagzd27817zd2_2595;
																																					}
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 115 */
																																		BgL_tagzd27750zd2_2573:
																																			{	/* Ast/sexp.scm 265 */
																																				BgL_nodez00_bglt
																																					BgL_res3292z00_4373;
																																				{	/* Ast/sexp.scm 668 */
																																					obj_t
																																						BgL_arg3097z00_4369;
																																					BgL_nodez00_bglt
																																						BgL_arg3098z00_4370;
																																					BgL_arg3097z00_4369
																																						=
																																						BGl_shapez00zztools_shapez00
																																						(BGl_currentzd2functionzd2zztools_errorz00
																																						());
																																					BgL_arg3098z00_4370
																																						=
																																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																																						(CNST_TABLE_REF
																																						(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																					{	/* Ast/sexp.scm 667 */
																																						obj_t
																																							BgL_list3099z00_4372;
																																						BgL_list3099z00_4372
																																							=
																																							MAKE_PAIR
																																							(((obj_t) BgL_arg3098z00_4370), BNIL);
																																						BgL_res3292z00_4373
																																							=
																																							(
																																							(BgL_nodez00_bglt)
																																							BGl_userzd2errorzf2locationz20zztools_errorz00
																																							(BgL_locz00_23,
																																								BgL_arg3097z00_4369,
																																								BGl_string3528z00zzast_sexpz00,
																																								BgL_expz00_21,
																																								BgL_list3099z00_4372));
																																				}}
																																				return
																																					BgL_res3292z00_4373;
																																			}
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 115 */
																																	obj_t
																																		BgL_cdrzd27794zd2_2588;
																																	BgL_cdrzd27794zd2_2588
																																		=
																																		CDR
																																		(BgL_cdrzd27759zd2_2576);
																																	if (NULLP(CDR
																																			(BgL_cdrzd27794zd2_2588)))
																																		{	/* Ast/sexp.scm 115 */
																																			BgL_siz00_2570
																																				=
																																				CAR
																																				(BgL_cdrzd27759zd2_2576);
																																			BgL_alorsz00_2571
																																				=
																																				CAR
																																				(BgL_cdrzd27794zd2_2588);
																																			{	/* Ast/sexp.scm 262 */
																																				obj_t
																																					BgL_arg2792z00_2656;
																																				obj_t
																																					BgL_arg2793z00_2657;
																																				{	/* Ast/sexp.scm 262 */
																																					obj_t
																																						BgL_pairz00_4358;
																																					BgL_pairz00_4358
																																						=
																																						BgL_expz00_21;
																																					BgL_arg2792z00_2656
																																						=
																																						CDR
																																						(CDR
																																						(BgL_pairz00_4358));
																																				}
																																				{	/* Ast/sexp.scm 262 */
																																					obj_t
																																						BgL_list2794z00_2658;
																																					BgL_list2794z00_2658
																																						=
																																						MAKE_PAIR
																																						(BUNSPEC,
																																						BNIL);
																																					BgL_arg2793z00_2657
																																						=
																																						BgL_list2794z00_2658;
																																				}
																																				SET_CDR
																																					(BgL_arg2792z00_2656,
																																					BgL_arg2793z00_2657);
																																			}
																																			{

																																				goto
																																					BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																			}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 115 */
																																			goto
																																				BgL_tagzd27750zd2_2573;
																																		}
																																}
																														}
																													else
																														{	/* Ast/sexp.scm 115 */
																															goto
																																BgL_tagzd27750zd2_2573;
																														}
																												}
																											else
																												{	/* Ast/sexp.scm 115 */
																													goto
																														BgL_tagzd27750zd2_2573;
																												}
																										}
																									else
																										{	/* Ast/sexp.scm 115 */
																											goto
																												BgL_tagzd27750zd2_2573;
																										}
																								}
																							}
																						else
																							{	/* Ast/sexp.scm 115 */
																								if (
																									(BgL_carzd2583zd2_1669 ==
																										BGl_za2ifza2z00zzast_sexpz00))
																									{	/* Ast/sexp.scm 115 */
																										goto BgL_tagzd2376zd2_1600;
																									}
																								else
																									{	/* Ast/sexp.scm 115 */
																										obj_t BgL_cdrzd2603zd2_1672;

																										BgL_cdrzd2603zd2_1672 =
																											CDR(BgL_expz00_21);
																										if (
																											(CAR(BgL_expz00_21) ==
																												CNST_TABLE_REF(((long)
																														7))))
																											{	/* Ast/sexp.scm 115 */
																												if (PAIRP
																													(BgL_cdrzd2603zd2_1672))
																													{	/* Ast/sexp.scm 115 */
																														obj_t
																															BgL_carzd2606zd2_1675;
																														obj_t
																															BgL_cdrzd2607zd2_1676;
																														BgL_carzd2606zd2_1675
																															=
																															CAR
																															(BgL_cdrzd2603zd2_1672);
																														BgL_cdrzd2607zd2_1676
																															=
																															CDR
																															(BgL_cdrzd2603zd2_1672);
																														if (PAIRP
																															(BgL_carzd2606zd2_1675))
																															{	/* Ast/sexp.scm 115 */
																																if (
																																	(CAR
																																		(BgL_carzd2606zd2_1675)
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				15))))
																																	{	/* Ast/sexp.scm 115 */
																																		if (PAIRP
																																			(BgL_cdrzd2607zd2_1676))
																																			{	/* Ast/sexp.scm 115 */
																																				if (NULLP(CDR(BgL_cdrzd2607zd2_1676)))
																																					{	/* Ast/sexp.scm 115 */
																																						BgL_lz00_1601
																																							=
																																							CDR
																																							(BgL_carzd2606zd2_1675);
																																						BgL_valz00_1602
																																							=
																																							CAR
																																							(BgL_cdrzd2607zd2_1676);
																																					BgL_tagzd2377zd2_1603:
																																						{	/* Ast/sexp.scm 268 */
																																							bool_t
																																								BgL_testz00_6207;
																																							if (PAIRP(BgL_lz00_1601))
																																								{	/* Ast/sexp.scm 268 */
																																									bool_t
																																										BgL_testz00_6210;
																																									{	/* Ast/sexp.scm 268 */
																																										obj_t
																																											BgL_auxz00_6211;
																																										BgL_auxz00_6211
																																											=
																																											CDR
																																											(BgL_lz00_1601);
																																										BgL_testz00_6210
																																											=
																																											PAIRP
																																											(BgL_auxz00_6211);
																																									}
																																									if (BgL_testz00_6210)
																																										{
																																											obj_t
																																												BgL_l2009z00_2663;
																																											BgL_l2009z00_2663
																																												=
																																												BgL_lz00_1601;
																																										BgL_zc3anonymousza32798ze3z83_2664:
																																											if (NULLP(BgL_l2009z00_2663))
																																												{	/* Ast/sexp.scm 268 */
																																													BgL_testz00_6207
																																														=
																																														(
																																														(bool_t)
																																														1);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 268 */
																																													bool_t
																																														BgL_testz00_6216;
																																													{	/* Ast/sexp.scm 268 */
																																														obj_t
																																															BgL_auxz00_6217;
																																														BgL_auxz00_6217
																																															=
																																															CAR
																																															(BgL_l2009z00_2663);
																																														BgL_testz00_6216
																																															=
																																															SYMBOLP
																																															(BgL_auxz00_6217);
																																													}
																																													if (BgL_testz00_6216)
																																														{
																																															obj_t
																																																BgL_l2009z00_6220;
																																															BgL_l2009z00_6220
																																																=
																																																CDR
																																																(BgL_l2009z00_2663);
																																															BgL_l2009z00_2663
																																																=
																																																BgL_l2009z00_6220;
																																															goto
																																																BgL_zc3anonymousza32798ze3z83_2664;
																																														}
																																													else
																																														{	/* Ast/sexp.scm 268 */
																																															BgL_testz00_6207
																																																=
																																																(
																																																(bool_t)
																																																0);
																																														}
																																												}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 268 */
																																											BgL_testz00_6207
																																												=
																																												(
																																												(bool_t)
																																												0);
																																										}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 268 */
																																									BgL_testz00_6207
																																										=
																																										(
																																										(bool_t)
																																										0);
																																								}
																																							if (BgL_testz00_6207)
																																								{	/* Ast/sexp.scm 268 */
																																									return
																																										BGl_fieldzd2setzd2ze3nodeze3zzast_objectz00
																																										(BgL_lz00_1601,
																																										BgL_valz00_1602,
																																										BgL_expz00_21,
																																										BgL_stackz00_22,
																																										BgL_locz00_23,
																																										BgL_sitez00_24);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 270 */
																																									BgL_nodez00_bglt
																																										BgL_res3303z00_4416;
																																									{	/* Ast/sexp.scm 668 */
																																										obj_t
																																											BgL_arg3097z00_4412;
																																										BgL_nodez00_bglt
																																											BgL_arg3098z00_4413;
																																										BgL_arg3097z00_4412
																																											=
																																											BGl_shapez00zztools_shapez00
																																											(BGl_currentzd2functionzd2zztools_errorz00
																																											());
																																										BgL_arg3098z00_4413
																																											=
																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																											(CNST_TABLE_REF
																																											(((long) 4)), BNIL, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																										{	/* Ast/sexp.scm 667 */
																																											obj_t
																																												BgL_list3099z00_4415;
																																											BgL_list3099z00_4415
																																												=
																																												MAKE_PAIR
																																												(
																																												((obj_t) BgL_arg3098z00_4413), BNIL);
																																											BgL_res3303z00_4416
																																												=
																																												(
																																												(BgL_nodez00_bglt)
																																												BGl_userzd2errorzf2locationz20zztools_errorz00
																																												(BgL_locz00_23,
																																													BgL_arg3097z00_4412,
																																													BGl_string3527z00zzast_sexpz00,
																																													BgL_expz00_21,
																																													BgL_list3099z00_4415));
																																									}}
																																									return
																																										BgL_res3303z00_4416;
																																								}
																																						}
																																					}
																																				else
																																					{	/* Ast/sexp.scm 115 */
																																					BgL_tagzd2378zd2_1604:
																																						{
																																							obj_t
																																								BgL_varz00_2672;
																																							obj_t
																																								BgL_valz00_2673;
																																							if (PAIRP(BgL_expz00_21))
																																								{	/* Ast/sexp.scm 115 */
																																									obj_t
																																										BgL_cdrzd27855zd2_2678;
																																									BgL_cdrzd27855zd2_2678
																																										=
																																										CDR
																																										(BgL_expz00_21);
																																									if (PAIRP(BgL_cdrzd27855zd2_2678))
																																										{	/* Ast/sexp.scm 115 */
																																											obj_t
																																												BgL_cdrzd27859zd2_2680;
																																											BgL_cdrzd27859zd2_2680
																																												=
																																												CDR
																																												(BgL_cdrzd27855zd2_2678);
																																											if (PAIRP(BgL_cdrzd27859zd2_2680))
																																												{	/* Ast/sexp.scm 115 */
																																													if (NULLP(CDR(BgL_cdrzd27859zd2_2680)))
																																														{	/* Ast/sexp.scm 115 */
																																															BgL_varz00_2672
																																																=
																																																CAR
																																																(BgL_cdrzd27855zd2_2678);
																																															BgL_valz00_2673
																																																=
																																																CAR
																																																(BgL_cdrzd27859zd2_2680);
																																															{	/* Ast/sexp.scm 274 */
																																																obj_t
																																																	BgL_locz00_2686;
																																																BgL_locz00_2686
																																																	=
																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																	(BgL_expz00_21,
																																																	BgL_locz00_23);
																																																{	/* Ast/sexp.scm 274 */
																																																	obj_t
																																																		BgL_cdlocz00_2687;
																																																	BgL_cdlocz00_2687
																																																		=
																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																		(CDR
																																																		(BgL_expz00_21),
																																																		BgL_locz00_2686);
																																																	{	/* Ast/sexp.scm 275 */
																																																		obj_t
																																																			BgL_cddlocz00_2688;
																																																		{	/* Ast/sexp.scm 276 */
																																																			obj_t
																																																				BgL_arg2818z00_2701;
																																																			{	/* Ast/sexp.scm 276 */
																																																				obj_t
																																																					BgL_pairz00_4418;
																																																				BgL_pairz00_4418
																																																					=
																																																					BgL_expz00_21;
																																																				BgL_arg2818z00_2701
																																																					=
																																																					CDR
																																																					(CDR
																																																					(BgL_pairz00_4418));
																																																			}
																																																			BgL_cddlocz00_2688
																																																				=
																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																				(BgL_arg2818z00_2701,
																																																				BgL_locz00_2686);
																																																		}
																																																		{	/* Ast/sexp.scm 276 */
																																																			obj_t
																																																				BgL_valzd2loczd2_2689;
																																																			BgL_valzd2loczd2_2689
																																																				=
																																																				BGl_findzd2locationzf2locz20zztools_locationz00
																																																				(BgL_valz00_2673,
																																																				BgL_cddlocz00_2688);
																																																			{	/* Ast/sexp.scm 277 */
																																																				BgL_nodez00_bglt
																																																					BgL_valz00_2690;
																																																				BgL_valz00_2690
																																																					=
																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																					(BgL_valz00_2673,
																																																					BgL_stackz00_22,
																																																					BgL_valzd2loczd2_2689,
																																																					CNST_TABLE_REF
																																																					(((long) 2)));
																																																				{	/* Ast/sexp.scm 278 */

																																																					{	/* Ast/sexp.scm 279 */
																																																						BgL_nodez00_bglt
																																																							BgL_astz00_2691;
																																																						BgL_astz00_2691
																																																							=
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																							(BgL_varz00_2672,
																																																							BgL_stackz00_22,
																																																							BgL_cdlocz00_2687,
																																																							CNST_TABLE_REF
																																																							(((long) 7)));
																																																						{	/* Ast/sexp.scm 280 */
																																																							bool_t
																																																								BgL_testz00_6256;
																																																							{	/* Ast/sexp.scm 280 */
																																																								bool_t
																																																									BgL_res3304z00_4423;
																																																								{	/* Ast/sexp.scm 280 */
																																																									obj_t
																																																										BgL_objz00_4422;
																																																									BgL_objz00_4422
																																																										=
																																																										(
																																																										(obj_t)
																																																										BgL_astz00_2691);
																																																									BgL_res3304z00_4423
																																																										=
																																																										BGl_isazf3zf3zz__objectz00
																																																										(BgL_objz00_4422,
																																																										BGl_varz00zzast_nodez00);
																																																								}
																																																								BgL_testz00_6256
																																																									=
																																																									BgL_res3304z00_4423;
																																																							}
																																																							if (BgL_testz00_6256)
																																																								{	/* Ast/sexp.scm 281 */
																																																									BgL_varz00_bglt
																																																										BgL_i1125z00_2693;
																																																									BgL_i1125z00_2693
																																																										=
																																																										(
																																																										(BgL_varz00_bglt)
																																																										BgL_astz00_2691);
																																																									{	/* Ast/sexp.scm 282 */
																																																										bool_t
																																																											BgL_testz00_6260;
																																																										{	/* Ast/sexp.scm 282 */
																																																											bool_t
																																																												BgL_testz00_6261;
																																																											{	/* Ast/sexp.scm 282 */
																																																												BgL_variablez00_bglt
																																																													BgL_arg2817z00_2700;
																																																												BgL_arg2817z00_2700
																																																													=
																																																													(
																																																													((BgL_varz00_bglt) CREF(BgL_i1125z00_2693))->BgL_variablez00);
																																																												{	/* Ast/sexp.scm 282 */
																																																													bool_t
																																																														BgL_res3305z00_4425;
																																																													{	/* Ast/sexp.scm 282 */
																																																														obj_t
																																																															BgL_objz00_4424;
																																																														BgL_objz00_4424
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_arg2817z00_2700);
																																																														BgL_res3305z00_4425
																																																															=
																																																															BGl_isazf3zf3zz__objectz00
																																																															(BgL_objz00_4424,
																																																															BGl_globalz00zzast_varz00);
																																																													}
																																																													BgL_testz00_6261
																																																														=
																																																														BgL_res3305z00_4425;
																																																												}
																																																											}
																																																											if (BgL_testz00_6261)
																																																												{	/* Ast/sexp.scm 283 */
																																																													BgL_variablez00_bglt
																																																														BgL_arg2816z00_2699;
																																																													BgL_arg2816z00_2699
																																																														=
																																																														(
																																																														((BgL_varz00_bglt) CREF(BgL_i1125z00_2693))->BgL_variablez00);
																																																													BgL_testz00_6260
																																																														=
																																																														BGl_globalzd2readzd2onlyzf3zf3zzast_varz00
																																																														(
																																																														((BgL_globalz00_bglt) BgL_arg2816z00_2699));
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 282 */
																																																													BgL_testz00_6260
																																																														=
																																																														(
																																																														(bool_t)
																																																														0);
																																																												}
																																																										}
																																																										if (BgL_testz00_6260)
																																																											{	/* Ast/sexp.scm 284 */
																																																												BgL_nodez00_bglt
																																																													BgL_res3306z00_4433;
																																																												{	/* Ast/sexp.scm 668 */
																																																													obj_t
																																																														BgL_arg3097z00_4429;
																																																													BgL_nodez00_bglt
																																																														BgL_arg3098z00_4430;
																																																													BgL_arg3097z00_4429
																																																														=
																																																														BGl_shapez00zztools_shapez00
																																																														(BGl_currentzd2functionzd2zztools_errorz00
																																																														());
																																																													BgL_arg3098z00_4430
																																																														=
																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																														(CNST_TABLE_REF
																																																														(((long) 4)), BNIL, BgL_cdlocz00_2687, CNST_TABLE_REF(((long) 2)));
																																																													{	/* Ast/sexp.scm 667 */
																																																														obj_t
																																																															BgL_list3099z00_4432;
																																																														BgL_list3099z00_4432
																																																															=
																																																															MAKE_PAIR
																																																															(
																																																															((obj_t) BgL_arg3098z00_4430), BNIL);
																																																														BgL_res3306z00_4433
																																																															=
																																																															(
																																																															(BgL_nodez00_bglt)
																																																															BGl_userzd2errorzf2locationz20zztools_errorz00
																																																															(BgL_cdlocz00_2687,
																																																																BgL_arg3097z00_4429,
																																																																BGl_string3525z00zzast_sexpz00,
																																																																BgL_expz00_21,
																																																																BgL_list3099z00_4432));
																																																												}}
																																																												return
																																																													BgL_res3306z00_4433;
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 286 */
																																																												BgL_setqz00_bglt
																																																													BgL_new1127z00_2695;
																																																												{	/* Ast/sexp.scm 286 */
																																																													BgL_setqz00_bglt
																																																														BgL_new1126z00_2696;
																																																													BgL_new1126z00_2696
																																																														=
																																																														(
																																																														(BgL_setqz00_bglt)
																																																														BREF
																																																														(GC_MALLOC
																																																															(sizeof
																																																																(struct
																																																																	BgL_setqz00_bgl))));
																																																													{	/* Ast/sexp.scm 286 */
																																																														long
																																																															BgL_arg2814z00_2697;
																																																														{	/* Ast/sexp.scm 286 */
																																																															long
																																																																BgL_res3307z00_4435;
																																																															BgL_res3307z00_4435
																																																																=
																																																																BGL_CLASS_INDEX
																																																																(BGl_setqz00zzast_nodez00);
																																																															BgL_arg2814z00_2697
																																																																=
																																																																BgL_res3307z00_4435;
																																																														}
																																																														{	/* Ast/sexp.scm 286 */
																																																															BgL_objectz00_bglt
																																																																BgL_objz00_4436;
																																																															BgL_objz00_4436
																																																																=
																																																																(
																																																																(BgL_objectz00_bglt)
																																																																BgL_new1126z00_2696);
																																																															BGL_OBJECT_CLASS_NUM_SET
																																																																(BgL_objz00_4436,
																																																																BgL_arg2814z00_2697);
																																																													}}
																																																													{	/* Ast/sexp.scm 286 */
																																																														BgL_objectz00_bglt
																																																															BgL_auxz00_6281;
																																																														BgL_auxz00_6281
																																																															=
																																																															(
																																																															(BgL_objectz00_bglt)
																																																															BgL_new1126z00_2696);
																																																														BGL_OBJECT_WIDENING_SET
																																																															(BgL_auxz00_6281,
																																																															BFALSE);
																																																													}
																																																													BgL_new1127z00_2695
																																																														=
																																																														BgL_new1126z00_2696;
																																																												}
																																																												((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1127z00_2695)))->BgL_locz00) = ((obj_t) BgL_locz00_2686), BUNSPEC);
																																																												((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1127z00_2695)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																												((((BgL_setqz00_bglt) CREF(BgL_new1127z00_2695))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_2691)), BUNSPEC);
																																																												((((BgL_setqz00_bglt) CREF(BgL_new1127z00_2695))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_2690), BUNSPEC);
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_new1127z00_2695);
																																																											}
																																																									}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 291 */
																																																									BgL_nodez00_bglt
																																																										BgL_res3308z00_4445;
																																																									{	/* Ast/sexp.scm 668 */
																																																										obj_t
																																																											BgL_arg3097z00_4441;
																																																										BgL_nodez00_bglt
																																																											BgL_arg3098z00_4442;
																																																										BgL_arg3097z00_4441
																																																											=
																																																											BGl_shapez00zztools_shapez00
																																																											(BGl_currentzd2functionzd2zztools_errorz00
																																																											());
																																																										BgL_arg3098z00_4442
																																																											=
																																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																											(CNST_TABLE_REF
																																																											(((long) 4)), BNIL, BgL_locz00_2686, CNST_TABLE_REF(((long) 2)));
																																																										{	/* Ast/sexp.scm 667 */
																																																											obj_t
																																																												BgL_list3099z00_4444;
																																																											BgL_list3099z00_4444
																																																												=
																																																												MAKE_PAIR
																																																												(
																																																												((obj_t) BgL_arg3098z00_4442), BNIL);
																																																											BgL_res3308z00_4445
																																																												=
																																																												(
																																																												(BgL_nodez00_bglt)
																																																												BGl_userzd2errorzf2locationz20zztools_errorz00
																																																												(BgL_locz00_2686,
																																																													BgL_arg3097z00_4441,
																																																													BGl_string3526z00zzast_sexpz00,
																																																													BgL_expz00_21,
																																																													BgL_list3099z00_4444));
																																																									}}
																																																									return
																																																										BgL_res3308z00_4445;
																																																								}
																																																						}
																																																					}
																																																				}
																																																			}
																																																		}
																																																	}
																																																}
																																															}
																																														}
																																													else
																																														{	/* Ast/sexp.scm 115 */
																																														BgL_tagzd27848zd2_2675:
																																															{	/* Ast/sexp.scm 295 */
																																																obj_t
																																																	BgL_arg2820z00_2703;
																																																BgL_arg2820z00_2703
																																																	=
																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																	(BgL_expz00_21,
																																																	BgL_locz00_23);
																																																{	/* Ast/sexp.scm 294 */
																																																	BgL_nodez00_bglt
																																																		BgL_res3309z00_4453;
																																																	{	/* Ast/sexp.scm 668 */
																																																		obj_t
																																																			BgL_arg3097z00_4449;
																																																		BgL_nodez00_bglt
																																																			BgL_arg3098z00_4450;
																																																		BgL_arg3097z00_4449
																																																			=
																																																			BGl_shapez00zztools_shapez00
																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																			());
																																																		BgL_arg3098z00_4450
																																																			=
																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																			(CNST_TABLE_REF
																																																			(((long) 4)), BNIL, BgL_arg2820z00_2703, CNST_TABLE_REF(((long) 2)));
																																																		{	/* Ast/sexp.scm 667 */
																																																			obj_t
																																																				BgL_list3099z00_4452;
																																																			BgL_list3099z00_4452
																																																				=
																																																				MAKE_PAIR
																																																				(
																																																				((obj_t) BgL_arg3098z00_4450), BNIL);
																																																			BgL_res3309z00_4453
																																																				=
																																																				(
																																																				(BgL_nodez00_bglt)
																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																				(BgL_arg2820z00_2703,
																																																					BgL_arg3097z00_4449,
																																																					BGl_string3524z00zzast_sexpz00,
																																																					BgL_expz00_21,
																																																					BgL_list3099z00_4452));
																																																	}}
																																																	return
																																																		BgL_res3309z00_4453;
																																																}
																																															}
																																														}
																																												}
																																											else
																																												{	/* Ast/sexp.scm 115 */
																																													goto
																																														BgL_tagzd27848zd2_2675;
																																												}
																																										}
																																									else
																																										{	/* Ast/sexp.scm 115 */
																																											goto
																																												BgL_tagzd27848zd2_2675;
																																										}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									goto
																																										BgL_tagzd27848zd2_2675;
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Ast/sexp.scm 115 */
																																				goto
																																					BgL_tagzd2378zd2_1604;
																																			}
																																	}
																																else
																																	{	/* Ast/sexp.scm 115 */
																																		goto
																																			BgL_tagzd2378zd2_1604;
																																	}
																															}
																														else
																															{	/* Ast/sexp.scm 115 */
																																goto
																																	BgL_tagzd2378zd2_1604;
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 115 */
																														goto
																															BgL_tagzd2378zd2_1604;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 115 */
																												if (
																													(CAR(BgL_expz00_21) ==
																														CNST_TABLE_REF((
																																(long) 17))))
																													{	/* Ast/sexp.scm 115 */
																													BgL_tagzd2379zd2_1605:
																														{
																															obj_t
																																BgL_varz00_2704;
																															obj_t
																																BgL_valz00_2705;
																															if (PAIRP
																																(BgL_expz00_21))
																																{	/* Ast/sexp.scm 115 */
																																	obj_t
																																		BgL_cdrzd27873zd2_2710;
																																	BgL_cdrzd27873zd2_2710
																																		=
																																		CDR
																																		(BgL_expz00_21);
																																	if (PAIRP
																																		(BgL_cdrzd27873zd2_2710))
																																		{	/* Ast/sexp.scm 115 */
																																			obj_t
																																				BgL_cdrzd27877zd2_2712;
																																			BgL_cdrzd27877zd2_2712
																																				=
																																				CDR
																																				(BgL_cdrzd27873zd2_2710);
																																			if (PAIRP
																																				(BgL_cdrzd27877zd2_2712))
																																				{	/* Ast/sexp.scm 115 */
																																					if (NULLP(CDR(BgL_cdrzd27877zd2_2712)))
																																						{	/* Ast/sexp.scm 115 */
																																							BgL_varz00_2704
																																								=
																																								CAR
																																								(BgL_cdrzd27873zd2_2710);
																																							BgL_valz00_2705
																																								=
																																								CAR
																																								(BgL_cdrzd27877zd2_2712);
																																							{	/* Ast/sexp.scm 302 */
																																								obj_t
																																									BgL_locz00_2718;
																																								BgL_locz00_2718
																																									=
																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																									(BgL_expz00_21,
																																									BgL_locz00_23);
																																								{	/* Ast/sexp.scm 302 */
																																									obj_t
																																										BgL_cdlocz00_2719;
																																									BgL_cdlocz00_2719
																																										=
																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																										(CDR
																																										(BgL_expz00_21),
																																										BgL_locz00_2718);
																																									{	/* Ast/sexp.scm 303 */
																																										obj_t
																																											BgL_cddlocz00_2720;
																																										{	/* Ast/sexp.scm 304 */
																																											obj_t
																																												BgL_arg2833z00_2731;
																																											{	/* Ast/sexp.scm 304 */
																																												obj_t
																																													BgL_pairz00_4468;
																																												BgL_pairz00_4468
																																													=
																																													BgL_expz00_21;
																																												BgL_arg2833z00_2731
																																													=
																																													CDR
																																													(CDR
																																													(BgL_pairz00_4468));
																																											}
																																											BgL_cddlocz00_2720
																																												=
																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																												(BgL_arg2833z00_2731,
																																												BgL_locz00_2718);
																																										}
																																										{	/* Ast/sexp.scm 304 */
																																											obj_t
																																												BgL_valzd2loczd2_2721;
																																											BgL_valzd2loczd2_2721
																																												=
																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																												(BgL_valz00_2705,
																																												BgL_cddlocz00_2720);
																																											{	/* Ast/sexp.scm 305 */
																																												BgL_nodez00_bglt
																																													BgL_valz00_2722;
																																												BgL_valz00_2722
																																													=
																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																													(BgL_valz00_2705,
																																													BgL_stackz00_22,
																																													BgL_valzd2loczd2_2721,
																																													CNST_TABLE_REF
																																													(((long) 2)));
																																												{	/* Ast/sexp.scm 306 */

																																													{	/* Ast/sexp.scm 307 */
																																														BgL_nodez00_bglt
																																															BgL_astz00_2723;
																																														BgL_astz00_2723
																																															=
																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																															(BgL_varz00_2704,
																																															BgL_stackz00_22,
																																															BgL_cdlocz00_2719,
																																															CNST_TABLE_REF
																																															(((long) 2)));
																																														{	/* Ast/sexp.scm 308 */
																																															bool_t
																																																BgL_testz00_6340;
																																															{	/* Ast/sexp.scm 308 */
																																																bool_t
																																																	BgL_testz00_6341;
																																																{	/* Ast/sexp.scm 308 */
																																																	bool_t
																																																		BgL_res3314z00_4473;
																																																	{	/* Ast/sexp.scm 308 */
																																																		obj_t
																																																			BgL_objz00_4472;
																																																		BgL_objz00_4472
																																																			=
																																																			(
																																																			(obj_t)
																																																			BgL_astz00_2723);
																																																		BgL_res3314z00_4473
																																																			=
																																																			BGl_isazf3zf3zz__objectz00
																																																			(BgL_objz00_4472,
																																																			BGl_varz00zzast_nodez00);
																																																	}
																																																	BgL_testz00_6341
																																																		=
																																																		BgL_res3314z00_4473;
																																																}
																																																if (BgL_testz00_6341)
																																																	{	/* Ast/sexp.scm 308 */
																																																		BgL_variablez00_bglt
																																																			BgL_arg2832z00_2730;
																																																		BgL_arg2832z00_2730
																																																			=
																																																			(
																																																			((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_astz00_2723)))->BgL_variablez00);
																																																		{	/* Ast/sexp.scm 308 */
																																																			bool_t
																																																				BgL_res3316z00_4478;
																																																			{	/* Ast/sexp.scm 308 */
																																																				obj_t
																																																					BgL_objz00_4477;
																																																				BgL_objz00_4477
																																																					=
																																																					(
																																																					(obj_t)
																																																					BgL_arg2832z00_2730);
																																																				BgL_res3316z00_4478
																																																					=
																																																					BGl_isazf3zf3zz__objectz00
																																																					(BgL_objz00_4477,
																																																					BGl_globalz00zzast_varz00);
																																																			}
																																																			BgL_testz00_6340
																																																				=
																																																				BgL_res3316z00_4478;
																																																		}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 308 */
																																																		BgL_testz00_6340
																																																			=
																																																			(
																																																			(bool_t)
																																																			0);
																																																	}
																																															}
																																															if (BgL_testz00_6340)
																																																{	/* Ast/sexp.scm 308 */
																																																	{	/* Ast/sexp.scm 310 */
																																																		BgL_variablez00_bglt
																																																			BgL_arg2829z00_2725;
																																																		BgL_arg2829z00_2725
																																																			=
																																																			(
																																																			((BgL_varz00_bglt) CREF(((BgL_varz00_bglt) BgL_astz00_2723)))->BgL_variablez00);
																																																		{	/* Ast/sexp.scm 310 */
																																																			BgL_globalz00_bglt
																																																				BgL_oz00_4482;
																																																			obj_t
																																																				BgL_vz00_4483;
																																																			BgL_oz00_4482
																																																				=
																																																				(
																																																				(BgL_globalz00_bglt)
																																																				BgL_arg2829z00_2725);
																																																			BgL_vz00_4483
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_valz00_2722);
																																																			((((BgL_globalz00_bglt) CREF(BgL_oz00_4482))->BgL_srcz00) = ((obj_t) BgL_vz00_4483), BUNSPEC);
																																																		}
																																																	}
																																																	{	/* Ast/sexp.scm 311 */
																																																		BgL_setqz00_bglt
																																																			BgL_new1130z00_2726;
																																																		{	/* Ast/sexp.scm 311 */
																																																			BgL_setqz00_bglt
																																																				BgL_new1129z00_2727;
																																																			BgL_new1129z00_2727
																																																				=
																																																				(
																																																				(BgL_setqz00_bglt)
																																																				BREF
																																																				(GC_MALLOC
																																																					(sizeof
																																																						(struct
																																																							BgL_setqz00_bgl))));
																																																			{	/* Ast/sexp.scm 311 */
																																																				long
																																																					BgL_arg2830z00_2728;
																																																				{	/* Ast/sexp.scm 311 */
																																																					long
																																																						BgL_res3318z00_4486;
																																																					BgL_res3318z00_4486
																																																						=
																																																						BGL_CLASS_INDEX
																																																						(BGl_setqz00zzast_nodez00);
																																																					BgL_arg2830z00_2728
																																																						=
																																																						BgL_res3318z00_4486;
																																																				}
																																																				{	/* Ast/sexp.scm 311 */
																																																					BgL_objectz00_bglt
																																																						BgL_objz00_4487;
																																																					BgL_objz00_4487
																																																						=
																																																						(
																																																						(BgL_objectz00_bglt)
																																																						BgL_new1129z00_2727);
																																																					BGL_OBJECT_CLASS_NUM_SET
																																																						(BgL_objz00_4487,
																																																						BgL_arg2830z00_2728);
																																																			}}
																																																			{	/* Ast/sexp.scm 311 */
																																																				BgL_objectz00_bglt
																																																					BgL_auxz00_6357;
																																																				BgL_auxz00_6357
																																																					=
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					BgL_new1129z00_2727);
																																																				BGL_OBJECT_WIDENING_SET
																																																					(BgL_auxz00_6357,
																																																					BFALSE);
																																																			}
																																																			BgL_new1130z00_2726
																																																				=
																																																				BgL_new1129z00_2727;
																																																		}
																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1130z00_2726)))->BgL_locz00) = ((obj_t) BgL_locz00_2718), BUNSPEC);
																																																		((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1130z00_2726)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
																																																		((((BgL_setqz00_bglt) CREF(BgL_new1130z00_2726))->BgL_varz00) = ((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_astz00_2723)), BUNSPEC);
																																																		((((BgL_setqz00_bglt) CREF(BgL_new1130z00_2726))->BgL_valuez00) = ((BgL_nodez00_bglt) BgL_valz00_2722), BUNSPEC);
																																																		return
																																																			(
																																																			(BgL_nodez00_bglt)
																																																			BgL_new1130z00_2726);
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 316 */
																																																	BgL_nodez00_bglt
																																																		BgL_res3319z00_4496;
																																																	{	/* Ast/sexp.scm 668 */
																																																		obj_t
																																																			BgL_arg3097z00_4492;
																																																		BgL_nodez00_bglt
																																																			BgL_arg3098z00_4493;
																																																		BgL_arg3097z00_4492
																																																			=
																																																			BGl_shapez00zztools_shapez00
																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																			());
																																																		BgL_arg3098z00_4493
																																																			=
																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																			(CNST_TABLE_REF
																																																			(((long) 4)), BNIL, BgL_locz00_2718, CNST_TABLE_REF(((long) 2)));
																																																		{	/* Ast/sexp.scm 667 */
																																																			obj_t
																																																				BgL_list3099z00_4495;
																																																			BgL_list3099z00_4495
																																																				=
																																																				MAKE_PAIR
																																																				(
																																																				((obj_t) BgL_arg3098z00_4493), BNIL);
																																																			BgL_res3319z00_4496
																																																				=
																																																				(
																																																				(BgL_nodez00_bglt)
																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																				(BgL_locz00_2718,
																																																					BgL_arg3097z00_4492,
																																																					BGl_string3523z00zzast_sexpz00,
																																																					BgL_expz00_21,
																																																					BgL_list3099z00_4495));
																																																	}}
																																																	return
																																																		BgL_res3319z00_4496;
																																																}
																																														}
																																													}
																																												}
																																											}
																																										}
																																									}
																																								}
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																						BgL_tagzd27866zd2_2707:
																																							{	/* Ast/sexp.scm 320 */
																																								obj_t
																																									BgL_arg2835z00_2733;
																																								BgL_arg2835z00_2733
																																									=
																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																									(BgL_expz00_21,
																																									BgL_locz00_23);
																																								{	/* Ast/sexp.scm 319 */
																																									BgL_nodez00_bglt
																																										BgL_res3320z00_4504;
																																									{	/* Ast/sexp.scm 668 */
																																										obj_t
																																											BgL_arg3097z00_4500;
																																										BgL_nodez00_bglt
																																											BgL_arg3098z00_4501;
																																										BgL_arg3097z00_4500
																																											=
																																											BGl_shapez00zztools_shapez00
																																											(BGl_currentzd2functionzd2zztools_errorz00
																																											());
																																										BgL_arg3098z00_4501
																																											=
																																											BGl_sexpzd2ze3nodez31zzast_sexpz00
																																											(CNST_TABLE_REF
																																											(((long) 4)), BNIL, BgL_arg2835z00_2733, CNST_TABLE_REF(((long) 2)));
																																										{	/* Ast/sexp.scm 667 */
																																											obj_t
																																												BgL_list3099z00_4503;
																																											BgL_list3099z00_4503
																																												=
																																												MAKE_PAIR
																																												(
																																												((obj_t) BgL_arg3098z00_4501), BNIL);
																																											BgL_res3320z00_4504
																																												=
																																												(
																																												(BgL_nodez00_bglt)
																																												BGl_userzd2errorzf2locationz20zztools_errorz00
																																												(BgL_arg2835z00_2733,
																																													BgL_arg3097z00_4500,
																																													BGl_string3522z00zzast_sexpz00,
																																													BgL_expz00_21,
																																													BgL_list3099z00_4503));
																																									}}
																																									return
																																										BgL_res3320z00_4504;
																																								}
																																							}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 115 */
																																					goto
																																						BgL_tagzd27866zd2_2707;
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 115 */
																																			goto
																																				BgL_tagzd27866zd2_2707;
																																		}
																																}
																															else
																																{	/* Ast/sexp.scm 115 */
																																	goto
																																		BgL_tagzd27866zd2_2707;
																																}
																														}
																													}
																												else
																													{	/* Ast/sexp.scm 115 */
																														obj_t
																															BgL_carzd2716zd2_1686;
																														BgL_carzd2716zd2_1686
																															=
																															CAR
																															(BgL_expz00_21);
																														if (PAIRP
																															(BgL_carzd2716zd2_1686))
																															{	/* Ast/sexp.scm 115 */
																																obj_t
																																	BgL_carzd2719zd2_1688;
																																obj_t
																																	BgL_cdrzd2720zd2_1689;
																																BgL_carzd2719zd2_1688
																																	=
																																	CAR
																																	(BgL_carzd2716zd2_1686);
																																BgL_cdrzd2720zd2_1689
																																	=
																																	CDR
																																	(BgL_carzd2716zd2_1686);
																																{

																																	if (
																																		(BgL_carzd2719zd2_1688
																																			==
																																			CNST_TABLE_REF
																																			(((long)
																																					18))))
																																		{
																																			obj_t
																																				BgL_auxz00_6398;
																																		BgL_kapzd2721zd2_1690:
																																			if (PAIRP
																																				(BgL_cdrzd2720zd2_1689))
																																				{	/* Ast/sexp.scm 115 */
																																					obj_t
																																						BgL_cdrzd2724zd2_1854;
																																					BgL_cdrzd2724zd2_1854
																																						=
																																						CDR
																																						(BgL_cdrzd2720zd2_1689);
																																					if (PAIRP(BgL_cdrzd2724zd2_1854))
																																						{	/* Ast/sexp.scm 115 */
																																							if (NULLP(CDR(BgL_cdrzd2724zd2_1854)))
																																								{	/* Ast/sexp.scm 115 */
																																									obj_t
																																										BgL_arg2215z00_1857;
																																									obj_t
																																										BgL_arg2216z00_1858;
																																									BgL_arg2215z00_1857
																																										=
																																										CAR
																																										(BgL_cdrzd2724zd2_1854);
																																									BgL_arg2216z00_1858
																																										=
																																										CDR
																																										(BgL_expz00_21);
																																									{
																																										BgL_nodez00_bglt
																																											BgL_auxz00_6409;
																																										BgL_bodyz00_1606
																																											=
																																											BgL_arg2215z00_1857;
																																										BgL_argsz00_1607
																																											=
																																											BgL_arg2216z00_1858;
																																									BgL_tagzd2380zd2_1608:
																																										{	/* Ast/sexp.scm 323 */
																																											obj_t
																																												BgL_letzd2partzd2_2734;
																																											BgL_letzd2partzd2_2734
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											{	/* Ast/sexp.scm 323 */
																																												obj_t
																																													BgL_nexpz00_2735;
																																												{	/* Ast/sexp.scm 324 */
																																													obj_t
																																														BgL_arg2836z00_2736;
																																													obj_t
																																														BgL_arg2837z00_2737;
																																													BgL_arg2836z00_2736
																																														=
																																														CAR
																																														(BgL_letzd2partzd2_2734);
																																													{	/* Ast/sexp.scm 324 */
																																														obj_t
																																															BgL_arg2838z00_2738;
																																														obj_t
																																															BgL_arg2839z00_2739;
																																														{	/* Ast/sexp.scm 324 */
																																															obj_t
																																																BgL_pairz00_4520;
																																															BgL_pairz00_4520
																																																=
																																																BgL_letzd2partzd2_2734;
																																															BgL_arg2838z00_2738
																																																=
																																																CAR
																																																(CDR
																																																(BgL_pairz00_4520));
																																														}
																																														{	/* Ast/sexp.scm 324 */
																																															obj_t
																																																BgL_arg2840z00_2740;
																																															BgL_arg2840z00_2740
																																																=
																																																MAKE_PAIR
																																																(BgL_bodyz00_1606,
																																																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																(BgL_argsz00_1607,
																																																	BNIL));
																																															BgL_arg2839z00_2739
																																																=
																																																MAKE_PAIR
																																																(BgL_arg2840z00_2740,
																																																BNIL);
																																														}
																																														BgL_arg2837z00_2737
																																															=
																																															MAKE_PAIR
																																															(BgL_arg2838z00_2738,
																																															BgL_arg2839z00_2739);
																																													}
																																													BgL_nexpz00_2735
																																														=
																																														MAKE_PAIR
																																														(BgL_arg2836z00_2736,
																																														BgL_arg2837z00_2737);
																																												}
																																												{	/* Ast/sexp.scm 324 */

																																													BgL_auxz00_6409
																																														=
																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																														(BgL_nexpz00_2735,
																																														BgL_stackz00_22,
																																														BgL_locz00_23,
																																														BgL_sitez00_24);
																																												}
																																											}
																																										}
																																										BgL_auxz00_6398
																																											=
																																											(
																																											(obj_t)
																																											BgL_auxz00_6409);
																																									}
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									bool_t
																																										BgL_testz00_6421;
																																									{	/* Ast/sexp.scm 115 */
																																										obj_t
																																											BgL_arg2275z00_1949;
																																										BgL_arg2275z00_1949
																																											=
																																											CAR
																																											(BgL_expz00_21);
																																										BgL_testz00_6421
																																											=
																																											CBOOL
																																											(BGl_letzd2symzf3z21zzast_letz00
																																											(BgL_arg2275z00_1949));
																																									}
																																									if (BgL_testz00_6421)
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_6425;
																																										BgL_tagzd2381zd2_1609:
																																											BgL_auxz00_6425 = BGl_letzd2ze3nodez31zzast_letz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																											BgL_auxz00_6398
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_6425);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 115 */
																																											bool_t
																																												BgL_testz00_6429;
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_arg2274z00_1948;
																																												BgL_arg2274z00_1948
																																													=
																																													CAR
																																													(BgL_expz00_21);
																																												BgL_testz00_6429
																																													=
																																													CBOOL
																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																													(BgL_arg2274z00_1948));
																																											}
																																											if (BgL_testz00_6429)
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_6433;
																																												BgL_tagzd2382zd2_1610:
																																													BgL_auxz00_6433 = BGl_labelszd2ze3nodez31zzast_labelsz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																																													BgL_auxz00_6398
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_6433);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 115 */
																																													obj_t
																																														BgL_carzd2791zd2_1861;
																																													BgL_carzd2791zd2_1861
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_cdrzd2796zd2_1862;
																																														BgL_cdrzd2796zd2_1862
																																															=
																																															CDR
																																															(BgL_carzd2791zd2_1861);
																																														if ((CAR(BgL_carzd2791zd2_1861) == CNST_TABLE_REF(((long) 3))))
																																															{	/* Ast/sexp.scm 115 */
																																																obj_t
																																																	BgL_arg2220z00_1864;
																																																obj_t
																																																	BgL_arg2221z00_1865;
																																																obj_t
																																																	BgL_arg2222z00_1866;
																																																BgL_arg2220z00_1864
																																																	=
																																																	CAR
																																																	(BgL_cdrzd2796zd2_1862);
																																																BgL_arg2221z00_1865
																																																	=
																																																	CDR
																																																	(BgL_cdrzd2796zd2_1862);
																																																BgL_arg2222z00_1866
																																																	=
																																																	CDR
																																																	(BgL_expz00_21);
																																																{
																																																	BgL_nodez00_bglt
																																																		BgL_auxz00_6446;
																																																	BgL_varsz00_1615
																																																		=
																																																		BgL_arg2220z00_1864;
																																																	BgL_bodyz00_1616
																																																		=
																																																		BgL_arg2221z00_1865;
																																																	BgL_argsz00_1617
																																																		=
																																																		BgL_arg2222z00_1866;
																																																BgL_tagzd2384zd2_1618:
																																																	{	/* Ast/sexp.scm 339 */
																																																		obj_t
																																																			BgL_locz00_2746;
																																																		obj_t
																																																			BgL_nexpz00_2747;
																																																		BgL_locz00_2746
																																																			=
																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																			(BgL_expz00_21,
																																																			BgL_locz00_23);
																																																		{	/* Ast/sexp.scm 340 */
																																																			obj_t
																																																				BgL_arg2844z00_2748;
																																																			obj_t
																																																				BgL_arg2845z00_2749;
																																																			BgL_arg2844z00_2748
																																																				=
																																																				BGl_letzd2symzd2zzast_letz00
																																																				();
																																																			{	/* Ast/sexp.scm 343 */
																																																				obj_t
																																																					BgL_arg2846z00_2750;
																																																				obj_t
																																																					BgL_arg2847z00_2751;
																																																				BgL_arg2846z00_2750
																																																					=
																																																					BGl_loopz00zzast_sexpz00
																																																					(BgL_expz00_21,
																																																					BgL_locz00_23,
																																																					BgL_varsz00_1615,
																																																					BgL_argsz00_1617);
																																																				{	/* Ast/sexp.scm 382 */
																																																					obj_t
																																																						BgL_arg2888z00_2799;
																																																					{	/* Ast/sexp.scm 382 */
																																																						obj_t
																																																							BgL_arg2889z00_2800;
																																																						obj_t
																																																							BgL_arg2890z00_2801;
																																																						BgL_arg2889z00_2800
																																																							=
																																																							BGl_shapez00zztools_shapez00
																																																							(BGl_currentzd2functionzd2zztools_errorz00
																																																							());
																																																						BgL_arg2890z00_2801
																																																							=
																																																							BGl_normaliza7ezd2prognz75zztools_prognz00
																																																							(BgL_bodyz00_1616);
																																																						{	/* Ast/sexp.scm 386 */
																																																							obj_t
																																																								BgL_zc3anonymousza32893ze3z83_5617;
																																																							BgL_zc3anonymousza32893ze3z83_5617
																																																								=
																																																								MAKE_FX_PROCEDURE
																																																								(BGl_z62zc3anonymousza32893ze3ze1zzast_sexpz00,
																																																								(int)
																																																								(((long) 3)), (int) (((long) 1)));
																																																							PROCEDURE_SET
																																																								(BgL_zc3anonymousza32893ze3z83_5617,
																																																								(int)
																																																								(((long) 0)), BgL_locz00_23);
																																																							BgL_arg2888z00_2799
																																																								=
																																																								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
																																																								(BgL_arg2889z00_2800,
																																																								BgL_varsz00_1615,
																																																								BgL_arg2890z00_2801,
																																																								BgL_zc3anonymousza32893ze3z83_5617);
																																																					}}
																																																					BgL_arg2847z00_2751
																																																						=
																																																						MAKE_PAIR
																																																						(BgL_arg2888z00_2799,
																																																						BNIL);
																																																				}
																																																				BgL_arg2845z00_2749
																																																					=
																																																					MAKE_PAIR
																																																					(BgL_arg2846z00_2750,
																																																					BgL_arg2847z00_2751);
																																																			}
																																																			BgL_nexpz00_2747
																																																				=
																																																				MAKE_PAIR
																																																				(BgL_arg2844z00_2748,
																																																				BgL_arg2845z00_2749);
																																																		}
																																																		BgL_auxz00_6446
																																																			=
																																																			BGl_letzd2ze3nodez31zzast_letz00
																																																			(BgL_nexpz00_2747,
																																																			BgL_stackz00_22,
																																																			BgL_locz00_2746,
																																																			BgL_sitez00_24);
																																																	}
																																																	BgL_auxz00_6398
																																																		=
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6446);
																																															}}
																																														else
																																															{	/* Ast/sexp.scm 115 */
																																																obj_t
																																																	BgL_cdrzd2819zd2_1868;
																																																BgL_cdrzd2819zd2_1868
																																																	=
																																																	CDR
																																																	(BgL_expz00_21);
																																																{	/* Ast/sexp.scm 115 */
																																																	obj_t
																																																		BgL_cdrzd2825zd2_1869;
																																																	BgL_cdrzd2825zd2_1869
																																																		=
																																																		CDR
																																																		(BgL_carzd2791zd2_1861);
																																																	if ((CAR(BgL_carzd2791zd2_1861) == CNST_TABLE_REF(((long) 1))))
																																																		{	/* Ast/sexp.scm 115 */
																																																			obj_t
																																																				BgL_cdrzd2831zd2_1871;
																																																			BgL_cdrzd2831zd2_1871
																																																				=
																																																				CDR
																																																				(BgL_cdrzd2825zd2_1869);
																																																			{	/* Ast/sexp.scm 115 */
																																																				obj_t
																																																					BgL_carzd2836zd2_1872;
																																																				obj_t
																																																					BgL_cdrzd2837zd2_1873;
																																																				BgL_carzd2836zd2_1872
																																																					=
																																																					CAR
																																																					(BgL_cdrzd2831zd2_1871);
																																																				BgL_cdrzd2837zd2_1873
																																																					=
																																																					CDR
																																																					(BgL_cdrzd2831zd2_1871);
																																																				if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2836zd2_1872))
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (PAIRP(BgL_cdrzd2837zd2_1873))
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_carzd2844zd2_1876;
																																																								BgL_carzd2844zd2_1876
																																																									=
																																																									CAR
																																																									(BgL_cdrzd2837zd2_1873);
																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2844zd2_1876))
																																																									{	/* Ast/sexp.scm 115 */
																																																										if (NULLP(CDR(BgL_cdrzd2837zd2_1873)))
																																																											{	/* Ast/sexp.scm 115 */
																																																												bool_t
																																																													BgL_testz00_6483;
																																																												{
																																																													obj_t
																																																														BgL_l2025z00_1897;
																																																													BgL_l2025z00_1897
																																																														=
																																																														BgL_cdrzd2819zd2_1868;
																																																												BgL_zc3anonymousza32239ze3z83_1898:
																																																													if (NULLP(BgL_l2025z00_1897))
																																																														{	/* Ast/sexp.scm 115 */
																																																															BgL_testz00_6483
																																																																=
																																																																(
																																																																(bool_t)
																																																																1);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															bool_t
																																																																BgL_testz00_6486;
																																																															{	/* Ast/sexp.scm 115 */
																																																																bool_t
																																																																	BgL_testz00_6487;
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_auxz00_6488;
																																																																	BgL_auxz00_6488
																																																																		=
																																																																		CAR
																																																																		(BgL_l2025z00_1897);
																																																																	BgL_testz00_6487
																																																																		=
																																																																		PAIRP
																																																																		(BgL_auxz00_6488);
																																																																}
																																																																if (BgL_testz00_6487)
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		BgL_testz00_6486
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			0);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		BgL_testz00_6486
																																																																			=
																																																																			(
																																																																			(bool_t)
																																																																			1);
																																																																	}
																																																															}
																																																															if (BgL_testz00_6486)
																																																																{
																																																																	obj_t
																																																																		BgL_l2025z00_6491;
																																																																	BgL_l2025z00_6491
																																																																		=
																																																																		CDR
																																																																		(BgL_l2025z00_1897);
																																																																	BgL_l2025z00_1897
																																																																		=
																																																																		BgL_l2025z00_6491;
																																																																	goto
																																																																		BgL_zc3anonymousza32239ze3z83_1898;
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	BgL_testz00_6483
																																																																		=
																																																																		(
																																																																		(bool_t)
																																																																		0);
																																																																}
																																																														}
																																																												}
																																																												if (BgL_testz00_6483)
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_arg2229z00_1880;
																																																														BgL_arg2229z00_1880
																																																															=
																																																															CAR
																																																															(BgL_cdrzd2825zd2_1869);
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_6494;
																																																															BgL_testz00_1619
																																																																=
																																																																BgL_arg2229z00_1880;
																																																															BgL_proc1z00_1620
																																																																=
																																																																BgL_carzd2836zd2_1872;
																																																															BgL_proc2z00_1621
																																																																=
																																																																BgL_carzd2844zd2_1876;
																																																															BgL_argsz00_1622
																																																																=
																																																																BgL_cdrzd2819zd2_1868;
																																																														BgL_tagzd2385zd2_1623:
																																																															{	/* Ast/sexp.scm 393 */
																																																																obj_t
																																																																	BgL_nexpz00_2810;
																																																																{	/* Ast/sexp.scm 393 */
																																																																	obj_t
																																																																		BgL_arg2896z00_2812;
																																																																	{	/* Ast/sexp.scm 393 */
																																																																		obj_t
																																																																			BgL_arg2897z00_2813;
																																																																		{	/* Ast/sexp.scm 393 */
																																																																			obj_t
																																																																				BgL_arg2898z00_2814;
																																																																			obj_t
																																																																				BgL_arg2899z00_2815;
																																																																			BgL_arg2898z00_2814
																																																																				=
																																																																				MAKE_PAIR
																																																																				(BgL_proc1z00_1620,
																																																																				BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																				(BgL_argsz00_1622,
																																																																					BNIL));
																																																																			{	/* Ast/sexp.scm 393 */
																																																																				obj_t
																																																																					BgL_arg2901z00_2817;
																																																																				BgL_arg2901z00_2817
																																																																					=
																																																																					MAKE_PAIR
																																																																					(BgL_proc2z00_1621,
																																																																					BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																					(BgL_argsz00_1622,
																																																																						BNIL));
																																																																				BgL_arg2899z00_2815
																																																																					=
																																																																					MAKE_PAIR
																																																																					(BgL_arg2901z00_2817,
																																																																					BNIL);
																																																																			}
																																																																			BgL_arg2897z00_2813
																																																																				=
																																																																				MAKE_PAIR
																																																																				(BgL_arg2898z00_2814,
																																																																				BgL_arg2899z00_2815);
																																																																		}
																																																																		BgL_arg2896z00_2812
																																																																			=
																																																																			MAKE_PAIR
																																																																			(BgL_testz00_1619,
																																																																			BgL_arg2897z00_2813);
																																																																	}
																																																																	BgL_nexpz00_2810
																																																																		=
																																																																		MAKE_PAIR
																																																																		(CNST_TABLE_REF
																																																																		(((long) 1)), BgL_arg2896z00_2812);
																																																																}
																																																																BgL_auxz00_6494
																																																																	=
																																																																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																	(BgL_nexpz00_2810,
																																																																	BgL_stackz00_22,
																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																	(BgL_expz00_21,
																																																																		BgL_locz00_23),
																																																																	BgL_sitez00_24);
																																																															}
																																																															BgL_auxz00_6398
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_6494);
																																																													}}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd2868zd2_1881;
																																																														BgL_cdrzd2868zd2_1881
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_cdrzd2875zd2_1882;
																																																															BgL_cdrzd2875zd2_1882
																																																																=
																																																																CDR
																																																																(CAR
																																																																(BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_cdrzd2882zd2_1883;
																																																																BgL_cdrzd2882zd2_1883
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd2875zd2_1882);
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_carzd2888zd2_1884;
																																																																	BgL_carzd2888zd2_1884
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd2882zd2_1883);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2888zd2_1884))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_carzd2895zd2_1886;
																																																																			BgL_carzd2895zd2_1886
																																																																				=
																																																																				CAR
																																																																				(CDR
																																																																				(BgL_cdrzd2882zd2_1883));
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd2895zd2_1886))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd2868zd2_1881))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							obj_t
																																																																								BgL_arg2233z00_1889;
																																																																							BgL_arg2233z00_1889
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd2875zd2_1882);
																																																																							{
																																																																								BgL_nodez00_bglt
																																																																									BgL_auxz00_6521;
																																																																								BgL_testz00_1624
																																																																									=
																																																																									BgL_arg2233z00_1889;
																																																																								BgL_proc1z00_1625
																																																																									=
																																																																									BgL_carzd2888zd2_1884;
																																																																								BgL_proc2z00_1626
																																																																									=
																																																																									BgL_carzd2895zd2_1886;
																																																																								BgL_argsz00_1627
																																																																									=
																																																																									BgL_cdrzd2868zd2_1881;
																																																																							BgL_tagzd2386zd2_1628:
																																																																								{	/* Ast/sexp.scm 399 */
																																																																									obj_t
																																																																										BgL_tmpsz00_2819;
																																																																									if (NULLP(BgL_argsz00_1627))
																																																																										{	/* Ast/sexp.scm 399 */
																																																																											BgL_tmpsz00_2819
																																																																												=
																																																																												BNIL;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 399 */
																																																																											obj_t
																																																																												BgL_head2014z00_2863;
																																																																											{	/* Ast/sexp.scm 399 */
																																																																												obj_t
																																																																													BgL_res3336z00_4560;
																																																																												BgL_res3336z00_4560
																																																																													=
																																																																													MAKE_PAIR
																																																																													(BNIL,
																																																																													BNIL);
																																																																												BgL_head2014z00_2863
																																																																													=
																																																																													BgL_res3336z00_4560;
																																																																											}
																																																																											{
																																																																												obj_t
																																																																													BgL_l2012z00_2865;
																																																																												obj_t
																																																																													BgL_tail2015z00_2866;
																																																																												BgL_l2012z00_2865
																																																																													=
																																																																													BgL_argsz00_1627;
																																																																												BgL_tail2015z00_2866
																																																																													=
																																																																													BgL_head2014z00_2863;
																																																																											BgL_zc3anonymousza32934ze3z83_2867:
																																																																												if (NULLP(BgL_l2012z00_2865))
																																																																													{	/* Ast/sexp.scm 399 */
																																																																														BgL_tmpsz00_2819
																																																																															=
																																																																															CDR
																																																																															(BgL_head2014z00_2863);
																																																																													}
																																																																												else
																																																																													{	/* Ast/sexp.scm 399 */
																																																																														obj_t
																																																																															BgL_newtail2016z00_2869;
																																																																														{	/* Ast/sexp.scm 399 */
																																																																															obj_t
																																																																																BgL_arg2937z00_2871;
																																																																															{	/* Ast/sexp.scm 399 */

																																																																																{	/* Ast/sexp.scm 399 */

																																																																																	BgL_arg2937z00_2871
																																																																																		=
																																																																																		BGl_gensymz00zz__r4_symbols_6_4z00
																																																																																		(BFALSE);
																																																																																}
																																																																															}
																																																																															{	/* Ast/sexp.scm 399 */
																																																																																obj_t
																																																																																	BgL_res3338z00_4567;
																																																																																BgL_res3338z00_4567
																																																																																	=
																																																																																	MAKE_PAIR
																																																																																	(BgL_arg2937z00_2871,
																																																																																	BNIL);
																																																																																BgL_newtail2016z00_2869
																																																																																	=
																																																																																	BgL_res3338z00_4567;
																																																																															}
																																																																														}
																																																																														SET_CDR
																																																																															(BgL_tail2015z00_2866,
																																																																															BgL_newtail2016z00_2869);
																																																																														{
																																																																															obj_t
																																																																																BgL_tail2015z00_6533;
																																																																															obj_t
																																																																																BgL_l2012z00_6531;
																																																																															BgL_l2012z00_6531
																																																																																=
																																																																																CDR
																																																																																(BgL_l2012z00_2865);
																																																																															BgL_tail2015z00_6533
																																																																																=
																																																																																BgL_newtail2016z00_2869;
																																																																															BgL_tail2015z00_2866
																																																																																=
																																																																																BgL_tail2015z00_6533;
																																																																															BgL_l2012z00_2865
																																																																																=
																																																																																BgL_l2012z00_6531;
																																																																															goto
																																																																																BgL_zc3anonymousza32934ze3z83_2867;
																																																																														}
																																																																													}
																																																																											}
																																																																										}
																																																																									{	/* Ast/sexp.scm 399 */
																																																																										obj_t
																																																																											BgL_locz00_2820;
																																																																										BgL_locz00_2820
																																																																											=
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_expz00_21,
																																																																											BgL_locz00_23);
																																																																										{	/* Ast/sexp.scm 400 */
																																																																											obj_t
																																																																												BgL_nexpz00_2821;
																																																																											{	/* Ast/sexp.scm 401 */
																																																																												obj_t
																																																																													BgL_arg2904z00_2823;
																																																																												obj_t
																																																																													BgL_arg2905z00_2824;
																																																																												BgL_arg2904z00_2823
																																																																													=
																																																																													BGl_letzd2symzd2zzast_letz00
																																																																													();
																																																																												{	/* Ast/sexp.scm 401 */
																																																																													obj_t
																																																																														BgL_arg2906z00_2825;
																																																																													obj_t
																																																																														BgL_arg2908z00_2826;
																																																																													if (NULLP(BgL_tmpsz00_2819))
																																																																														{	/* Ast/sexp.scm 401 */
																																																																															BgL_arg2906z00_2825
																																																																																=
																																																																																BNIL;
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 401 */
																																																																															obj_t
																																																																																BgL_head2019z00_2830;
																																																																															{	/* Ast/sexp.scm 401 */
																																																																																obj_t
																																																																																	BgL_arg2920z00_2848;
																																																																																{	/* Ast/sexp.scm 401 */
																																																																																	obj_t
																																																																																		BgL_arg2921z00_2849;
																																																																																	obj_t
																																																																																		BgL_arg2922z00_2850;
																																																																																	BgL_arg2921z00_2849
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_tmpsz00_2819);
																																																																																	BgL_arg2922z00_2850
																																																																																		=
																																																																																		CAR
																																																																																		(BgL_argsz00_1627);
																																																																																	{	/* Ast/sexp.scm 401 */
																																																																																		obj_t
																																																																																			BgL_list2923z00_2851;
																																																																																		{	/* Ast/sexp.scm 401 */
																																																																																			obj_t
																																																																																				BgL_arg2924z00_2852;
																																																																																			BgL_arg2924z00_2852
																																																																																				=
																																																																																				MAKE_PAIR
																																																																																				(BgL_arg2922z00_2850,
																																																																																				BNIL);
																																																																																			BgL_list2923z00_2851
																																																																																				=
																																																																																				MAKE_PAIR
																																																																																				(BgL_arg2921z00_2849,
																																																																																				BgL_arg2924z00_2852);
																																																																																		}
																																																																																		BgL_arg2920z00_2848
																																																																																			=
																																																																																			BgL_list2923z00_2851;
																																																																																	}
																																																																																}
																																																																																{	/* Ast/sexp.scm 401 */
																																																																																	obj_t
																																																																																		BgL_res3341z00_4579;
																																																																																	BgL_res3341z00_4579
																																																																																		=
																																																																																		MAKE_PAIR
																																																																																		(BgL_arg2920z00_2848,
																																																																																		BNIL);
																																																																																	BgL_head2019z00_2830
																																																																																		=
																																																																																		BgL_res3341z00_4579;
																																																																																}
																																																																															}
																																																																															{	/* Ast/sexp.scm 401 */
																																																																																obj_t
																																																																																	BgL_g2023z00_2831;
																																																																																obj_t
																																																																																	BgL_g2024z00_2832;
																																																																																BgL_g2023z00_2831
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_tmpsz00_2819);
																																																																																BgL_g2024z00_2832
																																																																																	=
																																																																																	CDR
																																																																																	(BgL_argsz00_1627);
																																																																																{
																																																																																	obj_t
																																																																																		BgL_ll2017z00_2834;
																																																																																	obj_t
																																																																																		BgL_ll2018z00_2835;
																																																																																	obj_t
																																																																																		BgL_tail2020z00_2836;
																																																																																	BgL_ll2017z00_2834
																																																																																		=
																																																																																		BgL_g2023z00_2831;
																																																																																	BgL_ll2018z00_2835
																																																																																		=
																																																																																		BgL_g2024z00_2832;
																																																																																	BgL_tail2020z00_2836
																																																																																		=
																																																																																		BgL_head2019z00_2830;
																																																																																BgL_zc3anonymousza32910ze3z83_2837:
																																																																																	if (NULLP(BgL_ll2017z00_2834))
																																																																																		{	/* Ast/sexp.scm 401 */
																																																																																			BgL_arg2906z00_2825
																																																																																				=
																																																																																				BgL_head2019z00_2830;
																																																																																		}
																																																																																	else
																																																																																		{	/* Ast/sexp.scm 401 */
																																																																																			obj_t
																																																																																				BgL_newtail2021z00_2839;
																																																																																			{	/* Ast/sexp.scm 401 */
																																																																																				obj_t
																																																																																					BgL_arg2914z00_2842;
																																																																																				{	/* Ast/sexp.scm 401 */
																																																																																					obj_t
																																																																																						BgL_arg2915z00_2843;
																																																																																					obj_t
																																																																																						BgL_arg2916z00_2844;
																																																																																					BgL_arg2915z00_2843
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_ll2017z00_2834);
																																																																																					BgL_arg2916z00_2844
																																																																																						=
																																																																																						CAR
																																																																																						(BgL_ll2018z00_2835);
																																																																																					{	/* Ast/sexp.scm 401 */
																																																																																						obj_t
																																																																																							BgL_list2917z00_2845;
																																																																																						{	/* Ast/sexp.scm 401 */
																																																																																							obj_t
																																																																																								BgL_arg2918z00_2846;
																																																																																							BgL_arg2918z00_2846
																																																																																								=
																																																																																								MAKE_PAIR
																																																																																								(BgL_arg2916z00_2844,
																																																																																								BNIL);
																																																																																							BgL_list2917z00_2845
																																																																																								=
																																																																																								MAKE_PAIR
																																																																																								(BgL_arg2915z00_2843,
																																																																																								BgL_arg2918z00_2846);
																																																																																						}
																																																																																						BgL_arg2914z00_2842
																																																																																							=
																																																																																							BgL_list2917z00_2845;
																																																																																					}
																																																																																				}
																																																																																				{	/* Ast/sexp.scm 401 */
																																																																																					obj_t
																																																																																						BgL_res3344z00_4590;
																																																																																					BgL_res3344z00_4590
																																																																																						=
																																																																																						MAKE_PAIR
																																																																																						(BgL_arg2914z00_2842,
																																																																																						BNIL);
																																																																																					BgL_newtail2021z00_2839
																																																																																						=
																																																																																						BgL_res3344z00_4590;
																																																																																				}
																																																																																			}
																																																																																			SET_CDR
																																																																																				(BgL_tail2020z00_2836,
																																																																																				BgL_newtail2021z00_2839);
																																																																																			{
																																																																																				obj_t
																																																																																					BgL_tail2020z00_6557;
																																																																																				obj_t
																																																																																					BgL_ll2018z00_6555;
																																																																																				obj_t
																																																																																					BgL_ll2017z00_6553;
																																																																																				BgL_ll2017z00_6553
																																																																																					=
																																																																																					CDR
																																																																																					(BgL_ll2017z00_2834);
																																																																																				BgL_ll2018z00_6555
																																																																																					=
																																																																																					CDR
																																																																																					(BgL_ll2018z00_2835);
																																																																																				BgL_tail2020z00_6557
																																																																																					=
																																																																																					BgL_newtail2021z00_2839;
																																																																																				BgL_tail2020z00_2836
																																																																																					=
																																																																																					BgL_tail2020z00_6557;
																																																																																				BgL_ll2018z00_2835
																																																																																					=
																																																																																					BgL_ll2018z00_6555;
																																																																																				BgL_ll2017z00_2834
																																																																																					=
																																																																																					BgL_ll2017z00_6553;
																																																																																				goto
																																																																																					BgL_zc3anonymousza32910ze3z83_2837;
																																																																																			}
																																																																																		}
																																																																																}
																																																																															}
																																																																														}
																																																																													{	/* Ast/sexp.scm 402 */
																																																																														obj_t
																																																																															BgL_arg2925z00_2853;
																																																																														{	/* Ast/sexp.scm 402 */
																																																																															obj_t
																																																																																BgL_arg2926z00_2854;
																																																																															{	/* Ast/sexp.scm 402 */
																																																																																obj_t
																																																																																	BgL_arg2927z00_2855;
																																																																																{	/* Ast/sexp.scm 402 */
																																																																																	obj_t
																																																																																		BgL_arg2928z00_2856;
																																																																																	obj_t
																																																																																		BgL_arg2929z00_2857;
																																																																																	BgL_arg2928z00_2856
																																																																																		=
																																																																																		MAKE_PAIR
																																																																																		(BgL_proc1z00_1625,
																																																																																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																		(BgL_tmpsz00_2819,
																																																																																			BNIL));
																																																																																	{	/* Ast/sexp.scm 402 */
																																																																																		obj_t
																																																																																			BgL_arg2931z00_2859;
																																																																																		BgL_arg2931z00_2859
																																																																																			=
																																																																																			MAKE_PAIR
																																																																																			(BgL_proc2z00_1626,
																																																																																			BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																																																			(BgL_tmpsz00_2819,
																																																																																				BNIL));
																																																																																		BgL_arg2929z00_2857
																																																																																			=
																																																																																			MAKE_PAIR
																																																																																			(BgL_arg2931z00_2859,
																																																																																			BNIL);
																																																																																	}
																																																																																	BgL_arg2927z00_2855
																																																																																		=
																																																																																		MAKE_PAIR
																																																																																		(BgL_arg2928z00_2856,
																																																																																		BgL_arg2929z00_2857);
																																																																																}
																																																																																BgL_arg2926z00_2854
																																																																																	=
																																																																																	MAKE_PAIR
																																																																																	(BgL_testz00_1624,
																																																																																	BgL_arg2927z00_2855);
																																																																															}
																																																																															BgL_arg2925z00_2853
																																																																																=
																																																																																MAKE_PAIR
																																																																																(CNST_TABLE_REF
																																																																																(((long) 1)), BgL_arg2926z00_2854);
																																																																														}
																																																																														BgL_arg2908z00_2826
																																																																															=
																																																																															MAKE_PAIR
																																																																															(BgL_arg2925z00_2853,
																																																																															BNIL);
																																																																													}
																																																																													BgL_arg2905z00_2824
																																																																														=
																																																																														MAKE_PAIR
																																																																														(BgL_arg2906z00_2825,
																																																																														BgL_arg2908z00_2826);
																																																																												}
																																																																												BgL_nexpz00_2821
																																																																													=
																																																																													MAKE_PAIR
																																																																													(BgL_arg2904z00_2823,
																																																																													BgL_arg2905z00_2824);
																																																																											}
																																																																											{	/* Ast/sexp.scm 401 */

																																																																												BgL_auxz00_6521
																																																																													=
																																																																													BGl_letzd2ze3nodez31zzast_letz00
																																																																													(BgL_nexpz00_2821,
																																																																													BgL_stackz00_22,
																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																													(BgL_expz00_21,
																																																																														BgL_locz00_2820),
																																																																													BgL_sitez00_24);
																																																																								}}}}
																																																																								BgL_auxz00_6398
																																																																									=
																																																																									(
																																																																									(obj_t)
																																																																									BgL_auxz00_6521);
																																																																						}}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{	/* Ast/sexp.scm 115 */
																																																																								BgL_tagzd2400zd2_1651:
																																																																									BgL_auxz00_6398 = BGl_privatezd2nodezd2zzast_privatez00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																								}
																																																																							else
																																																																								{
																																																																									BgL_nodez00_bglt
																																																																										BgL_auxz00_6576;
																																																																								BgL_tagzd2401zd2_1652:
																																																																									BgL_auxz00_6576 = BGl_callzd2ze3nodez31zzast_sexpz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																									BgL_auxz00_6398
																																																																										=
																																																																										(
																																																																										(obj_t)
																																																																										BgL_auxz00_6576);
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2400zd2_1651;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_6581;
																																																																							goto
																																																																								BgL_tagzd2401zd2_1652;
																																																																							BgL_auxz00_6398
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_6581);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2400zd2_1651;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_6585;
																																																																					goto
																																																																						BgL_tagzd2401zd2_1652;
																																																																					BgL_auxz00_6398
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_6585);
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{	/* Ast/sexp.scm 115 */
																																																														goto
																																																															BgL_tagzd2400zd2_1651;
																																																													}
																																																												else
																																																													{
																																																														BgL_nodez00_bglt
																																																															BgL_auxz00_6589;
																																																														goto
																																																															BgL_tagzd2401zd2_1652;
																																																														BgL_auxz00_6398
																																																															=
																																																															(
																																																															(obj_t)
																																																															BgL_auxz00_6589);
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_cdrzd21151zd2_1908;
																																																										BgL_cdrzd21151zd2_1908
																																																											=
																																																											CDR
																																																											(BgL_expz00_21);
																																																										{	/* Ast/sexp.scm 115 */
																																																											obj_t
																																																												BgL_cdrzd21157zd2_1909;
																																																											BgL_cdrzd21157zd2_1909
																																																												=
																																																												CDR
																																																												(CAR
																																																												(BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd21163zd2_1910;
																																																												BgL_cdrzd21163zd2_1910
																																																													=
																																																													CDR
																																																													(BgL_cdrzd21157zd2_1909);
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_carzd21168zd2_1911;
																																																													obj_t
																																																														BgL_cdrzd21169zd2_1912;
																																																													BgL_carzd21168zd2_1911
																																																														=
																																																														CAR
																																																														(BgL_cdrzd21163zd2_1910);
																																																													BgL_cdrzd21169zd2_1912
																																																														=
																																																														CDR
																																																														(BgL_cdrzd21163zd2_1910);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21168zd2_1911))
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_carzd21174zd2_1914;
																																																															BgL_carzd21174zd2_1914
																																																																=
																																																																CAR
																																																																(BgL_cdrzd21169zd2_1912);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21174zd2_1914))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (NULLP(CDR(BgL_cdrzd21169zd2_1912)))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd21151zd2_1908))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					obj_t
																																																																						BgL_arg2249z00_1918;
																																																																					BgL_arg2249z00_1918
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd21157zd2_1909);
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_6608;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_6612;
																																																																							obj_t
																																																																								BgL_proc2z00_6611;
																																																																							obj_t
																																																																								BgL_proc1z00_6610;
																																																																							obj_t
																																																																								BgL_testz00_6609;
																																																																							BgL_testz00_6609
																																																																								=
																																																																								BgL_arg2249z00_1918;
																																																																							BgL_proc1z00_6610
																																																																								=
																																																																								BgL_carzd21168zd2_1911;
																																																																							BgL_proc2z00_6611
																																																																								=
																																																																								BgL_carzd21174zd2_1914;
																																																																							BgL_argsz00_6612
																																																																								=
																																																																								BgL_cdrzd21151zd2_1908;
																																																																							BgL_argsz00_1627
																																																																								=
																																																																								BgL_argsz00_6612;
																																																																							BgL_proc2z00_1626
																																																																								=
																																																																								BgL_proc2z00_6611;
																																																																							BgL_proc1z00_1625
																																																																								=
																																																																								BgL_proc1z00_6610;
																																																																							BgL_testz00_1624
																																																																								=
																																																																								BgL_testz00_6609;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1628;
																																																																						}
																																																																						BgL_auxz00_6398
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_6608);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2400zd2_1651;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_6616;
																																																																							goto
																																																																								BgL_tagzd2401zd2_1652;
																																																																							BgL_auxz00_6398
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_6616);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2400zd2_1651;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_6620;
																																																																					goto
																																																																						BgL_tagzd2401zd2_1652;
																																																																					BgL_auxz00_6398
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_6620);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2400zd2_1651;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_6624;
																																																																			goto
																																																																				BgL_tagzd2401zd2_1652;
																																																																			BgL_auxz00_6398
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_6624);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd2400zd2_1651;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_6628;
																																																																	goto
																																																																		BgL_tagzd2401zd2_1652;
																																																																	BgL_auxz00_6398
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_6628);
																																																																}
																																																														}
																																																												}
																																																											}
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{	/* Ast/sexp.scm 115 */
																																																										goto
																																																											BgL_tagzd2400zd2_1651;
																																																									}
																																																								else
																																																									{
																																																										BgL_nodez00_bglt
																																																											BgL_auxz00_6632;
																																																										goto
																																																											BgL_tagzd2401zd2_1652;
																																																										BgL_auxz00_6398
																																																											=
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_6632);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_cdrzd21482zd2_1926;
																																																						BgL_cdrzd21482zd2_1926
																																																							=
																																																							CDR
																																																							(BgL_expz00_21);
																																																						{	/* Ast/sexp.scm 115 */
																																																							obj_t
																																																								BgL_cdrzd21489zd2_1927;
																																																							BgL_cdrzd21489zd2_1927
																																																								=
																																																								CDR
																																																								(CAR
																																																								(BgL_expz00_21));
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_cdrzd21496zd2_1928;
																																																								BgL_cdrzd21496zd2_1928
																																																									=
																																																									CDR
																																																									(BgL_cdrzd21489zd2_1927);
																																																								{	/* Ast/sexp.scm 115 */
																																																									obj_t
																																																										BgL_carzd21502zd2_1929;
																																																									obj_t
																																																										BgL_cdrzd21503zd2_1930;
																																																									BgL_carzd21502zd2_1929
																																																										=
																																																										CAR
																																																										(BgL_cdrzd21496zd2_1928);
																																																									BgL_cdrzd21503zd2_1930
																																																										=
																																																										CDR
																																																										(BgL_cdrzd21496zd2_1928);
																																																									if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21502zd2_1929))
																																																										{	/* Ast/sexp.scm 115 */
																																																											if (PAIRP(BgL_cdrzd21503zd2_1930))
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_carzd21510zd2_1933;
																																																													BgL_carzd21510zd2_1933
																																																														=
																																																														CAR
																																																														(BgL_cdrzd21503zd2_1930);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd21510zd2_1933))
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (NULLP(CDR(BgL_cdrzd21503zd2_1930)))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd21482zd2_1926))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_arg2263z00_1937;
																																																																			BgL_arg2263z00_1937
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd21489zd2_1927);
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_6653;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_6657;
																																																																					obj_t
																																																																						BgL_proc2z00_6656;
																																																																					obj_t
																																																																						BgL_proc1z00_6655;
																																																																					obj_t
																																																																						BgL_testz00_6654;
																																																																					BgL_testz00_6654
																																																																						=
																																																																						BgL_arg2263z00_1937;
																																																																					BgL_proc1z00_6655
																																																																						=
																																																																						BgL_carzd21502zd2_1929;
																																																																					BgL_proc2z00_6656
																																																																						=
																																																																						BgL_carzd21510zd2_1933;
																																																																					BgL_argsz00_6657
																																																																						=
																																																																						BgL_cdrzd21482zd2_1926;
																																																																					BgL_argsz00_1627
																																																																						=
																																																																						BgL_argsz00_6657;
																																																																					BgL_proc2z00_1626
																																																																						=
																																																																						BgL_proc2z00_6656;
																																																																					BgL_proc1z00_1625
																																																																						=
																																																																						BgL_proc1z00_6655;
																																																																					BgL_testz00_1624
																																																																						=
																																																																						BgL_testz00_6654;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1628;
																																																																				}
																																																																				BgL_auxz00_6398
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_6653);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2400zd2_1651;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_6661;
																																																																					goto
																																																																						BgL_tagzd2401zd2_1652;
																																																																					BgL_auxz00_6398
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_6661);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2400zd2_1651;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_6665;
																																																																			goto
																																																																				BgL_tagzd2401zd2_1652;
																																																																			BgL_auxz00_6398
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_6665);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd2400zd2_1651;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_6669;
																																																																	goto
																																																																		BgL_tagzd2401zd2_1652;
																																																																	BgL_auxz00_6398
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_6669);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 115 */
																																																															goto
																																																																BgL_tagzd2400zd2_1651;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_6673;
																																																															goto
																																																																BgL_tagzd2401zd2_1652;
																																																															BgL_auxz00_6398
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_6673);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 115 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 115 */
																																																													goto
																																																														BgL_tagzd2400zd2_1651;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_6677;
																																																													goto
																																																														BgL_tagzd2401zd2_1652;
																																																													BgL_auxz00_6398
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_6677);
																																																												}
																																																										}
																																																								}
																																																							}
																																																						}
																																																					}
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 115 */
																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																				{	/* Ast/sexp.scm 115 */
																																																					goto
																																																						BgL_tagzd2400zd2_1651;
																																																				}
																																																			else
																																																				{
																																																					BgL_nodez00_bglt
																																																						BgL_auxz00_6681;
																																																					goto
																																																						BgL_tagzd2401zd2_1652;
																																																					BgL_auxz00_6398
																																																						=
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6681);
																																																				}
																																																		}
																																																}
																																															}
																																													}
																																												}
																																										}
																																								}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							bool_t
																																								BgL_testz00_6683;
																																							{	/* Ast/sexp.scm 115 */
																																								obj_t
																																									BgL_arg2286z00_1962;
																																								BgL_arg2286z00_1962
																																									=
																																									CAR
																																									(BgL_expz00_21);
																																								BgL_testz00_6683
																																									=
																																									CBOOL
																																									(BGl_letzd2symzf3z21zzast_letz00
																																									(BgL_arg2286z00_1962));
																																							}
																																							if (BgL_testz00_6683)
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_6687;
																																									goto
																																										BgL_tagzd2381zd2_1609;
																																									BgL_auxz00_6398
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_6687);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									bool_t
																																										BgL_testz00_6689;
																																									{	/* Ast/sexp.scm 115 */
																																										obj_t
																																											BgL_arg2285z00_1961;
																																										BgL_arg2285z00_1961
																																											=
																																											CAR
																																											(BgL_expz00_21);
																																										BgL_testz00_6689
																																											=
																																											CBOOL
																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																											(BgL_arg2285z00_1961));
																																									}
																																									if (BgL_testz00_6689)
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_6693;
																																											goto
																																												BgL_tagzd2382zd2_1610;
																																											BgL_auxz00_6398
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_6693);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 115 */
																																											obj_t
																																												BgL_carzd21915zd2_1953;
																																											BgL_carzd21915zd2_1953
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_cdrzd21920zd2_1954;
																																												BgL_cdrzd21920zd2_1954
																																													=
																																													CDR
																																													(BgL_carzd21915zd2_1953);
																																												if ((CAR(BgL_carzd21915zd2_1953) == CNST_TABLE_REF(((long) 3))))
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_arg2280z00_1956;
																																														obj_t
																																															BgL_arg2281z00_1957;
																																														obj_t
																																															BgL_arg2282z00_1958;
																																														BgL_arg2280z00_1956
																																															=
																																															CAR
																																															(BgL_cdrzd21920zd2_1954);
																																														BgL_arg2281z00_1957
																																															=
																																															CDR
																																															(BgL_cdrzd21920zd2_1954);
																																														BgL_arg2282z00_1958
																																															=
																																															CDR
																																															(BgL_expz00_21);
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_6704;
																																															{
																																																obj_t
																																																	BgL_argsz00_6707;
																																																obj_t
																																																	BgL_bodyz00_6706;
																																																obj_t
																																																	BgL_varsz00_6705;
																																																BgL_varsz00_6705
																																																	=
																																																	BgL_arg2280z00_1956;
																																																BgL_bodyz00_6706
																																																	=
																																																	BgL_arg2281z00_1957;
																																																BgL_argsz00_6707
																																																	=
																																																	BgL_arg2282z00_1958;
																																																BgL_argsz00_1617
																																																	=
																																																	BgL_argsz00_6707;
																																																BgL_bodyz00_1616
																																																	=
																																																	BgL_bodyz00_6706;
																																																BgL_varsz00_1615
																																																	=
																																																	BgL_varsz00_6705;
																																																goto
																																																	BgL_tagzd2384zd2_1618;
																																															}
																																															BgL_auxz00_6398
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_6704);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 115 */
																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																															{	/* Ast/sexp.scm 115 */
																																																goto
																																																	BgL_tagzd2400zd2_1651;
																																															}
																																														else
																																															{
																																																BgL_nodez00_bglt
																																																	BgL_auxz00_6711;
																																																goto
																																																	BgL_tagzd2401zd2_1652;
																																																BgL_auxz00_6398
																																																	=
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_6711);
																																															}
																																													}
																																											}
																																										}
																																								}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 115 */
																																					bool_t
																																						BgL_testz00_6713;
																																					{	/* Ast/sexp.scm 115 */
																																						obj_t
																																							BgL_arg2291z00_1967;
																																						BgL_arg2291z00_1967
																																							=
																																							CAR
																																							(BgL_expz00_21);
																																						BgL_testz00_6713
																																							=
																																							CBOOL
																																							(BGl_letzd2symzf3z21zzast_letz00
																																							(BgL_arg2291z00_1967));
																																					}
																																					if (BgL_testz00_6713)
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_6717;
																																							goto
																																								BgL_tagzd2381zd2_1609;
																																							BgL_auxz00_6398
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_6717);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							bool_t
																																								BgL_testz00_6719;
																																							{	/* Ast/sexp.scm 115 */
																																								obj_t
																																									BgL_arg2290z00_1966;
																																								BgL_arg2290z00_1966
																																									=
																																									CAR
																																									(BgL_expz00_21);
																																								BgL_testz00_6719
																																									=
																																									CBOOL
																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																									(BgL_arg2290z00_1966));
																																							}
																																							if (BgL_testz00_6719)
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_6723;
																																									goto
																																										BgL_tagzd2382zd2_1610;
																																									BgL_auxz00_6398
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_6723);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																										{	/* Ast/sexp.scm 115 */
																																											goto
																																												BgL_tagzd2400zd2_1651;
																																										}
																																									else
																																										{
																																											BgL_nodez00_bglt
																																												BgL_auxz00_6727;
																																											goto
																																												BgL_tagzd2401zd2_1652;
																																											BgL_auxz00_6398
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_6727);
																																										}
																																								}
																																						}
																																				}
																																			return
																																				(
																																				(BgL_nodez00_bglt)
																																				BgL_auxz00_6398);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 115 */
																																			if (CBOOL
																																				(BGl_letzd2symzf3z21zzast_letz00
																																					(BgL_carzd2719zd2_1688)))
																																				{
																																					obj_t
																																						BgL_auxz00_6733;
																																					goto
																																						BgL_kapzd2721zd2_1690;
																																					return
																																						(
																																						(BgL_nodez00_bglt)
																																						BgL_auxz00_6733);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 115 */
																																					if (
																																						(BgL_carzd2719zd2_1688
																																							==
																																							CNST_TABLE_REF
																																							(((long) 19))))
																																						{
																																							obj_t
																																								BgL_auxz00_6738;
																																							goto
																																								BgL_kapzd2721zd2_1690;
																																							return
																																								(
																																								(BgL_nodez00_bglt)
																																								BgL_auxz00_6738);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							if ((BgL_carzd2719zd2_1688 == CNST_TABLE_REF(((long) 20))))
																																								{
																																									obj_t
																																										BgL_auxz00_6743;
																																									goto
																																										BgL_kapzd2721zd2_1690;
																																									return
																																										(
																																										(BgL_nodez00_bglt)
																																										BgL_auxz00_6743);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd2719zd2_1688)))
																																										{
																																											obj_t
																																												BgL_auxz00_6748;
																																											goto
																																												BgL_kapzd2721zd2_1690;
																																											return
																																												(
																																												(BgL_nodez00_bglt)
																																												BgL_auxz00_6748);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 115 */
																																											bool_t
																																												BgL_testz00_6750;
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_arg2211z00_1852;
																																												BgL_arg2211z00_1852
																																													=
																																													CAR
																																													(BgL_expz00_21);
																																												BgL_testz00_6750
																																													=
																																													CBOOL
																																													(BGl_letzd2symzf3z21zzast_letz00
																																													(BgL_arg2211z00_1852));
																																											}
																																											if (BgL_testz00_6750)
																																												{	/* Ast/sexp.scm 115 */
																																													goto
																																														BgL_tagzd2381zd2_1609;
																																												}
																																											else
																																												{	/* Ast/sexp.scm 115 */
																																													bool_t
																																														BgL_testz00_6754;
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_arg2210z00_1851;
																																														BgL_arg2210z00_1851
																																															=
																																															CAR
																																															(BgL_expz00_21);
																																														BgL_testz00_6754
																																															=
																																															CBOOL
																																															(BGl_labelszd2symzf3z21zzast_labelsz00
																																															(BgL_arg2210z00_1851));
																																													}
																																													if (BgL_testz00_6754)
																																														{
																																															BgL_letzd2funzd2_bglt
																																																BgL_auxz00_6758;
																																															goto
																																																BgL_tagzd2382zd2_1610;
																																															return
																																																(
																																																(BgL_nodez00_bglt)
																																																BgL_auxz00_6758);
																																														}
																																													else
																																														{	/* Ast/sexp.scm 115 */
																																															obj_t
																																																BgL_carzd22198zd2_1698;
																																															obj_t
																																																BgL_cdrzd22199zd2_1699;
																																															BgL_carzd22198zd2_1698
																																																=
																																																CAR
																																																(BgL_expz00_21);
																																															BgL_cdrzd22199zd2_1699
																																																=
																																																CDR
																																																(BgL_expz00_21);
																																															{	/* Ast/sexp.scm 115 */
																																																obj_t
																																																	BgL_cdrzd22203zd2_1700;
																																																BgL_cdrzd22203zd2_1700
																																																	=
																																																	CDR
																																																	(BgL_carzd22198zd2_1698);
																																																if ((CAR(BgL_carzd22198zd2_1698) == CNST_TABLE_REF(((long) 3))))
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (PAIRP(BgL_cdrzd22203zd2_1700))
																																																			{	/* Ast/sexp.scm 115 */
																																																				obj_t
																																																					BgL_carzd22206zd2_1703;
																																																				obj_t
																																																					BgL_cdrzd22207zd2_1704;
																																																				BgL_carzd22206zd2_1703
																																																					=
																																																					CAR
																																																					(BgL_cdrzd22203zd2_1700);
																																																				BgL_cdrzd22207zd2_1704
																																																					=
																																																					CDR
																																																					(BgL_cdrzd22203zd2_1700);
																																																				if (PAIRP(BgL_carzd22206zd2_1703))
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (NULLP(CDR(BgL_carzd22206zd2_1703)))
																																																							{	/* Ast/sexp.scm 115 */
																																																								if (PAIRP(BgL_cdrzd22207zd2_1704))
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_carzd22213zd2_1708;
																																																										BgL_carzd22213zd2_1708
																																																											=
																																																											CAR
																																																											(BgL_cdrzd22207zd2_1704);
																																																										if (PAIRP(BgL_carzd22213zd2_1708))
																																																											{	/* Ast/sexp.scm 115 */
																																																												if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd22213zd2_1708))
																																																													{	/* Ast/sexp.scm 115 */
																																																														if (NULLP(CDR(BgL_cdrzd22207zd2_1704)))
																																																															{	/* Ast/sexp.scm 115 */
																																																																if (PAIRP(BgL_cdrzd22199zd2_1699))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_carzd22220zd2_1713;
																																																																		BgL_carzd22220zd2_1713
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd22199zd2_1699);
																																																																		if (PAIRP(BgL_carzd22220zd2_1713))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				obj_t
																																																																					BgL_cdrzd22244zd2_1715;
																																																																				BgL_cdrzd22244zd2_1715
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_21));
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_6797;
																																																																					obj_t
																																																																						BgL_bodyz00_6795;
																																																																					obj_t
																																																																						BgL_varsz00_6793;
																																																																					BgL_varsz00_6793
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd22244zd2_1715);
																																																																					BgL_bodyz00_6795
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd22244zd2_1715);
																																																																					BgL_argsz00_6797
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_21);
																																																																					BgL_argsz00_1617
																																																																						=
																																																																						BgL_argsz00_6797;
																																																																					BgL_bodyz00_1616
																																																																						=
																																																																						BgL_bodyz00_6795;
																																																																					BgL_varsz00_1615
																																																																						=
																																																																						BgL_varsz00_6793;
																																																																					goto
																																																																						BgL_tagzd2384zd2_1618;
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (NULLP(CDR(BgL_cdrzd22199zd2_1699)))
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						obj_t
																																																																							BgL_arg2109z00_1721;
																																																																						BgL_arg2109z00_1721
																																																																							=
																																																																							CAR
																																																																							(BgL_carzd22206zd2_1703);
																																																																						{
																																																																							BgL_castz00_bglt
																																																																								BgL_auxz00_6803;
																																																																							BgL_varz00_1611
																																																																								=
																																																																								BgL_arg2109z00_1721;
																																																																							BgL_bodyz00_1612
																																																																								=
																																																																								BgL_carzd22213zd2_1708;
																																																																							BgL_argz00_1613
																																																																								=
																																																																								BgL_carzd22220zd2_1713;
																																																																						BgL_tagzd2383zd2_1614:
																																																																							{	/* Ast/sexp.scm 334 */
																																																																								BgL_castz00_bglt
																																																																									BgL_new1132z00_2742;
																																																																								{	/* Ast/sexp.scm 334 */
																																																																									BgL_castz00_bglt
																																																																										BgL_new1131z00_2744;
																																																																									BgL_new1131z00_2744
																																																																										=
																																																																										(
																																																																										(BgL_castz00_bglt)
																																																																										BREF
																																																																										(GC_MALLOC
																																																																											(sizeof
																																																																												(struct
																																																																													BgL_castz00_bgl))));
																																																																									{	/* Ast/sexp.scm 334 */
																																																																										long
																																																																											BgL_arg2843z00_2745;
																																																																										{	/* Ast/sexp.scm 334 */
																																																																											long
																																																																												BgL_res3325z00_4525;
																																																																											BgL_res3325z00_4525
																																																																												=
																																																																												BGL_CLASS_INDEX
																																																																												(BGl_castz00zzast_nodez00);
																																																																											BgL_arg2843z00_2745
																																																																												=
																																																																												BgL_res3325z00_4525;
																																																																										}
																																																																										{	/* Ast/sexp.scm 334 */
																																																																											BgL_objectz00_bglt
																																																																												BgL_objz00_4526;
																																																																											BgL_objz00_4526
																																																																												=
																																																																												(
																																																																												(BgL_objectz00_bglt)
																																																																												BgL_new1131z00_2744);
																																																																											BGL_OBJECT_CLASS_NUM_SET
																																																																												(BgL_objz00_4526,
																																																																												BgL_arg2843z00_2745);
																																																																									}}
																																																																									{	/* Ast/sexp.scm 334 */
																																																																										BgL_objectz00_bglt
																																																																											BgL_auxz00_6808;
																																																																										BgL_auxz00_6808
																																																																											=
																																																																											(
																																																																											(BgL_objectz00_bglt)
																																																																											BgL_new1131z00_2744);
																																																																										BGL_OBJECT_WIDENING_SET
																																																																											(BgL_auxz00_6808,
																																																																											BFALSE);
																																																																									}
																																																																									BgL_new1132z00_2742
																																																																										=
																																																																										BgL_new1131z00_2744;
																																																																								}
																																																																								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1132z00_2742)))->BgL_locz00) = ((obj_t) BgL_locz00_23), BUNSPEC);
																																																																								{
																																																																									BgL_typez00_bglt
																																																																										BgL_auxz00_6813;
																																																																									{	/* Ast/sexp.scm 336 */
																																																																										obj_t
																																																																											BgL_arg2842z00_2743;
																																																																										BgL_arg2842z00_2743
																																																																											=
																																																																											BGl_castzd2sexpzd2typez00zzast_privatez00
																																																																											(BgL_bodyz00_1612);
																																																																										BgL_auxz00_6813
																																																																											=
																																																																											BGl_usezd2typez12zc0zztype_envz00
																																																																											(BgL_arg2842z00_2743,
																																																																											BgL_locz00_23);
																																																																									}
																																																																									((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1132z00_2742)))->BgL_typez00) = ((BgL_typez00_bglt) BgL_auxz00_6813), BUNSPEC);
																																																																								}
																																																																								((((BgL_castz00_bglt) CREF(BgL_new1132z00_2742))->BgL_argz00) = ((BgL_nodez00_bglt) BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_argz00_1613, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24)), BUNSPEC);
																																																																								BgL_auxz00_6803
																																																																									=
																																																																									BgL_new1132z00_2742;
																																																																							}
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_6803);
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						obj_t
																																																																							BgL_cdrzd22271zd2_1722;
																																																																						BgL_cdrzd22271zd2_1722
																																																																							=
																																																																							CDR
																																																																							(CAR
																																																																							(BgL_expz00_21));
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_6827;
																																																																							obj_t
																																																																								BgL_bodyz00_6825;
																																																																							obj_t
																																																																								BgL_varsz00_6823;
																																																																							BgL_varsz00_6823
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd22271zd2_1722);
																																																																							BgL_bodyz00_6825
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd22271zd2_1722);
																																																																							BgL_argsz00_6827
																																																																								=
																																																																								CDR
																																																																								(BgL_expz00_21);
																																																																							BgL_argsz00_1617
																																																																								=
																																																																								BgL_argsz00_6827;
																																																																							BgL_bodyz00_1616
																																																																								=
																																																																								BgL_bodyz00_6825;
																																																																							BgL_varsz00_1615
																																																																								=
																																																																								BgL_varsz00_6823;
																																																																							goto
																																																																								BgL_tagzd2384zd2_1618;
																																																																						}
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_cdrzd22297zd2_1728;
																																																																		BgL_cdrzd22297zd2_1728
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_21));
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_6835;
																																																																			obj_t
																																																																				BgL_bodyz00_6833;
																																																																			obj_t
																																																																				BgL_varsz00_6831;
																																																																			BgL_varsz00_6831
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd22297zd2_1728);
																																																																			BgL_bodyz00_6833
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd22297zd2_1728);
																																																																			BgL_argsz00_6835
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			BgL_argsz00_1617
																																																																				=
																																																																				BgL_argsz00_6835;
																																																																			BgL_bodyz00_1616
																																																																				=
																																																																				BgL_bodyz00_6833;
																																																																			BgL_varsz00_1615
																																																																				=
																																																																				BgL_varsz00_6831;
																																																																			goto
																																																																				BgL_tagzd2384zd2_1618;
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_cdrzd22323zd2_1733;
																																																																BgL_cdrzd22323zd2_1733
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_21));
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_6843;
																																																																	obj_t
																																																																		BgL_bodyz00_6841;
																																																																	obj_t
																																																																		BgL_varsz00_6839;
																																																																	BgL_varsz00_6839
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd22323zd2_1733);
																																																																	BgL_bodyz00_6841
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd22323zd2_1733);
																																																																	BgL_argsz00_6843
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	BgL_argsz00_1617
																																																																		=
																																																																		BgL_argsz00_6843;
																																																																	BgL_bodyz00_1616
																																																																		=
																																																																		BgL_bodyz00_6841;
																																																																	BgL_varsz00_1615
																																																																		=
																																																																		BgL_varsz00_6839;
																																																																	goto
																																																																		BgL_tagzd2384zd2_1618;
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd22349zd2_1739;
																																																														BgL_cdrzd22349zd2_1739
																																																															=
																																																															CDR
																																																															(CAR
																																																															(BgL_expz00_21));
																																																														{
																																																															obj_t
																																																																BgL_argsz00_6851;
																																																															obj_t
																																																																BgL_bodyz00_6849;
																																																															obj_t
																																																																BgL_varsz00_6847;
																																																															BgL_varsz00_6847
																																																																=
																																																																CAR
																																																																(BgL_cdrzd22349zd2_1739);
																																																															BgL_bodyz00_6849
																																																																=
																																																																CDR
																																																																(BgL_cdrzd22349zd2_1739);
																																																															BgL_argsz00_6851
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															BgL_argsz00_1617
																																																																=
																																																																BgL_argsz00_6851;
																																																															BgL_bodyz00_1616
																																																																=
																																																																BgL_bodyz00_6849;
																																																															BgL_varsz00_1615
																																																																=
																																																																BgL_varsz00_6847;
																																																															goto
																																																																BgL_tagzd2384zd2_1618;
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd22375zd2_1744;
																																																												BgL_cdrzd22375zd2_1744
																																																													=
																																																													CDR
																																																													(BgL_carzd22198zd2_1698);
																																																												{
																																																													obj_t
																																																														BgL_argsz00_6858;
																																																													obj_t
																																																														BgL_bodyz00_6856;
																																																													obj_t
																																																														BgL_varsz00_6854;
																																																													BgL_varsz00_6854
																																																														=
																																																														CAR
																																																														(BgL_cdrzd22375zd2_1744);
																																																													BgL_bodyz00_6856
																																																														=
																																																														CDR
																																																														(BgL_cdrzd22375zd2_1744);
																																																													BgL_argsz00_6858
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													BgL_argsz00_1617
																																																														=
																																																														BgL_argsz00_6858;
																																																													BgL_bodyz00_1616
																																																														=
																																																														BgL_bodyz00_6856;
																																																													BgL_varsz00_1615
																																																														=
																																																														BgL_varsz00_6854;
																																																													goto
																																																														BgL_tagzd2384zd2_1618;
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_cdrzd22401zd2_1749;
																																																										BgL_cdrzd22401zd2_1749
																																																											=
																																																											CDR
																																																											(BgL_carzd22198zd2_1698);
																																																										{
																																																											obj_t
																																																												BgL_argsz00_6865;
																																																											obj_t
																																																												BgL_bodyz00_6863;
																																																											obj_t
																																																												BgL_varsz00_6861;
																																																											BgL_varsz00_6861
																																																												=
																																																												CAR
																																																												(BgL_cdrzd22401zd2_1749);
																																																											BgL_bodyz00_6863
																																																												=
																																																												CDR
																																																												(BgL_cdrzd22401zd2_1749);
																																																											BgL_argsz00_6865
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											BgL_argsz00_1617
																																																												=
																																																												BgL_argsz00_6865;
																																																											BgL_bodyz00_1616
																																																												=
																																																												BgL_bodyz00_6863;
																																																											BgL_varsz00_1615
																																																												=
																																																												BgL_varsz00_6861;
																																																											goto
																																																												BgL_tagzd2384zd2_1618;
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_cdrzd22427zd2_1754;
																																																								BgL_cdrzd22427zd2_1754
																																																									=
																																																									CDR
																																																									(BgL_carzd22198zd2_1698);
																																																								{
																																																									obj_t
																																																										BgL_argsz00_6872;
																																																									obj_t
																																																										BgL_bodyz00_6870;
																																																									obj_t
																																																										BgL_varsz00_6868;
																																																									BgL_varsz00_6868
																																																										=
																																																										CAR
																																																										(BgL_cdrzd22427zd2_1754);
																																																									BgL_bodyz00_6870
																																																										=
																																																										CDR
																																																										(BgL_cdrzd22427zd2_1754);
																																																									BgL_argsz00_6872
																																																										=
																																																										CDR
																																																										(BgL_expz00_21);
																																																									BgL_argsz00_1617
																																																										=
																																																										BgL_argsz00_6872;
																																																									BgL_bodyz00_1616
																																																										=
																																																										BgL_bodyz00_6870;
																																																									BgL_varsz00_1615
																																																										=
																																																										BgL_varsz00_6868;
																																																									goto
																																																										BgL_tagzd2384zd2_1618;
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_cdrzd22453zd2_1760;
																																																						BgL_cdrzd22453zd2_1760
																																																							=
																																																							CDR
																																																							(BgL_carzd22198zd2_1698);
																																																						{
																																																							obj_t
																																																								BgL_argsz00_6879;
																																																							obj_t
																																																								BgL_bodyz00_6877;
																																																							obj_t
																																																								BgL_varsz00_6875;
																																																							BgL_varsz00_6875
																																																								=
																																																								CAR
																																																								(BgL_cdrzd22453zd2_1760);
																																																							BgL_bodyz00_6877
																																																								=
																																																								CDR
																																																								(BgL_cdrzd22453zd2_1760);
																																																							BgL_argsz00_6879
																																																								=
																																																								CDR
																																																								(BgL_expz00_21);
																																																							BgL_argsz00_1617
																																																								=
																																																								BgL_argsz00_6879;
																																																							BgL_bodyz00_1616
																																																								=
																																																								BgL_bodyz00_6877;
																																																							BgL_varsz00_1615
																																																								=
																																																								BgL_varsz00_6875;
																																																							goto
																																																								BgL_tagzd2384zd2_1618;
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{
																																																						obj_t
																																																							BgL_auxz00_6883;
																																																						goto
																																																							BgL_tagzd2400zd2_1651;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_6883);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						goto
																																																							BgL_tagzd2401zd2_1652;
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		obj_t
																																																			BgL_cdrzd22586zd2_1768;
																																																		BgL_cdrzd22586zd2_1768
																																																			=
																																																			CDR
																																																			(BgL_carzd22198zd2_1698);
																																																		if ((CAR(BgL_carzd22198zd2_1698) == CNST_TABLE_REF(((long) 1))))
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (PAIRP(BgL_cdrzd22586zd2_1768))
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_cdrzd22591zd2_1771;
																																																						BgL_cdrzd22591zd2_1771
																																																							=
																																																							CDR
																																																							(BgL_cdrzd22586zd2_1768);
																																																						if (PAIRP(BgL_cdrzd22591zd2_1771))
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_carzd22595zd2_1773;
																																																								obj_t
																																																									BgL_cdrzd22596zd2_1774;
																																																								BgL_carzd22595zd2_1773
																																																									=
																																																									CAR
																																																									(BgL_cdrzd22591zd2_1771);
																																																								BgL_cdrzd22596zd2_1774
																																																									=
																																																									CDR
																																																									(BgL_cdrzd22591zd2_1771);
																																																								if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22595zd2_1773))
																																																									{	/* Ast/sexp.scm 115 */
																																																										if (PAIRP(BgL_cdrzd22596zd2_1774))
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_carzd22601zd2_1777;
																																																												BgL_carzd22601zd2_1777
																																																													=
																																																													CAR
																																																													(BgL_cdrzd22596zd2_1774);
																																																												if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22601zd2_1777))
																																																													{	/* Ast/sexp.scm 115 */
																																																														if (NULLP(CDR(BgL_cdrzd22596zd2_1774)))
																																																															{	/* Ast/sexp.scm 115 */
																																																																bool_t
																																																																	BgL_testz00_6907;
																																																																{
																																																																	obj_t
																																																																		BgL_l2028z00_1798;
																																																																	BgL_l2028z00_1798
																																																																		=
																																																																		BgL_cdrzd22199zd2_1699;
																																																																BgL_zc3anonymousza32174ze3z83_1799:
																																																																	if (NULLP(BgL_l2028z00_1798))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			BgL_testz00_6907
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				1);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			bool_t
																																																																				BgL_testz00_6910;
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				bool_t
																																																																					BgL_testz00_6911;
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					obj_t
																																																																						BgL_auxz00_6912;
																																																																					BgL_auxz00_6912
																																																																						=
																																																																						CAR
																																																																						(BgL_l2028z00_1798);
																																																																					BgL_testz00_6911
																																																																						=
																																																																						PAIRP
																																																																						(BgL_auxz00_6912);
																																																																				}
																																																																				if (BgL_testz00_6911)
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						BgL_testz00_6910
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							0);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						BgL_testz00_6910
																																																																							=
																																																																							(
																																																																							(bool_t)
																																																																							1);
																																																																					}
																																																																			}
																																																																			if (BgL_testz00_6910)
																																																																				{
																																																																					obj_t
																																																																						BgL_l2028z00_6915;
																																																																					BgL_l2028z00_6915
																																																																						=
																																																																						CDR
																																																																						(BgL_l2028z00_1798);
																																																																					BgL_l2028z00_1798
																																																																						=
																																																																						BgL_l2028z00_6915;
																																																																					goto
																																																																						BgL_zc3anonymousza32174ze3z83_1799;
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					BgL_testz00_6907
																																																																						=
																																																																						(
																																																																						(bool_t)
																																																																						0);
																																																																				}
																																																																		}
																																																																}
																																																																if (BgL_testz00_6907)
																																																																	{
																																																																		obj_t
																																																																			BgL_argsz00_6921;
																																																																		obj_t
																																																																			BgL_proc2z00_6920;
																																																																		obj_t
																																																																			BgL_proc1z00_6919;
																																																																		obj_t
																																																																			BgL_testz00_6917;
																																																																		BgL_testz00_6917
																																																																			=
																																																																			CAR
																																																																			(BgL_cdrzd22586zd2_1768);
																																																																		BgL_proc1z00_6919
																																																																			=
																																																																			BgL_carzd22595zd2_1773;
																																																																		BgL_proc2z00_6920
																																																																			=
																																																																			BgL_carzd22601zd2_1777;
																																																																		BgL_argsz00_6921
																																																																			=
																																																																			BgL_cdrzd22199zd2_1699;
																																																																		BgL_argsz00_1622
																																																																			=
																																																																			BgL_argsz00_6921;
																																																																		BgL_proc2z00_1621
																																																																			=
																																																																			BgL_proc2z00_6920;
																																																																		BgL_proc1z00_1620
																																																																			=
																																																																			BgL_proc1z00_6919;
																																																																		BgL_testz00_1619
																																																																			=
																																																																			BgL_testz00_6917;
																																																																		goto
																																																																			BgL_tagzd2385zd2_1623;
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_cdrzd22626zd2_1782;
																																																																		BgL_cdrzd22626zd2_1782
																																																																			=
																																																																			CDR
																																																																			(BgL_expz00_21);
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_cdrzd22634zd2_1783;
																																																																			BgL_cdrzd22634zd2_1783
																																																																				=
																																																																				CDR
																																																																				(CAR
																																																																				(BgL_expz00_21));
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				obj_t
																																																																					BgL_cdrzd22642zd2_1784;
																																																																				BgL_cdrzd22642zd2_1784
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd22634zd2_1783);
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					obj_t
																																																																						BgL_carzd22649zd2_1785;
																																																																					BgL_carzd22649zd2_1785
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd22642zd2_1784);
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22649zd2_1785))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							obj_t
																																																																								BgL_carzd22658zd2_1787;
																																																																							BgL_carzd22658zd2_1787
																																																																								=
																																																																								CAR
																																																																								(CDR
																																																																								(BgL_cdrzd22642zd2_1784));
																																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22658zd2_1787))
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22626zd2_1782))
																																																																										{
																																																																											obj_t
																																																																												BgL_argsz00_6939;
																																																																											obj_t
																																																																												BgL_proc2z00_6938;
																																																																											obj_t
																																																																												BgL_proc1z00_6937;
																																																																											obj_t
																																																																												BgL_testz00_6935;
																																																																											BgL_testz00_6935
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd22634zd2_1783);
																																																																											BgL_proc1z00_6937
																																																																												=
																																																																												BgL_carzd22649zd2_1785;
																																																																											BgL_proc2z00_6938
																																																																												=
																																																																												BgL_carzd22658zd2_1787;
																																																																											BgL_argsz00_6939
																																																																												=
																																																																												BgL_cdrzd22626zd2_1782;
																																																																											BgL_argsz00_1627
																																																																												=
																																																																												BgL_argsz00_6939;
																																																																											BgL_proc2z00_1626
																																																																												=
																																																																												BgL_proc2z00_6938;
																																																																											BgL_proc1z00_1625
																																																																												=
																																																																												BgL_proc1z00_6937;
																																																																											BgL_testz00_1624
																																																																												=
																																																																												BgL_testz00_6935;
																																																																											goto
																																																																												BgL_tagzd2386zd2_1628;
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 115 */
																																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																												{
																																																																													obj_t
																																																																														BgL_auxz00_6942;
																																																																													goto
																																																																														BgL_tagzd2400zd2_1651;
																																																																													return
																																																																														(
																																																																														(BgL_nodez00_bglt)
																																																																														BgL_auxz00_6942);
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 115 */
																																																																													goto
																																																																														BgL_tagzd2401zd2_1652;
																																																																												}
																																																																										}
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_6946;
																																																																											goto
																																																																												BgL_tagzd2400zd2_1651;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_6946);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 115 */
																																																																											goto
																																																																												BgL_tagzd2401zd2_1652;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_6950;
																																																																									goto
																																																																										BgL_tagzd2400zd2_1651;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_6950);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									goto
																																																																										BgL_tagzd2401zd2_1652;
																																																																								}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{
																																																																		obj_t
																																																																			BgL_auxz00_6954;
																																																																		goto
																																																																			BgL_tagzd2400zd2_1651;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_auxz00_6954);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		goto
																																																																			BgL_tagzd2401zd2_1652;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd22916zd2_1809;
																																																														BgL_cdrzd22916zd2_1809
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_cdrzd22923zd2_1810;
																																																															BgL_cdrzd22923zd2_1810
																																																																=
																																																																CDR
																																																																(CAR
																																																																(BgL_expz00_21));
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_cdrzd22930zd2_1811;
																																																																BgL_cdrzd22930zd2_1811
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd22923zd2_1810);
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_carzd22936zd2_1812;
																																																																	obj_t
																																																																		BgL_cdrzd22937zd2_1813;
																																																																	BgL_carzd22936zd2_1812
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd22930zd2_1811);
																																																																	BgL_cdrzd22937zd2_1813
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd22930zd2_1811);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22936zd2_1812))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_carzd22944zd2_1815;
																																																																			BgL_carzd22944zd2_1815
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd22937zd2_1813);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd22944zd2_1815))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (NULLP(CDR(BgL_cdrzd22937zd2_1813)))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd22916zd2_1809))
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_6976;
																																																																									obj_t
																																																																										BgL_proc2z00_6975;
																																																																									obj_t
																																																																										BgL_proc1z00_6974;
																																																																									obj_t
																																																																										BgL_testz00_6972;
																																																																									BgL_testz00_6972
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd22923zd2_1810);
																																																																									BgL_proc1z00_6974
																																																																										=
																																																																										BgL_carzd22936zd2_1812;
																																																																									BgL_proc2z00_6975
																																																																										=
																																																																										BgL_carzd22944zd2_1815;
																																																																									BgL_argsz00_6976
																																																																										=
																																																																										BgL_cdrzd22916zd2_1809;
																																																																									BgL_argsz00_1627
																																																																										=
																																																																										BgL_argsz00_6976;
																																																																									BgL_proc2z00_1626
																																																																										=
																																																																										BgL_proc2z00_6975;
																																																																									BgL_proc1z00_1625
																																																																										=
																																																																										BgL_proc1z00_6974;
																																																																									BgL_testz00_1624
																																																																										=
																																																																										BgL_testz00_6972;
																																																																									goto
																																																																										BgL_tagzd2386zd2_1628;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_6979;
																																																																											goto
																																																																												BgL_tagzd2400zd2_1651;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_6979);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 115 */
																																																																											goto
																																																																												BgL_tagzd2401zd2_1652;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_6983;
																																																																									goto
																																																																										BgL_tagzd2400zd2_1651;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_6983);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									goto
																																																																										BgL_tagzd2401zd2_1652;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_6987;
																																																																							goto
																																																																								BgL_tagzd2400zd2_1651;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_6987);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2401zd2_1652;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_6991;
																																																																					goto
																																																																						BgL_tagzd2400zd2_1651;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_6991);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2401zd2_1652;
																																																																				}
																																																																		}
																																																																}
																																																															}
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																													{
																																																														obj_t
																																																															BgL_auxz00_6995;
																																																														goto
																																																															BgL_tagzd2400zd2_1651;
																																																														return
																																																															(
																																																															(BgL_nodez00_bglt)
																																																															BgL_auxz00_6995);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														goto
																																																															BgL_tagzd2401zd2_1652;
																																																													}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_cdrzd23252zd2_1827;
																																																										BgL_cdrzd23252zd2_1827
																																																											=
																																																											CDR
																																																											(BgL_expz00_21);
																																																										{	/* Ast/sexp.scm 115 */
																																																											obj_t
																																																												BgL_cdrzd23258zd2_1828;
																																																											BgL_cdrzd23258zd2_1828
																																																												=
																																																												CDR
																																																												(CAR
																																																												(BgL_expz00_21));
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd23264zd2_1829;
																																																												BgL_cdrzd23264zd2_1829
																																																													=
																																																													CDR
																																																													(BgL_cdrzd23258zd2_1828);
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_carzd23269zd2_1830;
																																																													obj_t
																																																														BgL_cdrzd23270zd2_1831;
																																																													BgL_carzd23269zd2_1830
																																																														=
																																																														CAR
																																																														(BgL_cdrzd23264zd2_1829);
																																																													BgL_cdrzd23270zd2_1831
																																																														=
																																																														CDR
																																																														(BgL_cdrzd23264zd2_1829);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23269zd2_1830))
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (PAIRP(BgL_cdrzd23270zd2_1831))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_carzd23275zd2_1834;
																																																																	BgL_carzd23275zd2_1834
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd23270zd2_1831);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd23275zd2_1834))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (NULLP(CDR(BgL_cdrzd23270zd2_1831)))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd23252zd2_1827))
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_7019;
																																																																							obj_t
																																																																								BgL_proc2z00_7018;
																																																																							obj_t
																																																																								BgL_proc1z00_7017;
																																																																							obj_t
																																																																								BgL_testz00_7015;
																																																																							BgL_testz00_7015
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd23258zd2_1828);
																																																																							BgL_proc1z00_7017
																																																																								=
																																																																								BgL_carzd23269zd2_1830;
																																																																							BgL_proc2z00_7018
																																																																								=
																																																																								BgL_carzd23275zd2_1834;
																																																																							BgL_argsz00_7019
																																																																								=
																																																																								BgL_cdrzd23252zd2_1827;
																																																																							BgL_argsz00_1627
																																																																								=
																																																																								BgL_argsz00_7019;
																																																																							BgL_proc2z00_1626
																																																																								=
																																																																								BgL_proc2z00_7018;
																																																																							BgL_proc1z00_1625
																																																																								=
																																																																								BgL_proc1z00_7017;
																																																																							BgL_testz00_1624
																																																																								=
																																																																								BgL_testz00_7015;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1628;
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_7022;
																																																																									goto
																																																																										BgL_tagzd2400zd2_1651;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_7022);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									goto
																																																																										BgL_tagzd2401zd2_1652;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_7026;
																																																																							goto
																																																																								BgL_tagzd2400zd2_1651;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_7026);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2401zd2_1652;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_7030;
																																																																					goto
																																																																						BgL_tagzd2400zd2_1651;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_7030);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2401zd2_1652;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_7034;
																																																																			goto
																																																																				BgL_tagzd2400zd2_1651;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_7034);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2401zd2_1652;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_7038;
																																																																	goto
																																																																		BgL_tagzd2400zd2_1651;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_7038);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd2401zd2_1652;
																																																																}
																																																														}
																																																												}
																																																											}
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{
																																																										obj_t
																																																											BgL_auxz00_7042;
																																																										goto
																																																											BgL_tagzd2400zd2_1651;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_auxz00_7042);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										goto
																																																											BgL_tagzd2401zd2_1652;
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{
																																																								obj_t
																																																									BgL_auxz00_7046;
																																																								goto
																																																									BgL_tagzd2400zd2_1651;
																																																								return
																																																									(
																																																									(BgL_nodez00_bglt)
																																																									BgL_auxz00_7046);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								goto
																																																									BgL_tagzd2401zd2_1652;
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{
																																																						obj_t
																																																							BgL_auxz00_7050;
																																																						goto
																																																							BgL_tagzd2400zd2_1651;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_7050);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						goto
																																																							BgL_tagzd2401zd2_1652;
																																																					}
																																																			}
																																																	}
																																															}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																															}
																														else
																															{	/* Ast/sexp.scm 115 */
																																if (
																																	(BgL_carzd2716zd2_1686
																																		==
																																		CNST_TABLE_REF
																																		(((long)
																																				18))))
																																	{	/* Ast/sexp.scm 115 */
																																		goto
																																			BgL_tagzd2381zd2_1609;
																																	}
																																else
																																	{	/* Ast/sexp.scm 115 */
																																		if (CBOOL
																																			(BGl_letzd2symzf3z21zzast_letz00
																																				(BgL_carzd2716zd2_1686)))
																																			{	/* Ast/sexp.scm 115 */
																																				goto
																																					BgL_tagzd2381zd2_1609;
																																			}
																																		else
																																			{	/* Ast/sexp.scm 115 */
																																				if (
																																					(BgL_carzd2716zd2_1686
																																						==
																																						CNST_TABLE_REF
																																						(((long) 19))))
																																					{	/* Ast/sexp.scm 115 */
																																						goto
																																							BgL_tagzd2381zd2_1609;
																																					}
																																				else
																																					{	/* Ast/sexp.scm 115 */
																																						if (
																																							(BgL_carzd2716zd2_1686
																																								==
																																								CNST_TABLE_REF
																																								(((long) 21))))
																																							{	/* Ast/sexp.scm 115 */
																																								goto
																																									BgL_tagzd2381zd2_1609;
																																							}
																																						else
																																							{	/* Ast/sexp.scm 115 */
																																								obj_t
																																									BgL_carzd23784zd2_1973;
																																								BgL_carzd23784zd2_1973
																																									=
																																									CAR
																																									(BgL_expz00_21);
																																								if ((BgL_carzd23784zd2_1973 == CNST_TABLE_REF(((long) 20))))
																																									{
																																										BgL_letzd2funzd2_bglt
																																											BgL_auxz00_7068;
																																										goto
																																											BgL_tagzd2382zd2_1610;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_7068);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 115 */
																																										if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd23784zd2_1973)))
																																											{
																																												BgL_letzd2funzd2_bglt
																																													BgL_auxz00_7073;
																																												goto
																																													BgL_tagzd2382zd2_1610;
																																												return
																																													(
																																													(BgL_nodez00_bglt)
																																													BgL_auxz00_7073);
																																											}
																																										else
																																											{	/* Ast/sexp.scm 115 */
																																												if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																													{	/* Ast/sexp.scm 115 */
																																													BgL_tagzd2387zd2_1629:
																																														{
																																															obj_t
																																																BgL_argsz00_2875;
																																															obj_t
																																																BgL_bodyz00_2876;
																																															if (PAIRP(BgL_expz00_21))
																																																{	/* Ast/sexp.scm 115 */
																																																	obj_t
																																																		BgL_cdrzd27891zd2_2881;
																																																	BgL_cdrzd27891zd2_2881
																																																		=
																																																		CDR
																																																		(BgL_expz00_21);
																																																	if (PAIRP(BgL_cdrzd27891zd2_2881))
																																																		{	/* Ast/sexp.scm 115 */
																																																			BgL_argsz00_2875
																																																				=
																																																				CAR
																																																				(BgL_cdrzd27891zd2_2881);
																																																			BgL_bodyz00_2876
																																																				=
																																																				CDR
																																																				(BgL_cdrzd27891zd2_2881);
																																																			{	/* Ast/sexp.scm 409 */
																																																				obj_t
																																																					BgL_locz00_2885;
																																																				obj_t
																																																					BgL_funz00_2886;
																																																				BgL_locz00_2885
																																																					=
																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																					(BgL_expz00_21,
																																																					BgL_locz00_23);
																																																				BgL_funz00_2886
																																																					=
																																																					BGl_makezd2anonymouszd2namez00zzast_sexpz00
																																																					(BgL_locz00_23,
																																																					BNIL);
																																																				{	/* Ast/sexp.scm 411 */
																																																					obj_t
																																																						BgL_arg2942z00_2887;
																																																					{	/* Ast/sexp.scm 411 */
																																																						obj_t
																																																							BgL_arg2943z00_2888;
																																																						obj_t
																																																							BgL_arg2944z00_2889;
																																																						BgL_arg2943z00_2888
																																																							=
																																																							BGl_labelszd2symzd2zzast_labelsz00
																																																							();
																																																						{	/* Ast/sexp.scm 411 */
																																																							obj_t
																																																								BgL_arg2945z00_2890;
																																																							obj_t
																																																								BgL_arg2946z00_2891;
																																																							{	/* Ast/sexp.scm 411 */
																																																								obj_t
																																																									BgL_arg2947z00_2892;
																																																								{	/* Ast/sexp.scm 411 */
																																																									obj_t
																																																										BgL_arg2948z00_2893;
																																																									{	/* Ast/sexp.scm 411 */
																																																										obj_t
																																																											BgL_arg2949z00_2894;
																																																										BgL_arg2949z00_2894
																																																											=
																																																											MAKE_PAIR
																																																											(BGl_normaliza7ezd2prognz75zztools_prognz00
																																																											(BgL_bodyz00_2876),
																																																											BNIL);
																																																										BgL_arg2948z00_2893
																																																											=
																																																											MAKE_PAIR
																																																											(BgL_argsz00_2875,
																																																											BgL_arg2949z00_2894);
																																																									}
																																																									BgL_arg2947z00_2892
																																																										=
																																																										MAKE_PAIR
																																																										(BgL_funz00_2886,
																																																										BgL_arg2948z00_2893);
																																																								}
																																																								BgL_arg2945z00_2890
																																																									=
																																																									MAKE_PAIR
																																																									(BgL_arg2947z00_2892,
																																																									BNIL);
																																																							}
																																																							BgL_arg2946z00_2891
																																																								=
																																																								MAKE_PAIR
																																																								(BgL_funz00_2886,
																																																								BNIL);
																																																							BgL_arg2944z00_2889
																																																								=
																																																								MAKE_PAIR
																																																								(BgL_arg2945z00_2890,
																																																								BgL_arg2946z00_2891);
																																																						}
																																																						BgL_arg2942z00_2887
																																																							=
																																																							MAKE_PAIR
																																																							(BgL_arg2943z00_2888,
																																																							BgL_arg2944z00_2889);
																																																					}
																																																					{
																																																						obj_t
																																																							BgL_locz00_7096;
																																																						obj_t
																																																							BgL_expz00_7095;
																																																						BgL_expz00_7095
																																																							=
																																																							BgL_arg2942z00_2887;
																																																						BgL_locz00_7096
																																																							=
																																																							BgL_locz00_2885;
																																																						BgL_locz00_23
																																																							=
																																																							BgL_locz00_7096;
																																																						BgL_expz00_21
																																																							=
																																																							BgL_expz00_7095;
																																																						goto
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00;
																																																					}
																																																				}
																																																			}
																																																		}
																																																	else
																																																		{	/* Ast/sexp.scm 115 */
																																																		BgL_tagzd27884zd2_2878:
																																																			{	/* Ast/sexp.scm 418 */
																																																				obj_t
																																																					BgL_arg2953z00_2897;
																																																				BgL_arg2953z00_2897
																																																					=
																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																					(BgL_expz00_21,
																																																					BgL_locz00_23);
																																																				{	/* Ast/sexp.scm 416 */
																																																					BgL_nodez00_bglt
																																																						BgL_res3345z00_4602;
																																																					{	/* Ast/sexp.scm 668 */
																																																						obj_t
																																																							BgL_arg3097z00_4598;
																																																						BgL_nodez00_bglt
																																																							BgL_arg3098z00_4599;
																																																						BgL_arg3097z00_4598
																																																							=
																																																							BGl_shapez00zztools_shapez00
																																																							(BGl_currentzd2functionzd2zztools_errorz00
																																																							());
																																																						BgL_arg3098z00_4599
																																																							=
																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																							(CNST_TABLE_REF
																																																							(((long) 4)), BNIL, BgL_arg2953z00_2897, CNST_TABLE_REF(((long) 2)));
																																																						{	/* Ast/sexp.scm 667 */
																																																							obj_t
																																																								BgL_list3099z00_4601;
																																																							BgL_list3099z00_4601
																																																								=
																																																								MAKE_PAIR
																																																								(
																																																								((obj_t) BgL_arg3098z00_4599), BNIL);
																																																							BgL_res3345z00_4602
																																																								=
																																																								(
																																																								(BgL_nodez00_bglt)
																																																								BGl_userzd2errorzf2locationz20zztools_errorz00
																																																								(BgL_arg2953z00_2897,
																																																									BgL_arg3097z00_4598,
																																																									BGl_string3521z00zzast_sexpz00,
																																																									BgL_expz00_21,
																																																									BgL_list3099z00_4601));
																																																					}}
																																																					return
																																																						BgL_res3345z00_4602;
																																																				}
																																																			}
																																																		}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 115 */
																																																	goto
																																																		BgL_tagzd27884zd2_2878;
																																																}
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 115 */
																																														if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																															{	/* Ast/sexp.scm 115 */
																																															BgL_tagzd2388zd2_1630:
																																																return BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 0), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																															}
																																														else
																																															{	/* Ast/sexp.scm 115 */
																																																obj_t
																																																	BgL_cdrzd23863zd2_1978;
																																																BgL_cdrzd23863zd2_1978
																																																	=
																																																	CDR
																																																	(BgL_expz00_21);
																																																if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (PAIRP(BgL_cdrzd23863zd2_1978))
																																																			{	/* Ast/sexp.scm 115 */
																																																				BgL_effectz00_1631
																																																					=
																																																					CAR
																																																					(BgL_cdrzd23863zd2_1978);
																																																				BgL_restz00_1632
																																																					=
																																																					CDR
																																																					(BgL_cdrzd23863zd2_1978);
																																																			BgL_tagzd2389zd2_1633:
																																																				{	/* Ast/sexp.scm 425 */
																																																					BgL_feffectz00_bglt
																																																						BgL_arg2955z00_2898;
																																																					obj_t
																																																						BgL_arg2956z00_2899;
																																																					BgL_arg2955z00_2898
																																																						=
																																																						BGl_parsezd2effectzd2zzeffect_feffectz00
																																																						(BgL_effectz00_1631);
																																																					{	/* Ast/sexp.scm 426 */
																																																						obj_t
																																																							BgL_arg2957z00_2900;
																																																						BgL_arg2957z00_2900
																																																							=
																																																							BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																							(BgL_restz00_1632,
																																																							BNIL);
																																																						BgL_arg2956z00_2899
																																																							=
																																																							MAKE_PAIR
																																																							(CNST_TABLE_REF
																																																							(((long) 6)), BgL_arg2957z00_2900);
																																																					}
																																																					return
																																																						BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																						(
																																																						((bool_t) 0), ((obj_t) BgL_arg2955z00_2898), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg2956z00_2899, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																				}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{
																																																						obj_t
																																																							BgL_auxz00_7133;
																																																						goto
																																																							BgL_tagzd2400zd2_1651;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_7133);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						goto
																																																							BgL_tagzd2401zd2_1652;
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																			{	/* Ast/sexp.scm 115 */
																																																			BgL_tagzd2390zd2_1634:
																																																				return BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t) 1), BFALSE, ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (PAIRP(BgL_cdrzd23863zd2_1978))
																																																							{	/* Ast/sexp.scm 115 */
																																																								BgL_effectz00_1635
																																																									=
																																																									CAR
																																																									(BgL_cdrzd23863zd2_1978);
																																																								BgL_restz00_1636
																																																									=
																																																									CDR
																																																									(BgL_cdrzd23863zd2_1978);
																																																							BgL_tagzd2391zd2_1637:
																																																								{	/* Ast/sexp.scm 433 */
																																																									BgL_feffectz00_bglt
																																																										BgL_arg2958z00_2901;
																																																									obj_t
																																																										BgL_arg2959z00_2902;
																																																									BgL_arg2958z00_2901
																																																										=
																																																										BGl_parsezd2effectzd2zzeffect_feffectz00
																																																										(BgL_effectz00_1635);
																																																									{	/* Ast/sexp.scm 434 */
																																																										obj_t
																																																											BgL_arg2960z00_2903;
																																																										BgL_arg2960z00_2903
																																																											=
																																																											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																																																											(BgL_restz00_1636,
																																																											BNIL);
																																																										BgL_arg2959z00_2902
																																																											=
																																																											MAKE_PAIR
																																																											(CNST_TABLE_REF
																																																											(((long) 6)), BgL_arg2960z00_2903);
																																																									}
																																																									return
																																																										BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																																																										(
																																																										((bool_t) 1), ((obj_t) BgL_arg2958z00_2901), ((BgL_typez00_bglt) BGl_za2unspecza2z00zztype_cachez00), BgL_arg2959z00_2902, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																									{
																																																										obj_t
																																																											BgL_auxz00_7158;
																																																										goto
																																																											BgL_tagzd2400zd2_1651;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_auxz00_7158);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										goto
																																																											BgL_tagzd2401zd2_1652;
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																							{	/* Ast/sexp.scm 115 */
																																																							BgL_tagzd2392zd2_1638:
																																																								{
																																																									obj_t
																																																										BgL_procz00_2904;
																																																									obj_t
																																																										BgL_msgz00_2905;
																																																									obj_t
																																																										BgL_objz00_2906;
																																																									if (PAIRP(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 115 */
																																																											obj_t
																																																												BgL_cdrzd27908zd2_2911;
																																																											BgL_cdrzd27908zd2_2911
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											if (PAIRP(BgL_cdrzd27908zd2_2911))
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_cdrzd27913zd2_2913;
																																																													BgL_cdrzd27913zd2_2913
																																																														=
																																																														CDR
																																																														(BgL_cdrzd27908zd2_2911);
																																																													if (PAIRP(BgL_cdrzd27913zd2_2913))
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_cdrzd27918zd2_2915;
																																																															BgL_cdrzd27918zd2_2915
																																																																=
																																																																CDR
																																																																(BgL_cdrzd27913zd2_2913);
																																																															if (PAIRP(BgL_cdrzd27918zd2_2915))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (NULLP(CDR(BgL_cdrzd27918zd2_2915)))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_arg2967z00_2918;
																																																																			obj_t
																																																																				BgL_arg2968z00_2919;
																																																																			obj_t
																																																																				BgL_arg2969z00_2920;
																																																																			BgL_arg2967z00_2918
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd27908zd2_2911);
																																																																			BgL_arg2968z00_2919
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd27913zd2_2913);
																																																																			BgL_arg2969z00_2920
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd27918zd2_2915);
																																																																			{
																																																																				BgL_failz00_bglt
																																																																					BgL_auxz00_7181;
																																																																				BgL_procz00_2904
																																																																					=
																																																																					BgL_arg2967z00_2918;
																																																																				BgL_msgz00_2905
																																																																					=
																																																																					BgL_arg2968z00_2919;
																																																																				BgL_objz00_2906
																																																																					=
																																																																					BgL_arg2969z00_2920;
																																																																				{	/* Ast/sexp.scm 439 */
																																																																					obj_t
																																																																						BgL_locz00_2922;
																																																																					BgL_locz00_2922
																																																																						=
																																																																						BGl_findzd2locationzf2locz20zztools_locationz00
																																																																						(BgL_expz00_21,
																																																																						BgL_locz00_23);
																																																																					{	/* Ast/sexp.scm 439 */
																																																																						obj_t
																																																																							BgL_cdlocz00_2923;
																																																																						BgL_cdlocz00_2923
																																																																							=
																																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																																							(CDR
																																																																							(BgL_expz00_21),
																																																																							BgL_locz00_2922);
																																																																						{	/* Ast/sexp.scm 440 */
																																																																							obj_t
																																																																								BgL_cddlocz00_2924;
																																																																							{	/* Ast/sexp.scm 441 */
																																																																								obj_t
																																																																									BgL_arg2973z00_2936;
																																																																								{	/* Ast/sexp.scm 441 */
																																																																									obj_t
																																																																										BgL_pairz00_4611;
																																																																									BgL_pairz00_4611
																																																																										=
																																																																										BgL_expz00_21;
																																																																									BgL_arg2973z00_2936
																																																																										=
																																																																										CDR
																																																																										(CDR
																																																																										(BgL_pairz00_4611));
																																																																								}
																																																																								BgL_cddlocz00_2924
																																																																									=
																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																									(BgL_arg2973z00_2936,
																																																																									BgL_locz00_2922);
																																																																							}
																																																																							{	/* Ast/sexp.scm 441 */
																																																																								obj_t
																																																																									BgL_cdddlocz00_2925;
																																																																								{	/* Ast/sexp.scm 442 */
																																																																									obj_t
																																																																										BgL_arg2972z00_2935;
																																																																									{	/* Ast/sexp.scm 442 */
																																																																										obj_t
																																																																											BgL_pairz00_4615;
																																																																										BgL_pairz00_4615
																																																																											=
																																																																											BgL_expz00_21;
																																																																										BgL_arg2972z00_2935
																																																																											=
																																																																											CDR
																																																																											(CDR
																																																																											(CDR
																																																																												(BgL_pairz00_4615)));
																																																																									}
																																																																									BgL_cdddlocz00_2925
																																																																										=
																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																										(BgL_arg2972z00_2935,
																																																																										BgL_locz00_2922);
																																																																								}
																																																																								{	/* Ast/sexp.scm 442 */
																																																																									obj_t
																																																																										BgL_loczd2proczd2_2926;
																																																																									BgL_loczd2proczd2_2926
																																																																										=
																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																										(BgL_procz00_2904,
																																																																										BgL_cdlocz00_2923);
																																																																									{	/* Ast/sexp.scm 443 */
																																																																										obj_t
																																																																											BgL_loczd2msgzd2_2927;
																																																																										BgL_loczd2msgzd2_2927
																																																																											=
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_msgz00_2905,
																																																																											BgL_cddlocz00_2924);
																																																																										{	/* Ast/sexp.scm 444 */
																																																																											obj_t
																																																																												BgL_loczd2objzd2_2928;
																																																																											BgL_loczd2objzd2_2928
																																																																												=
																																																																												BGl_findzd2locationzf2locz20zztools_locationz00
																																																																												(BgL_objz00_2906,
																																																																												BgL_cdddlocz00_2925);
																																																																											{	/* Ast/sexp.scm 445 */
																																																																												BgL_nodez00_bglt
																																																																													BgL_procz00_2929;
																																																																												BgL_procz00_2929
																																																																													=
																																																																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																													(BgL_procz00_2904,
																																																																													BgL_stackz00_22,
																																																																													BgL_loczd2proczd2_2926,
																																																																													CNST_TABLE_REF
																																																																													(((long) 2)));
																																																																												{	/* Ast/sexp.scm 446 */
																																																																													BgL_nodez00_bglt
																																																																														BgL_msgz00_2930;
																																																																													BgL_msgz00_2930
																																																																														=
																																																																														BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																														(BgL_msgz00_2905,
																																																																														BgL_stackz00_22,
																																																																														BgL_loczd2msgzd2_2927,
																																																																														CNST_TABLE_REF
																																																																														(((long) 2)));
																																																																													{	/* Ast/sexp.scm 447 */
																																																																														BgL_nodez00_bglt
																																																																															BgL_objz00_2931;
																																																																														BgL_objz00_2931
																																																																															=
																																																																															BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																															(BgL_objz00_2906,
																																																																															BgL_stackz00_22,
																																																																															BgL_loczd2objzd2_2928,
																																																																															CNST_TABLE_REF
																																																																															(((long) 2)));
																																																																														{	/* Ast/sexp.scm 448 */

																																																																															{	/* Ast/sexp.scm 449 */
																																																																																BgL_failz00_bglt
																																																																																	BgL_new1134z00_2932;
																																																																																{	/* Ast/sexp.scm 449 */
																																																																																	BgL_failz00_bglt
																																																																																		BgL_new1133z00_2933;
																																																																																	BgL_new1133z00_2933
																																																																																		=
																																																																																		(
																																																																																		(BgL_failz00_bglt)
																																																																																		BREF
																																																																																		(GC_MALLOC
																																																																																			(sizeof
																																																																																				(struct
																																																																																					BgL_failz00_bgl))));
																																																																																	{	/* Ast/sexp.scm 449 */
																																																																																		long
																																																																																			BgL_arg2971z00_2934;
																																																																																		{	/* Ast/sexp.scm 449 */
																																																																																			long
																																																																																				BgL_res3348z00_4622;
																																																																																			BgL_res3348z00_4622
																																																																																				=
																																																																																				BGL_CLASS_INDEX
																																																																																				(BGl_failz00zzast_nodez00);
																																																																																			BgL_arg2971z00_2934
																																																																																				=
																																																																																				BgL_res3348z00_4622;
																																																																																		}
																																																																																		{	/* Ast/sexp.scm 449 */
																																																																																			BgL_objectz00_bglt
																																																																																				BgL_objz00_4623;
																																																																																			BgL_objz00_4623
																																																																																				=
																																																																																				(
																																																																																				(BgL_objectz00_bglt)
																																																																																				BgL_new1133z00_2933);
																																																																																			BGL_OBJECT_CLASS_NUM_SET
																																																																																				(BgL_objz00_4623,
																																																																																				BgL_arg2971z00_2934);
																																																																																	}}
																																																																																	{	/* Ast/sexp.scm 449 */
																																																																																		BgL_objectz00_bglt
																																																																																			BgL_auxz00_7205;
																																																																																		BgL_auxz00_7205
																																																																																			=
																																																																																			(
																																																																																			(BgL_objectz00_bglt)
																																																																																			BgL_new1133z00_2933);
																																																																																		BGL_OBJECT_WIDENING_SET
																																																																																			(BgL_auxz00_7205,
																																																																																			BFALSE);
																																																																																	}
																																																																																	BgL_new1134z00_2932
																																																																																		=
																																																																																		BgL_new1133z00_2933;
																																																																																}
																																																																																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1134z00_2932)))->BgL_locz00) = ((obj_t) BgL_locz00_2922), BUNSPEC);
																																																																																((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1134z00_2932)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2magicza2z00zztype_cachez00)), BUNSPEC);
																																																																																((((BgL_failz00_bglt) CREF(BgL_new1134z00_2932))->BgL_procz00) = ((BgL_nodez00_bglt) BgL_procz00_2929), BUNSPEC);
																																																																																((((BgL_failz00_bglt) CREF(BgL_new1134z00_2932))->BgL_msgz00) = ((BgL_nodez00_bglt) BgL_msgz00_2930), BUNSPEC);
																																																																																((((BgL_failz00_bglt) CREF(BgL_new1134z00_2932))->BgL_objz00) = ((BgL_nodez00_bglt) BgL_objz00_2931), BUNSPEC);
																																																																																BgL_auxz00_7181
																																																																																	=
																																																																																	BgL_new1134z00_2932;
																																																																				}}}}}}}}}}}}
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_7181);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																		BgL_tagzd27899zd2_2908:
																																																																			{	/* Ast/sexp.scm 457 */
																																																																				obj_t
																																																																					BgL_arg2975z00_2938;
																																																																				BgL_arg2975z00_2938
																																																																					=
																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																					(BgL_expz00_21,
																																																																					BgL_locz00_23);
																																																																				{	/* Ast/sexp.scm 456 */
																																																																					BgL_nodez00_bglt
																																																																						BgL_res3349z00_4632;
																																																																					{	/* Ast/sexp.scm 668 */
																																																																						obj_t
																																																																							BgL_arg3097z00_4628;
																																																																						BgL_nodez00_bglt
																																																																							BgL_arg3098z00_4629;
																																																																						BgL_arg3097z00_4628
																																																																							=
																																																																							BGl_shapez00zztools_shapez00
																																																																							(BGl_currentzd2functionzd2zztools_errorz00
																																																																							());
																																																																						BgL_arg3098z00_4629
																																																																							=
																																																																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																							(CNST_TABLE_REF
																																																																							(((long) 4)), BNIL, BgL_arg2975z00_2938, CNST_TABLE_REF(((long) 2)));
																																																																						{	/* Ast/sexp.scm 667 */
																																																																							obj_t
																																																																								BgL_list3099z00_4631;
																																																																							BgL_list3099z00_4631
																																																																								=
																																																																								MAKE_PAIR
																																																																								(
																																																																								((obj_t) BgL_arg3098z00_4629), BNIL);
																																																																							BgL_res3349z00_4632
																																																																								=
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																								(BgL_arg2975z00_2938,
																																																																									BgL_arg3097z00_4628,
																																																																									BGl_string3520z00zzast_sexpz00,
																																																																									BgL_expz00_21,
																																																																									BgL_list3099z00_4631));
																																																																					}}
																																																																					return
																																																																						BgL_res3349z00_4632;
																																																																				}
																																																																			}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd27899zd2_2908;
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															goto
																																																																BgL_tagzd27899zd2_2908;
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													goto
																																																														BgL_tagzd27899zd2_2908;
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 115 */
																																																											goto
																																																												BgL_tagzd27899zd2_2908;
																																																										}
																																																								}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																									{	/* Ast/sexp.scm 115 */
																																																									BgL_tagzd2393zd2_1639:
																																																										{
																																																											obj_t
																																																												BgL_testz00_2939;
																																																											obj_t
																																																												BgL_clausesz00_2940;
																																																											if (PAIRP(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_cdrzd27932zd2_2945;
																																																													BgL_cdrzd27932zd2_2945
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													if (PAIRP(BgL_cdrzd27932zd2_2945))
																																																														{	/* Ast/sexp.scm 115 */
																																																															BgL_testz00_2939
																																																																=
																																																																CAR
																																																																(BgL_cdrzd27932zd2_2945);
																																																															BgL_clausesz00_2940
																																																																=
																																																																CDR
																																																																(BgL_cdrzd27932zd2_2945);
																																																															{	/* Ast/sexp.scm 468 */
																																																																obj_t
																																																																	BgL_locz00_2949;
																																																																BgL_locz00_2949
																																																																	=
																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																	(BgL_expz00_21,
																																																																	BgL_locz00_23);
																																																																{	/* Ast/sexp.scm 468 */
																																																																	obj_t
																																																																		BgL_cdlocz00_2950;
																																																																	BgL_cdlocz00_2950
																																																																		=
																																																																		BGl_findzd2locationzf2locz20zztools_locationz00
																																																																		(CDR
																																																																		(BgL_expz00_21),
																																																																		BgL_locz00_2949);
																																																																	{	/* Ast/sexp.scm 469 */
																																																																		obj_t
																																																																			BgL_cddlocz00_2951;
																																																																		BgL_cddlocz00_2951
																																																																			=
																																																																			BGl_findzd2locationzf2locz20zztools_locationz00
																																																																			(CDR
																																																																			(BgL_expz00_21),
																																																																			BgL_locz00_2949);
																																																																		{	/* Ast/sexp.scm 470 */
																																																																			BgL_nodez00_bglt
																																																																				BgL_testz00_2952;
																																																																			{	/* Ast/sexp.scm 473 */
																																																																				obj_t
																																																																					BgL_arg3000z00_2982;
																																																																				BgL_arg3000z00_2982
																																																																					=
																																																																					BGl_findzd2locationzf2locz20zztools_locationz00
																																																																					(BgL_testz00_2939,
																																																																					BgL_cdlocz00_2950);
																																																																				BgL_testz00_2952
																																																																					=
																																																																					BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																					(BgL_testz00_2939,
																																																																					BgL_stackz00_22,
																																																																					BgL_arg3000z00_2982,
																																																																					CNST_TABLE_REF
																																																																					(((long) 2)));
																																																																			}
																																																																			{	/* Ast/sexp.scm 471 */

																																																																				{
																																																																					obj_t
																																																																						BgL_clsz00_2955;
																																																																					obj_t
																																																																						BgL_nclausesz00_2956;
																																																																					BgL_clsz00_2955
																																																																						=
																																																																						BgL_clausesz00_2940;
																																																																					BgL_nclausesz00_2956
																																																																						=
																																																																						BNIL;
																																																																				BgL_zc3anonymousza32980ze3z83_2957:
																																																																					if (NULLP(BgL_clsz00_2955))
																																																																						{	/* Ast/sexp.scm 478 */
																																																																							BgL_selectz00_bglt
																																																																								BgL_new1137z00_2959;
																																																																							{	/* Ast/sexp.scm 478 */
																																																																								BgL_selectz00_bglt
																																																																									BgL_new1136z00_2963;
																																																																								BgL_new1136z00_2963
																																																																									=
																																																																									(
																																																																									(BgL_selectz00_bglt)
																																																																									BREF
																																																																									(GC_MALLOC
																																																																										(sizeof
																																																																											(struct
																																																																												BgL_selectz00_bgl))));
																																																																								{	/* Ast/sexp.scm 478 */
																																																																									long
																																																																										BgL_arg2985z00_2964;
																																																																									{	/* Ast/sexp.scm 478 */
																																																																										long
																																																																											BgL_res3356z00_4655;
																																																																										BgL_res3356z00_4655
																																																																											=
																																																																											BGL_CLASS_INDEX
																																																																											(BGl_selectz00zzast_nodez00);
																																																																										BgL_arg2985z00_2964
																																																																											=
																																																																											BgL_res3356z00_4655;
																																																																									}
																																																																									{	/* Ast/sexp.scm 478 */
																																																																										BgL_objectz00_bglt
																																																																											BgL_objz00_4656;
																																																																										BgL_objz00_4656
																																																																											=
																																																																											(
																																																																											(BgL_objectz00_bglt)
																																																																											BgL_new1136z00_2963);
																																																																										BGL_OBJECT_CLASS_NUM_SET
																																																																											(BgL_objz00_4656,
																																																																											BgL_arg2985z00_2964);
																																																																								}}
																																																																								{	/* Ast/sexp.scm 478 */
																																																																									BgL_objectz00_bglt
																																																																										BgL_auxz00_7250;
																																																																									BgL_auxz00_7250
																																																																										=
																																																																										(
																																																																										(BgL_objectz00_bglt)
																																																																										BgL_new1136z00_2963);
																																																																									BGL_OBJECT_WIDENING_SET
																																																																										(BgL_auxz00_7250,
																																																																										BFALSE);
																																																																								}
																																																																								BgL_new1137z00_2959
																																																																									=
																																																																									BgL_new1136z00_2963;
																																																																							}
																																																																							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1137z00_2959)))->BgL_locz00) = ((obj_t) BgL_locz00_2949), BUNSPEC);
																																																																							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt) BgL_new1137z00_2959)))->BgL_typez00) = ((BgL_typez00_bglt) ((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
																																																																							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1137z00_2959)))->BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
																																																																							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt) BgL_new1137z00_2959)))->BgL_keyz00) = ((obj_t) BINT(((long) -1))), BUNSPEC);
																																																																							((((BgL_selectz00_bglt) CREF(BgL_new1137z00_2959))->BgL_testz00) = ((BgL_nodez00_bglt) BgL_testz00_2952), BUNSPEC);
																																																																							((((BgL_selectz00_bglt) CREF(BgL_new1137z00_2959))->BgL_clausesz00) = ((obj_t) bgl_reverse_bang(BgL_nclausesz00_2956)), BUNSPEC);
																																																																							{
																																																																								BgL_typez00_bglt
																																																																									BgL_auxz00_7266;
																																																																								{	/* Ast/sexp.scm 482 */
																																																																									obj_t
																																																																										BgL_arg2982z00_2960;
																																																																									{	/* Ast/sexp.scm 482 */
																																																																										obj_t
																																																																											BgL_pairz00_4660;
																																																																										{	/* Ast/sexp.scm 482 */
																																																																											obj_t
																																																																												BgL_pairz00_4659;
																																																																											{	/* Ast/sexp.scm 482 */
																																																																												obj_t
																																																																													BgL_pairz00_4658;
																																																																												BgL_pairz00_4658
																																																																													=
																																																																													BgL_clausesz00_2940;
																																																																												BgL_pairz00_4659
																																																																													=
																																																																													CAR
																																																																													(BgL_pairz00_4658);
																																																																											}
																																																																											BgL_pairz00_4660
																																																																												=
																																																																												CAR
																																																																												(BgL_pairz00_4659);
																																																																										}
																																																																										BgL_arg2982z00_2960
																																																																											=
																																																																											CAR
																																																																											(BgL_pairz00_4660);
																																																																									}
																																																																									BgL_auxz00_7266
																																																																										=
																																																																										BGl_getzd2typezd2atomz00zztype_typeofz00
																																																																										(BgL_arg2982z00_2960);
																																																																								}
																																																																								((((BgL_selectz00_bglt) CREF(BgL_new1137z00_2959))->BgL_itemzd2typezd2) = ((BgL_typez00_bglt) BgL_auxz00_7266), BUNSPEC);
																																																																							}
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_new1137z00_2959);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 484 */
																																																																							obj_t
																																																																								BgL_clausez00_2965;
																																																																							BgL_clausez00_2965
																																																																								=
																																																																								CAR
																																																																								(BgL_clsz00_2955);
																																																																							{	/* Ast/sexp.scm 484 */
																																																																								BgL_nodez00_bglt
																																																																									BgL_bodyz00_2966;
																																																																								{	/* Ast/sexp.scm 485 */
																																																																									obj_t
																																																																										BgL_arg2997z00_2978;
																																																																									obj_t
																																																																										BgL_arg2998z00_2979;
																																																																									BgL_arg2997z00_2978
																																																																										=
																																																																										BGl_normaliza7ezd2prognz75zztools_prognz00
																																																																										(CDR
																																																																										(BgL_clausez00_2965));
																																																																									BgL_arg2998z00_2979
																																																																										=
																																																																										BGl_findzd2locationzf2locz20zztools_locationz00
																																																																										(BgL_clausez00_2965,
																																																																										BgL_cddlocz00_2951);
																																																																									BgL_bodyz00_2966
																																																																										=
																																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																										(BgL_arg2997z00_2978,
																																																																										BgL_stackz00_22,
																																																																										BgL_arg2998z00_2979,
																																																																										CNST_TABLE_REF
																																																																										(((long) 2)));
																																																																								}
																																																																								{	/* Ast/sexp.scm 485 */
																																																																									obj_t
																																																																										BgL_nclausez00_2967;
																																																																									{	/* Ast/sexp.scm 489 */
																																																																										obj_t
																																																																											BgL_arg2996z00_2977;
																																																																										BgL_arg2996z00_2977
																																																																											=
																																																																											CAR
																																																																											(BgL_clausez00_2965);
																																																																										BgL_nclausez00_2967
																																																																											=
																																																																											MAKE_PAIR
																																																																											(BgL_arg2996z00_2977,
																																																																											((obj_t) BgL_bodyz00_2966));
																																																																									}
																																																																									{	/* Ast/sexp.scm 489 */

																																																																										{	/* Ast/sexp.scm 491 */
																																																																											bool_t
																																																																												BgL_testz00_7282;
																																																																											if ((CAR(BgL_clausez00_2965) == CNST_TABLE_REF(((long) 5))))
																																																																												{	/* Ast/sexp.scm 491 */
																																																																													if (NULLP(CDR(BgL_clsz00_2955)))
																																																																														{	/* Ast/sexp.scm 492 */
																																																																															BgL_testz00_7282
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																0);
																																																																														}
																																																																													else
																																																																														{	/* Ast/sexp.scm 492 */
																																																																															BgL_testz00_7282
																																																																																=
																																																																																(
																																																																																(bool_t)
																																																																																1);
																																																																														}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 491 */
																																																																													BgL_testz00_7282
																																																																														=
																																																																														(
																																																																														(bool_t)
																																																																														0);
																																																																												}
																																																																											if (BgL_testz00_7282)
																																																																												{	/* Ast/sexp.scm 494 */
																																																																													obj_t
																																																																														BgL_arg2987z00_2969;
																																																																													BgL_arg2987z00_2969
																																																																														=
																																																																														BGl_findzd2locationzf2locz20zztools_locationz00
																																																																														(BgL_expz00_21,
																																																																														BgL_locz00_2949);
																																																																													{	/* Ast/sexp.scm 493 */
																																																																														BgL_nodez00_bglt
																																																																															BgL_res3358z00_4675;
																																																																														{	/* Ast/sexp.scm 668 */
																																																																															obj_t
																																																																																BgL_arg3097z00_4671;
																																																																															BgL_nodez00_bglt
																																																																																BgL_arg3098z00_4672;
																																																																															BgL_arg3097z00_4671
																																																																																=
																																																																																BGl_shapez00zztools_shapez00
																																																																																(BGl_currentzd2functionzd2zztools_errorz00
																																																																																());
																																																																															BgL_arg3098z00_4672
																																																																																=
																																																																																BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																																(CNST_TABLE_REF
																																																																																(((long) 4)), BNIL, BgL_arg2987z00_2969, CNST_TABLE_REF(((long) 2)));
																																																																															{	/* Ast/sexp.scm 667 */
																																																																																obj_t
																																																																																	BgL_list3099z00_4674;
																																																																																BgL_list3099z00_4674
																																																																																	=
																																																																																	MAKE_PAIR
																																																																																	(
																																																																																	((obj_t) BgL_arg3098z00_4672), BNIL);
																																																																																BgL_res3358z00_4675
																																																																																	=
																																																																																	(
																																																																																	(BgL_nodez00_bglt)
																																																																																	BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																																	(BgL_arg2987z00_2969,
																																																																																		BgL_arg3097z00_4671,
																																																																																		BGl_string3519z00zzast_sexpz00,
																																																																																		BgL_expz00_21,
																																																																																		BgL_list3099z00_4674));
																																																																														}}
																																																																														return
																																																																															BgL_res3358z00_4675;
																																																																													}
																																																																												}
																																																																											else
																																																																												{	/* Ast/sexp.scm 495 */
																																																																													obj_t
																																																																														BgL_arg2988z00_2970;
																																																																													obj_t
																																																																														BgL_arg2989z00_2971;
																																																																													BgL_arg2988z00_2970
																																																																														=
																																																																														CDR
																																																																														(BgL_clsz00_2955);
																																																																													BgL_arg2989z00_2971
																																																																														=
																																																																														MAKE_PAIR
																																																																														(BGl_epairifyz00zztools_miscz00
																																																																														(BgL_nclausez00_2967,
																																																																															BgL_clausez00_2965),
																																																																														BgL_nclausesz00_2956);
																																																																													{
																																																																														obj_t
																																																																															BgL_nclausesz00_7304;
																																																																														obj_t
																																																																															BgL_clsz00_7303;
																																																																														BgL_clsz00_7303
																																																																															=
																																																																															BgL_arg2988z00_2970;
																																																																														BgL_nclausesz00_7304
																																																																															=
																																																																															BgL_arg2989z00_2971;
																																																																														BgL_nclausesz00_2956
																																																																															=
																																																																															BgL_nclausesz00_7304;
																																																																														BgL_clsz00_2955
																																																																															=
																																																																															BgL_clsz00_7303;
																																																																														goto
																																																																															BgL_zc3anonymousza32980ze3z83_2957;
																																																																													}
																																																																												}
																																																																										}
																																																																									}
																																																																								}
																																																																							}
																																																																						}
																																																																				}
																																																																			}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																														BgL_tagzd27925zd2_2942:
																																																															{	/* Ast/sexp.scm 500 */
																																																																obj_t
																																																																	BgL_arg3003z00_2985;
																																																																BgL_arg3003z00_2985
																																																																	=
																																																																	BGl_findzd2locationzf2locz20zztools_locationz00
																																																																	(BgL_expz00_21,
																																																																	BgL_locz00_23);
																																																																{	/* Ast/sexp.scm 499 */
																																																																	BgL_nodez00_bglt
																																																																		BgL_res3359z00_4684;
																																																																	{	/* Ast/sexp.scm 668 */
																																																																		obj_t
																																																																			BgL_arg3097z00_4680;
																																																																		BgL_nodez00_bglt
																																																																			BgL_arg3098z00_4681;
																																																																		BgL_arg3097z00_4680
																																																																			=
																																																																			BGl_shapez00zztools_shapez00
																																																																			(BGl_currentzd2functionzd2zztools_errorz00
																																																																			());
																																																																		BgL_arg3098z00_4681
																																																																			=
																																																																			BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																			(CNST_TABLE_REF
																																																																			(((long) 4)), BNIL, BgL_arg3003z00_2985, CNST_TABLE_REF(((long) 2)));
																																																																		{	/* Ast/sexp.scm 667 */
																																																																			obj_t
																																																																				BgL_list3099z00_4683;
																																																																			BgL_list3099z00_4683
																																																																				=
																																																																				MAKE_PAIR
																																																																				(
																																																																				((obj_t) BgL_arg3098z00_4681), BNIL);
																																																																			BgL_res3359z00_4684
																																																																				=
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																				(BgL_arg3003z00_2985,
																																																																					BgL_arg3097z00_4680,
																																																																					BGl_string3519z00zzast_sexpz00,
																																																																					BgL_expz00_21,
																																																																					BgL_list3099z00_4683));
																																																																	}}
																																																																	return
																																																																		BgL_res3359z00_4684;
																																																																}
																																																															}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													goto
																																																														BgL_tagzd27925zd2_2942;
																																																												}
																																																										}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																											{
																																																												BgL_letzd2funzd2_bglt
																																																													BgL_auxz00_7321;
																																																											BgL_tagzd2394zd2_1640:
																																																												BgL_auxz00_7321 = BGl_setzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_7321);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																													{
																																																														BgL_jumpzd2exzd2itz00_bglt
																																																															BgL_auxz00_7328;
																																																													BgL_tagzd2395zd2_1641:
																																																														BgL_auxz00_7328 = BGl_jumpzd2exitzd2ze3nodeze3zzast_exitz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																														return
																																																															(
																																																															(BgL_nodez00_bglt)
																																																															BgL_auxz00_7328);
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd23978zd2_1995;
																																																														BgL_cdrzd23978zd2_1995
																																																															=
																																																															CDR
																																																															(BgL_expz00_21);
																																																														if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																															{	/* Ast/sexp.scm 115 */
																																																																if (PAIRP(BgL_cdrzd23978zd2_1995))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_cdrzd23980zd2_1998;
																																																																		BgL_cdrzd23980zd2_1998
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd23978zd2_1995);
																																																																		if (PAIRP(BgL_cdrzd23980zd2_1998))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (NULLP(CDR(BgL_cdrzd23980zd2_1998)))
																																																																					{	/* Ast/sexp.scm 115 */
																																																																					BgL_tagzd2396zd2_1642:
																																																																						return BGl_applycationzd2ze3nodez31zzast_applyz00(BgL_expz00_21, BgL_stackz00_22, BgL_locz00_23, BgL_sitez00_24);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_7347;
																																																																								goto
																																																																									BgL_tagzd2400zd2_1651;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_7347);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 115 */
																																																																								goto
																																																																									BgL_tagzd2401zd2_1652;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_7351;
																																																																						goto
																																																																							BgL_tagzd2400zd2_1651;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_7351);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						goto
																																																																							BgL_tagzd2401zd2_1652;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_7355;
																																																																				goto
																																																																					BgL_tagzd2400zd2_1651;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_7355);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				goto
																																																																					BgL_tagzd2401zd2_1652;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (PAIRP(BgL_cdrzd23978zd2_1995))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				obj_t
																																																																					BgL_cdrzd24025zd2_2008;
																																																																				BgL_cdrzd24025zd2_2008
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd23978zd2_1995);
																																																																				if (PAIRP(BgL_cdrzd24025zd2_2008))
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						obj_t
																																																																							BgL_cdrzd24030zd2_2010;
																																																																						BgL_cdrzd24030zd2_2010
																																																																							=
																																																																							CDR
																																																																							(BgL_cdrzd24025zd2_2008);
																																																																						if ((CAR(BgL_cdrzd24025zd2_2008) == CNST_TABLE_REF(((long) 31))))
																																																																							{	/* Ast/sexp.scm 115 */
																																																																								if (PAIRP(BgL_cdrzd24030zd2_2010))
																																																																									{	/* Ast/sexp.scm 115 */
																																																																										obj_t
																																																																											BgL_arg2328z00_2013;
																																																																										obj_t
																																																																											BgL_arg2329z00_2014;
																																																																										obj_t
																																																																											BgL_arg2330z00_2015;
																																																																										BgL_arg2328z00_2013
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd23978zd2_1995);
																																																																										BgL_arg2329z00_2014
																																																																											=
																																																																											CAR
																																																																											(BgL_cdrzd24030zd2_2010);
																																																																										BgL_arg2330z00_2015
																																																																											=
																																																																											CDR
																																																																											(BgL_cdrzd24030zd2_2010);
																																																																										return
																																																																											BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																											(BgL_expz00_21,
																																																																											BgL_arg2328z00_2013,
																																																																											BgL_arg2329z00_2014,
																																																																											BgL_arg2330z00_2015,
																																																																											BgL_stackz00_22,
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_expz00_21,
																																																																												BgL_locz00_23),
																																																																											BgL_sitez00_24);
																																																																									}
																																																																								else
																																																																									{	/* Ast/sexp.scm 115 */
																																																																										obj_t
																																																																											BgL_cdrzd24043zd2_2016;
																																																																										BgL_cdrzd24043zd2_2016
																																																																											=
																																																																											CDR
																																																																											(BgL_expz00_21);
																																																																										{	/* Ast/sexp.scm 115 */
																																																																											obj_t
																																																																												BgL_arg2331z00_2017;
																																																																											obj_t
																																																																												BgL_arg2332z00_2018;
																																																																											BgL_arg2331z00_2017
																																																																												=
																																																																												CAR
																																																																												(BgL_cdrzd24043zd2_2016);
																																																																											BgL_arg2332z00_2018
																																																																												=
																																																																												CDR
																																																																												(BgL_cdrzd24043zd2_2016);
																																																																											{	/* Ast/sexp.scm 514 */
																																																																												obj_t
																																																																													BgL_arg3005z00_5016;
																																																																												BgL_arg3005z00_5016
																																																																													=
																																																																													BGl_findzd2locationzf2locz20zztools_locationz00
																																																																													(BgL_expz00_21,
																																																																													BgL_locz00_23);
																																																																												return
																																																																													BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																													(BgL_expz00_21,
																																																																													BgL_arg2331z00_2017,
																																																																													CNST_TABLE_REF
																																																																													(((long) 4)), BgL_arg2332z00_2018, BgL_stackz00_22, BgL_arg3005z00_5016, BgL_sitez00_24);
																																																																							}}}}
																																																																						else
																																																																							{	/* Ast/sexp.scm 115 */
																																																																								obj_t
																																																																									BgL_cdrzd24058zd2_2019;
																																																																								BgL_cdrzd24058zd2_2019
																																																																									=
																																																																									CDR
																																																																									(BgL_expz00_21);
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									obj_t
																																																																										BgL_arg2333z00_2020;
																																																																									obj_t
																																																																										BgL_arg2334z00_2021;
																																																																									BgL_arg2333z00_2020
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd24058zd2_2019);
																																																																									BgL_arg2334z00_2021
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd24058zd2_2019);
																																																																									{	/* Ast/sexp.scm 514 */
																																																																										obj_t
																																																																											BgL_arg3005z00_5022;
																																																																										BgL_arg3005z00_5022
																																																																											=
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_expz00_21,
																																																																											BgL_locz00_23);
																																																																										return
																																																																											BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																											(BgL_expz00_21,
																																																																											BgL_arg2333z00_2020,
																																																																											CNST_TABLE_REF
																																																																											(((long) 4)), BgL_arg2334z00_2021, BgL_stackz00_22, BgL_arg3005z00_5022, BgL_sitez00_24);
																																																																					}}}}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						obj_t
																																																																							BgL_cdrzd24073zd2_2023;
																																																																						BgL_cdrzd24073zd2_2023
																																																																							=
																																																																							CDR
																																																																							(BgL_expz00_21);
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							obj_t
																																																																								BgL_arg2336z00_2024;
																																																																							obj_t
																																																																								BgL_arg2337z00_2025;
																																																																							BgL_arg2336z00_2024
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd24073zd2_2023);
																																																																							BgL_arg2337z00_2025
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd24073zd2_2023);
																																																																							{	/* Ast/sexp.scm 514 */
																																																																								obj_t
																																																																									BgL_arg3005z00_5028;
																																																																								BgL_arg3005z00_5028
																																																																									=
																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																									(BgL_expz00_21,
																																																																									BgL_locz00_23);
																																																																								return
																																																																									BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																									(BgL_expz00_21,
																																																																									BgL_arg2336z00_2024,
																																																																									CNST_TABLE_REF
																																																																									(((long) 4)), BgL_arg2337z00_2025, BgL_stackz00_22, BgL_arg3005z00_5028, BgL_sitez00_24);
																																																																			}}}}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_7398;
																																																																						goto
																																																																							BgL_tagzd2400zd2_1651;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_7398);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						goto
																																																																							BgL_tagzd2401zd2_1652;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_21), BUNSPEC))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (NULLP(CDR(BgL_expz00_21)))
																																																																					{	/* Ast/sexp.scm 115 */
																																																																					BgL_tagzd2399zd2_1650:
																																																																						{	/* Ast/sexp.scm 518 */
																																																																							obj_t
																																																																								BgL_arg3006z00_2988;
																																																																							BgL_arg3006z00_2988
																																																																								=
																																																																								BGl_findzd2locationzf2locz20zztools_locationz00
																																																																								(BgL_expz00_21,
																																																																								BgL_locz00_23);
																																																																							{	/* Ast/sexp.scm 517 */
																																																																								BgL_nodez00_bglt
																																																																									BgL_res3362z00_4701;
																																																																								{	/* Ast/sexp.scm 668 */
																																																																									obj_t
																																																																										BgL_arg3097z00_4697;
																																																																									BgL_nodez00_bglt
																																																																										BgL_arg3098z00_4698;
																																																																									BgL_arg3097z00_4697
																																																																										=
																																																																										BGl_shapez00zztools_shapez00
																																																																										(BGl_currentzd2functionzd2zztools_errorz00
																																																																										());
																																																																									BgL_arg3098z00_4698
																																																																										=
																																																																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																																																																										(CNST_TABLE_REF
																																																																										(((long) 4)), BNIL, BgL_arg3006z00_2988, CNST_TABLE_REF(((long) 2)));
																																																																									{	/* Ast/sexp.scm 667 */
																																																																										obj_t
																																																																											BgL_list3099z00_4700;
																																																																										BgL_list3099z00_4700
																																																																											=
																																																																											MAKE_PAIR
																																																																											(
																																																																											((obj_t) BgL_arg3098z00_4698), BNIL);
																																																																										BgL_res3362z00_4701
																																																																											=
																																																																											(
																																																																											(BgL_nodez00_bglt)
																																																																											BGl_userzd2errorzf2locationz20zztools_errorz00
																																																																											(BgL_arg3006z00_2988,
																																																																												BgL_arg3097z00_4697,
																																																																												BGl_string3518z00zzast_sexpz00,
																																																																												BgL_expz00_21,
																																																																												BgL_list3099z00_4700));
																																																																								}}
																																																																								return
																																																																									BgL_res3362z00_4701;
																																																																							}
																																																																						}
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																							{
																																																																								obj_t
																																																																									BgL_auxz00_7418;
																																																																								goto
																																																																									BgL_tagzd2400zd2_1651;
																																																																								return
																																																																									(
																																																																									(BgL_nodez00_bglt)
																																																																									BgL_auxz00_7418);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 115 */
																																																																								goto
																																																																									BgL_tagzd2401zd2_1652;
																																																																							}
																																																																					}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_7422;
																																																																						goto
																																																																							BgL_tagzd2400zd2_1651;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_7422);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						goto
																																																																							BgL_tagzd2401zd2_1652;
																																																																					}
																																																																			}
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
										else
											{	/* Ast/sexp.scm 115 */
												if (
													(BgL_carzd2467zd2_1657 ==
														CNST_TABLE_REF(((long) 12))))
													{	/* Ast/sexp.scm 115 */
														goto BgL_tagzd2371zd2_1593;
													}
												else
													{	/* Ast/sexp.scm 115 */
														if (
															(CAR(BgL_expz00_21) ==
																CNST_TABLE_REF(((long) 15))))
															{
																obj_t BgL_lz00_7431;

																BgL_lz00_7431 = CDR(BgL_expz00_21);
																BgL_lz00_1594 = BgL_lz00_7431;
																goto BgL_tagzd2372zd2_1595;
															}
														else
															{	/* Ast/sexp.scm 115 */
																if (
																	(CAR(BgL_expz00_21) ==
																		CNST_TABLE_REF(((long) 13))))
																	{	/* Ast/sexp.scm 115 */
																		goto BgL_tagzd2373zd2_1596;
																	}
																else
																	{	/* Ast/sexp.scm 115 */
																		if (
																			(CAR(BgL_expz00_21) ==
																				CNST_TABLE_REF(((long) 16))))
																			{	/* Ast/sexp.scm 115 */
																				if (NULLP(CDR(BgL_expz00_21)))
																					{	/* Ast/sexp.scm 115 */
																						goto BgL_tagzd2374zd2_1597;
																					}
																				else
																					{	/* Ast/sexp.scm 115 */
																						obj_t BgL_arg2373z00_2062;

																						BgL_arg2373z00_2062 =
																							CDR(BgL_expz00_21);
																						{
																							BgL_sequencez00_bglt
																								BgL_auxz00_7445;
																							{
																								obj_t BgL_bodyz00_7446;

																								BgL_bodyz00_7446 =
																									BgL_arg2373z00_2062;
																								BgL_bodyz00_1598 =
																									BgL_bodyz00_7446;
																								goto BgL_tagzd2375zd2_1599;
																							}
																							return
																								((BgL_nodez00_bglt)
																								BgL_auxz00_7445);
																						}
																					}
																			}
																		else
																			{	/* Ast/sexp.scm 115 */
																				obj_t BgL_carzd24205zd2_2064;

																				BgL_carzd24205zd2_2064 =
																					CAR(BgL_expz00_21);
																				if (
																					(BgL_carzd24205zd2_2064 ==
																						CNST_TABLE_REF(((long) 1))))
																					{	/* Ast/sexp.scm 115 */
																						goto BgL_tagzd2376zd2_1600;
																					}
																				else
																					{	/* Ast/sexp.scm 115 */
																						if (
																							(BgL_carzd24205zd2_2064 ==
																								BGl_za2ifza2z00zzast_sexpz00))
																							{	/* Ast/sexp.scm 115 */
																								goto BgL_tagzd2376zd2_1600;
																							}
																						else
																							{	/* Ast/sexp.scm 115 */
																								obj_t BgL_cdrzd24225zd2_2067;

																								BgL_cdrzd24225zd2_2067 =
																									CDR(BgL_expz00_21);
																								if (
																									(CAR(BgL_expz00_21) ==
																										CNST_TABLE_REF(((long) 7))))
																									{	/* Ast/sexp.scm 115 */
																										if (PAIRP
																											(BgL_cdrzd24225zd2_2067))
																											{	/* Ast/sexp.scm 115 */
																												obj_t
																													BgL_carzd24228zd2_2070;
																												obj_t
																													BgL_cdrzd24229zd2_2071;
																												BgL_carzd24228zd2_2070 =
																													CAR
																													(BgL_cdrzd24225zd2_2067);
																												BgL_cdrzd24229zd2_2071 =
																													CDR
																													(BgL_cdrzd24225zd2_2067);
																												if (PAIRP
																													(BgL_carzd24228zd2_2070))
																													{	/* Ast/sexp.scm 115 */
																														if (
																															(CAR
																																(BgL_carzd24228zd2_2070)
																																==
																																CNST_TABLE_REF((
																																		(long)
																																		15))))
																															{	/* Ast/sexp.scm 115 */
																																if (PAIRP
																																	(BgL_cdrzd24229zd2_2071))
																																	{	/* Ast/sexp.scm 115 */
																																		if (NULLP
																																			(CDR
																																				(BgL_cdrzd24229zd2_2071)))
																																			{
																																				obj_t
																																					BgL_valz00_7476;
																																				obj_t
																																					BgL_lz00_7474;
																																				BgL_lz00_7474
																																					=
																																					CDR
																																					(BgL_carzd24228zd2_2070);
																																				BgL_valz00_7476
																																					=
																																					CAR
																																					(BgL_cdrzd24229zd2_2071);
																																				BgL_valz00_1602
																																					=
																																					BgL_valz00_7476;
																																				BgL_lz00_1601
																																					=
																																					BgL_lz00_7474;
																																				goto
																																					BgL_tagzd2377zd2_1603;
																																			}
																																		else
																																			{	/* Ast/sexp.scm 115 */
																																				goto
																																					BgL_tagzd2378zd2_1604;
																																			}
																																	}
																																else
																																	{	/* Ast/sexp.scm 115 */
																																		goto
																																			BgL_tagzd2378zd2_1604;
																																	}
																															}
																														else
																															{	/* Ast/sexp.scm 115 */
																																goto
																																	BgL_tagzd2378zd2_1604;
																															}
																													}
																												else
																													{	/* Ast/sexp.scm 115 */
																														goto
																															BgL_tagzd2378zd2_1604;
																													}
																											}
																										else
																											{	/* Ast/sexp.scm 115 */
																												goto
																													BgL_tagzd2378zd2_1604;
																											}
																									}
																								else
																									{	/* Ast/sexp.scm 115 */
																										if (
																											(CAR(BgL_expz00_21) ==
																												CNST_TABLE_REF(((long)
																														17))))
																											{	/* Ast/sexp.scm 115 */
																												goto
																													BgL_tagzd2379zd2_1605;
																											}
																										else
																											{	/* Ast/sexp.scm 115 */
																												obj_t
																													BgL_carzd24338zd2_2081;
																												BgL_carzd24338zd2_2081 =
																													CAR(BgL_expz00_21);
																												if (PAIRP
																													(BgL_carzd24338zd2_2081))
																													{	/* Ast/sexp.scm 115 */
																														obj_t
																															BgL_carzd24341zd2_2083;
																														obj_t
																															BgL_cdrzd24342zd2_2084;
																														BgL_carzd24341zd2_2083
																															=
																															CAR
																															(BgL_carzd24338zd2_2081);
																														BgL_cdrzd24342zd2_2084
																															=
																															CDR
																															(BgL_carzd24338zd2_2081);
																														{

																															if (
																																(BgL_carzd24341zd2_2083
																																	==
																																	CNST_TABLE_REF
																																	(((long)
																																			18))))
																																{
																																	obj_t
																																		BgL_auxz00_7490;
																																BgL_kapzd24343zd2_2085:
																																	if (PAIRP
																																		(BgL_cdrzd24342zd2_2084))
																																		{	/* Ast/sexp.scm 115 */
																																			obj_t
																																				BgL_cdrzd24346zd2_2249;
																																			BgL_cdrzd24346zd2_2249
																																				=
																																				CDR
																																				(BgL_cdrzd24342zd2_2084);
																																			if (PAIRP
																																				(BgL_cdrzd24346zd2_2249))
																																				{	/* Ast/sexp.scm 115 */
																																					if (NULLP(CDR(BgL_cdrzd24346zd2_2249)))
																																						{	/* Ast/sexp.scm 115 */
																																							obj_t
																																								BgL_arg2513z00_2252;
																																							obj_t
																																								BgL_arg2514z00_2253;
																																							BgL_arg2513z00_2252
																																								=
																																								CAR
																																								(BgL_cdrzd24346zd2_2249);
																																							BgL_arg2514z00_2253
																																								=
																																								CDR
																																								(BgL_expz00_21);
																																							{
																																								BgL_nodez00_bglt
																																									BgL_auxz00_7501;
																																								{
																																									obj_t
																																										BgL_argsz00_7503;
																																									obj_t
																																										BgL_bodyz00_7502;
																																									BgL_bodyz00_7502
																																										=
																																										BgL_arg2513z00_2252;
																																									BgL_argsz00_7503
																																										=
																																										BgL_arg2514z00_2253;
																																									BgL_argsz00_1607
																																										=
																																										BgL_argsz00_7503;
																																									BgL_bodyz00_1606
																																										=
																																										BgL_bodyz00_7502;
																																									goto
																																										BgL_tagzd2380zd2_1608;
																																								}
																																								BgL_auxz00_7490
																																									=
																																									(
																																									(obj_t)
																																									BgL_auxz00_7501);
																																							}
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							bool_t
																																								BgL_testz00_7505;
																																							{	/* Ast/sexp.scm 115 */
																																								obj_t
																																									BgL_arg2572z00_2344;
																																								BgL_arg2572z00_2344
																																									=
																																									CAR
																																									(BgL_expz00_21);
																																								BgL_testz00_7505
																																									=
																																									CBOOL
																																									(BGl_letzd2symzf3z21zzast_letz00
																																									(BgL_arg2572z00_2344));
																																							}
																																							if (BgL_testz00_7505)
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_7509;
																																									goto
																																										BgL_tagzd2381zd2_1609;
																																									BgL_auxz00_7490
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_7509);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									bool_t
																																										BgL_testz00_7511;
																																									{	/* Ast/sexp.scm 115 */
																																										obj_t
																																											BgL_arg2571z00_2343;
																																										BgL_arg2571z00_2343
																																											=
																																											CAR
																																											(BgL_expz00_21);
																																										BgL_testz00_7511
																																											=
																																											CBOOL
																																											(BGl_labelszd2symzf3z21zzast_labelsz00
																																											(BgL_arg2571z00_2343));
																																									}
																																									if (BgL_testz00_7511)
																																										{
																																											BgL_letzd2funzd2_bglt
																																												BgL_auxz00_7515;
																																											goto
																																												BgL_tagzd2382zd2_1610;
																																											BgL_auxz00_7490
																																												=
																																												(
																																												(obj_t)
																																												BgL_auxz00_7515);
																																										}
																																									else
																																										{	/* Ast/sexp.scm 115 */
																																											obj_t
																																												BgL_carzd24413zd2_2256;
																																											BgL_carzd24413zd2_2256
																																												=
																																												CAR
																																												(BgL_expz00_21);
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_cdrzd24418zd2_2257;
																																												BgL_cdrzd24418zd2_2257
																																													=
																																													CDR
																																													(BgL_carzd24413zd2_2256);
																																												if ((CAR(BgL_carzd24413zd2_2256) == CNST_TABLE_REF(((long) 3))))
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_arg2518z00_2259;
																																														obj_t
																																															BgL_arg2519z00_2260;
																																														obj_t
																																															BgL_arg2520z00_2261;
																																														BgL_arg2518z00_2259
																																															=
																																															CAR
																																															(BgL_cdrzd24418zd2_2257);
																																														BgL_arg2519z00_2260
																																															=
																																															CDR
																																															(BgL_cdrzd24418zd2_2257);
																																														BgL_arg2520z00_2261
																																															=
																																															CDR
																																															(BgL_expz00_21);
																																														{
																																															BgL_nodez00_bglt
																																																BgL_auxz00_7526;
																																															{
																																																obj_t
																																																	BgL_argsz00_7529;
																																																obj_t
																																																	BgL_bodyz00_7528;
																																																obj_t
																																																	BgL_varsz00_7527;
																																																BgL_varsz00_7527
																																																	=
																																																	BgL_arg2518z00_2259;
																																																BgL_bodyz00_7528
																																																	=
																																																	BgL_arg2519z00_2260;
																																																BgL_argsz00_7529
																																																	=
																																																	BgL_arg2520z00_2261;
																																																BgL_argsz00_1617
																																																	=
																																																	BgL_argsz00_7529;
																																																BgL_bodyz00_1616
																																																	=
																																																	BgL_bodyz00_7528;
																																																BgL_varsz00_1615
																																																	=
																																																	BgL_varsz00_7527;
																																																goto
																																																	BgL_tagzd2384zd2_1618;
																																															}
																																															BgL_auxz00_7490
																																																=
																																																(
																																																(obj_t)
																																																BgL_auxz00_7526);
																																														}
																																													}
																																												else
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_cdrzd24441zd2_2263;
																																														BgL_cdrzd24441zd2_2263
																																															=
																																															CDR
																																															(BgL_expz00_21);
																																														{	/* Ast/sexp.scm 115 */
																																															obj_t
																																																BgL_cdrzd24447zd2_2264;
																																															BgL_cdrzd24447zd2_2264
																																																=
																																																CDR
																																																(BgL_carzd24413zd2_2256);
																																															if ((CAR(BgL_carzd24413zd2_2256) == CNST_TABLE_REF(((long) 1))))
																																																{	/* Ast/sexp.scm 115 */
																																																	obj_t
																																																		BgL_cdrzd24453zd2_2266;
																																																	BgL_cdrzd24453zd2_2266
																																																		=
																																																		CDR
																																																		(BgL_cdrzd24447zd2_2264);
																																																	{	/* Ast/sexp.scm 115 */
																																																		obj_t
																																																			BgL_carzd24458zd2_2267;
																																																		obj_t
																																																			BgL_cdrzd24459zd2_2268;
																																																		BgL_carzd24458zd2_2267
																																																			=
																																																			CAR
																																																			(BgL_cdrzd24453zd2_2266);
																																																		BgL_cdrzd24459zd2_2268
																																																			=
																																																			CDR
																																																			(BgL_cdrzd24453zd2_2266);
																																																		if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24458zd2_2267))
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (PAIRP(BgL_cdrzd24459zd2_2268))
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_carzd24466zd2_2271;
																																																						BgL_carzd24466zd2_2271
																																																							=
																																																							CAR
																																																							(BgL_cdrzd24459zd2_2268);
																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24466zd2_2271))
																																																							{	/* Ast/sexp.scm 115 */
																																																								if (NULLP(CDR(BgL_cdrzd24459zd2_2268)))
																																																									{	/* Ast/sexp.scm 115 */
																																																										bool_t
																																																											BgL_testz00_7550;
																																																										{
																																																											obj_t
																																																												BgL_l2031z00_2292;
																																																											BgL_l2031z00_2292
																																																												=
																																																												BgL_cdrzd24441zd2_2263;
																																																										BgL_zc3anonymousza32537ze3z83_2293:
																																																											if (NULLP(BgL_l2031z00_2292))
																																																												{	/* Ast/sexp.scm 115 */
																																																													BgL_testz00_7550
																																																														=
																																																														(
																																																														(bool_t)
																																																														1);
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													bool_t
																																																														BgL_testz00_7553;
																																																													{	/* Ast/sexp.scm 115 */
																																																														bool_t
																																																															BgL_testz00_7554;
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_auxz00_7555;
																																																															BgL_auxz00_7555
																																																																=
																																																																CAR
																																																																(BgL_l2031z00_2292);
																																																															BgL_testz00_7554
																																																																=
																																																																PAIRP
																																																																(BgL_auxz00_7555);
																																																														}
																																																														if (BgL_testz00_7554)
																																																															{	/* Ast/sexp.scm 115 */
																																																																BgL_testz00_7553
																																																																	=
																																																																	(
																																																																	(bool_t)
																																																																	0);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																BgL_testz00_7553
																																																																	=
																																																																	(
																																																																	(bool_t)
																																																																	1);
																																																															}
																																																													}
																																																													if (BgL_testz00_7553)
																																																														{
																																																															obj_t
																																																																BgL_l2031z00_7558;
																																																															BgL_l2031z00_7558
																																																																=
																																																																CDR
																																																																(BgL_l2031z00_2292);
																																																															BgL_l2031z00_2292
																																																																=
																																																																BgL_l2031z00_7558;
																																																															goto
																																																																BgL_zc3anonymousza32537ze3z83_2293;
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															BgL_testz00_7550
																																																																=
																																																																(
																																																																(bool_t)
																																																																0);
																																																														}
																																																												}
																																																										}
																																																										if (BgL_testz00_7550)
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_arg2527z00_2275;
																																																												BgL_arg2527z00_2275
																																																													=
																																																													CAR
																																																													(BgL_cdrzd24447zd2_2264);
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_7561;
																																																													{
																																																														obj_t
																																																															BgL_argsz00_7565;
																																																														obj_t
																																																															BgL_proc2z00_7564;
																																																														obj_t
																																																															BgL_proc1z00_7563;
																																																														obj_t
																																																															BgL_testz00_7562;
																																																														BgL_testz00_7562
																																																															=
																																																															BgL_arg2527z00_2275;
																																																														BgL_proc1z00_7563
																																																															=
																																																															BgL_carzd24458zd2_2267;
																																																														BgL_proc2z00_7564
																																																															=
																																																															BgL_carzd24466zd2_2271;
																																																														BgL_argsz00_7565
																																																															=
																																																															BgL_cdrzd24441zd2_2263;
																																																														BgL_argsz00_1622
																																																															=
																																																															BgL_argsz00_7565;
																																																														BgL_proc2z00_1621
																																																															=
																																																															BgL_proc2z00_7564;
																																																														BgL_proc1z00_1620
																																																															=
																																																															BgL_proc1z00_7563;
																																																														BgL_testz00_1619
																																																															=
																																																															BgL_testz00_7562;
																																																														goto
																																																															BgL_tagzd2385zd2_1623;
																																																													}
																																																													BgL_auxz00_7490
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_7561);
																																																												}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd24490zd2_2276;
																																																												BgL_cdrzd24490zd2_2276
																																																													=
																																																													CDR
																																																													(BgL_expz00_21);
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_cdrzd24497zd2_2277;
																																																													BgL_cdrzd24497zd2_2277
																																																														=
																																																														CDR
																																																														(CAR
																																																														(BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd24504zd2_2278;
																																																														BgL_cdrzd24504zd2_2278
																																																															=
																																																															CDR
																																																															(BgL_cdrzd24497zd2_2277);
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_carzd24510zd2_2279;
																																																															BgL_carzd24510zd2_2279
																																																																=
																																																																CAR
																																																																(BgL_cdrzd24504zd2_2278);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24510zd2_2279))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_carzd24517zd2_2281;
																																																																	BgL_carzd24517zd2_2281
																																																																		=
																																																																		CAR
																																																																		(CDR
																																																																		(BgL_cdrzd24504zd2_2278));
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24517zd2_2281))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24490zd2_2276))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					obj_t
																																																																						BgL_arg2531z00_2284;
																																																																					BgL_arg2531z00_2284
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd24497zd2_2277);
																																																																					{
																																																																						BgL_nodez00_bglt
																																																																							BgL_auxz00_7581;
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_7585;
																																																																							obj_t
																																																																								BgL_proc2z00_7584;
																																																																							obj_t
																																																																								BgL_proc1z00_7583;
																																																																							obj_t
																																																																								BgL_testz00_7582;
																																																																							BgL_testz00_7582
																																																																								=
																																																																								BgL_arg2531z00_2284;
																																																																							BgL_proc1z00_7583
																																																																								=
																																																																								BgL_carzd24510zd2_2279;
																																																																							BgL_proc2z00_7584
																																																																								=
																																																																								BgL_carzd24517zd2_2281;
																																																																							BgL_argsz00_7585
																																																																								=
																																																																								BgL_cdrzd24490zd2_2276;
																																																																							BgL_argsz00_1627
																																																																								=
																																																																								BgL_argsz00_7585;
																																																																							BgL_proc2z00_1626
																																																																								=
																																																																								BgL_proc2z00_7584;
																																																																							BgL_proc1z00_1625
																																																																								=
																																																																								BgL_proc1z00_7583;
																																																																							BgL_testz00_1624
																																																																								=
																																																																								BgL_testz00_7582;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1628;
																																																																						}
																																																																						BgL_auxz00_7490
																																																																							=
																																																																							(
																																																																							(obj_t)
																																																																							BgL_auxz00_7581);
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2400zd2_1651;
																																																																						}
																																																																					else
																																																																						{
																																																																							BgL_nodez00_bglt
																																																																								BgL_auxz00_7589;
																																																																							goto
																																																																								BgL_tagzd2401zd2_1652;
																																																																							BgL_auxz00_7490
																																																																								=
																																																																								(
																																																																								(obj_t)
																																																																								BgL_auxz00_7589);
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2400zd2_1651;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_7593;
																																																																					goto
																																																																						BgL_tagzd2401zd2_1652;
																																																																					BgL_auxz00_7490
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_7593);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2400zd2_1651;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_7597;
																																																																			goto
																																																																				BgL_tagzd2401zd2_1652;
																																																																			BgL_auxz00_7490
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_7597);
																																																																		}
																																																																}
																																																														}
																																																													}
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{	/* Ast/sexp.scm 115 */
																																																												goto
																																																													BgL_tagzd2400zd2_1651;
																																																											}
																																																										else
																																																											{
																																																												BgL_nodez00_bglt
																																																													BgL_auxz00_7601;
																																																												goto
																																																													BgL_tagzd2401zd2_1652;
																																																												BgL_auxz00_7490
																																																													=
																																																													(
																																																													(obj_t)
																																																													BgL_auxz00_7601);
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_cdrzd24773zd2_2303;
																																																								BgL_cdrzd24773zd2_2303
																																																									=
																																																									CDR
																																																									(BgL_expz00_21);
																																																								{	/* Ast/sexp.scm 115 */
																																																									obj_t
																																																										BgL_cdrzd24779zd2_2304;
																																																									BgL_cdrzd24779zd2_2304
																																																										=
																																																										CDR
																																																										(CAR
																																																										(BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_cdrzd24785zd2_2305;
																																																										BgL_cdrzd24785zd2_2305
																																																											=
																																																											CDR
																																																											(BgL_cdrzd24779zd2_2304);
																																																										{	/* Ast/sexp.scm 115 */
																																																											obj_t
																																																												BgL_carzd24790zd2_2306;
																																																											obj_t
																																																												BgL_cdrzd24791zd2_2307;
																																																											BgL_carzd24790zd2_2306
																																																												=
																																																												CAR
																																																												(BgL_cdrzd24785zd2_2305);
																																																											BgL_cdrzd24791zd2_2307
																																																												=
																																																												CDR
																																																												(BgL_cdrzd24785zd2_2305);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24790zd2_2306))
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_carzd24796zd2_2309;
																																																													BgL_carzd24796zd2_2309
																																																														=
																																																														CAR
																																																														(BgL_cdrzd24791zd2_2307);
																																																													if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd24796zd2_2309))
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (NULLP(CDR(BgL_cdrzd24791zd2_2307)))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd24773zd2_2303))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_arg2547z00_2313;
																																																																			BgL_arg2547z00_2313
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd24779zd2_2304);
																																																																			{
																																																																				BgL_nodez00_bglt
																																																																					BgL_auxz00_7620;
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_7624;
																																																																					obj_t
																																																																						BgL_proc2z00_7623;
																																																																					obj_t
																																																																						BgL_proc1z00_7622;
																																																																					obj_t
																																																																						BgL_testz00_7621;
																																																																					BgL_testz00_7621
																																																																						=
																																																																						BgL_arg2547z00_2313;
																																																																					BgL_proc1z00_7622
																																																																						=
																																																																						BgL_carzd24790zd2_2306;
																																																																					BgL_proc2z00_7623
																																																																						=
																																																																						BgL_carzd24796zd2_2309;
																																																																					BgL_argsz00_7624
																																																																						=
																																																																						BgL_cdrzd24773zd2_2303;
																																																																					BgL_argsz00_1627
																																																																						=
																																																																						BgL_argsz00_7624;
																																																																					BgL_proc2z00_1626
																																																																						=
																																																																						BgL_proc2z00_7623;
																																																																					BgL_proc1z00_1625
																																																																						=
																																																																						BgL_proc1z00_7622;
																																																																					BgL_testz00_1624
																																																																						=
																																																																						BgL_testz00_7621;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1628;
																																																																				}
																																																																				BgL_auxz00_7490
																																																																					=
																																																																					(
																																																																					(obj_t)
																																																																					BgL_auxz00_7620);
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2400zd2_1651;
																																																																				}
																																																																			else
																																																																				{
																																																																					BgL_nodez00_bglt
																																																																						BgL_auxz00_7628;
																																																																					goto
																																																																						BgL_tagzd2401zd2_1652;
																																																																					BgL_auxz00_7490
																																																																						=
																																																																						(
																																																																						(obj_t)
																																																																						BgL_auxz00_7628);
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2400zd2_1651;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_7632;
																																																																			goto
																																																																				BgL_tagzd2401zd2_1652;
																																																																			BgL_auxz00_7490
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_7632);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd2400zd2_1651;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_7636;
																																																																	goto
																																																																		BgL_tagzd2401zd2_1652;
																																																																	BgL_auxz00_7490
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_7636);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 115 */
																																																															goto
																																																																BgL_tagzd2400zd2_1651;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_7640;
																																																															goto
																																																																BgL_tagzd2401zd2_1652;
																																																															BgL_auxz00_7490
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_7640);
																																																														}
																																																												}
																																																										}
																																																									}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{	/* Ast/sexp.scm 115 */
																																																								goto
																																																									BgL_tagzd2400zd2_1651;
																																																							}
																																																						else
																																																							{
																																																								BgL_nodez00_bglt
																																																									BgL_auxz00_7644;
																																																								goto
																																																									BgL_tagzd2401zd2_1652;
																																																								BgL_auxz00_7490
																																																									=
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_7644);
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				obj_t
																																																					BgL_cdrzd25104zd2_2321;
																																																				BgL_cdrzd25104zd2_2321
																																																					=
																																																					CDR
																																																					(BgL_expz00_21);
																																																				{	/* Ast/sexp.scm 115 */
																																																					obj_t
																																																						BgL_cdrzd25111zd2_2322;
																																																					BgL_cdrzd25111zd2_2322
																																																						=
																																																						CDR
																																																						(CAR
																																																						(BgL_expz00_21));
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_cdrzd25118zd2_2323;
																																																						BgL_cdrzd25118zd2_2323
																																																							=
																																																							CDR
																																																							(BgL_cdrzd25111zd2_2322);
																																																						{	/* Ast/sexp.scm 115 */
																																																							obj_t
																																																								BgL_carzd25124zd2_2324;
																																																							obj_t
																																																								BgL_cdrzd25125zd2_2325;
																																																							BgL_carzd25124zd2_2324
																																																								=
																																																								CAR
																																																								(BgL_cdrzd25118zd2_2323);
																																																							BgL_cdrzd25125zd2_2325
																																																								=
																																																								CDR
																																																								(BgL_cdrzd25118zd2_2323);
																																																							if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25124zd2_2324))
																																																								{	/* Ast/sexp.scm 115 */
																																																									if (PAIRP(BgL_cdrzd25125zd2_2325))
																																																										{	/* Ast/sexp.scm 115 */
																																																											obj_t
																																																												BgL_carzd25132zd2_2328;
																																																											BgL_carzd25132zd2_2328
																																																												=
																																																												CAR
																																																												(BgL_cdrzd25125zd2_2325);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd25132zd2_2328))
																																																												{	/* Ast/sexp.scm 115 */
																																																													if (NULLP(CDR(BgL_cdrzd25125zd2_2325)))
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd25104zd2_2321))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_arg2560z00_2332;
																																																																	BgL_arg2560z00_2332
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd25111zd2_2322);
																																																																	{
																																																																		BgL_nodez00_bglt
																																																																			BgL_auxz00_7665;
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_7669;
																																																																			obj_t
																																																																				BgL_proc2z00_7668;
																																																																			obj_t
																																																																				BgL_proc1z00_7667;
																																																																			obj_t
																																																																				BgL_testz00_7666;
																																																																			BgL_testz00_7666
																																																																				=
																																																																				BgL_arg2560z00_2332;
																																																																			BgL_proc1z00_7667
																																																																				=
																																																																				BgL_carzd25124zd2_2324;
																																																																			BgL_proc2z00_7668
																																																																				=
																																																																				BgL_carzd25132zd2_2328;
																																																																			BgL_argsz00_7669
																																																																				=
																																																																				BgL_cdrzd25104zd2_2321;
																																																																			BgL_argsz00_1627
																																																																				=
																																																																				BgL_argsz00_7669;
																																																																			BgL_proc2z00_1626
																																																																				=
																																																																				BgL_proc2z00_7668;
																																																																			BgL_proc1z00_1625
																																																																				=
																																																																				BgL_proc1z00_7667;
																																																																			BgL_testz00_1624
																																																																				=
																																																																				BgL_testz00_7666;
																																																																			goto
																																																																				BgL_tagzd2386zd2_1628;
																																																																		}
																																																																		BgL_auxz00_7490
																																																																			=
																																																																			(
																																																																			(obj_t)
																																																																			BgL_auxz00_7665);
																																																																	}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2400zd2_1651;
																																																																		}
																																																																	else
																																																																		{
																																																																			BgL_nodez00_bglt
																																																																				BgL_auxz00_7673;
																																																																			goto
																																																																				BgL_tagzd2401zd2_1652;
																																																																			BgL_auxz00_7490
																																																																				=
																																																																				(
																																																																				(obj_t)
																																																																				BgL_auxz00_7673);
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd2400zd2_1651;
																																																																}
																																																															else
																																																																{
																																																																	BgL_nodez00_bglt
																																																																		BgL_auxz00_7677;
																																																																	goto
																																																																		BgL_tagzd2401zd2_1652;
																																																																	BgL_auxz00_7490
																																																																		=
																																																																		(
																																																																		(obj_t)
																																																																		BgL_auxz00_7677);
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{	/* Ast/sexp.scm 115 */
																																																															goto
																																																																BgL_tagzd2400zd2_1651;
																																																														}
																																																													else
																																																														{
																																																															BgL_nodez00_bglt
																																																																BgL_auxz00_7681;
																																																															goto
																																																																BgL_tagzd2401zd2_1652;
																																																															BgL_auxz00_7490
																																																																=
																																																																(
																																																																(obj_t)
																																																																BgL_auxz00_7681);
																																																														}
																																																												}
																																																										}
																																																									else
																																																										{	/* Ast/sexp.scm 115 */
																																																											if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																												{	/* Ast/sexp.scm 115 */
																																																													goto
																																																														BgL_tagzd2400zd2_1651;
																																																												}
																																																											else
																																																												{
																																																													BgL_nodez00_bglt
																																																														BgL_auxz00_7685;
																																																													goto
																																																														BgL_tagzd2401zd2_1652;
																																																													BgL_auxz00_7490
																																																														=
																																																														(
																																																														(obj_t)
																																																														BgL_auxz00_7685);
																																																												}
																																																										}
																																																								}
																																																							else
																																																								{	/* Ast/sexp.scm 115 */
																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																										{	/* Ast/sexp.scm 115 */
																																																											goto
																																																												BgL_tagzd2400zd2_1651;
																																																										}
																																																									else
																																																										{
																																																											BgL_nodez00_bglt
																																																												BgL_auxz00_7689;
																																																											goto
																																																												BgL_tagzd2401zd2_1652;
																																																											BgL_auxz00_7490
																																																												=
																																																												(
																																																												(obj_t)
																																																												BgL_auxz00_7689);
																																																										}
																																																								}
																																																						}
																																																					}
																																																				}
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Ast/sexp.scm 115 */
																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																		{	/* Ast/sexp.scm 115 */
																																																			goto
																																																				BgL_tagzd2400zd2_1651;
																																																		}
																																																	else
																																																		{
																																																			BgL_nodez00_bglt
																																																				BgL_auxz00_7693;
																																																			goto
																																																				BgL_tagzd2401zd2_1652;
																																																			BgL_auxz00_7490
																																																				=
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_7693);
																																																		}
																																																}
																																														}
																																													}
																																											}
																																										}
																																								}
																																						}
																																				}
																																			else
																																				{	/* Ast/sexp.scm 115 */
																																					bool_t
																																						BgL_testz00_7695;
																																					{	/* Ast/sexp.scm 115 */
																																						obj_t
																																							BgL_arg2583z00_2357;
																																						BgL_arg2583z00_2357
																																							=
																																							CAR
																																							(BgL_expz00_21);
																																						BgL_testz00_7695
																																							=
																																							CBOOL
																																							(BGl_letzd2symzf3z21zzast_letz00
																																							(BgL_arg2583z00_2357));
																																					}
																																					if (BgL_testz00_7695)
																																						{
																																							BgL_nodez00_bglt
																																								BgL_auxz00_7699;
																																							goto
																																								BgL_tagzd2381zd2_1609;
																																							BgL_auxz00_7490
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_7699);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							bool_t
																																								BgL_testz00_7701;
																																							{	/* Ast/sexp.scm 115 */
																																								obj_t
																																									BgL_arg2582z00_2356;
																																								BgL_arg2582z00_2356
																																									=
																																									CAR
																																									(BgL_expz00_21);
																																								BgL_testz00_7701
																																									=
																																									CBOOL
																																									(BGl_labelszd2symzf3z21zzast_labelsz00
																																									(BgL_arg2582z00_2356));
																																							}
																																							if (BgL_testz00_7701)
																																								{
																																									BgL_letzd2funzd2_bglt
																																										BgL_auxz00_7705;
																																									goto
																																										BgL_tagzd2382zd2_1610;
																																									BgL_auxz00_7490
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_7705);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									obj_t
																																										BgL_carzd25537zd2_2348;
																																									BgL_carzd25537zd2_2348
																																										=
																																										CAR
																																										(BgL_expz00_21);
																																									{	/* Ast/sexp.scm 115 */
																																										obj_t
																																											BgL_cdrzd25542zd2_2349;
																																										BgL_cdrzd25542zd2_2349
																																											=
																																											CDR
																																											(BgL_carzd25537zd2_2348);
																																										if ((CAR(BgL_carzd25537zd2_2348) == CNST_TABLE_REF(((long) 3))))
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_arg2577z00_2351;
																																												obj_t
																																													BgL_arg2578z00_2352;
																																												obj_t
																																													BgL_arg2579z00_2353;
																																												BgL_arg2577z00_2351
																																													=
																																													CAR
																																													(BgL_cdrzd25542zd2_2349);
																																												BgL_arg2578z00_2352
																																													=
																																													CDR
																																													(BgL_cdrzd25542zd2_2349);
																																												BgL_arg2579z00_2353
																																													=
																																													CDR
																																													(BgL_expz00_21);
																																												{
																																													BgL_nodez00_bglt
																																														BgL_auxz00_7716;
																																													{
																																														obj_t
																																															BgL_argsz00_7719;
																																														obj_t
																																															BgL_bodyz00_7718;
																																														obj_t
																																															BgL_varsz00_7717;
																																														BgL_varsz00_7717
																																															=
																																															BgL_arg2577z00_2351;
																																														BgL_bodyz00_7718
																																															=
																																															BgL_arg2578z00_2352;
																																														BgL_argsz00_7719
																																															=
																																															BgL_arg2579z00_2353;
																																														BgL_argsz00_1617
																																															=
																																															BgL_argsz00_7719;
																																														BgL_bodyz00_1616
																																															=
																																															BgL_bodyz00_7718;
																																														BgL_varsz00_1615
																																															=
																																															BgL_varsz00_7717;
																																														goto
																																															BgL_tagzd2384zd2_1618;
																																													}
																																													BgL_auxz00_7490
																																														=
																																														(
																																														(obj_t)
																																														BgL_auxz00_7716);
																																												}
																																											}
																																										else
																																											{	/* Ast/sexp.scm 115 */
																																												if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																													{	/* Ast/sexp.scm 115 */
																																														goto
																																															BgL_tagzd2400zd2_1651;
																																													}
																																												else
																																													{
																																														BgL_nodez00_bglt
																																															BgL_auxz00_7723;
																																														goto
																																															BgL_tagzd2401zd2_1652;
																																														BgL_auxz00_7490
																																															=
																																															(
																																															(obj_t)
																																															BgL_auxz00_7723);
																																													}
																																											}
																																									}
																																								}
																																						}
																																				}
																																		}
																																	else
																																		{	/* Ast/sexp.scm 115 */
																																			bool_t
																																				BgL_testz00_7725;
																																			{	/* Ast/sexp.scm 115 */
																																				obj_t
																																					BgL_arg2588z00_2362;
																																				BgL_arg2588z00_2362
																																					=
																																					CAR
																																					(BgL_expz00_21);
																																				BgL_testz00_7725
																																					=
																																					CBOOL
																																					(BGl_letzd2symzf3z21zzast_letz00
																																					(BgL_arg2588z00_2362));
																																			}
																																			if (BgL_testz00_7725)
																																				{
																																					BgL_nodez00_bglt
																																						BgL_auxz00_7729;
																																					goto
																																						BgL_tagzd2381zd2_1609;
																																					BgL_auxz00_7490
																																						=
																																						(
																																						(obj_t)
																																						BgL_auxz00_7729);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 115 */
																																					bool_t
																																						BgL_testz00_7731;
																																					{	/* Ast/sexp.scm 115 */
																																						obj_t
																																							BgL_arg2587z00_2361;
																																						BgL_arg2587z00_2361
																																							=
																																							CAR
																																							(BgL_expz00_21);
																																						BgL_testz00_7731
																																							=
																																							CBOOL
																																							(BGl_labelszd2symzf3z21zzast_labelsz00
																																							(BgL_arg2587z00_2361));
																																					}
																																					if (BgL_testz00_7731)
																																						{
																																							BgL_letzd2funzd2_bglt
																																								BgL_auxz00_7735;
																																							goto
																																								BgL_tagzd2382zd2_1610;
																																							BgL_auxz00_7490
																																								=
																																								(
																																								(obj_t)
																																								BgL_auxz00_7735);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																								{	/* Ast/sexp.scm 115 */
																																									goto
																																										BgL_tagzd2400zd2_1651;
																																								}
																																							else
																																								{
																																									BgL_nodez00_bglt
																																										BgL_auxz00_7739;
																																									goto
																																										BgL_tagzd2401zd2_1652;
																																									BgL_auxz00_7490
																																										=
																																										(
																																										(obj_t)
																																										BgL_auxz00_7739);
																																								}
																																						}
																																				}
																																		}
																																	return
																																		(
																																		(BgL_nodez00_bglt)
																																		BgL_auxz00_7490);
																																}
																															else
																																{	/* Ast/sexp.scm 115 */
																																	if (CBOOL
																																		(BGl_letzd2symzf3z21zzast_letz00
																																			(BgL_carzd24341zd2_2083)))
																																		{
																																			obj_t
																																				BgL_auxz00_7745;
																																			goto
																																				BgL_kapzd24343zd2_2085;
																																			return (
																																				(BgL_nodez00_bglt)
																																				BgL_auxz00_7745);
																																		}
																																	else
																																		{	/* Ast/sexp.scm 115 */
																																			if (
																																				(BgL_carzd24341zd2_2083
																																					==
																																					CNST_TABLE_REF
																																					(((long) 19))))
																																				{
																																					obj_t
																																						BgL_auxz00_7750;
																																					goto
																																						BgL_kapzd24343zd2_2085;
																																					return
																																						(
																																						(BgL_nodez00_bglt)
																																						BgL_auxz00_7750);
																																				}
																																			else
																																				{	/* Ast/sexp.scm 115 */
																																					if (
																																						(BgL_carzd24341zd2_2083
																																							==
																																							CNST_TABLE_REF
																																							(((long) 20))))
																																						{
																																							obj_t
																																								BgL_auxz00_7755;
																																							goto
																																								BgL_kapzd24343zd2_2085;
																																							return
																																								(
																																								(BgL_nodez00_bglt)
																																								BgL_auxz00_7755);
																																						}
																																					else
																																						{	/* Ast/sexp.scm 115 */
																																							if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd24341zd2_2083)))
																																								{
																																									obj_t
																																										BgL_auxz00_7760;
																																									goto
																																										BgL_kapzd24343zd2_2085;
																																									return
																																										(
																																										(BgL_nodez00_bglt)
																																										BgL_auxz00_7760);
																																								}
																																							else
																																								{	/* Ast/sexp.scm 115 */
																																									bool_t
																																										BgL_testz00_7762;
																																									{	/* Ast/sexp.scm 115 */
																																										obj_t
																																											BgL_arg2509z00_2247;
																																										BgL_arg2509z00_2247
																																											=
																																											CAR
																																											(BgL_expz00_21);
																																										BgL_testz00_7762
																																											=
																																											CBOOL
																																											(BGl_letzd2symzf3z21zzast_letz00
																																											(BgL_arg2509z00_2247));
																																									}
																																									if (BgL_testz00_7762)
																																										{	/* Ast/sexp.scm 115 */
																																											goto
																																												BgL_tagzd2381zd2_1609;
																																										}
																																									else
																																										{	/* Ast/sexp.scm 115 */
																																											bool_t
																																												BgL_testz00_7766;
																																											{	/* Ast/sexp.scm 115 */
																																												obj_t
																																													BgL_arg2508z00_2246;
																																												BgL_arg2508z00_2246
																																													=
																																													CAR
																																													(BgL_expz00_21);
																																												BgL_testz00_7766
																																													=
																																													CBOOL
																																													(BGl_labelszd2symzf3z21zzast_labelsz00
																																													(BgL_arg2508z00_2246));
																																											}
																																											if (BgL_testz00_7766)
																																												{
																																													BgL_letzd2funzd2_bglt
																																														BgL_auxz00_7770;
																																													goto
																																														BgL_tagzd2382zd2_1610;
																																													return
																																														(
																																														(BgL_nodez00_bglt)
																																														BgL_auxz00_7770);
																																												}
																																											else
																																												{	/* Ast/sexp.scm 115 */
																																													obj_t
																																														BgL_carzd25820zd2_2093;
																																													obj_t
																																														BgL_cdrzd25821zd2_2094;
																																													BgL_carzd25820zd2_2093
																																														=
																																														CAR
																																														(BgL_expz00_21);
																																													BgL_cdrzd25821zd2_2094
																																														=
																																														CDR
																																														(BgL_expz00_21);
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_cdrzd25825zd2_2095;
																																														BgL_cdrzd25825zd2_2095
																																															=
																																															CDR
																																															(BgL_carzd25820zd2_2093);
																																														if ((CAR(BgL_carzd25820zd2_2093) == CNST_TABLE_REF(((long) 3))))
																																															{	/* Ast/sexp.scm 115 */
																																																if (PAIRP(BgL_cdrzd25825zd2_2095))
																																																	{	/* Ast/sexp.scm 115 */
																																																		obj_t
																																																			BgL_carzd25828zd2_2098;
																																																		obj_t
																																																			BgL_cdrzd25829zd2_2099;
																																																		BgL_carzd25828zd2_2098
																																																			=
																																																			CAR
																																																			(BgL_cdrzd25825zd2_2095);
																																																		BgL_cdrzd25829zd2_2099
																																																			=
																																																			CDR
																																																			(BgL_cdrzd25825zd2_2095);
																																																		if (PAIRP(BgL_carzd25828zd2_2098))
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (NULLP(CDR(BgL_carzd25828zd2_2098)))
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (PAIRP(BgL_cdrzd25829zd2_2099))
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_carzd25835zd2_2103;
																																																								BgL_carzd25835zd2_2103
																																																									=
																																																									CAR
																																																									(BgL_cdrzd25829zd2_2099);
																																																								if (PAIRP(BgL_carzd25835zd2_2103))
																																																									{	/* Ast/sexp.scm 115 */
																																																										if (BGl_castzd2sexpzf3z21zzast_privatez00(BgL_carzd25835zd2_2103))
																																																											{	/* Ast/sexp.scm 115 */
																																																												if (NULLP(CDR(BgL_cdrzd25829zd2_2099)))
																																																													{	/* Ast/sexp.scm 115 */
																																																														if (PAIRP(BgL_cdrzd25821zd2_2094))
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_carzd25842zd2_2108;
																																																																BgL_carzd25842zd2_2108
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd25821zd2_2094);
																																																																if (PAIRP(BgL_carzd25842zd2_2108))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_cdrzd25866zd2_2110;
																																																																		BgL_cdrzd25866zd2_2110
																																																																			=
																																																																			CDR
																																																																			(CAR
																																																																			(BgL_expz00_21));
																																																																		{
																																																																			obj_t
																																																																				BgL_argsz00_7809;
																																																																			obj_t
																																																																				BgL_bodyz00_7807;
																																																																			obj_t
																																																																				BgL_varsz00_7805;
																																																																			BgL_varsz00_7805
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd25866zd2_2110);
																																																																			BgL_bodyz00_7807
																																																																				=
																																																																				CDR
																																																																				(BgL_cdrzd25866zd2_2110);
																																																																			BgL_argsz00_7809
																																																																				=
																																																																				CDR
																																																																				(BgL_expz00_21);
																																																																			BgL_argsz00_1617
																																																																				=
																																																																				BgL_argsz00_7809;
																																																																			BgL_bodyz00_1616
																																																																				=
																																																																				BgL_bodyz00_7807;
																																																																			BgL_varsz00_1615
																																																																				=
																																																																				BgL_varsz00_7805;
																																																																			goto
																																																																				BgL_tagzd2384zd2_1618;
																																																																		}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (NULLP(CDR(BgL_cdrzd25821zd2_2094)))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				obj_t
																																																																					BgL_arg2411z00_2116;
																																																																				BgL_arg2411z00_2116
																																																																					=
																																																																					CAR
																																																																					(BgL_carzd25828zd2_2098);
																																																																				{
																																																																					BgL_castz00_bglt
																																																																						BgL_auxz00_7815;
																																																																					{
																																																																						obj_t
																																																																							BgL_argz00_7818;
																																																																						obj_t
																																																																							BgL_bodyz00_7817;
																																																																						obj_t
																																																																							BgL_varz00_7816;
																																																																						BgL_varz00_7816
																																																																							=
																																																																							BgL_arg2411z00_2116;
																																																																						BgL_bodyz00_7817
																																																																							=
																																																																							BgL_carzd25835zd2_2103;
																																																																						BgL_argz00_7818
																																																																							=
																																																																							BgL_carzd25842zd2_2108;
																																																																						BgL_argz00_1613
																																																																							=
																																																																							BgL_argz00_7818;
																																																																						BgL_bodyz00_1612
																																																																							=
																																																																							BgL_bodyz00_7817;
																																																																						BgL_varz00_1611
																																																																							=
																																																																							BgL_varz00_7816;
																																																																						goto
																																																																							BgL_tagzd2383zd2_1614;
																																																																					}
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_7815);
																																																																				}
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				obj_t
																																																																					BgL_cdrzd25893zd2_2117;
																																																																				BgL_cdrzd25893zd2_2117
																																																																					=
																																																																					CDR
																																																																					(CAR
																																																																					(BgL_expz00_21));
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_7826;
																																																																					obj_t
																																																																						BgL_bodyz00_7824;
																																																																					obj_t
																																																																						BgL_varsz00_7822;
																																																																					BgL_varsz00_7822
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd25893zd2_2117);
																																																																					BgL_bodyz00_7824
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd25893zd2_2117);
																																																																					BgL_argsz00_7826
																																																																						=
																																																																						CDR
																																																																						(BgL_expz00_21);
																																																																					BgL_argsz00_1617
																																																																						=
																																																																						BgL_argsz00_7826;
																																																																					BgL_bodyz00_1616
																																																																						=
																																																																						BgL_bodyz00_7824;
																																																																					BgL_varsz00_1615
																																																																						=
																																																																						BgL_varsz00_7822;
																																																																					goto
																																																																						BgL_tagzd2384zd2_1618;
																																																																				}
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_cdrzd25919zd2_2123;
																																																																BgL_cdrzd25919zd2_2123
																																																																	=
																																																																	CDR
																																																																	(CAR
																																																																	(BgL_expz00_21));
																																																																{
																																																																	obj_t
																																																																		BgL_argsz00_7834;
																																																																	obj_t
																																																																		BgL_bodyz00_7832;
																																																																	obj_t
																																																																		BgL_varsz00_7830;
																																																																	BgL_varsz00_7830
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd25919zd2_2123);
																																																																	BgL_bodyz00_7832
																																																																		=
																																																																		CDR
																																																																		(BgL_cdrzd25919zd2_2123);
																																																																	BgL_argsz00_7834
																																																																		=
																																																																		CDR
																																																																		(BgL_expz00_21);
																																																																	BgL_argsz00_1617
																																																																		=
																																																																		BgL_argsz00_7834;
																																																																	BgL_bodyz00_1616
																																																																		=
																																																																		BgL_bodyz00_7832;
																																																																	BgL_varsz00_1615
																																																																		=
																																																																		BgL_varsz00_7830;
																																																																	goto
																																																																		BgL_tagzd2384zd2_1618;
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd25945zd2_2128;
																																																														BgL_cdrzd25945zd2_2128
																																																															=
																																																															CDR
																																																															(CAR
																																																															(BgL_expz00_21));
																																																														{
																																																															obj_t
																																																																BgL_argsz00_7842;
																																																															obj_t
																																																																BgL_bodyz00_7840;
																																																															obj_t
																																																																BgL_varsz00_7838;
																																																															BgL_varsz00_7838
																																																																=
																																																																CAR
																																																																(BgL_cdrzd25945zd2_2128);
																																																															BgL_bodyz00_7840
																																																																=
																																																																CDR
																																																																(BgL_cdrzd25945zd2_2128);
																																																															BgL_argsz00_7842
																																																																=
																																																																CDR
																																																																(BgL_expz00_21);
																																																															BgL_argsz00_1617
																																																																=
																																																																BgL_argsz00_7842;
																																																															BgL_bodyz00_1616
																																																																=
																																																																BgL_bodyz00_7840;
																																																															BgL_varsz00_1615
																																																																=
																																																																BgL_varsz00_7838;
																																																															goto
																																																																BgL_tagzd2384zd2_1618;
																																																														}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd25971zd2_2134;
																																																												BgL_cdrzd25971zd2_2134
																																																													=
																																																													CDR
																																																													(CAR
																																																													(BgL_expz00_21));
																																																												{
																																																													obj_t
																																																														BgL_argsz00_7850;
																																																													obj_t
																																																														BgL_bodyz00_7848;
																																																													obj_t
																																																														BgL_varsz00_7846;
																																																													BgL_varsz00_7846
																																																														=
																																																														CAR
																																																														(BgL_cdrzd25971zd2_2134);
																																																													BgL_bodyz00_7848
																																																														=
																																																														CDR
																																																														(BgL_cdrzd25971zd2_2134);
																																																													BgL_argsz00_7850
																																																														=
																																																														CDR
																																																														(BgL_expz00_21);
																																																													BgL_argsz00_1617
																																																														=
																																																														BgL_argsz00_7850;
																																																													BgL_bodyz00_1616
																																																														=
																																																														BgL_bodyz00_7848;
																																																													BgL_varsz00_1615
																																																														=
																																																														BgL_varsz00_7846;
																																																													goto
																																																														BgL_tagzd2384zd2_1618;
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_cdrzd25997zd2_2139;
																																																										BgL_cdrzd25997zd2_2139
																																																											=
																																																											CDR
																																																											(BgL_carzd25820zd2_2093);
																																																										{
																																																											obj_t
																																																												BgL_argsz00_7857;
																																																											obj_t
																																																												BgL_bodyz00_7855;
																																																											obj_t
																																																												BgL_varsz00_7853;
																																																											BgL_varsz00_7853
																																																												=
																																																												CAR
																																																												(BgL_cdrzd25997zd2_2139);
																																																											BgL_bodyz00_7855
																																																												=
																																																												CDR
																																																												(BgL_cdrzd25997zd2_2139);
																																																											BgL_argsz00_7857
																																																												=
																																																												CDR
																																																												(BgL_expz00_21);
																																																											BgL_argsz00_1617
																																																												=
																																																												BgL_argsz00_7857;
																																																											BgL_bodyz00_1616
																																																												=
																																																												BgL_bodyz00_7855;
																																																											BgL_varsz00_1615
																																																												=
																																																												BgL_varsz00_7853;
																																																											goto
																																																												BgL_tagzd2384zd2_1618;
																																																										}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_cdrzd26023zd2_2144;
																																																								BgL_cdrzd26023zd2_2144
																																																									=
																																																									CDR
																																																									(BgL_carzd25820zd2_2093);
																																																								{
																																																									obj_t
																																																										BgL_argsz00_7864;
																																																									obj_t
																																																										BgL_bodyz00_7862;
																																																									obj_t
																																																										BgL_varsz00_7860;
																																																									BgL_varsz00_7860
																																																										=
																																																										CAR
																																																										(BgL_cdrzd26023zd2_2144);
																																																									BgL_bodyz00_7862
																																																										=
																																																										CDR
																																																										(BgL_cdrzd26023zd2_2144);
																																																									BgL_argsz00_7864
																																																										=
																																																										CDR
																																																										(BgL_expz00_21);
																																																									BgL_argsz00_1617
																																																										=
																																																										BgL_argsz00_7864;
																																																									BgL_bodyz00_1616
																																																										=
																																																										BgL_bodyz00_7862;
																																																									BgL_varsz00_1615
																																																										=
																																																										BgL_varsz00_7860;
																																																									goto
																																																										BgL_tagzd2384zd2_1618;
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_cdrzd26049zd2_2149;
																																																						BgL_cdrzd26049zd2_2149
																																																							=
																																																							CDR
																																																							(BgL_carzd25820zd2_2093);
																																																						{
																																																							obj_t
																																																								BgL_argsz00_7871;
																																																							obj_t
																																																								BgL_bodyz00_7869;
																																																							obj_t
																																																								BgL_varsz00_7867;
																																																							BgL_varsz00_7867
																																																								=
																																																								CAR
																																																								(BgL_cdrzd26049zd2_2149);
																																																							BgL_bodyz00_7869
																																																								=
																																																								CDR
																																																								(BgL_cdrzd26049zd2_2149);
																																																							BgL_argsz00_7871
																																																								=
																																																								CDR
																																																								(BgL_expz00_21);
																																																							BgL_argsz00_1617
																																																								=
																																																								BgL_argsz00_7871;
																																																							BgL_bodyz00_1616
																																																								=
																																																								BgL_bodyz00_7869;
																																																							BgL_varsz00_1615
																																																								=
																																																								BgL_varsz00_7867;
																																																							goto
																																																								BgL_tagzd2384zd2_1618;
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				obj_t
																																																					BgL_cdrzd26075zd2_2155;
																																																				BgL_cdrzd26075zd2_2155
																																																					=
																																																					CDR
																																																					(BgL_carzd25820zd2_2093);
																																																				{
																																																					obj_t
																																																						BgL_argsz00_7878;
																																																					obj_t
																																																						BgL_bodyz00_7876;
																																																					obj_t
																																																						BgL_varsz00_7874;
																																																					BgL_varsz00_7874
																																																						=
																																																						CAR
																																																						(BgL_cdrzd26075zd2_2155);
																																																					BgL_bodyz00_7876
																																																						=
																																																						CDR
																																																						(BgL_cdrzd26075zd2_2155);
																																																					BgL_argsz00_7878
																																																						=
																																																						CDR
																																																						(BgL_expz00_21);
																																																					BgL_argsz00_1617
																																																						=
																																																						BgL_argsz00_7878;
																																																					BgL_bodyz00_1616
																																																						=
																																																						BgL_bodyz00_7876;
																																																					BgL_varsz00_1615
																																																						=
																																																						BgL_varsz00_7874;
																																																					goto
																																																						BgL_tagzd2384zd2_1618;
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																			{
																																																				obj_t
																																																					BgL_auxz00_7882;
																																																				goto
																																																					BgL_tagzd2400zd2_1651;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_7882);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				goto
																																																					BgL_tagzd2401zd2_1652;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 115 */
																																																obj_t
																																																	BgL_cdrzd26208zd2_2163;
																																																BgL_cdrzd26208zd2_2163
																																																	=
																																																	CDR
																																																	(BgL_carzd25820zd2_2093);
																																																if ((CAR(BgL_carzd25820zd2_2093) == CNST_TABLE_REF(((long) 1))))
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (PAIRP(BgL_cdrzd26208zd2_2163))
																																																			{	/* Ast/sexp.scm 115 */
																																																				obj_t
																																																					BgL_cdrzd26213zd2_2166;
																																																				BgL_cdrzd26213zd2_2166
																																																					=
																																																					CDR
																																																					(BgL_cdrzd26208zd2_2163);
																																																				if (PAIRP(BgL_cdrzd26213zd2_2166))
																																																					{	/* Ast/sexp.scm 115 */
																																																						obj_t
																																																							BgL_carzd26217zd2_2168;
																																																						obj_t
																																																							BgL_cdrzd26218zd2_2169;
																																																						BgL_carzd26217zd2_2168
																																																							=
																																																							CAR
																																																							(BgL_cdrzd26213zd2_2166);
																																																						BgL_cdrzd26218zd2_2169
																																																							=
																																																							CDR
																																																							(BgL_cdrzd26213zd2_2166);
																																																						if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26217zd2_2168))
																																																							{	/* Ast/sexp.scm 115 */
																																																								if (PAIRP(BgL_cdrzd26218zd2_2169))
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_carzd26223zd2_2172;
																																																										BgL_carzd26223zd2_2172
																																																											=
																																																											CAR
																																																											(BgL_cdrzd26218zd2_2169);
																																																										if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26223zd2_2172))
																																																											{	/* Ast/sexp.scm 115 */
																																																												if (NULLP(CDR(BgL_cdrzd26218zd2_2169)))
																																																													{	/* Ast/sexp.scm 115 */
																																																														bool_t
																																																															BgL_testz00_7906;
																																																														{
																																																															obj_t
																																																																BgL_l2034z00_2193;
																																																															BgL_l2034z00_2193
																																																																=
																																																																BgL_cdrzd25821zd2_2094;
																																																														BgL_zc3anonymousza32471ze3z83_2194:
																																																															if (NULLP(BgL_l2034z00_2193))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	BgL_testz00_7906
																																																																		=
																																																																		(
																																																																		(bool_t)
																																																																		1);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	bool_t
																																																																		BgL_testz00_7909;
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		bool_t
																																																																			BgL_testz00_7910;
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_auxz00_7911;
																																																																			BgL_auxz00_7911
																																																																				=
																																																																				CAR
																																																																				(BgL_l2034z00_2193);
																																																																			BgL_testz00_7910
																																																																				=
																																																																				PAIRP
																																																																				(BgL_auxz00_7911);
																																																																		}
																																																																		if (BgL_testz00_7910)
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				BgL_testz00_7909
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					0);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				BgL_testz00_7909
																																																																					=
																																																																					(
																																																																					(bool_t)
																																																																					1);
																																																																			}
																																																																	}
																																																																	if (BgL_testz00_7909)
																																																																		{
																																																																			obj_t
																																																																				BgL_l2034z00_7914;
																																																																			BgL_l2034z00_7914
																																																																				=
																																																																				CDR
																																																																				(BgL_l2034z00_2193);
																																																																			BgL_l2034z00_2193
																																																																				=
																																																																				BgL_l2034z00_7914;
																																																																			goto
																																																																				BgL_zc3anonymousza32471ze3z83_2194;
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			BgL_testz00_7906
																																																																				=
																																																																				(
																																																																				(bool_t)
																																																																				0);
																																																																		}
																																																																}
																																																														}
																																																														if (BgL_testz00_7906)
																																																															{
																																																																obj_t
																																																																	BgL_argsz00_7920;
																																																																obj_t
																																																																	BgL_proc2z00_7919;
																																																																obj_t
																																																																	BgL_proc1z00_7918;
																																																																obj_t
																																																																	BgL_testz00_7916;
																																																																BgL_testz00_7916
																																																																	=
																																																																	CAR
																																																																	(BgL_cdrzd26208zd2_2163);
																																																																BgL_proc1z00_7918
																																																																	=
																																																																	BgL_carzd26217zd2_2168;
																																																																BgL_proc2z00_7919
																																																																	=
																																																																	BgL_carzd26223zd2_2172;
																																																																BgL_argsz00_7920
																																																																	=
																																																																	BgL_cdrzd25821zd2_2094;
																																																																BgL_argsz00_1622
																																																																	=
																																																																	BgL_argsz00_7920;
																																																																BgL_proc2z00_1621
																																																																	=
																																																																	BgL_proc2z00_7919;
																																																																BgL_proc1z00_1620
																																																																	=
																																																																	BgL_proc1z00_7918;
																																																																BgL_testz00_1619
																																																																	=
																																																																	BgL_testz00_7916;
																																																																goto
																																																																	BgL_tagzd2385zd2_1623;
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_cdrzd26248zd2_2177;
																																																																BgL_cdrzd26248zd2_2177
																																																																	=
																																																																	CDR
																																																																	(BgL_expz00_21);
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_cdrzd26256zd2_2178;
																																																																	BgL_cdrzd26256zd2_2178
																																																																		=
																																																																		CDR
																																																																		(CAR
																																																																		(BgL_expz00_21));
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_cdrzd26264zd2_2179;
																																																																		BgL_cdrzd26264zd2_2179
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd26256zd2_2178);
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			obj_t
																																																																				BgL_carzd26271zd2_2180;
																																																																			BgL_carzd26271zd2_2180
																																																																				=
																																																																				CAR
																																																																				(BgL_cdrzd26264zd2_2179);
																																																																			if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26271zd2_2180))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					obj_t
																																																																						BgL_carzd26280zd2_2182;
																																																																					BgL_carzd26280zd2_2182
																																																																						=
																																																																						CAR
																																																																						(CDR
																																																																						(BgL_cdrzd26264zd2_2179));
																																																																					if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26280zd2_2182))
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd26248zd2_2177))
																																																																								{
																																																																									obj_t
																																																																										BgL_argsz00_7938;
																																																																									obj_t
																																																																										BgL_proc2z00_7937;
																																																																									obj_t
																																																																										BgL_proc1z00_7936;
																																																																									obj_t
																																																																										BgL_testz00_7934;
																																																																									BgL_testz00_7934
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd26256zd2_2178);
																																																																									BgL_proc1z00_7936
																																																																										=
																																																																										BgL_carzd26271zd2_2180;
																																																																									BgL_proc2z00_7937
																																																																										=
																																																																										BgL_carzd26280zd2_2182;
																																																																									BgL_argsz00_7938
																																																																										=
																																																																										BgL_cdrzd26248zd2_2177;
																																																																									BgL_argsz00_1627
																																																																										=
																																																																										BgL_argsz00_7938;
																																																																									BgL_proc2z00_1626
																																																																										=
																																																																										BgL_proc2z00_7937;
																																																																									BgL_proc1z00_1625
																																																																										=
																																																																										BgL_proc1z00_7936;
																																																																									BgL_testz00_1624
																																																																										=
																																																																										BgL_testz00_7934;
																																																																									goto
																																																																										BgL_tagzd2386zd2_1628;
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																										{
																																																																											obj_t
																																																																												BgL_auxz00_7941;
																																																																											goto
																																																																												BgL_tagzd2400zd2_1651;
																																																																											return
																																																																												(
																																																																												(BgL_nodez00_bglt)
																																																																												BgL_auxz00_7941);
																																																																										}
																																																																									else
																																																																										{	/* Ast/sexp.scm 115 */
																																																																											goto
																																																																												BgL_tagzd2401zd2_1652;
																																																																										}
																																																																								}
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_7945;
																																																																									goto
																																																																										BgL_tagzd2400zd2_1651;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_7945);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									goto
																																																																										BgL_tagzd2401zd2_1652;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_7949;
																																																																							goto
																																																																								BgL_tagzd2400zd2_1651;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_7949);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2401zd2_1652;
																																																																						}
																																																																				}
																																																																		}
																																																																	}
																																																																}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																															{
																																																																obj_t
																																																																	BgL_auxz00_7953;
																																																																goto
																																																																	BgL_tagzd2400zd2_1651;
																																																																return
																																																																	(
																																																																	(BgL_nodez00_bglt)
																																																																	BgL_auxz00_7953);
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																goto
																																																																	BgL_tagzd2401zd2_1652;
																																																															}
																																																													}
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd26538zd2_2204;
																																																												BgL_cdrzd26538zd2_2204
																																																													=
																																																													CDR
																																																													(BgL_expz00_21);
																																																												{	/* Ast/sexp.scm 115 */
																																																													obj_t
																																																														BgL_cdrzd26545zd2_2205;
																																																													BgL_cdrzd26545zd2_2205
																																																														=
																																																														CDR
																																																														(CAR
																																																														(BgL_expz00_21));
																																																													{	/* Ast/sexp.scm 115 */
																																																														obj_t
																																																															BgL_cdrzd26552zd2_2206;
																																																														BgL_cdrzd26552zd2_2206
																																																															=
																																																															CDR
																																																															(BgL_cdrzd26545zd2_2205);
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_carzd26558zd2_2207;
																																																															obj_t
																																																																BgL_cdrzd26559zd2_2208;
																																																															BgL_carzd26558zd2_2207
																																																																=
																																																																CAR
																																																																(BgL_cdrzd26552zd2_2206);
																																																															BgL_cdrzd26559zd2_2208
																																																																=
																																																																CDR
																																																																(BgL_cdrzd26552zd2_2206);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26558zd2_2207))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	obj_t
																																																																		BgL_carzd26566zd2_2210;
																																																																	BgL_carzd26566zd2_2210
																																																																		=
																																																																		CAR
																																																																		(BgL_cdrzd26559zd2_2208);
																																																																	if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26566zd2_2210))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (NULLP(CDR(BgL_cdrzd26559zd2_2208)))
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd26538zd2_2204))
																																																																						{
																																																																							obj_t
																																																																								BgL_argsz00_7975;
																																																																							obj_t
																																																																								BgL_proc2z00_7974;
																																																																							obj_t
																																																																								BgL_proc1z00_7973;
																																																																							obj_t
																																																																								BgL_testz00_7971;
																																																																							BgL_testz00_7971
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd26545zd2_2205);
																																																																							BgL_proc1z00_7973
																																																																								=
																																																																								BgL_carzd26558zd2_2207;
																																																																							BgL_proc2z00_7974
																																																																								=
																																																																								BgL_carzd26566zd2_2210;
																																																																							BgL_argsz00_7975
																																																																								=
																																																																								BgL_cdrzd26538zd2_2204;
																																																																							BgL_argsz00_1627
																																																																								=
																																																																								BgL_argsz00_7975;
																																																																							BgL_proc2z00_1626
																																																																								=
																																																																								BgL_proc2z00_7974;
																																																																							BgL_proc1z00_1625
																																																																								=
																																																																								BgL_proc1z00_7973;
																																																																							BgL_testz00_1624
																																																																								=
																																																																								BgL_testz00_7971;
																																																																							goto
																																																																								BgL_tagzd2386zd2_1628;
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																								{
																																																																									obj_t
																																																																										BgL_auxz00_7978;
																																																																									goto
																																																																										BgL_tagzd2400zd2_1651;
																																																																									return
																																																																										(
																																																																										(BgL_nodez00_bglt)
																																																																										BgL_auxz00_7978);
																																																																								}
																																																																							else
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									goto
																																																																										BgL_tagzd2401zd2_1652;
																																																																								}
																																																																						}
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_7982;
																																																																							goto
																																																																								BgL_tagzd2400zd2_1651;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_7982);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2401zd2_1652;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_7986;
																																																																					goto
																																																																						BgL_tagzd2400zd2_1651;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_7986);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2401zd2_1652;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_7990;
																																																																			goto
																																																																				BgL_tagzd2400zd2_1651;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_7990);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2401zd2_1652;
																																																																		}
																																																																}
																																																														}
																																																													}
																																																												}
																																																											}
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																											{
																																																												obj_t
																																																													BgL_auxz00_7994;
																																																												goto
																																																													BgL_tagzd2400zd2_1651;
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_7994);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												goto
																																																													BgL_tagzd2401zd2_1652;
																																																											}
																																																									}
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								obj_t
																																																									BgL_cdrzd26874zd2_2222;
																																																								BgL_cdrzd26874zd2_2222
																																																									=
																																																									CDR
																																																									(BgL_expz00_21);
																																																								{	/* Ast/sexp.scm 115 */
																																																									obj_t
																																																										BgL_cdrzd26880zd2_2223;
																																																									BgL_cdrzd26880zd2_2223
																																																										=
																																																										CDR
																																																										(CAR
																																																										(BgL_expz00_21));
																																																									{	/* Ast/sexp.scm 115 */
																																																										obj_t
																																																											BgL_cdrzd26886zd2_2224;
																																																										BgL_cdrzd26886zd2_2224
																																																											=
																																																											CDR
																																																											(BgL_cdrzd26880zd2_2223);
																																																										{	/* Ast/sexp.scm 115 */
																																																											obj_t
																																																												BgL_carzd26891zd2_2225;
																																																											obj_t
																																																												BgL_cdrzd26892zd2_2226;
																																																											BgL_carzd26891zd2_2225
																																																												=
																																																												CAR
																																																												(BgL_cdrzd26886zd2_2224);
																																																											BgL_cdrzd26892zd2_2226
																																																												=
																																																												CDR
																																																												(BgL_cdrzd26886zd2_2224);
																																																											if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26891zd2_2225))
																																																												{	/* Ast/sexp.scm 115 */
																																																													if (PAIRP(BgL_cdrzd26892zd2_2226))
																																																														{	/* Ast/sexp.scm 115 */
																																																															obj_t
																																																																BgL_carzd26897zd2_2229;
																																																															BgL_carzd26897zd2_2229
																																																																=
																																																																CAR
																																																																(BgL_cdrzd26892zd2_2226);
																																																															if (BGl_proczd2orzd2lambdazf3zf3zzast_sexpz00(BgL_carzd26897zd2_2229))
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (NULLP(CDR(BgL_cdrzd26892zd2_2226)))
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_cdrzd26874zd2_2222))
																																																																				{
																																																																					obj_t
																																																																						BgL_argsz00_8018;
																																																																					obj_t
																																																																						BgL_proc2z00_8017;
																																																																					obj_t
																																																																						BgL_proc1z00_8016;
																																																																					obj_t
																																																																						BgL_testz00_8014;
																																																																					BgL_testz00_8014
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd26880zd2_2223);
																																																																					BgL_proc1z00_8016
																																																																						=
																																																																						BgL_carzd26891zd2_2225;
																																																																					BgL_proc2z00_8017
																																																																						=
																																																																						BgL_carzd26897zd2_2229;
																																																																					BgL_argsz00_8018
																																																																						=
																																																																						BgL_cdrzd26874zd2_2222;
																																																																					BgL_argsz00_1627
																																																																						=
																																																																						BgL_argsz00_8018;
																																																																					BgL_proc2z00_1626
																																																																						=
																																																																						BgL_proc2z00_8017;
																																																																					BgL_proc1z00_1625
																																																																						=
																																																																						BgL_proc1z00_8016;
																																																																					BgL_testz00_1624
																																																																						=
																																																																						BgL_testz00_8014;
																																																																					goto
																																																																						BgL_tagzd2386zd2_1628;
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																						{
																																																																							obj_t
																																																																								BgL_auxz00_8021;
																																																																							goto
																																																																								BgL_tagzd2400zd2_1651;
																																																																							return
																																																																								(
																																																																								(BgL_nodez00_bglt)
																																																																								BgL_auxz00_8021);
																																																																						}
																																																																					else
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							goto
																																																																								BgL_tagzd2401zd2_1652;
																																																																						}
																																																																				}
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																				{
																																																																					obj_t
																																																																						BgL_auxz00_8025;
																																																																					goto
																																																																						BgL_tagzd2400zd2_1651;
																																																																					return
																																																																						(
																																																																						(BgL_nodez00_bglt)
																																																																						BgL_auxz00_8025);
																																																																				}
																																																																			else
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					goto
																																																																						BgL_tagzd2401zd2_1652;
																																																																				}
																																																																		}
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																		{
																																																																			obj_t
																																																																				BgL_auxz00_8029;
																																																																			goto
																																																																				BgL_tagzd2400zd2_1651;
																																																																			return
																																																																				(
																																																																				(BgL_nodez00_bglt)
																																																																				BgL_auxz00_8029);
																																																																		}
																																																																	else
																																																																		{	/* Ast/sexp.scm 115 */
																																																																			goto
																																																																				BgL_tagzd2401zd2_1652;
																																																																		}
																																																																}
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																{
																																																																	obj_t
																																																																		BgL_auxz00_8033;
																																																																	goto
																																																																		BgL_tagzd2400zd2_1651;
																																																																	return
																																																																		(
																																																																		(BgL_nodez00_bglt)
																																																																		BgL_auxz00_8033);
																																																																}
																																																															else
																																																																{	/* Ast/sexp.scm 115 */
																																																																	goto
																																																																		BgL_tagzd2401zd2_1652;
																																																																}
																																																														}
																																																												}
																																																											else
																																																												{	/* Ast/sexp.scm 115 */
																																																													if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																														{
																																																															obj_t
																																																																BgL_auxz00_8037;
																																																															goto
																																																																BgL_tagzd2400zd2_1651;
																																																															return
																																																																(
																																																																(BgL_nodez00_bglt)
																																																																BgL_auxz00_8037);
																																																														}
																																																													else
																																																														{	/* Ast/sexp.scm 115 */
																																																															goto
																																																																BgL_tagzd2401zd2_1652;
																																																														}
																																																												}
																																																										}
																																																									}
																																																								}
																																																							}
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{
																																																								obj_t
																																																									BgL_auxz00_8041;
																																																								goto
																																																									BgL_tagzd2400zd2_1651;
																																																								return
																																																									(
																																																									(BgL_nodez00_bglt)
																																																									BgL_auxz00_8041);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								goto
																																																									BgL_tagzd2401zd2_1652;
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																					{
																																																						obj_t
																																																							BgL_auxz00_8045;
																																																						goto
																																																							BgL_tagzd2400zd2_1651;
																																																						return
																																																							(
																																																							(BgL_nodez00_bglt)
																																																							BgL_auxz00_8045);
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						goto
																																																							BgL_tagzd2401zd2_1652;
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																			{
																																																				obj_t
																																																					BgL_auxz00_8049;
																																																				goto
																																																					BgL_tagzd2400zd2_1651;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_8049);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				goto
																																																					BgL_tagzd2401zd2_1652;
																																																			}
																																																	}
																																															}
																																													}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																													}
																												else
																													{	/* Ast/sexp.scm 115 */
																														if (
																															(BgL_carzd24338zd2_2081
																																==
																																CNST_TABLE_REF((
																																		(long)
																																		18))))
																															{	/* Ast/sexp.scm 115 */
																																goto
																																	BgL_tagzd2381zd2_1609;
																															}
																														else
																															{	/* Ast/sexp.scm 115 */
																																if (CBOOL
																																	(BGl_letzd2symzf3z21zzast_letz00
																																		(BgL_carzd24338zd2_2081)))
																																	{	/* Ast/sexp.scm 115 */
																																		goto
																																			BgL_tagzd2381zd2_1609;
																																	}
																																else
																																	{	/* Ast/sexp.scm 115 */
																																		if (
																																			(BgL_carzd24338zd2_2081
																																				==
																																				CNST_TABLE_REF
																																				(((long)
																																						19))))
																																			{	/* Ast/sexp.scm 115 */
																																				goto
																																					BgL_tagzd2381zd2_1609;
																																			}
																																		else
																																			{	/* Ast/sexp.scm 115 */
																																				if (
																																					(BgL_carzd24338zd2_2081
																																						==
																																						CNST_TABLE_REF
																																						(((long) 21))))
																																					{	/* Ast/sexp.scm 115 */
																																						goto
																																							BgL_tagzd2381zd2_1609;
																																					}
																																				else
																																					{	/* Ast/sexp.scm 115 */
																																						obj_t
																																							BgL_carzd27406zd2_2368;
																																						BgL_carzd27406zd2_2368
																																							=
																																							CAR
																																							(BgL_expz00_21);
																																						if (
																																							(BgL_carzd27406zd2_2368
																																								==
																																								CNST_TABLE_REF
																																								(((long) 20))))
																																							{
																																								BgL_letzd2funzd2_bglt
																																									BgL_auxz00_8067;
																																								goto
																																									BgL_tagzd2382zd2_1610;
																																								return
																																									(
																																									(BgL_nodez00_bglt)
																																									BgL_auxz00_8067);
																																							}
																																						else
																																							{	/* Ast/sexp.scm 115 */
																																								if (CBOOL(BGl_labelszd2symzf3z21zzast_labelsz00(BgL_carzd27406zd2_2368)))
																																									{
																																										BgL_letzd2funzd2_bglt
																																											BgL_auxz00_8072;
																																										goto
																																											BgL_tagzd2382zd2_1610;
																																										return
																																											(
																																											(BgL_nodez00_bglt)
																																											BgL_auxz00_8072);
																																									}
																																								else
																																									{	/* Ast/sexp.scm 115 */
																																										if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 3))))
																																											{	/* Ast/sexp.scm 115 */
																																												goto
																																													BgL_tagzd2387zd2_1629;
																																											}
																																										else
																																											{	/* Ast/sexp.scm 115 */
																																												if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 6))))
																																													{	/* Ast/sexp.scm 115 */
																																														goto
																																															BgL_tagzd2388zd2_1630;
																																													}
																																												else
																																													{	/* Ast/sexp.scm 115 */
																																														obj_t
																																															BgL_cdrzd27485zd2_2373;
																																														BgL_cdrzd27485zd2_2373
																																															=
																																															CDR
																																															(BgL_expz00_21);
																																														if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 22))))
																																															{	/* Ast/sexp.scm 115 */
																																																if (PAIRP(BgL_cdrzd27485zd2_2373))
																																																	{
																																																		obj_t
																																																			BgL_restz00_8091;
																																																		obj_t
																																																			BgL_effectz00_8089;
																																																		BgL_effectz00_8089
																																																			=
																																																			CAR
																																																			(BgL_cdrzd27485zd2_2373);
																																																		BgL_restz00_8091
																																																			=
																																																			CDR
																																																			(BgL_cdrzd27485zd2_2373);
																																																		BgL_restz00_1632
																																																			=
																																																			BgL_restz00_8091;
																																																		BgL_effectz00_1631
																																																			=
																																																			BgL_effectz00_8089;
																																																		goto
																																																			BgL_tagzd2389zd2_1633;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																			{
																																																				obj_t
																																																					BgL_auxz00_8095;
																																																				goto
																																																					BgL_tagzd2400zd2_1651;
																																																				return
																																																					(
																																																					(BgL_nodez00_bglt)
																																																					BgL_auxz00_8095);
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				goto
																																																					BgL_tagzd2401zd2_1652;
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Ast/sexp.scm 115 */
																																																if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 23))))
																																																	{	/* Ast/sexp.scm 115 */
																																																		goto
																																																			BgL_tagzd2390zd2_1634;
																																																	}
																																																else
																																																	{	/* Ast/sexp.scm 115 */
																																																		if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 24))))
																																																			{	/* Ast/sexp.scm 115 */
																																																				if (PAIRP(BgL_cdrzd27485zd2_2373))
																																																					{
																																																						obj_t
																																																							BgL_restz00_8109;
																																																						obj_t
																																																							BgL_effectz00_8107;
																																																						BgL_effectz00_8107
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27485zd2_2373);
																																																						BgL_restz00_8109
																																																							=
																																																							CDR
																																																							(BgL_cdrzd27485zd2_2373);
																																																						BgL_restz00_1636
																																																							=
																																																							BgL_restz00_8109;
																																																						BgL_effectz00_1635
																																																							=
																																																							BgL_effectz00_8107;
																																																						goto
																																																							BgL_tagzd2391zd2_1637;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																							{
																																																								obj_t
																																																									BgL_auxz00_8113;
																																																								goto
																																																									BgL_tagzd2400zd2_1651;
																																																								return
																																																									(
																																																									(BgL_nodez00_bglt)
																																																									BgL_auxz00_8113);
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								goto
																																																									BgL_tagzd2401zd2_1652;
																																																							}
																																																					}
																																																			}
																																																		else
																																																			{	/* Ast/sexp.scm 115 */
																																																				if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 25))))
																																																					{	/* Ast/sexp.scm 115 */
																																																						goto
																																																							BgL_tagzd2392zd2_1638;
																																																					}
																																																				else
																																																					{	/* Ast/sexp.scm 115 */
																																																						if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 26))))
																																																							{	/* Ast/sexp.scm 115 */
																																																								goto
																																																									BgL_tagzd2393zd2_1639;
																																																							}
																																																						else
																																																							{	/* Ast/sexp.scm 115 */
																																																								if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 27))))
																																																									{
																																																										BgL_letzd2funzd2_bglt
																																																											BgL_auxz00_8127;
																																																										goto
																																																											BgL_tagzd2394zd2_1640;
																																																										return
																																																											(
																																																											(BgL_nodez00_bglt)
																																																											BgL_auxz00_8127);
																																																									}
																																																								else
																																																									{	/* Ast/sexp.scm 115 */
																																																										if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 28))))
																																																											{
																																																												BgL_jumpzd2exzd2itz00_bglt
																																																													BgL_auxz00_8133;
																																																												goto
																																																													BgL_tagzd2395zd2_1641;
																																																												return
																																																													(
																																																													(BgL_nodez00_bglt)
																																																													BgL_auxz00_8133);
																																																											}
																																																										else
																																																											{	/* Ast/sexp.scm 115 */
																																																												obj_t
																																																													BgL_cdrzd27600zd2_2390;
																																																												BgL_cdrzd27600zd2_2390
																																																													=
																																																													CDR
																																																													(BgL_expz00_21);
																																																												if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 29))))
																																																													{	/* Ast/sexp.scm 115 */
																																																														if (PAIRP(BgL_cdrzd27600zd2_2390))
																																																															{	/* Ast/sexp.scm 115 */
																																																																obj_t
																																																																	BgL_cdrzd27602zd2_2393;
																																																																BgL_cdrzd27602zd2_2393
																																																																	=
																																																																	CDR
																																																																	(BgL_cdrzd27600zd2_2390);
																																																																if (PAIRP(BgL_cdrzd27602zd2_2393))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (NULLP(CDR(BgL_cdrzd27602zd2_2393)))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				goto
																																																																					BgL_tagzd2396zd2_1642;
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_8150;
																																																																						goto
																																																																							BgL_tagzd2400zd2_1651;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_8150);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						goto
																																																																							BgL_tagzd2401zd2_1652;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_8154;
																																																																				goto
																																																																					BgL_tagzd2400zd2_1651;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_8154);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				goto
																																																																					BgL_tagzd2401zd2_1652;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																	{
																																																																		obj_t
																																																																			BgL_auxz00_8158;
																																																																		goto
																																																																			BgL_tagzd2400zd2_1651;
																																																																		return
																																																																			(
																																																																			(BgL_nodez00_bglt)
																																																																			BgL_auxz00_8158);
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		goto
																																																																			BgL_tagzd2401zd2_1652;
																																																																	}
																																																															}
																																																													}
																																																												else
																																																													{	/* Ast/sexp.scm 115 */
																																																														if ((CAR(BgL_expz00_21) == CNST_TABLE_REF(((long) 30))))
																																																															{	/* Ast/sexp.scm 115 */
																																																																if (PAIRP(BgL_cdrzd27600zd2_2390))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		obj_t
																																																																			BgL_cdrzd27647zd2_2403;
																																																																		BgL_cdrzd27647zd2_2403
																																																																			=
																																																																			CDR
																																																																			(BgL_cdrzd27600zd2_2390);
																																																																		if (PAIRP(BgL_cdrzd27647zd2_2403))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				obj_t
																																																																					BgL_cdrzd27652zd2_2405;
																																																																				BgL_cdrzd27652zd2_2405
																																																																					=
																																																																					CDR
																																																																					(BgL_cdrzd27647zd2_2403);
																																																																				if ((CAR(BgL_cdrzd27647zd2_2403) == CNST_TABLE_REF(((long) 31))))
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						if (PAIRP(BgL_cdrzd27652zd2_2405))
																																																																							{	/* Ast/sexp.scm 115 */
																																																																								obj_t
																																																																									BgL_arg2626z00_2408;
																																																																								obj_t
																																																																									BgL_arg2627z00_2409;
																																																																								obj_t
																																																																									BgL_arg2628z00_2410;
																																																																								BgL_arg2626z00_2408
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd27600zd2_2390);
																																																																								BgL_arg2627z00_2409
																																																																									=
																																																																									CAR
																																																																									(BgL_cdrzd27652zd2_2405);
																																																																								BgL_arg2628z00_2410
																																																																									=
																																																																									CDR
																																																																									(BgL_cdrzd27652zd2_2405);
																																																																								return
																																																																									BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																									(BgL_expz00_21,
																																																																									BgL_arg2626z00_2408,
																																																																									BgL_arg2627z00_2409,
																																																																									BgL_arg2628z00_2410,
																																																																									BgL_stackz00_22,
																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																									(BgL_expz00_21,
																																																																										BgL_locz00_23),
																																																																									BgL_sitez00_24);
																																																																							}
																																																																						else
																																																																							{	/* Ast/sexp.scm 115 */
																																																																								obj_t
																																																																									BgL_cdrzd27665zd2_2411;
																																																																								BgL_cdrzd27665zd2_2411
																																																																									=
																																																																									CDR
																																																																									(BgL_expz00_21);
																																																																								{	/* Ast/sexp.scm 115 */
																																																																									obj_t
																																																																										BgL_arg2629z00_2412;
																																																																									obj_t
																																																																										BgL_arg2630z00_2413;
																																																																									BgL_arg2629z00_2412
																																																																										=
																																																																										CAR
																																																																										(BgL_cdrzd27665zd2_2411);
																																																																									BgL_arg2630z00_2413
																																																																										=
																																																																										CDR
																																																																										(BgL_cdrzd27665zd2_2411);
																																																																									{	/* Ast/sexp.scm 514 */
																																																																										obj_t
																																																																											BgL_arg3005z00_5333;
																																																																										BgL_arg3005z00_5333
																																																																											=
																																																																											BGl_findzd2locationzf2locz20zztools_locationz00
																																																																											(BgL_expz00_21,
																																																																											BgL_locz00_23);
																																																																										return
																																																																											BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																											(BgL_expz00_21,
																																																																											BgL_arg2629z00_2412,
																																																																											CNST_TABLE_REF
																																																																											(((long) 4)), BgL_arg2630z00_2413, BgL_stackz00_22, BgL_arg3005z00_5333, BgL_sitez00_24);
																																																																					}}}}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						obj_t
																																																																							BgL_cdrzd27680zd2_2414;
																																																																						BgL_cdrzd27680zd2_2414
																																																																							=
																																																																							CDR
																																																																							(BgL_expz00_21);
																																																																						{	/* Ast/sexp.scm 115 */
																																																																							obj_t
																																																																								BgL_arg2631z00_2415;
																																																																							obj_t
																																																																								BgL_arg2632z00_2416;
																																																																							BgL_arg2631z00_2415
																																																																								=
																																																																								CAR
																																																																								(BgL_cdrzd27680zd2_2414);
																																																																							BgL_arg2632z00_2416
																																																																								=
																																																																								CDR
																																																																								(BgL_cdrzd27680zd2_2414);
																																																																							{	/* Ast/sexp.scm 514 */
																																																																								obj_t
																																																																									BgL_arg3005z00_5339;
																																																																								BgL_arg3005z00_5339
																																																																									=
																																																																									BGl_findzd2locationzf2locz20zztools_locationz00
																																																																									(BgL_expz00_21,
																																																																									BgL_locz00_23);
																																																																								return
																																																																									BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																									(BgL_expz00_21,
																																																																									BgL_arg2631z00_2415,
																																																																									CNST_TABLE_REF
																																																																									(((long) 4)), BgL_arg2632z00_2416, BgL_stackz00_22, BgL_arg3005z00_5339, BgL_sitez00_24);
																																																																			}}}}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				obj_t
																																																																					BgL_cdrzd27695zd2_2418;
																																																																				BgL_cdrzd27695zd2_2418
																																																																					=
																																																																					CDR
																																																																					(BgL_expz00_21);
																																																																				{	/* Ast/sexp.scm 115 */
																																																																					obj_t
																																																																						BgL_arg2634z00_2419;
																																																																					obj_t
																																																																						BgL_arg2635z00_2420;
																																																																					BgL_arg2634z00_2419
																																																																						=
																																																																						CAR
																																																																						(BgL_cdrzd27695zd2_2418);
																																																																					BgL_arg2635z00_2420
																																																																						=
																																																																						CDR
																																																																						(BgL_cdrzd27695zd2_2418);
																																																																					{	/* Ast/sexp.scm 514 */
																																																																						obj_t
																																																																							BgL_arg3005z00_5345;
																																																																						BgL_arg3005z00_5345
																																																																							=
																																																																							BGl_findzd2locationzf2locz20zztools_locationz00
																																																																							(BgL_expz00_21,
																																																																							BgL_locz00_23);
																																																																						return
																																																																							BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00
																																																																							(BgL_expz00_21,
																																																																							BgL_arg2634z00_2419,
																																																																							CNST_TABLE_REF
																																																																							(((long) 4)), BgL_arg2635z00_2420, BgL_stackz00_22, BgL_arg3005z00_5345, BgL_sitez00_24);
																																																																	}}}}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_8201;
																																																																				goto
																																																																					BgL_tagzd2400zd2_1651;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_8201);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				goto
																																																																					BgL_tagzd2401zd2_1652;
																																																																			}
																																																																	}
																																																															}
																																																														else
																																																															{	/* Ast/sexp.scm 115 */
																																																																if (BGl_equalzf3zf3zz__r4_equivalence_6_2z00(CAR(BgL_expz00_21), BUNSPEC))
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (NULLP(CDR(BgL_expz00_21)))
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				goto
																																																																					BgL_tagzd2399zd2_1650;
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																					{
																																																																						obj_t
																																																																							BgL_auxz00_8211;
																																																																						goto
																																																																							BgL_tagzd2400zd2_1651;
																																																																						return
																																																																							(
																																																																							(BgL_nodez00_bglt)
																																																																							BgL_auxz00_8211);
																																																																					}
																																																																				else
																																																																					{	/* Ast/sexp.scm 115 */
																																																																						goto
																																																																							BgL_tagzd2401zd2_1652;
																																																																					}
																																																																			}
																																																																	}
																																																																else
																																																																	{	/* Ast/sexp.scm 115 */
																																																																		if (BGl_privatezd2sexpzf3z21zzast_privatez00(BgL_expz00_21))
																																																																			{
																																																																				obj_t
																																																																					BgL_auxz00_8215;
																																																																				goto
																																																																					BgL_tagzd2400zd2_1651;
																																																																				return
																																																																					(
																																																																					(BgL_nodez00_bglt)
																																																																					BgL_auxz00_8215);
																																																																			}
																																																																		else
																																																																			{	/* Ast/sexp.scm 115 */
																																																																				goto
																																																																					BgL_tagzd2401zd2_1652;
																																																																			}
																																																																	}
																																																															}
																																																													}
																																																											}
																																																									}
																																																							}
																																																					}
																																																			}
																																																	}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
								else
									{	/* Ast/sexp.scm 115 */
										BgL_atomz00_1589 = BgL_expz00_21;
										{	/* Ast/sexp.scm 131 */
											bool_t BgL_testz00_8217;

											if (BGl_isazf3zf3zz__objectz00(BgL_atomz00_1589,
													BGl_localz00zzast_varz00))
												{	/* Ast/sexp.scm 131 */
													BgL_testz00_8217 = ((bool_t) 1);
												}
											else
												{	/* Ast/sexp.scm 131 */
													BgL_testz00_8217 =
														BGl_isazf3zf3zz__objectz00(BgL_atomz00_1589,
														BGl_globalz00zzast_varz00);
												}
											if (BgL_testz00_8217)
												{	/* Ast/sexp.scm 131 */
													return
														BGl_variablezd2ze3nodez31zzast_sexpz00
														(BgL_atomz00_1589, BgL_locz00_23, BgL_sitez00_24);
												}
											else
												{	/* Ast/sexp.scm 133 */
													bool_t BgL_testz00_8222;

													if (STRUCTP(BgL_atomz00_1589))
														{	/* Ast/sexp.scm 133 */
															BgL_testz00_8222 = ((bool_t) 1);
														}
													else
														{	/* Ast/sexp.scm 133 */
															if (VECTORP(BgL_atomz00_1589))
																{	/* Ast/sexp.scm 133 */
																	BgL_testz00_8222 = ((bool_t) 1);
																}
															else
																{	/* Ast/sexp.scm 133 */
																	if (BGL_OBJECTP(BgL_atomz00_1589))
																		{	/* Ast/sexp.scm 133 */
																			BgL_testz00_8222 = ((bool_t) 1);
																		}
																	else
																		{	/* Ast/sexp.scm 133 */
																			BgL_testz00_8222 =
																				PROCEDUREP(BgL_atomz00_1589);
																		}
																}
														}
													if (BgL_testz00_8222)
														{	/* Ast/sexp.scm 134 */
															BgL_nodez00_bglt BgL_res3244z00_4162;

															{	/* Ast/sexp.scm 668 */
																obj_t BgL_arg3097z00_4158;
																BgL_nodez00_bglt BgL_arg3098z00_4159;

																BgL_arg3097z00_4158 =
																	BGl_shapez00zztools_shapez00
																	(BGl_currentzd2functionzd2zztools_errorz00());
																BgL_arg3098z00_4159 =
																	BGl_sexpzd2ze3nodez31zzast_sexpz00
																	(CNST_TABLE_REF(((long) 4)), BNIL,
																	BgL_locz00_23, CNST_TABLE_REF(((long) 2)));
																{	/* Ast/sexp.scm 667 */
																	obj_t BgL_list3099z00_4161;

																	BgL_list3099z00_4161 =
																		MAKE_PAIR(
																		((obj_t) BgL_arg3098z00_4159), BNIL);
																	BgL_res3244z00_4162 =
																		((BgL_nodez00_bglt)
																		BGl_userzd2errorzf2locationz20zztools_errorz00
																		(BgL_locz00_23, BgL_arg3097z00_4158,
																			BGl_string3532z00zzast_sexpz00,
																			BgL_expz00_21, BgL_list3099z00_4161));
															}}
															return BgL_res3244z00_4162;
														}
													else
														{	/* Ast/sexp.scm 133 */
															if (SYMBOLP(BgL_atomz00_1589))
																{	/* Ast/sexp.scm 140 */
																	obj_t BgL_g1114z00_2472;

																	BgL_g1114z00_2472 =
																		BGl_findzd2localzd2zzast_sexpz00
																		(BgL_atomz00_1589, BgL_stackz00_22);
																	if (CBOOL(BgL_g1114z00_2472))
																		{	/* Ast/sexp.scm 140 */
																			return
																				BGl_variablezd2ze3nodez31zzast_sexpz00
																				(BgL_g1114z00_2472, BgL_locz00_23,
																				BgL_sitez00_24);
																		}
																	else
																		{	/* Ast/sexp.scm 144 */
																			obj_t BgL_globalz00_2475;

																			BgL_globalz00_2475 =
																				BGl_findzd2globalzd2zzast_envz00
																				(BgL_atomz00_1589, BNIL);
																			if (BGl_isazf3zf3zz__objectz00
																				(BgL_globalz00_2475,
																					BGl_globalz00zzast_varz00))
																				{	/* Ast/sexp.scm 146 */
																					if (
																						((((BgL_globalz00_bglt) CREF(
																										((BgL_globalz00_bglt)
																											BgL_globalz00_2475)))->
																								BgL_importz00) ==
																							CNST_TABLE_REF(((long) 11))))
																						{	/* Ast/sexp.scm 149 */
																							obj_t BgL_arg2678z00_2478;

																							{	/* Ast/sexp.scm 149 */
																								obj_t BgL_arg2679z00_2479;

																								{	/* Ast/sexp.scm 149 */
																									obj_t BgL_arg2680z00_2480;

																									{	/* Ast/sexp.scm 149 */
																										obj_t BgL_arg2681z00_2481;

																										BgL_arg2681z00_2481 =
																											MAKE_PAIR
																											(BgL_atomz00_1589, BNIL);
																										BgL_arg2680z00_2480 =
																											MAKE_PAIR(CNST_TABLE_REF((
																													(long) 13)),
																											BgL_arg2681z00_2481);
																									}
																									BgL_arg2679z00_2479 =
																										MAKE_PAIR
																										(BgL_arg2680z00_2480, BNIL);
																								}
																								BgL_arg2678z00_2478 =
																									MAKE_PAIR(CNST_TABLE_REF((
																											(long) 11)),
																									BgL_arg2679z00_2479);
																							}
																							{
																								obj_t BgL_expz00_8259;

																								BgL_expz00_8259 =
																									BgL_arg2678z00_2478;
																								BgL_expz00_21 = BgL_expz00_8259;
																								goto
																									BGl_sexpzd2ze3nodez31zzast_sexpz00;
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 148 */
																							return
																								BGl_variablezd2ze3nodez31zzast_sexpz00
																								(BgL_globalz00_2475,
																								BgL_locz00_23, BgL_sitez00_24);
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 147 */
																					BgL_nodez00_bglt BgL_res3247z00_4176;

																					{	/* Ast/sexp.scm 668 */
																						obj_t BgL_arg3097z00_4172;
																						BgL_nodez00_bglt
																							BgL_arg3098z00_4173;
																						BgL_arg3097z00_4172 =
																							BGl_shapez00zztools_shapez00
																							(BGl_currentzd2functionzd2zztools_errorz00
																							());
																						BgL_arg3098z00_4173 =
																							BGl_sexpzd2ze3nodez31zzast_sexpz00
																							(CNST_TABLE_REF(((long) 4)), BNIL,
																							BgL_locz00_23,
																							CNST_TABLE_REF(((long) 2)));
																						{	/* Ast/sexp.scm 667 */
																							obj_t BgL_list3099z00_4175;

																							BgL_list3099z00_4175 =
																								MAKE_PAIR(
																								((obj_t) BgL_arg3098z00_4173),
																								BNIL);
																							BgL_res3247z00_4176 =
																								((BgL_nodez00_bglt)
																								BGl_userzd2errorzf2locationz20zztools_errorz00
																								(BgL_locz00_23,
																									BgL_arg3097z00_4172,
																									BGl_string3531z00zzast_sexpz00,
																									BgL_expz00_21,
																									BgL_list3099z00_4175));
																					}}
																					return BgL_res3247z00_4176;
																				}
																		}
																}
															else
																{	/* Ast/sexp.scm 136 */
																	BgL_atomz00_bglt BgL_new1111z00_2484;

																	{	/* Ast/sexp.scm 136 */
																		BgL_atomz00_bglt BgL_new1110z00_2485;

																		BgL_new1110z00_2485 =
																			((BgL_atomz00_bglt)
																			BREF(GC_MALLOC(sizeof(struct
																						BgL_atomz00_bgl))));
																		{	/* Ast/sexp.scm 136 */
																			long BgL_arg2684z00_2486;

																			{	/* Ast/sexp.scm 136 */
																				long BgL_res3248z00_4178;

																				BgL_res3248z00_4178 =
																					BGL_CLASS_INDEX
																					(BGl_atomz00zzast_nodez00);
																				BgL_arg2684z00_2486 =
																					BgL_res3248z00_4178;
																			}
																			{	/* Ast/sexp.scm 136 */
																				BgL_objectz00_bglt BgL_objz00_4179;

																				BgL_objz00_4179 =
																					((BgL_objectz00_bglt)
																					BgL_new1110z00_2485);
																				BGL_OBJECT_CLASS_NUM_SET
																					(BgL_objz00_4179,
																					BgL_arg2684z00_2486);
																		}}
																		{	/* Ast/sexp.scm 136 */
																			BgL_objectz00_bglt BgL_auxz00_8274;

																			BgL_auxz00_8274 =
																				((BgL_objectz00_bglt)
																				BgL_new1110z00_2485);
																			BGL_OBJECT_WIDENING_SET(BgL_auxz00_8274,
																				BFALSE);
																		}
																		BgL_new1111z00_2484 = BgL_new1110z00_2485;
																	}
																	((((BgL_nodez00_bglt) CREF(
																					((BgL_nodez00_bglt)
																						BgL_new1111z00_2484)))->
																			BgL_locz00) =
																		((obj_t) BgL_locz00_23), BUNSPEC);
																	((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																						BgL_new1111z00_2484)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt)
																			BGl_getzd2typezd2atomz00zztype_typeofz00
																			(BgL_atomz00_1589)), BUNSPEC);
																	((((BgL_atomz00_bglt)
																				CREF(BgL_new1111z00_2484))->
																			BgL_valuez00) =
																		((obj_t) BgL_atomz00_1589), BUNSPEC);
																	return ((BgL_nodez00_bglt)
																		BgL_new1111z00_2484);
																}
														}
												}
										}
									}
							}
					}
			}
		}
	}



/* liip */
	obj_t BGl_liipz00zzast_sexpz00(obj_t BgL_argsz00_2789)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 355 */
			if (NULLP(BgL_argsz00_2789))
				{	/* Ast/sexp.scm 356 */
					return CNST_TABLE_REF(((long) 4));
				}
			else
				{	/* Ast/sexp.scm 358 */
					obj_t BgL_arg2883z00_2792;

					{	/* Ast/sexp.scm 358 */
						obj_t BgL_arg2884z00_2793;
						obj_t BgL_arg2885z00_2794;

						BgL_arg2884z00_2793 = CAR(BgL_argsz00_2789);
						BgL_arg2885z00_2794 =
							MAKE_PAIR(BGl_liipz00zzast_sexpz00(CDR(BgL_argsz00_2789)), BNIL);
						BgL_arg2883z00_2792 =
							MAKE_PAIR(BgL_arg2884z00_2793, BgL_arg2885z00_2794);
					}
					return MAKE_PAIR(CNST_TABLE_REF(((long) 32)), BgL_arg2883z00_2792);
		}}
	}



/* loop */
	obj_t BGl_loopz00zzast_sexpz00(obj_t BgL_expz00_5657, obj_t BgL_locz00_5656,
		obj_t BgL_varsz00_2753, obj_t BgL_argsz00_2754)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 340 */
		BGl_loopz00zzast_sexpz00:
			if (NULLP(BgL_varsz00_2753))
				{	/* Ast/sexp.scm 343 */
					if (NULLP(BgL_argsz00_2754))
						{	/* Ast/sexp.scm 344 */
							return BNIL;
						}
					else
						{	/* Ast/sexp.scm 344 */
							return
								BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_5656,
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00()),
								BGl_string3534z00zzast_sexpz00, BgL_expz00_5657, BNIL);
						}
				}
			else
				{	/* Ast/sexp.scm 343 */
					if (PAIRP(BgL_varsz00_2753))
						{	/* Ast/sexp.scm 351 */
							if (BGl_dssslzd2namedzd2constantzf3zf3zz__dssslz00(CAR
									(BgL_varsz00_2753)))
								{	/* Ast/sexp.scm 361 */
									obj_t BgL_argz00_2763;

									BgL_argz00_2763 =
										BGl_dssslzd2findzd2firstzd2formalzd2zztools_dssslz00(CDR
										(BgL_varsz00_2753));
									if (CBOOL(BgL_argz00_2763))
										{
											obj_t BgL_varsz00_8310;

											BgL_varsz00_8310 = BgL_argz00_2763;
											BgL_varsz00_2753 = BgL_varsz00_8310;
											goto BGl_loopz00zzast_sexpz00;
										}
									else
										{
											obj_t BgL_varsz00_8311;

											BgL_varsz00_8311 = BNIL;
											BgL_varsz00_2753 = BgL_varsz00_8311;
											goto BGl_loopz00zzast_sexpz00;
										}
								}
							else
								{	/* Ast/sexp.scm 366 */
									bool_t BgL_testz00_8312;

									{	/* Ast/sexp.scm 366 */
										obj_t BgL_auxz00_8313;

										BgL_auxz00_8313 = CAR(BgL_varsz00_2753);
										BgL_testz00_8312 = SYMBOLP(BgL_auxz00_8313);
									}
									if (BgL_testz00_8312)
										{	/* Ast/sexp.scm 366 */
											if (NULLP(BgL_argsz00_2754))
												{	/* Ast/sexp.scm 372 */
													return
														BGl_userzd2errorzf2locationz20zztools_errorz00
														(BgL_locz00_5656,
														BGl_shapez00zztools_shapez00
														(BGl_currentzd2functionzd2zztools_errorz00()),
														BGl_string3534z00zzast_sexpz00, BgL_expz00_5657,
														BNIL);
												}
											else
												{	/* Ast/sexp.scm 379 */
													obj_t BgL_arg2862z00_2770;
													obj_t BgL_arg2863z00_2771;

													{	/* Ast/sexp.scm 379 */
														obj_t BgL_arg2864z00_2772;
														obj_t BgL_arg2865z00_2773;

														BgL_arg2864z00_2772 = CAR(BgL_varsz00_2753);
														BgL_arg2865z00_2773 = CAR(BgL_argsz00_2754);
														{	/* Ast/sexp.scm 379 */
															obj_t BgL_list2866z00_2774;

															{	/* Ast/sexp.scm 379 */
																obj_t BgL_arg2867z00_2775;

																BgL_arg2867z00_2775 =
																	MAKE_PAIR(BgL_arg2865z00_2773, BNIL);
																BgL_list2866z00_2774 =
																	MAKE_PAIR(BgL_arg2864z00_2772,
																	BgL_arg2867z00_2775);
															}
															BgL_arg2862z00_2770 = BgL_list2866z00_2774;
														}
													}
													BgL_arg2863z00_2771 =
														BGl_loopz00zzast_sexpz00(BgL_expz00_5657,
														BgL_locz00_5656, CDR(BgL_varsz00_2753),
														CDR(BgL_argsz00_2754));
													return MAKE_PAIR(BgL_arg2862z00_2770,
														BgL_arg2863z00_2771);
												}
										}
									else
										{	/* Ast/sexp.scm 366 */
											return
												BGl_userzd2errorzf2locationz20zztools_errorz00
												(BgL_locz00_5656,
												BGl_shapez00zztools_shapez00
												(BGl_currentzd2functionzd2zztools_errorz00()),
												BGl_string3535z00zzast_sexpz00, BgL_expz00_5657, BNIL);
										}
								}
						}
					else
						{	/* Ast/sexp.scm 356 */
							obj_t BgL_arg2875z00_2783;

							{	/* Ast/sexp.scm 356 */
								obj_t BgL_arg2877z00_2785;

								BgL_arg2877z00_2785 =
									BGl_liipz00zzast_sexpz00(BgL_argsz00_2754);
								{	/* Ast/sexp.scm 353 */
									obj_t BgL_list2878z00_2786;

									{	/* Ast/sexp.scm 353 */
										obj_t BgL_arg2879z00_2787;

										BgL_arg2879z00_2787 = MAKE_PAIR(BgL_arg2877z00_2785, BNIL);
										BgL_list2878z00_2786 =
											MAKE_PAIR(BgL_varsz00_2753, BgL_arg2879z00_2787);
									}
									BgL_arg2875z00_2783 = BgL_list2878z00_2786;
								}
							}
							{	/* Ast/sexp.scm 352 */
								obj_t BgL_list2876z00_2784;

								BgL_list2876z00_2784 = MAKE_PAIR(BgL_arg2875z00_2783, BNIL);
								return BgL_list2876z00_2784;
							}
						}
				}
		}
	}



/* &sexp->node */
	BgL_nodez00_bglt BGl_z62sexpzd2ze3nodez53zzast_sexpz00(obj_t BgL_envz00_5618,
		obj_t BgL_expz00_5619, obj_t BgL_stackz00_5620, obj_t BgL_locz00_5621,
		obj_t BgL_sitez00_5622)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 110 */
			return
				BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_5619, BgL_stackz00_5620,
				BgL_locz00_5621, BgL_sitez00_5622);
		}
	}



/* &<anonymous:2893> */
	obj_t BGl_z62zc3anonymousza32893ze3ze1zzast_sexpz00(obj_t BgL_envz00_5623,
		obj_t BgL_objz00_5625, obj_t BgL_procz00_5626, obj_t BgL_msgz00_5627)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 385 */
			{	/* Ast/sexp.scm 386 */
				obj_t BgL_locz00_5624;

				BgL_locz00_5624 = PROCEDURE_REF(BgL_envz00_5623, (int) (((long) 0)));
				{
					obj_t BgL_objz00_2804;
					obj_t BgL_procz00_2805;
					obj_t BgL_msgz00_2806;

					BgL_objz00_2804 = BgL_objz00_5625;
					BgL_procz00_2805 = BgL_procz00_5626;
					BgL_msgz00_2806 = BgL_msgz00_5627;
					return
						BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_5624,
						BgL_objz00_2804, BgL_procz00_2805, BgL_msgz00_2806, BNIL);
				}
			}
		}
	}



/* variable->node */
	BgL_nodez00_bglt BGl_variablezd2ze3nodez31zzast_sexpz00(obj_t BgL_vz00_25,
		obj_t BgL_locz00_26, obj_t BgL_sitez00_27)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 533 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_vz00_25), BgL_locz00_26, BgL_sitez00_27);
			{	/* Ast/sexp.scm 535 */
				bool_t BgL_testz00_8342;

				if ((BgL_sitez00_27 == CNST_TABLE_REF(((long) 33))))
					{	/* Ast/sexp.scm 535 */
						BgL_testz00_8342 = ((bool_t) 0);
					}
				else
					{	/* Ast/sexp.scm 535 */
						BgL_valuez00_bglt BgL_arg3024z00_3010;

						BgL_arg3024z00_3010 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_vz00_25)))->BgL_valuez00);
						{	/* Ast/sexp.scm 535 */
							bool_t BgL_res3455z00_5354;

							{	/* Ast/sexp.scm 535 */
								obj_t BgL_objz00_5353;

								BgL_objz00_5353 = ((obj_t) BgL_arg3024z00_3010);
								BgL_res3455z00_5354 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_5353,
									BGl_funz00zzast_varz00);
							}
							BgL_testz00_8342 = BgL_res3455z00_5354;
						}
					}
				if (BgL_testz00_8342)
					{	/* Ast/sexp.scm 536 */
						bool_t BgL_testz00_8350;

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_25,
								BGl_globalz00zzast_varz00))
							{	/* Ast/sexp.scm 537 */
								bool_t BgL_testz00_8353;

								{	/* Ast/sexp.scm 537 */
									BgL_valuez00_bglt BgL_arg3020z00_3004;

									BgL_arg3020z00_3004 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_25))))->BgL_valuez00);
									{	/* Ast/sexp.scm 537 */
										bool_t BgL_res3458z00_5361;

										{	/* Ast/sexp.scm 537 */
											obj_t BgL_objz00_5360;

											BgL_objz00_5360 = ((obj_t) BgL_arg3020z00_3004);
											BgL_res3458z00_5361 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_5360,
												BGl_cfunz00zzast_varz00);
										}
										BgL_testz00_8353 = BgL_res3458z00_5361;
									}
								}
								if (BgL_testz00_8353)
									{	/* Ast/sexp.scm 538 */
										bool_t BgL_testz00_8359;

										{	/* Ast/sexp.scm 538 */
											obj_t BgL_arg3019z00_3003;

											BgL_arg3019z00_3003 =
												BGl_thezd2backendzd2zzbackend_backendz00();
											BgL_testz00_8359 =
												(((BgL_backendz00_bglt) CREF(
														((BgL_backendz00_bglt) BgL_arg3019z00_3003)))->
												BgL_foreignzd2closurezd2);
										}
										if (BgL_testz00_8359)
											{	/* Ast/sexp.scm 538 */
												BgL_testz00_8350 = ((bool_t) 0);
											}
										else
											{	/* Ast/sexp.scm 538 */
												if ((BgL_sitez00_27 == CNST_TABLE_REF(((long) 29))))
													{	/* Ast/sexp.scm 539 */
														BgL_testz00_8350 = ((bool_t) 0);
													}
												else
													{	/* Ast/sexp.scm 539 */
														BgL_testz00_8350 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Ast/sexp.scm 537 */
										BgL_testz00_8350 = ((bool_t) 0);
									}
							}
						else
							{	/* Ast/sexp.scm 536 */
								BgL_testz00_8350 = ((bool_t) 0);
							}
						if (BgL_testz00_8350)
							{	/* Ast/sexp.scm 541 */
								obj_t BgL_arg3009z00_2991;

								{	/* Ast/sexp.scm 541 */
									obj_t BgL_arg3010z00_2992;

									{	/* Ast/sexp.scm 541 */
										obj_t BgL_arg3012z00_2994;

										BgL_arg3012z00_2994 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BgL_arg3010z00_2992 =
											(((BgL_backendz00_bglt) CREF(
													((BgL_backendz00_bglt) BgL_arg3012z00_2994)))->
											BgL_namez00);
									}
									{	/* Ast/sexp.scm 541 */
										obj_t BgL_list3011z00_2993;

										BgL_list3011z00_2993 = MAKE_PAIR(BgL_arg3010z00_2992, BNIL);
										BgL_arg3009z00_2991 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string3536z00zzast_sexpz00, BgL_list3011z00_2993);
									}
								}
								return
									BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00
									(BgL_arg3009z00_2991, BGl_expzd2envzd2zz__r4_numbers_6_5z00,
									BgL_locz00_26);
							}
						else
							{	/* Ast/sexp.scm 542 */
								BgL_closurez00_bglt BgL_new1140z00_2995;

								{	/* Ast/sexp.scm 542 */
									BgL_closurez00_bglt BgL_new1139z00_2997;

									BgL_new1139z00_2997 =
										((BgL_closurez00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_closurez00_bgl))));
									{	/* Ast/sexp.scm 542 */
										long BgL_arg3014z00_2998;

										{	/* Ast/sexp.scm 542 */
											long BgL_res3461z00_5369;

											BgL_res3461z00_5369 =
												BGL_CLASS_INDEX(BGl_closurez00zzast_nodez00);
											BgL_arg3014z00_2998 = BgL_res3461z00_5369;
										}
										{	/* Ast/sexp.scm 542 */
											BgL_objectz00_bglt BgL_objz00_5370;

											BgL_objz00_5370 =
												((BgL_objectz00_bglt) BgL_new1139z00_2997);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5370,
												BgL_arg3014z00_2998);
									}}
									{	/* Ast/sexp.scm 542 */
										BgL_objectz00_bglt BgL_auxz00_8376;

										BgL_auxz00_8376 =
											((BgL_objectz00_bglt) BgL_new1139z00_2997);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_8376, BFALSE);
									}
									BgL_new1140z00_2995 = BgL_new1139z00_2997;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1140z00_2995)))->
										BgL_locz00) = ((obj_t) BgL_locz00_26), BUNSPEC);
								{
									BgL_typez00_bglt BgL_auxz00_8381;

									{	/* Ast/sexp.scm 544 */
										BgL_typez00_bglt BgL_arg3013z00_2996;

										BgL_arg3013z00_2996 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_vz00_25)))->BgL_typez00);
										BgL_auxz00_8381 =
											BGl_strictzd2nodezd2typez00zzast_nodez00(
											((BgL_typez00_bglt)
												BGl_za2procedureza2z00zztype_cachez00),
											BgL_arg3013z00_2996);
									}
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_new1140z00_2995)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_8381), BUNSPEC);
								}
								((((BgL_varz00_bglt) CREF(
												((BgL_varz00_bglt) BgL_new1140z00_2995)))->
										BgL_variablez00) =
									((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_25)),
									BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1140z00_2995);
							}
					}
				else
					{	/* Ast/sexp.scm 546 */
						BgL_varz00_bglt BgL_new1142z00_3005;

						{	/* Ast/sexp.scm 546 */
							BgL_varz00_bglt BgL_new1141z00_3007;

							BgL_new1141z00_3007 =
								((BgL_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_varz00_bgl))));
							{	/* Ast/sexp.scm 546 */
								long BgL_arg3022z00_3008;

								{	/* Ast/sexp.scm 546 */
									long BgL_res3463z00_5376;

									BgL_res3463z00_5376 =
										BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
									BgL_arg3022z00_3008 = BgL_res3463z00_5376;
								}
								{	/* Ast/sexp.scm 546 */
									BgL_objectz00_bglt BgL_objz00_5377;

									BgL_objz00_5377 = ((BgL_objectz00_bglt) BgL_new1141z00_3007);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5377,
										BgL_arg3022z00_3008);
							}}
							{	/* Ast/sexp.scm 546 */
								BgL_objectz00_bglt BgL_auxz00_8396;

								BgL_auxz00_8396 = ((BgL_objectz00_bglt) BgL_new1141z00_3007);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_8396, BFALSE);
							}
							BgL_new1142z00_3005 = BgL_new1141z00_3007;
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_new1142z00_3005)))->BgL_locz00) =
							((obj_t) BgL_locz00_26), BUNSPEC);
						{
							BgL_typez00_bglt BgL_auxz00_8401;

							{	/* Ast/sexp.scm 548 */
								BgL_typez00_bglt BgL_arg3021z00_3006;

								BgL_arg3021z00_3006 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt) BgL_vz00_25)))->BgL_typez00);
								BgL_auxz00_8401 =
									BGl_strictzd2nodezd2typez00zzast_nodez00(
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00),
									BgL_arg3021z00_3006);
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1142z00_3005)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_8401), BUNSPEC);
						}
						((((BgL_varz00_bglt) CREF(BgL_new1142z00_3005))->BgL_variablez00) =
							((BgL_variablez00_bglt) ((BgL_variablez00_bglt) BgL_vz00_25)),
							BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_new1142z00_3005);
					}
			}
		}
	}



/* call->node */
	BgL_nodez00_bglt BGl_callzd2ze3nodez31zzast_sexpz00(obj_t BgL_expz00_28,
		obj_t BgL_stackz00_29, obj_t BgL_locz00_30, obj_t BgL_sitez00_31)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 554 */
			{	/* Ast/sexp.scm 555 */
				obj_t BgL_callerz00_3011;
				obj_t BgL_locz00_3012;

				BgL_callerz00_3011 = CAR(BgL_expz00_28);
				BgL_locz00_3012 =
					BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_28,
					BgL_locz00_30);
				if (SYMBOLP(BgL_callerz00_3011))
					{	/* Ast/sexp.scm 559 */
						obj_t BgL_pidz00_3014;

						BgL_pidz00_3014 =
							BGl_parsezd2idzd2zzast_identz00(BgL_callerz00_3011,
							BgL_locz00_3012);
						{	/* Ast/sexp.scm 559 */
							obj_t BgL_idz00_3015;

							BgL_idz00_3015 = CAR(BgL_pidz00_3014);
							{	/* Ast/sexp.scm 560 */
								obj_t BgL_typez00_3016;

								BgL_typez00_3016 = CDR(BgL_pidz00_3014);
								{	/* Ast/sexp.scm 561 */

									if ((BgL_idz00_3015 == CNST_TABLE_REF(((long) 6))))
										{	/* Ast/sexp.scm 562 */
											return
												BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00(((bool_t)
													0), BFALSE, ((BgL_typez00_bglt) BgL_typez00_3016),
												BgL_expz00_28, BgL_stackz00_29, BgL_locz00_3012,
												BgL_sitez00_31);
										}
									else
										{	/* Ast/sexp.scm 562 */
											if ((BgL_idz00_3015 == CNST_TABLE_REF(((long) 22))))
												{	/* Ast/sexp.scm 566 */
													bool_t BgL_testz00_8426;

													{	/* Ast/sexp.scm 566 */
														obj_t BgL_auxz00_8427;

														BgL_auxz00_8427 = CDR(BgL_expz00_28);
														BgL_testz00_8426 = PAIRP(BgL_auxz00_8427);
													}
													if (BgL_testz00_8426)
														{	/* Ast/sexp.scm 570 */
															BgL_feffectz00_bglt BgL_arg3029z00_3021;
															obj_t BgL_arg3030z00_3022;

															{	/* Ast/sexp.scm 570 */
																obj_t BgL_arg3031z00_3023;

																{	/* Ast/sexp.scm 570 */
																	obj_t BgL_pairz00_5396;

																	BgL_pairz00_5396 = BgL_expz00_28;
																	BgL_arg3031z00_3023 =
																		CAR(CDR(BgL_pairz00_5396));
																}
																BgL_arg3029z00_3021 =
																	BGl_parsezd2effectzd2zzeffect_feffectz00
																	(BgL_arg3031z00_3023);
															}
															{	/* Ast/sexp.scm 571 */
																obj_t BgL_arg3032z00_3024;
																obj_t BgL_arg3033z00_3025;

																{	/* Ast/sexp.scm 571 */
																	obj_t BgL_arg3034z00_3026;

																	BgL_arg3034z00_3026 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 34)),
																		BNIL);
																	BgL_arg3032z00_3024 =
																		MAKE_PAIR(CNST_TABLE_REF(((long) 35)),
																		BgL_arg3034z00_3026);
																}
																{	/* Ast/sexp.scm 571 */
																	obj_t BgL_auxz00_8437;

																	{	/* Ast/sexp.scm 571 */
																		obj_t BgL_pairz00_5400;

																		BgL_pairz00_5400 = BgL_expz00_28;
																		BgL_auxz00_8437 =
																			CDR(CDR(BgL_pairz00_5400));
																	}
																	BgL_arg3033z00_3025 =
																		BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																		(BgL_auxz00_8437, BNIL);
																}
																BgL_arg3030z00_3022 =
																	MAKE_PAIR(BgL_arg3032z00_3024,
																	BgL_arg3033z00_3025);
															}
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 0), ((obj_t) BgL_arg3029z00_3021),
																((BgL_typez00_bglt) BgL_typez00_3016),
																BgL_arg3030z00_3022, BgL_stackz00_29,
																BgL_locz00_3012, BgL_sitez00_31);
														}
													else
														{	/* Ast/sexp.scm 569 */
															obj_t BgL_arg3036z00_3028;

															BgL_arg3036z00_3028 =
																BGl_findzd2locationzf2locz20zztools_locationz00
																(BgL_expz00_28, BgL_locz00_3012);
															{	/* Ast/sexp.scm 567 */
																BgL_nodez00_bglt BgL_res3469z00_5411;

																{	/* Ast/sexp.scm 668 */
																	obj_t BgL_arg3097z00_5407;
																	BgL_nodez00_bglt BgL_arg3098z00_5408;

																	BgL_arg3097z00_5407 =
																		BGl_shapez00zztools_shapez00
																		(BGl_currentzd2functionzd2zztools_errorz00
																		());
																	BgL_arg3098z00_5408 =
																		BGl_sexpzd2ze3nodez31zzast_sexpz00
																		(CNST_TABLE_REF(((long) 4)), BNIL,
																		BgL_arg3036z00_3028,
																		CNST_TABLE_REF(((long) 2)));
																	{	/* Ast/sexp.scm 667 */
																		obj_t BgL_list3099z00_5410;

																		BgL_list3099z00_5410 =
																			MAKE_PAIR(
																			((obj_t) BgL_arg3098z00_5408), BNIL);
																		BgL_res3469z00_5411 =
																			((BgL_nodez00_bglt)
																			BGl_userzd2errorzf2locationz20zztools_errorz00
																			(BgL_arg3036z00_3028, BgL_arg3097z00_5407,
																				BGl_string3537z00zzast_sexpz00,
																				BgL_expz00_28, BgL_list3099z00_5410));
																}}
																return BgL_res3469z00_5411;
															}
														}
												}
											else
												{	/* Ast/sexp.scm 562 */
													if ((BgL_idz00_3015 == CNST_TABLE_REF(((long) 23))))
														{	/* Ast/sexp.scm 562 */
															return
																BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00((
																	(bool_t) 1), BFALSE,
																((BgL_typez00_bglt) BgL_typez00_3016),
																BgL_expz00_28, BgL_stackz00_29, BgL_locz00_3012,
																BgL_sitez00_31);
														}
													else
														{	/* Ast/sexp.scm 562 */
															if (
																(BgL_idz00_3015 == CNST_TABLE_REF(((long) 24))))
																{	/* Ast/sexp.scm 576 */
																	bool_t BgL_testz00_8463;

																	{	/* Ast/sexp.scm 576 */
																		obj_t BgL_auxz00_8464;

																		BgL_auxz00_8464 = CDR(BgL_expz00_28);
																		BgL_testz00_8463 = PAIRP(BgL_auxz00_8464);
																	}
																	if (BgL_testz00_8463)
																		{	/* Ast/sexp.scm 580 */
																			BgL_feffectz00_bglt BgL_arg3041z00_3033;
																			obj_t BgL_arg3042z00_3034;

																			{	/* Ast/sexp.scm 580 */
																				obj_t BgL_arg3043z00_3035;

																				{	/* Ast/sexp.scm 580 */
																					obj_t BgL_pairz00_5421;

																					BgL_pairz00_5421 = BgL_expz00_28;
																					BgL_arg3043z00_3035 =
																						CAR(CDR(BgL_pairz00_5421));
																				}
																				BgL_arg3041z00_3033 =
																					BGl_parsezd2effectzd2zzeffect_feffectz00
																					(BgL_arg3043z00_3035);
																			}
																			{	/* Ast/sexp.scm 581 */
																				obj_t BgL_arg3044z00_3036;
																				obj_t BgL_arg3045z00_3037;

																				{	/* Ast/sexp.scm 581 */
																					obj_t BgL_arg3046z00_3038;

																					BgL_arg3046z00_3038 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								34)), BNIL);
																					BgL_arg3044z00_3036 =
																						MAKE_PAIR(CNST_TABLE_REF(((long)
																								35)), BgL_arg3046z00_3038);
																				}
																				{	/* Ast/sexp.scm 581 */
																					obj_t BgL_auxz00_8474;

																					{	/* Ast/sexp.scm 581 */
																						obj_t BgL_pairz00_5425;

																						BgL_pairz00_5425 = BgL_expz00_28;
																						BgL_auxz00_8474 =
																							CDR(CDR(BgL_pairz00_5425));
																					}
																					BgL_arg3045z00_3037 =
																						BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
																						(BgL_auxz00_8474, BNIL);
																				}
																				BgL_arg3042z00_3034 =
																					MAKE_PAIR(BgL_arg3044z00_3036,
																					BgL_arg3045z00_3037);
																			}
																			return
																				BGl_pragmazf2typezd2ze3nodezc3zzast_pragmaz00
																				(((bool_t) 1),
																				((obj_t) BgL_arg3041z00_3033),
																				((BgL_typez00_bglt) BgL_typez00_3016),
																				BgL_arg3042z00_3034, BgL_stackz00_29,
																				BgL_locz00_3012, BgL_sitez00_31);
																		}
																	else
																		{	/* Ast/sexp.scm 579 */
																			obj_t BgL_arg3048z00_3040;

																			BgL_arg3048z00_3040 =
																				BGl_findzd2locationzf2locz20zztools_locationz00
																				(BgL_expz00_28, BgL_locz00_3012);
																			{	/* Ast/sexp.scm 577 */
																				BgL_nodez00_bglt BgL_res3473z00_5436;

																				{	/* Ast/sexp.scm 668 */
																					obj_t BgL_arg3097z00_5432;
																					BgL_nodez00_bglt BgL_arg3098z00_5433;

																					BgL_arg3097z00_5432 =
																						BGl_shapez00zztools_shapez00
																						(BGl_currentzd2functionzd2zztools_errorz00
																						());
																					BgL_arg3098z00_5433 =
																						BGl_sexpzd2ze3nodez31zzast_sexpz00
																						(CNST_TABLE_REF(((long) 4)), BNIL,
																						BgL_arg3048z00_3040,
																						CNST_TABLE_REF(((long) 2)));
																					{	/* Ast/sexp.scm 667 */
																						obj_t BgL_list3099z00_5435;

																						BgL_list3099z00_5435 =
																							MAKE_PAIR(
																							((obj_t) BgL_arg3098z00_5433),
																							BNIL);
																						BgL_res3473z00_5436 =
																							((BgL_nodez00_bglt)
																							BGl_userzd2errorzf2locationz20zztools_errorz00
																							(BgL_arg3048z00_3040,
																								BgL_arg3097z00_5432,
																								BGl_string3538z00zzast_sexpz00,
																								BgL_expz00_28,
																								BgL_list3099z00_5435));
																				}}
																				return BgL_res3473z00_5436;
																			}
																		}
																}
															else
																{	/* Ast/sexp.scm 562 */
																	if (
																		(BgL_idz00_3015 ==
																			CNST_TABLE_REF(((long) 3))))
																		{
																			obj_t BgL_argsz00_3043;
																			obj_t BgL_bodyz00_3044;

																			if (PAIRP(BgL_expz00_28))
																				{	/* Ast/sexp.scm 584 */
																					obj_t BgL_cdrzd27947zd2_3049;

																					BgL_cdrzd27947zd2_3049 =
																						CDR(BgL_expz00_28);
																					if (PAIRP(BgL_cdrzd27947zd2_3049))
																						{	/* Ast/sexp.scm 584 */
																							BgL_argsz00_3043 =
																								CAR(BgL_cdrzd27947zd2_3049);
																							BgL_bodyz00_3044 =
																								CDR(BgL_cdrzd27947zd2_3049);
																							{	/* Ast/sexp.scm 586 */
																								obj_t BgL_locz00_3053;

																								BgL_locz00_3053 =
																									BGl_findzd2locationzf2locz20zztools_locationz00
																									(BgL_expz00_28,
																									BgL_locz00_3012);
																								{	/* Ast/sexp.scm 586 */
																									obj_t BgL_funz00_3054;

																									BgL_funz00_3054 =
																										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
																										(BGl_gensymz00zz__r4_symbols_6_4z00
																										(CNST_TABLE_REF(((long)
																													3))));
																									{	/* Ast/sexp.scm 587 */
																										obj_t BgL_tfunz00_3055;

																										if (BGl_bigloozd2typezf3z21zztype_typez00(((BgL_typez00_bglt) BgL_typez00_3016)))
																											{	/* Ast/sexp.scm 589 */
																												obj_t
																													BgL_arg3065z00_3066;
																												BgL_arg3065z00_3066 =
																													(((BgL_typez00_bglt)
																														CREF((
																																(BgL_typez00_bglt)
																																BgL_typez00_3016)))->
																													BgL_idz00);
																												BgL_tfunz00_3055 =
																													BGl_makezd2typedzd2identz00zzast_identz00
																													(BgL_funz00_3054,
																													BgL_arg3065z00_3066);
																											}
																										else
																											{	/* Ast/sexp.scm 588 */
																												BgL_tfunz00_3055 =
																													BgL_funz00_3054;
																											}
																										{	/* Ast/sexp.scm 588 */

																											{	/* Ast/sexp.scm 592 */
																												obj_t
																													BgL_arg3055z00_3056;
																												{	/* Ast/sexp.scm 592 */
																													obj_t
																														BgL_arg3056z00_3057;
																													obj_t
																														BgL_arg3057z00_3058;
																													BgL_arg3056z00_3057 =
																														BGl_labelszd2symzd2zzast_labelsz00
																														();
																													{	/* Ast/sexp.scm 592 */
																														obj_t
																															BgL_arg3058z00_3059;
																														obj_t
																															BgL_arg3059z00_3060;
																														{	/* Ast/sexp.scm 592 */
																															obj_t
																																BgL_arg3060z00_3061;
																															{	/* Ast/sexp.scm 592 */
																																obj_t
																																	BgL_arg3061z00_3062;
																																{	/* Ast/sexp.scm 592 */
																																	obj_t
																																		BgL_arg3062z00_3063;
																																	BgL_arg3062z00_3063
																																		=
																																		MAKE_PAIR
																																		(BGl_normaliza7ezd2prognz75zztools_prognz00
																																		(BgL_bodyz00_3044),
																																		BNIL);
																																	BgL_arg3061z00_3062
																																		=
																																		MAKE_PAIR
																																		(BgL_argsz00_3043,
																																		BgL_arg3062z00_3063);
																																}
																																BgL_arg3060z00_3061
																																	=
																																	MAKE_PAIR
																																	(BgL_tfunz00_3055,
																																	BgL_arg3061z00_3062);
																															}
																															BgL_arg3058z00_3059
																																=
																																MAKE_PAIR
																																(BgL_arg3060z00_3061,
																																BNIL);
																														}
																														BgL_arg3059z00_3060
																															=
																															MAKE_PAIR
																															(BgL_funz00_3054,
																															BNIL);
																														BgL_arg3057z00_3058
																															=
																															MAKE_PAIR
																															(BgL_arg3058z00_3059,
																															BgL_arg3059z00_3060);
																													}
																													BgL_arg3055z00_3056 =
																														MAKE_PAIR
																														(BgL_arg3056z00_3057,
																														BgL_arg3057z00_3058);
																												}
																												return
																													BGl_sexpzd2ze3nodez31zzast_sexpz00
																													(BgL_arg3055z00_3056,
																													BgL_stackz00_29,
																													BgL_locz00_3053,
																													BgL_sitez00_31);
																											}
																										}
																									}
																								}
																							}
																						}
																					else
																						{	/* Ast/sexp.scm 584 */
																						BgL_tagzd27940zd2_3046:
																							{	/* Ast/sexp.scm 598 */
																								BgL_nodez00_bglt
																									BgL_res3476z00_5450;
																								{	/* Ast/sexp.scm 668 */
																									obj_t BgL_arg3097z00_5446;
																									BgL_nodez00_bglt
																										BgL_arg3098z00_5447;
																									BgL_arg3097z00_5446 =
																										BGl_shapez00zztools_shapez00
																										(BGl_currentzd2functionzd2zztools_errorz00
																										());
																									BgL_arg3098z00_5447 =
																										BGl_sexpzd2ze3nodez31zzast_sexpz00
																										(CNST_TABLE_REF(((long) 4)),
																										BNIL, BgL_locz00_3012,
																										CNST_TABLE_REF(((long) 2)));
																									{	/* Ast/sexp.scm 667 */
																										obj_t BgL_list3099z00_5449;

																										BgL_list3099z00_5449 =
																											MAKE_PAIR(
																											((obj_t)
																												BgL_arg3098z00_5447),
																											BNIL);
																										BgL_res3476z00_5450 =
																											((BgL_nodez00_bglt)
																											BGl_userzd2errorzf2locationz20zztools_errorz00
																											(BgL_locz00_3012,
																												BgL_arg3097z00_5446,
																												BGl_string3539z00zzast_sexpz00,
																												BgL_expz00_28,
																												BgL_list3099z00_5449));
																								}}
																								return BgL_res3476z00_5450;
																							}
																						}
																				}
																			else
																				{	/* Ast/sexp.scm 584 */
																					goto BgL_tagzd27940zd2_3046;
																				}
																		}
																	else
																		{	/* Ast/sexp.scm 562 */
																			return
																				BGl_applicationzd2ze3nodez31zzast_appz00
																				(BgL_expz00_28, BgL_stackz00_29,
																				BgL_locz00_3012, BgL_sitez00_31);
																		}
																}
														}
												}
										}
								}
							}
						}
					}
				else
					{	/* Ast/sexp.scm 557 */
						return
							BGl_applicationzd2ze3nodez31zzast_appz00(BgL_expz00_28,
							BgL_stackz00_29, BgL_locz00_3012, BgL_sitez00_31);
					}
			}
		}
	}



/* sexp*->node */
	BGL_EXPORTED_DEF obj_t BGl_sexpza2zd2ze3nodez93zzast_sexpz00(obj_t
		BgL_expza2za2_32, obj_t BgL_stackz00_33, obj_t BgL_locz00_34,
		obj_t BgL_sitez00_35)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 606 */
			{
				obj_t BgL_expsz00_3070;
				obj_t BgL_resz00_3071;
				obj_t BgL_locz00_3072;

				BgL_expsz00_3070 = BgL_expza2za2_32;
				BgL_resz00_3071 = BNIL;
				BgL_locz00_3072 = BgL_locz00_34;
			BgL_zc3anonymousza33067ze3z83_3073:
				if (NULLP(BgL_expsz00_3070))
					{	/* Ast/sexp.scm 612 */
						BgL_nodez00_bglt BgL_res3480z00_5467;

						{	/* Ast/sexp.scm 668 */
							obj_t BgL_arg3097z00_5463;
							BgL_nodez00_bglt BgL_arg3098z00_5464;

							BgL_arg3097z00_5463 =
								BGl_shapez00zztools_shapez00
								(BGl_currentzd2functionzd2zztools_errorz00());
							BgL_arg3098z00_5464 =
								BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)),
								BNIL, BgL_locz00_3072, CNST_TABLE_REF(((long) 2)));
							{	/* Ast/sexp.scm 667 */
								obj_t BgL_list3099z00_5466;

								BgL_list3099z00_5466 =
									MAKE_PAIR(((obj_t) BgL_arg3098z00_5464), BNIL);
								BgL_res3480z00_5467 =
									((BgL_nodez00_bglt)
									BGl_userzd2errorzf2locationz20zztools_errorz00
									(BgL_locz00_3072, BgL_arg3097z00_5463,
										BGl_string3540z00zzast_sexpz00, BgL_expsz00_3070,
										BgL_list3099z00_5466));
						}}
						return ((obj_t) BgL_res3480z00_5467);
					}
				else
					{	/* Ast/sexp.scm 611 */
						if (NULLP(CDR(BgL_expsz00_3070)))
							{	/* Ast/sexp.scm 614 */
								obj_t BgL_locz00_3076;
								obj_t BgL_nsitez00_3077;

								BgL_locz00_3076 =
									BGl_findzd2locationzf2locz20zztools_locationz00(CAR
									(BgL_expsz00_3070),
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_expsz00_3070, BgL_locz00_3072));
								if ((BgL_sitez00_35 == CNST_TABLE_REF(((long) 33))))
									{	/* Ast/sexp.scm 616 */
										BgL_nsitez00_3077 = CNST_TABLE_REF(((long) 2));
									}
								else
									{	/* Ast/sexp.scm 616 */
										BgL_nsitez00_3077 = BgL_sitez00_35;
									}
								{	/* Ast/sexp.scm 617 */
									obj_t BgL_arg3071z00_3078;

									{	/* Ast/sexp.scm 617 */
										BgL_nodez00_bglt BgL_arg3072z00_3079;

										BgL_arg3072z00_3079 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(CAR(BgL_expsz00_3070),
											BgL_stackz00_33, BgL_locz00_3076, BgL_nsitez00_3077);
										BgL_arg3071z00_3078 =
											MAKE_PAIR(((obj_t) BgL_arg3072z00_3079), BgL_resz00_3071);
									}
									return bgl_reverse_bang(BgL_arg3071z00_3078);
								}
							}
						else
							{	/* Ast/sexp.scm 619 */
								obj_t BgL_locz00_3084;

								BgL_locz00_3084 =
									BGl_findzd2locationzf2locz20zztools_locationz00(CAR
									(BgL_expsz00_3070),
									BGl_findzd2locationzf2locz20zztools_locationz00
									(BgL_expsz00_3070, BgL_locz00_3072));
								{	/* Ast/sexp.scm 621 */
									obj_t BgL_arg3077z00_3085;
									obj_t BgL_arg3078z00_3086;

									BgL_arg3077z00_3085 = CDR(BgL_expsz00_3070);
									{	/* Ast/sexp.scm 622 */
										BgL_nodez00_bglt BgL_arg3079z00_3087;

										{	/* Ast/sexp.scm 622 */
											obj_t BgL_arg3080z00_3088;

											BgL_arg3080z00_3088 = CAR(BgL_expsz00_3070);
											BgL_arg3079z00_3087 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3080z00_3088,
												BgL_stackz00_33, BgL_locz00_3084,
												CNST_TABLE_REF(((long) 2)));
										}
										BgL_arg3078z00_3086 =
											MAKE_PAIR(((obj_t) BgL_arg3079z00_3087), BgL_resz00_3071);
									}
									{
										obj_t BgL_locz00_8571;
										obj_t BgL_resz00_8570;
										obj_t BgL_expsz00_8569;

										BgL_expsz00_8569 = BgL_arg3077z00_3085;
										BgL_resz00_8570 = BgL_arg3078z00_3086;
										BgL_locz00_8571 = BgL_locz00_3084;
										BgL_locz00_3072 = BgL_locz00_8571;
										BgL_resz00_3071 = BgL_resz00_8570;
										BgL_expsz00_3070 = BgL_expsz00_8569;
										goto BgL_zc3anonymousza33067ze3z83_3073;
									}
								}
							}
					}
			}
		}
	}



/* &sexp*->node */
	obj_t BGl_z62sexpza2zd2ze3nodezf1zzast_sexpz00(obj_t BgL_envz00_5630,
		obj_t BgL_expza2za2_5631, obj_t BgL_stackz00_5632, obj_t BgL_locz00_5633,
		obj_t BgL_sitez00_5634)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 606 */
			return
				BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_expza2za2_5631,
				BgL_stackz00_5632, BgL_locz00_5633, BgL_sitez00_5634);
		}
	}



/* find-local */
	BGL_EXPORTED_DEF obj_t BGl_findzd2localzd2zzast_sexpz00(obj_t BgL_namez00_36,
		obj_t BgL_stackz00_37)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 635 */
			{	/* Ast/sexp.scm 636 */
				bool_t BgL_testz00_8573;

				if ((BgL_namez00_36 == BGl_za2cachezd2nameza2zd2zzast_sexpz00))
					{	/* Ast/sexp.scm 636 */
						BgL_testz00_8573 =
							(BgL_stackz00_37 == BGl_za2cachezd2stackza2zd2zzast_sexpz00);
					}
				else
					{	/* Ast/sexp.scm 636 */
						BgL_testz00_8573 = ((bool_t) 0);
					}
				if (BgL_testz00_8573)
					{	/* Ast/sexp.scm 636 */
						return BGl_za2cachezd2resza2zd2zzast_sexpz00;
					}
				else
					{	/* Ast/sexp.scm 636 */
						BGl_za2cachezd2nameza2zd2zzast_sexpz00 = BgL_namez00_36;
						BGl_za2cachezd2stackza2zd2zzast_sexpz00 = BgL_stackz00_37;
						{
							obj_t BgL_stackz00_3095;

							BgL_stackz00_3095 = BgL_stackz00_37;
						BgL_zc3anonymousza33086ze3z83_3096:
							if (NULLP(BgL_stackz00_3095))
								{	/* Ast/sexp.scm 643 */
									BGl_za2cachezd2resza2zd2zzast_sexpz00 = BFALSE;
									return BFALSE;
								}
							else
								{	/* Ast/sexp.scm 646 */
									bool_t BgL_testz00_8579;

									{	/* Ast/sexp.scm 646 */
										obj_t BgL_auxz00_8580;

										{
											BgL_variablez00_bglt BgL_auxz00_8581;

											{
												BgL_localz00_bglt BgL_auxz00_8582;

												{	/* Ast/sexp.scm 646 */
													obj_t BgL_pairz00_5478;

													BgL_pairz00_5478 = BgL_stackz00_3095;
													BgL_auxz00_8582 =
														((BgL_localz00_bglt) CAR(BgL_pairz00_5478));
												}
												BgL_auxz00_8581 =
													((BgL_variablez00_bglt) BgL_auxz00_8582);
											}
											BgL_auxz00_8580 =
												(((BgL_variablez00_bglt) CREF(BgL_auxz00_8581))->
												BgL_idz00);
										}
										BgL_testz00_8579 = (BgL_auxz00_8580 == BgL_namez00_36);
									}
									if (BgL_testz00_8579)
										{	/* Ast/sexp.scm 646 */
											BGl_za2cachezd2resza2zd2zzast_sexpz00 =
												CAR(BgL_stackz00_3095);
											return CAR(BgL_stackz00_3095);
										}
									else
										{
											obj_t BgL_stackz00_8590;

											BgL_stackz00_8590 = CDR(BgL_stackz00_3095);
											BgL_stackz00_3095 = BgL_stackz00_8590;
											goto BgL_zc3anonymousza33086ze3z83_3096;
										}
								}
						}
					}
			}
		}
	}



/* &find-local */
	obj_t BGl_z62findzd2localzb0zzast_sexpz00(obj_t BgL_envz00_5635,
		obj_t BgL_namez00_5636, obj_t BgL_stackz00_5637)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 635 */
			return
				BGl_findzd2localzd2zzast_sexpz00(BgL_namez00_5636, BgL_stackz00_5637);
		}
	}



/* use-variable! */
	BGL_EXPORTED_DEF obj_t
		BGl_usezd2variablez12zc0zzast_sexpz00(BgL_variablez00_bglt BgL_varz00_38,
		obj_t BgL_locz00_39, obj_t BgL_sitez00_40)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 655 */
			if ((BgL_sitez00_40 == CNST_TABLE_REF(((long) 7))))
				{	/* Ast/sexp.scm 658 */
					obj_t BgL_vz00_5486;

					BgL_vz00_5486 = CNST_TABLE_REF(((long) 36));
					((((BgL_variablez00_bglt) CREF(BgL_varz00_38))->BgL_accessz00) =
						((obj_t) BgL_vz00_5486), BUNSPEC);
				}
			else
				{	/* Ast/sexp.scm 657 */
					BFALSE;
				}
			{	/* Ast/sexp.scm 659 */
				BgL_valuez00_bglt BgL_valz00_3105;

				BgL_valz00_3105 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_38))->BgL_valuez00);
				{	/* Ast/sexp.scm 660 */
					bool_t BgL_testz00_8599;

					if ((BgL_sitez00_40 == CNST_TABLE_REF(((long) 7))))
						{	/* Ast/sexp.scm 660 */
							bool_t BgL_res3485z00_5492;

							{	/* Ast/sexp.scm 660 */
								obj_t BgL_objz00_5491;

								BgL_objz00_5491 = ((obj_t) BgL_valz00_3105);
								BgL_res3485z00_5492 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_5491,
									BGl_funz00zzast_varz00);
							}
							BgL_testz00_8599 = BgL_res3485z00_5492;
						}
					else
						{	/* Ast/sexp.scm 660 */
							BgL_testz00_8599 = ((bool_t) 0);
						}
					if (BgL_testz00_8599)
						{	/* Ast/sexp.scm 661 */
							obj_t BgL_arg3095z00_3107;

							BgL_arg3095z00_3107 =
								BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_38));
							{	/* Ast/sexp.scm 661 */
								BgL_nodez00_bglt BgL_res3486z00_5500;

								{	/* Ast/sexp.scm 668 */
									obj_t BgL_arg3097z00_5496;
									BgL_nodez00_bglt BgL_arg3098z00_5497;

									BgL_arg3097z00_5496 =
										BGl_shapez00zztools_shapez00
										(BGl_currentzd2functionzd2zztools_errorz00());
									BgL_arg3098z00_5497 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long)
												4)), BNIL, BgL_locz00_39, CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 667 */
										obj_t BgL_list3099z00_5499;

										BgL_list3099z00_5499 =
											MAKE_PAIR(((obj_t) BgL_arg3098z00_5497), BNIL);
										BgL_res3486z00_5500 =
											((BgL_nodez00_bglt)
											BGl_userzd2errorzf2locationz20zztools_errorz00
											(BgL_locz00_39, BgL_arg3097z00_5496,
												BGl_string3541z00zzast_sexpz00, BgL_arg3095z00_3107,
												BgL_list3099z00_5499));
								}}
								return ((obj_t) BgL_res3486z00_5500);
							}
						}
					else
						{	/* Ast/sexp.scm 660 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &use-variable! */
	obj_t BGl_z62usezd2variablez12za2zzast_sexpz00(obj_t BgL_envz00_5638,
		obj_t BgL_varz00_5639, obj_t BgL_locz00_5640, obj_t BgL_sitez00_5641)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 655 */
			return
				BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_varz00_5639), BgL_locz00_5640,
				BgL_sitez00_5641);
		}
	}



/* error-sexp->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t BgL_msgz00_41,
		obj_t BgL_expz00_42, obj_t BgL_locz00_43)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 666 */
			{	/* Ast/sexp.scm 668 */
				obj_t BgL_arg3097z00_3109;
				BgL_nodez00_bglt BgL_arg3098z00_3110;

				BgL_arg3097z00_3109 =
					BGl_shapez00zztools_shapez00(BGl_currentzd2functionzd2zztools_errorz00
					());
				BgL_arg3098z00_3110 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 4)), BNIL,
					BgL_locz00_43, CNST_TABLE_REF(((long) 2)));
				{	/* Ast/sexp.scm 667 */
					obj_t BgL_list3099z00_3111;

					BgL_list3099z00_3111 = MAKE_PAIR(((obj_t) BgL_arg3098z00_3110), BNIL);
					return
						((BgL_nodez00_bglt)
						BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_43,
							BgL_arg3097z00_3109, BgL_msgz00_41, BgL_expz00_42,
							BgL_list3099z00_3111));
				}
			}
		}
	}



/* &error-sexp->node */
	BgL_nodez00_bglt BGl_z62errorzd2sexpzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_5642, obj_t BgL_msgz00_5643, obj_t BgL_expz00_5644,
		obj_t BgL_locz00_5645)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 666 */
			return
				BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BgL_msgz00_5643,
				BgL_expz00_5644, BgL_locz00_5645);
		}
	}



/* define-primop-ref->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_44, BgL_nodez00_bglt BgL_refz00_45)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 676 */
			{	/* Ast/sexp.scm 677 */
				BgL_nodez00_bglt BgL_funz00_3113;

				BgL_funz00_3113 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 37)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 33)));
				{	/* Ast/sexp.scm 678 */
					bool_t BgL_testz00_8632;

					{	/* Ast/sexp.scm 678 */
						bool_t BgL_res3487z00_5502;

						{	/* Ast/sexp.scm 678 */
							obj_t BgL_objz00_5501;

							BgL_objz00_5501 = ((obj_t) BgL_funz00_3113);
							BgL_res3487z00_5502 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_5501,
								BGl_varz00zzast_nodez00);
						}
						BgL_testz00_8632 = BgL_res3487z00_5502;
					}
					if (BgL_testz00_8632)
						{	/* Ast/sexp.scm 679 */
							BgL_appz00_bglt BgL_new1145z00_3115;

							{	/* Ast/sexp.scm 679 */
								BgL_appz00_bglt BgL_new1144z00_3122;

								BgL_new1144z00_3122 =
									((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 679 */
									long BgL_arg3108z00_3123;

									{	/* Ast/sexp.scm 679 */
										long BgL_res3488z00_5504;

										BgL_res3488z00_5504 =
											BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
										BgL_arg3108z00_3123 = BgL_res3488z00_5504;
									}
									{	/* Ast/sexp.scm 679 */
										BgL_objectz00_bglt BgL_objz00_5505;

										BgL_objz00_5505 =
											((BgL_objectz00_bglt) BgL_new1144z00_3122);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5505,
											BgL_arg3108z00_3123);
								}}
								{	/* Ast/sexp.scm 679 */
									BgL_objectz00_bglt BgL_auxz00_8639;

									BgL_auxz00_8639 = ((BgL_objectz00_bglt) BgL_new1144z00_3122);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_8639, BFALSE);
								}
								BgL_new1145z00_3115 = BgL_new1144z00_3122;
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1145z00_3115)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_new1145z00_3115)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1145z00_3115)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1145z00_3115)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) CREF(BgL_new1145z00_3115))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_3113)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_8654;

								{	/* Ast/sexp.scm 682 */
									BgL_nodez00_bglt BgL_arg3102z00_3116;

									{	/* Ast/sexp.scm 682 */
										obj_t BgL_arg3105z00_3119;

										{	/* Ast/sexp.scm 682 */
											obj_t BgL_arg3106z00_3120;

											{	/* Ast/sexp.scm 682 */
												obj_t BgL_arg3107z00_3121;

												BgL_arg3107z00_3121 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_globalz00_44)))->
													BgL_idz00);
												BgL_arg3106z00_3120 =
													MAKE_PAIR(BgL_arg3107z00_3121, BNIL);
											}
											BgL_arg3105z00_3119 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
												BgL_arg3106z00_3120);
										}
										BgL_arg3102z00_3116 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3105z00_3119,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									{	/* Ast/sexp.scm 682 */
										obj_t BgL_list3103z00_3117;

										{	/* Ast/sexp.scm 682 */
											obj_t BgL_arg3104z00_3118;

											BgL_arg3104z00_3118 =
												MAKE_PAIR(((obj_t) BgL_refz00_45), BNIL);
											BgL_list3103z00_3117 =
												MAKE_PAIR(
												((obj_t) BgL_arg3102z00_3116), BgL_arg3104z00_3118);
										}
										BgL_auxz00_8654 = BgL_list3103z00_3117;
								}}
								((((BgL_appz00_bglt) CREF(BgL_new1145z00_3115))->BgL_argsz00) =
									((obj_t) BgL_auxz00_8654), BUNSPEC);
							}
							return ((BgL_nodez00_bglt) BgL_new1145z00_3115);
						}
					else
						{	/* Ast/sexp.scm 678 */
							return BgL_funz00_3113;
						}
				}
			}
		}
	}



/* &define-primop-ref->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2refzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_5646, obj_t BgL_globalz00_5647, obj_t BgL_refz00_5648)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 676 */
			return
				BGl_definezd2primopzd2refzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_5647),
				((BgL_nodez00_bglt) BgL_refz00_5648));
		}
	}



/* define-primop->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(BgL_globalz00_bglt
		BgL_globalz00_46)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 688 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_46), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 690 */
				BgL_nodez00_bglt BgL_funz00_3124;

				BgL_funz00_3124 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 38)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 33)));
				{	/* Ast/sexp.scm 691 */
					bool_t BgL_testz00_8677;

					{	/* Ast/sexp.scm 691 */
						bool_t BgL_res3491z00_5513;

						{	/* Ast/sexp.scm 691 */
							obj_t BgL_objz00_5512;

							BgL_objz00_5512 = ((obj_t) BgL_funz00_3124);
							BgL_res3491z00_5513 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_5512,
								BGl_varz00zzast_nodez00);
						}
						BgL_testz00_8677 = BgL_res3491z00_5513;
					}
					if (BgL_testz00_8677)
						{	/* Ast/sexp.scm 692 */
							BgL_appz00_bglt BgL_new1147z00_3126;

							{	/* Ast/sexp.scm 692 */
								BgL_appz00_bglt BgL_new1146z00_3134;

								BgL_new1146z00_3134 =
									((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_appz00_bgl))));
								{	/* Ast/sexp.scm 692 */
									long BgL_arg3117z00_3135;

									{	/* Ast/sexp.scm 692 */
										long BgL_res3492z00_5515;

										BgL_res3492z00_5515 =
											BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
										BgL_arg3117z00_3135 = BgL_res3492z00_5515;
									}
									{	/* Ast/sexp.scm 692 */
										BgL_objectz00_bglt BgL_objz00_5516;

										BgL_objz00_5516 =
											((BgL_objectz00_bglt) BgL_new1146z00_3134);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5516,
											BgL_arg3117z00_3135);
								}}
								{	/* Ast/sexp.scm 692 */
									BgL_objectz00_bglt BgL_auxz00_8684;

									BgL_auxz00_8684 = ((BgL_objectz00_bglt) BgL_new1146z00_3134);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_8684, BFALSE);
								}
								BgL_new1147z00_3126 = BgL_new1146z00_3134;
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_new1147z00_3126)))->BgL_locz00) =
								((obj_t) BFALSE), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_new1147z00_3126)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1147z00_3126)))->BgL_sidezd2effectzd2) =
								((obj_t) BUNSPEC), BUNSPEC);
							((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
												BgL_new1147z00_3126)))->BgL_keyz00) =
								((obj_t) BINT(((long) -1))), BUNSPEC);
							((((BgL_appz00_bglt) CREF(BgL_new1147z00_3126))->BgL_funz00) =
								((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_3124)),
								BUNSPEC);
							{
								obj_t BgL_auxz00_8699;

								{	/* Ast/sexp.scm 695 */
									BgL_nodez00_bglt BgL_arg3110z00_3127;
									BgL_nodez00_bglt BgL_arg3111z00_3128;

									{	/* Ast/sexp.scm 695 */
										obj_t BgL_arg3114z00_3131;

										{	/* Ast/sexp.scm 695 */
											obj_t BgL_arg3115z00_3132;

											{	/* Ast/sexp.scm 695 */
												obj_t BgL_arg3116z00_3133;

												BgL_arg3116z00_3133 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_globalz00_46)))->
													BgL_idz00);
												BgL_arg3115z00_3132 =
													MAKE_PAIR(BgL_arg3116z00_3133, BNIL);
											}
											BgL_arg3114z00_3131 =
												MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
												BgL_arg3115z00_3132);
										}
										BgL_arg3110z00_3127 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3114z00_3131,
											BNIL, BFALSE, CNST_TABLE_REF(((long) 2)));
									}
									BgL_arg3111z00_3128 =
										BGl_sexpzd2ze3nodez31zzast_sexpz00(
										((obj_t) BgL_globalz00_46), BNIL, BFALSE,
										CNST_TABLE_REF(((long) 2)));
									{	/* Ast/sexp.scm 695 */
										obj_t BgL_list3112z00_3129;

										{	/* Ast/sexp.scm 695 */
											obj_t BgL_arg3113z00_3130;

											BgL_arg3113z00_3130 =
												MAKE_PAIR(((obj_t) BgL_arg3111z00_3128), BNIL);
											BgL_list3112z00_3129 =
												MAKE_PAIR(
												((obj_t) BgL_arg3110z00_3127), BgL_arg3113z00_3130);
										}
										BgL_auxz00_8699 = BgL_list3112z00_3129;
								}}
								((((BgL_appz00_bglt) CREF(BgL_new1147z00_3126))->BgL_argsz00) =
									((obj_t) BgL_auxz00_8699), BUNSPEC);
							}
							return ((BgL_nodez00_bglt) BgL_new1147z00_3126);
						}
					else
						{	/* Ast/sexp.scm 691 */
							return BgL_funz00_3124;
						}
				}
			}
		}
	}



/* &define-primop->node */
	BgL_nodez00_bglt BGl_z62definezd2primopzd2ze3nodez81zzast_sexpz00(obj_t
		BgL_envz00_5649, obj_t BgL_globalz00_5650)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 688 */
			return
				BGl_definezd2primopzd2ze3nodeze3zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_5650));
		}
	}



/* location->node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_locationzd2ze3nodez31zzast_sexpz00(BgL_globalz00_bglt BgL_globalz00_47)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 702 */
			BGl_usezd2variablez12zc0zzast_sexpz00(
				((BgL_variablez00_bglt) BgL_globalz00_47), BFALSE,
				CNST_TABLE_REF(((long) 2)));
			{	/* Ast/sexp.scm 704 */
				BgL_nodez00_bglt BgL_funz00_3136;

				BgL_funz00_3136 =
					BGl_sexpzd2ze3nodez31zzast_sexpz00(CNST_TABLE_REF(((long) 39)), BNIL,
					BFALSE, CNST_TABLE_REF(((long) 33)));
				{	/* Ast/sexp.scm 705 */
					bool_t BgL_testz00_8724;

					{	/* Ast/sexp.scm 705 */
						bool_t BgL_res3495z00_5524;

						{	/* Ast/sexp.scm 705 */
							obj_t BgL_objz00_5523;

							BgL_objz00_5523 = ((obj_t) BgL_funz00_3136);
							BgL_res3495z00_5524 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_5523,
								BGl_varz00zzast_nodez00);
						}
						BgL_testz00_8724 = BgL_res3495z00_5524;
					}
					if (BgL_testz00_8724)
						{	/* Ast/sexp.scm 706 */
							obj_t BgL_exprz00_3138;

							{	/* Ast/sexp.scm 706 */
								bool_t BgL_testz00_8727;

								{	/* Ast/sexp.scm 706 */
									obj_t BgL_arg3125z00_3147;

									BgL_arg3125z00_3147 =
										BGl_thezd2backendzd2zzbackend_backendz00();
									BgL_testz00_8727 =
										(((BgL_backendz00_bglt) CREF(
												((BgL_backendz00_bglt) BgL_arg3125z00_3147)))->
										BgL_pragmazd2supportzd2);
								}
								if (BgL_testz00_8727)
									{	/* Ast/sexp.scm 707 */
										obj_t BgL_arg3123z00_3145;

										{	/* Ast/sexp.scm 707 */
											obj_t BgL_arg3124z00_3146;

											BgL_arg3124z00_3146 =
												MAKE_PAIR(((obj_t) BgL_globalz00_47), BNIL);
											BgL_arg3123z00_3145 =
												MAKE_PAIR(BGl_string3542z00zzast_sexpz00,
												BgL_arg3124z00_3146);
										}
										BgL_exprz00_3138 =
											MAKE_PAIR(CNST_TABLE_REF(((long) 40)),
											BgL_arg3123z00_3145);
									}
								else
									{	/* Ast/sexp.scm 706 */
										BgL_exprz00_3138 = ((obj_t) BgL_globalz00_47);
									}
							}
							{	/* Ast/sexp.scm 709 */
								BgL_appz00_bglt BgL_new1149z00_3139;

								{	/* Ast/sexp.scm 709 */
									BgL_appz00_bglt BgL_new1148z00_3142;

									BgL_new1148z00_3142 =
										((BgL_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_appz00_bgl))));
									{	/* Ast/sexp.scm 709 */
										long BgL_arg3121z00_3143;

										{	/* Ast/sexp.scm 709 */
											long BgL_res3497z00_5529;

											BgL_res3497z00_5529 =
												BGL_CLASS_INDEX(BGl_appz00zzast_nodez00);
											BgL_arg3121z00_3143 = BgL_res3497z00_5529;
										}
										{	/* Ast/sexp.scm 709 */
											BgL_objectz00_bglt BgL_objz00_5530;

											BgL_objz00_5530 =
												((BgL_objectz00_bglt) BgL_new1148z00_3142);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5530,
												BgL_arg3121z00_3143);
									}}
									{	/* Ast/sexp.scm 709 */
										BgL_objectz00_bglt BgL_auxz00_8741;

										BgL_auxz00_8741 =
											((BgL_objectz00_bglt) BgL_new1148z00_3142);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_8741, BFALSE);
									}
									BgL_new1149z00_3139 = BgL_new1148z00_3142;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1149z00_3139)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
													BgL_new1149z00_3139)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_strictzd2nodezd2typez00zzast_nodez00(((BgL_typez00_bglt)
												BGl_za2_za2z00zztype_cachez00),
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00))),
									BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
													BgL_new1149z00_3139)))->BgL_sidezd2effectzd2) =
									((obj_t) BUNSPEC), BUNSPEC);
								((((BgL_nodezf2effectzf2_bglt) CREF(((BgL_nodezf2effectzf2_bglt)
													BgL_new1149z00_3139)))->BgL_keyz00) =
									((obj_t) BINT(((long) -1))), BUNSPEC);
								((((BgL_appz00_bglt) CREF(BgL_new1149z00_3139))->BgL_funz00) =
									((BgL_varz00_bglt) ((BgL_varz00_bglt) BgL_funz00_3136)),
									BUNSPEC);
								{
									obj_t BgL_auxz00_8758;

									{	/* Ast/sexp.scm 712 */
										BgL_nodez00_bglt BgL_arg3119z00_3140;

										BgL_arg3119z00_3140 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_exprz00_3138, BNIL,
											BFALSE, CNST_TABLE_REF(((long) 2)));
										{	/* Ast/sexp.scm 712 */
											obj_t BgL_list3120z00_3141;

											BgL_list3120z00_3141 =
												MAKE_PAIR(((obj_t) BgL_arg3119z00_3140), BNIL);
											BgL_auxz00_8758 = BgL_list3120z00_3141;
									}}
									((((BgL_appz00_bglt) CREF(BgL_new1149z00_3139))->
											BgL_argsz00) = ((obj_t) BgL_auxz00_8758), BUNSPEC);
								}
								return ((BgL_nodez00_bglt) BgL_new1149z00_3139);
							}
						}
					else
						{	/* Ast/sexp.scm 705 */
							return BgL_funz00_3136;
						}
				}
			}
		}
	}



/* &location->node */
	BgL_nodez00_bglt BGl_z62locationzd2ze3nodez53zzast_sexpz00(obj_t
		BgL_envz00_5651, obj_t BgL_globalz00_5652)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 702 */
			return
				BGl_locationzd2ze3nodez31zzast_sexpz00(
				((BgL_globalz00_bglt) BgL_globalz00_5652));
		}
	}



/* make-anonymous-name */
	BGL_EXPORTED_DEF obj_t BGl_makezd2anonymouszd2namez00zzast_sexpz00(obj_t
		BgL_locz00_48, obj_t BgL_prefz00_49)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 718 */
			{	/* Ast/sexp.scm 719 */
				obj_t BgL_prefz00_3148;

				{	/* Ast/sexp.scm 719 */
					bool_t BgL_testz00_8767;

					if (PAIRP(BgL_prefz00_49))
						{	/* Ast/sexp.scm 719 */
							obj_t BgL_auxz00_8770;

							BgL_auxz00_8770 = CAR(BgL_prefz00_49);
							BgL_testz00_8767 = STRINGP(BgL_auxz00_8770);
						}
					else
						{	/* Ast/sexp.scm 719 */
							BgL_testz00_8767 = ((bool_t) 0);
						}
					if (BgL_testz00_8767)
						{	/* Ast/sexp.scm 719 */
							BgL_prefz00_3148 = CAR(BgL_prefz00_49);
						}
					else
						{	/* Ast/sexp.scm 719 */
							BgL_prefz00_3148 = BGl_string3543z00zzast_sexpz00;
						}
				}
				{	/* Ast/sexp.scm 722 */
					bool_t BgL_testz00_8774;

					if (STRUCTP(BgL_locz00_48))
						{	/* Ast/sexp.scm 722 */
							BgL_testz00_8774 =
								(STRUCT_KEY(BgL_locz00_48) == CNST_TABLE_REF(((long) 41)));
						}
					else
						{	/* Ast/sexp.scm 722 */
							BgL_testz00_8774 = ((bool_t) 0);
						}
					if (BgL_testz00_8774)
						{	/* Ast/sexp.scm 723 */
							obj_t BgL_filez00_3150;
							obj_t BgL_linez00_3151;
							obj_t BgL_basez00_3152;

							BgL_filez00_3150 =
								BGl_locationzd2fullzd2fnamez00zztools_locationz00
								(BgL_locz00_48);
							BgL_linez00_3151 = STRUCT_REF(BgL_locz00_48, (int) (((long) 2)));
							{	/* Ast/sexp.scm 725 */
								obj_t BgL_arg3146z00_3174;

								BgL_arg3146z00_3174 =
									BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
									(BGl_string3544z00zzast_sexpz00, BgL_prefz00_3148,
										BGl_string3545z00zzast_sexpz00));
								{	/* Ast/sexp.scm 725 */
									obj_t BgL_res3503z00_5552;

									{	/* Ast/sexp.scm 725 */
										obj_t BgL_arg1308z00_5551;

										BgL_arg1308z00_5551 = SYMBOL_TO_STRING(BgL_arg3146z00_3174);
										BgL_res3503z00_5552 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1308z00_5551);
									}
									BgL_basez00_3152 = BgL_res3503z00_5552;
							}}
							{	/* Ast/sexp.scm 727 */
								bool_t BgL_testz00_8787;

								{	/* Ast/sexp.scm 727 */
									bool_t BgL_testz00_8788;

									if (
										((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >=
											((long) 1)))
										{	/* Ast/sexp.scm 728 */
											obj_t BgL_arg3144z00_3172;

											{	/* Ast/sexp.scm 728 */
												obj_t BgL_arg3145z00_3173;

												BgL_arg3145z00_3173 =
													BGl_thezd2backendzd2zzbackend_backendz00();
												BgL_arg3144z00_3172 =
													(((BgL_backendz00_bglt) CREF(
															((BgL_backendz00_bglt) BgL_arg3145z00_3173)))->
													BgL_debugzd2supportzd2);
											}
											BgL_testz00_8788 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 42)), BgL_arg3144z00_3172));
										}
									else
										{	/* Ast/sexp.scm 727 */
											BgL_testz00_8788 = ((bool_t) 0);
										}
									if (BgL_testz00_8788)
										{	/* Ast/sexp.scm 727 */
											BgL_testz00_8787 = ((bool_t) 1);
										}
									else
										{	/* Ast/sexp.scm 727 */
											BgL_testz00_8787 =
												(
												(long)
												CINT(BGl_za2compilerzd2debugza2zd2zzengine_paramz00) >=
												((long) 1));
								}}
								if (BgL_testz00_8787)
									{	/* Ast/sexp.scm 730 */
										obj_t BgL_filez00_3154;

										if (bigloo_strncmp(BgL_filez00_3150,
												BGl_string3546z00zzast_sexpz00, ((long) 2)))
											{	/* Ast/sexp.scm 730 */
												BgL_filez00_3154 =
													c_substring(BgL_filez00_3150, ((long) 2),
													STRING_LENGTH(BgL_filez00_3150));
											}
										else
											{	/* Ast/sexp.scm 730 */
												BgL_filez00_3154 = BgL_filez00_3150;
											}
										{	/* Ast/sexp.scm 735 */
											obj_t BgL_arg3128z00_3155;

											{	/* Ast/sexp.scm 735 */
												obj_t BgL_arg3129z00_3156;
												obj_t BgL_arg3130z00_3157;

												BgL_arg3129z00_3156 =
													BGl_stringzd2replacezd2zz__r4_strings_6_7z00
													(BgL_filez00_3154, (char) (((unsigned char) '.')),
													(char) (((unsigned char) ',')));
												{	/* Ast/sexp.scm 736 */

													BgL_arg3130z00_3157 =
														BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
														(BgL_linez00_3151, BINT(((long) 10)));
												}
												{	/* Ast/sexp.scm 734 */
													obj_t BgL_list3131z00_3158;

													{	/* Ast/sexp.scm 734 */
														obj_t BgL_arg3132z00_3159;

														{	/* Ast/sexp.scm 734 */
															obj_t BgL_arg3134z00_3160;

															{	/* Ast/sexp.scm 734 */
																obj_t BgL_arg3135z00_3161;

																{	/* Ast/sexp.scm 734 */
																	obj_t BgL_arg3136z00_3162;

																	{	/* Ast/sexp.scm 734 */
																		obj_t BgL_arg3137z00_3163;

																		BgL_arg3137z00_3163 =
																			MAKE_PAIR(BGl_string3547z00zzast_sexpz00,
																			BNIL);
																		BgL_arg3136z00_3162 =
																			MAKE_PAIR(BgL_arg3130z00_3157,
																			BgL_arg3137z00_3163);
																	}
																	BgL_arg3135z00_3161 =
																		MAKE_PAIR(BGl_string3545z00zzast_sexpz00,
																		BgL_arg3136z00_3162);
																}
																BgL_arg3134z00_3160 =
																	MAKE_PAIR(BgL_arg3129z00_3156,
																	BgL_arg3135z00_3161);
															}
															BgL_arg3132z00_3159 =
																MAKE_PAIR(BGl_string3545z00zzast_sexpz00,
																BgL_arg3134z00_3160);
														}
														BgL_list3131z00_3158 =
															MAKE_PAIR(BgL_basez00_3152, BgL_arg3132z00_3159);
													}
													BgL_arg3128z00_3155 =
														BGl_stringzd2appendzd2zz__r4_strings_6_7z00
														(BgL_list3131z00_3158);
											}}
											return
												string_to_symbol(BSTRING_TO_STRING
												(BgL_arg3128z00_3155));
										}
									}
								else
									{	/* Ast/sexp.scm 739 */
										obj_t BgL_arg3140z00_3168;

										BgL_arg3140z00_3168 =
											BGl_stringzd2replacezd2zz__r4_strings_6_7z00(string_append
											(BgL_basez00_3152, BGl_string3547z00zzast_sexpz00),
											(char) (((unsigned char) '.')),
											(char) (((unsigned char) ',')));
										{	/* Ast/sexp.scm 739 */
											obj_t BgL_res3511z00_5575;

											{	/* Ast/sexp.scm 739 */
												obj_t BgL_stringz00_5574;

												BgL_stringz00_5574 = BgL_arg3140z00_3168;
												BgL_res3511z00_5575 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_stringz00_5574));
											}
											return BgL_res3511z00_5575;
										}
									}
							}
						}
					else
						{	/* Ast/sexp.scm 740 */
							obj_t BgL_arg3148z00_3176;

							{	/* Ast/sexp.scm 740 */
								obj_t BgL_arg3149z00_3177;
								obj_t BgL_arg3150z00_3178;

								{	/* Ast/sexp.scm 740 */
									obj_t BgL_arg3151z00_3179;

									BgL_arg3151z00_3179 =
										BGl_gensymz00zz__r4_symbols_6_4z00(string_append_3
										(BGl_string3544z00zzast_sexpz00, BgL_prefz00_3148,
											BGl_string3548z00zzast_sexpz00));
									{	/* Ast/sexp.scm 740 */
										obj_t BgL_res3512z00_5578;

										{	/* Ast/sexp.scm 740 */
											obj_t BgL_arg1308z00_5577;

											BgL_arg1308z00_5577 =
												SYMBOL_TO_STRING(BgL_arg3151z00_3179);
											BgL_res3512z00_5578 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1308z00_5577);
										}
										BgL_arg3149z00_3177 = BgL_res3512z00_5578;
									}
								}
								{	/* Ast/sexp.scm 740 */
									obj_t BgL_res3513z00_5581;

									{	/* Ast/sexp.scm 740 */
										obj_t BgL_symbolz00_5579;

										BgL_symbolz00_5579 = CNST_TABLE_REF(((long) 43));
										{	/* Ast/sexp.scm 740 */
											obj_t BgL_arg1308z00_5580;

											BgL_arg1308z00_5580 =
												SYMBOL_TO_STRING(BgL_symbolz00_5579);
											BgL_res3513z00_5581 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1308z00_5580);
									}}
									BgL_arg3150z00_3178 = BgL_res3513z00_5581;
								}
								BgL_arg3148z00_3176 =
									string_append(BgL_arg3149z00_3177, BgL_arg3150z00_3178);
							}
							return string_to_symbol(BSTRING_TO_STRING(BgL_arg3148z00_3176));
						}
				}
			}
		}
	}



/* &make-anonymous-name */
	obj_t BGl_z62makezd2anonymouszd2namez62zzast_sexpz00(obj_t BgL_envz00_5653,
		obj_t BgL_locz00_5654, obj_t BgL_prefz00_5655)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 718 */
			return
				BGl_makezd2anonymouszd2namez00zzast_sexpz00(BgL_locz00_5654,
				BgL_prefz00_5655);
		}
	}



/* synchronize->node */
	BgL_nodez00_bglt BGl_synchroniza7ezd2ze3nodez96zzast_sexpz00(obj_t
		BgL_expz00_50, obj_t BgL_mutexz00_51, obj_t BgL_prelockz00_52,
		obj_t BgL_bodyz00_53, obj_t BgL_stackz00_54, obj_t BgL_locz00_55,
		obj_t BgL_sitez00_56)
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 745 */
			if (SYMBOLP(BgL_mutexz00_51))
				{	/* Ast/sexp.scm 747 */
					BgL_syncz00_bglt BgL_new1151z00_3185;

					{	/* Ast/sexp.scm 747 */
						BgL_syncz00_bglt BgL_new1150z00_3186;

						BgL_new1150z00_3186 =
							((BgL_syncz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_syncz00_bgl))));
						{	/* Ast/sexp.scm 747 */
							long BgL_arg3157z00_3187;

							{	/* Ast/sexp.scm 747 */
								long BgL_res3516z00_5587;

								BgL_res3516z00_5587 = BGL_CLASS_INDEX(BGl_syncz00zzast_nodez00);
								BgL_arg3157z00_3187 = BgL_res3516z00_5587;
							}
							{	/* Ast/sexp.scm 747 */
								BgL_objectz00_bglt BgL_objz00_5588;

								BgL_objz00_5588 = ((BgL_objectz00_bglt) BgL_new1150z00_3186);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5588, BgL_arg3157z00_3187);
						}}
						{	/* Ast/sexp.scm 747 */
							BgL_objectz00_bglt BgL_auxz00_8841;

							BgL_auxz00_8841 = ((BgL_objectz00_bglt) BgL_new1150z00_3186);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_8841, BFALSE);
						}
						BgL_new1151z00_3185 = BgL_new1150z00_3186;
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_new1151z00_3185)))->BgL_locz00) =
						((obj_t) BgL_locz00_55), BUNSPEC);
					((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_new1151z00_3185)))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
					((((BgL_syncz00_bglt) CREF(BgL_new1151z00_3185))->BgL_mutexz00) =
						((BgL_nodez00_bglt)
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_mutexz00_51,
								BgL_stackz00_54, BgL_locz00_55, CNST_TABLE_REF(((long) 2)))),
						BUNSPEC);
					((((BgL_syncz00_bglt) CREF(BgL_new1151z00_3185))->BgL_prelockz00) =
						((BgL_nodez00_bglt)
							BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_prelockz00_52,
								BgL_stackz00_54, BgL_locz00_55, CNST_TABLE_REF(((long) 2)))),
						BUNSPEC);
					((((BgL_syncz00_bglt) CREF(BgL_new1151z00_3185))->BgL_nodesz00) =
						((obj_t) BGl_sexpza2zd2ze3nodez93zzast_sexpz00(BgL_bodyz00_53,
								BgL_stackz00_54, BgL_locz00_55, BgL_sitez00_56)), BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_new1151z00_3185);
				}
			else
				{	/* Ast/sexp.scm 753 */
					obj_t BgL_vz00_3188;

					BgL_vz00_3188 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 44))));
					{	/* Ast/sexp.scm 753 */
						obj_t BgL_varz00_3189;

						BgL_varz00_3189 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_vz00_3188,
							CNST_TABLE_REF(((long) 44)));
						{	/* Ast/sexp.scm 754 */
							obj_t BgL_nexpz00_3190;

							{	/* Ast/sexp.scm 755 */
								obj_t BgL_arg3165z00_3198;

								{	/* Ast/sexp.scm 755 */
									obj_t BgL_arg3166z00_3199;

									BgL_arg3166z00_3199 =
										MAKE_PAIR(BgL_vz00_3188,
										BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00
										(BgL_bodyz00_53, BNIL));
									BgL_arg3165z00_3198 =
										MAKE_PAIR(CNST_TABLE_REF(((long) 30)), BgL_arg3166z00_3199);
								}
								BgL_nexpz00_3190 =
									BGl_epairifyzd2reczd2zztools_miscz00(BgL_arg3165z00_3198,
									BgL_expz00_50);
							}
							{	/* Ast/sexp.scm 755 */

								{	/* Ast/sexp.scm 756 */
									obj_t BgL_arg3158z00_3191;

									{	/* Ast/sexp.scm 756 */
										obj_t BgL_arg3159z00_3192;
										obj_t BgL_arg3160z00_3193;

										BgL_arg3159z00_3192 = BGl_letzd2symzd2zzast_letz00();
										{	/* Ast/sexp.scm 756 */
											obj_t BgL_arg3161z00_3194;
											obj_t BgL_arg3162z00_3195;

											{	/* Ast/sexp.scm 756 */
												obj_t BgL_arg3163z00_3196;

												{	/* Ast/sexp.scm 756 */
													obj_t BgL_arg3164z00_3197;

													BgL_arg3164z00_3197 =
														MAKE_PAIR(BgL_mutexz00_51, BNIL);
													BgL_arg3163z00_3196 =
														MAKE_PAIR(BgL_varz00_3189, BgL_arg3164z00_3197);
												}
												BgL_arg3161z00_3194 =
													MAKE_PAIR(BgL_arg3163z00_3196, BNIL);
											}
											BgL_arg3162z00_3195 = MAKE_PAIR(BgL_nexpz00_3190, BNIL);
											BgL_arg3160z00_3193 =
												MAKE_PAIR(BgL_arg3161z00_3194, BgL_arg3162z00_3195);
										}
										BgL_arg3158z00_3191 =
											MAKE_PAIR(BgL_arg3159z00_3192, BgL_arg3160z00_3193);
									}
									BGl_replacez12z12zztools_miscz00(BgL_expz00_50,
										BgL_arg3158z00_3191);
								}
								return
									BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_50,
									BgL_stackz00_54, BgL_locz00_55, BgL_sitez00_56);
							}
						}
					}
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzast_sexpz00()
	{
		AN_OBJECT;
		{	/* Ast/sexp.scm 14 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztools_dssslz00(((long) 275867955),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_pragmaz00(((long) 28685330),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_labelsz00(((long) 129879154),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 254806301),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_exitz00(((long) 419066125),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_appz00(((long) 449859288),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_applyz00(((long) 277780830),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 296989457),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			BGl_modulezd2initializa7ationz75zzast_objectz00(((long) 115318774),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
			return
				BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string3549z00zzast_sexpz00));
		}
	}

#ifdef __cplusplus
}
#endif
