/*===========================================================================*/
/*   (Cfa/closure.scm)                                                       */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/closure.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_scnstz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_nodez00;
		obj_t BgL_classz00;
		obj_t BgL_locz00;
	}               *BgL_scnstz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_makezd2procedurezd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_valueszd2approxzd2;
		long BgL_lostzd2stampzd2;
		bool_t BgL_xzd2tzf3z21;
		bool_t BgL_xz00;
		bool_t BgL_tz00;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
	}                                *BgL_makezd2procedurezd2appz00_bglt;


	static bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
	extern obj_t BGl_setzd2lengthzd2zzcfa_setz00(obj_t);
	static bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_closurez00();
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt);
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	static obj_t BGl_methodzd2initzd2zzcfa_closurez00();
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00();
	extern obj_t
		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(BgL_nodez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00();
	extern obj_t BGl_lightzd2typez12zc0zzcfa_ltypez00(obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t,
		obj_t);
	static obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t, obj_t);
	static bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00();
	extern obj_t BGl_makezd2procedurezd2appz00zzcfa_info2z00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	static obj_t BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	extern obj_t BGl_getzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t);
	static obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t);
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	static obj_t BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_Xz12z12zzcfa_closurez00(obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	static obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t);
	extern obj_t BGl_za2procedureza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_ltypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	static obj_t BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BUNSPEC;
	static bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
	static obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32772ze3ze1zzcfa_closurez00(obj_t, obj_t);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_z62zc3anonymousza32777ze3ze1zzcfa_closurez00(obj_t, obj_t);
	extern obj_t BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt,
		obj_t);
	static bool_t BGl_showz00zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
	static obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t, obj_t);
	static obj_t BGl_zc3anonymousza32886ze3z83zzcfa_closurez00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_closurez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzcfa_closurez00();
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_closurez00();
	static obj_t BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static obj_t BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zzcfa_closurez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
	extern obj_t BGl_scnstz00zzast_varz00;
	static obj_t BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t,
		obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[20];


	   
		 
		DEFINE_STRING(BGl_string3252z00zzcfa_closurez00,
		BgL_bgl_string3252za700za7za7c3262za7, "   . Light closures", 19);
	      DEFINE_STRING(BGl_string3255z00zzcfa_closurez00,
		BgL_bgl_string3255za700za7za7c3263za7, ": ", 2);
	      DEFINE_STRING(BGl_string3256z00zzcfa_closurez00,
		BgL_bgl_string3256za700za7za7c3264za7, "      ", 6);
	      DEFINE_STRING(BGl_string3257z00zzcfa_closurez00,
		BgL_bgl_string3257za700za7za7c3265za7, "        ", 8);
	      DEFINE_STRING(BGl_string3258z00zzcfa_closurez00,
		BgL_bgl_string3258za700za7za7c3266za7, "cfa_closure", 11);
	      DEFINE_STRING(BGl_string3259z00zzcfa_closurez00,
		BgL_bgl_string3259za700za7za7c3267za7,
		"make-l-procedure make-el-procedure procedure-el-set! procedure-el-ref procedure-l-set! procedure-l-ref procedure-set! foreign procedure-ref T X nothing-to-do slfun selfun done ok \077\077? light elight static ",
		203);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2makezd2procedurez12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2makeza7d23268za7,
		BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_addzd2funcallz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762addza7d2funcall3269z00,
		BGl_z62addzd2funcallz12za2zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3253z00zzcfa_closurez00,
		BgL_bgl_za762za7c3anonymousza73270za7,
		BGl_z62zc3anonymousza32772ze3ze1zzcfa_closurez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3254z00zzcfa_closurez00,
		BgL_bgl_za762za7c3anonymousza73271za7,
		BGl_z62zc3anonymousza32777ze3ze1zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2procedurezd2refz12zd2envzc0zzcfa_closurez00,
		BgL_bgl_za762addza7d2procedu3272z00,
		BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2closuresz12zd2envz12zzcfa_closurez00,
		BgL_bgl_za762typeza7d2closur3273z00,
		BGl_z62typezd2closuresz12za2zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationzf3zd2envz54zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt3274z00,
		BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closurezd2optimiza7ationz12zd2envzb5zzcfa_closurez00,
		BgL_bgl_za762closureza7d2opt3275z00,
		BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2procedurezd2listzd2envzd2zzcfa_closurez00,
		BgL_bgl_za762getza7d2procedu3276z00,
		BGl_z62getzd2procedurezd2listz62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_stopzd2closurezd2cachezd2envzd2zzcfa_closurez00,
		BgL_bgl_za762stopza7d2closur3277z00,
		BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_approxzd2procedurezd2elzf3zd2envz21zzcfa_closurez00,
		BgL_bgl_za762approxza7d2proc3278z00,
		BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long
		BgL_checksumz00_5223, char *BgL_fromz00_5224)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_closurez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_closurez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_closurez00();
					BGl_cnstzd2initzd2zzcfa_closurez00();
					BGl_importedzd2moduleszd2initz00zzcfa_closurez00();
					BGl_toplevelzd2initzd2zzcfa_closurez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_closure");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_closure");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			{	/* Cfa/closure.scm 25 */
				obj_t BgL_cportz00_5215;

				BgL_cportz00_5215 =
					bgl_open_input_string(BGl_string3259z00zzcfa_closurez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_5216;

					BgL_iz00_5216 = ((long) 19);
				BgL_loopz00_5217:
					if ((BgL_iz00_5216 == ((long) -1)))
						{	/* Cfa/closure.scm 25 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/closure.scm 25 */
							{	/* Cfa/closure.scm 25 */
								obj_t BgL_arg3261z00_5219;

								{	/* Cfa/closure.scm 25 */

									{	/* Cfa/closure.scm 25 */
										obj_t BgL_locationz00_5221;

										BgL_locationz00_5221 = BBOOL(((bool_t) 0));
										{	/* Cfa/closure.scm 25 */

											BgL_arg3261z00_5219 =
												BGl_readz00zz__readerz00(BgL_cportz00_5215,
												BgL_locationz00_5221);
										}
									}
								}
								{	/* Cfa/closure.scm 25 */
									int BgL_auxz00_5243;

									BgL_auxz00_5243 = (int) (BgL_iz00_5216);
									CNST_TABLE_SET(BgL_auxz00_5243, BgL_arg3261z00_5219);
							}}
							{	/* Cfa/closure.scm 25 */
								int BgL_auxz00_5222;

								BgL_auxz00_5222 = (int) ((BgL_iz00_5216 - ((long) 1)));
								{
									long BgL_iz00_5248;

									BgL_iz00_5248 = (long) (BgL_auxz00_5222);
									BgL_iz00_5216 = BgL_iz00_5248;
									goto BgL_loopz00_5217;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_za2funcallzd2listza2zd2zzcfa_closurez00 = BNIL;
			BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 = BNIL;
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
	}



/* closure-optimization? */
	BGL_EXPORTED_DEF obj_t BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 55 */
			{	/* Cfa/closure.scm 56 */
				long BgL_n1z00_4672;

				BgL_n1z00_4672 = (long) CINT(BGl_za2optimza2z00zzengine_paramz00);
				return BBOOL((BgL_n1z00_4672 >= ((long) 2)));
		}}
	}



/* &closure-optimization? */
	obj_t BGl_z62closurezd2optimiza7ationzf3ze4zzcfa_closurez00(obj_t
		BgL_envz00_5195)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 55 */
			return BGl_closurezd2optimiza7ationzf3z86zzcfa_closurez00();
		}
	}



/* closure-optimization! */
	BGL_EXPORTED_DEF obj_t
		BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(obj_t BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 61 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 62 */
					{	/* Cfa/closure.scm 63 */
						obj_t BgL_list2742z00_2567;

						{	/* Cfa/closure.scm 63 */
							obj_t BgL_arg2743z00_2568;

							BgL_arg2743z00_2568 =
								MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
							BgL_list2742z00_2567 =
								MAKE_PAIR(BGl_string3252z00zzcfa_closurez00,
								BgL_arg2743z00_2568);
						}
						BGl_verbosez00zztools_speekz00(BINT(((long) 1)),
							BgL_list2742z00_2567);
					}
					BGl_startzd2closurezd2cachez00zzcfa_closurez00();
					{
						obj_t BgL_l2701z00_2570;

						BgL_l2701z00_2570 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3anonymousza32744ze3z83_2571:
						if (PAIRP(BgL_l2701z00_2570))
							{	/* Cfa/closure.scm 72 */
								{	/* Cfa/closure.scm 74 */
									obj_t BgL_appz00_2573;

									BgL_appz00_2573 = CAR(BgL_l2701z00_2570);
									{	/* Cfa/closure.scm 74 */
										BgL_appz00_bglt BgL_i1150z00_2574;

										BgL_i1150z00_2574 = ((BgL_appz00_bglt) BgL_appz00_2573);
										{	/* Cfa/closure.scm 75 */
											BgL_variablez00_bglt BgL_funz00_2575;

											{
												BgL_varz00_bglt BgL_auxz00_5267;

												{	/* Cfa/closure.scm 75 */
													obj_t BgL_pairz00_4681;

													BgL_pairz00_4681 =
														(((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt) BgL_i1150z00_2574)))->
														BgL_argsz00);
													BgL_auxz00_5267 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_4681));
												}
												BgL_funz00_2575 =
													(((BgL_varz00_bglt) CREF(BgL_auxz00_5267))->
													BgL_variablez00);
											}
											{	/* Cfa/closure.scm 75 */
												obj_t BgL_cloz00_2576;

												BgL_cloz00_2576 =
													(((BgL_funz00_bglt) CREF(
															((BgL_funz00_bglt)
																((BgL_sfunz00_bglt)
																	(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_funz00_2575))))->
																		BgL_valuez00)))))->BgL_thezd2closurezd2);
												{	/* Cfa/closure.scm 76 */
													bool_t BgL_lostzf3zf3_2577;

													{	/* Cfa/closure.scm 77 */
														long BgL_auxz00_5279;

														{
															BgL_makezd2procedurezd2appz00_bglt
																BgL_auxz00_5280;
															{
																obj_t BgL_auxz00_5281;

																{	/* Cfa/closure.scm 77 */
																	BgL_objectz00_bglt BgL_auxz00_5282;

																	BgL_auxz00_5282 =
																		((BgL_objectz00_bglt) BgL_i1150z00_2574);
																	BgL_auxz00_5281 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_5282);
																}
																BgL_auxz00_5280 =
																	((BgL_makezd2procedurezd2appz00_bglt)
																	BgL_auxz00_5281);
															}
															BgL_auxz00_5279 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_5280))->BgL_lostzd2stampzd2);
														}
														BgL_lostzf3zf3_2577 =
															(BgL_auxz00_5279 > ((long) -1));
													}
													{	/* Cfa/closure.scm 77 */
														obj_t BgL_siza7eza7_2578;

														{	/* Cfa/closure.scm 78 */
															obj_t BgL_arg2754z00_2588;

															{	/* Cfa/closure.scm 78 */
																obj_t BgL_pairz00_4693;

																BgL_pairz00_4693 =
																	(((BgL_appz00_bglt) CREF(
																			((BgL_appz00_bglt) BgL_i1150z00_2574)))->
																	BgL_argsz00);
																BgL_arg2754z00_2588 =
																	CAR(CDR(CDR(BgL_pairz00_4693)));
															}
															BgL_siza7eza7_2578 =
																BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
																((BgL_nodez00_bglt) BgL_arg2754z00_2588));
														}
														{	/* Cfa/closure.scm 78 */

															{	/* Cfa/closure.scm 80 */
																bool_t BgL_testz00_5295;

																if (BgL_lostzf3zf3_2577)
																	{	/* Cfa/closure.scm 80 */
																		BgL_testz00_5295 = ((bool_t) 1);
																	}
																else
																	{	/* Cfa/closure.scm 81 */
																		bool_t BgL_testz00_5297;

																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_5298;
																			{
																				obj_t BgL_auxz00_5299;

																				{	/* Cfa/closure.scm 81 */
																					BgL_objectz00_bglt BgL_auxz00_5300;

																					BgL_auxz00_5300 =
																						((BgL_objectz00_bglt)
																						BgL_i1150z00_2574);
																					BgL_auxz00_5299 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_5300);
																				}
																				BgL_auxz00_5298 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_5299);
																			}
																			BgL_testz00_5297 =
																				(((BgL_makezd2procedurezd2appz00_bglt)
																					CREF(BgL_auxz00_5298))->
																				BgL_xzd2tzf3z21);
																		}
																		if (BgL_testz00_5297)
																			{	/* Cfa/closure.scm 81 */
																				if (
																					((((BgL_funz00_bglt) CREF(
																									((BgL_funz00_bglt)
																										((BgL_sfunz00_bglt)
																											(((BgL_variablez00_bglt)
																													CREF((
																															(BgL_variablez00_bglt)
																															((BgL_globalz00_bglt) BgL_funz00_2575))))->BgL_valuez00)))))->BgL_arityz00) < ((long) 0)))
																					{	/* Cfa/closure.scm 82 */
																						BgL_testz00_5295 = ((bool_t) 1);
																					}
																				else
																					{	/* Cfa/closure.scm 82 */
																						if (INTEGERP(BgL_siza7eza7_2578))
																							{	/* Cfa/closure.scm 83 */
																								if (BGl_isazf3zf3zz__objectz00
																									(BgL_cloz00_2576,
																										BGl_globalz00zzast_varz00))
																									{	/* Cfa/closure.scm 84 */
																										if (
																											((((BgL_globalz00_bglt)
																														CREF((
																																(BgL_globalz00_bglt)
																																BgL_cloz00_2576)))->
																													BgL_importz00) ==
																												CNST_TABLE_REF(((long)
																														0))))
																											{	/* Cfa/closure.scm 85 */
																												BgL_testz00_5295 =
																													((bool_t) 0);
																											}
																										else
																											{	/* Cfa/closure.scm 85 */
																												BgL_testz00_5295 =
																													((bool_t) 1);
																											}
																									}
																								else
																									{	/* Cfa/closure.scm 84 */
																										BgL_testz00_5295 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Cfa/closure.scm 83 */
																								BgL_testz00_5295 = ((bool_t) 1);
																							}
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 81 */
																				BgL_testz00_5295 = ((bool_t) 1);
																			}
																	}
																if (BgL_testz00_5295)
																	{	/* Cfa/closure.scm 80 */
																		BNIL;
																	}
																else
																	{	/* Cfa/closure.scm 80 */
																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_5322;
																			{
																				obj_t BgL_auxz00_5323;

																				{	/* Cfa/closure.scm 102 */
																					BgL_objectz00_bglt BgL_auxz00_5324;

																					BgL_auxz00_5324 =
																						((BgL_objectz00_bglt)
																						BgL_i1150z00_2574);
																					BgL_auxz00_5323 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_5324);
																				}
																				BgL_auxz00_5322 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_5323);
																			}
																			((((BgL_makezd2procedurezd2appz00_bglt)
																						CREF(BgL_auxz00_5322))->BgL_xz00) =
																				((bool_t) ((bool_t) 1)), BUNSPEC);
																		}
																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_5329;
																			{
																				obj_t BgL_auxz00_5330;

																				{	/* Cfa/closure.scm 103 */
																					BgL_objectz00_bglt BgL_auxz00_5331;

																					BgL_auxz00_5331 =
																						((BgL_objectz00_bglt)
																						BgL_i1150z00_2574);
																					BgL_auxz00_5330 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_5331);
																				}
																				BgL_auxz00_5329 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_5330);
																			}
																			((((BgL_makezd2procedurezd2appz00_bglt)
																						CREF(BgL_auxz00_5329))->BgL_tz00) =
																				((bool_t) ((bool_t) 1)), BUNSPEC);
																		}
																	}
															}
														}
													}
												}
											}
										}
									}
								}
								{
									obj_t BgL_l2701z00_5336;

									BgL_l2701z00_5336 = CDR(BgL_l2701z00_2570);
									BgL_l2701z00_2570 = BgL_l2701z00_5336;
									goto BgL_zc3anonymousza32744ze3z83_2571;
								}
							}
						else
							{	/* Cfa/closure.scm 72 */
								((bool_t) 1);
							}
					}
					BGl_Xz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					{
						obj_t BgL_l2703z00_2597;

						BgL_l2703z00_2597 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
					BgL_zc3anonymousza32761ze3z83_2598:
						if (PAIRP(BgL_l2703z00_2597))
							{	/* Cfa/closure.scm 110 */
								{	/* Cfa/closure.scm 111 */
									obj_t BgL_allocz00_2600;

									BgL_allocz00_2600 = CAR(BgL_l2703z00_2597);
									{	/* Cfa/closure.scm 111 */
										BgL_appz00_bglt BgL_i1152z00_2601;

										BgL_i1152z00_2601 = ((BgL_appz00_bglt) BgL_allocz00_2600);
										{	/* Cfa/closure.scm 112 */
											BgL_valuez00_bglt BgL_fz00_2602;

											{
												BgL_variablez00_bglt BgL_auxz00_5344;

												{
													BgL_varz00_bglt BgL_auxz00_5345;

													{	/* Cfa/closure.scm 112 */
														obj_t BgL_pairz00_4718;

														BgL_pairz00_4718 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_i1152z00_2601)))->
															BgL_argsz00);
														BgL_auxz00_5345 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_4718));
													}
													BgL_auxz00_5344 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_5345))->
														BgL_variablez00);
												}
												BgL_fz00_2602 =
													(((BgL_variablez00_bglt) CREF(BgL_auxz00_5344))->
													BgL_valuez00);
											}
											{	/* Cfa/closure.scm 114 */
												bool_t BgL_testz00_5352;

												{
													BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5353;

													{
														obj_t BgL_auxz00_5354;

														{	/* Cfa/closure.scm 114 */
															BgL_objectz00_bglt BgL_auxz00_5355;

															BgL_auxz00_5355 =
																((BgL_objectz00_bglt) BgL_i1152z00_2601);
															BgL_auxz00_5354 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5355);
														}
														BgL_auxz00_5353 =
															((BgL_makezd2procedurezd2appz00_bglt)
															BgL_auxz00_5354);
													}
													BgL_testz00_5352 =
														(((BgL_makezd2procedurezd2appz00_bglt)
															CREF(BgL_auxz00_5353))->BgL_xz00);
												}
												if (BgL_testz00_5352)
													{	/* Cfa/closure.scm 114 */
														BgL_sfunz00_bglt BgL_oz00_4725;
														obj_t BgL_vz00_4726;

														BgL_oz00_4725 = ((BgL_sfunz00_bglt) BgL_fz00_2602);
														BgL_vz00_4726 = CNST_TABLE_REF(((long) 1));
														((((BgL_sfunz00_bglt) CREF(BgL_oz00_4725))->
																BgL_strengthz00) =
															((obj_t) BgL_vz00_4726), BUNSPEC);
													}
												else
													{	/* Cfa/closure.scm 115 */
														bool_t BgL_testz00_5363;

														{
															BgL_makezd2procedurezd2appz00_bglt
																BgL_auxz00_5364;
															{
																obj_t BgL_auxz00_5365;

																{	/* Cfa/closure.scm 115 */
																	BgL_objectz00_bglt BgL_auxz00_5366;

																	BgL_auxz00_5366 =
																		((BgL_objectz00_bglt) BgL_i1152z00_2601);
																	BgL_auxz00_5365 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_5366);
																}
																BgL_auxz00_5364 =
																	((BgL_makezd2procedurezd2appz00_bglt)
																	BgL_auxz00_5365);
															}
															BgL_testz00_5363 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_5364))->BgL_tz00);
														}
														if (BgL_testz00_5363)
															{	/* Cfa/closure.scm 115 */
																BgL_sfunz00_bglt BgL_oz00_4728;
																obj_t BgL_vz00_4729;

																BgL_oz00_4728 =
																	((BgL_sfunz00_bglt) BgL_fz00_2602);
																BgL_vz00_4729 = CNST_TABLE_REF(((long) 2));
																((((BgL_sfunz00_bglt) CREF(BgL_oz00_4728))->
																		BgL_strengthz00) =
																	((obj_t) BgL_vz00_4729), BUNSPEC);
															}
														else
															{	/* Cfa/closure.scm 116 */
																BgL_sfunz00_bglt BgL_oz00_4731;
																obj_t BgL_vz00_4732;

																BgL_oz00_4731 =
																	((BgL_sfunz00_bglt) BgL_fz00_2602);
																BgL_vz00_4732 = CNST_TABLE_REF(((long) 3));
																((((BgL_sfunz00_bglt) CREF(BgL_oz00_4731))->
																		BgL_strengthz00) =
																	((obj_t) BgL_vz00_4732), BUNSPEC);
								}}}}}}
								{
									obj_t BgL_l2703z00_5377;

									BgL_l2703z00_5377 = CDR(BgL_l2703z00_2597);
									BgL_l2703z00_2597 = BgL_l2703z00_5377;
									goto BgL_zc3anonymousza32761ze3z83_2598;
								}
							}
						else
							{	/* Cfa/closure.scm 110 */
								((bool_t) 1);
							}
					}
					BGl_showzd2Xzd2Tz00zzcfa_closurez00
						(BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00);
					BGl_lightzd2funcallz12zc0zzcfa_closurez00();
					BGl_lightzd2accessz12zc0zzcfa_closurez00();
					BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00();
					return BGl_lightzd2typez12zc0zzcfa_ltypez00(BgL_globalsz00_3);
				}
			else
				{	/* Cfa/closure.scm 62 */
					return BFALSE;
				}
		}
	}



/* &closure-optimization! */
	obj_t BGl_z62closurezd2optimiza7ationz12z05zzcfa_closurez00(obj_t
		BgL_envz00_5196, obj_t BgL_globalsz00_5197)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 61 */
			return
				BGl_closurezd2optimiza7ationz12z67zzcfa_closurez00(BgL_globalsz00_5197);
		}
	}



/* X! */
	bool_t BGl_Xz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_4)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 132 */
			{
				obj_t BgL_l2705z00_2611;

				BgL_l2705z00_2611 = BgL_funcallzd2listzd2_4;
			BgL_zc3anonymousza32769ze3z83_2612:
				if (PAIRP(BgL_l2705z00_2611))
					{	/* Cfa/closure.scm 134 */
						{	/* Cfa/closure.scm 135 */
							BgL_funcallz00_bglt BgL_appz00_2614;

							BgL_appz00_2614 = ((BgL_funcallz00_bglt) CAR(BgL_l2705z00_2611));
							{	/* Cfa/closure.scm 136 */
								BgL_nodez00_bglt BgL_funz00_2615;

								BgL_funz00_2615 =
									(((BgL_funcallz00_bglt) CREF(BgL_appz00_2614))->BgL_funz00);
								{	/* Cfa/closure.scm 136 */
									BgL_approxz00_bglt BgL_approxz00_2616;

									BgL_approxz00_2616 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2615);
									{	/* Cfa/closure.scm 137 */
										obj_t BgL_allocz00_2617;

										BgL_allocz00_2617 =
											(((BgL_approxz00_bglt) CREF(BgL_approxz00_2616))->
											BgL_allocsz00);
										{	/* Cfa/closure.scm 138 */
											BgL_typez00_bglt BgL_typez00_2618;

											BgL_typez00_2618 =
												(((BgL_approxz00_bglt) CREF(BgL_approxz00_2616))->
												BgL_typez00);
											{	/* Cfa/closure.scm 139 */
												bool_t BgL_topzf3zf3_2619;

												BgL_topzf3zf3_2619 =
													(((BgL_approxz00_bglt) CREF(BgL_approxz00_2616))->
													BgL_topzf3zf3);
												{	/* Cfa/closure.scm 140 */

													if (BgL_topzf3zf3_2619)
														{	/* Cfa/closure.scm 142 */
															BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																(BGl_proc3253z00zzcfa_closurez00,
																BgL_approxz00_2616);
														}
													else
														{	/* Cfa/closure.scm 153 */
															bool_t BgL_testz00_5396;

															{	/* Cfa/closure.scm 153 */
																obj_t BgL_arg2782z00_2635;

																BgL_arg2782z00_2635 =
																	BGl_setzd2lengthzd2zzcfa_setz00
																	(BgL_allocz00_2617);
																BgL_testz00_5396 =
																	((long) CINT(BgL_arg2782z00_2635) ==
																	((long) 0));
															}
															if (BgL_testz00_5396)
																{	/* Cfa/closure.scm 153 */
																	CNST_TABLE_REF(((long) 4));
																}
															else
																{	/* Cfa/closure.scm 156 */
																	bool_t BgL_testz00_5401;

																	{	/* Cfa/closure.scm 156 */
																		bool_t BgL_testz00_5402;

																		{	/* Cfa/closure.scm 156 */
																			obj_t BgL_arg2780z00_2634;

																			BgL_arg2780z00_2634 =
																				BGl_setzd2lengthzd2zzcfa_setz00
																				(BgL_allocz00_2617);
																			BgL_testz00_5402 =
																				((long) CINT(BgL_arg2780z00_2634) ==
																				((long) 1));
																		}
																		if (BgL_testz00_5402)
																			{	/* Cfa/closure.scm 157 */
																				obj_t BgL__ortest_1153z00_2633;

																				BgL__ortest_1153z00_2633 =
																					BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
																				if (CBOOL(BgL__ortest_1153z00_2633))
																					{	/* Cfa/closure.scm 157 */
																						BgL_testz00_5401 =
																							CBOOL(BgL__ortest_1153z00_2633);
																					}
																				else
																					{	/* Cfa/closure.scm 157 */
																						BgL_testz00_5401 =
																							(
																							((obj_t) BgL_typez00_2618) ==
																							BGl_za2procedureza2z00zztype_cachez00);
																					}
																			}
																		else
																			{	/* Cfa/closure.scm 156 */
																				BgL_testz00_5401 = ((bool_t) 0);
																			}
																	}
																	if (BgL_testz00_5401)
																		{	/* Cfa/closure.scm 156 */
																			CNST_TABLE_REF(((long) 4));
																		}
																	else
																		{	/* Cfa/closure.scm 156 */
																			BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
																				(BGl_proc3254z00zzcfa_closurez00,
																				BgL_approxz00_2616);
																		}
																}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l2705z00_5413;

							BgL_l2705z00_5413 = CDR(BgL_l2705z00_2611);
							BgL_l2705z00_2611 = BgL_l2705z00_5413;
							goto BgL_zc3anonymousza32769ze3z83_2612;
						}
					}
				else
					{	/* Cfa/closure.scm 134 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* &<anonymous:2772> */
	obj_t BGl_z62zc3anonymousza32772ze3ze1zzcfa_closurez00(obj_t BgL_envz00_5200,
		obj_t BgL_allocz00_5201)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 145 */
			{
				obj_t BgL_allocz00_2621;

				BgL_allocz00_2621 = BgL_allocz00_5201;
				if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_2621,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/closure.scm 146 */
						{	/* Cfa/closure.scm 150 */
							BgL_appz00_bglt BgL_oz00_4752;

							BgL_oz00_4752 = ((BgL_appz00_bglt) BgL_allocz00_2621);
							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5418;

								{
									obj_t BgL_auxz00_5419;

									{	/* Cfa/closure.scm 150 */
										BgL_objectz00_bglt BgL_auxz00_5420;

										BgL_auxz00_5420 = ((BgL_objectz00_bglt) BgL_oz00_4752);
										BgL_auxz00_5419 = BGL_OBJECT_WIDENING(BgL_auxz00_5420);
									}
									BgL_auxz00_5418 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5419);
								}
								((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5418))->
										BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
							}
						}
						{	/* Cfa/closure.scm 151 */
							BgL_appz00_bglt BgL_oz00_4755;

							BgL_oz00_4755 = ((BgL_appz00_bglt) BgL_allocz00_2621);
							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5426;

								{
									obj_t BgL_auxz00_5427;

									{	/* Cfa/closure.scm 151 */
										BgL_objectz00_bglt BgL_auxz00_5428;

										BgL_auxz00_5428 = ((BgL_objectz00_bglt) BgL_oz00_4755);
										BgL_auxz00_5427 = BGL_OBJECT_WIDENING(BgL_auxz00_5428);
									}
									BgL_auxz00_5426 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5427);
								}
								return
									((((BgL_makezd2procedurezd2appz00_bglt)
											CREF(BgL_auxz00_5426))->BgL_xz00) =
									((bool_t) ((bool_t) 0)), BUNSPEC);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 146 */
						return BFALSE;
					}
			}
		}
	}



/* &<anonymous:2777> */
	obj_t BGl_z62zc3anonymousza32777ze3ze1zzcfa_closurez00(obj_t BgL_envz00_5202,
		obj_t BgL_allocz00_5203)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 164 */
			{
				obj_t BgL_allocz00_2628;

				BgL_allocz00_2628 = BgL_allocz00_5203;
				if (BGl_isazf3zf3zz__objectz00(BgL_allocz00_2628,
						BGl_makezd2procedurezd2appz00zzcfa_info2z00))
					{	/* Cfa/closure.scm 165 */
						{	/* Cfa/closure.scm 169 */
							BgL_appz00_bglt BgL_oz00_4766;

							BgL_oz00_4766 = ((BgL_appz00_bglt) BgL_allocz00_2628);
							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5436;

								{
									obj_t BgL_auxz00_5437;

									{	/* Cfa/closure.scm 169 */
										BgL_objectz00_bglt BgL_auxz00_5438;

										BgL_auxz00_5438 = ((BgL_objectz00_bglt) BgL_oz00_4766);
										BgL_auxz00_5437 = BGL_OBJECT_WIDENING(BgL_auxz00_5438);
									}
									BgL_auxz00_5436 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_5437);
								}
								return
									((((BgL_makezd2procedurezd2appz00_bglt)
											CREF(BgL_auxz00_5436))->BgL_xz00) =
									((bool_t) ((bool_t) 0)), BUNSPEC);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 165 */
						return BFALSE;
					}
			}
		}
	}



/* T-fix-point! */
	obj_t BGl_Tzd2fixzd2pointz12z12zzcfa_closurez00(obj_t BgL_funcallzd2listzd2_5)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 182 */
			{
				bool_t BgL_continuezf3zf3_2639;

				BgL_continuezf3zf3_2639 = ((bool_t) 1);
			BgL_zc3anonymousza32784ze3z83_2640:
				if (BgL_continuezf3zf3_2639)
					{	/* Cfa/closure.scm 187 */
						bool_t BgL_continuezf3zf3_2641;

						BgL_continuezf3zf3_2641 = ((bool_t) 0);
						{
							obj_t BgL_l2709z00_2643;

							BgL_l2709z00_2643 = BgL_funcallzd2listzd2_5;
						BgL_zc3anonymousza32785ze3z83_2644:
							if (PAIRP(BgL_l2709z00_2643))
								{	/* Cfa/closure.scm 188 */
									{	/* Cfa/closure.scm 190 */
										obj_t BgL_appz00_2646;

										BgL_appz00_2646 = CAR(BgL_l2709z00_2643);
										{	/* Cfa/closure.scm 191 */
											BgL_nodez00_bglt BgL_funz00_2647;

											BgL_funz00_2647 =
												(((BgL_funcallz00_bglt) CREF(
														((BgL_funcallz00_bglt) BgL_appz00_2646)))->
												BgL_funz00);
											{	/* Cfa/closure.scm 191 */
												BgL_approxz00_bglt BgL_approxz00_2648;

												BgL_approxz00_2648 =
													BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2647);
												{	/* Cfa/closure.scm 192 */
													obj_t BgL_allocz00_2649;

													BgL_allocz00_2649 =
														BGl_setzd2ze3listz31zzcfa_setz00(
														(((BgL_approxz00_bglt) CREF(BgL_approxz00_2648))->
															BgL_allocsz00));
													{	/* Cfa/closure.scm 193 */
														BgL_typez00_bglt BgL_typez00_2650;

														BgL_typez00_2650 =
															(((BgL_approxz00_bglt) CREF(BgL_approxz00_2648))->
															BgL_typez00);
														{	/* Cfa/closure.scm 194 */
															bool_t BgL_tzd2initzf3z21_2651;

															{	/* Cfa/closure.scm 195 */
																bool_t BgL__ortest_1154z00_2674;

																BgL__ortest_1154z00_2674 =
																	(((BgL_approxz00_bglt)
																		CREF(BgL_approxz00_2648))->BgL_topzf3zf3);
																if (BgL__ortest_1154z00_2674)
																	{	/* Cfa/closure.scm 195 */
																		BgL_tzd2initzf3z21_2651 =
																			BgL__ortest_1154z00_2674;
																	}
																else
																	{	/* Cfa/closure.scm 196 */
																		bool_t BgL_testz00_5455;

																		if (
																			(((obj_t) BgL_typez00_2650) ==
																				BGl_za2procedureza2z00zztype_cachez00))
																			{	/* Cfa/closure.scm 196 */
																				BgL_testz00_5455 = ((bool_t) 1);
																			}
																		else
																			{	/* Cfa/closure.scm 196 */
																				BgL_testz00_5455 =
																					CBOOL
																					(BGl_za2unsafezd2typeza2zd2zzengine_paramz00);
																			}
																		if (BgL_testz00_5455)
																			{	/* Cfa/closure.scm 196 */
																				BgL_tzd2initzf3z21_2651 = ((bool_t) 0);
																			}
																		else
																			{	/* Cfa/closure.scm 196 */
																				BgL_tzd2initzf3z21_2651 = ((bool_t) 1);
																			}
																	}
															}
															{	/* Cfa/closure.scm 195 */

																{
																	bool_t BgL_onezd2nonzd2tzf3zf3_2653;
																	obj_t BgL_allocsz00_2654;

																	BgL_onezd2nonzd2tzf3zf3_2653 =
																		BgL_tzd2initzf3z21_2651;
																	BgL_allocsz00_2654 = BgL_allocz00_2649;
																BgL_zc3anonymousza32787ze3z83_2655:
																	if (NULLP(BgL_allocsz00_2654))
																		{	/* Cfa/closure.scm 204 */
																			CNST_TABLE_REF(((long) 5));
																		}
																	else
																		{	/* Cfa/closure.scm 204 */
																			if (BgL_onezd2nonzd2tzf3zf3_2653)
																				{
																					obj_t BgL_l2707z00_2658;

																					{	/* Cfa/closure.scm 207 */
																						bool_t BgL_auxz00_5464;

																						BgL_l2707z00_2658 =
																							BgL_allocz00_2649;
																					BgL_zc3anonymousza32789ze3z83_2659:
																						if (PAIRP(BgL_l2707z00_2658))
																							{	/* Cfa/closure.scm 207 */
																								{	/* Cfa/closure.scm 209 */
																									obj_t BgL_allocz00_2661;

																									BgL_allocz00_2661 =
																										CAR(BgL_l2707z00_2658);
																									if (BGl_isazf3zf3zz__objectz00
																										(BgL_allocz00_2661,
																											BGl_makezd2procedurezd2appz00zzcfa_info2z00))
																										{	/* Cfa/closure.scm 210 */
																											BgL_appz00_bglt
																												BgL_i1155z00_2663;
																											BgL_i1155z00_2663 =
																												((BgL_appz00_bglt)
																												BgL_allocz00_2661);
																											{	/* Cfa/closure.scm 211 */
																												bool_t BgL_testz00_5471;

																												{
																													BgL_makezd2procedurezd2appz00_bglt
																														BgL_auxz00_5472;
																													{
																														obj_t
																															BgL_auxz00_5473;
																														{	/* Cfa/closure.scm 211 */
																															BgL_objectz00_bglt
																																BgL_auxz00_5474;
																															BgL_auxz00_5474 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_i1155z00_2663);
																															BgL_auxz00_5473 =
																																BGL_OBJECT_WIDENING
																																(BgL_auxz00_5474);
																														}
																														BgL_auxz00_5472 =
																															(
																															(BgL_makezd2procedurezd2appz00_bglt)
																															BgL_auxz00_5473);
																													}
																													BgL_testz00_5471 =
																														(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5472))->BgL_tz00);
																												}
																												if (BgL_testz00_5471)
																													{	/* Cfa/closure.scm 211 */
																														{
																															BgL_makezd2procedurezd2appz00_bglt
																																BgL_auxz00_5479;
																															{
																																obj_t
																																	BgL_auxz00_5480;
																																{	/* Cfa/closure.scm 213 */
																																	BgL_objectz00_bglt
																																		BgL_auxz00_5481;
																																	BgL_auxz00_5481
																																		=
																																		(
																																		(BgL_objectz00_bglt)
																																		BgL_i1155z00_2663);
																																	BgL_auxz00_5480
																																		=
																																		BGL_OBJECT_WIDENING
																																		(BgL_auxz00_5481);
																																}
																																BgL_auxz00_5479
																																	=
																																	(
																																	(BgL_makezd2procedurezd2appz00_bglt)
																																	BgL_auxz00_5480);
																															}
																															((((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5479))->BgL_tz00) = ((bool_t) ((bool_t) 0)), BUNSPEC);
																														}
																														BgL_continuezf3zf3_2641
																															= ((bool_t) 1);
																													}
																												else
																													{	/* Cfa/closure.scm 211 */
																														BFALSE;
																													}
																											}
																										}
																									else
																										{	/* Cfa/closure.scm 209 */
																											BFALSE;
																										}
																								}
																								{
																									obj_t BgL_l2707z00_5486;

																									BgL_l2707z00_5486 =
																										CDR(BgL_l2707z00_2658);
																									BgL_l2707z00_2658 =
																										BgL_l2707z00_5486;
																									goto
																										BgL_zc3anonymousza32789ze3z83_2659;
																								}
																							}
																						else
																							{	/* Cfa/closure.scm 207 */
																								BgL_auxz00_5464 = ((bool_t) 1);
																							}
																						BBOOL(BgL_auxz00_5464);
																					}
																				}
																			else
																				{	/* Cfa/closure.scm 216 */
																					bool_t BgL_testz00_5489;

																					{	/* Cfa/closure.scm 216 */
																						obj_t BgL_arg2798z00_2672;

																						BgL_arg2798z00_2672 =
																							CAR(BgL_allocsz00_2654);
																						BgL_testz00_5489 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_arg2798z00_2672,
																							BGl_makezd2procedurezd2appz00zzcfa_info2z00);
																					}
																					if (BgL_testz00_5489)
																						{	/* Cfa/closure.scm 217 */
																							BgL_appz00_bglt BgL_i1156z00_2668;

																							{	/* Cfa/closure.scm 217 */
																								obj_t BgL_pairz00_4795;

																								BgL_pairz00_4795 =
																									BgL_allocsz00_2654;
																								BgL_i1156z00_2668 =
																									((BgL_appz00_bglt)
																									CAR(BgL_pairz00_4795));
																							}
																							{	/* Cfa/closure.scm 218 */
																								bool_t BgL_testz00_5494;

																								{
																									BgL_makezd2procedurezd2appz00_bglt
																										BgL_auxz00_5495;
																									{
																										obj_t BgL_auxz00_5496;

																										{	/* Cfa/closure.scm 218 */
																											BgL_objectz00_bglt
																												BgL_auxz00_5497;
																											BgL_auxz00_5497 =
																												((BgL_objectz00_bglt)
																												BgL_i1156z00_2668);
																											BgL_auxz00_5496 =
																												BGL_OBJECT_WIDENING
																												(BgL_auxz00_5497);
																										}
																										BgL_auxz00_5495 =
																											(
																											(BgL_makezd2procedurezd2appz00_bglt)
																											BgL_auxz00_5496);
																									}
																									BgL_testz00_5494 =
																										(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5495))->BgL_tz00);
																								}
																								if (BgL_testz00_5494)
																									{
																										obj_t BgL_allocsz00_5502;

																										BgL_allocsz00_5502 =
																											CDR(BgL_allocsz00_2654);
																										BgL_allocsz00_2654 =
																											BgL_allocsz00_5502;
																										goto
																											BgL_zc3anonymousza32787ze3z83_2655;
																									}
																								else
																									{
																										bool_t
																											BgL_onezd2nonzd2tzf3zf3_5504;
																										BgL_onezd2nonzd2tzf3zf3_5504
																											= ((bool_t) 1);
																										BgL_onezd2nonzd2tzf3zf3_2653
																											=
																											BgL_onezd2nonzd2tzf3zf3_5504;
																										goto
																											BgL_zc3anonymousza32787ze3z83_2655;
																									}
																							}
																						}
																					else
																						{	/* Cfa/closure.scm 216 */
																							if (CBOOL
																								(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
																								{
																									obj_t BgL_allocsz00_5507;

																									BgL_allocsz00_5507 =
																										CDR(BgL_allocsz00_2654);
																									BgL_allocsz00_2654 =
																										BgL_allocsz00_5507;
																									goto
																										BgL_zc3anonymousza32787ze3z83_2655;
																								}
																							else
																								{
																									bool_t
																										BgL_onezd2nonzd2tzf3zf3_5509;
																									BgL_onezd2nonzd2tzf3zf3_5509 =
																										((bool_t) 1);
																									BgL_onezd2nonzd2tzf3zf3_2653 =
																										BgL_onezd2nonzd2tzf3zf3_5509;
																									goto
																										BgL_zc3anonymousza32787ze3z83_2655;
																								}
																						}
																				}
																		}
																}
															}
														}
													}
												}
											}
										}
									}
									{
										obj_t BgL_l2709z00_5510;

										BgL_l2709z00_5510 = CDR(BgL_l2709z00_2643);
										BgL_l2709z00_2643 = BgL_l2709z00_5510;
										goto BgL_zc3anonymousza32785ze3z83_2644;
									}
								}
							else
								{	/* Cfa/closure.scm 188 */
									((bool_t) 1);
								}
						}
						{
							bool_t BgL_continuezf3zf3_5512;

							BgL_continuezf3zf3_5512 = BgL_continuezf3zf3_2641;
							BgL_continuezf3zf3_2639 = BgL_continuezf3zf3_5512;
							goto BgL_zc3anonymousza32784ze3z83_2640;
						}
					}
				else
					{	/* Cfa/closure.scm 185 */
						return BUNSPEC;
					}
			}
		}
	}



/* light-make-procedure! */
	bool_t BGl_lightzd2makezd2procedurez12z12zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 252 */
			{
				obj_t BgL_appz00_2720;
				obj_t BgL_appz00_2696;

				{
					obj_t BgL_l2711z00_2687;

					BgL_l2711z00_2687 =
						BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
				BgL_zc3anonymousza32805ze3z83_2688:
					if (PAIRP(BgL_l2711z00_2687))
						{	/* Cfa/closure.scm 294 */
							{	/* Cfa/closure.scm 295 */
								obj_t BgL_appz00_2690;

								BgL_appz00_2690 = CAR(BgL_l2711z00_2687);
								{	/* Cfa/closure.scm 295 */
									BgL_appz00_bglt BgL_i1160z00_2691;

									BgL_i1160z00_2691 = ((BgL_appz00_bglt) BgL_appz00_2690);
									{	/* Cfa/closure.scm 297 */
										bool_t BgL_testz00_5517;

										{
											BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5518;

											{
												obj_t BgL_auxz00_5519;

												{	/* Cfa/closure.scm 297 */
													BgL_objectz00_bglt BgL_auxz00_5520;

													BgL_auxz00_5520 =
														((BgL_objectz00_bglt) BgL_i1160z00_2691);
													BgL_auxz00_5519 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5520);
												}
												BgL_auxz00_5518 =
													((BgL_makezd2procedurezd2appz00_bglt)
													BgL_auxz00_5519);
											}
											BgL_testz00_5517 =
												(((BgL_makezd2procedurezd2appz00_bglt)
													CREF(BgL_auxz00_5518))->BgL_xz00);
										}
										if (BgL_testz00_5517)
											{	/* Cfa/closure.scm 297 */
												BgL_appz00_2696 = BgL_appz00_2690;
												{	/* Cfa/closure.scm 255 */
													BgL_appz00_bglt BgL_i1158z00_2698;

													BgL_i1158z00_2698 =
														((BgL_appz00_bglt) BgL_appz00_2696);
													{	/* Cfa/closure.scm 256 */
														obj_t BgL_siza7eza7_2699;

														{	/* Cfa/closure.scm 256 */
															obj_t BgL_arg2827z00_2717;

															{	/* Cfa/closure.scm 256 */
																obj_t BgL_pairz00_4799;

																BgL_pairz00_4799 =
																	(((BgL_appz00_bglt) CREF(
																			((BgL_appz00_bglt) BgL_i1158z00_2698)))->
																	BgL_argsz00);
																BgL_arg2827z00_2717 =
																	CAR(CDR(CDR(BgL_pairz00_4799)));
															}
															BgL_siza7eza7_2699 =
																BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00(
																((BgL_nodez00_bglt) BgL_arg2827z00_2717));
														}
														{	/* Cfa/closure.scm 256 */
															BgL_variablez00_bglt BgL_ffunz00_2700;

															{
																BgL_varz00_bglt BgL_auxz00_5533;

																{	/* Cfa/closure.scm 257 */
																	obj_t BgL_pairz00_4805;

																	BgL_pairz00_4805 =
																		(((BgL_appz00_bglt) CREF(
																				((BgL_appz00_bglt)
																					BgL_i1158z00_2698)))->BgL_argsz00);
																	BgL_auxz00_5533 =
																		((BgL_varz00_bglt) CAR(BgL_pairz00_4805));
																}
																BgL_ffunz00_2700 =
																	(((BgL_varz00_bglt) CREF(BgL_auxz00_5533))->
																	BgL_variablez00);
															}
															{	/* Cfa/closure.scm 257 */
																BgL_valuez00_bglt BgL_sfunz00_2701;

																BgL_sfunz00_2701 =
																	(((BgL_variablez00_bglt)
																		CREF(BgL_ffunz00_2700))->BgL_valuez00);
																{	/* Cfa/closure.scm 258 */

																	if (
																		((long) CINT(BgL_siza7eza7_2699) <
																			((long) 1)))
																		{	/* Cfa/closure.scm 260 */
																			{	/* Cfa/closure.scm 261 */
																				bool_t BgL_testz00_5543;

																				{	/* Cfa/closure.scm 261 */
																					bool_t BgL_testz00_5544;

																					{	/* Cfa/closure.scm 261 */
																						bool_t BgL_res3182z00_4816;

																						{	/* Cfa/closure.scm 261 */
																							obj_t BgL_objz00_4815;

																							BgL_objz00_4815 =
																								((obj_t) BgL_ffunz00_2700);
																							BgL_res3182z00_4816 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_objz00_4815,
																								BGl_globalz00zzast_varz00);
																						}
																						BgL_testz00_5544 =
																							BgL_res3182z00_4816;
																					}
																					if (BgL_testz00_5544)
																						{	/* Cfa/closure.scm 262 */
																							bool_t BgL_testz00_5547;

																							{	/* Cfa/closure.scm 262 */
																								obj_t BgL_arg2820z00_2710;

																								BgL_arg2820z00_2710 =
																									(((BgL_funz00_bglt) CREF(
																											((BgL_funz00_bglt)
																												((BgL_sfunz00_bglt)
																													BgL_sfunz00_2701))))->
																									BgL_thezd2closurezd2);
																								BgL_testz00_5547 =
																									BGl_isazf3zf3zz__objectz00
																									(BgL_arg2820z00_2710,
																									BGl_globalz00zzast_varz00);
																							}
																							if (BgL_testz00_5547)
																								{	/* Cfa/closure.scm 263 */
																									BgL_valuez00_bglt
																										BgL_arg2818z00_2708;
																									BgL_arg2818z00_2708 =
																										(((BgL_variablez00_bglt)
																											CREF((
																													(BgL_variablez00_bglt)
																													((BgL_globalz00_bglt)
																														(((BgL_funz00_bglt)
																																CREF((
																																		(BgL_funz00_bglt)
																																		((BgL_sfunz00_bglt) BgL_sfunz00_2701))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																									{	/* Cfa/closure.scm 263 */
																										bool_t BgL_res3185z00_4827;

																										{	/* Cfa/closure.scm 263 */
																											obj_t BgL_objz00_4826;

																											BgL_objz00_4826 =
																												((obj_t)
																												BgL_arg2818z00_2708);
																											BgL_res3185z00_4827 =
																												BGl_isazf3zf3zz__objectz00
																												(BgL_objz00_4826,
																												BGl_scnstz00zzast_varz00);
																										}
																										BgL_testz00_5543 =
																											BgL_res3185z00_4827;
																									}
																								}
																							else
																								{	/* Cfa/closure.scm 262 */
																									BgL_testz00_5543 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Cfa/closure.scm 261 */
																							BgL_testz00_5543 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_5543)
																					{	/* Cfa/closure.scm 264 */
																						BgL_valuez00_bglt
																							BgL_arg2814z00_2704;
																						BgL_arg2814z00_2704 =
																							(((BgL_variablez00_bglt)
																								CREF(((BgL_variablez00_bglt) (
																											(BgL_globalz00_bglt) ((
																													(BgL_funz00_bglt)
																													CREF((
																															(BgL_funz00_bglt)
																															((BgL_sfunz00_bglt) BgL_sfunz00_2701))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																						{	/* Cfa/closure.scm 264 */
																							BgL_scnstz00_bglt BgL_oz00_4833;
																							obj_t BgL_vz00_4834;

																							BgL_oz00_4833 =
																								((BgL_scnstz00_bglt)
																								BgL_arg2814z00_2704);
																							BgL_vz00_4834 =
																								CNST_TABLE_REF(((long) 6));
																							((((BgL_scnstz00_bglt)
																										CREF(BgL_oz00_4833))->
																									BgL_classz00) =
																								((obj_t) BgL_vz00_4834),
																								BUNSPEC);
																					}}
																				else
																					{	/* Cfa/closure.scm 261 */
																						BFALSE;
																					}
																			}
																			{	/* Cfa/closure.scm 266 */
																				BgL_varz00_bglt BgL_arg2821z00_2711;

																				BgL_arg2821z00_2711 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1158z00_2698)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 266 */
																					BgL_variablez00_bglt BgL_vz00_4837;

																					BgL_vz00_4837 =
																						((BgL_variablez00_bglt)
																						BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_arg2821z00_2711))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4837), BUNSPEC);
																				}
																			}
																			{	/* Cfa/closure.scm 267 */
																				BgL_varz00_bglt BgL_arg2822z00_2712;

																				BgL_arg2822z00_2712 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1158z00_2698)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 267 */
																					BgL_typez00_bglt BgL_vz00_4840;

																					BgL_vz00_4840 =
																						((BgL_typez00_bglt)
																						BGl_za2procedurezd2elza2zd2zztype_cachez00);
																					((((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_arg2822z00_2712)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) BgL_vz00_4840),
																						BUNSPEC);
																				}
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_i1158z00_2698)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																				BUNSPEC);
																		}
																	else
																		{	/* Cfa/closure.scm 260 */
																			{	/* Cfa/closure.scm 270 */
																				BgL_varz00_bglt BgL_arg2823z00_2713;

																				BgL_arg2823z00_2713 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1158z00_2698)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 270 */
																					BgL_variablez00_bglt BgL_vz00_4843;

																					BgL_vz00_4843 =
																						((BgL_variablez00_bglt)
																						BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_arg2823z00_2713))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4843), BUNSPEC);
																				}
																			}
																			{	/* Cfa/closure.scm 271 */
																				BgL_varz00_bglt BgL_arg2824z00_2714;

																				BgL_arg2824z00_2714 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1158z00_2698)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 271 */
																					BgL_typez00_bglt BgL_vz00_4846;

																					BgL_vz00_4846 =
																						((BgL_typez00_bglt)
																						BGl_za2procedurezd2elza2zd2zztype_cachez00);
																					((((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_arg2824z00_2714)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) BgL_vz00_4846),
																						BUNSPEC);
																				}
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_i1158z00_2698)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BGl_za2procedurezd2elza2zd2zztype_cachez00)),
																				BUNSPEC);
																		}
																}
															}
														}
													}
													{
														obj_t BgL_auxz00_5593;

														{	/* Cfa/closure.scm 273 */
															obj_t BgL_pairz00_4848;

															BgL_pairz00_4848 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_i1158z00_2698)))->
																BgL_argsz00);
															{	/* Cfa/closure.scm 273 */
																obj_t BgL_pairz00_4851;

																BgL_pairz00_4851 = CDR(BgL_pairz00_4848);
																BgL_auxz00_5593 = CDR(BgL_pairz00_4851);
															}
														}
														((((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_i1158z00_2698)))->
																BgL_argsz00) =
															((obj_t) BgL_auxz00_5593), BUNSPEC);
													}
													BgL_appz00_2696;
												}
											}
										else
											{	/* Cfa/closure.scm 298 */
												bool_t BgL_testz00_5600;

												{
													BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5601;

													{
														obj_t BgL_auxz00_5602;

														{	/* Cfa/closure.scm 298 */
															BgL_objectz00_bglt BgL_auxz00_5603;

															BgL_auxz00_5603 =
																((BgL_objectz00_bglt) BgL_i1160z00_2691);
															BgL_auxz00_5602 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5603);
														}
														BgL_auxz00_5601 =
															((BgL_makezd2procedurezd2appz00_bglt)
															BgL_auxz00_5602);
													}
													BgL_testz00_5600 =
														(((BgL_makezd2procedurezd2appz00_bglt)
															CREF(BgL_auxz00_5601))->BgL_tz00);
												}
												if (BgL_testz00_5600)
													{	/* Cfa/closure.scm 298 */
														BgL_appz00_2720 = BgL_appz00_2690;
														{	/* Cfa/closure.scm 277 */
															BgL_appz00_bglt BgL_i1159z00_2722;

															BgL_i1159z00_2722 =
																((BgL_appz00_bglt) BgL_appz00_2720);
															{	/* Cfa/closure.scm 278 */
																obj_t BgL_siza7eza7_2723;

																{	/* Cfa/closure.scm 278 */
																	obj_t BgL_arg2846z00_2741;

																	{	/* Cfa/closure.scm 278 */
																		obj_t BgL_pairz00_4852;

																		BgL_pairz00_4852 =
																			(((BgL_appz00_bglt) CREF(
																					((BgL_appz00_bglt)
																						BgL_i1159z00_2722)))->BgL_argsz00);
																		BgL_arg2846z00_2741 =
																			CAR(CDR(CDR(BgL_pairz00_4852)));
																	}
																	BgL_siza7eza7_2723 =
																		BGl_getzd2nodezd2atomzd2valuezd2zzcfa_approxz00
																		(((BgL_nodez00_bglt) BgL_arg2846z00_2741));
																}
																{	/* Cfa/closure.scm 278 */
																	BgL_variablez00_bglt BgL_ffunz00_2724;

																	{
																		BgL_varz00_bglt BgL_auxz00_5616;

																		{	/* Cfa/closure.scm 279 */
																			obj_t BgL_pairz00_4858;

																			BgL_pairz00_4858 =
																				(((BgL_appz00_bglt) CREF(
																						((BgL_appz00_bglt)
																							BgL_i1159z00_2722)))->
																				BgL_argsz00);
																			BgL_auxz00_5616 =
																				((BgL_varz00_bglt)
																				CAR(BgL_pairz00_4858));
																		}
																		BgL_ffunz00_2724 =
																			(((BgL_varz00_bglt)
																				CREF(BgL_auxz00_5616))->
																			BgL_variablez00);
																	}
																	{	/* Cfa/closure.scm 279 */
																		BgL_valuez00_bglt BgL_sfunz00_2725;

																		BgL_sfunz00_2725 =
																			(((BgL_variablez00_bglt)
																				CREF(BgL_ffunz00_2724))->BgL_valuez00);
																		{	/* Cfa/closure.scm 280 */

																			{	/* Cfa/closure.scm 281 */
																				bool_t BgL_testz00_5623;

																				{	/* Cfa/closure.scm 281 */
																					bool_t BgL_testz00_5624;

																					{	/* Cfa/closure.scm 281 */
																						bool_t BgL_res3189z00_4866;

																						{	/* Cfa/closure.scm 281 */
																							obj_t BgL_objz00_4865;

																							BgL_objz00_4865 =
																								((obj_t) BgL_ffunz00_2724);
																							BgL_res3189z00_4866 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_objz00_4865,
																								BGl_globalz00zzast_varz00);
																						}
																						BgL_testz00_5624 =
																							BgL_res3189z00_4866;
																					}
																					if (BgL_testz00_5624)
																						{	/* Cfa/closure.scm 282 */
																							bool_t BgL_testz00_5627;

																							{	/* Cfa/closure.scm 282 */
																								obj_t BgL_arg2838z00_2733;

																								BgL_arg2838z00_2733 =
																									(((BgL_funz00_bglt) CREF(
																											((BgL_funz00_bglt)
																												((BgL_sfunz00_bglt)
																													BgL_sfunz00_2725))))->
																									BgL_thezd2closurezd2);
																								BgL_testz00_5627 =
																									BGl_isazf3zf3zz__objectz00
																									(BgL_arg2838z00_2733,
																									BGl_globalz00zzast_varz00);
																							}
																							if (BgL_testz00_5627)
																								{	/* Cfa/closure.scm 283 */
																									BgL_valuez00_bglt
																										BgL_arg2836z00_2731;
																									BgL_arg2836z00_2731 =
																										(((BgL_variablez00_bglt)
																											CREF((
																													(BgL_variablez00_bglt)
																													((BgL_globalz00_bglt)
																														(((BgL_funz00_bglt)
																																CREF((
																																		(BgL_funz00_bglt)
																																		((BgL_sfunz00_bglt) BgL_sfunz00_2725))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																									{	/* Cfa/closure.scm 283 */
																										bool_t BgL_res3192z00_4877;

																										{	/* Cfa/closure.scm 283 */
																											obj_t BgL_objz00_4876;

																											BgL_objz00_4876 =
																												((obj_t)
																												BgL_arg2836z00_2731);
																											BgL_res3192z00_4877 =
																												BGl_isazf3zf3zz__objectz00
																												(BgL_objz00_4876,
																												BGl_scnstz00zzast_varz00);
																										}
																										BgL_testz00_5623 =
																											BgL_res3192z00_4877;
																									}
																								}
																							else
																								{	/* Cfa/closure.scm 282 */
																									BgL_testz00_5623 =
																										((bool_t) 0);
																								}
																						}
																					else
																						{	/* Cfa/closure.scm 281 */
																							BgL_testz00_5623 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_5623)
																					{	/* Cfa/closure.scm 284 */
																						BgL_valuez00_bglt
																							BgL_arg2832z00_2727;
																						BgL_arg2832z00_2727 =
																							(((BgL_variablez00_bglt)
																								CREF(((BgL_variablez00_bglt) (
																											(BgL_globalz00_bglt) ((
																													(BgL_funz00_bglt)
																													CREF((
																															(BgL_funz00_bglt)
																															((BgL_sfunz00_bglt) BgL_sfunz00_2725))))->BgL_thezd2closurezd2)))))->BgL_valuez00);
																						{	/* Cfa/closure.scm 284 */
																							BgL_scnstz00_bglt BgL_oz00_4883;
																							obj_t BgL_vz00_4884;

																							BgL_oz00_4883 =
																								((BgL_scnstz00_bglt)
																								BgL_arg2832z00_2727);
																							BgL_vz00_4884 =
																								CNST_TABLE_REF(((long) 7));
																							((((BgL_scnstz00_bglt)
																										CREF(BgL_oz00_4883))->
																									BgL_classz00) =
																								((obj_t) BgL_vz00_4884),
																								BUNSPEC);
																					}}
																				else
																					{	/* Cfa/closure.scm 281 */
																						BFALSE;
																					}
																			}
																			{	/* Cfa/closure.scm 286 */
																				BgL_varz00_bglt BgL_arg2839z00_2734;

																				BgL_arg2839z00_2734 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1159z00_2722)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 286 */
																					BgL_variablez00_bglt BgL_vz00_4887;

																					BgL_vz00_4887 =
																						((BgL_variablez00_bglt)
																						BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_arg2839z00_2734))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_4887), BUNSPEC);
																				}
																			}
																			{	/* Cfa/closure.scm 288 */
																				BgL_varz00_bglt BgL_arg2840z00_2735;

																				BgL_arg2840z00_2735 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1159z00_2722)))->
																					BgL_funz00);
																				{	/* Cfa/closure.scm 288 */
																					BgL_typez00_bglt BgL_vz00_4890;

																					BgL_vz00_4890 =
																						((BgL_typez00_bglt)
																						BGl_za2procedureza2z00zztype_cachez00);
																					((((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_arg2840z00_2735)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt) BgL_vz00_4890),
																						BUNSPEC);
																				}
																			}
																			((((BgL_nodez00_bglt) CREF(
																							((BgL_nodez00_bglt)
																								BgL_i1159z00_2722)))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) ((BgL_typez00_bglt)
																						BGl_za2procedureza2z00zztype_cachez00)),
																				BUNSPEC);
																			{	/* Cfa/closure.scm 290 */
																				obj_t BgL_arg2841z00_2736;
																				obj_t BgL_arg2842z00_2737;

																				BgL_arg2841z00_2736 =
																					(((BgL_appz00_bglt) CREF(
																							((BgL_appz00_bglt)
																								BgL_i1159z00_2722)))->
																					BgL_argsz00);
																				{	/* Cfa/closure.scm 290 */
																					obj_t BgL_pairz00_4892;

																					BgL_pairz00_4892 =
																						(((BgL_appz00_bglt) CREF(
																								((BgL_appz00_bglt)
																									BgL_i1159z00_2722)))->
																						BgL_argsz00);
																					BgL_arg2842z00_2737 =
																						CDR(CDR(BgL_pairz00_4892));
																				}
																				SET_CDR(BgL_arg2841z00_2736,
																					BgL_arg2842z00_2737);
																			}
																			BgL_appz00_2720;
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Cfa/closure.scm 298 */
														BFALSE;
													}
											}
									}
								}
							}
							{
								obj_t BgL_l2711z00_5668;

								BgL_l2711z00_5668 = CDR(BgL_l2711z00_2687);
								BgL_l2711z00_2687 = BgL_l2711z00_5668;
								goto BgL_zc3anonymousza32805ze3z83_2688;
							}
						}
					else
						{	/* Cfa/closure.scm 294 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* light-funcall! */
	bool_t BGl_lightzd2funcallz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 304 */
			{
				obj_t BgL_l2718z00_2746;

				BgL_l2718z00_2746 = BGl_za2funcallzd2listza2zd2zzcfa_closurez00;
			BgL_zc3anonymousza32848ze3z83_2747:
				if (PAIRP(BgL_l2718z00_2746))
					{	/* Cfa/closure.scm 305 */
						{	/* Cfa/closure.scm 306 */
							BgL_funcallz00_bglt BgL_appz00_2749;

							BgL_appz00_2749 = ((BgL_funcallz00_bglt) CAR(BgL_l2718z00_2746));
							{	/* Cfa/closure.scm 307 */
								BgL_nodez00_bglt BgL_funz00_2750;

								BgL_funz00_2750 =
									(((BgL_funcallz00_bglt) CREF(BgL_appz00_2749))->BgL_funz00);
								{	/* Cfa/closure.scm 307 */
									BgL_approxz00_bglt BgL_approxz00_2751;

									BgL_approxz00_2751 =
										BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2750);
									{	/* Cfa/closure.scm 308 */
										obj_t BgL_alloczd2listzd2_2752;

										BgL_alloczd2listzd2_2752 =
											BGl_setzd2ze3listz31zzcfa_setz00(
											(((BgL_approxz00_bglt) CREF(BgL_approxz00_2751))->
												BgL_allocsz00));
										{	/* Cfa/closure.scm 309 */

											{	/* Cfa/closure.scm 310 */
												bool_t BgL_testz00_5678;

												if (PAIRP(BgL_alloczd2listzd2_2752))
													{	/* Cfa/closure.scm 311 */
														bool_t BgL_testz00_5681;

														{	/* Cfa/closure.scm 311 */
															obj_t BgL_arg2875z00_2792;

															BgL_arg2875z00_2792 =
																CAR(BgL_alloczd2listzd2_2752);
															BgL_testz00_5681 =
																BGl_isazf3zf3zz__objectz00(BgL_arg2875z00_2792,
																BGl_makezd2procedurezd2appz00zzcfa_info2z00);
														}
														if (BgL_testz00_5681)
															{	/* Cfa/closure.scm 311 */
																BgL_testz00_5678 = ((bool_t) 0);
															}
														else
															{	/* Cfa/closure.scm 311 */
																BgL_testz00_5678 = ((bool_t) 1);
															}
													}
												else
													{	/* Cfa/closure.scm 310 */
														BgL_testz00_5678 = ((bool_t) 1);
													}
												if (BgL_testz00_5678)
													{	/* Cfa/closure.scm 310 */
														CNST_TABLE_REF(((long) 8));
													}
												else
													{	/* Cfa/closure.scm 315 */
														BgL_appz00_bglt BgL_allocz00_2754;

														{	/* Cfa/closure.scm 315 */
															obj_t BgL_pairz00_4915;

															BgL_pairz00_4915 = BgL_alloczd2listzd2_2752;
															BgL_allocz00_2754 =
																((BgL_appz00_bglt) CAR(BgL_pairz00_4915));
														}
														{	/* Cfa/closure.scm 316 */
															BgL_appz00_bglt BgL_i1161z00_2755;

															BgL_i1161z00_2755 =
																((BgL_appz00_bglt) BgL_allocz00_2754);
															{	/* Cfa/closure.scm 318 */
																bool_t BgL_testz00_5688;

																{
																	BgL_makezd2procedurezd2appz00_bglt
																		BgL_auxz00_5689;
																	{
																		obj_t BgL_auxz00_5690;

																		{	/* Cfa/closure.scm 318 */
																			BgL_objectz00_bglt BgL_auxz00_5691;

																			BgL_auxz00_5691 =
																				((BgL_objectz00_bglt)
																				BgL_i1161z00_2755);
																			BgL_auxz00_5690 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_5691);
																		}
																		BgL_auxz00_5689 =
																			((BgL_makezd2procedurezd2appz00_bglt)
																			BgL_auxz00_5690);
																	}
																	BgL_testz00_5688 =
																		(((BgL_makezd2procedurezd2appz00_bglt)
																			CREF(BgL_auxz00_5689))->BgL_xz00);
																}
																if (BgL_testz00_5688)
																	{	/* Cfa/closure.scm 318 */
																		{	/* Cfa/closure.scm 323 */
																			BgL_varz00_bglt BgL_arg2852z00_2757;

																			{	/* Cfa/closure.scm 323 */
																				BgL_varz00_bglt
																					BgL_duplicated1163z00_2758;
																				BgL_varz00_bglt BgL_new1162z00_2759;

																				{	/* Cfa/closure.scm 323 */
																					obj_t BgL_pairz00_4916;

																					BgL_pairz00_4916 =
																						(((BgL_appz00_bglt) CREF(
																								((BgL_appz00_bglt)
																									BgL_i1161z00_2755)))->
																						BgL_argsz00);
																					BgL_duplicated1163z00_2758 =
																						((BgL_varz00_bglt)
																						CAR(BgL_pairz00_4916));
																				}
																				{	/* Cfa/closure.scm 323 */
																					BgL_varz00_bglt BgL_new1164z00_2768;

																					BgL_new1164z00_2768 =
																						((BgL_varz00_bglt)
																						BREF(GC_MALLOC(sizeof(struct
																									BgL_varz00_bgl))));
																					{	/* Cfa/closure.scm 323 */
																						long BgL_arg2861z00_2769;

																						{	/* Cfa/closure.scm 323 */
																							long BgL_res3199z00_4918;

																							BgL_res3199z00_4918 =
																								BGL_CLASS_INDEX
																								(BGl_varz00zzast_nodez00);
																							BgL_arg2861z00_2769 =
																								BgL_res3199z00_4918;
																						}
																						{	/* Cfa/closure.scm 323 */
																							BgL_objectz00_bglt
																								BgL_objz00_4919;
																							BgL_objz00_4919 =
																								((BgL_objectz00_bglt)
																								BgL_new1164z00_2768);
																							BGL_OBJECT_CLASS_NUM_SET
																								(BgL_objz00_4919,
																								BgL_arg2861z00_2769);
																					}}
																					{	/* Cfa/closure.scm 323 */
																						BgL_objectz00_bglt BgL_auxz00_5704;

																						BgL_auxz00_5704 =
																							((BgL_objectz00_bglt)
																							BgL_new1164z00_2768);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_auxz00_5704, BFALSE);
																					}
																					BgL_new1162z00_2759 =
																						BgL_new1164z00_2768;
																				}
																				((((BgL_nodez00_bglt) CREF(
																								((BgL_nodez00_bglt)
																									BgL_new1162z00_2759)))->
																						BgL_locz00) =
																					((obj_t) (((BgL_nodez00_bglt)
																								CREF(((BgL_nodez00_bglt)
																										BgL_duplicated1163z00_2758)))->
																							BgL_locz00)), BUNSPEC);
																				{
																					BgL_typez00_bglt BgL_auxz00_5711;

																					{	/* Cfa/closure.scm 325 */
																						obj_t BgL_arg2853z00_2760;
																						BgL_typez00_bglt
																							BgL_arg2854z00_2761;
																						{	/* Cfa/closure.scm 325 */
																							BgL_approxz00_bglt
																								BgL_arg2855z00_2762;
																							obj_t BgL_arg2856z00_2763;

																							{
																								BgL_makezd2procedurezd2appz00_bglt
																									BgL_auxz00_5713;
																								{
																									obj_t BgL_auxz00_5714;

																									{	/* Cfa/closure.scm 325 */
																										BgL_objectz00_bglt
																											BgL_auxz00_5715;
																										BgL_auxz00_5715 =
																											((BgL_objectz00_bglt)
																											BgL_i1161z00_2755);
																										BgL_auxz00_5714 =
																											BGL_OBJECT_WIDENING
																											(BgL_auxz00_5715);
																									}
																									BgL_auxz00_5713 =
																										(
																										(BgL_makezd2procedurezd2appz00_bglt)
																										BgL_auxz00_5714);
																								}
																								BgL_arg2855z00_2762 =
																									(((BgL_makezd2procedurezd2appz00_bglt) CREF(BgL_auxz00_5713))->BgL_approxz00);
																							}
																							{	/* Cfa/closure.scm 325 */
																								obj_t BgL_pairz00_4921;

																								BgL_pairz00_4921 =
																									(((BgL_appz00_bglt) CREF(
																											((BgL_appz00_bglt)
																												BgL_i1161z00_2755)))->
																									BgL_argsz00);
																								BgL_arg2856z00_2763 =
																									CAR(BgL_pairz00_4921);
																							}
																							BgL_arg2853z00_2760 =
																								BGl_getzd2approxzd2typez00zzcfa_typez00
																								(BgL_arg2855z00_2762,
																								BgL_arg2856z00_2763);
																						}
																						{
																							BgL_nodez00_bglt BgL_auxz00_5724;

																							{
																								BgL_varz00_bglt BgL_auxz00_5725;

																								{	/* Cfa/closure.scm 326 */
																									obj_t BgL_pairz00_4922;

																									BgL_pairz00_4922 =
																										(((BgL_appz00_bglt) CREF(
																												((BgL_appz00_bglt)
																													BgL_i1161z00_2755)))->
																										BgL_argsz00);
																									BgL_auxz00_5725 =
																										((BgL_varz00_bglt)
																										CAR(BgL_pairz00_4922));
																								}
																								BgL_auxz00_5724 =
																									((BgL_nodez00_bglt)
																									BgL_auxz00_5725);
																							}
																							BgL_arg2854z00_2761 =
																								(((BgL_nodez00_bglt)
																									CREF(BgL_auxz00_5724))->
																								BgL_typez00);
																						}
																						BgL_auxz00_5711 =
																							BGl_strictzd2nodezd2typez00zzast_nodez00
																							(((BgL_typez00_bglt)
																								BgL_arg2853z00_2760),
																							BgL_arg2854z00_2761);
																					}
																					((((BgL_nodez00_bglt) CREF(
																									((BgL_nodez00_bglt)
																										BgL_new1162z00_2759)))->
																							BgL_typez00) =
																						((BgL_typez00_bglt)
																							BgL_auxz00_5711), BUNSPEC);
																				}
																				((((BgL_varz00_bglt)
																							CREF(BgL_new1162z00_2759))->
																						BgL_variablez00) =
																					((BgL_variablez00_bglt) ((
																								(BgL_varz00_bglt)
																								CREF
																								(BgL_duplicated1163z00_2758))->
																							BgL_variablez00)), BUNSPEC);
																				BgL_arg2852z00_2757 =
																					BgL_new1162z00_2759;
																			}
																			{	/* Cfa/closure.scm 321 */
																				BgL_nodez00_bglt BgL_vz00_4927;

																				BgL_vz00_4927 =
																					((BgL_nodez00_bglt)
																					BgL_arg2852z00_2757);
																				((((BgL_funcallz00_bglt)
																							CREF(BgL_appz00_2749))->
																						BgL_funz00) =
																					((BgL_nodez00_bglt) BgL_vz00_4927),
																					BUNSPEC);
																		}}
																		{	/* Cfa/closure.scm 327 */
																			obj_t BgL_arg2862z00_2770;

																			{	/* Cfa/closure.scm 327 */
																				obj_t BgL_arg2863z00_2771;

																				{	/* Cfa/closure.scm 327 */
																					obj_t BgL_pairz00_4929;

																					BgL_pairz00_4929 =
																						(((BgL_appz00_bglt) CREF(
																								((BgL_appz00_bglt)
																									BgL_i1161z00_2755)))->
																						BgL_argsz00);
																					BgL_arg2863z00_2771 =
																						CAR(BgL_pairz00_4929);
																				}
																				{	/* Cfa/closure.scm 327 */
																					obj_t BgL_list2864z00_2772;

																					BgL_list2864z00_2772 =
																						MAKE_PAIR(BgL_arg2863z00_2771,
																						BNIL);
																					BgL_arg2862z00_2770 =
																						BgL_list2864z00_2772;
																			}}
																			((((BgL_funcallz00_bglt)
																						CREF(BgL_appz00_2749))->
																					BgL_functionsz00) =
																				((obj_t) BgL_arg2862z00_2770), BUNSPEC);
																		}
																		{	/* Cfa/closure.scm 328 */
																			obj_t BgL_vz00_4936;

																			BgL_vz00_4936 =
																				CNST_TABLE_REF(((long) 1));
																			((((BgL_funcallz00_bglt)
																						CREF(BgL_appz00_2749))->
																					BgL_strengthz00) =
																				((obj_t) BgL_vz00_4936), BUNSPEC);
																	}}
																else
																	{	/* Cfa/closure.scm 329 */
																		bool_t BgL_testz00_5746;

																		{
																			BgL_makezd2procedurezd2appz00_bglt
																				BgL_auxz00_5747;
																			{
																				obj_t BgL_auxz00_5748;

																				{	/* Cfa/closure.scm 329 */
																					BgL_objectz00_bglt BgL_auxz00_5749;

																					BgL_auxz00_5749 =
																						((BgL_objectz00_bglt)
																						BgL_i1161z00_2755);
																					BgL_auxz00_5748 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_5749);
																				}
																				BgL_auxz00_5747 =
																					((BgL_makezd2procedurezd2appz00_bglt)
																					BgL_auxz00_5748);
																			}
																			BgL_testz00_5746 =
																				(((BgL_makezd2procedurezd2appz00_bglt)
																					CREF(BgL_auxz00_5747))->BgL_tz00);
																		}
																		if (BgL_testz00_5746)
																			{	/* Cfa/closure.scm 329 */
																				{	/* Cfa/closure.scm 332 */
																					obj_t BgL_fz00_2775;

																					if (NULLP(BgL_alloczd2listzd2_2752))
																						{	/* Cfa/closure.scm 332 */
																							BgL_fz00_2775 = BNIL;
																						}
																					else
																						{	/* Cfa/closure.scm 332 */
																							obj_t BgL_head2715z00_2778;

																							{	/* Cfa/closure.scm 332 */
																								obj_t BgL_res3203z00_4942;

																								BgL_res3203z00_4942 =
																									MAKE_PAIR(BNIL, BNIL);
																								BgL_head2715z00_2778 =
																									BgL_res3203z00_4942;
																							}
																							{
																								obj_t BgL_l2713z00_2780;
																								obj_t BgL_tail2716z00_2781;

																								BgL_l2713z00_2780 =
																									BgL_alloczd2listzd2_2752;
																								BgL_tail2716z00_2781 =
																									BgL_head2715z00_2778;
																							BgL_zc3anonymousza32868ze3z83_2782:
																								if (NULLP
																									(BgL_l2713z00_2780))
																									{	/* Cfa/closure.scm 332 */
																										BgL_fz00_2775 =
																											CDR(BgL_head2715z00_2778);
																									}
																								else
																									{	/* Cfa/closure.scm 332 */
																										obj_t
																											BgL_newtail2717z00_2784;
																										{	/* Cfa/closure.scm 332 */
																											obj_t BgL_arg2871z00_2786;

																											{	/* Cfa/closure.scm 333 */
																												obj_t BgL_pairz00_4949;

																												{
																													BgL_appz00_bglt
																														BgL_auxz00_5760;
																													{
																														BgL_appz00_bglt
																															BgL_auxz00_5761;
																														{	/* Cfa/closure.scm 332 */
																															obj_t
																																BgL_pairz00_4946;
																															BgL_pairz00_4946 =
																																BgL_l2713z00_2780;
																															BgL_auxz00_5761 =
																																(
																																(BgL_appz00_bglt)
																																CAR
																																(BgL_pairz00_4946));
																														}
																														BgL_auxz00_5760 =
																															((BgL_appz00_bglt)
																															BgL_auxz00_5761);
																													}
																													BgL_pairz00_4949 =
																														(((BgL_appz00_bglt)
																															CREF
																															(BgL_auxz00_5760))->
																														BgL_argsz00);
																												}
																												BgL_arg2871z00_2786 =
																													CAR(BgL_pairz00_4949);
																											}
																											{	/* Cfa/closure.scm 332 */
																												obj_t
																													BgL_res3205z00_4952;
																												BgL_res3205z00_4952 =
																													MAKE_PAIR
																													(BgL_arg2871z00_2786,
																													BNIL);
																												BgL_newtail2717z00_2784
																													= BgL_res3205z00_4952;
																											}
																										}
																										SET_CDR
																											(BgL_tail2716z00_2781,
																											BgL_newtail2717z00_2784);
																										{
																											obj_t
																												BgL_tail2716z00_5771;
																											obj_t BgL_l2713z00_5769;

																											BgL_l2713z00_5769 =
																												CDR(BgL_l2713z00_2780);
																											BgL_tail2716z00_5771 =
																												BgL_newtail2717z00_2784;
																											BgL_tail2716z00_2781 =
																												BgL_tail2716z00_5771;
																											BgL_l2713z00_2780 =
																												BgL_l2713z00_5769;
																											goto
																												BgL_zc3anonymousza32868ze3z83_2782;
																										}
																									}
																							}
																						}
																					((((BgL_funcallz00_bglt)
																								CREF(BgL_appz00_2749))->
																							BgL_functionsz00) =
																						((obj_t) BgL_fz00_2775), BUNSPEC);
																					{	/* Cfa/closure.scm 336 */
																						obj_t BgL_vz00_4960;

																						BgL_vz00_4960 =
																							CNST_TABLE_REF(((long) 2));
																						((((BgL_funcallz00_bglt)
																									CREF(BgL_appz00_2749))->
																								BgL_strengthz00) =
																							((obj_t) BgL_vz00_4960), BUNSPEC);
																			}}}
																		else
																			{	/* Cfa/closure.scm 329 */
																				CNST_TABLE_REF(((long) 8));
						}}}}}}}}}}}
						{
							obj_t BgL_l2718z00_5776;

							BgL_l2718z00_5776 = CDR(BgL_l2718z00_2746);
							BgL_l2718z00_2746 = BgL_l2718z00_5776;
							goto BgL_zc3anonymousza32848ze3z83_2747;
						}
					}
				else
					{	/* Cfa/closure.scm 305 */
						((bool_t) 1);
					}
			}
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{	/* Cfa/closure.scm 344 */
					obj_t BgL_funcallzd2lzd2_2796;

					BgL_funcallzd2lzd2_2796 =
						BGl_zc3anonymousza32886ze3z83zzcfa_closurez00
						(BGl_za2funcallzd2listza2zd2zzcfa_closurez00);
					{

					BgL_zc3anonymousza32878ze3z83_2798:
						{	/* Cfa/closure.scm 348 */
							bool_t BgL_contz00_2799;

							BgL_contz00_2799 = ((bool_t) 0);
							{
								obj_t BgL_l2725z00_2801;

								BgL_l2725z00_2801 = BgL_funcallzd2lzd2_2796;
							BgL_zc3anonymousza32879ze3z83_2802:
								if (PAIRP(BgL_l2725z00_2801))
									{	/* Cfa/closure.scm 349 */
										{	/* Cfa/closure.scm 350 */
											BgL_funcallz00_bglt BgL_appz00_2804;

											BgL_appz00_2804 =
												((BgL_funcallz00_bglt) CAR(BgL_l2725z00_2801));
											{	/* Cfa/closure.scm 350 */
												BgL_nodez00_bglt BgL_funz00_2805;

												BgL_funz00_2805 =
													(((BgL_funcallz00_bglt) CREF(BgL_appz00_2804))->
													BgL_funz00);
												{	/* Cfa/closure.scm 350 */
													BgL_approxz00_bglt BgL_approxz00_2806;

													BgL_approxz00_2806 =
														BGl_cfaz12z12zzcfa_cfaz00(BgL_funz00_2805);
													{	/* Cfa/closure.scm 351 */
														obj_t BgL_appsz00_2807;

														BgL_appsz00_2807 =
															BGl_setzd2ze3listz31zzcfa_setz00(
															(((BgL_approxz00_bglt) CREF(BgL_approxz00_2806))->
																BgL_allocsz00));
														{	/* Cfa/closure.scm 352 */

															{	/* Cfa/closure.scm 353 */
																bool_t BgL_testz00_5789;

																if (PAIRP(BgL_appsz00_2807))
																	{	/* Cfa/closure.scm 353 */
																		obj_t BgL_auxz00_5792;

																		BgL_auxz00_5792 = CDR(BgL_appsz00_2807);
																		BgL_testz00_5789 = PAIRP(BgL_auxz00_5792);
																	}
																else
																	{	/* Cfa/closure.scm 353 */
																		BgL_testz00_5789 = ((bool_t) 0);
																	}
																if (BgL_testz00_5789)
																	{	/* Cfa/closure.scm 355 */
																		bool_t BgL__ortest_1165z00_2809;

																		BgL__ortest_1165z00_2809 =
																			BGl_mergezd2appzd2typesz12z12zzcfa_closurez00
																			(BgL_appsz00_2807);
																		if (BgL__ortest_1165z00_2809)
																			{	/* Cfa/closure.scm 355 */
																				BgL_contz00_2799 =
																					BgL__ortest_1165z00_2809;
																			}
																		else
																			{	/* Cfa/closure.scm 355 */
																				BgL_contz00_2799 = BgL_contz00_2799;
																			}
																	}
																else
																	{	/* Cfa/closure.scm 353 */
																		BFALSE;
																	}
															}
														}
													}
												}
											}
										}
										{
											obj_t BgL_l2725z00_5797;

											BgL_l2725z00_5797 = CDR(BgL_l2725z00_2801);
											BgL_l2725z00_2801 = BgL_l2725z00_5797;
											goto BgL_zc3anonymousza32879ze3z83_2802;
										}
									}
								else
									{	/* Cfa/closure.scm 349 */
										((bool_t) 1);
									}
							}
							if (BgL_contz00_2799)
								{	/* Cfa/closure.scm 357 */
									goto BgL_zc3anonymousza32878ze3z83_2798;
								}
							else
								{	/* Cfa/closure.scm 357 */
									return ((bool_t) 0);
								}
						}
					}
				}
			else
				{	/* Cfa/closure.scm 341 */
					return ((bool_t) 0);
				}
		}
	}



/* <anonymous:2886> */
	obj_t BGl_zc3anonymousza32886ze3z83zzcfa_closurez00(obj_t BgL_lis2721z00_2817)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 344 */
		BGl_zc3anonymousza32886ze3z83zzcfa_closurez00:
			if (NULLP(BgL_lis2721z00_2817))
				{	/* Cfa/closure.scm 344 */
					return BgL_lis2721z00_2817;
				}
			else
				{	/* Cfa/closure.scm 344 */
					obj_t BgL_head2722z00_2820;
					obj_t BgL_tail2723z00_2821;

					BgL_head2722z00_2820 = CAR(BgL_lis2721z00_2817);
					BgL_tail2723z00_2821 = CDR(BgL_lis2721z00_2817);
					if (
						((((BgL_funcallz00_bglt) CREF(
										((BgL_funcallz00_bglt) BgL_head2722z00_2820)))->
								BgL_strengthz00) == CNST_TABLE_REF(((long) 2))))
						{	/* Cfa/closure.scm 344 */
							obj_t BgL_newzd2tail2724zd2_2823;

							BgL_newzd2tail2724zd2_2823 =
								BGl_zc3anonymousza32886ze3z83zzcfa_closurez00
								(BgL_tail2723z00_2821);
							if ((BgL_tail2723z00_2821 == BgL_newzd2tail2724zd2_2823))
								{	/* Cfa/closure.scm 344 */
									return BgL_lis2721z00_2817;
								}
							else
								{	/* Cfa/closure.scm 344 */
									obj_t BgL_res3209z00_4975;

									BgL_res3209z00_4975 =
										MAKE_PAIR(BgL_head2722z00_2820, BgL_newzd2tail2724zd2_2823);
									return BgL_res3209z00_4975;
								}
						}
					else
						{
							obj_t BgL_lis2721z00_5813;

							BgL_lis2721z00_5813 = BgL_tail2723z00_2821;
							BgL_lis2721z00_2817 = BgL_lis2721z00_5813;
							goto BGl_zc3anonymousza32886ze3z83zzcfa_closurez00;
						}
				}
		}
	}



/* merge-app-types! */
	bool_t BGl_mergezd2appzd2typesz12z12zzcfa_closurez00(obj_t BgL_apps0z00_8)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 363 */
			{
				BgL_appz00_bglt BgL_app0z00_2841;
				BgL_appz00_bglt BgL_app1z00_2842;

				{	/* Cfa/closure.scm 406 */
					obj_t BgL_g1169z00_2829;

					BgL_g1169z00_2829 = CDR(BgL_apps0z00_8);
					{
						obj_t BgL_appsz00_2831;
						bool_t BgL_contz00_2832;

						BgL_appsz00_2831 = BgL_g1169z00_2829;
						BgL_contz00_2832 = ((bool_t) 0);
					BgL_zc3anonymousza32891ze3z83_2833:
						if (NULLP(BgL_appsz00_2831))
							{	/* Cfa/closure.scm 408 */
								return BgL_contz00_2832;
							}
						else
							{	/* Cfa/closure.scm 412 */
								obj_t BgL_arg2893z00_2835;
								bool_t BgL_arg2894z00_2836;

								BgL_arg2893z00_2835 = CDR(BgL_appsz00_2831);
								{	/* Cfa/closure.scm 412 */
									bool_t BgL__ortest_1170z00_2837;

									{	/* Cfa/closure.scm 412 */
										obj_t BgL_arg2895z00_2838;
										obj_t BgL_arg2896z00_2839;

										BgL_arg2895z00_2838 = CAR(BgL_apps0z00_8);
										BgL_arg2896z00_2839 = CAR(BgL_appsz00_2831);
										BgL_app0z00_2841 = ((BgL_appz00_bglt) BgL_arg2895z00_2838);
										BgL_app1z00_2842 = ((BgL_appz00_bglt) BgL_arg2896z00_2839);
										{	/* Cfa/closure.scm 366 */
											BgL_variablez00_bglt BgL_f0z00_2844;

											{
												BgL_varz00_bglt BgL_auxz00_5820;

												{	/* Cfa/closure.scm 366 */
													obj_t BgL_pairz00_4992;

													BgL_pairz00_4992 =
														(((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt) BgL_app0z00_2841)))->
														BgL_argsz00);
													BgL_auxz00_5820 =
														((BgL_varz00_bglt) CAR(BgL_pairz00_4992));
												}
												BgL_f0z00_2844 =
													(((BgL_varz00_bglt) CREF(BgL_auxz00_5820))->
													BgL_variablez00);
											}
											{	/* Cfa/closure.scm 366 */
												BgL_variablez00_bglt BgL_f1z00_2845;

												{
													BgL_varz00_bglt BgL_auxz00_5826;

													{	/* Cfa/closure.scm 367 */
														obj_t BgL_pairz00_4998;

														BgL_pairz00_4998 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_app1z00_2842)))->
															BgL_argsz00);
														BgL_auxz00_5826 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_4998));
													}
													BgL_f1z00_2845 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_5826))->
														BgL_variablez00);
												}
												{	/* Cfa/closure.scm 367 */

													{	/* Cfa/closure.scm 368 */
														obj_t BgL_g1166z00_2846;
														obj_t BgL_g1167z00_2847;

														{	/* Cfa/closure.scm 368 */
															obj_t BgL_pairz00_5007;

															BgL_pairz00_5007 =
																(((BgL_sfunz00_bglt) CREF(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					CREF(BgL_f0z00_2844))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1166z00_2846 = CDR(BgL_pairz00_5007);
														}
														{	/* Cfa/closure.scm 369 */
															obj_t BgL_pairz00_5013;

															BgL_pairz00_5013 =
																(((BgL_sfunz00_bglt) CREF(
																		((BgL_sfunz00_bglt)
																			(((BgL_variablez00_bglt)
																					CREF(BgL_f1z00_2845))->
																				BgL_valuez00))))->BgL_argsz00);
															BgL_g1167z00_2847 = CDR(BgL_pairz00_5013);
														}
														{
															obj_t BgL_a0z00_2849;
															obj_t BgL_a1z00_2850;
															bool_t BgL_contz00_2851;

															BgL_a0z00_2849 = BgL_g1166z00_2846;
															BgL_a1z00_2850 = BgL_g1167z00_2847;
															BgL_contz00_2851 = ((bool_t) 0);
														BgL_zc3anonymousza32898ze3z83_2852:
															{	/* Cfa/closure.scm 371 */
																bool_t BgL_testz00_5840;

																if (PAIRP(BgL_a0z00_2849))
																	{	/* Cfa/closure.scm 371 */
																		BgL_testz00_5840 = PAIRP(BgL_a1z00_2850);
																	}
																else
																	{	/* Cfa/closure.scm 371 */
																		BgL_testz00_5840 = ((bool_t) 0);
																	}
																if (BgL_testz00_5840)
																	{	/* Cfa/closure.scm 372 */
																		BgL_approxz00_bglt BgL_p0z00_2854;

																		{
																			BgL_svarzf2cinfozf2_bglt BgL_auxz00_5844;

																			{
																				obj_t BgL_auxz00_5845;

																				{	/* Cfa/closure.scm 372 */
																					BgL_objectz00_bglt BgL_auxz00_5846;

																					BgL_auxz00_5846 =
																						((BgL_objectz00_bglt)
																						((BgL_svarz00_bglt)
																							(((BgL_variablez00_bglt) CREF(
																										((BgL_variablez00_bglt)
																											CAR(BgL_a0z00_2849))))->
																								BgL_valuez00)));
																					BgL_auxz00_5845 =
																						BGL_OBJECT_WIDENING
																						(BgL_auxz00_5846);
																				}
																				BgL_auxz00_5844 =
																					((BgL_svarzf2cinfozf2_bglt)
																					BgL_auxz00_5845);
																			}
																			BgL_p0z00_2854 =
																				(((BgL_svarzf2cinfozf2_bglt)
																					CREF(BgL_auxz00_5844))->
																				BgL_approxz00);
																		}
																		{	/* Cfa/closure.scm 372 */
																			BgL_approxz00_bglt BgL_p1z00_2855;

																			{
																				BgL_svarzf2cinfozf2_bglt
																					BgL_auxz00_5855;
																				{
																					obj_t BgL_auxz00_5856;

																					{	/* Cfa/closure.scm 373 */
																						BgL_objectz00_bglt BgL_auxz00_5857;

																						BgL_auxz00_5857 =
																							((BgL_objectz00_bglt)
																							((BgL_svarz00_bglt)
																								(((BgL_variablez00_bglt) CREF(
																											((BgL_variablez00_bglt)
																												CAR(BgL_a1z00_2850))))->
																									BgL_valuez00)));
																						BgL_auxz00_5856 =
																							BGL_OBJECT_WIDENING
																							(BgL_auxz00_5857);
																					}
																					BgL_auxz00_5855 =
																						((BgL_svarzf2cinfozf2_bglt)
																						BgL_auxz00_5856);
																				}
																				BgL_p1z00_2855 =
																					(((BgL_svarzf2cinfozf2_bglt)
																						CREF(BgL_auxz00_5855))->
																					BgL_approxz00);
																			}
																			{	/* Cfa/closure.scm 373 */
																				BgL_typez00_bglt BgL_t0z00_2856;

																				BgL_t0z00_2856 =
																					(((BgL_approxz00_bglt)
																						CREF(BgL_p0z00_2854))->BgL_typez00);
																				{	/* Cfa/closure.scm 374 */
																					BgL_typez00_bglt BgL_t1z00_2857;

																					BgL_t1z00_2857 =
																						(((BgL_approxz00_bglt)
																							CREF(BgL_p1z00_2855))->
																						BgL_typez00);
																					{	/* Cfa/closure.scm 375 */

																						{	/* Cfa/closure.scm 376 */
																							bool_t BgL_testz00_5868;

																							if (
																								(((obj_t) BgL_t0z00_2856) ==
																									((obj_t) BgL_t1z00_2857)))
																								{	/* Cfa/closure.scm 376 */
																									BgL_testz00_5868 =
																										((bool_t) 1);
																								}
																							else
																								{	/* Cfa/closure.scm 376 */
																									if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t0z00_2856))
																										{	/* Cfa/closure.scm 376 */
																											BgL_testz00_5868 =
																												BGl_bigloozd2typezf3z21zztype_typez00
																												(BgL_t1z00_2857);
																										}
																									else
																										{	/* Cfa/closure.scm 376 */
																											BgL_testz00_5868 =
																												((bool_t) 0);
																										}
																								}
																							if (BgL_testz00_5868)
																								{
																									obj_t BgL_a1z00_5878;
																									obj_t BgL_a0z00_5876;

																									BgL_a0z00_5876 =
																										CDR(BgL_a0z00_2849);
																									BgL_a1z00_5878 =
																										CDR(BgL_a1z00_2850);
																									BgL_a1z00_2850 =
																										BgL_a1z00_5878;
																									BgL_a0z00_2849 =
																										BgL_a0z00_5876;
																									goto
																										BgL_zc3anonymousza32898ze3z83_2852;
																								}
																							else
																								{	/* Cfa/closure.scm 376 */
																									{	/* Cfa/closure.scm 397 */
																										obj_t BgL_arg2903z00_2861;
																										BgL_typez00_bglt
																											BgL_arg2904z00_2862;
																										BgL_arg2903z00_2861 =
																											CAR(BgL_a0z00_2849);
																										BgL_arg2904z00_2862 =
																											BGl_getzd2bigloozd2typez00zztype_cachez00
																											(BgL_t0z00_2856);
																										{	/* Cfa/closure.scm 397 */
																											BgL_variablez00_bglt
																												BgL_oz00_5041;
																											BgL_oz00_5041 =
																												((BgL_variablez00_bglt)
																												BgL_arg2903z00_2861);
																											((((BgL_variablez00_bglt)
																														CREF
																														(BgL_oz00_5041))->
																													BgL_typez00) =
																												((BgL_typez00_bglt)
																													BgL_arg2904z00_2862),
																												BUNSPEC);
																										}
																									}
																									{	/* Cfa/closure.scm 398 */
																										obj_t BgL_arg2905z00_2863;
																										BgL_typez00_bglt
																											BgL_arg2906z00_2864;
																										BgL_arg2905z00_2863 =
																											CAR(BgL_a1z00_2850);
																										BgL_arg2906z00_2864 =
																											BGl_getzd2bigloozd2typez00zztype_cachez00
																											(BgL_t1z00_2857);
																										{	/* Cfa/closure.scm 398 */
																											BgL_variablez00_bglt
																												BgL_oz00_5045;
																											BgL_oz00_5045 =
																												((BgL_variablez00_bglt)
																												BgL_arg2905z00_2863);
																											((((BgL_variablez00_bglt)
																														CREF
																														(BgL_oz00_5045))->
																													BgL_typez00) =
																												((BgL_typez00_bglt)
																													BgL_arg2906z00_2864),
																												BUNSPEC);
																										}
																									}
																									{
																										bool_t BgL_contz00_5892;
																										obj_t BgL_a1z00_5890;
																										obj_t BgL_a0z00_5888;

																										BgL_a0z00_5888 =
																											CDR(BgL_a0z00_2849);
																										BgL_a1z00_5890 =
																											CDR(BgL_a1z00_2850);
																										BgL_contz00_5892 =
																											((bool_t) 1);
																										BgL_contz00_2851 =
																											BgL_contz00_5892;
																										BgL_a1z00_2850 =
																											BgL_a1z00_5890;
																										BgL_a0z00_2849 =
																											BgL_a0z00_5888;
																										goto
																											BgL_zc3anonymousza32898ze3z83_2852;
																									}
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																else
																	{	/* Cfa/closure.scm 371 */
																		BgL__ortest_1170z00_2837 = BgL_contz00_2851;
																	}
															}
														}
													}
												}
											}
										}
									}
									if (BgL__ortest_1170z00_2837)
										{	/* Cfa/closure.scm 412 */
											BgL_arg2894z00_2836 = BgL__ortest_1170z00_2837;
										}
									else
										{	/* Cfa/closure.scm 412 */
											BgL_arg2894z00_2836 = BgL_contz00_2832;
										}
								}
								{
									bool_t BgL_contz00_5897;
									obj_t BgL_appsz00_5896;

									BgL_appsz00_5896 = BgL_arg2893z00_2835;
									BgL_contz00_5897 = BgL_arg2894z00_2836;
									BgL_contz00_2832 = BgL_contz00_5897;
									BgL_appsz00_2831 = BgL_appsz00_5896;
									goto BgL_zc3anonymousza32891ze3z83_2833;
								}
							}
					}
				}
			}
		}
	}



/* type-closures! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 417 */
			{
				BgL_appz00_bglt BgL_appz00_2893;

				if (CBOOL
					(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
					{	/* Cfa/closure.scm 432 */
						obj_t BgL_g2732z00_2885;

						BgL_g2732z00_2885 =
							BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
						{
							obj_t BgL_l2730z00_2887;

							{	/* Cfa/closure.scm 432 */
								bool_t BgL_auxz00_5900;

								BgL_l2730z00_2887 = BgL_g2732z00_2885;
							BgL_zc3anonymousza32925ze3z83_2888:
								if (PAIRP(BgL_l2730z00_2887))
									{	/* Cfa/closure.scm 432 */
										{	/* Cfa/closure.scm 432 */
											obj_t BgL_arg2927z00_2890;

											BgL_arg2927z00_2890 = CAR(BgL_l2730z00_2887);
											BgL_appz00_2893 = ((BgL_appz00_bglt) BgL_arg2927z00_2890);
											{	/* Cfa/closure.scm 421 */
												bool_t BgL_testz00_5904;

												{	/* Cfa/closure.scm 421 */
													bool_t BgL_testz00_5905;

													{
														BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_5906;

														{
															obj_t BgL_auxz00_5907;

															{	/* Cfa/closure.scm 421 */
																BgL_objectz00_bglt BgL_auxz00_5908;

																BgL_auxz00_5908 =
																	((BgL_objectz00_bglt) BgL_appz00_2893);
																BgL_auxz00_5907 =
																	BGL_OBJECT_WIDENING(BgL_auxz00_5908);
															}
															BgL_auxz00_5906 =
																((BgL_makezd2procedurezd2appz00_bglt)
																BgL_auxz00_5907);
														}
														BgL_testz00_5905 =
															(((BgL_makezd2procedurezd2appz00_bglt)
																CREF(BgL_auxz00_5906))->BgL_xz00);
													}
													if (BgL_testz00_5905)
														{	/* Cfa/closure.scm 421 */
															BgL_testz00_5904 = ((bool_t) 1);
														}
													else
														{
															BgL_makezd2procedurezd2appz00_bglt
																BgL_auxz00_5913;
															{
																obj_t BgL_auxz00_5914;

																{	/* Cfa/closure.scm 421 */
																	BgL_objectz00_bglt BgL_auxz00_5915;

																	BgL_auxz00_5915 =
																		((BgL_objectz00_bglt) BgL_appz00_2893);
																	BgL_auxz00_5914 =
																		BGL_OBJECT_WIDENING(BgL_auxz00_5915);
																}
																BgL_auxz00_5913 =
																	((BgL_makezd2procedurezd2appz00_bglt)
																	BgL_auxz00_5914);
															}
															BgL_testz00_5904 =
																(((BgL_makezd2procedurezd2appz00_bglt)
																	CREF(BgL_auxz00_5913))->BgL_tz00);
														}
												}
												if (BgL_testz00_5904)
													{	/* Cfa/closure.scm 421 */
														((bool_t) 0);
													}
												else
													{	/* Cfa/closure.scm 423 */
														BgL_variablez00_bglt BgL_varz00_2897;

														{
															BgL_varz00_bglt BgL_auxz00_5920;

															{	/* Cfa/closure.scm 423 */
																obj_t BgL_pairz00_5056;

																BgL_pairz00_5056 =
																	(((BgL_appz00_bglt) CREF(
																			((BgL_appz00_bglt) BgL_appz00_2893)))->
																	BgL_argsz00);
																BgL_auxz00_5920 =
																	((BgL_varz00_bglt) CAR(BgL_pairz00_5056));
															}
															BgL_varz00_2897 =
																(((BgL_varz00_bglt) CREF(BgL_auxz00_5920))->
																BgL_variablez00);
														}
														{	/* Cfa/closure.scm 423 */
															BgL_valuez00_bglt BgL_sfunz00_2898;

															BgL_sfunz00_2898 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_varz00_2897))->BgL_valuez00);
															{	/* Cfa/closure.scm 424 */

																{	/* Cfa/closure.scm 425 */
																	obj_t BgL_g2729z00_2899;

																	{	/* Cfa/closure.scm 429 */
																		obj_t BgL_pairz00_5065;

																		BgL_pairz00_5065 =
																			(((BgL_sfunz00_bglt) CREF(
																					((BgL_sfunz00_bglt)
																						BgL_sfunz00_2898)))->BgL_argsz00);
																		BgL_g2729z00_2899 = CDR(BgL_pairz00_5065);
																	}
																	{
																		obj_t BgL_l2727z00_2901;

																		BgL_l2727z00_2901 = BgL_g2729z00_2899;
																	BgL_zc3anonymousza32931ze3z83_2902:
																		if (PAIRP(BgL_l2727z00_2901))
																			{	/* Cfa/closure.scm 429 */
																				{	/* Cfa/closure.scm 426 */
																					obj_t BgL_az00_2904;

																					BgL_az00_2904 =
																						CAR(BgL_l2727z00_2901);
																					{	/* Cfa/closure.scm 426 */
																						BgL_approxz00_bglt BgL_pz00_2905;

																						{
																							BgL_svarzf2cinfozf2_bglt
																								BgL_auxz00_5933;
																							{
																								obj_t BgL_auxz00_5934;

																								{	/* Cfa/closure.scm 426 */
																									BgL_objectz00_bglt
																										BgL_auxz00_5935;
																									BgL_auxz00_5935 =
																										((BgL_objectz00_bglt) (
																											(BgL_svarz00_bglt) ((
																													(BgL_variablez00_bglt)
																													CREF((
																															(BgL_variablez00_bglt)
																															BgL_az00_2904)))->
																												BgL_valuez00)));
																									BgL_auxz00_5934 =
																										BGL_OBJECT_WIDENING
																										(BgL_auxz00_5935);
																								}
																								BgL_auxz00_5933 =
																									((BgL_svarzf2cinfozf2_bglt)
																									BgL_auxz00_5934);
																							}
																							BgL_pz00_2905 =
																								(((BgL_svarzf2cinfozf2_bglt)
																									CREF(BgL_auxz00_5933))->
																								BgL_approxz00);
																						}
																						{	/* Cfa/closure.scm 426 */
																							BgL_typez00_bglt BgL_tz00_2906;

																							BgL_tz00_2906 =
																								(((BgL_approxz00_bglt)
																									CREF(BgL_pz00_2905))->
																								BgL_typez00);
																							{	/* Cfa/closure.scm 427 */

																								{	/* Cfa/closure.scm 428 */
																									BgL_typez00_bglt
																										BgL_arg2933z00_2907;
																									BgL_arg2933z00_2907 =
																										BGl_getzd2bigloozd2typez00zztype_cachez00
																										(BgL_tz00_2906);
																									{	/* Cfa/closure.scm 428 */
																										BgL_variablez00_bglt
																											BgL_oz00_5078;
																										BgL_oz00_5078 =
																											((BgL_variablez00_bglt)
																											BgL_az00_2904);
																										((((BgL_variablez00_bglt)
																													CREF(BgL_oz00_5078))->
																												BgL_typez00) =
																											((BgL_typez00_bglt)
																												BgL_arg2933z00_2907),
																											BUNSPEC);
																									}
																								}
																							}
																						}
																					}
																				}
																				{
																					obj_t BgL_l2727z00_5947;

																					BgL_l2727z00_5947 =
																						CDR(BgL_l2727z00_2901);
																					BgL_l2727z00_2901 = BgL_l2727z00_5947;
																					goto
																						BgL_zc3anonymousza32931ze3z83_2902;
																				}
																			}
																		else
																			{	/* Cfa/closure.scm 429 */
																				((bool_t) 1);
																			}
																	}
																}
															}
														}
													}
											}
										}
										{
											obj_t BgL_l2730z00_5950;

											BgL_l2730z00_5950 = CDR(BgL_l2730z00_2887);
											BgL_l2730z00_2887 = BgL_l2730z00_5950;
											goto BgL_zc3anonymousza32925ze3z83_2888;
										}
									}
								else
									{	/* Cfa/closure.scm 432 */
										BgL_auxz00_5900 = ((bool_t) 1);
									}
								return BBOOL(BgL_auxz00_5900);
							}
						}
					}
				else
					{	/* Cfa/closure.scm 431 */
						return BFALSE;
					}
			}
		}
	}



/* &type-closures! */
	obj_t BGl_z62typezd2closuresz12za2zzcfa_closurez00(obj_t BgL_envz00_5204)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 417 */
			return BGl_typezd2closuresz12zc0zzcfa_closurez00();
		}
	}



/* light-access! */
	bool_t BGl_lightzd2accessz12zc0zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 437 */
			{
				obj_t BgL_l2733z00_2917;

				BgL_l2733z00_2917 = BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00;
			BgL_zc3anonymousza32940ze3z83_2918:
				if (PAIRP(BgL_l2733z00_2917))
					{	/* Cfa/closure.scm 438 */
						{	/* Cfa/closure.scm 440 */
							obj_t BgL_appz00_2920;

							BgL_appz00_2920 = CAR(BgL_l2733z00_2917);
							{	/* Cfa/closure.scm 440 */
								BgL_approxz00_bglt BgL_approxz00_2922;

								{	/* Cfa/closure.scm 441 */
									obj_t BgL_arg2952z00_2937;

									{	/* Cfa/closure.scm 441 */
										obj_t BgL_pairz00_5094;

										BgL_pairz00_5094 =
											(((BgL_appz00_bglt) CREF(
													((BgL_appz00_bglt) BgL_appz00_2920)))->BgL_argsz00);
										BgL_arg2952z00_2937 = CAR(BgL_pairz00_5094);
									}
									BgL_approxz00_2922 =
										BGl_cfaz12z12zzcfa_cfaz00(
										((BgL_nodez00_bglt) BgL_arg2952z00_2937));
								}
								{	/* Cfa/closure.scm 441 */
									obj_t BgL_alloczd2listzd2_2923;

									BgL_alloczd2listzd2_2923 =
										BGl_setzd2ze3listz31zzcfa_setz00(
										(((BgL_approxz00_bglt) CREF(BgL_approxz00_2922))->
											BgL_allocsz00));
									{	/* Cfa/closure.scm 442 */
										BgL_varz00_bglt BgL_funz00_2924;

										BgL_funz00_2924 =
											(((BgL_appz00_bglt) CREF(
													((BgL_appz00_bglt) BgL_appz00_2920)))->BgL_funz00);
										{	/* Cfa/closure.scm 443 */
											BgL_variablez00_bglt BgL_vfunz00_2925;

											BgL_vfunz00_2925 =
												(((BgL_varz00_bglt) CREF(BgL_funz00_2924))->
												BgL_variablez00);
											{	/* Cfa/closure.scm 444 */

												{	/* Cfa/closure.scm 445 */
													bool_t BgL_testz00_5967;

													if (PAIRP(BgL_alloczd2listzd2_2923))
														{	/* Cfa/closure.scm 446 */
															bool_t BgL_testz00_5970;

															{	/* Cfa/closure.scm 446 */
																obj_t BgL_arg2949z00_2935;

																BgL_arg2949z00_2935 =
																	CAR(BgL_alloczd2listzd2_2923);
																BgL_testz00_5970 =
																	BGl_isazf3zf3zz__objectz00
																	(BgL_arg2949z00_2935,
																	BGl_makezd2procedurezd2appz00zzcfa_info2z00);
															}
															if (BgL_testz00_5970)
																{	/* Cfa/closure.scm 446 */
																	BgL_testz00_5967 = ((bool_t) 0);
																}
															else
																{	/* Cfa/closure.scm 446 */
																	BgL_testz00_5967 = ((bool_t) 1);
																}
														}
													else
														{	/* Cfa/closure.scm 445 */
															BgL_testz00_5967 = ((bool_t) 1);
														}
													if (BgL_testz00_5967)
														{	/* Cfa/closure.scm 445 */
															CNST_TABLE_REF(((long) 8));
														}
													else
														{	/* Cfa/closure.scm 448 */
															BgL_appz00_bglt BgL_allocz00_2927;

															{	/* Cfa/closure.scm 448 */
																obj_t BgL_pairz00_5108;

																BgL_pairz00_5108 = BgL_alloczd2listzd2_2923;
																BgL_allocz00_2927 =
																	((BgL_appz00_bglt) CAR(BgL_pairz00_5108));
															}
															{	/* Cfa/closure.scm 449 */
																BgL_appz00_bglt BgL_i1172z00_2928;

																BgL_i1172z00_2928 =
																	((BgL_appz00_bglt) BgL_allocz00_2927);
																{	/* Cfa/closure.scm 451 */
																	bool_t BgL_testz00_5977;

																	{
																		BgL_makezd2procedurezd2appz00_bglt
																			BgL_auxz00_5978;
																		{
																			obj_t BgL_auxz00_5979;

																			{	/* Cfa/closure.scm 451 */
																				BgL_objectz00_bglt BgL_auxz00_5980;

																				BgL_auxz00_5980 =
																					((BgL_objectz00_bglt)
																					BgL_i1172z00_2928);
																				BgL_auxz00_5979 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_5980);
																			}
																			BgL_auxz00_5978 =
																				((BgL_makezd2procedurezd2appz00_bglt)
																				BgL_auxz00_5979);
																		}
																		BgL_testz00_5977 =
																			(((BgL_makezd2procedurezd2appz00_bglt)
																				CREF(BgL_auxz00_5978))->BgL_xz00);
																	}
																	if (BgL_testz00_5977)
																		{	/* Cfa/closure.scm 451 */
																			if (
																				(((obj_t) BgL_vfunz00_2925) ==
																					BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																				{	/* Cfa/closure.scm 453 */
																					BgL_variablez00_bglt BgL_vz00_5110;

																					BgL_vz00_5110 =
																						((BgL_variablez00_bglt)
																						BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_funz00_2924))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_5110), BUNSPEC);
																				}
																			else
																				{	/* Cfa/closure.scm 454 */
																					BgL_variablez00_bglt BgL_vz00_5113;

																					BgL_vz00_5113 =
																						((BgL_variablez00_bglt)
																						BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00);
																					((((BgL_varz00_bglt)
																								CREF(BgL_funz00_2924))->
																							BgL_variablez00) =
																						((BgL_variablez00_bglt)
																							BgL_vz00_5113), BUNSPEC);
																				}
																		}
																	else
																		{	/* Cfa/closure.scm 455 */
																			bool_t BgL_testz00_5992;

																			{
																				BgL_makezd2procedurezd2appz00_bglt
																					BgL_auxz00_5993;
																				{
																					obj_t BgL_auxz00_5994;

																					{	/* Cfa/closure.scm 455 */
																						BgL_objectz00_bglt BgL_auxz00_5995;

																						BgL_auxz00_5995 =
																							((BgL_objectz00_bglt)
																							BgL_i1172z00_2928);
																						BgL_auxz00_5994 =
																							BGL_OBJECT_WIDENING
																							(BgL_auxz00_5995);
																					}
																					BgL_auxz00_5993 =
																						(
																						(BgL_makezd2procedurezd2appz00_bglt)
																						BgL_auxz00_5994);
																				}
																				BgL_testz00_5992 =
																					(((BgL_makezd2procedurezd2appz00_bglt)
																						CREF(BgL_auxz00_5993))->BgL_tz00);
																			}
																			if (BgL_testz00_5992)
																				{	/* Cfa/closure.scm 455 */
																					if (
																						(((obj_t) BgL_vfunz00_2925) ==
																							BGl_za2procedurezd2refza2zd2zzcfa_closurez00))
																						{	/* Cfa/closure.scm 457 */
																							BgL_variablez00_bglt
																								BgL_vz00_5116;
																							BgL_vz00_5116 =
																								((BgL_variablez00_bglt)
																								BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00);
																							((((BgL_varz00_bglt)
																										CREF(BgL_funz00_2924))->
																									BgL_variablez00) =
																								((BgL_variablez00_bglt)
																									BgL_vz00_5116), BUNSPEC);
																						}
																					else
																						{	/* Cfa/closure.scm 458 */
																							BgL_variablez00_bglt
																								BgL_vz00_5119;
																							BgL_vz00_5119 =
																								((BgL_variablez00_bglt)
																								BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00);
																							((((BgL_varz00_bglt)
																										CREF(BgL_funz00_2924))->
																									BgL_variablez00) =
																								((BgL_variablez00_bglt)
																									BgL_vz00_5119), BUNSPEC);
																						}
																				}
																			else
																				{	/* Cfa/closure.scm 455 */
																					BFALSE;
																				}
																		}
																}
															}
														}
												}
											}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l2733z00_6007;

							BgL_l2733z00_6007 = CDR(BgL_l2733z00_2917);
							BgL_l2733z00_2917 = BgL_l2733z00_6007;
							goto BgL_zc3anonymousza32940ze3z83_2918;
						}
					}
				else
					{	/* Cfa/closure.scm 438 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* show-X-T */
	obj_t BGl_showzd2Xzd2Tz00zzcfa_closurez00(obj_t BgL_allocsz00_9)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 464 */
			{
				obj_t BgL_xpz00_2945;
				obj_t BgL_tpz00_2946;
				obj_t BgL_allocsz00_2947;

				BgL_xpz00_2945 = BNIL;
				BgL_tpz00_2946 = BNIL;
				BgL_allocsz00_2947 = BgL_allocsz00_9;
			BgL_zc3anonymousza32956ze3z83_2948:
				if (NULLP(BgL_allocsz00_2947))
					{	/* Cfa/closure.scm 475 */
						BGl_showz00zzcfa_closurez00(CNST_TABLE_REF(((long) 9)),
							BgL_xpz00_2945);
						BGl_showz00zzcfa_closurez00(CNST_TABLE_REF(((long) 10)),
							BgL_tpz00_2946);
						return BUNSPEC;
					}
				else
					{	/* Cfa/closure.scm 480 */
						BgL_appz00_bglt BgL_i1175z00_2950;

						{	/* Cfa/closure.scm 480 */
							obj_t BgL_pairz00_5132;

							BgL_pairz00_5132 = BgL_allocsz00_2947;
							BgL_i1175z00_2950 = ((BgL_appz00_bglt) CAR(BgL_pairz00_5132));
						}
						{	/* Cfa/closure.scm 482 */
							bool_t BgL_testz00_6017;

							{
								BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6018;

								{
									obj_t BgL_auxz00_6019;

									{	/* Cfa/closure.scm 482 */
										BgL_objectz00_bglt BgL_auxz00_6020;

										BgL_auxz00_6020 = ((BgL_objectz00_bglt) BgL_i1175z00_2950);
										BgL_auxz00_6019 = BGL_OBJECT_WIDENING(BgL_auxz00_6020);
									}
									BgL_auxz00_6018 =
										((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_6019);
								}
								BgL_testz00_6017 =
									(((BgL_makezd2procedurezd2appz00_bglt)
										CREF(BgL_auxz00_6018))->BgL_xz00);
							}
							if (BgL_testz00_6017)
								{	/* Cfa/closure.scm 483 */
									obj_t BgL_arg2959z00_2952;
									obj_t BgL_arg2960z00_2953;

									{	/* Cfa/closure.scm 483 */
										BgL_variablez00_bglt BgL_arg2961z00_2954;

										{
											BgL_varz00_bglt BgL_auxz00_6025;

											{	/* Cfa/closure.scm 483 */
												obj_t BgL_pairz00_5133;

												BgL_pairz00_5133 =
													(((BgL_appz00_bglt) CREF(
															((BgL_appz00_bglt) BgL_i1175z00_2950)))->
													BgL_argsz00);
												BgL_auxz00_6025 =
													((BgL_varz00_bglt) CAR(BgL_pairz00_5133));
											}
											BgL_arg2961z00_2954 =
												(((BgL_varz00_bglt) CREF(BgL_auxz00_6025))->
												BgL_variablez00);
										}
										BgL_arg2959z00_2952 =
											MAKE_PAIR(((obj_t) BgL_arg2961z00_2954), BgL_xpz00_2945);
									}
									BgL_arg2960z00_2953 = CDR(BgL_allocsz00_2947);
									{
										obj_t BgL_allocsz00_6035;
										obj_t BgL_xpz00_6034;

										BgL_xpz00_6034 = BgL_arg2959z00_2952;
										BgL_allocsz00_6035 = BgL_arg2960z00_2953;
										BgL_allocsz00_2947 = BgL_allocsz00_6035;
										BgL_xpz00_2945 = BgL_xpz00_6034;
										goto BgL_zc3anonymousza32956ze3z83_2948;
									}
								}
							else
								{	/* Cfa/closure.scm 484 */
									bool_t BgL_testz00_6036;

									{
										BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6037;

										{
											obj_t BgL_auxz00_6038;

											{	/* Cfa/closure.scm 484 */
												BgL_objectz00_bglt BgL_auxz00_6039;

												BgL_auxz00_6039 =
													((BgL_objectz00_bglt) BgL_i1175z00_2950);
												BgL_auxz00_6038 = BGL_OBJECT_WIDENING(BgL_auxz00_6039);
											}
											BgL_auxz00_6037 =
												((BgL_makezd2procedurezd2appz00_bglt) BgL_auxz00_6038);
										}
										BgL_testz00_6036 =
											(((BgL_makezd2procedurezd2appz00_bglt)
												CREF(BgL_auxz00_6037))->BgL_tz00);
									}
									if (BgL_testz00_6036)
										{	/* Cfa/closure.scm 485 */
											obj_t BgL_arg2965z00_2958;
											obj_t BgL_arg2967z00_2959;

											{	/* Cfa/closure.scm 485 */
												BgL_variablez00_bglt BgL_arg2968z00_2960;

												{
													BgL_varz00_bglt BgL_auxz00_6044;

													{	/* Cfa/closure.scm 485 */
														obj_t BgL_pairz00_5138;

														BgL_pairz00_5138 =
															(((BgL_appz00_bglt) CREF(
																	((BgL_appz00_bglt) BgL_i1175z00_2950)))->
															BgL_argsz00);
														BgL_auxz00_6044 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_5138));
													}
													BgL_arg2968z00_2960 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_6044))->
														BgL_variablez00);
												}
												BgL_arg2965z00_2958 =
													MAKE_PAIR(
													((obj_t) BgL_arg2968z00_2960), BgL_tpz00_2946);
											}
											BgL_arg2967z00_2959 = CDR(BgL_allocsz00_2947);
											{
												obj_t BgL_allocsz00_6054;
												obj_t BgL_tpz00_6053;

												BgL_tpz00_6053 = BgL_arg2965z00_2958;
												BgL_allocsz00_6054 = BgL_arg2967z00_2959;
												BgL_allocsz00_2947 = BgL_allocsz00_6054;
												BgL_tpz00_2946 = BgL_tpz00_6053;
												goto BgL_zc3anonymousza32956ze3z83_2948;
											}
										}
									else
										{
											obj_t BgL_allocsz00_6055;

											BgL_allocsz00_6055 = CDR(BgL_allocsz00_2947);
											BgL_allocsz00_2947 = BgL_allocsz00_6055;
											goto BgL_zc3anonymousza32956ze3z83_2948;
										}
								}
						}
					}
			}
		}
	}



/* show */
	bool_t BGl_showz00zzcfa_closurez00(obj_t BgL_propz00_2965,
		obj_t BgL_lz00_2966)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 471 */
			if (NULLP(BgL_lz00_2966))
				{	/* Cfa/closure.scm 466 */
					return ((bool_t) 0);
				}
			else
				{	/* Cfa/closure.scm 466 */
					{	/* Cfa/closure.scm 468 */
						obj_t BgL_arg2974z00_2969;

						BgL_arg2974z00_2969 =
							BGl_shapez00zztools_shapez00(CAR(BgL_lz00_2966));
						{	/* Cfa/closure.scm 468 */
							obj_t BgL_list2975z00_2970;

							{	/* Cfa/closure.scm 468 */
								obj_t BgL_arg2976z00_2971;

								{	/* Cfa/closure.scm 468 */
									obj_t BgL_arg2977z00_2972;

									{	/* Cfa/closure.scm 468 */
										obj_t BgL_arg2978z00_2973;

										{	/* Cfa/closure.scm 468 */
											obj_t BgL_arg2979z00_2974;

											BgL_arg2979z00_2974 =
												MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
											BgL_arg2978z00_2973 =
												MAKE_PAIR(BgL_arg2974z00_2969, BgL_arg2979z00_2974);
										}
										BgL_arg2977z00_2972 =
											MAKE_PAIR(BGl_string3255z00zzcfa_closurez00,
											BgL_arg2978z00_2973);
									}
									BgL_arg2976z00_2971 =
										MAKE_PAIR(BgL_propz00_2965, BgL_arg2977z00_2972);
								}
								BgL_list2975z00_2970 =
									MAKE_PAIR(BGl_string3256z00zzcfa_closurez00,
									BgL_arg2976z00_2971);
							}
							BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
								BgL_list2975z00_2970);
					}}
					{	/* Cfa/closure.scm 469 */
						obj_t BgL_g2737z00_2976;

						BgL_g2737z00_2976 = CDR(BgL_lz00_2966);
						{
							obj_t BgL_l2735z00_2978;

							BgL_l2735z00_2978 = BgL_g2737z00_2976;
						BgL_zc3anonymousza32981ze3z83_2979:
							if (PAIRP(BgL_l2735z00_2978))
								{	/* Cfa/closure.scm 471 */
									{	/* Cfa/closure.scm 470 */
										obj_t BgL_xz00_2981;

										BgL_xz00_2981 = CAR(BgL_l2735z00_2978);
										{	/* Cfa/closure.scm 470 */
											obj_t BgL_arg2983z00_2982;

											BgL_arg2983z00_2982 =
												BGl_shapez00zztools_shapez00(BgL_xz00_2981);
											{	/* Cfa/closure.scm 470 */
												obj_t BgL_list2984z00_2983;

												{	/* Cfa/closure.scm 470 */
													obj_t BgL_arg2985z00_2984;

													{	/* Cfa/closure.scm 470 */
														obj_t BgL_arg2986z00_2985;

														BgL_arg2986z00_2985 =
															MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
														BgL_arg2985z00_2984 =
															MAKE_PAIR(BgL_arg2983z00_2982,
															BgL_arg2986z00_2985);
													}
													BgL_list2984z00_2983 =
														MAKE_PAIR(BGl_string3257z00zzcfa_closurez00,
														BgL_arg2985z00_2984);
												}
												BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
													BgL_list2984z00_2983);
									}}}
									{
										obj_t BgL_l2735z00_6080;

										BgL_l2735z00_6080 = CDR(BgL_l2735z00_2978);
										BgL_l2735z00_2978 = BgL_l2735z00_6080;
										goto BgL_zc3anonymousza32981ze3z83_2979;
									}
								}
							else
								{	/* Cfa/closure.scm 471 */
									return ((bool_t) 1);
								}
						}
					}
				}
		}
	}



/* get-procedure-list */
	BGL_EXPORTED_DEF obj_t BGl_getzd2procedurezd2listz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 499 */
			return BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
		}
	}



/* &get-procedure-list */
	obj_t BGl_z62getzd2procedurezd2listz62zzcfa_closurez00(obj_t BgL_envz00_5205)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 499 */
			return BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00;
		}
	}



/* add-funcall! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2funcallz12zc0zzcfa_closurez00(BgL_nodez00_bglt BgL_astz00_10)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 505 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 506 */
					return (BGl_za2funcallzd2listza2zd2zzcfa_closurez00 =
						MAKE_PAIR(
							((obj_t) BgL_astz00_10),
							BGl_za2funcallzd2listza2zd2zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 506 */
					return BFALSE;
				}
		}
	}



/* &add-funcall! */
	obj_t BGl_z62addzd2funcallz12za2zzcfa_closurez00(obj_t BgL_envz00_5206,
		obj_t BgL_astz00_5207)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 505 */
			return
				BGl_addzd2funcallz12zc0zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_5207));
		}
	}



/* add-make-procedure! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_11)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 512 */
			return (BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00 =
				MAKE_PAIR(
					((obj_t) BgL_astz00_11),
					BGl_za2makezd2procedurezd2listza2z00zzcfa_closurez00), BUNSPEC);
		}
	}



/* &add-make-procedure! */
	obj_t BGl_z62addzd2makezd2procedurez12z70zzcfa_closurez00(obj_t
		BgL_envz00_5208, obj_t BgL_astz00_5209)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 512 */
			return
				BGl_addzd2makezd2procedurez12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_5209));
		}
	}



/* add-procedure-ref! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(BgL_nodez00_bglt
		BgL_astz00_12)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 518 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 2)))
				{	/* Cfa/closure.scm 519 */
					return (BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00 =
						MAKE_PAIR(
							((obj_t) BgL_astz00_12),
							BGl_za2procedurezd2refzd2listza2z00zzcfa_closurez00), BUNSPEC);
				}
			else
				{	/* Cfa/closure.scm 519 */
					return BFALSE;
				}
		}
	}



/* &add-procedure-ref! */
	obj_t BGl_z62addzd2procedurezd2refz12z70zzcfa_closurez00(obj_t
		BgL_envz00_5210, obj_t BgL_astz00_5211)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 518 */
			return
				BGl_addzd2procedurezd2refz12z12zzcfa_closurez00(
				((BgL_nodez00_bglt) BgL_astz00_5211));
		}
	}



/* approx-procedure-el? */
	BGL_EXPORTED_DEF bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt
		BgL_approxz00_13)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 525 */
			{	/* Cfa/closure.scm 526 */
				BgL_typez00_bglt BgL_typez00_2991;
				obj_t BgL_alloczd2listzd2_2992;

				BgL_typez00_2991 =
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_13))->BgL_typez00);
				BgL_alloczd2listzd2_2992 =
					BGl_setzd2ze3listz31zzcfa_setz00(
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_13))->BgL_allocsz00));
				if (
					(((obj_t) BgL_typez00_2991) == BGl_za2procedureza2z00zztype_cachez00))
					{	/* Cfa/closure.scm 528 */
						if (PAIRP(BgL_alloczd2listzd2_2992))
							{	/* Cfa/closure.scm 529 */
								if (NULLP(CDR(BgL_alloczd2listzd2_2992)))
									{	/* Cfa/closure.scm 531 */
										bool_t BgL_testz00_6111;

										{	/* Cfa/closure.scm 531 */
											obj_t BgL_arg2991z00_2998;

											BgL_arg2991z00_2998 = CAR(BgL_alloczd2listzd2_2992);
											BgL_testz00_6111 =
												BGl_isazf3zf3zz__objectz00(BgL_arg2991z00_2998,
												BGl_makezd2procedurezd2appz00zzcfa_info2z00);
										}
										if (BgL_testz00_6111)
											{
												BgL_makezd2procedurezd2appz00_bglt BgL_auxz00_6114;

												{
													obj_t BgL_auxz00_6115;

													{	/* Cfa/closure.scm 532 */
														BgL_objectz00_bglt BgL_auxz00_6116;

														BgL_auxz00_6116 =
															((BgL_objectz00_bglt)
															((BgL_appz00_bglt)
																CAR(BgL_alloczd2listzd2_2992)));
														BgL_auxz00_6115 =
															BGL_OBJECT_WIDENING(BgL_auxz00_6116);
													}
													BgL_auxz00_6114 =
														((BgL_makezd2procedurezd2appz00_bglt)
														BgL_auxz00_6115);
												}
												return
													(((BgL_makezd2procedurezd2appz00_bglt)
														CREF(BgL_auxz00_6114))->BgL_xz00);
											}
										else
											{	/* Cfa/closure.scm 531 */
												return ((bool_t) 0);
											}
									}
								else
									{	/* Cfa/closure.scm 530 */
										return ((bool_t) 0);
									}
							}
						else
							{	/* Cfa/closure.scm 529 */
								return ((bool_t) 0);
							}
					}
				else
					{	/* Cfa/closure.scm 528 */
						return ((bool_t) 0);
					}
			}
		}
	}



/* &approx-procedure-el? */
	obj_t BGl_z62approxzd2procedurezd2elzf3z91zzcfa_closurez00(obj_t
		BgL_envz00_5212, obj_t BgL_approxz00_5213)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 525 */
			return
				BBOOL(BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
					((BgL_approxz00_bglt) BgL_approxz00_5213)));
		}
	}



/* start-closure-cache */
	obj_t BGl_startzd2closurezd2cachez00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 549 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 11)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 13)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 14)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 15)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 16)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 17)),
				CNST_TABLE_REF(((long) 12)));
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 18)),
				CNST_TABLE_REF(((long) 12)));
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BGl_getzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 19)),
					CNST_TABLE_REF(((long) 12))), BUNSPEC);
		}
	}



/* stop-closure-cache */
	BGL_EXPORTED_DEF obj_t BGl_stopzd2closurezd2cachez00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 562 */
			BGl_za2procedurezd2refza2zd2zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2setz12za2zc0zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2lzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2refza2z00zzcfa_closurez00 = BFALSE;
			BGl_za2procedurezd2elzd2setz12za2z12zzcfa_closurez00 = BFALSE;
			BGl_za2makezd2elzd2procedureza2z00zzcfa_closurez00 = BFALSE;
			return (BGl_za2makezd2lzd2procedureza2z00zzcfa_closurez00 =
				BFALSE, BUNSPEC);
		}
	}



/* &stop-closure-cache */
	obj_t BGl_z62stopzd2closurezd2cachez62zzcfa_closurez00(obj_t BgL_envz00_5214)
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 562 */
			return BGl_stopzd2closurezd2cachez00zzcfa_closurez00();
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_closurez00()
	{
		AN_OBJECT;
		{	/* Cfa/closure.scm 25 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string3258z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string3258z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3258z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string3258z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3258z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string3258z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3258z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string3258z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string3258z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3258z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3258z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string3258z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string3258z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string3258z00zzcfa_closurez00));
			BGl_modulezd2initializa7ationz75zzcfa_ltypez00(((long) 315872512),
				BSTRING_TO_STRING(BGl_string3258z00zzcfa_closurez00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_typez00(((long) 235802177),
				BSTRING_TO_STRING(BGl_string3258z00zzcfa_closurez00));
		}
	}

#ifdef __cplusplus
}
#endif
