/*===========================================================================*/
/*   (Cfa/specialize.scm)                                                    */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/specialize.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_specializa7edzd2globalz75_bgl
	{
		obj_t BgL_fixz00;
	}                                *BgL_specializa7edzd2globalz75_bglt;


	static obj_t BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BUNSPEC;
	static BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t
		BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static BgL_jumpzd2exzd2itz00_bglt
		BGl_z62patchz12zd2jumpzd2exzd2it2036za2zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_globalz00_bglt
		BGl_z62zc3anonymousza32251ze3ze1zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7();
	static BgL_makezd2boxzd2_bglt
		BGl_z62patchz12zd2makezd2box2039z70zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_boxzd2setz12zc0_bglt
		BGl_z62patchz12zd2boxzd2setz122041z62zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_za2brealza2z00zztype_cachez00;
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static BgL_letzd2funzd2_bglt
		BGl_z62patchz12zd2letzd2fun2030z70zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_castz00_bglt
		BGl_z62patchz12zd2cast2020za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
	static obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
	static BgL_setqz00_bglt
		BGl_z62patchz12zd2setq2022za2zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_appz00_bglt
		BGl_z62patchz12zd2app2045za2zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static BgL_setzd2exzd2itz00_bglt
		BGl_z62patchz12zd2setzd2exzd2it2034za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t
		BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7 =
		BUNSPEC;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	static obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BUNSPEC;
	static obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt);
	static BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt);
	static obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_z62patchz12zd2letzd2var2032z70zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2closure2008za2zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_za2arithmeticzd2overflowza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static BgL_atomz00_bglt
		BGl_z62patchz12zd2atom2002za2zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_selectz00_bglt
		BGl_z62patchz12zd2select2028za2zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_appzd2lyzd2_bglt
		BGl_z62patchz12zd2appzd2ly2014z70zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t,
		obj_t);
	static BgL_conditionalz00_bglt
		BGl_z62patchz12zd2conditional2024za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 = BUNSPEC;
	static BgL_externz00_bglt
		BGl_z62patchz12zd2extern2018za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static BgL_varz00_bglt
		BGl_z62patchz12zd2var2006za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7();
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	extern obj_t
		BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	static bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
	static obj_t BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_za2realza2z00zztype_cachez00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static BgL_syncz00_bglt
		BGl_z62patchz12zd2sync2012za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 =
		BUNSPEC;
	static BgL_failz00_bglt
		BGl_z62patchz12zd2fail2026za2zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	static obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static BgL_sequencez00_bglt
		BGl_z62patchz12zd2sequence2010za2zzcfa_specializa7eza7(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt);
	static bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7();
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 = BUNSPEC;
	static BgL_funcallz00_bglt
		BGl_z62patchz12zd2funcall2016za2zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62patchz121999z70zzcfa_specializa7eza7(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
	static BgL_kwotez00_bglt
		BGl_z62patchz12zd2kwote2004za2zzcfa_specializa7eza7(obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2246z62zzcfa_specializa7eza7(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2249z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2252z62zzcfa_specializa7eza7(obj_t,
		obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2259z62zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t BGl_z62lambda2260z62zzcfa_specializa7eza7(obj_t, obj_t, obj_t);
	static BgL_boxzd2refzd2_bglt
		BGl_z62patchz12zd2boxzd2ref2043z70zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t
		BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2bintza2z00zztype_cachez00;
	static obj_t BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7(obj_t);
	extern obj_t BGl_za2bcharza2z00zztype_cachez00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
		BUNSPEC;
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t);
	static obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t, obj_t);
	static obj_t __cnst[14];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2operatorzf3zd2envzf3zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d22490z00,
		BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2452z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2260za7622491z00,
		BGl_z62lambda2260z62zzcfa_specializa7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2453z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2259za7622492z00,
		BGl_z62lambda2259z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2454z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2252za7622493z00,
		BGl_z62lambda2252z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2455z00zzcfa_specializa7eza7,
		BgL_bgl_za762za7c3anonymousza72494za7,
		BGl_z62zc3anonymousza32251ze3ze1zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2456z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2249za7622495z00,
		BGl_z62lambda2249z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2457z00zzcfa_specializa7eza7,
		BgL_bgl_za762lambda2246za7622496z00,
		BGl_z62lambda2246z62zzcfa_specializa7eza7, 0L, BUNSPEC, 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2459z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza7121999za72497za7,
		BGl_z62patchz121999z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2462z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2at2498za7,
		BGl_z62patchz12zd2atom2002za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2464z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2kw2499za7,
		BGl_z62patchz12zd2kwote2004za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2465z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2va2500za7,
		BGl_z62patchz12zd2var2006za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2466z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2cl2501za7,
		BGl_z62patchz12zd2closure2008za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2467z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2502za7,
		BGl_z62patchz12zd2sequence2010za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2468z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2sy2503za7,
		BGl_z62patchz12zd2sync2012za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2469z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap2504za7,
		BGl_z62patchz12zd2appzd2ly2014z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2470z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fu2505za7,
		BGl_z62patchz12zd2funcall2016za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2471z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ex2506za7,
		BGl_z62patchz12zd2extern2018za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2472z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ca2507za7,
		BGl_z62patchz12zd2cast2020za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2473z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2508za7,
		BGl_z62patchz12zd2setq2022za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2474z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2co2509za7,
		BGl_z62patchz12zd2conditional2024za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2475z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2fa2510za7,
		BGl_z62patchz12zd2fail2026za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2476z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2511za7,
		BGl_z62patchz12zd2select2028za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2477z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le2512za7,
		BGl_z62patchz12zd2letzd2fun2030z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2478z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2le2513za7,
		BGl_z62patchz12zd2letzd2var2032z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2479z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2se2514za7,
		BGl_z62patchz12zd2setzd2exzd2it2034za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2480z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ju2515za7,
		BGl_z62patchz12zd2jumpzd2exzd2it2036za2zzcfa_specializa7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2481z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ma2516za7,
		BGl_z62patchz12zd2makezd2box2039z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2482z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo2517za7,
		BGl_z62patchz12zd2boxzd2setz122041z62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2483z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2bo2518za7,
		BGl_z62patchz12zd2boxzd2ref2043z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2484z00zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za7d2ap2519za7,
		BGl_z62patchz12zd2app2045za2zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_specializa7ez12zd2envz67zzcfa_specializa7eza7,
		BgL_bgl_za762specializa7a7eza72520za7,
		BGl_z62specializa7ez12zd7zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_arithmeticzd2speczd2typeszd2envzd2zzcfa_specializa7eza7,
		BgL_bgl_za762arithmeticza7d22521z00,
		BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2438z00zzcfa_specializa7eza7,
		BgL_bgl_string2438za700za7za7c2522za7, "arithmetic-spec-types", 21);
	      DEFINE_STRING(BGl_string2439z00zzcfa_specializa7eza7,
		BgL_bgl_string2439za700za7za7c2523za7, "Null specification for", 22);
	      DEFINE_STRING(BGl_string2440z00zzcfa_specializa7eza7,
		BgL_bgl_string2440za700za7za7c2524za7, "   . Specializing", 17);
	      DEFINE_STRING(BGl_string2441z00zzcfa_specializa7eza7,
		BgL_bgl_string2441za700za7za7c2525za7, ")\n", 2);
	      DEFINE_STRING(BGl_string2442z00zzcfa_specializa7eza7,
		BgL_bgl_string2442za700za7za7c2526za7, ": ", 2);
	      DEFINE_STRING(BGl_string2443z00zzcfa_specializa7eza7,
		BgL_bgl_string2443za700za7za7c2527za7, "        (-> ", 12);
	      DEFINE_STRING(BGl_string2444z00zzcfa_specializa7eza7,
		BgL_bgl_string2444za700za7za7c2528za7, "        (eq? ", 13);
	      DEFINE_STRING(BGl_string2445z00zzcfa_specializa7eza7,
		BgL_bgl_string2445za700za7za7c2529za7, "add-specialized-type!", 21);
	      DEFINE_STRING(BGl_string2446z00zzcfa_specializa7eza7,
		BgL_bgl_string2446za700za7za7c2530za7, "Unspecialized type", 18);
	      DEFINE_STRING(BGl_string2447z00zzcfa_specializa7eza7,
		BgL_bgl_string2447za700za7za7c2531za7, "install-specialize", 18);
	      DEFINE_STRING(BGl_string2448z00zzcfa_specializa7eza7,
		BgL_bgl_string2448za700za7za7c2532za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string2449z00zzcfa_specializa7eza7,
		BgL_bgl_string2449za700za7za7c2533za7, " -- ", 4);
	      DEFINE_STRING(BGl_string2450z00zzcfa_specializa7eza7,
		BgL_bgl_string2450za700za7za7c2534za7, "Can't find global", 17);
	      DEFINE_STRING(BGl_string2451z00zzcfa_specializa7eza7,
		BgL_bgl_string2451za700za7za7c2535za7, "install-specialize!", 19);
	      DEFINE_STRING(BGl_string2458z00zzcfa_specializa7eza7,
		BgL_bgl_string2458za700za7za7c2536za7, "", 0);
	      DEFINE_STRING(BGl_string2460z00zzcfa_specializa7eza7,
		BgL_bgl_string2460za700za7za7c2537za7, "patch!1999", 10);
	      DEFINE_STRING(BGl_string2461z00zzcfa_specializa7eza7,
		BgL_bgl_string2461za700za7za7c2538za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2463z00zzcfa_specializa7eza7,
		BgL_bgl_string2463za700za7za7c2539za7, "patch!", 6);
	      DEFINE_STRING(BGl_string2485z00zzcfa_specializa7eza7,
		BgL_bgl_string2485za700za7za7c2540za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2486z00zzcfa_specializa7eza7,
		BgL_bgl_string2486za700za7za7c2541za7, "cfa_specialize", 14);
	      DEFINE_STRING(BGl_string2487z00zzcfa_specializa7eza7,
		BgL_bgl_string2487za700za7za7c2542za7,
		"patch!1999 _ cfa_specialize specialized-global obj fix done c-eq? c-boxed-eq? foreign __r4_numbers_6_5_flonum __r4_numbers_6_5_fixnum ((2+ (2+ __r4_numbers_6_5) (+fl __r4_numbers_6_5_flonum) (+fx __r4_numbers_6_5_fixnum)) (2- (2- __r4_numbers_6_5) (-fl __r4_numbers_6_5_flonum) (-fx __r4_numbers_6_5_fixnum)) (2* (2* __r4_numbers_6_5) (*fl __r4_numbers_6_5_flonum) (*fx __r4_numbers_6_5_fixnum)) (abs (abs __r4_numbers_6_5) (absfl __r4_numbers_6_5_flonum) (absfx __r4_numbers_6_5_fixnum))) ((2+ (2+ __r4_numbers_6_5) (+fl __r4_numbers_6_5_flonum)) (2- (2- __r4_numbers_6_5) (-fl __r4_numbers_6_5_flonum)) (2* (2* __r4_numbers_6_5) (*fl __r4_numbers_6_5_flonum)) (2/ (2/ __r4_numbers_6_5) (/fl __r4_numbers_6_5_flonum)) (abs (abs __r4_numbers_6_5) (absfl __r4_numbers_6_5_flonum)) (c-eq? (c-eq? foreign) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2= (2= __r4_numbers_6_5) (=fx __r4_numbers_6_5_fixnum) (=fl __r4_numbers_6_5_flonum)) (2< (2< __r4_numbers_6_5) (<fx __r4_numbers_6_5_fixnum) (<fl __r4_numbers"
		"_6_5_flonum)) (2> (2> __r4_numbers_6_5) (>fx __r4_numbers_6_5_fixnum) (>fl __r4_numbers_6_5_flonum)) (2<= (2<= __r4_numbers_6_5) (<=fx __r4_numbers_6_5_fixnum) (<=fl __r4_numbers_6_5_flonum)) (2>= (2>= __r4_numbers_6_5) (>=fx __r4_numbers_6_5_fixnum) (>=fl __r4_numbers_6_5_flonum)) (zero? (zero? __r4_numbers_6_5) (zerofx? __r4_numbers_6_5_fixnum) (zerofl? __r4_numbers_6_5_flonum)) (positive? (positive? __r4_numbers_6_5) (positivefx? __r4_numbers_6_5_fixnum) (positivefl? __r4_numbers_6_5_flonum)) (negative? (negative? __r4_numbers_6_5) (negativefx? __r4_numbers_6_5_fixnum) (negativefl? __r4_numbers_6_5_flonum)) (log (log __r4_numbers_6_5) (logfl __r4_numbers_6_5_flonum)) (exp (exp __r4_numbers_6_5) (expfl __r4_numbers_6_5_flonum)) (sin (sin __r4_numbers_6_5) (sinfl __r4_numbers_6_5_flonum)) (cos (cos __r4_numbers_6_5) (cosfl __r4_numbers_6_5_flonum)) (tan (tan __r4_numbers_6_5) (tanfl __r4_numbers_6_5_flonum)) (atan (atan __r4_numbers_6_5) (atanfl __r4_numbers_6_5_flonum)) (asin (asin __r4_numbers_6_5) (asinfl"
		" __r4_numbers_6_5_flonum)) (acos (acos __r4_numbers_6_5) (acosfl __r4_numbers_6_5_flonum)) (sqrt (sqrt __r4_numbers_6_5) (sqrtfl __r4_numbers_6_5_flonum))) ",
		2204);
	      DEFINE_STATIC_BGL_GENERIC(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
		BgL_bgl_za762patchza712za770za7za72543za7,
		BGl_z62patchz12z70zzcfa_specializa7eza7, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_specializa7eza7(long
		BgL_checksumz00_3297, char *BgL_fromz00_3298)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7))
				{
					BGl_requirezd2initializa7ationz75zzcfa_specializa7eza7 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_cnstzd2initzd2zzcfa_specializa7eza7();
					BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7();
					BGl_objectzd2initzd2zzcfa_specializa7eza7();
					BGl_genericzd2initzd2zzcfa_specializa7eza7();
					BGl_methodzd2initzd2zzcfa_specializa7eza7();
					BGl_toplevelzd2initzd2zzcfa_specializa7eza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_specialize");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_specialize");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 19 */
				obj_t BgL_cportz00_3286;

				BgL_cportz00_3286 =
					bgl_open_input_string(BGl_string2487z00zzcfa_specializa7eza7,
					(int) (((long) 0)));
				{
					long BgL_iz00_3287;

					BgL_iz00_3287 = ((long) 13);
				BgL_loopz00_3288:
					if ((BgL_iz00_3287 == ((long) -1)))
						{	/* Cfa/specialize.scm 19 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/specialize.scm 19 */
							{	/* Cfa/specialize.scm 19 */
								obj_t BgL_arg2489z00_3290;

								{	/* Cfa/specialize.scm 19 */

									{	/* Cfa/specialize.scm 19 */
										obj_t BgL_locationz00_3292;

										BgL_locationz00_3292 = BBOOL(((bool_t) 0));
										{	/* Cfa/specialize.scm 19 */

											BgL_arg2489z00_3290 =
												BGl_readz00zz__readerz00(BgL_cportz00_3286,
												BgL_locationz00_3292);
										}
									}
								}
								{	/* Cfa/specialize.scm 19 */
									int BgL_auxz00_3321;

									BgL_auxz00_3321 = (int) (BgL_iz00_3287);
									CNST_TABLE_SET(BgL_auxz00_3321, BgL_arg2489z00_3290);
							}}
							{	/* Cfa/specialize.scm 19 */
								int BgL_auxz00_3293;

								BgL_auxz00_3293 = (int) ((BgL_iz00_3287 - ((long) 1)));
								{
									long BgL_iz00_3326;

									BgL_iz00_3326 = (long) (BgL_auxz00_3293);
									BgL_iz00_3287 = BgL_iz00_3326;
									goto BgL_loopz00_3288;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 = BFALSE;
			BGl_za2specializa7ationszd2sanszd2overflowza2za7zzcfa_specializa7eza7 =
				CNST_TABLE_REF(((long) 0));
			BGl_za2specializa7ationszd2overflowza2z75zzcfa_specializa7eza7 =
				CNST_TABLE_REF(((long) 1));
			BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7 = BNIL;
			BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 = BUNSPEC;
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzcfa_specializa7eza7(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1461;

				BgL_headz00_1461 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1462;
					obj_t BgL_tailz00_1463;

					BgL_prevz00_1462 = BgL_headz00_1461;
					BgL_tailz00_1463 = BgL_l1z00_1;
				BgL_loopz00_1464:
					if (PAIRP(BgL_tailz00_1463))
						{
							obj_t BgL_newzd2prevzd2_1466;

							BgL_newzd2prevzd2_1466 =
								MAKE_PAIR(CAR(BgL_tailz00_1463), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1462, BgL_newzd2prevzd2_1466);
							{
								obj_t BgL_tailz00_3337;
								obj_t BgL_prevz00_3336;

								BgL_prevz00_3336 = BgL_newzd2prevzd2_1466;
								BgL_tailz00_3337 = CDR(BgL_tailz00_1463);
								BgL_tailz00_1463 = BgL_tailz00_3337;
								BgL_prevz00_1462 = BgL_prevz00_3336;
								goto BgL_loopz00_1464;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1461);
				}
			}
		}
	}



/* specialize! */
	BGL_EXPORTED_DEF obj_t BGl_specializa7ez12zb5zzcfa_specializa7eza7(obj_t
		BgL_globalsz00_84)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 44 */
			if (BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7())
				{	/* Cfa/specialize.scm 45 */
					{	/* Cfa/specialize.scm 47 */
						obj_t BgL_g1979z00_1516;

						BgL_g1979z00_1516 =
							BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
						{
							obj_t BgL_l1977z00_1518;

							BgL_l1977z00_1518 = BgL_g1979z00_1516;
						BgL_zc3anonymousza32053ze3z83_1519:
							if (PAIRP(BgL_l1977z00_1518))
								{	/* Cfa/specialize.scm 47 */
									BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(CAR
										(BgL_l1977z00_1518));
									{
										obj_t BgL_l1977z00_3347;

										BgL_l1977z00_3347 = CDR(BgL_l1977z00_1518);
										BgL_l1977z00_1518 = BgL_l1977z00_3347;
										goto BgL_zc3anonymousza32053ze3z83_1519;
									}
								}
							else
								{	/* Cfa/specialize.scm 47 */
									((bool_t) 1);
								}
						}
					}
					BGl_patchzd2treez12zc0zzcfa_specializa7eza7(BgL_globalsz00_84);
					BGl_showzd2specializa7ez75zzcfa_specializa7eza7();
					BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7();
				}
			else
				{	/* Cfa/specialize.scm 45 */
					BFALSE;
				}
			return BgL_globalsz00_84;
		}
	}



/* &specialize! */
	obj_t BGl_z62specializa7ez12zd7zzcfa_specializa7eza7(obj_t BgL_envz00_3170,
		obj_t BgL_globalsz00_3171)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 44 */
			return BGl_specializa7ez12zb5zzcfa_specializa7eza7(BgL_globalsz00_3171);
		}
	}



/* arithmetic-operator? */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_85)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 56 */
			{	/* Cfa/specialize.scm 58 */
				obj_t BgL_cellz00_1525;

				{	/* Cfa/specialize.scm 58 */
					obj_t BgL_arg2060z00_1530;
					obj_t BgL_arg2061z00_1531;

					BgL_arg2060z00_1530 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_globalz00_85)))->BgL_idz00);
					BgL_arg2061z00_1531 =
						BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
					BgL_cellz00_1525 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2060z00_1530,
						BgL_arg2061z00_1531);
				}
				if (PAIRP(BgL_cellz00_1525))
					{	/* Cfa/specialize.scm 59 */
						bool_t BgL_auxz00_3359;

						{	/* Cfa/specialize.scm 59 */
							obj_t BgL_auxz00_3360;

							{	/* Cfa/specialize.scm 59 */
								obj_t BgL_pairz00_2846;

								BgL_pairz00_2846 = CAR(CDR(BgL_cellz00_1525));
								BgL_auxz00_3360 = CAR(CDR(BgL_pairz00_2846));
							}
							BgL_auxz00_3359 =
								(BgL_auxz00_3360 ==
								(((BgL_globalz00_bglt) CREF(BgL_globalz00_85))->BgL_modulez00));
						}
						return BBOOL(BgL_auxz00_3359);
					}
				else
					{	/* Cfa/specialize.scm 59 */
						return BFALSE;
					}
			}
		}
	}



/* &arithmetic-operator? */
	obj_t BGl_z62arithmeticzd2operatorzf3z43zzcfa_specializa7eza7(obj_t
		BgL_envz00_3172, obj_t BgL_globalz00_3173)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 56 */
			return
				BGl_arithmeticzd2operatorzf3z21zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_3173));
		}
	}



/* arithmetic-spec-types */
	BGL_EXPORTED_DEF obj_t
		BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(BgL_globalz00_bglt
		BgL_globalz00_86)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 67 */
			{	/* Cfa/specialize.scm 69 */
				obj_t BgL_cellz00_1533;

				{	/* Cfa/specialize.scm 69 */
					obj_t BgL_arg2078z00_1556;
					obj_t BgL_arg2079z00_1557;

					BgL_arg2078z00_1556 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_globalz00_86)))->BgL_idz00);
					BgL_arg2079z00_1557 =
						BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7();
					BgL_cellz00_1533 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg2078z00_1556,
						BgL_arg2079z00_1557);
				}
				if (PAIRP(BgL_cellz00_1533))
					{	/* Cfa/specialize.scm 72 */
						obj_t BgL_g1176z00_1535;

						BgL_g1176z00_1535 = CDR(CDR(BgL_cellz00_1533));
						{
							obj_t BgL_specz00_1538;
							obj_t BgL_typesz00_1539;

							BgL_specz00_1538 = BgL_g1176z00_1535;
							BgL_typesz00_1539 = BNIL;
						BgL_zc3anonymousza32063ze3z83_1540:
							if (NULLP(BgL_specz00_1538))
								{	/* Cfa/specialize.scm 75 */
									if (NULLP(BgL_typesz00_1539))
										{	/* Cfa/specialize.scm 79 */
											obj_t BgL_arg2066z00_1543;

											BgL_arg2066z00_1543 =
												BGl_shapez00zztools_shapez00(
												((obj_t) BgL_globalz00_86));
											return
												BGl_internalzd2errorzd2zztools_errorz00
												(BGl_string2438z00zzcfa_specializa7eza7,
												BGl_string2439z00zzcfa_specializa7eza7,
												BgL_arg2066z00_1543);
										}
									else
										{	/* Cfa/specialize.scm 76 */
											return BgL_typesz00_1539;
										}
								}
							else
								{	/* Cfa/specialize.scm 81 */
									bool_t BgL_testz00_3385;

									if (CBOOL
										(BGl_za2optimzd2cfazd2fixnumzd2arithmeticzf3za2z21zzengine_paramz00))
										{	/* Cfa/specialize.scm 82 */
											obj_t BgL_auxz00_3388;

											{	/* Cfa/specialize.scm 82 */
												obj_t BgL_pairz00_2861;

												BgL_pairz00_2861 = CAR(BgL_specz00_1538);
												BgL_auxz00_3388 = CAR(CDR(BgL_pairz00_2861));
											}
											BgL_testz00_3385 =
												(BgL_auxz00_3388 == CNST_TABLE_REF(((long) 2)));
										}
									else
										{	/* Cfa/specialize.scm 81 */
											BgL_testz00_3385 = ((bool_t) 0);
										}
									if (BgL_testz00_3385)
										{	/* Cfa/specialize.scm 83 */
											obj_t BgL_arg2068z00_1545;
											obj_t BgL_arg2069z00_1546;

											BgL_arg2068z00_1545 = CDR(BgL_specz00_1538);
											BgL_arg2069z00_1546 =
												MAKE_PAIR(BGl_za2longza2z00zztype_cachez00,
												BgL_typesz00_1539);
											{
												obj_t BgL_typesz00_3397;
												obj_t BgL_specz00_3396;

												BgL_specz00_3396 = BgL_arg2068z00_1545;
												BgL_typesz00_3397 = BgL_arg2069z00_1546;
												BgL_typesz00_1539 = BgL_typesz00_3397;
												BgL_specz00_1538 = BgL_specz00_3396;
												goto BgL_zc3anonymousza32063ze3z83_1540;
											}
										}
									else
										{	/* Cfa/specialize.scm 84 */
											bool_t BgL_testz00_3398;

											if (CBOOL
												(BGl_za2optimzd2cfazd2flonumzd2arithmeticzf3za2z21zzengine_paramz00))
												{	/* Cfa/specialize.scm 85 */
													obj_t BgL_auxz00_3401;

													{	/* Cfa/specialize.scm 85 */
														obj_t BgL_pairz00_2867;

														BgL_pairz00_2867 = CAR(BgL_specz00_1538);
														BgL_auxz00_3401 = CAR(CDR(BgL_pairz00_2867));
													}
													BgL_testz00_3398 =
														(BgL_auxz00_3401 == CNST_TABLE_REF(((long) 3)));
												}
											else
												{	/* Cfa/specialize.scm 84 */
													BgL_testz00_3398 = ((bool_t) 0);
												}
											if (BgL_testz00_3398)
												{	/* Cfa/specialize.scm 86 */
													obj_t BgL_arg2071z00_1548;
													obj_t BgL_arg2072z00_1549;

													BgL_arg2071z00_1548 = CDR(BgL_specz00_1538);
													BgL_arg2072z00_1549 =
														MAKE_PAIR(BGl_za2realza2z00zztype_cachez00,
														BgL_typesz00_1539);
													{
														obj_t BgL_typesz00_3410;
														obj_t BgL_specz00_3409;

														BgL_specz00_3409 = BgL_arg2071z00_1548;
														BgL_typesz00_3410 = BgL_arg2072z00_1549;
														BgL_typesz00_1539 = BgL_typesz00_3410;
														BgL_specz00_1538 = BgL_specz00_3409;
														goto BgL_zc3anonymousza32063ze3z83_1540;
													}
												}
											else
												{
													obj_t BgL_specz00_3411;

													BgL_specz00_3411 = CDR(BgL_specz00_1538);
													BgL_specz00_1538 = BgL_specz00_3411;
													goto BgL_zc3anonymousza32063ze3z83_1540;
												}
										}
								}
						}
					}
				else
					{	/* Cfa/specialize.scm 70 */
						return BNIL;
					}
			}
		}
	}



/* &arithmetic-spec-types */
	obj_t BGl_z62arithmeticzd2speczd2typesz62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3174, obj_t BgL_globalz00_3175)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 67 */
			return
				BGl_arithmeticzd2speczd2typesz00zzcfa_specializa7eza7(
				((BgL_globalz00_bglt) BgL_globalz00_3175));
		}
	}



/* get-specializations */
	obj_t BGl_getzd2specializa7ationsz75zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 93 */
			if (CBOOL(BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7))
				{	/* Cfa/specialize.scm 95 */
					return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
				}
			else
				{	/* Cfa/specialize.scm 95 */
					if (CBOOL(BGl_za2arithmeticzd2overflowza2zd2zzengine_paramz00))
						{	/* Cfa/specialize.scm 98 */
							BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 =
								CNST_TABLE_REF(((long) 0));
							return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
						}
					else
						{	/* Cfa/specialize.scm 98 */
							BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7 =
								BGl_appendzd221011zd2zzcfa_specializa7eza7(CNST_TABLE_REF((
										(long) 1)), CNST_TABLE_REF(((long) 0)));
							return BGl_za2specializa7ationsza2za7zzcfa_specializa7eza7;
						}
				}
		}
	}



/* specialize-optimization? */
	bool_t BGl_specializa7ezd2optimiza7ationzf3z21zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 192 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
				{	/* Cfa/specialize.scm 193 */
					if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
						{	/* Cfa/specialize.scm 193 */
							return ((bool_t) 0);
						}
					else
						{	/* Cfa/specialize.scm 193 */
							return ((bool_t) 1);
						}
				}
			else
				{	/* Cfa/specialize.scm 193 */
					return ((bool_t) 0);
				}
		}
	}



/* show-specialize */
	bool_t BGl_showzd2specializa7ez75zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 198 */
			{	/* Cfa/specialize.scm 199 */
				obj_t BgL_list2080z00_1559;

				{	/* Cfa/specialize.scm 199 */
					obj_t BgL_arg2081z00_1560;

					BgL_arg2081z00_1560 = MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
					BgL_list2080z00_1559 =
						MAKE_PAIR(BGl_string2440z00zzcfa_specializa7eza7,
						BgL_arg2081z00_1560);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2080z00_1559);
			}
			{
				obj_t BgL_l1980z00_1562;

				BgL_l1980z00_1562 =
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7;
			BgL_zc3anonymousza32082ze3z83_1563:
				if (PAIRP(BgL_l1980z00_1562))
					{	/* Cfa/specialize.scm 200 */
						{	/* Cfa/specialize.scm 201 */
							obj_t BgL_typezd2numzd2_1565;

							BgL_typezd2numzd2_1565 = CAR(BgL_l1980z00_1562);
							{	/* Cfa/specialize.scm 201 */
								bool_t BgL_testz00_3436;

								{	/* Cfa/specialize.scm 201 */
									long BgL_auxz00_3437;

									{	/* Cfa/specialize.scm 201 */
										obj_t BgL_pairz00_2879;

										BgL_pairz00_2879 = BgL_typezd2numzd2_1565;
										BgL_auxz00_3437 = (long) CINT(CDR(BgL_pairz00_2879));
									}
									BgL_testz00_3436 = (BgL_auxz00_3437 > ((long) 0));
								}
								if (BgL_testz00_3436)
									{	/* Cfa/specialize.scm 202 */
										obj_t BgL_arg2085z00_1567;
										obj_t BgL_arg2086z00_1568;

										BgL_arg2085z00_1567 =
											BGl_shapez00zztools_shapez00(CAR(BgL_typezd2numzd2_1565));
										BgL_arg2086z00_1568 = CDR(BgL_typezd2numzd2_1565);
										{	/* Cfa/specialize.scm 202 */
											obj_t BgL_list2087z00_1569;

											{	/* Cfa/specialize.scm 202 */
												obj_t BgL_arg2089z00_1570;

												{	/* Cfa/specialize.scm 202 */
													obj_t BgL_arg2090z00_1571;

													{	/* Cfa/specialize.scm 202 */
														obj_t BgL_arg2091z00_1572;

														{	/* Cfa/specialize.scm 202 */
															obj_t BgL_arg2092z00_1573;

															BgL_arg2092z00_1573 =
																MAKE_PAIR
																(BGl_string2441z00zzcfa_specializa7eza7, BNIL);
															BgL_arg2091z00_1572 =
																MAKE_PAIR(BgL_arg2086z00_1568,
																BgL_arg2092z00_1573);
														}
														BgL_arg2090z00_1571 =
															MAKE_PAIR(BGl_string2442z00zzcfa_specializa7eza7,
															BgL_arg2091z00_1572);
													}
													BgL_arg2089z00_1570 =
														MAKE_PAIR(BgL_arg2085z00_1567, BgL_arg2090z00_1571);
												}
												BgL_list2087z00_1569 =
													MAKE_PAIR(BGl_string2443z00zzcfa_specializa7eza7,
													BgL_arg2089z00_1570);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list2087z00_1569);
									}}
								else
									{	/* Cfa/specialize.scm 201 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l1980z00_3451;

							BgL_l1980z00_3451 = CDR(BgL_l1980z00_1562);
							BgL_l1980z00_1562 = BgL_l1980z00_3451;
							goto BgL_zc3anonymousza32082ze3z83_1563;
						}
					}
				else
					{	/* Cfa/specialize.scm 200 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1982z00_1579;

				BgL_l1982z00_1579 =
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7;
			BgL_zc3anonymousza32097ze3z83_1580:
				if (PAIRP(BgL_l1982z00_1579))
					{	/* Cfa/specialize.scm 205 */
						{	/* Cfa/specialize.scm 206 */
							obj_t BgL_typezd2numzd2_1582;

							BgL_typezd2numzd2_1582 = CAR(BgL_l1982z00_1579);
							{	/* Cfa/specialize.scm 206 */
								bool_t BgL_testz00_3456;

								{	/* Cfa/specialize.scm 206 */
									long BgL_auxz00_3457;

									{	/* Cfa/specialize.scm 206 */
										obj_t BgL_pairz00_2889;

										BgL_pairz00_2889 = BgL_typezd2numzd2_1582;
										BgL_auxz00_3457 = (long) CINT(CDR(BgL_pairz00_2889));
									}
									BgL_testz00_3456 = (BgL_auxz00_3457 > ((long) 0));
								}
								if (BgL_testz00_3456)
									{	/* Cfa/specialize.scm 207 */
										obj_t BgL_arg2100z00_1584;
										obj_t BgL_arg2101z00_1585;

										BgL_arg2100z00_1584 =
											BGl_shapez00zztools_shapez00(CAR(BgL_typezd2numzd2_1582));
										BgL_arg2101z00_1585 = CDR(BgL_typezd2numzd2_1582);
										{	/* Cfa/specialize.scm 207 */
											obj_t BgL_list2102z00_1586;

											{	/* Cfa/specialize.scm 207 */
												obj_t BgL_arg2103z00_1587;

												{	/* Cfa/specialize.scm 207 */
													obj_t BgL_arg2104z00_1588;

													{	/* Cfa/specialize.scm 207 */
														obj_t BgL_arg2106z00_1589;

														{	/* Cfa/specialize.scm 207 */
															obj_t BgL_arg2107z00_1590;

															BgL_arg2107z00_1590 =
																MAKE_PAIR
																(BGl_string2441z00zzcfa_specializa7eza7, BNIL);
															BgL_arg2106z00_1589 =
																MAKE_PAIR(BgL_arg2101z00_1585,
																BgL_arg2107z00_1590);
														}
														BgL_arg2104z00_1588 =
															MAKE_PAIR(BGl_string2442z00zzcfa_specializa7eza7,
															BgL_arg2106z00_1589);
													}
													BgL_arg2103z00_1587 =
														MAKE_PAIR(BgL_arg2100z00_1584, BgL_arg2104z00_1588);
												}
												BgL_list2102z00_1586 =
													MAKE_PAIR(BGl_string2444z00zzcfa_specializa7eza7,
													BgL_arg2103z00_1587);
											}
											BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
												BgL_list2102z00_1586);
									}}
								else
									{	/* Cfa/specialize.scm 206 */
										BFALSE;
									}
							}
						}
						{
							obj_t BgL_l1982z00_3471;

							BgL_l1982z00_3471 = CDR(BgL_l1982z00_1579);
							BgL_l1982z00_1579 = BgL_l1982z00_3471;
							goto BgL_zc3anonymousza32097ze3z83_1580;
						}
					}
				else
					{	/* Cfa/specialize.scm 205 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* install-specialized-type! */
	obj_t BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_87)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 222 */
			{	/* Cfa/specialize.scm 223 */
				bool_t BgL_testz00_3473;

				{	/* Cfa/specialize.scm 223 */
					obj_t BgL_auxz00_3474;

					BgL_auxz00_3474 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_87,
						BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
					BgL_testz00_3473 = PAIRP(BgL_auxz00_3474);
				}
				if (BgL_testz00_3473)
					{	/* Cfa/specialize.scm 223 */
						return BFALSE;
					}
				else
					{	/* Cfa/specialize.scm 223 */
						{	/* Cfa/specialize.scm 224 */
							obj_t BgL_arg2112z00_1596;

							BgL_arg2112z00_1596 = MAKE_PAIR(BgL_typez00_87, BINT(((long) 0)));
							BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 =
								MAKE_PAIR(BgL_arg2112z00_1596,
								BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
						}
						{	/* Cfa/specialize.scm 225 */
							obj_t BgL_list2113z00_1597;

							BgL_list2113z00_1597 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
							BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 5)),
								BgL_list2113z00_1597);
						}
						{	/* Cfa/specialize.scm 226 */
							obj_t BgL_list2114z00_1598;

							BgL_list2114z00_1598 =
								MAKE_PAIR(CNST_TABLE_REF(((long) 4)), BNIL);
							return (BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7 =
								BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 6)),
									BgL_list2114z00_1598), BUNSPEC);
		}}}}
	}



/* add-specialized-type! */
	obj_t BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7(obj_t
		BgL_typez00_88)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 231 */
			{	/* Cfa/specialize.scm 232 */
				obj_t BgL_cellz00_1600;

				BgL_cellz00_1600 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_88,
					BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1600))
					{	/* Cfa/specialize.scm 236 */
						long BgL_arg2119z00_1602;

						BgL_arg2119z00_1602 =
							(((long) 1) + (long) CINT(CDR(BgL_cellz00_1600)));
						{	/* Cfa/specialize.scm 236 */
							obj_t BgL_auxz00_3494;

							BgL_auxz00_3494 = BINT(BgL_arg2119z00_1602);
							return SET_CDR(BgL_cellz00_1600, BgL_auxz00_3494);
						}
					}
				else
					{	/* Cfa/specialize.scm 233 */
						return
							BGl_internalzd2errorzd2zztools_errorz00
							(BGl_string2445z00zzcfa_specializa7eza7,
							BGl_string2446z00zzcfa_specializa7eza7,
							BGl_shapez00zztools_shapez00(BgL_typez00_88));
					}
			}
		}
	}



/* add-specialized-eq-type! */
	obj_t BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7(obj_t
		BgL_typez00_89)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 241 */
			{	/* Cfa/specialize.scm 242 */
				obj_t BgL_cellz00_1605;

				BgL_cellz00_1605 =
					BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_89,
					BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7);
				if (PAIRP(BgL_cellz00_1605))
					{	/* Cfa/specialize.scm 246 */
						long BgL_arg2125z00_1607;

						BgL_arg2125z00_1607 =
							(((long) 1) + (long) CINT(CDR(BgL_cellz00_1605)));
						{	/* Cfa/specialize.scm 246 */
							obj_t BgL_auxz00_3505;

							BgL_auxz00_3505 = BINT(BgL_arg2125z00_1607);
							return SET_CDR(BgL_cellz00_1605, BgL_auxz00_3505);
						}
					}
				else
					{	/* Cfa/specialize.scm 245 */
						obj_t BgL_arg2127z00_1609;

						BgL_arg2127z00_1609 = MAKE_PAIR(BgL_typez00_89, BINT(((long) 1)));
						return (BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7
							=
							MAKE_PAIR(BgL_arg2127z00_1609,
								BGl_za2specializa7edzd2eqzd2typesza2za7zzcfa_specializa7eza7),
							BUNSPEC);
					}
			}
		}
	}



/* install-specialize! */
	obj_t BGl_installzd2specializa7ez12z67zzcfa_specializa7eza7(obj_t
		BgL_specz00_90)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 251 */
			{	/* Cfa/specialize.scm 252 */
				obj_t BgL_genz00_1610;

				{	/* Cfa/specialize.scm 252 */
					obj_t BgL_pairz00_2914;

					BgL_pairz00_2914 = BgL_specz00_90;
					BgL_genz00_1610 = CAR(CDR(BgL_pairz00_2914));
				}
				{	/* Cfa/specialize.scm 252 */
					obj_t BgL_fixesz00_1611;

					{	/* Cfa/specialize.scm 253 */
						obj_t BgL_pairz00_2918;

						BgL_pairz00_2918 = BgL_specz00_90;
						BgL_fixesz00_1611 = CDR(CDR(BgL_pairz00_2918));
					}
					{	/* Cfa/specialize.scm 253 */
						obj_t BgL_genzd2idzd2_1612;

						BgL_genzd2idzd2_1612 = CAR(BgL_genz00_1610);
						{	/* Cfa/specialize.scm 254 */
							obj_t BgL_genzd2modzd2_1613;

							{	/* Cfa/specialize.scm 255 */
								obj_t BgL_pairz00_2923;

								BgL_pairz00_2923 = BgL_genz00_1610;
								BgL_genzd2modzd2_1613 = CAR(CDR(BgL_pairz00_2923));
							}
							{	/* Cfa/specialize.scm 255 */
								obj_t BgL_genericz00_1614;

								BgL_genericz00_1614 =
									BGl_findzd2globalzf2modulez20zzast_envz00
									(BgL_genzd2idzd2_1612, BgL_genzd2modzd2_1613);
								{	/* Cfa/specialize.scm 256 */

									if (BGl_isazf3zf3zz__objectz00(BgL_genericz00_1614,
											BGl_globalz00zzast_varz00))
										{
											obj_t BgL_fixesz00_1618;
											obj_t BgL_resz00_1619;

											BgL_fixesz00_1618 = BgL_fixesz00_1611;
											BgL_resz00_1619 = BNIL;
										BgL_zc3anonymousza32129ze3z83_1620:
											if (NULLP(BgL_fixesz00_1618))
												{	/* Cfa/specialize.scm 260 */
													if (BGl_isazf3zf3zz__objectz00(BgL_genericz00_1614,
															BGl_specializa7edzd2globalz75zzcfa_specializa7eza7))
														{	/* Cfa/specialize.scm 262 */
															BgL_globalz00_bglt BgL_i1180z00_1623;

															BgL_i1180z00_1623 =
																((BgL_globalz00_bglt) BgL_genericz00_1614);
															{
																obj_t BgL_auxz00_3532;
																BgL_specializa7edzd2globalz75_bglt
																	BgL_auxz00_3526;
																{	/* Cfa/specialize.scm 263 */
																	obj_t BgL_arg2132z00_1624;

																	{
																		BgL_specializa7edzd2globalz75_bglt
																			BgL_auxz00_3533;
																		{
																			obj_t BgL_auxz00_3534;

																			{	/* Cfa/specialize.scm 263 */
																				BgL_objectz00_bglt BgL_auxz00_3535;

																				BgL_auxz00_3535 =
																					((BgL_objectz00_bglt)
																					BgL_i1180z00_1623);
																				BgL_auxz00_3534 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_3535);
																			}
																			BgL_auxz00_3533 =
																				((BgL_specializa7edzd2globalz75_bglt)
																				BgL_auxz00_3534);
																		}
																		BgL_arg2132z00_1624 =
																			(((BgL_specializa7edzd2globalz75_bglt)
																				CREF(BgL_auxz00_3533))->BgL_fixz00);
																	}
																	BgL_auxz00_3532 =
																		BGl_appendzd221011zd2zzcfa_specializa7eza7
																		(BgL_arg2132z00_1624, BgL_resz00_1619);
																}
																{
																	obj_t BgL_auxz00_3527;

																	{	/* Cfa/specialize.scm 263 */
																		BgL_objectz00_bglt BgL_auxz00_3528;

																		BgL_auxz00_3528 =
																			((BgL_objectz00_bglt) BgL_i1180z00_1623);
																		BgL_auxz00_3527 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_3528);
																	}
																	BgL_auxz00_3526 =
																		((BgL_specializa7edzd2globalz75_bglt)
																		BgL_auxz00_3527);
																}
																return
																	((((BgL_specializa7edzd2globalz75_bglt)
																			CREF(BgL_auxz00_3526))->BgL_fixz00) =
																	((obj_t) BgL_auxz00_3532), BUNSPEC);
															}
														}
													else
														{	/* Cfa/specialize.scm 261 */
															{	/* Cfa/specialize.scm 265 */
																BgL_globalz00_bglt BgL_tmp1181z00_1625;

																BgL_tmp1181z00_1625 =
																	((BgL_globalz00_bglt) BgL_genericz00_1614);
																{	/* Cfa/specialize.scm 265 */
																	BgL_globalz00_bglt BgL_tmp1182z00_1626;
																	BgL_specializa7edzd2globalz75_bglt
																		BgL_wide1183z00_1627;
																	BgL_tmp1182z00_1626 =
																		((BgL_globalz00_bglt) BgL_tmp1181z00_1625);
																	BgL_wide1183z00_1627 =
																		((BgL_specializa7edzd2globalz75_bglt)
																		BREF(GC_MALLOC(sizeof(struct
																					BgL_specializa7edzd2globalz75_bgl))));
																	{	/* Cfa/specialize.scm 265 */
																		obj_t BgL_auxz00_3547;
																		BgL_objectz00_bglt BgL_auxz00_3545;

																		BgL_auxz00_3547 =
																			((obj_t) BgL_wide1183z00_1627);
																		BgL_auxz00_3545 =
																			((BgL_objectz00_bglt)
																			BgL_tmp1182z00_1626);
																		BGL_OBJECT_WIDENING_SET(BgL_auxz00_3545,
																			BgL_auxz00_3547);
																	}
																	{	/* Cfa/specialize.scm 265 */
																		long BgL_arg2133z00_1628;

																		{	/* Cfa/specialize.scm 265 */
																			long BgL_res2393z00_2934;

																			BgL_res2393z00_2934 =
																				BGL_CLASS_INDEX
																				(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
																			BgL_arg2133z00_1628 = BgL_res2393z00_2934;
																		}
																		{	/* Cfa/specialize.scm 265 */
																			BgL_objectz00_bglt BgL_objz00_2935;

																			BgL_objz00_2935 =
																				((BgL_objectz00_bglt)
																				BgL_tmp1182z00_1626);
																			((BgL_globalz00_bglt)
																				BGL_OBJECT_CLASS_NUM_SET
																				(BgL_objz00_2935, BgL_arg2133z00_1628));
																	}} BgL_tmp1182z00_1626;
																}
																{	/* Cfa/specialize.scm 265 */
																	BgL_globalz00_bglt BgL_new1184z00_1629;

																	BgL_new1184z00_1629 =
																		((BgL_globalz00_bglt) BgL_tmp1181z00_1625);
																	{
																		BgL_specializa7edzd2globalz75_bglt
																			BgL_auxz00_3555;
																		{
																			obj_t BgL_auxz00_3556;

																			{	/* Cfa/specialize.scm 265 */
																				BgL_objectz00_bglt BgL_auxz00_3557;

																				BgL_auxz00_3557 =
																					((BgL_objectz00_bglt)
																					BgL_new1184z00_1629);
																				BgL_auxz00_3556 =
																					BGL_OBJECT_WIDENING(BgL_auxz00_3557);
																			}
																			BgL_auxz00_3555 =
																				((BgL_specializa7edzd2globalz75_bglt)
																				BgL_auxz00_3556);
																		}
																		((((BgL_specializa7edzd2globalz75_bglt)
																					CREF(BgL_auxz00_3555))->BgL_fixz00) =
																			((obj_t) BgL_resz00_1619), BUNSPEC);
																	} BgL_new1184z00_1629;
															}}
															return
																(BGl_za2specializa7eza2za7zzcfa_specializa7eza7
																=
																MAKE_PAIR(BgL_genericz00_1614,
																	BGl_za2specializa7eza2za7zzcfa_specializa7eza7),
																BUNSPEC);
														}
												}
											else
												{	/* Cfa/specialize.scm 268 */
													obj_t BgL_fixz00_1630;

													BgL_fixz00_1630 = CAR(BgL_fixesz00_1618);
													{	/* Cfa/specialize.scm 268 */
														obj_t BgL_idz00_1631;

														BgL_idz00_1631 = CAR(BgL_fixz00_1630);
														{	/* Cfa/specialize.scm 269 */
															obj_t BgL_modz00_1632;

															{	/* Cfa/specialize.scm 270 */
																obj_t BgL_pairz00_2939;

																BgL_pairz00_2939 = BgL_fixz00_1630;
																BgL_modz00_1632 = CAR(CDR(BgL_pairz00_2939));
															}
															{	/* Cfa/specialize.scm 270 */
																obj_t BgL_globalz00_1633;

																BgL_globalz00_1633 =
																	BGl_findzd2globalzf2modulez20zzast_envz00
																	(BgL_idz00_1631, BgL_modz00_1632);
																{	/* Cfa/specialize.scm 271 */

																	if (BGl_isazf3zf3zz__objectz00
																		(BgL_globalz00_1633,
																			BGl_globalz00zzast_varz00))
																		{	/* Cfa/specialize.scm 273 */
																			BgL_valuez00_bglt BgL_valz00_1635;

																			BgL_valz00_1635 =
																				(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_globalz00_1633))))->
																				BgL_valuez00);
																			{	/* Cfa/specialize.scm 275 */
																				bool_t BgL_testz00_3573;

																				{	/* Cfa/specialize.scm 275 */
																					bool_t BgL_testz00_3574;

																					{	/* Cfa/specialize.scm 275 */
																						bool_t BgL_res2396z00_2949;

																						{	/* Cfa/specialize.scm 275 */
																							obj_t BgL_objz00_2948;

																							BgL_objz00_2948 =
																								((obj_t) BgL_valz00_1635);
																							BgL_res2396z00_2949 =
																								BGl_isazf3zf3zz__objectz00
																								(BgL_objz00_2948,
																								BGl_sfunz00zzast_varz00);
																						}
																						BgL_testz00_3574 =
																							BgL_res2396z00_2949;
																					}
																					if (BgL_testz00_3574)
																						{	/* Cfa/specialize.scm 275 */
																							obj_t BgL_auxz00_3577;

																							BgL_auxz00_3577 =
																								(((BgL_sfunz00_bglt) CREF(
																										((BgL_sfunz00_bglt)
																											BgL_valz00_1635)))->
																								BgL_argsz00);
																							BgL_testz00_3573 =
																								PAIRP(BgL_auxz00_3577);
																						}
																					else
																						{	/* Cfa/specialize.scm 275 */
																							BgL_testz00_3573 = ((bool_t) 0);
																						}
																				}
																				if (BgL_testz00_3573)
																					{	/* Cfa/specialize.scm 276 */
																						obj_t BgL_typez00_1637;

																						{	/* Cfa/specialize.scm 276 */
																							obj_t BgL_vz00_1641;

																							{	/* Cfa/specialize.scm 276 */
																								obj_t BgL_pairz00_2956;

																								BgL_pairz00_2956 =
																									(((BgL_sfunz00_bglt) CREF(
																											((BgL_sfunz00_bglt)
																												BgL_valz00_1635)))->
																									BgL_argsz00);
																								BgL_vz00_1641 =
																									CAR(BgL_pairz00_2956);
																							}
																							if (BGl_isazf3zf3zz__objectz00
																								(BgL_vz00_1641,
																									BGl_typez00zztype_typez00))
																								{	/* Cfa/specialize.scm 278 */
																									BgL_typez00_1637 =
																										BgL_vz00_1641;
																								}
																							else
																								{	/* Cfa/specialize.scm 278 */
																									if (BGl_isazf3zf3zz__objectz00
																										(BgL_vz00_1641,
																											BGl_localz00zzast_varz00))
																										{	/* Cfa/specialize.scm 280 */
																											BgL_typez00_1637 =
																												((obj_t)
																												(((BgL_variablez00_bglt)
																														CREF((
																																(BgL_variablez00_bglt)
																																((BgL_localz00_bglt) BgL_vz00_1641))))->BgL_typez00));
																										}
																									else
																										{	/* Cfa/specialize.scm 286 */
																											obj_t BgL_arg2142z00_1644;

																											BgL_arg2142z00_1644 =
																												(((BgL_variablez00_bglt)
																													CREF((
																															(BgL_variablez00_bglt)
																															((BgL_globalz00_bglt) BgL_globalz00_1633))))->BgL_idz00);
																											BgL_typez00_1637 =
																												BGl_internalzd2errorzd2zztools_errorz00
																												(BGl_string2447z00zzcfa_specializa7eza7,
																												BGl_string2448z00zzcfa_specializa7eza7,
																												BgL_arg2142z00_1644);
																										}
																								}
																						}
																						BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																							(BgL_typez00_1637);
																						{	/* Cfa/specialize.scm 288 */
																							obj_t BgL_arg2136z00_1638;
																							obj_t BgL_arg2137z00_1639;

																							BgL_arg2136z00_1638 =
																								CDR(BgL_fixesz00_1618);
																							{	/* Cfa/specialize.scm 289 */
																								obj_t BgL_arg2138z00_1640;

																								BgL_arg2138z00_1640 =
																									MAKE_PAIR(BgL_typez00_1637,
																									BgL_globalz00_1633);
																								BgL_arg2137z00_1639 =
																									MAKE_PAIR(BgL_arg2138z00_1640,
																									BgL_resz00_1619);
																							}
																							{
																								obj_t BgL_resz00_3601;
																								obj_t BgL_fixesz00_3600;

																								BgL_fixesz00_3600 =
																									BgL_arg2136z00_1638;
																								BgL_resz00_3601 =
																									BgL_arg2137z00_1639;
																								BgL_resz00_1619 =
																									BgL_resz00_3601;
																								BgL_fixesz00_1618 =
																									BgL_fixesz00_3600;
																								goto
																									BgL_zc3anonymousza32129ze3z83_1620;
																							}
																						}
																					}
																				else
																					{	/* Cfa/specialize.scm 290 */
																						bool_t BgL_testz00_3602;

																						{	/* Cfa/specialize.scm 290 */
																							bool_t BgL_testz00_3603;

																							{	/* Cfa/specialize.scm 290 */
																								bool_t BgL_res2402z00_2969;

																								{	/* Cfa/specialize.scm 290 */
																									obj_t BgL_objz00_2968;

																									BgL_objz00_2968 =
																										((obj_t) BgL_valz00_1635);
																									BgL_res2402z00_2969 =
																										BGl_isazf3zf3zz__objectz00
																										(BgL_objz00_2968,
																										BGl_cfunz00zzast_varz00);
																								}
																								BgL_testz00_3603 =
																									BgL_res2402z00_2969;
																							}
																							if (BgL_testz00_3603)
																								{	/* Cfa/specialize.scm 290 */
																									obj_t BgL_auxz00_3606;

																									BgL_auxz00_3606 =
																										(((BgL_cfunz00_bglt) CREF(
																												((BgL_cfunz00_bglt)
																													BgL_valz00_1635)))->
																										BgL_argszd2typezd2);
																									BgL_testz00_3602 =
																										PAIRP(BgL_auxz00_3606);
																								}
																							else
																								{	/* Cfa/specialize.scm 290 */
																									BgL_testz00_3602 =
																										((bool_t) 0);
																								}
																						}
																						if (BgL_testz00_3602)
																							{	/* Cfa/specialize.scm 291 */
																								obj_t BgL_typez00_1647;

																								{	/* Cfa/specialize.scm 291 */
																									obj_t BgL_pairz00_2976;

																									BgL_pairz00_2976 =
																										(((BgL_cfunz00_bglt) CREF(
																												((BgL_cfunz00_bglt)
																													BgL_valz00_1635)))->
																										BgL_argszd2typezd2);
																									BgL_typez00_1647 =
																										CAR(BgL_pairz00_2976);
																								}
																								BGl_installzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
																									(BgL_typez00_1647);
																								{	/* Cfa/specialize.scm 293 */
																									obj_t BgL_arg2146z00_1648;
																									obj_t BgL_arg2147z00_1649;

																									BgL_arg2146z00_1648 =
																										CDR(BgL_fixesz00_1618);
																									{	/* Cfa/specialize.scm 294 */
																										obj_t BgL_arg2148z00_1650;

																										BgL_arg2148z00_1650 =
																											MAKE_PAIR
																											(BgL_typez00_1647,
																											BgL_globalz00_1633);
																										BgL_arg2147z00_1649 =
																											MAKE_PAIR
																											(BgL_arg2148z00_1650,
																											BgL_resz00_1619);
																									}
																									{
																										obj_t BgL_resz00_3618;
																										obj_t BgL_fixesz00_3617;

																										BgL_fixesz00_3617 =
																											BgL_arg2146z00_1648;
																										BgL_resz00_3618 =
																											BgL_arg2147z00_1649;
																										BgL_resz00_1619 =
																											BgL_resz00_3618;
																										BgL_fixesz00_1618 =
																											BgL_fixesz00_3617;
																										goto
																											BgL_zc3anonymousza32129ze3z83_1620;
																									}
																								}
																							}
																						else
																							{	/* Cfa/specialize.scm 290 */
																								return BFALSE;
																							}
																					}
																			}
																		}
																	else
																		{	/* Cfa/specialize.scm 272 */
																			{	/* Cfa/specialize.scm 299 */
																				obj_t BgL_arg2155z00_1656;

																				BgL_arg2155z00_1656 =
																					MAKE_PAIR(BgL_idz00_1631,
																					BgL_modz00_1632);
																				{	/* Cfa/specialize.scm 296 */
																					obj_t BgL_list2156z00_1657;

																					{	/* Cfa/specialize.scm 296 */
																						obj_t BgL_arg2157z00_1658;

																						{	/* Cfa/specialize.scm 296 */
																							obj_t BgL_arg2158z00_1659;

																							{	/* Cfa/specialize.scm 296 */
																								obj_t BgL_arg2159z00_1660;

																								BgL_arg2159z00_1660 =
																									MAKE_PAIR(BgL_arg2155z00_1656,
																									BNIL);
																								BgL_arg2158z00_1659 =
																									MAKE_PAIR
																									(BGl_string2449z00zzcfa_specializa7eza7,
																									BgL_arg2159z00_1660);
																							}
																							BgL_arg2157z00_1658 =
																								MAKE_PAIR
																								(BGl_string2450z00zzcfa_specializa7eza7,
																								BgL_arg2158z00_1659);
																						}
																						BgL_list2156z00_1657 =
																							MAKE_PAIR
																							(BGl_string2451z00zzcfa_specializa7eza7,
																							BgL_arg2157z00_1658);
																					}
																					BGl_warningz00zz__errorz00
																						(BgL_list2156z00_1657);
																				}
																			}
																			{
																				obj_t BgL_fixesz00_3625;

																				BgL_fixesz00_3625 =
																					CDR(BgL_fixesz00_1618);
																				BgL_fixesz00_1618 = BgL_fixesz00_3625;
																				goto BgL_zc3anonymousza32129ze3z83_1620;
																			}
																		}
																}
															}
														}
													}
												}
										}
									else
										{	/* Cfa/specialize.scm 304 */
											obj_t BgL_arg2161z00_1663;

											BgL_arg2161z00_1663 =
												MAKE_PAIR(BgL_genzd2idzd2_1612, BgL_genzd2modzd2_1613);
											{	/* Cfa/specialize.scm 301 */
												obj_t BgL_list2162z00_1664;

												{	/* Cfa/specialize.scm 301 */
													obj_t BgL_arg2163z00_1665;

													{	/* Cfa/specialize.scm 301 */
														obj_t BgL_arg2164z00_1666;

														{	/* Cfa/specialize.scm 301 */
															obj_t BgL_arg2165z00_1667;

															BgL_arg2165z00_1667 =
																MAKE_PAIR(BgL_arg2161z00_1663, BNIL);
															BgL_arg2164z00_1666 =
																MAKE_PAIR
																(BGl_string2449z00zzcfa_specializa7eza7,
																BgL_arg2165z00_1667);
														}
														BgL_arg2163z00_1665 =
															MAKE_PAIR(BGl_string2450z00zzcfa_specializa7eza7,
															BgL_arg2164z00_1666);
													}
													BgL_list2162z00_1664 =
														MAKE_PAIR(BGl_string2451z00zzcfa_specializa7eza7,
														BgL_arg2163z00_1665);
												}
												return BGl_warningz00zz__errorz00(BgL_list2162z00_1664);
											}
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* uninstall-specializes! */
	obj_t BGl_uninstallzd2specializa7esz12z67zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 309 */
			BGl_za2specializa7edzd2typesza2z75zzcfa_specializa7eza7 = BNIL;
			{
				obj_t BgL_l1984z00_1669;

				BgL_l1984z00_1669 = BGl_za2specializa7eza2za7zzcfa_specializa7eza7;
			BgL_zc3anonymousza32166ze3z83_1670:
				if (PAIRP(BgL_l1984z00_1669))
					{	/* Cfa/specialize.scm 311 */
						{	/* Cfa/specialize.scm 311 */
							obj_t BgL_oz00_1672;

							BgL_oz00_1672 = CAR(BgL_l1984z00_1669);
							{	/* Cfa/specialize.scm 311 */
								long BgL_arg2168z00_1674;

								{	/* Cfa/specialize.scm 311 */
									obj_t BgL_arg2171z00_1675;

									{	/* Cfa/specialize.scm 311 */
										obj_t BgL_arg2172z00_1676;

										{	/* Cfa/specialize.scm 311 */
											BgL_objectz00_bglt BgL_objectz00_2982;

											BgL_objectz00_2982 = ((BgL_objectz00_bglt) BgL_oz00_1672);
											{	/* Cfa/specialize.scm 311 */
												long BgL_arg1806z00_2983;

												{	/* Cfa/specialize.scm 311 */
													long BgL_arg1808z00_2984;

													{	/* Cfa/specialize.scm 311 */
														long BgL_res2405z00_2986;

														BgL_res2405z00_2986 =
															BGL_OBJECT_CLASS_NUM(BgL_objectz00_2982);
														BgL_arg1808z00_2984 = BgL_res2405z00_2986;
													}
													BgL_arg1806z00_2983 =
														(BgL_arg1808z00_2984 - OBJECT_TYPE);
												}
												BgL_arg2172z00_1676 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													(int) (BgL_arg1806z00_2983));
										}}
										BgL_arg2171z00_1675 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg2172z00_1676);
									}
									{	/* Cfa/specialize.scm 311 */
										long BgL_res2407z00_2993;

										BgL_res2407z00_2993 = BGL_CLASS_INDEX(BgL_arg2171z00_1675);
										BgL_arg2168z00_1674 = BgL_res2407z00_2993;
								}}
								{	/* Cfa/specialize.scm 311 */
									BgL_objectz00_bglt BgL_objz00_2994;

									BgL_objz00_2994 = ((BgL_objectz00_bglt) BgL_oz00_1672);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2994,
										BgL_arg2168z00_1674);
							}}
							{	/* Cfa/specialize.scm 311 */
								BgL_objectz00_bglt BgL_auxz00_3645;

								BgL_auxz00_3645 = ((BgL_objectz00_bglt) BgL_oz00_1672);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3645, BFALSE);
							} BgL_oz00_1672;
						}
						{
							obj_t BgL_l1984z00_3648;

							BgL_l1984z00_3648 = CDR(BgL_l1984z00_1669);
							BgL_l1984z00_1669 = BgL_l1984z00_3648;
							goto BgL_zc3anonymousza32166ze3z83_1670;
						}
					}
				else
					{	/* Cfa/specialize.scm 311 */
						((bool_t) 1);
					}
			}
			return (BGl_za2specializa7eza2za7zzcfa_specializa7eza7 = BNIL, BUNSPEC);
		}
	}



/* patch-tree! */
	bool_t BGl_patchzd2treez12zc0zzcfa_specializa7eza7(obj_t BgL_globalsz00_91)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 317 */
			{
				obj_t BgL_l1986z00_1680;

				BgL_l1986z00_1680 = BgL_globalsz00_91;
			BgL_zc3anonymousza32174ze3z83_1681:
				if (PAIRP(BgL_l1986z00_1680))
					{	/* Cfa/specialize.scm 318 */
						BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR(BgL_l1986z00_1680));
						{
							obj_t BgL_l1986z00_3654;

							BgL_l1986z00_3654 = CDR(BgL_l1986z00_1680);
							BgL_l1986z00_1680 = BgL_l1986z00_3654;
							goto BgL_zc3anonymousza32174ze3z83_1681;
						}
					}
				else
					{	/* Cfa/specialize.scm 318 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* patch-fun! */
	obj_t BGl_patchzd2funz12zc0zzcfa_specializa7eza7(obj_t BgL_variablez00_92)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 323 */
			{	/* Cfa/specialize.scm 324 */
				BgL_valuez00_bglt BgL_funz00_1686;

				BgL_funz00_1686 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_variablez00_92)))->BgL_valuez00);
				{	/* Cfa/specialize.scm 325 */
					obj_t BgL_arg2178z00_1687;

					{	/* Cfa/specialize.scm 325 */
						obj_t BgL_arg2179z00_1688;

						BgL_arg2179z00_1688 =
							(((BgL_sfunz00_bglt) CREF(
									((BgL_sfunz00_bglt) BgL_funz00_1686)))->BgL_bodyz00);
						BgL_arg2178z00_1687 =
							BGl_patchz12z12zzcfa_specializa7eza7(
							((BgL_nodez00_bglt) BgL_arg2179z00_1688));
					}
					{	/* Cfa/specialize.scm 325 */
						BgL_sfunz00_bglt BgL_oz00_3006;

						BgL_oz00_3006 = ((BgL_sfunz00_bglt) BgL_funz00_1686);
						return
							((((BgL_sfunz00_bglt) CREF(BgL_oz00_3006))->BgL_bodyz00) =
							((obj_t) BgL_arg2178z00_1687), BUNSPEC);
					}
				}
			}
		}
	}



/* patch*! */
	obj_t BGl_patchza2z12zb0zzcfa_specializa7eza7(obj_t BgL_nodeza2za2_115)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 530 */
			{
				obj_t BgL_nodeza2za2_1690;

				BgL_nodeza2za2_1690 = BgL_nodeza2za2_115;
			BgL_zc3anonymousza32180ze3z83_1691:
				if (NULLP(BgL_nodeza2za2_1690))
					{	/* Cfa/specialize.scm 532 */
						return CNST_TABLE_REF(((long) 7));
					}
				else
					{	/* Cfa/specialize.scm 532 */
						{	/* Cfa/specialize.scm 535 */
							obj_t BgL_arg2182z00_1693;

							{	/* Cfa/specialize.scm 535 */
								obj_t BgL_arg2184z00_1694;

								BgL_arg2184z00_1694 = CAR(BgL_nodeza2za2_1690);
								BgL_arg2182z00_1693 =
									BGl_patchz12z12zzcfa_specializa7eza7(
									((BgL_nodez00_bglt) BgL_arg2184z00_1694));
							}
							SET_CAR(BgL_nodeza2za2_1690, BgL_arg2182z00_1693);
						}
						{
							obj_t BgL_nodeza2za2_3671;

							BgL_nodeza2za2_3671 = CDR(BgL_nodeza2za2_1690);
							BgL_nodeza2za2_1690 = BgL_nodeza2za2_3671;
							goto BgL_zc3anonymousza32180ze3z83_1691;
						}
					}
			}
		}
	}



/* specialize-app! */
	BgL_appz00_bglt
		BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_117)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 555 */
			if (NULLP((((BgL_appz00_bglt) CREF(BgL_nodez00_117))->BgL_argsz00)))
				{	/* Cfa/specialize.scm 564 */
					return BgL_nodez00_117;
				}
			else
				{	/* Cfa/specialize.scm 568 */
					obj_t BgL_typez00_1700;

					BgL_typez00_1700 =
						BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7(CAR(
							(((BgL_appz00_bglt) CREF(BgL_nodez00_117))->BgL_argsz00)));
					{	/* Cfa/specialize.scm 568 */
						BgL_variablez00_bglt BgL_gloz00_1701;

						BgL_gloz00_1701 =
							(((BgL_varz00_bglt) CREF(
									(((BgL_appz00_bglt) CREF(BgL_nodez00_117))->BgL_funz00)))->
							BgL_variablez00);
						{	/* Cfa/specialize.scm 569 */
							obj_t BgL_specz00_1702;

							{	/* Cfa/specialize.scm 570 */
								obj_t BgL_auxz00_3681;

								{
									BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3682;

									{
										obj_t BgL_auxz00_3683;

										{	/* Cfa/specialize.scm 570 */
											BgL_objectz00_bglt BgL_auxz00_3684;

											BgL_auxz00_3684 =
												((BgL_objectz00_bglt)
												((BgL_globalz00_bglt) BgL_gloz00_1701));
											BgL_auxz00_3683 = BGL_OBJECT_WIDENING(BgL_auxz00_3684);
										}
										BgL_auxz00_3682 =
											((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3683);
									}
									BgL_auxz00_3681 =
										(((BgL_specializa7edzd2globalz75_bglt)
											CREF(BgL_auxz00_3682))->BgL_fixz00);
								}
								BgL_specz00_1702 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_typez00_1700,
									BgL_auxz00_3681);
							}
							{	/* Cfa/specialize.scm 570 */

								if (PAIRP(BgL_specz00_1702))
									{	/* Cfa/specialize.scm 572 */
										obj_t BgL_g1205z00_1704;

										BgL_g1205z00_1704 =
											CDR(
											(((BgL_appz00_bglt) CREF(BgL_nodez00_117))->BgL_argsz00));
										{
											obj_t BgL_argsz00_1706;

											BgL_argsz00_1706 = BgL_g1205z00_1704;
										BgL_zc3anonymousza32188ze3z83_1707:
											if (NULLP(BgL_argsz00_1706))
												{	/* Cfa/specialize.scm 574 */
													BGl_addzd2specializa7edzd2typez12zb5zzcfa_specializa7eza7
														(BgL_typez00_1700);
													{	/* Cfa/specialize.scm 576 */
														BgL_varz00_bglt BgL_arg2190z00_1709;
														obj_t BgL_arg2192z00_1710;

														BgL_arg2190z00_1709 =
															(((BgL_appz00_bglt) CREF(BgL_nodez00_117))->
															BgL_funz00);
														BgL_arg2192z00_1710 = CDR(BgL_specz00_1702);
														{	/* Cfa/specialize.scm 576 */
															BgL_variablez00_bglt BgL_vz00_3030;

															BgL_vz00_3030 =
																((BgL_variablez00_bglt) BgL_arg2192z00_1710);
															((((BgL_varz00_bglt) CREF(BgL_arg2190z00_1709))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) BgL_vz00_3030),
																BUNSPEC);
														}
													}
													{	/* Cfa/specialize.scm 577 */
														BgL_typez00_bglt BgL_ntz00_1711;

														BgL_ntz00_1711 =
															(((BgL_variablez00_bglt) CREF(
																	(((BgL_varz00_bglt) CREF(
																				(((BgL_appz00_bglt)
																						CREF(BgL_nodez00_117))->
																					BgL_funz00)))->BgL_variablez00)))->
															BgL_typez00);
														{	/* Cfa/specialize.scm 578 */
															BgL_typez00_bglt BgL_arg2193z00_1712;

															BgL_arg2193z00_1712 =
																BGl_strictzd2nodezd2typez00zzast_nodez00
																(BgL_ntz00_1711,
																((BgL_typez00_bglt) BgL_typez00_1700));
															{	/* Cfa/specialize.scm 578 */
																BgL_nodez00_bglt BgL_oz00_3038;

																BgL_oz00_3038 =
																	((BgL_nodez00_bglt) BgL_nodez00_117);
																((((BgL_nodez00_bglt) CREF(BgL_oz00_3038))->
																		BgL_typez00) =
																	((BgL_typez00_bglt) BgL_arg2193z00_1712),
																	BUNSPEC);
															}
														}
													}
													return BgL_nodez00_117;
												}
											else
												{	/* Cfa/specialize.scm 574 */
													if (
														(BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7
															(CAR(BgL_argsz00_1706)) == BgL_typez00_1700))
														{
															obj_t BgL_argsz00_3713;

															BgL_argsz00_3713 = CDR(BgL_argsz00_1706);
															BgL_argsz00_1706 = BgL_argsz00_3713;
															goto BgL_zc3anonymousza32188ze3z83_1707;
														}
													else
														{	/* Cfa/specialize.scm 580 */
															return
																BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
																(BgL_nodez00_117);
														}
												}
										}
									}
								else
									{	/* Cfa/specialize.scm 571 */
										return
											BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7
											(BgL_nodez00_117);
									}
							}
						}
					}
				}
		}
	}



/* normalize-get-type */
	obj_t BGl_normaliza7ezd2getzd2typeza7zzcfa_specializa7eza7(obj_t
		BgL_valz00_1726)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 561 */
			{	/* Cfa/specialize.scm 558 */
				BgL_typez00_bglt BgL_tyz00_1728;

				BgL_tyz00_1728 =
					BGl_getzd2typezd2zztype_typeofz00(
					((BgL_nodez00_bglt) BgL_valz00_1726));
				if ((((obj_t) BgL_tyz00_1728) == BGl_za2intza2z00zztype_cachez00))
					{	/* Cfa/specialize.scm 559 */
						return BGl_za2longza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/specialize.scm 559 */
						return ((obj_t) BgL_tyz00_1728);
					}
			}
		}
	}



/* specialize-eq? */
	BgL_appz00_bglt
		BGl_specializa7ezd2eqzf3z86zzcfa_specializa7eza7(BgL_appz00_bglt
		BgL_nodez00_118)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 594 */
			{
				BgL_appz00_bglt BgL_nodez00_1760;
				obj_t BgL_typez00_1761;

				{	/* Cfa/specialize.scm 601 */
					bool_t BgL_testz00_3723;

					{	/* Cfa/specialize.scm 601 */
						bool_t BgL_testz00_3724;

						{	/* Cfa/specialize.scm 601 */
							BgL_variablez00_bglt BgL_arg2234z00_1758;

							BgL_arg2234z00_1758 =
								(((BgL_varz00_bglt) CREF(
										(((BgL_appz00_bglt) CREF(BgL_nodez00_118))->BgL_funz00)))->
								BgL_variablez00);
							BgL_testz00_3724 =
								(((obj_t) BgL_arg2234z00_1758) ==
								BGl_za2czd2eqzf3za2z21zzcfa_specializa7eza7);
						}
						if (BgL_testz00_3724)
							{	/* Cfa/specialize.scm 602 */
								obj_t BgL_arg2233z00_1757;

								BgL_arg2233z00_1757 =
									BGl_thezd2backendzd2zzbackend_backendz00();
								BgL_testz00_3723 =
									(((BgL_backendz00_bglt) CREF(
											((BgL_backendz00_bglt) BgL_arg2233z00_1757)))->
									BgL_typedzd2eqzd2);
							}
						else
							{	/* Cfa/specialize.scm 601 */
								BgL_testz00_3723 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_3723)
						{	/* Cfa/specialize.scm 604 */
							BgL_typez00_bglt BgL_t1z00_1734;
							BgL_typez00_bglt BgL_t2z00_1735;

							{	/* Cfa/specialize.scm 604 */
								obj_t BgL_arg2227z00_1752;

								BgL_arg2227z00_1752 =
									CAR((((BgL_appz00_bglt) CREF(BgL_nodez00_118))->BgL_argsz00));
								BgL_t1z00_1734 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_arg2227z00_1752));
							}
							{	/* Cfa/specialize.scm 605 */
								obj_t BgL_arg2229z00_1754;

								{	/* Cfa/specialize.scm 605 */
									obj_t BgL_pairz00_3055;

									BgL_pairz00_3055 =
										(((BgL_appz00_bglt) CREF(BgL_nodez00_118))->BgL_argsz00);
									BgL_arg2229z00_1754 = CAR(CDR(BgL_pairz00_3055));
								}
								BgL_t2z00_1735 =
									BGl_getzd2typezd2zztype_typeofz00(
									((BgL_nodez00_bglt) BgL_arg2229z00_1754));
							}
							{	/* Cfa/specialize.scm 607 */
								bool_t BgL_testz00_3741;

								if (
									(((obj_t) BgL_t1z00_1734) == BGl_za2objza2z00zztype_cachez00))
									{	/* Cfa/specialize.scm 607 */
										BgL_testz00_3741 =
											(
											((obj_t) BgL_t2z00_1735) ==
											BGl_za2objza2z00zztype_cachez00);
									}
								else
									{	/* Cfa/specialize.scm 607 */
										BgL_testz00_3741 = ((bool_t) 0);
									}
								if (BgL_testz00_3741)
									{	/* Cfa/specialize.scm 607 */
										BUNSPEC;
									}
								else
									{	/* Cfa/specialize.scm 607 */
										if (
											(((obj_t) BgL_t1z00_1734) ==
												BGl_za2bintza2z00zztype_cachez00))
											{	/* Cfa/specialize.scm 609 */
												if (
													(((obj_t) BgL_t2z00_1735) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 610 */
														BgL_nodez00_1760 = BgL_nodez00_118;
														BgL_typez00_1761 = BGl_za2bintza2z00zztype_cachez00;
													BgL_zc3anonymousza32236ze3z83_1762:
														{	/* Cfa/specialize.scm 597 */
															bool_t BgL_testz00_3753;

															{	/* Cfa/specialize.scm 597 */
																bool_t BgL_res2417z00_3044;

																{	/* Cfa/specialize.scm 597 */
																	obj_t BgL_objz00_3043;

																	BgL_objz00_3043 =
																		BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7;
																	BgL_res2417z00_3044 =
																		BGl_isazf3zf3zz__objectz00(BgL_objz00_3043,
																		BGl_globalz00zzast_varz00);
																}
																BgL_testz00_3753 = BgL_res2417z00_3044;
															}
															if (BgL_testz00_3753)
																{	/* Cfa/specialize.scm 597 */
																	{	/* Cfa/specialize.scm 598 */
																		BgL_varz00_bglt BgL_arg2238z00_1764;

																		BgL_arg2238z00_1764 =
																			(((BgL_appz00_bglt)
																				CREF(BgL_nodez00_118))->BgL_funz00);
																		{	/* Cfa/specialize.scm 598 */
																			BgL_variablez00_bglt BgL_vz00_3046;

																			BgL_vz00_3046 =
																				((BgL_variablez00_bglt)
																				((BgL_globalz00_bglt)
																					BGl_za2boxedzd2eqzf3za2z21zzcfa_specializa7eza7));
																			((((BgL_varz00_bglt)
																						CREF(BgL_arg2238z00_1764))->
																					BgL_variablez00) =
																				((BgL_variablez00_bglt) BgL_vz00_3046),
																				BUNSPEC);
																		}
																	}
																	BGl_addzd2specializa7edzd2eqzd2typez12z67zzcfa_specializa7eza7
																		(BgL_typez00_1761);
																}
															else
																{	/* Cfa/specialize.scm 597 */
																	BFALSE;
																}
														}
													}
												else
													{	/* Cfa/specialize.scm 610 */
														BFALSE;
													}
											}
										else
											{	/* Cfa/specialize.scm 609 */
												if (
													(((obj_t) BgL_t2z00_1735) ==
														BGl_za2bintza2z00zztype_cachez00))
													{	/* Cfa/specialize.scm 613 */
														BUNSPEC;
													}
												else
													{	/* Cfa/specialize.scm 613 */
														if (
															(((obj_t) BgL_t1z00_1734) ==
																BGl_za2brealza2z00zztype_cachez00))
															{	/* Cfa/specialize.scm 615 */
																if (
																	(((obj_t) BgL_t2z00_1735) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{
																		obj_t BgL_typez00_3770;
																		BgL_appz00_bglt BgL_nodez00_3769;

																		BgL_nodez00_3769 = BgL_nodez00_118;
																		BgL_typez00_3770 =
																			BGl_za2brealza2z00zztype_cachez00;
																		BgL_typez00_1761 = BgL_typez00_3770;
																		BgL_nodez00_1760 = BgL_nodez00_3769;
																		goto BgL_zc3anonymousza32236ze3z83_1762;
																	}
																else
																	{	/* Cfa/specialize.scm 616 */
																		BFALSE;
																	}
															}
														else
															{	/* Cfa/specialize.scm 615 */
																if (
																	(((obj_t) BgL_t2z00_1735) ==
																		BGl_za2brealza2z00zztype_cachez00))
																	{	/* Cfa/specialize.scm 619 */
																		BUNSPEC;
																	}
																else
																	{	/* Cfa/specialize.scm 619 */
																		if (
																			(((obj_t) BgL_t2z00_1735) ==
																				BGl_za2bintza2z00zztype_cachez00))
																			{	/* Cfa/specialize.scm 621 */
																				BUNSPEC;
																			}
																		else
																			{	/* Cfa/specialize.scm 621 */
																				if (
																					(((obj_t) BgL_t1z00_1734) ==
																						BGl_za2bcharza2z00zztype_cachez00))
																					{	/* Cfa/specialize.scm 623 */
																						if (
																							(((obj_t) BgL_t2z00_1735) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{
																								obj_t BgL_typez00_3784;
																								BgL_appz00_bglt
																									BgL_nodez00_3783;
																								BgL_nodez00_3783 =
																									BgL_nodez00_118;
																								BgL_typez00_3784 =
																									BGl_za2bcharza2z00zztype_cachez00;
																								BgL_typez00_1761 =
																									BgL_typez00_3784;
																								BgL_nodez00_1760 =
																									BgL_nodez00_3783;
																								goto
																									BgL_zc3anonymousza32236ze3z83_1762;
																							}
																						else
																							{	/* Cfa/specialize.scm 624 */
																								BFALSE;
																							}
																					}
																				else
																					{	/* Cfa/specialize.scm 623 */
																						if (
																							(((obj_t) BgL_t2z00_1735) ==
																								BGl_za2bcharza2z00zztype_cachez00))
																							{	/* Cfa/specialize.scm 627 */
																								BUNSPEC;
																							}
																						else
																							{	/* Cfa/specialize.scm 629 */
																								bool_t BgL_testz00_3788;

																								if (BGl_bigloozd2typezf3z21zztype_typez00(BgL_t1z00_1734))
																									{	/* Cfa/specialize.scm 629 */
																										BgL_testz00_3788 =
																											BGl_bigloozd2typezf3z21zztype_typez00
																											(BgL_t2z00_1735);
																									}
																								else
																									{	/* Cfa/specialize.scm 629 */
																										BgL_testz00_3788 =
																											((bool_t) 0);
																									}
																								if (BgL_testz00_3788)
																									{	/* Cfa/specialize.scm 631 */
																										BgL_typez00_bglt
																											BgL_arg2223z00_1748;
																										if ((((obj_t)
																													BgL_t1z00_1734) ==
																												BGl_za2objza2z00zztype_cachez00))
																											{	/* Cfa/specialize.scm 631 */
																												BgL_arg2223z00_1748 =
																													BgL_t2z00_1735;
																											}
																										else
																											{	/* Cfa/specialize.scm 631 */
																												BgL_arg2223z00_1748 =
																													BgL_t1z00_1734;
																											}
																										{
																											obj_t BgL_typez00_3796;
																											BgL_appz00_bglt
																												BgL_nodez00_3795;
																											BgL_nodez00_3795 =
																												BgL_nodez00_118;
																											BgL_typez00_3796 =
																												((obj_t)
																												BgL_arg2223z00_1748);
																											BgL_typez00_1761 =
																												BgL_typez00_3796;
																											BgL_nodez00_1760 =
																												BgL_nodez00_3795;
																											goto
																												BgL_zc3anonymousza32236ze3z83_1762;
																										}
																									}
																								else
																									{	/* Cfa/specialize.scm 629 */
																										BUNSPEC;
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
							return BgL_nodez00_118;
						}
					else
						{	/* Cfa/specialize.scm 601 */
							return BgL_nodez00_118;
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			{	/* Cfa/specialize.scm 35 */
				obj_t BgL_arg2244z00_1770;
				obj_t BgL_arg2245z00_1771;

				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_v1997z00_1813;

					BgL_v1997z00_1813 = create_vector((int) (((long) 1)));
					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_arg2256z00_1814;

						BgL_arg2256z00_1814 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									8)), BGl_proc2453z00zzcfa_specializa7eza7,
							BGl_proc2452z00zzcfa_specializa7eza7, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 9)));
						VECTOR_SET(BgL_v1997z00_1813, (int) (((long) 0)),
							BgL_arg2256z00_1814);
					}
					BgL_arg2244z00_1770 = BgL_v1997z00_1813;
				}
				{	/* Cfa/specialize.scm 35 */
					obj_t BgL_v1998z00_1826;

					BgL_v1998z00_1826 = create_vector((int) (((long) 0)));
					BgL_arg2245z00_1771 = BgL_v1998z00_1826;
				}
				return (BGl_specializa7edzd2globalz75zzcfa_specializa7eza7 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 10)),
						CNST_TABLE_REF(((long) 11)), BGl_globalz00zzast_varz00,
						((long) 16878), BGl_proc2457z00zzcfa_specializa7eza7,
						BGl_proc2456z00zzcfa_specializa7eza7, BFALSE,
						BGl_proc2455z00zzcfa_specializa7eza7,
						BGl_proc2454z00zzcfa_specializa7eza7, BgL_arg2244z00_1770,
						BgL_arg2245z00_1771), BUNSPEC);
		}}
	}



/* &lambda2252 */
	BgL_globalz00_bglt BGl_z62lambda2252z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3182, obj_t BgL_o1123z00_3183)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_o1123z00_1807;

				BgL_o1123z00_1807 = ((BgL_globalz00_bglt) BgL_o1123z00_3183);
				{	/* Cfa/specialize.scm 35 */
					long BgL_arg2253z00_1810;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_arg2254z00_1811;

						{	/* Cfa/specialize.scm 35 */
							obj_t BgL_arg2255z00_1812;

							{	/* Cfa/specialize.scm 35 */
								BgL_objectz00_bglt BgL_objectz00_3086;

								BgL_objectz00_3086 = ((BgL_objectz00_bglt) BgL_o1123z00_1807);
								{	/* Cfa/specialize.scm 35 */
									long BgL_arg1806z00_3087;

									{	/* Cfa/specialize.scm 35 */
										long BgL_arg1808z00_3088;

										{	/* Cfa/specialize.scm 35 */
											long BgL_res2423z00_3090;

											BgL_res2423z00_3090 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_3086);
											BgL_arg1808z00_3088 = BgL_res2423z00_3090;
										}
										BgL_arg1806z00_3087 = (BgL_arg1808z00_3088 - OBJECT_TYPE);
									}
									BgL_arg2255z00_1812 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1806z00_3087));
							}}
							BgL_arg2254z00_1811 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2255z00_1812);
						}
						{	/* Cfa/specialize.scm 35 */
							long BgL_res2425z00_3097;

							BgL_res2425z00_3097 = BGL_CLASS_INDEX(BgL_arg2254z00_1811);
							BgL_arg2253z00_1810 = BgL_res2425z00_3097;
					}}
					{	/* Cfa/specialize.scm 35 */
						BgL_objectz00_bglt BgL_objz00_3098;

						BgL_objz00_3098 = ((BgL_objectz00_bglt) BgL_o1123z00_1807);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3098, BgL_arg2253z00_1810);
				}}
				{	/* Cfa/specialize.scm 35 */
					BgL_objectz00_bglt BgL_auxz00_3819;

					BgL_auxz00_3819 = ((BgL_objectz00_bglt) BgL_o1123z00_1807);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_3819, BFALSE);
				}
				return ((BgL_globalz00_bglt) BgL_o1123z00_1807);
			}
		}
	}



/* &<anonymous:2251> */
	BgL_globalz00_bglt BGl_z62zc3anonymousza32251ze3ze1zzcfa_specializa7eza7(obj_t
		BgL_envz00_3184, obj_t BgL_new1122z00_3185)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_new1122z00_1805;

				BgL_new1122z00_1805 = ((BgL_globalz00_bglt) BgL_new1122z00_3185);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1122z00_1805)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1122z00_1805)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_3829;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_classz00_3082;

						BgL_classz00_3082 = BGl_typez00zztype_typez00;
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL__ortest_1093z00_3083;

							BgL__ortest_1093z00_3083 = BGL_CLASS_NIL(BgL_classz00_3082);
							if (CBOOL(BgL__ortest_1093z00_3083))
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3829 =
										((BgL_typez00_bglt) BgL__ortest_1093z00_3083);
								}
							else
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3829 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3082));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1122z00_1805)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_3829), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_3838;

					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_classz00_3084;

						BgL_classz00_3084 = BGl_valuez00zzast_varz00;
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL__ortest_1093z00_3085;

							BgL__ortest_1093z00_3085 = BGL_CLASS_NIL(BgL_classz00_3084);
							if (CBOOL(BgL__ortest_1093z00_3085))
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3838 =
										((BgL_valuez00_bglt) BgL__ortest_1093z00_3085);
								}
							else
								{	/* Cfa/specialize.scm 35 */
									BgL_auxz00_3838 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3084));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1122z00_1805)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_3838), BUNSPEC);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1122z00_1805)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1122z00_1805)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1122z00_1805)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1122z00_1805)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1122z00_1805)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1122z00_1805)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1122z00_1805)))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 12))), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1122z00_1805)))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1122z00_1805)))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1122z00_1805)))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1122z00_1805)))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1122z00_1805)))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1122z00_1805)))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1122z00_1805)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string2458z00zzcfa_specializa7eza7), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1122z00_1805)))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1122z00_1805)))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3880;

					{
						obj_t BgL_auxz00_3881;

						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_auxz00_3882;

							BgL_auxz00_3882 = ((BgL_objectz00_bglt) BgL_new1122z00_1805);
							BgL_auxz00_3881 = BGL_OBJECT_WIDENING(BgL_auxz00_3882);
						}
						BgL_auxz00_3880 =
							((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3881);
					}
					((((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_3880))->
							BgL_fixz00) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1122z00_1805;
			}
		}
	}



/* &lambda2249 */
	BgL_globalz00_bglt BGl_z62lambda2249z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3186, obj_t BgL_o1119z00_3187)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_o1119z00_1800;

				BgL_o1119z00_1800 = ((BgL_globalz00_bglt) BgL_o1119z00_3187);
				{	/* Cfa/specialize.scm 35 */
					BgL_globalz00_bglt BgL_tmp1120z00_1802;
					BgL_specializa7edzd2globalz75_bglt BgL_wide1121z00_1803;

					BgL_tmp1120z00_1802 = ((BgL_globalz00_bglt) BgL_o1119z00_1800);
					BgL_wide1121z00_1803 =
						((BgL_specializa7edzd2globalz75_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_specializa7edzd2globalz75_bgl))));
					{	/* Cfa/specialize.scm 35 */
						obj_t BgL_auxz00_3892;
						BgL_objectz00_bglt BgL_auxz00_3890;

						BgL_auxz00_3892 = ((obj_t) BgL_wide1121z00_1803);
						BgL_auxz00_3890 = ((BgL_objectz00_bglt) BgL_tmp1120z00_1802);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3890, BgL_auxz00_3892);
					}
					{	/* Cfa/specialize.scm 35 */
						long BgL_arg2250z00_1804;

						{	/* Cfa/specialize.scm 35 */
							long BgL_res2422z00_3079;

							BgL_res2422z00_3079 =
								BGL_CLASS_INDEX
								(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
							BgL_arg2250z00_1804 = BgL_res2422z00_3079;
						}
						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_objz00_3080;

							BgL_objz00_3080 = ((BgL_objectz00_bglt) BgL_tmp1120z00_1802);
							((BgL_globalz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3080, BgL_arg2250z00_1804));
					}}
					return ((BgL_globalz00_bglt) BgL_tmp1120z00_1802);
				}
			}
		}
	}



/* &lambda2246 */
	BgL_globalz00_bglt BGl_z62lambda2246z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3188, obj_t BgL_id1098z00_3189, obj_t BgL_name1099z00_3190,
		obj_t BgL_type1100z00_3191, obj_t BgL_value1101z00_3192,
		obj_t BgL_access1102z00_3193, obj_t BgL_fastzd2alpha1103zd2_3194,
		obj_t BgL_removable1104z00_3195, obj_t BgL_occurrence1105z00_3196,
		obj_t BgL_occurrencew1106z00_3197, obj_t BgL_userzf31107zf3_3198,
		obj_t BgL_module1108z00_3199, obj_t BgL_import1109z00_3200,
		obj_t BgL_evaluablezf31110zf3_3201, obj_t BgL_evalzf31111zf3_3202,
		obj_t BgL_library1112z00_3203, obj_t BgL_pragma1113z00_3204,
		obj_t BgL_src1114z00_3205, obj_t BgL_jvmzd2typezd2name1115z00_3206,
		obj_t BgL_init1116z00_3207, obj_t BgL_alias1117z00_3208,
		obj_t BgL_fix1118z00_3209)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				obj_t BgL_id1098z00_1772;
				obj_t BgL_name1099z00_1773;
				BgL_typez00_bglt BgL_type1100z00_1774;
				BgL_valuez00_bglt BgL_value1101z00_1775;
				obj_t BgL_access1102z00_1776;
				obj_t BgL_fastzd2alpha1103zd2_1777;
				obj_t BgL_removable1104z00_1778;
				long BgL_occurrence1105z00_1779;
				long BgL_occurrencew1106z00_1780;
				bool_t BgL_userzf31107zf3_1781;
				obj_t BgL_module1108z00_1782;
				obj_t BgL_import1109z00_1783;
				bool_t BgL_evaluablezf31110zf3_1784;
				bool_t BgL_evalzf31111zf3_1785;
				obj_t BgL_library1112z00_1786;
				obj_t BgL_pragma1113z00_1787;
				obj_t BgL_src1114z00_1788;
				obj_t BgL_jvmzd2typezd2name1115z00_1789;
				obj_t BgL_init1116z00_1790;
				obj_t BgL_alias1117z00_1791;
				obj_t BgL_fix1118z00_1792;

				BgL_id1098z00_1772 = BgL_id1098z00_3189;
				BgL_name1099z00_1773 = BgL_name1099z00_3190;
				BgL_type1100z00_1774 = ((BgL_typez00_bglt) BgL_type1100z00_3191);
				BgL_value1101z00_1775 = ((BgL_valuez00_bglt) BgL_value1101z00_3192);
				BgL_access1102z00_1776 = BgL_access1102z00_3193;
				BgL_fastzd2alpha1103zd2_1777 = BgL_fastzd2alpha1103zd2_3194;
				BgL_removable1104z00_1778 = BgL_removable1104z00_3195;
				BgL_occurrence1105z00_1779 = (long) CINT(BgL_occurrence1105z00_3196);
				BgL_occurrencew1106z00_1780 = (long) CINT(BgL_occurrencew1106z00_3197);
				BgL_userzf31107zf3_1781 = CBOOL(BgL_userzf31107zf3_3198);
				BgL_module1108z00_1782 = BgL_module1108z00_3199;
				BgL_import1109z00_1783 = BgL_import1109z00_3200;
				BgL_evaluablezf31110zf3_1784 = CBOOL(BgL_evaluablezf31110zf3_3201);
				BgL_evalzf31111zf3_1785 = CBOOL(BgL_evalzf31111zf3_3202);
				BgL_library1112z00_1786 = BgL_library1112z00_3203;
				BgL_pragma1113z00_1787 = BgL_pragma1113z00_3204;
				BgL_src1114z00_1788 = BgL_src1114z00_3205;
				BgL_jvmzd2typezd2name1115z00_1789 = BgL_jvmzd2typezd2name1115z00_3206;
				BgL_init1116z00_1790 = BgL_init1116z00_3207;
				BgL_alias1117z00_1791 = BgL_alias1117z00_3208;
				BgL_fix1118z00_1792 = BgL_fix1118z00_3209;
				{	/* Cfa/specialize.scm 35 */
					BgL_globalz00_bglt BgL_new1210z00_3064;

					{	/* Cfa/specialize.scm 35 */
						BgL_globalz00_bglt BgL_tmp1208z00_3065;
						BgL_specializa7edzd2globalz75_bglt BgL_wide1209z00_3066;

						{
							BgL_globalz00_bglt BgL_auxz00_3901;

							{	/* Cfa/specialize.scm 35 */
								BgL_globalz00_bglt BgL_new1207z00_3067;

								BgL_new1207z00_3067 =
									((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Cfa/specialize.scm 35 */
									long BgL_arg2248z00_3068;

									{	/* Cfa/specialize.scm 35 */
										long BgL_res2420z00_3071;

										BgL_res2420z00_3071 =
											BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
										BgL_arg2248z00_3068 = BgL_res2420z00_3071;
									}
									{	/* Cfa/specialize.scm 35 */
										BgL_objectz00_bglt BgL_objz00_3072;

										BgL_objz00_3072 =
											((BgL_objectz00_bglt) BgL_new1207z00_3067);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3072,
											BgL_arg2248z00_3068);
								}}
								{	/* Cfa/specialize.scm 35 */
									BgL_objectz00_bglt BgL_auxz00_3906;

									BgL_auxz00_3906 = ((BgL_objectz00_bglt) BgL_new1207z00_3067);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3906, BFALSE);
								}
								BgL_auxz00_3901 = BgL_new1207z00_3067;
							}
							BgL_tmp1208z00_3065 = ((BgL_globalz00_bglt) BgL_auxz00_3901);
						}
						BgL_wide1209z00_3066 =
							((BgL_specializa7edzd2globalz75_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_specializa7edzd2globalz75_bgl))));
						{	/* Cfa/specialize.scm 35 */
							obj_t BgL_auxz00_3913;
							BgL_objectz00_bglt BgL_auxz00_3911;

							BgL_auxz00_3913 = ((obj_t) BgL_wide1209z00_3066);
							BgL_auxz00_3911 = ((BgL_objectz00_bglt) BgL_tmp1208z00_3065);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3911, BgL_auxz00_3913);
						}
						{	/* Cfa/specialize.scm 35 */
							long BgL_arg2247z00_3069;

							{	/* Cfa/specialize.scm 35 */
								long BgL_res2421z00_3075;

								BgL_res2421z00_3075 =
									BGL_CLASS_INDEX
									(BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
								BgL_arg2247z00_3069 = BgL_res2421z00_3075;
							}
							{	/* Cfa/specialize.scm 35 */
								BgL_objectz00_bglt BgL_objz00_3076;

								BgL_objz00_3076 = ((BgL_objectz00_bglt) BgL_tmp1208z00_3065);
								((BgL_globalz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3076,
										BgL_arg2247z00_3069));
						}}
						BgL_new1210z00_3064 = ((BgL_globalz00_bglt) BgL_tmp1208z00_3065);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1210z00_3064)))->BgL_idz00) =
						((obj_t) BgL_id1098z00_1772), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1210z00_3064)))->BgL_namez00) =
						((obj_t) BgL_name1099z00_1773), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1210z00_3064)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1100z00_1774), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1210z00_3064)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1101z00_1775), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1210z00_3064)))->BgL_accessz00) =
						((obj_t) BgL_access1102z00_1776), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1210z00_3064)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1103zd2_1777), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1210z00_3064)))->BgL_removablez00) =
						((obj_t) BgL_removable1104z00_1778), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1210z00_3064)))->BgL_occurrencez00) =
						((long) BgL_occurrence1105z00_1779), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1210z00_3064)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1106z00_1780), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1210z00_3064)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31107zf3_1781), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1210z00_3064)))->BgL_modulez00) =
						((obj_t) BgL_module1108z00_1782), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1210z00_3064)))->BgL_importz00) =
						((obj_t) BgL_import1109z00_1783), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1210z00_3064)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31110zf3_1784), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1210z00_3064)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31111zf3_1785), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1210z00_3064)))->BgL_libraryz00) =
						((obj_t) BgL_library1112z00_1786), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1210z00_3064)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1113z00_1787), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1210z00_3064)))->BgL_srcz00) =
						((obj_t) BgL_src1114z00_1788), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1210z00_3064)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) BgL_jvmzd2typezd2name1115z00_1789), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1210z00_3064)))->BgL_initz00) =
						((obj_t) BgL_init1116z00_1790), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1210z00_3064)))->BgL_aliasz00) =
						((obj_t) BgL_alias1117z00_1791), BUNSPEC);
					{
						BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3961;

						{
							obj_t BgL_auxz00_3962;

							{	/* Cfa/specialize.scm 35 */
								BgL_objectz00_bglt BgL_auxz00_3963;

								BgL_auxz00_3963 = ((BgL_objectz00_bglt) BgL_new1210z00_3064);
								BgL_auxz00_3962 = BGL_OBJECT_WIDENING(BgL_auxz00_3963);
							}
							BgL_auxz00_3961 =
								((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3962);
						}
						((((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_3961))->
								BgL_fixz00) = ((obj_t) BgL_fix1118z00_1792), BUNSPEC);
					}
					return BgL_new1210z00_3064;
				}
			}
		}
	}



/* &lambda2260 */
	obj_t BGl_z62lambda2260z62zzcfa_specializa7eza7(obj_t BgL_envz00_3210,
		obj_t BgL_oz00_3211, obj_t BgL_vz00_3212)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_oz00_1820;
				obj_t BgL_vz00_1821;

				BgL_oz00_1820 = ((BgL_globalz00_bglt) BgL_oz00_3211);
				BgL_vz00_1821 = BgL_vz00_3212;
				{
					BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3975;

					{
						obj_t BgL_auxz00_3976;

						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_auxz00_3977;

							BgL_auxz00_3977 = ((BgL_objectz00_bglt) BgL_oz00_1820);
							BgL_auxz00_3976 = BGL_OBJECT_WIDENING(BgL_auxz00_3977);
						}
						BgL_auxz00_3975 =
							((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3976);
					}
					return
						((((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_3975))->
							BgL_fixz00) = ((obj_t) BgL_vz00_1821), BUNSPEC);
				}
			}
		}
	}



/* &lambda2259 */
	obj_t BGl_z62lambda2259z62zzcfa_specializa7eza7(obj_t BgL_envz00_3213,
		obj_t BgL_oz00_3214)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 35 */
			{
				BgL_globalz00_bglt BgL_oz00_1817;

				BgL_oz00_1817 = ((BgL_globalz00_bglt) BgL_oz00_3214);
				{
					BgL_specializa7edzd2globalz75_bglt BgL_auxz00_3983;

					{
						obj_t BgL_auxz00_3984;

						{	/* Cfa/specialize.scm 35 */
							BgL_objectz00_bglt BgL_auxz00_3985;

							BgL_auxz00_3985 = ((BgL_objectz00_bglt) BgL_oz00_1817);
							BgL_auxz00_3984 = BGL_OBJECT_WIDENING(BgL_auxz00_3985);
						}
						BgL_auxz00_3983 =
							((BgL_specializa7edzd2globalz75_bglt) BgL_auxz00_3984);
					}
					return
						(((BgL_specializa7edzd2globalz75_bglt) CREF(BgL_auxz00_3983))->
						BgL_fixz00);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_proc2459z00zzcfa_specializa7eza7, BGl_nodez00zzast_nodez00,
				BGl_string2460z00zzcfa_specializa7eza7);
		}
	}



/* &patch!1999 */
	obj_t BGl_z62patchz121999z70zzcfa_specializa7eza7(obj_t BgL_envz00_3216,
		obj_t BgL_nodez00_3217)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 330 */
			{
				BgL_nodez00_bglt BgL_nodez00_1832;

				BgL_nodez00_1832 = ((BgL_nodez00_bglt) BgL_nodez00_3217);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 13)),
					BGl_string2461z00zzcfa_specializa7eza7, ((obj_t) BgL_nodez00_1832));
		}}
	}



/* patch! */
	obj_t BGl_patchz12z12zzcfa_specializa7eza7(BgL_nodez00_bglt BgL_nodez00_93)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 330 */
			{	/* Cfa/specialize.scm 330 */
				obj_t BgL_method2000z00_1835;

				{	/* Cfa/specialize.scm 330 */
					obj_t BgL_res2432z00_3128;

					{	/* Cfa/specialize.scm 330 */
						BgL_objectz00_bglt BgL_objz00_3100;

						BgL_objz00_3100 = ((BgL_objectz00_bglt) BgL_nodez00_93);
						{	/* Cfa/specialize.scm 330 */
							long BgL_objzd2classzd2numz00_3101;

							{	/* Cfa/specialize.scm 330 */
								long BgL_res2426z00_3104;

								BgL_res2426z00_3104 = BGL_OBJECT_CLASS_NUM(BgL_objz00_3100);
								BgL_objzd2classzd2numz00_3101 = BgL_res2426z00_3104;
							}
							{	/* Cfa/specialize.scm 330 */
								obj_t BgL_arg1803z00_3102;

								BgL_arg1803z00_3102 =
									PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
									(int) (((long) 1)));
								{	/* Cfa/specialize.scm 330 */
									obj_t BgL_arrayz00_3105;
									int BgL_offsetz00_3106;

									BgL_arrayz00_3105 = BgL_arg1803z00_3102;
									BgL_offsetz00_3106 = (int) (BgL_objzd2classzd2numz00_3101);
									{	/* Cfa/specialize.scm 330 */
										long BgL_offsetz00_3107;

										BgL_offsetz00_3107 =
											((long) (BgL_offsetz00_3106) - OBJECT_TYPE);
										{	/* Cfa/specialize.scm 330 */
											long BgL_modz00_3108;

											{	/* Cfa/specialize.scm 330 */
												int BgL_arg1805z00_3109;

												BgL_arg1805z00_3109 = (int) (((long) 16));
												{	/* Cfa/specialize.scm 330 */
													long BgL_res2429z00_3119;

													{	/* Cfa/specialize.scm 330 */
														long BgL_auxz00_4004;

														BgL_auxz00_4004 = (long) (BgL_arg1805z00_3109);
														BgL_res2429z00_3119 =
															(BgL_offsetz00_3107 / BgL_auxz00_4004);
													}
													BgL_modz00_3108 = BgL_res2429z00_3119;
											}}
											{	/* Cfa/specialize.scm 330 */
												long BgL_restz00_3110;

												{	/* Cfa/specialize.scm 330 */
													int BgL_arg1804z00_3111;

													BgL_arg1804z00_3111 = (int) (((long) 16));
													{	/* Cfa/specialize.scm 330 */
														long BgL_res2431z00_3123;

														{	/* Cfa/specialize.scm 330 */
															long BgL_auxz00_4008;

															BgL_auxz00_4008 = (long) (BgL_arg1804z00_3111);
															BgL_res2431z00_3123 =
																(BgL_offsetz00_3107 % BgL_auxz00_4008);
														}
														BgL_restz00_3110 = BgL_res2431z00_3123;
												}}
												{	/* Cfa/specialize.scm 330 */

													BgL_res2432z00_3128 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_3105,
															(int) (BgL_modz00_3108)),
														(int) (BgL_restz00_3110));
					}}}}}}}}
					BgL_method2000z00_1835 = BgL_res2432z00_3128;
				}
				return
					PROCEDURE_ENTRY(BgL_method2000z00_1835) (BgL_method2000z00_1835,
					((obj_t) BgL_nodez00_93), BEOA);
			}
		}
	}



/* &patch! */
	obj_t BGl_z62patchz12z70zzcfa_specializa7eza7(obj_t BgL_envz00_3218,
		obj_t BgL_nodez00_3219)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 330 */
			return
				BGl_patchz12z12zzcfa_specializa7eza7(
				((BgL_nodez00_bglt) BgL_nodez00_3219));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_atomz00zzast_nodez00,
				BGl_proc2462z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_kwotez00zzast_nodez00,
				BGl_proc2464z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_varz00zzast_nodez00,
				BGl_proc2465z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_closurez00zzast_nodez00, BGl_proc2466z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_sequencez00zzast_nodez00, BGl_proc2467z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_syncz00zzast_nodez00,
				BGl_proc2468z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2469z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_funcallz00zzast_nodez00, BGl_proc2470z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_externz00zzast_nodez00,
				BGl_proc2471z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_castz00zzast_nodez00,
				BGl_proc2472z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_setqz00zzast_nodez00,
				BGl_proc2473z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_conditionalz00zzast_nodez00, BGl_proc2474z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_failz00zzast_nodez00,
				BGl_proc2475z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_selectz00zzast_nodez00,
				BGl_proc2476z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2477z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2478z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2479z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc2480z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2481z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2482z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2483z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_specializa7eza7, BGl_appz00zzast_nodez00,
				BGl_proc2484z00zzcfa_specializa7eza7,
				BGl_string2463z00zzcfa_specializa7eza7);
		}
	}



/* &patch!-app2045 */
	BgL_appz00_bglt BGl_z62patchz12zd2app2045za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3242, obj_t BgL_nodez00_3243)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 541 */
			{
				BgL_appz00_bglt BgL_nodez00_2005;

				BgL_nodez00_2005 = ((BgL_appz00_bglt) BgL_nodez00_3243);
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_2005))->BgL_argsz00));
				{
					BgL_varz00_bglt BgL_auxz00_4046;

					{	/* Cfa/specialize.scm 544 */
						BgL_varz00_bglt BgL_arg2318z00_2010;

						BgL_arg2318z00_2010 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_2005))->BgL_funz00);
						BgL_auxz00_4046 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2318z00_2010)));
					}
					((((BgL_appz00_bglt) CREF(BgL_nodez00_2005))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_4046), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 545 */
					BgL_variablez00_bglt BgL_vz00_2011;

					BgL_vz00_2011 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_2005))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Cfa/specialize.scm 547 */
						bool_t BgL_testz00_4054;

						{	/* Cfa/specialize.scm 547 */
							bool_t BgL_res2437z00_3156;

							{	/* Cfa/specialize.scm 547 */
								obj_t BgL_objz00_3155;

								BgL_objz00_3155 = ((obj_t) BgL_vz00_2011);
								BgL_res2437z00_3156 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_3155,
									BGl_specializa7edzd2globalz75zzcfa_specializa7eza7);
							}
							BgL_testz00_4054 = BgL_res2437z00_3156;
						}
						if (BgL_testz00_4054)
							{	/* Cfa/specialize.scm 547 */
								return
									BGl_specializa7ezd2appz12z67zzcfa_specializa7eza7
									(BgL_nodez00_2005);
							}
						else
							{	/* Cfa/specialize.scm 547 */
								return BgL_nodez00_2005;
							}
					}
				}
			}
		}
	}



/* &patch!-box-ref2043 */
	BgL_boxzd2refzd2_bglt
		BGl_z62patchz12zd2boxzd2ref2043z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3244, obj_t BgL_nodez00_3245)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 522 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1999;

				BgL_nodez00_1999 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3245);
				{
					BgL_varz00_bglt BgL_auxz00_4059;

					{	/* Cfa/specialize.scm 524 */
						BgL_varz00_bglt BgL_arg2316z00_2003;

						BgL_arg2316z00_2003 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1999))->BgL_varz00);
						BgL_auxz00_4059 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2316z00_2003)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1999))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_4059), BUNSPEC);
				}
				return BgL_nodez00_1999;
			}
		}
	}



/* &patch!-box-set!2041 */
	BgL_boxzd2setz12zc0_bglt
		BGl_z62patchz12zd2boxzd2setz122041z62zzcfa_specializa7eza7(obj_t
		BgL_envz00_3246, obj_t BgL_nodez00_3247)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 513 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1992;

				BgL_nodez00_1992 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3247);
				{
					BgL_varz00_bglt BgL_auxz00_4066;

					{	/* Cfa/specialize.scm 515 */
						BgL_varz00_bglt BgL_arg2314z00_1996;

						BgL_arg2314z00_1996 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1992))->BgL_varz00);
						BgL_auxz00_4066 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2314z00_1996)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1992))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_4066), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4072;

					{	/* Cfa/specialize.scm 516 */
						BgL_nodez00_bglt BgL_arg2315z00_1997;

						BgL_arg2315z00_1997 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1992))->
							BgL_valuez00);
						BgL_auxz00_4072 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2315z00_1997));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1992))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4072), BUNSPEC);
				}
				return BgL_nodez00_1992;
			}
		}
	}



/* &patch!-make-box2039 */
	BgL_makezd2boxzd2_bglt
		BGl_z62patchz12zd2makezd2box2039z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3248, obj_t BgL_nodez00_3249)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 505 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1986;

				BgL_nodez00_1986 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3249);
				{
					BgL_nodez00_bglt BgL_auxz00_4078;

					{	/* Cfa/specialize.scm 507 */
						BgL_nodez00_bglt BgL_arg2313z00_1990;

						BgL_arg2313z00_1990 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1986))->BgL_valuez00);
						BgL_auxz00_4078 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2313z00_1990));
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1986))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4078), BUNSPEC);
				}
				return BgL_nodez00_1986;
			}
		}
	}



/* &patch!-jump-ex-it2036 */
	BgL_jumpzd2exzd2itz00_bglt
		BGl_z62patchz12zd2jumpzd2exzd2it2036za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3250, obj_t BgL_nodez00_3251)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 496 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1979;

				BgL_nodez00_1979 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3251);
				{
					BgL_nodez00_bglt BgL_auxz00_4084;

					{	/* Cfa/specialize.scm 498 */
						BgL_nodez00_bglt BgL_arg2311z00_1983;

						BgL_arg2311z00_1983 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1979))->
							BgL_exitz00);
						BgL_auxz00_4084 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2311z00_1983));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1979))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_4084), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4089;

					{	/* Cfa/specialize.scm 499 */
						BgL_nodez00_bglt BgL_arg2312z00_1984;

						BgL_arg2312z00_1984 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1979))->
							BgL_valuez00);
						BgL_auxz00_4089 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2312z00_1984));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1979))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_4089), BUNSPEC);
				}
				return BgL_nodez00_1979;
			}
		}
	}



/* &patch!-set-ex-it2034 */
	BgL_setzd2exzd2itz00_bglt
		BGl_z62patchz12zd2setzd2exzd2it2034za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3252, obj_t BgL_nodez00_3253)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 487 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1972;

				BgL_nodez00_1972 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3253);
				{
					BgL_nodez00_bglt BgL_auxz00_4095;

					{	/* Cfa/specialize.scm 489 */
						BgL_nodez00_bglt BgL_arg2309z00_1976;

						BgL_arg2309z00_1976 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1972))->
							BgL_bodyz00);
						BgL_auxz00_4095 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2309z00_1976));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1972))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4095), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 490 */
					BgL_varz00_bglt BgL_arg2310z00_1977;

					BgL_arg2310z00_1977 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1972))->BgL_varz00);
					BGl_patchz12z12zzcfa_specializa7eza7(
						((BgL_nodez00_bglt) BgL_arg2310z00_1977));
				}
				return BgL_nodez00_1972;
			}
		}
	}



/* &patch!-let-var2032 */
	BgL_letzd2varzd2_bglt
		BGl_z62patchz12zd2letzd2var2032z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3254, obj_t BgL_nodez00_3255)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 472 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1954;

				BgL_nodez00_1954 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3255);
				{	/* Cfa/specialize.scm 474 */
					obj_t BgL_g1996z00_1958;

					BgL_g1996z00_1958 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1954))->BgL_bindingsz00);
					{
						obj_t BgL_l1994z00_1960;

						BgL_l1994z00_1960 = BgL_g1996z00_1958;
					BgL_zc3anonymousza32301ze3z83_1961:
						if (PAIRP(BgL_l1994z00_1960))
							{	/* Cfa/specialize.scm 474 */
								{	/* Cfa/specialize.scm 475 */
									obj_t BgL_bindingz00_1963;

									BgL_bindingz00_1963 = CAR(BgL_l1994z00_1960);
									{	/* Cfa/specialize.scm 475 */
										obj_t BgL_valz00_1964;

										BgL_valz00_1964 = CDR(BgL_bindingz00_1963);
										{	/* Cfa/specialize.scm 476 */
											obj_t BgL_arg2303z00_1965;

											BgL_arg2303z00_1965 =
												BGl_patchz12z12zzcfa_specializa7eza7(
												((BgL_nodez00_bglt) BgL_valz00_1964));
											SET_CDR(BgL_bindingz00_1963, BgL_arg2303z00_1965);
										}
									}
								}
								{
									obj_t BgL_l1994z00_4112;

									BgL_l1994z00_4112 = CDR(BgL_l1994z00_1960);
									BgL_l1994z00_1960 = BgL_l1994z00_4112;
									goto BgL_zc3anonymousza32301ze3z83_1961;
								}
							}
						else
							{	/* Cfa/specialize.scm 474 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4114;

					{	/* Cfa/specialize.scm 478 */
						BgL_nodez00_bglt BgL_arg2306z00_1968;

						BgL_arg2306z00_1968 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1954))->BgL_bodyz00);
						BgL_auxz00_4114 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2306z00_1968));
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1954))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4114), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 479 */
					bool_t BgL_testz00_4119;

					{	/* Cfa/specialize.scm 479 */
						BgL_typez00_bglt BgL_arg2308z00_1970;

						BgL_arg2308z00_1970 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1954)))->BgL_typez00);
						BgL_testz00_4119 =
							(
							((obj_t) BgL_arg2308z00_1970) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4119)
						{	/* Cfa/specialize.scm 479 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1954)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1954)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1954))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 479 */
							BFALSE;
						}
				}
				return BgL_nodez00_1954;
			}
		}
	}



/* &patch!-let-fun2030 */
	BgL_letzd2funzd2_bglt
		BGl_z62patchz12zd2letzd2fun2030z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3256, obj_t BgL_nodez00_3257)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 460 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1938;

				BgL_nodez00_1938 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3257);
				{	/* Cfa/specialize.scm 462 */
					obj_t BgL_g1993z00_1942;

					BgL_g1993z00_1942 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1938))->BgL_localsz00);
					{
						obj_t BgL_l1991z00_1944;

						BgL_l1991z00_1944 = BgL_g1993z00_1942;
					BgL_zc3anonymousza32294ze3z83_1945:
						if (PAIRP(BgL_l1991z00_1944))
							{	/* Cfa/specialize.scm 462 */
								BGl_patchzd2funz12zc0zzcfa_specializa7eza7(CAR
									(BgL_l1991z00_1944));
								{
									obj_t BgL_l1991z00_4137;

									BgL_l1991z00_4137 = CDR(BgL_l1991z00_1944);
									BgL_l1991z00_1944 = BgL_l1991z00_4137;
									goto BgL_zc3anonymousza32294ze3z83_1945;
								}
							}
						else
							{	/* Cfa/specialize.scm 462 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4139;

					{	/* Cfa/specialize.scm 463 */
						BgL_nodez00_bglt BgL_arg2298z00_1950;

						BgL_arg2298z00_1950 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1938))->BgL_bodyz00);
						BgL_auxz00_4139 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2298z00_1950));
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1938))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4139), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 464 */
					bool_t BgL_testz00_4144;

					{	/* Cfa/specialize.scm 464 */
						BgL_typez00_bglt BgL_arg2300z00_1952;

						BgL_arg2300z00_1952 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1938)))->BgL_typez00);
						BgL_testz00_4144 =
							(
							((obj_t) BgL_arg2300z00_1952) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4144)
						{	/* Cfa/specialize.scm 464 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1938)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1938)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1938))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 464 */
							BFALSE;
						}
				}
				return BgL_nodez00_1938;
			}
		}
	}



/* &patch!-select2028 */
	BgL_selectz00_bglt BGl_z62patchz12zd2select2028za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3258, obj_t BgL_nodez00_3259)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 449 */
			{
				BgL_selectz00_bglt BgL_nodez00_1922;

				BgL_nodez00_1922 = ((BgL_selectz00_bglt) BgL_nodez00_3259);
				{
					BgL_nodez00_bglt BgL_auxz00_4157;

					{	/* Cfa/specialize.scm 451 */
						BgL_nodez00_bglt BgL_arg2288z00_1926;

						BgL_arg2288z00_1926 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1922))->BgL_testz00);
						BgL_auxz00_4157 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2288z00_1926));
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1922))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4157), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 452 */
					obj_t BgL_g1990z00_1927;

					BgL_g1990z00_1927 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1922))->BgL_clausesz00);
					{
						obj_t BgL_l1988z00_1929;

						BgL_l1988z00_1929 = BgL_g1990z00_1927;
					BgL_zc3anonymousza32289ze3z83_1930:
						if (PAIRP(BgL_l1988z00_1929))
							{	/* Cfa/specialize.scm 452 */
								{	/* Cfa/specialize.scm 453 */
									obj_t BgL_clausez00_1932;

									BgL_clausez00_1932 = CAR(BgL_l1988z00_1929);
									{	/* Cfa/specialize.scm 453 */
										obj_t BgL_arg2291z00_1933;

										{	/* Cfa/specialize.scm 453 */
											obj_t BgL_arg2292z00_1934;

											BgL_arg2292z00_1934 = CDR(BgL_clausez00_1932);
											BgL_arg2291z00_1933 =
												BGl_patchz12z12zzcfa_specializa7eza7(
												((BgL_nodez00_bglt) BgL_arg2292z00_1934));
										}
										SET_CDR(BgL_clausez00_1932, BgL_arg2291z00_1933);
									}
								}
								{
									obj_t BgL_l1988z00_4170;

									BgL_l1988z00_4170 = CDR(BgL_l1988z00_1929);
									BgL_l1988z00_1929 = BgL_l1988z00_4170;
									goto BgL_zc3anonymousza32289ze3z83_1930;
								}
							}
						else
							{	/* Cfa/specialize.scm 452 */
								((bool_t) 1);
							}
					}
				}
				return BgL_nodez00_1922;
			}
		}
	}



/* &patch!-fail2026 */
	BgL_failz00_bglt BGl_z62patchz12zd2fail2026za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3260, obj_t BgL_nodez00_3261)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 439 */
			{
				BgL_failz00_bglt BgL_nodez00_1914;

				BgL_nodez00_1914 = ((BgL_failz00_bglt) BgL_nodez00_3261);
				{
					BgL_nodez00_bglt BgL_auxz00_4173;

					{	/* Cfa/specialize.scm 441 */
						BgL_nodez00_bglt BgL_arg2285z00_1918;

						BgL_arg2285z00_1918 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1914))->BgL_procz00);
						BgL_auxz00_4173 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2285z00_1918));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1914))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4173), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4178;

					{	/* Cfa/specialize.scm 442 */
						BgL_nodez00_bglt BgL_arg2286z00_1919;

						BgL_arg2286z00_1919 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1914))->BgL_msgz00);
						BgL_auxz00_4178 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2286z00_1919));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1914))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4178), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4183;

					{	/* Cfa/specialize.scm 443 */
						BgL_nodez00_bglt BgL_arg2287z00_1920;

						BgL_arg2287z00_1920 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1914))->BgL_objz00);
						BgL_auxz00_4183 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2287z00_1920));
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1914))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4183), BUNSPEC);
				}
				return BgL_nodez00_1914;
			}
		}
	}



/* &patch!-conditional2024 */
	BgL_conditionalz00_bglt
		BGl_z62patchz12zd2conditional2024za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3262, obj_t BgL_nodez00_3263)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 426 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1904;

				BgL_nodez00_1904 = ((BgL_conditionalz00_bglt) BgL_nodez00_3263);
				{
					BgL_nodez00_bglt BgL_auxz00_4189;

					{	/* Cfa/specialize.scm 428 */
						BgL_nodez00_bglt BgL_arg2280z00_1908;

						BgL_arg2280z00_1908 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1904))->BgL_testz00);
						BgL_auxz00_4189 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2280z00_1908));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1904))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4189), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4194;

					{	/* Cfa/specialize.scm 429 */
						BgL_nodez00_bglt BgL_arg2281z00_1909;

						BgL_arg2281z00_1909 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1904))->BgL_truez00);
						BgL_auxz00_4194 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2281z00_1909));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1904))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4194), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4199;

					{	/* Cfa/specialize.scm 430 */
						BgL_nodez00_bglt BgL_arg2282z00_1910;

						BgL_arg2282z00_1910 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1904))->
							BgL_falsez00);
						BgL_auxz00_4199 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2282z00_1910));
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1904))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4199), BUNSPEC);
				}
				{	/* Cfa/specialize.scm 431 */
					bool_t BgL_testz00_4204;

					{	/* Cfa/specialize.scm 431 */
						BgL_typez00_bglt BgL_arg2284z00_1912;

						BgL_arg2284z00_1912 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1904)))->BgL_typez00);
						BgL_testz00_4204 =
							(
							((obj_t) BgL_arg2284z00_1912) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4204)
						{	/* Cfa/specialize.scm 431 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1904)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1904)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1904))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 431 */
							BFALSE;
						}
				}
				return BgL_nodez00_1904;
			}
		}
	}



/* &patch!-setq2022 */
	BgL_setqz00_bglt BGl_z62patchz12zd2setq2022za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3264, obj_t BgL_nodez00_3265)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 417 */
			{
				BgL_setqz00_bglt BgL_nodez00_1897;

				BgL_nodez00_1897 = ((BgL_setqz00_bglt) BgL_nodez00_3265);
				{
					BgL_nodez00_bglt BgL_auxz00_4217;

					{	/* Cfa/specialize.scm 419 */
						BgL_nodez00_bglt BgL_arg2278z00_1901;

						BgL_arg2278z00_1901 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1897))->BgL_valuez00);
						BgL_auxz00_4217 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2278z00_1901));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1897))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4217), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_4222;

					{	/* Cfa/specialize.scm 420 */
						BgL_varz00_bglt BgL_arg2279z00_1902;

						BgL_arg2279z00_1902 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1897))->BgL_varz00);
						BgL_auxz00_4222 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(
								((BgL_nodez00_bglt) BgL_arg2279z00_1902)));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_1897))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_4222), BUNSPEC);
				}
				return BgL_nodez00_1897;
			}
		}
	}



/* &patch!-cast2020 */
	BgL_castz00_bglt BGl_z62patchz12zd2cast2020za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3266, obj_t BgL_nodez00_3267)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 409 */
			{
				BgL_castz00_bglt BgL_nodez00_1891;

				BgL_nodez00_1891 = ((BgL_castz00_bglt) BgL_nodez00_3267);
				BGl_patchz12z12zzcfa_specializa7eza7(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1891))->BgL_argz00));
				return BgL_nodez00_1891;
			}
		}
	}



/* &patch!-extern2018 */
	BgL_externz00_bglt BGl_z62patchz12zd2extern2018za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3268, obj_t BgL_nodez00_3269)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 401 */
			{
				BgL_externz00_bglt BgL_nodez00_1885;

				BgL_nodez00_1885 = ((BgL_externz00_bglt) BgL_nodez00_3269);
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1885))->BgL_exprza2za2));
				return BgL_nodez00_1885;
			}
		}
	}



/* &patch!-funcall2016 */
	BgL_funcallz00_bglt
		BGl_z62patchz12zd2funcall2016za2zzcfa_specializa7eza7(obj_t BgL_envz00_3270,
		obj_t BgL_nodez00_3271)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 392 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1878;

				BgL_nodez00_1878 = ((BgL_funcallz00_bglt) BgL_nodez00_3271);
				{
					BgL_nodez00_bglt BgL_auxz00_4235;

					{	/* Cfa/specialize.scm 394 */
						BgL_nodez00_bglt BgL_arg2274z00_1882;

						BgL_arg2274z00_1882 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1878))->BgL_funz00);
						BgL_auxz00_4235 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2274z00_1882));
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1878))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4235), BUNSPEC);
				}
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1878))->BgL_argsz00));
				return BgL_nodez00_1878;
			}
		}
	}



/* &patch!-app-ly2014 */
	BgL_appzd2lyzd2_bglt
		BGl_z62patchz12zd2appzd2ly2014z70zzcfa_specializa7eza7(obj_t
		BgL_envz00_3272, obj_t BgL_nodez00_3273)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 383 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1871;

				BgL_nodez00_1871 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3273);
				{
					BgL_nodez00_bglt BgL_auxz00_4243;

					{	/* Cfa/specialize.scm 385 */
						BgL_nodez00_bglt BgL_arg2272z00_1875;

						BgL_arg2272z00_1875 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1871))->BgL_funz00);
						BgL_auxz00_4243 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2272z00_1875));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1871))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4243), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4248;

					{	/* Cfa/specialize.scm 386 */
						BgL_nodez00_bglt BgL_arg2273z00_1876;

						BgL_arg2273z00_1876 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1871))->BgL_argz00);
						BgL_auxz00_4248 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2273z00_1876));
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1871))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4248), BUNSPEC);
				}
				return BgL_nodez00_1871;
			}
		}
	}



/* &patch!-sync2012 */
	BgL_syncz00_bglt BGl_z62patchz12zd2sync2012za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3274, obj_t BgL_nodez00_3275)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 370 */
			{
				BgL_syncz00_bglt BgL_nodez00_1861;

				BgL_nodez00_1861 = ((BgL_syncz00_bglt) BgL_nodez00_3275);
				{
					BgL_nodez00_bglt BgL_auxz00_4254;

					{	/* Cfa/specialize.scm 372 */
						BgL_nodez00_bglt BgL_arg2267z00_1865;

						BgL_arg2267z00_1865 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1861))->BgL_mutexz00);
						BgL_auxz00_4254 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2267z00_1865));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1861))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4254), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4259;

					{	/* Cfa/specialize.scm 373 */
						BgL_nodez00_bglt BgL_arg2268z00_1866;

						BgL_arg2268z00_1866 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1861))->BgL_prelockz00);
						BgL_auxz00_4259 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_specializa7eza7(BgL_arg2268z00_1866));
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1861))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4259), BUNSPEC);
				}
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1861))->BgL_nodesz00));
				{	/* Cfa/specialize.scm 375 */
					bool_t BgL_testz00_4266;

					{	/* Cfa/specialize.scm 375 */
						BgL_typez00_bglt BgL_arg2271z00_1869;

						BgL_arg2271z00_1869 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1861)))->BgL_typez00);
						BgL_testz00_4266 =
							(
							((obj_t) BgL_arg2271z00_1869) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4266)
						{	/* Cfa/specialize.scm 375 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1861)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1861)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1861))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 375 */
							BFALSE;
						}
				}
				return BgL_nodez00_1861;
			}
		}
	}



/* &patch!-sequence2010 */
	BgL_sequencez00_bglt
		BGl_z62patchz12zd2sequence2010za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3276, obj_t BgL_nodez00_3277)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 359 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1853;

				BgL_nodez00_1853 = ((BgL_sequencez00_bglt) BgL_nodez00_3277);
				BGl_patchza2z12zb0zzcfa_specializa7eza7(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1853))->BgL_nodesz00));
				{	/* Cfa/specialize.scm 362 */
					bool_t BgL_testz00_4281;

					{	/* Cfa/specialize.scm 362 */
						BgL_typez00_bglt BgL_arg2266z00_1859;

						BgL_arg2266z00_1859 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_1853)))->BgL_typez00);
						BgL_testz00_4281 =
							(
							((obj_t) BgL_arg2266z00_1859) == BGl_za2objza2z00zztype_cachez00);
					}
					if (BgL_testz00_4281)
						{	/* Cfa/specialize.scm 362 */
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1853)))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2_za2z00zztype_cachez00)), BUNSPEC);
							((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
												BgL_nodez00_1853)))->BgL_typez00) =
								((BgL_typez00_bglt)
									BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_nodez00_1853))), BUNSPEC);
						}
					else
						{	/* Cfa/specialize.scm 362 */
							BFALSE;
						}
				}
				return BgL_nodez00_1853;
			}
		}
	}



/* &patch!-closure2008 */
	obj_t BGl_z62patchz12zd2closure2008za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3278, obj_t BgL_nodez00_3279)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 353 */
			{
				BgL_closurez00_bglt BgL_nodez00_1848;

				BgL_nodez00_1848 = ((BgL_closurez00_bglt) BgL_nodez00_3279);
				{	/* Cfa/specialize.scm 354 */
					obj_t BgL_arg2263z00_3129;

					BgL_arg2263z00_3129 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_1848));
					return
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string2463z00zzcfa_specializa7eza7,
						BGl_string2485z00zzcfa_specializa7eza7, BgL_arg2263z00_3129);
				}
			}
		}
	}



/* &patch!-var2006 */
	BgL_varz00_bglt BGl_z62patchz12zd2var2006za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3280, obj_t BgL_nodez00_3281)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 347 */
			return ((BgL_varz00_bglt) BgL_nodez00_3281);
		}
	}



/* &patch!-kwote2004 */
	BgL_kwotez00_bglt BGl_z62patchz12zd2kwote2004za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3282, obj_t BgL_nodez00_3283)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 341 */
			return ((BgL_kwotez00_bglt) BgL_nodez00_3283);
		}
	}



/* &patch!-atom2002 */
	BgL_atomz00_bglt BGl_z62patchz12zd2atom2002za2zzcfa_specializa7eza7(obj_t
		BgL_envz00_3284, obj_t BgL_nodez00_3285)
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 335 */
			return ((BgL_atomz00_bglt) BgL_nodez00_3285);
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_specializa7eza7()
	{
		AN_OBJECT;
		{	/* Cfa/specialize.scm 19 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2486z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string2486z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2486z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2486z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string2486z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2486z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2486z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2486z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2486z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2486z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2486z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2486z00zzcfa_specializa7eza7));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string2486z00zzcfa_specializa7eza7));
			return
				BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string2486z00zzcfa_specializa7eza7));
		}
	}

#ifdef __cplusplus
}
#endif
