/*===========================================================================*/
/*   (Cfa/type.scm)                                                          */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/type.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_vapproxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_conszd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_getz00;
	}                          *BgL_conszd2refzd2appz00_bglt;

	typedef struct BgL_valloczf2cinfozb2optimz40_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		bool_t BgL_stackablezf3zf3;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                                *BgL_valloczf2cinfozb2optimz40_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;


	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz123235zb0zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2makezd2box3233za2zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzcfa_typez00();
	static obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2arithmeti3193z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_methodzd2initzd2zzcfa_typez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2kwote3181z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00();
	extern obj_t BGl_procedurezd2refzd2appz00zzcfa_info2z00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var3183z70zzcfa_typez00(obj_t,
		obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it3229z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2closure3185z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2fun3225za2zzcfa_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	extern obj_t BGl_conszd2refzd2appz00zzcfa_info2z00;
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci3201z50zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez123164za2zzcfa_typez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2valloc3207z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure3195z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure3197z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2var3227za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2select3223z70zzcfa_typez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2cast3213z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app3191z70zzcfa_typez00(obj_t,
		obj_t);
	static obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00();
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setq3215z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static obj_t BGl_z62typezd2variablez12zd2inter3175z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2sync3189z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt, obj_t);
	static obj_t
		BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t
		BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00;
	extern obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2scnst3169z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2funcallzf2C3203z82zzcfa_typez00(obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2ref3237za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2sequence3187z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vsetz123211z62zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00();
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2fail3221z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd23199z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_cleanupzd2typezd2zzcfa_typez00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vref3209z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_typez00 = BUNSPEC;
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62typezd2variablez12zd2sexit3173z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_typez00();
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_typez00();
	static obj_t BGl_z62typezd2variablez12zd2svarzf23167z82zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2cvarzf23171z82zzcfa_typez00(obj_t,
		obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(BgL_nodez00_bglt);
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition3217z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition3219z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2atom3179z70zzcfa_typez00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i3231z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62typezd2nodez123176za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_typez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2extern3205z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	extern obj_t BGl_procedurezd2setz12zd2appz12zzcfa_info2z00;
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2settingsz12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2settin3772z00,
		BGl_z62typezd2settingsz12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713773za7,
		BGl_z62typezd2nodez12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string3723z00zzcfa_typez00,
		BgL_bgl_string3723za700za7za7c3774za7, "type-fun!", 9);
	      DEFINE_STRING(BGl_string3724z00zzcfa_typez00,
		BgL_bgl_string3724za700za7za7c3775za7, "Unknown value", 13);
	      DEFINE_STRING(BGl_string3726z00zzcfa_typez00,
		BgL_bgl_string3726za700za7za7c3776za7, "type-variable!3164", 18);
	      DEFINE_STRING(BGl_string3728z00zzcfa_typez00,
		BgL_bgl_string3728za700za7za7c3777za7, "type-node!3176", 14);
	      DEFINE_STRING(BGl_string3729z00zzcfa_typez00,
		BgL_bgl_string3729za700za7za7c3778za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string3731z00zzcfa_typez00,
		BgL_bgl_string3731za700za7za7c3779za7, "type-variable!", 14);
	      DEFINE_STRING(BGl_string3737z00zzcfa_typez00,
		BgL_bgl_string3737za700za7za7c3780za7, "type-node!", 10);
	      DEFINE_STRING(BGl_string3767z00zzcfa_typez00,
		BgL_bgl_string3767za700za7za7c3781za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string3768z00zzcfa_typez00,
		BgL_bgl_string3768za700za7za7c3782za7, "cfa_type", 8);
	      DEFINE_STRING(BGl_string3769z00zzcfa_typez00,
		BgL_bgl_string3769za700za7za7c3783za7,
		"nothing static type-node!3176 bigloo ", 37);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2approxzd2typezd2envzd2zzcfa_typez00,
		BgL_bgl_za762getza7d2approxza73784za7,
		BGl_z62getzd2approxzd2typez62zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3785z00,
		BGl_z62typezd2variablez12za2zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3725z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3786z00,
		BGl_z62typezd2variablez123164za2zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3727z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713787za7,
		BGl_z62typezd2nodez123176za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3730z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3788z00,
		BGl_z62typezd2variablez12zd2svarzf23167z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3732z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3789z00,
		BGl_z62typezd2variablez12zd2scnst3169z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3733z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3790z00,
		BGl_z62typezd2variablez12zd2cvarzf23171z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3734z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3791z00,
		BGl_z62typezd2variablez12zd2sexit3173z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3735z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab3792z00,
		BGl_z62typezd2variablez12zd2inter3175z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3736z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713793za7,
		BGl_z62typezd2nodez12zd2atom3179z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3738z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713794za7,
		BGl_z62typezd2nodez12zd2kwote3181z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3739z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713795za7,
		BGl_z62typezd2nodez12zd2var3183z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3740z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713796za7,
		BGl_z62typezd2nodez12zd2closure3185z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3741z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713797za7,
		BGl_z62typezd2nodez12zd2sequence3187z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3742z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713798za7,
		BGl_z62typezd2nodez12zd2sync3189z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3743z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713799za7,
		BGl_z62typezd2nodez12zd2app3191z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3744z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713800za7,
		BGl_z62typezd2nodez12zd2arithmeti3193z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3745z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713801za7,
		BGl_z62typezd2nodez12zd2procedure3195z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3746z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713802za7,
		BGl_z62typezd2nodez12zd2procedure3197z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3747z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713803za7,
		BGl_z62typezd2nodez12zd2conszd2refzd23199z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3748z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713804za7,
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci3201z50zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3749z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713805za7,
		BGl_z62typezd2nodez12zd2funcallzf2C3203z82zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3750z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713806za7,
		BGl_z62typezd2nodez12zd2extern3205z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3751z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713807za7,
		BGl_z62typezd2nodez12zd2valloc3207z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3752z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713808za7,
		BGl_z62typezd2nodez12zd2vref3209z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3753z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713809za7,
		BGl_z62typezd2nodez12zd2vsetz123211z62zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3754z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713810za7,
		BGl_z62typezd2nodez12zd2cast3213z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3755z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713811za7,
		BGl_z62typezd2nodez12zd2setq3215z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3756z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713812za7,
		BGl_z62typezd2nodez12zd2condition3217z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3757z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713813za7,
		BGl_z62typezd2nodez12zd2condition3219z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3758z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713814za7,
		BGl_z62typezd2nodez12zd2fail3221z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3759z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713815za7,
		BGl_z62typezd2nodez12zd2select3223z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3760z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713816za7,
		BGl_z62typezd2nodez12zd2letzd2fun3225za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3761z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713817za7,
		BGl_z62typezd2nodez12zd2letzd2var3227za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3762z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713818za7,
		BGl_z62typezd2nodez12zd2setzd2exzd2it3229z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3763z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713819za7,
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i3231z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3764z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713820za7,
		BGl_z62typezd2nodez12zd2makezd2box3233za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3765z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713821za7,
		BGl_z62typezd2nodez12zd2boxzd2setz123235zb0zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc3766z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza713822za7,
		BGl_z62typezd2nodez12zd2boxzd2ref3237za2zzcfa_typez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long
		BgL_checksumz00_6399, char *BgL_fromz00_6400)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_typez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_typez00 = BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
					BGl_cnstzd2initzd2zzcfa_typez00();
					BGl_importedzd2moduleszd2initz00zzcfa_typez00();
					BGl_genericzd2initzd2zzcfa_typez00();
					BGl_methodzd2initzd2zzcfa_typez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_type");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			{	/* Cfa/type.scm 15 */
				obj_t BgL_cportz00_6384;

				BgL_cportz00_6384 =
					bgl_open_input_string(BGl_string3769z00zzcfa_typez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_6385;

					BgL_iz00_6385 = ((long) 3);
				BgL_loopz00_6386:
					if ((BgL_iz00_6385 == ((long) -1)))
						{	/* Cfa/type.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/type.scm 15 */
							{	/* Cfa/type.scm 15 */
								obj_t BgL_arg3771z00_6388;

								{	/* Cfa/type.scm 15 */

									{	/* Cfa/type.scm 15 */
										obj_t BgL_locationz00_6390;

										BgL_locationz00_6390 = BBOOL(((bool_t) 0));
										{	/* Cfa/type.scm 15 */

											BgL_arg3771z00_6388 =
												BGl_readz00zz__readerz00(BgL_cportz00_6384,
												BgL_locationz00_6390);
										}
									}
								}
								{	/* Cfa/type.scm 15 */
									int BgL_auxz00_6421;

									BgL_auxz00_6421 = (int) (BgL_iz00_6385);
									CNST_TABLE_SET(BgL_auxz00_6421, BgL_arg3771z00_6388);
							}}
							{	/* Cfa/type.scm 15 */
								int BgL_auxz00_6391;

								BgL_auxz00_6391 = (int) ((BgL_iz00_6385 - ((long) 1)));
								{
									long BgL_iz00_6426;

									BgL_iz00_6426 = (long) (BgL_auxz00_6391);
									BgL_iz00_6385 = BgL_iz00_6426;
									goto BgL_loopz00_6386;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}
	}



/* type-settings! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t
		BgL_globalsz00_3)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 38 */
			BGl_typezd2closuresz12zc0zzcfa_closurez00();
			{
				obj_t BgL_l3135z00_3304;

				{	/* Cfa/type.scm 42 */
					bool_t BgL_auxz00_6429;

					BgL_l3135z00_3304 = BgL_globalsz00_3;
				BgL_zc3anonymousza33242ze3z83_3305:
					if (PAIRP(BgL_l3135z00_3304))
						{	/* Cfa/type.scm 42 */
							{	/* Cfa/type.scm 42 */
								obj_t BgL_arg3244z00_3307;

								BgL_arg3244z00_3307 = CAR(BgL_l3135z00_3304);
								BGl_typezd2funz12zc0zzcfa_typez00(
									((BgL_variablez00_bglt) BgL_arg3244z00_3307));
							}
							{
								obj_t BgL_l3135z00_6435;

								BgL_l3135z00_6435 = CDR(BgL_l3135z00_3304);
								BgL_l3135z00_3304 = BgL_l3135z00_6435;
								goto BgL_zc3anonymousza33242ze3z83_3305;
							}
						}
					else
						{	/* Cfa/type.scm 42 */
							BgL_auxz00_6429 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_6429);
				}
			}
		}
	}



/* &type-settings! */
	obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t BgL_envz00_6257,
		obj_t BgL_globalsz00_6258)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 38 */
			return BGl_typezd2settingsz12zc0zzcfa_typez00(BgL_globalsz00_6258);
		}
	}



/* type-fun! */
	obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt BgL_varz00_4)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 47 */
			{	/* Cfa/type.scm 48 */
				BgL_valuez00_bglt BgL_funz00_3310;

				BgL_funz00_3310 =
					(((BgL_variablez00_bglt) CREF(BgL_varz00_4))->BgL_valuez00);
				{	/* Cfa/type.scm 50 */
					bool_t BgL_testz00_6440;

					{	/* Cfa/type.scm 50 */
						bool_t BgL_res3647z00_5913;

						{	/* Cfa/type.scm 50 */
							obj_t BgL_objz00_5912;

							BgL_objz00_5912 = ((obj_t) BgL_funz00_3310);
							BgL_res3647z00_5913 =
								BGl_isazf3zf3zz__objectz00(BgL_objz00_5912,
								BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
						}
						BgL_testz00_6440 = BgL_res3647z00_5913;
					}
					if (BgL_testz00_6440)
						{	/* Cfa/type.scm 53 */
							BgL_sfunz00_bglt BgL_i1162z00_3312;

							BgL_i1162z00_3312 = ((BgL_sfunz00_bglt) BgL_funz00_3310);
							{	/* Cfa/type.scm 55 */
								obj_t BgL_g3139z00_3313;

								BgL_g3139z00_3313 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt) BgL_i1162z00_3312)))->BgL_argsz00);
								{
									obj_t BgL_l3137z00_3315;

									BgL_l3137z00_3315 = BgL_g3139z00_3313;
								BgL_zc3anonymousza33247ze3z83_3316:
									if (PAIRP(BgL_l3137z00_3315))
										{	/* Cfa/type.scm 55 */
											{	/* Cfa/type.scm 56 */
												obj_t BgL_varz00_3318;

												BgL_varz00_3318 = CAR(BgL_l3137z00_3315);
												{	/* Cfa/type.scm 56 */
													BgL_valuez00_bglt BgL_arg3249z00_3319;

													BgL_arg3249z00_3319 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_varz00_3318))))->
														BgL_valuez00);
													BGl_typezd2variablez12zc0zzcfa_typez00
														(BgL_arg3249z00_3319,
														((BgL_variablez00_bglt) BgL_varz00_3318));
												}
											}
											{
												obj_t BgL_l3137z00_6454;

												BgL_l3137z00_6454 = CDR(BgL_l3137z00_3315);
												BgL_l3137z00_3315 = BgL_l3137z00_6454;
												goto BgL_zc3anonymousza33247ze3z83_3316;
											}
										}
									else
										{	/* Cfa/type.scm 55 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/type.scm 59 */
								obj_t BgL_arg3251z00_3322;

								{	/* Cfa/type.scm 59 */
									BgL_approxz00_bglt BgL_arg3252z00_3323;

									{
										BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_6456;

										{
											obj_t BgL_auxz00_6457;

											{	/* Cfa/type.scm 59 */
												BgL_objectz00_bglt BgL_auxz00_6458;

												BgL_auxz00_6458 =
													((BgL_objectz00_bglt) BgL_i1162z00_3312);
												BgL_auxz00_6457 = BGL_OBJECT_WIDENING(BgL_auxz00_6458);
											}
											BgL_auxz00_6456 =
												((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_6457);
										}
										BgL_arg3252z00_3323 =
											(((BgL_internzd2sfunzf2cinfoz20_bglt)
												CREF(BgL_auxz00_6456))->BgL_approxz00);
									}
									BgL_arg3251z00_3322 =
										BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3252z00_3323,
										((obj_t) BgL_varz00_4));
								}
								BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_varz00_4,
									((BgL_typez00_bglt) BgL_arg3251z00_3322));
							}
							{	/* Cfa/type.scm 60 */
								BgL_sfunz00_bglt BgL_o1163z00_3324;

								BgL_o1163z00_3324 = ((BgL_sfunz00_bglt) BgL_funz00_3310);
								{	/* Cfa/type.scm 60 */
									long BgL_arg3253z00_3325;

									{	/* Cfa/type.scm 60 */
										obj_t BgL_arg3254z00_3326;

										{	/* Cfa/type.scm 60 */
											obj_t BgL_arg3255z00_3327;

											{	/* Cfa/type.scm 60 */
												BgL_objectz00_bglt BgL_objectz00_5921;

												BgL_objectz00_5921 =
													((BgL_objectz00_bglt) BgL_o1163z00_3324);
												{	/* Cfa/type.scm 60 */
													long BgL_arg1806z00_5922;

													{	/* Cfa/type.scm 60 */
														long BgL_arg1808z00_5923;

														{	/* Cfa/type.scm 60 */
															long BgL_res3650z00_5925;

															BgL_res3650z00_5925 =
																BGL_OBJECT_CLASS_NUM(BgL_objectz00_5921);
															BgL_arg1808z00_5923 = BgL_res3650z00_5925;
														}
														BgL_arg1806z00_5922 =
															(BgL_arg1808z00_5923 - OBJECT_TYPE);
													}
													BgL_arg3255z00_3327 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														(int) (BgL_arg1806z00_5922));
											}}
											BgL_arg3254z00_3326 =
												BGl_classzd2superzd2zz__objectz00(BgL_arg3255z00_3327);
										}
										{	/* Cfa/type.scm 60 */
											long BgL_res3652z00_5932;

											BgL_res3652z00_5932 =
												BGL_CLASS_INDEX(BgL_arg3254z00_3326);
											BgL_arg3253z00_3325 = BgL_res3652z00_5932;
									}}
									{	/* Cfa/type.scm 60 */
										BgL_objectz00_bglt BgL_objz00_5933;

										BgL_objz00_5933 = ((BgL_objectz00_bglt) BgL_o1163z00_3324);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_5933,
											BgL_arg3253z00_3325);
								}}
								{	/* Cfa/type.scm 60 */
									BgL_objectz00_bglt BgL_auxz00_6477;

									BgL_auxz00_6477 = ((BgL_objectz00_bglt) BgL_o1163z00_3324);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_6477, BFALSE);
								} BgL_o1163z00_3324;
							}
							{
								obj_t BgL_auxz00_6480;

								{	/* Cfa/type.scm 62 */
									obj_t BgL_arg3256z00_3328;

									BgL_arg3256z00_3328 =
										(((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_i1162z00_3312)))->BgL_bodyz00);
									BgL_auxz00_6480 =
										((obj_t)
										BGl_typezd2nodez12zc0zzcfa_typez00(
											((BgL_nodez00_bglt) BgL_arg3256z00_3328)));
								}
								return
									((((BgL_sfunz00_bglt) CREF(
												((BgL_sfunz00_bglt) BgL_i1162z00_3312)))->BgL_bodyz00) =
									((obj_t) BgL_auxz00_6480), BUNSPEC);
							}
						}
					else
						{	/* Cfa/type.scm 63 */
							bool_t BgL_testz00_6488;

							{	/* Cfa/type.scm 63 */
								bool_t BgL_res3653z00_5936;

								{	/* Cfa/type.scm 63 */
									obj_t BgL_objz00_5935;

									BgL_objz00_5935 = ((obj_t) BgL_funz00_3310);
									BgL_res3653z00_5936 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_5935,
										BGl_sfunz00zzast_varz00);
								}
								BgL_testz00_6488 = BgL_res3653z00_5936;
							}
							if (BgL_testz00_6488)
								{	/* Cfa/type.scm 64 */
									BgL_sfunz00_bglt BgL_i1164z00_3330;

									BgL_i1164z00_3330 = ((BgL_sfunz00_bglt) BgL_funz00_3310);
									{
										obj_t BgL_auxz00_6492;

										{	/* Cfa/type.scm 65 */
											obj_t BgL_arg3258z00_3331;

											BgL_arg3258z00_3331 =
												(((BgL_sfunz00_bglt) CREF(BgL_i1164z00_3330))->
												BgL_bodyz00);
											BgL_auxz00_6492 =
												((obj_t)
												BGl_typezd2nodez12zc0zzcfa_typez00(((BgL_nodez00_bglt)
														BgL_arg3258z00_3331)));
										}
										return
											((((BgL_sfunz00_bglt) CREF(BgL_i1164z00_3330))->
												BgL_bodyz00) = ((obj_t) BgL_auxz00_6492), BUNSPEC);
									}
								}
							else
								{	/* Cfa/type.scm 67 */
									obj_t BgL_arg3259z00_3332;

									BgL_arg3259z00_3332 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_4));
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string3723z00zzcfa_typez00,
										BGl_string3724z00zzcfa_typez00, BgL_arg3259z00_3332);
								}
						}
				}
			}
		}
	}



/* type-fun-node! */
	obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt BgL_vz00_5)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 72 */
			{	/* Cfa/type.scm 73 */
				BgL_variablez00_bglt BgL_varz00_3333;

				BgL_varz00_3333 =
					(((BgL_varz00_bglt) CREF(BgL_vz00_5))->BgL_variablez00);
				{	/* Cfa/type.scm 73 */
					BgL_valuez00_bglt BgL_funz00_3334;

					BgL_funz00_3334 =
						(((BgL_variablez00_bglt) CREF(BgL_varz00_3333))->BgL_valuez00);
					{	/* Cfa/type.scm 74 */

						{	/* Cfa/type.scm 75 */
							bool_t BgL_testz00_6503;

							{	/* Cfa/type.scm 75 */
								bool_t BgL_res3656z00_5944;

								{	/* Cfa/type.scm 75 */
									obj_t BgL_objz00_5943;

									BgL_objz00_5943 = ((obj_t) BgL_funz00_3334);
									BgL_res3656z00_5944 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_5943,
										BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
								}
								BgL_testz00_6503 = BgL_res3656z00_5944;
							}
							if (BgL_testz00_6503)
								{	/* Cfa/type.scm 76 */
									BgL_sfunz00_bglt BgL_i1165z00_3336;

									BgL_i1165z00_3336 = ((BgL_sfunz00_bglt) BgL_funz00_3334);
									{	/* Cfa/type.scm 77 */
										obj_t BgL_arg3261z00_3337;

										{	/* Cfa/type.scm 77 */
											BgL_approxz00_bglt BgL_arg3262z00_3338;

											{
												BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_6507;

												{
													obj_t BgL_auxz00_6508;

													{	/* Cfa/type.scm 77 */
														BgL_objectz00_bglt BgL_auxz00_6509;

														BgL_auxz00_6509 =
															((BgL_objectz00_bglt) BgL_i1165z00_3336);
														BgL_auxz00_6508 =
															BGL_OBJECT_WIDENING(BgL_auxz00_6509);
													}
													BgL_auxz00_6507 =
														((BgL_internzd2sfunzf2cinfoz20_bglt)
														BgL_auxz00_6508);
												}
												BgL_arg3262z00_3338 =
													(((BgL_internzd2sfunzf2cinfoz20_bglt)
														CREF(BgL_auxz00_6507))->BgL_approxz00);
											}
											BgL_arg3261z00_3337 =
												BGl_getzd2approxzd2typez00zzcfa_typez00
												(BgL_arg3262z00_3338, ((obj_t) BgL_vz00_5));
										}
										return
											BGl_setzd2variablezd2typez12z12zzcfa_typez00
											(BgL_varz00_3333,
											((BgL_typez00_bglt) BgL_arg3261z00_3337));
									}
								}
							else
								{	/* Cfa/type.scm 75 */
									return BFALSE;
								}
						}
					}
				}
			}
		}
	}



/* get-approx-type */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt BgL_approxz00_6,
		obj_t BgL_nodez00_7)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 82 */
			{	/* Cfa/type.scm 83 */
				BgL_typez00_bglt BgL_typez00_3339;
				obj_t BgL_alloczd2listzd2_3340;

				BgL_typez00_3339 =
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_6))->BgL_typez00);
				BgL_alloczd2listzd2_3340 =
					BGl_setzd2ze3listz31zzcfa_setz00(
					(((BgL_approxz00_bglt) CREF(BgL_approxz00_6))->BgL_allocsz00));
				if (PAIRP(BgL_alloczd2listzd2_3340))
					{	/* Cfa/type.scm 86 */
						if ((((BgL_approxz00_bglt) CREF(BgL_approxz00_6))->BgL_topzf3zf3))
							{	/* Cfa/type.scm 88 */
								return BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Cfa/type.scm 90 */
								bool_t BgL_testz00_6525;

								{
									obj_t BgL_l3140z00_3371;

									BgL_l3140z00_3371 = BgL_alloczd2listzd2_3340;
								BgL_zc3anonymousza33277ze3z83_3372:
									if (NULLP(BgL_l3140z00_3371))
										{	/* Cfa/type.scm 90 */
											BgL_testz00_6525 = ((bool_t) 1);
										}
									else
										{	/* Cfa/type.scm 90 */
											bool_t BgL_testz00_6528;

											{	/* Cfa/type.scm 90 */
												obj_t BgL_arg3281z00_3377;

												BgL_arg3281z00_3377 = CAR(BgL_l3140z00_3371);
												BgL_testz00_6528 =
													BGl_isazf3zf3zz__objectz00(BgL_arg3281z00_3377,
													BGl_makezd2vectorzd2appz00zzcfa_info2z00);
											}
											if (BgL_testz00_6528)
												{
													obj_t BgL_l3140z00_6531;

													BgL_l3140z00_6531 = CDR(BgL_l3140z00_3371);
													BgL_l3140z00_3371 = BgL_l3140z00_6531;
													goto BgL_zc3anonymousza33277ze3z83_3372;
												}
											else
												{	/* Cfa/type.scm 90 */
													BgL_testz00_6525 = ((bool_t) 0);
												}
										}
								}
								if (BgL_testz00_6525)
									{	/* Cfa/type.scm 91 */
										obj_t BgL_appz00_3344;

										BgL_appz00_3344 = CAR(BgL_alloczd2listzd2_3340);
										{	/* Cfa/type.scm 91 */
											BgL_typez00_bglt BgL_tvzd2typezd2_3345;

											BgL_tvzd2typezd2_3345 =
												BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
												((BgL_nodez00_bglt) BgL_appz00_3344));
											{	/* Cfa/type.scm 92 */
												BgL_approxz00_bglt BgL_valuezd2approxzd2_3346;

												{
													BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_6536;

													{
														obj_t BgL_auxz00_6537;

														{	/* Cfa/type.scm 93 */
															BgL_objectz00_bglt BgL_auxz00_6538;

															BgL_auxz00_6538 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_appz00_3344));
															BgL_auxz00_6537 =
																BGL_OBJECT_WIDENING(BgL_auxz00_6538);
														}
														BgL_auxz00_6536 =
															((BgL_makezd2vectorzd2appz00_bglt)
															BgL_auxz00_6537);
													}
													BgL_valuezd2approxzd2_3346 =
														(((BgL_makezd2vectorzd2appz00_bglt)
															CREF(BgL_auxz00_6536))->BgL_valuezd2approxzd2);
												}
												{	/* Cfa/type.scm 93 */
													BgL_typez00_bglt BgL_itemzd2typezd2_3347;

													BgL_itemzd2typezd2_3347 =
														(((BgL_approxz00_bglt)
															CREF(BgL_valuezd2approxzd2_3346))->BgL_typez00);
													{	/* Cfa/type.scm 94 */
														obj_t BgL_tvz00_3348;

														BgL_tvz00_3348 =
															(((BgL_typez00_bglt)
																CREF(BgL_itemzd2typezd2_3347))->BgL_tvectorz00);
														{	/* Cfa/type.scm 95 */

															if (BGl_isazf3zf3zz__objectz00(BgL_tvz00_3348,
																	BGl_typez00zztype_typez00))
																{	/* Cfa/type.scm 97 */
																	return BgL_tvz00_3348;
																}
															else
																{	/* Cfa/type.scm 97 */
																	if (
																		(((obj_t) BgL_typez00_3339) ==
																			BGl_za2_za2z00zztype_cachez00))
																		{	/* Cfa/type.scm 98 */
																			return BGl_za2vectorza2z00zztype_cachez00;
																		}
																	else
																		{	/* Cfa/type.scm 98 */
																			return ((obj_t) BgL_typez00_3339);
																		}
																}
														}
													}
												}
											}
										}
									}
								else
									{	/* Cfa/type.scm 100 */
										bool_t BgL_testz00_6552;

										{
											obj_t BgL_l3143z00_3362;

											BgL_l3143z00_3362 = BgL_alloczd2listzd2_3340;
										BgL_zc3anonymousza33273ze3z83_3363:
											if (NULLP(BgL_l3143z00_3362))
												{	/* Cfa/type.scm 100 */
													BgL_testz00_6552 = ((bool_t) 1);
												}
											else
												{	/* Cfa/type.scm 100 */
													bool_t BgL_testz00_6555;

													{	/* Cfa/type.scm 100 */
														obj_t BgL_arg3276z00_3368;

														BgL_arg3276z00_3368 = CAR(BgL_l3143z00_3362);
														BgL_testz00_6555 =
															BGl_isazf3zf3zz__objectz00(BgL_arg3276z00_3368,
															BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00);
													}
													if (BgL_testz00_6555)
														{
															obj_t BgL_l3143z00_6558;

															BgL_l3143z00_6558 = CDR(BgL_l3143z00_3362);
															BgL_l3143z00_3362 = BgL_l3143z00_6558;
															goto BgL_zc3anonymousza33273ze3z83_3363;
														}
													else
														{	/* Cfa/type.scm 100 */
															BgL_testz00_6552 = ((bool_t) 0);
														}
												}
										}
										if (BgL_testz00_6552)
											{	/* Cfa/type.scm 100 */
												if (CBOOL
													(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00
														()))
													{	/* Cfa/type.scm 105 */
														obj_t BgL_appz00_3353;

														BgL_appz00_3353 = CAR(BgL_alloczd2listzd2_3340);
														{	/* Cfa/type.scm 105 */
															BgL_typez00_bglt BgL_tvzd2typezd2_3354;

															BgL_tvzd2typezd2_3354 =
																BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00
																(((BgL_nodez00_bglt) BgL_appz00_3353));
															{	/* Cfa/type.scm 106 */
																BgL_approxz00_bglt BgL_valuezd2approxzd2_3355;

																{
																	BgL_valloczf2cinfozb2optimz40_bglt
																		BgL_auxz00_6566;
																	{
																		obj_t BgL_auxz00_6567;

																		{	/* Cfa/type.scm 107 */
																			BgL_objectz00_bglt BgL_auxz00_6568;

																			BgL_auxz00_6568 =
																				((BgL_objectz00_bglt)
																				((BgL_vallocz00_bglt) BgL_appz00_3353));
																			BgL_auxz00_6567 =
																				BGL_OBJECT_WIDENING(BgL_auxz00_6568);
																		}
																		BgL_auxz00_6566 =
																			((BgL_valloczf2cinfozb2optimz40_bglt)
																			BgL_auxz00_6567);
																	}
																	BgL_valuezd2approxzd2_3355 =
																		(((BgL_valloczf2cinfozb2optimz40_bglt)
																			CREF(BgL_auxz00_6566))->
																		BgL_valuezd2approxzd2);
																}
																{	/* Cfa/type.scm 107 */
																	BgL_typez00_bglt BgL_itemzd2typezd2_3356;

																	BgL_itemzd2typezd2_3356 =
																		(((BgL_approxz00_bglt)
																			CREF(BgL_valuezd2approxzd2_3355))->
																		BgL_typez00);
																	{	/* Cfa/type.scm 108 */
																		obj_t BgL_tvz00_3357;

																		BgL_tvz00_3357 =
																			(((BgL_typez00_bglt)
																				CREF(BgL_itemzd2typezd2_3356))->
																			BgL_tvectorz00);
																		{	/* Cfa/type.scm 109 */

																			if (BGl_isazf3zf3zz__objectz00
																				(BgL_tvz00_3357,
																					BGl_typez00zztype_typez00))
																				{	/* Cfa/type.scm 111 */
																					return BgL_tvz00_3357;
																				}
																			else
																				{	/* Cfa/type.scm 111 */
																					if (
																						(((obj_t) BgL_typez00_3339) ==
																							BGl_za2_za2z00zztype_cachez00))
																						{	/* Cfa/type.scm 112 */
																							return
																								BGl_za2vectorza2z00zztype_cachez00;
																						}
																					else
																						{	/* Cfa/type.scm 112 */
																							return ((obj_t) BgL_typez00_3339);
																						}
																				}
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Cfa/type.scm 101 */
														if (
															(((obj_t) BgL_typez00_3339) ==
																BGl_za2_za2z00zztype_cachez00))
															{	/* Cfa/type.scm 102 */
																return BGl_za2vectorza2z00zztype_cachez00;
															}
														else
															{	/* Cfa/type.scm 102 */
																return ((obj_t) BgL_typez00_3339);
															}
													}
											}
										else
											{	/* Cfa/type.scm 100 */
												return ((obj_t) BgL_typez00_3339);
											}
									}
							}
					}
				else
					{	/* Cfa/type.scm 86 */
						return ((obj_t) BgL_typez00_3339);
					}
			}
		}
	}



/* &get-approx-type */
	obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t BgL_envz00_6259,
		obj_t BgL_approxz00_6260, obj_t BgL_nodez00_6261)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 82 */
			return
				BGl_getzd2approxzd2typez00zzcfa_typez00(
				((BgL_approxz00_bglt) BgL_approxz00_6260), BgL_nodez00_6261);
		}
	}



/* set-variable-type! */
	obj_t BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt
		BgL_variablez00_20, BgL_typez00_bglt BgL_typez00_21)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 169 */
			{	/* Cfa/type.scm 170 */
				obj_t BgL_ntypez00_3380;
				BgL_typez00_bglt BgL_otypez00_3381;

				if ((((obj_t) BgL_typez00_21) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 170 */
						BgL_ntypez00_3380 = BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/type.scm 170 */
						BgL_ntypez00_3380 = ((obj_t) BgL_typez00_21);
					}
				BgL_otypez00_3381 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->BgL_typez00);
				if ((((obj_t) BgL_otypez00_3381) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 174 */
						bool_t BgL_testz00_6598;

						{	/* Cfa/type.scm 174 */
							bool_t BgL_testz00_6599;

							{	/* Cfa/type.scm 174 */
								bool_t BgL_res3671z00_5993;

								{	/* Cfa/type.scm 174 */
									obj_t BgL_objz00_5992;

									BgL_objz00_5992 = ((obj_t) BgL_variablez00_20);
									BgL_res3671z00_5993 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_5992,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_6599 = BgL_res3671z00_5993;
							}
							if (BgL_testz00_6599)
								{	/* Cfa/type.scm 175 */
									bool_t BgL_testz00_6602;

									{	/* Cfa/type.scm 175 */
										BgL_valuez00_bglt BgL_arg3291z00_3390;

										BgL_arg3291z00_3390 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_variablez00_20))))->
											BgL_valuez00);
										{	/* Cfa/type.scm 175 */
											bool_t BgL_res3673z00_5998;

											{	/* Cfa/type.scm 175 */
												obj_t BgL_objz00_5997;

												BgL_objz00_5997 = ((obj_t) BgL_arg3291z00_3390);
												BgL_res3673z00_5998 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_5997,
													BGl_funz00zzast_varz00);
											}
											BgL_testz00_6602 = BgL_res3673z00_5998;
										}
									}
									if (BgL_testz00_6602)
										{	/* Cfa/type.scm 175 */
											BgL_testz00_6598 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 176 */
											bool_t BgL_testz00_6608;

											if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
												{	/* Cfa/type.scm 176 */
													BgL_testz00_6608 = ((bool_t) 1);
												}
											else
												{	/* Cfa/type.scm 176 */
													BgL_testz00_6608 =
														(
														(((BgL_globalz00_bglt) CREF(
																	((BgL_globalz00_bglt) BgL_variablez00_20)))->
															BgL_initz00) == BTRUE);
												}
											if (BgL_testz00_6608)
												{	/* Cfa/type.scm 176 */
													BgL_testz00_6598 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 176 */
													if (
														((((BgL_typez00_bglt) CREF(
																		((BgL_typez00_bglt) BgL_ntypez00_3380)))->
																BgL_classz00) == CNST_TABLE_REF(((long) 0))))
														{	/* Cfa/type.scm 177 */
															BgL_testz00_6598 = ((bool_t) 0);
														}
													else
														{	/* Cfa/type.scm 177 */
															BgL_testz00_6598 = ((bool_t) 1);
														}
												}
										}
								}
							else
								{	/* Cfa/type.scm 174 */
									BgL_testz00_6598 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_6598)
							{	/* Cfa/type.scm 182 */
								BgL_typez00_bglt BgL_vz00_6004;

								BgL_vz00_6004 =
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
								return
									((((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->
										BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_6004), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 183 */
								BgL_typez00_bglt BgL_vz00_6007;

								BgL_vz00_6007 = ((BgL_typez00_bglt) BgL_ntypez00_3380);
								return
									((((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->
										BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_6007), BUNSPEC);
							}
					}
				else
					{	/* Cfa/type.scm 184 */
						bool_t BgL_testz00_6623;

						if (
							(((obj_t) BgL_otypez00_3381) ==
								BGl_za2vectorza2z00zztype_cachez00))
							{	/* Cfa/type.scm 184 */
								BgL_testz00_6623 =
									BGl_isazf3zf3zz__objectz00(BgL_ntypez00_3380,
									BGl_tvecz00zztvector_tvectorz00);
							}
						else
							{	/* Cfa/type.scm 184 */
								BgL_testz00_6623 = ((bool_t) 0);
							}
						if (BgL_testz00_6623)
							{	/* Cfa/type.scm 185 */
								BgL_typez00_bglt BgL_vz00_6012;

								BgL_vz00_6012 =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ntypez00_3380));
								return
									((((BgL_variablez00_bglt) CREF(BgL_variablez00_20))->
										BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_6012), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 184 */
								return BFALSE;
							}
					}
			}
		}
	}



/* type-node*! */
	obj_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t BgL_nodeza2za2_55)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 579 */
			{
				obj_t BgL_l3162z00_3397;

				BgL_l3162z00_3397 = BgL_nodeza2za2_55;
			BgL_zc3anonymousza33296ze3z83_3398:
				if (NULLP(BgL_l3162z00_3397))
					{	/* Cfa/type.scm 580 */
						return BgL_nodeza2za2_55;
					}
				else
					{	/* Cfa/type.scm 580 */
						{	/* Cfa/type.scm 580 */
							BgL_nodez00_bglt BgL_arg3298z00_3400;

							{	/* Cfa/type.scm 580 */
								obj_t BgL_arg3299z00_3401;

								BgL_arg3299z00_3401 = CAR(BgL_l3162z00_3397);
								BgL_arg3298z00_3400 =
									BGl_typezd2nodez12zc0zzcfa_typez00(
									((BgL_nodez00_bglt) BgL_arg3299z00_3401));
							}
							{	/* Cfa/type.scm 580 */
								obj_t BgL_pairz00_6018;
								obj_t BgL_objz00_6019;

								BgL_pairz00_6018 = BgL_l3162z00_3397;
								BgL_objz00_6019 = ((obj_t) BgL_arg3298z00_3400);
								SET_CAR(BgL_pairz00_6018, BgL_objz00_6019);
							}
						}
						{
							obj_t BgL_l3162z00_6638;

							BgL_l3162z00_6638 = CDR(BgL_l3162z00_3397);
							BgL_l3162z00_3397 = BgL_l3162z00_6638;
							goto BgL_zc3anonymousza33296ze3z83_3398;
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_proc3725z00zzcfa_typez00, BGl_valuez00zzast_varz00,
				BGl_string3726z00zzcfa_typez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_proc3727z00zzcfa_typez00,
				BGl_nodez00zzast_nodez00, BGl_string3728z00zzcfa_typez00);
		}
	}



/* &type-node!3176 */
	obj_t BGl_z62typezd2nodez123176za2zzcfa_typez00(obj_t BgL_envz00_6264,
		obj_t BgL_nodez00_6265)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 190 */
			{
				BgL_nodez00_bglt BgL_nodez00_3413;

				BgL_nodez00_3413 = ((BgL_nodez00_bglt) BgL_nodez00_6265);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
					BGl_string3729z00zzcfa_typez00, ((obj_t) BgL_nodez00_3413));
		}}
	}



/* &type-variable!3164 */
	obj_t BGl_z62typezd2variablez123164za2zzcfa_typez00(obj_t BgL_envz00_6266,
		obj_t BgL_valuez00_6267, obj_t BgL_variablez00_6268)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 120 */
			{
				BgL_valuez00_bglt BgL_valuez00_3405;
				BgL_variablez00_bglt BgL_variablez00_3406;

				BgL_valuez00_3405 = ((BgL_valuez00_bglt) BgL_valuez00_6267);
				BgL_variablez00_3406 = ((BgL_variablez00_bglt) BgL_variablez00_6268);
				{	/* Cfa/type.scm 121 */
					BgL_typez00_bglt BgL_typez00_6021;

					BgL_typez00_6021 =
						(((BgL_variablez00_bglt) CREF(BgL_variablez00_3406))->BgL_typez00);
					{	/* Cfa/type.scm 122 */
						bool_t BgL_testz00_6647;

						{	/* Cfa/type.scm 122 */
							bool_t BgL_res3677z00_6028;

							{	/* Cfa/type.scm 122 */
								obj_t BgL_objz00_6027;

								BgL_objz00_6027 = ((obj_t) BgL_typez00_6021);
								BgL_res3677z00_6028 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_6027,
									BGl_typez00zztype_typez00);
							}
							BgL_testz00_6647 = BgL_res3677z00_6028;
						}
						if (BgL_testz00_6647)
							{	/* Cfa/type.scm 122 */
								return BFALSE;
							}
						else
							{	/* Cfa/type.scm 122 */
								return
									BGl_setzd2variablezd2typez12z12zzcfa_typez00
									(BgL_variablez00_3406,
									BGl_getzd2defaultzd2typez00zztype_cachez00());
							}
					}
				}
			}
		}
	}



/* type-variable! */
	obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt BgL_valuez00_8,
		BgL_variablez00_bglt BgL_variablez00_9)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 120 */
			{	/* Cfa/type.scm 120 */
				obj_t BgL_method3165z00_3416;

				{	/* Cfa/type.scm 120 */
					obj_t BgL_res3684z00_6057;

					{	/* Cfa/type.scm 120 */
						BgL_objectz00_bglt BgL_objz00_6029;

						BgL_objz00_6029 = ((BgL_objectz00_bglt) BgL_valuez00_8);
						{	/* Cfa/type.scm 120 */
							long BgL_objzd2classzd2numz00_6030;

							{	/* Cfa/type.scm 120 */
								long BgL_res3678z00_6033;

								BgL_res3678z00_6033 = BGL_OBJECT_CLASS_NUM(BgL_objz00_6029);
								BgL_objzd2classzd2numz00_6030 = BgL_res3678z00_6033;
							}
							{	/* Cfa/type.scm 120 */
								obj_t BgL_arg1803z00_6031;

								BgL_arg1803z00_6031 =
									PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
									(int) (((long) 1)));
								{	/* Cfa/type.scm 120 */
									obj_t BgL_arrayz00_6034;
									int BgL_offsetz00_6035;

									BgL_arrayz00_6034 = BgL_arg1803z00_6031;
									BgL_offsetz00_6035 = (int) (BgL_objzd2classzd2numz00_6030);
									{	/* Cfa/type.scm 120 */
										long BgL_offsetz00_6036;

										BgL_offsetz00_6036 =
											((long) (BgL_offsetz00_6035) - OBJECT_TYPE);
										{	/* Cfa/type.scm 120 */
											long BgL_modz00_6037;

											{	/* Cfa/type.scm 120 */
												int BgL_arg1805z00_6038;

												BgL_arg1805z00_6038 = (int) (((long) 16));
												{	/* Cfa/type.scm 120 */
													long BgL_res3681z00_6048;

													{	/* Cfa/type.scm 120 */
														long BgL_auxz00_6662;

														BgL_auxz00_6662 = (long) (BgL_arg1805z00_6038);
														BgL_res3681z00_6048 =
															(BgL_offsetz00_6036 / BgL_auxz00_6662);
													}
													BgL_modz00_6037 = BgL_res3681z00_6048;
											}}
											{	/* Cfa/type.scm 120 */
												long BgL_restz00_6039;

												{	/* Cfa/type.scm 120 */
													int BgL_arg1804z00_6040;

													BgL_arg1804z00_6040 = (int) (((long) 16));
													{	/* Cfa/type.scm 120 */
														long BgL_res3683z00_6052;

														{	/* Cfa/type.scm 120 */
															long BgL_auxz00_6666;

															BgL_auxz00_6666 = (long) (BgL_arg1804z00_6040);
															BgL_res3683z00_6052 =
																(BgL_offsetz00_6036 % BgL_auxz00_6666);
														}
														BgL_restz00_6039 = BgL_res3683z00_6052;
												}}
												{	/* Cfa/type.scm 120 */

													BgL_res3684z00_6057 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_6034,
															(int) (BgL_modz00_6037)),
														(int) (BgL_restz00_6039));
					}}}}}}}}
					BgL_method3165z00_3416 = BgL_res3684z00_6057;
				}
				return
					PROCEDURE_ENTRY(BgL_method3165z00_3416) (BgL_method3165z00_3416,
					((obj_t) BgL_valuez00_8), ((obj_t) BgL_variablez00_9), BEOA);
			}
		}
	}



/* &type-variable! */
	obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t BgL_envz00_6269,
		obj_t BgL_valuez00_6270, obj_t BgL_variablez00_6271)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 120 */
			return
				BGl_typezd2variablez12zc0zzcfa_typez00(
				((BgL_valuez00_bglt) BgL_valuez00_6270),
				((BgL_variablez00_bglt) BgL_variablez00_6271));
		}
	}



/* type-node! */
	BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt
		BgL_nodez00_22)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 190 */
			{	/* Cfa/type.scm 190 */
				obj_t BgL_method3177z00_3417;

				{	/* Cfa/type.scm 190 */
					obj_t BgL_res3691z00_6086;

					{	/* Cfa/type.scm 190 */
						BgL_objectz00_bglt BgL_objz00_6058;

						BgL_objz00_6058 = ((BgL_objectz00_bglt) BgL_nodez00_22);
						{	/* Cfa/type.scm 190 */
							long BgL_objzd2classzd2numz00_6059;

							{	/* Cfa/type.scm 190 */
								long BgL_res3685z00_6062;

								BgL_res3685z00_6062 = BGL_OBJECT_CLASS_NUM(BgL_objz00_6058);
								BgL_objzd2classzd2numz00_6059 = BgL_res3685z00_6062;
							}
							{	/* Cfa/type.scm 190 */
								obj_t BgL_arg1803z00_6060;

								BgL_arg1803z00_6060 =
									PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
									(int) (((long) 1)));
								{	/* Cfa/type.scm 190 */
									obj_t BgL_arrayz00_6063;
									int BgL_offsetz00_6064;

									BgL_arrayz00_6063 = BgL_arg1803z00_6060;
									BgL_offsetz00_6064 = (int) (BgL_objzd2classzd2numz00_6059);
									{	/* Cfa/type.scm 190 */
										long BgL_offsetz00_6065;

										BgL_offsetz00_6065 =
											((long) (BgL_offsetz00_6064) - OBJECT_TYPE);
										{	/* Cfa/type.scm 190 */
											long BgL_modz00_6066;

											{	/* Cfa/type.scm 190 */
												int BgL_arg1805z00_6067;

												BgL_arg1805z00_6067 = (int) (((long) 16));
												{	/* Cfa/type.scm 190 */
													long BgL_res3688z00_6077;

													{	/* Cfa/type.scm 190 */
														long BgL_auxz00_6691;

														BgL_auxz00_6691 = (long) (BgL_arg1805z00_6067);
														BgL_res3688z00_6077 =
															(BgL_offsetz00_6065 / BgL_auxz00_6691);
													}
													BgL_modz00_6066 = BgL_res3688z00_6077;
											}}
											{	/* Cfa/type.scm 190 */
												long BgL_restz00_6068;

												{	/* Cfa/type.scm 190 */
													int BgL_arg1804z00_6069;

													BgL_arg1804z00_6069 = (int) (((long) 16));
													{	/* Cfa/type.scm 190 */
														long BgL_res3690z00_6081;

														{	/* Cfa/type.scm 190 */
															long BgL_auxz00_6695;

															BgL_auxz00_6695 = (long) (BgL_arg1804z00_6069);
															BgL_res3690z00_6081 =
																(BgL_offsetz00_6065 % BgL_auxz00_6695);
														}
														BgL_restz00_6068 = BgL_res3690z00_6081;
												}}
												{	/* Cfa/type.scm 190 */

													BgL_res3691z00_6086 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_6063,
															(int) (BgL_modz00_6066)),
														(int) (BgL_restz00_6068));
					}}}}}}}}
					BgL_method3177z00_3417 = BgL_res3691z00_6086;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method3177z00_3417) (BgL_method3177z00_3417,
						((obj_t) BgL_nodez00_22), BEOA));
			}
		}
	}



/* &type-node! */
	BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t BgL_envz00_6272,
		obj_t BgL_nodez00_6273)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 190 */
			return
				BGl_typezd2nodez12zc0zzcfa_typez00(
				((BgL_nodez00_bglt) BgL_nodez00_6273));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc3730z00zzcfa_typez00,
				BGl_string3731z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc3732z00zzcfa_typez00,
				BGl_string3731z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc3733z00zzcfa_typez00,
				BGl_string3731z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc3734z00zzcfa_typez00,
				BGl_string3731z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc3735z00zzcfa_typez00,
				BGl_string3731z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_atomz00zzast_nodez00,
				BGl_proc3736z00zzcfa_typez00, BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_kwotez00zzast_nodez00,
				BGl_proc3738z00zzcfa_typez00, BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_varz00zzast_nodez00,
				BGl_proc3739z00zzcfa_typez00, BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_closurez00zzast_nodez00,
				BGl_proc3740z00zzcfa_typez00, BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_sequencez00zzast_nodez00,
				BGl_proc3741z00zzcfa_typez00, BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_syncz00zzast_nodez00,
				BGl_proc3742z00zzcfa_typez00, BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_appz00zzast_nodez00,
				BGl_proc3743z00zzcfa_typez00, BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_arithmeticzd2appzd2zzcfa_info2z00, BGl_proc3744z00zzcfa_typez00,
				BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2refzd2appz00zzcfa_info2z00,
				BGl_proc3745z00zzcfa_typez00, BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2setz12zd2appz12zzcfa_info2z00,
				BGl_proc3746z00zzcfa_typez00, BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conszd2refzd2appz00zzcfa_info2z00, BGl_proc3747z00zzcfa_typez00,
				BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00, BGl_proc3748z00zzcfa_typez00,
				BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_funcallzf2Cinfozf2zzcfa_infoz00, BGl_proc3749z00zzcfa_typez00,
				BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_externz00zzast_nodez00,
				BGl_proc3750z00zzcfa_typez00, BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vallocz00zzast_nodez00,
				BGl_proc3751z00zzcfa_typez00, BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vrefz00zzast_nodez00,
				BGl_proc3752z00zzcfa_typez00, BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc3753z00zzcfa_typez00, BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_castz00zzast_nodez00,
				BGl_proc3754z00zzcfa_typez00, BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_setqz00zzast_nodez00,
				BGl_proc3755z00zzcfa_typez00, BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc3756z00zzcfa_typez00,
				BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalzf2Cinfozf2zzcfa_infoz00, BGl_proc3757z00zzcfa_typez00,
				BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_failz00zzast_nodez00,
				BGl_proc3758z00zzcfa_typez00, BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_selectz00zzast_nodez00,
				BGl_proc3759z00zzcfa_typez00, BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc3760z00zzcfa_typez00,
				BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc3761z00zzcfa_typez00,
				BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3762z00zzcfa_typez00,
				BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3763z00zzcfa_typez00,
				BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc3764z00zzcfa_typez00,
				BGl_string3737z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc3765z00zzcfa_typez00,
				BGl_string3737z00zzcfa_typez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc3766z00zzcfa_typez00,
				BGl_string3737z00zzcfa_typez00);
		}
	}



/* &type-node!-box-ref3237 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2boxzd2ref3237za2zzcfa_typez00(obj_t
		BgL_envz00_6309, obj_t BgL_nodez00_6310)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 570 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_3790;

				BgL_nodez00_3790 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_6310);
				{
					BgL_varz00_bglt BgL_auxz00_6745;

					{	/* Cfa/type.scm 572 */
						BgL_varz00_bglt BgL_arg3461z00_3794;

						BgL_arg3461z00_3794 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_3790))->BgL_varz00);
						BgL_auxz00_6745 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(
								((BgL_nodez00_bglt) BgL_arg3461z00_3794)));
					}
					((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_3790))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6745), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_6751;

					{	/* Cfa/type.scm 573 */
						BgL_varz00_bglt BgL_arg3462z00_3795;

						BgL_arg3462z00_3795 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_3790))->BgL_varz00);
						BgL_auxz00_6751 =
							BGl_getzd2typezd2zztype_typeofz00(
							((BgL_nodez00_bglt) BgL_arg3462z00_3795));
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3790)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_6751), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3790);
			}
		}
	}



/* &type-node!-box-set!3235 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz123235zb0zzcfa_typez00(obj_t
		BgL_envz00_6311, obj_t BgL_nodez00_6312)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 561 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_3783;

				BgL_nodez00_3783 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_6312);
				{
					BgL_varz00_bglt BgL_auxz00_6759;

					{	/* Cfa/type.scm 563 */
						BgL_varz00_bglt BgL_arg3459z00_3787;

						BgL_arg3459z00_3787 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3783))->BgL_varz00);
						BgL_auxz00_6759 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(
								((BgL_nodez00_bglt) BgL_arg3459z00_3787)));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3783))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6759), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6765;

					{	/* Cfa/type.scm 564 */
						BgL_nodez00_bglt BgL_arg3460z00_3788;

						BgL_arg3460z00_3788 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3783))->
							BgL_valuez00);
						BgL_auxz00_6765 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3460z00_3788);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_3783))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6765), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3783);
			}
		}
	}



/* &type-node!-make-box3233 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2makezd2box3233za2zzcfa_typez00(obj_t
		BgL_envz00_6313, obj_t BgL_nodez00_6314)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 553 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_3777;

				BgL_nodez00_3777 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_6314);
				{
					BgL_nodez00_bglt BgL_auxz00_6771;

					{	/* Cfa/type.scm 555 */
						BgL_nodez00_bglt BgL_arg3458z00_3781;

						BgL_arg3458z00_3781 =
							(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_3777))->BgL_valuez00);
						BgL_auxz00_6771 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3458z00_3781);
					}
					((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_3777))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6771), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3777);
			}
		}
	}



/* &type-node!-jump-ex-i3231 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i3231z70zzcfa_typez00(obj_t
		BgL_envz00_6315, obj_t BgL_nodez00_6316)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 544 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_3770;

				BgL_nodez00_3770 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_6316);
				{
					BgL_nodez00_bglt BgL_auxz00_6777;

					{	/* Cfa/type.scm 546 */
						BgL_nodez00_bglt BgL_arg3456z00_3774;

						BgL_arg3456z00_3774 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3770))->
							BgL_exitz00);
						BgL_auxz00_6777 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3456z00_3774);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3770))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_6777), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6781;

					{	/* Cfa/type.scm 547 */
						BgL_nodez00_bglt BgL_arg3457z00_3775;

						BgL_arg3457z00_3775 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3770))->
							BgL_valuez00);
						BgL_auxz00_6781 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3457z00_3775);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_3770))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_6781), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3770);
			}
		}
	}



/* &type-node!-set-ex-it3229 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it3229z70zzcfa_typez00(obj_t
		BgL_envz00_6317, obj_t BgL_nodez00_6318)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 533 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_3760;

				BgL_nodez00_3760 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_6318);
				{	/* Cfa/type.scm 535 */
					BgL_variablez00_bglt BgL_vz00_3764;

					BgL_vz00_3764 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3760))->
									BgL_varz00)))->BgL_variablez00);
					{	/* Cfa/type.scm 536 */
						BgL_valuez00_bglt BgL_arg3452z00_3765;

						BgL_arg3452z00_3765 =
							(((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt)
										((BgL_localz00_bglt) BgL_vz00_3764))))->BgL_valuez00);
						BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg3452z00_3765,
							BgL_vz00_3764);
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6793;

					{	/* Cfa/type.scm 537 */
						BgL_nodez00_bglt BgL_arg3454z00_3767;

						BgL_arg3454z00_3767 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3760))->
							BgL_bodyz00);
						BgL_auxz00_6793 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3454z00_3767);
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3760))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6793), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_6797;

					{	/* Cfa/type.scm 538 */
						BgL_varz00_bglt BgL_arg3455z00_3768;

						BgL_arg3455z00_3768 =
							(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3760))->
							BgL_varz00);
						BgL_auxz00_6797 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(((BgL_nodez00_bglt)
									BgL_arg3455z00_3768)));
					}
					((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_3760))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6797), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3760);
			}
		}
	}



/* &type-node!-let-var3227 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2var3227za2zzcfa_typez00(obj_t
		BgL_envz00_6319, obj_t BgL_nodez00_6320)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 518 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_3741;

				BgL_nodez00_3741 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_6320);
				{	/* Cfa/type.scm 520 */
					obj_t BgL_g3160z00_3745;

					BgL_g3160z00_3745 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3741))->BgL_bindingsz00);
					{
						obj_t BgL_l3158z00_3747;

						BgL_l3158z00_3747 = BgL_g3160z00_3745;
					BgL_zc3anonymousza33445ze3z83_3748:
						if (PAIRP(BgL_l3158z00_3747))
							{	/* Cfa/type.scm 520 */
								{	/* Cfa/type.scm 521 */
									obj_t BgL_bindingz00_3750;

									BgL_bindingz00_3750 = CAR(BgL_l3158z00_3747);
									{	/* Cfa/type.scm 521 */
										obj_t BgL_varz00_3751;
										obj_t BgL_valz00_3752;

										BgL_varz00_3751 = CAR(BgL_bindingz00_3750);
										BgL_valz00_3752 = CDR(BgL_bindingz00_3750);
										{	/* Cfa/type.scm 523 */
											BgL_nodez00_bglt BgL_arg3447z00_3753;

											BgL_arg3447z00_3753 =
												BGl_typezd2nodez12zc0zzcfa_typez00(
												((BgL_nodez00_bglt) BgL_valz00_3752));
											{	/* Cfa/type.scm 523 */
												obj_t BgL_pairz00_6222;
												obj_t BgL_objz00_6223;

												BgL_pairz00_6222 = BgL_bindingz00_3750;
												BgL_objz00_6223 = ((obj_t) BgL_arg3447z00_3753);
												SET_CDR(BgL_pairz00_6222, BgL_objz00_6223);
											}
										}
										{	/* Cfa/type.scm 524 */
											BgL_valuez00_bglt BgL_arg3448z00_3754;

											BgL_arg3448z00_3754 =
												(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_varz00_3751))))->
												BgL_valuez00);
											BGl_typezd2variablez12zc0zzcfa_typez00
												(BgL_arg3448z00_3754,
												((BgL_variablez00_bglt) BgL_varz00_3751));
										}
									}
								}
								{
									obj_t BgL_l3158z00_6820;

									BgL_l3158z00_6820 = CDR(BgL_l3158z00_3747);
									BgL_l3158z00_3747 = BgL_l3158z00_6820;
									goto BgL_zc3anonymousza33445ze3z83_3748;
								}
							}
						else
							{	/* Cfa/type.scm 520 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6822;

					{	/* Cfa/type.scm 526 */
						BgL_nodez00_bglt BgL_arg3450z00_3757;

						BgL_arg3450z00_3757 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3741))->BgL_bodyz00);
						BgL_auxz00_6822 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3450z00_3757);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3741))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6822), BUNSPEC);
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3741)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt)
								CREF((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_3741))->
										BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3741);
			}
		}
	}



/* &type-node!-let-fun3225 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2fun3225za2zzcfa_typez00(obj_t
		BgL_envz00_6321, obj_t BgL_nodez00_6322)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 508 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_3726;

				BgL_nodez00_3726 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_6322);
				{	/* Cfa/type.scm 510 */
					obj_t BgL_g3157z00_3730;

					BgL_g3157z00_3730 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3726))->BgL_localsz00);
					{
						obj_t BgL_l3155z00_3732;

						BgL_l3155z00_3732 = BgL_g3157z00_3730;
					BgL_zc3anonymousza33438ze3z83_3733:
						if (PAIRP(BgL_l3155z00_3732))
							{	/* Cfa/type.scm 510 */
								{	/* Cfa/type.scm 510 */
									obj_t BgL_arg3441z00_3735;

									BgL_arg3441z00_3735 = CAR(BgL_l3155z00_3732);
									BGl_typezd2funz12zc0zzcfa_typez00(
										((BgL_variablez00_bglt) BgL_arg3441z00_3735));
								}
								{
									obj_t BgL_l3155z00_6838;

									BgL_l3155z00_6838 = CDR(BgL_l3155z00_3732);
									BgL_l3155z00_3732 = BgL_l3155z00_6838;
									goto BgL_zc3anonymousza33438ze3z83_3733;
								}
							}
						else
							{	/* Cfa/type.scm 510 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6840;

					{	/* Cfa/type.scm 511 */
						BgL_nodez00_bglt BgL_arg3443z00_3738;

						BgL_arg3443z00_3738 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3726))->BgL_bodyz00);
						BgL_auxz00_6840 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3443z00_3738);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3726))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6840), BUNSPEC);
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3726)))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_nodez00_bglt)
								CREF((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_3726))->
										BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3726);
			}
		}
	}



/* &type-node!-select3223 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2select3223z70zzcfa_typez00(obj_t
		BgL_envz00_6323, obj_t BgL_nodez00_6324)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 483 */
			{
				BgL_selectz00_bglt BgL_nodez00_3710;

				BgL_nodez00_3710 = ((BgL_selectz00_bglt) BgL_nodez00_6324);
				{
					BgL_nodez00_bglt BgL_auxz00_6850;

					{	/* Cfa/type.scm 485 */
						BgL_nodez00_bglt BgL_arg3432z00_3714;

						BgL_arg3432z00_3714 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_3710))->BgL_testz00);
						BgL_auxz00_6850 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3432z00_3714);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_3710))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6850), BUNSPEC);
				}
				{	/* Cfa/type.scm 486 */
					obj_t BgL_g3154z00_3715;

					BgL_g3154z00_3715 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_3710))->BgL_clausesz00);
					{
						obj_t BgL_l3152z00_3717;

						BgL_l3152z00_3717 = BgL_g3154z00_3715;
					BgL_zc3anonymousza33433ze3z83_3718:
						if (PAIRP(BgL_l3152z00_3717))
							{	/* Cfa/type.scm 486 */
								{	/* Cfa/type.scm 487 */
									obj_t BgL_clausez00_3720;

									BgL_clausez00_3720 = CAR(BgL_l3152z00_3717);
									{	/* Cfa/type.scm 487 */
										BgL_nodez00_bglt BgL_arg3435z00_3721;

										{	/* Cfa/type.scm 487 */
											obj_t BgL_arg3436z00_3722;

											BgL_arg3436z00_3722 = CDR(BgL_clausez00_3720);
											BgL_arg3435z00_3721 =
												BGl_typezd2nodez12zc0zzcfa_typez00(
												((BgL_nodez00_bglt) BgL_arg3436z00_3722));
										}
										{	/* Cfa/type.scm 487 */
											obj_t BgL_pairz00_6207;
											obj_t BgL_objz00_6208;

											BgL_pairz00_6207 = BgL_clausez00_3720;
											BgL_objz00_6208 = ((obj_t) BgL_arg3435z00_3721);
											SET_CDR(BgL_pairz00_6207, BgL_objz00_6208);
										}
									}
								}
								{
									obj_t BgL_l3152z00_6863;

									BgL_l3152z00_6863 = CDR(BgL_l3152z00_3717);
									BgL_l3152z00_3717 = BgL_l3152z00_6863;
									goto BgL_zc3anonymousza33433ze3z83_3718;
								}
							}
						else
							{	/* Cfa/type.scm 486 */
								((bool_t) 1);
							}
					}
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3710)))->BgL_typez00) =
					((BgL_typez00_bglt)
						BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
								BgL_nodez00_3710))), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3710);
			}
		}
	}



/* &type-node!-fail3221 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2fail3221z70zzcfa_typez00(obj_t
		BgL_envz00_6325, obj_t BgL_nodez00_6326)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 473 */
			{
				BgL_failz00_bglt BgL_nodez00_3702;

				BgL_nodez00_3702 = ((BgL_failz00_bglt) BgL_nodez00_6326);
				{
					BgL_nodez00_bglt BgL_auxz00_6871;

					{	/* Cfa/type.scm 475 */
						BgL_nodez00_bglt BgL_arg3429z00_3706;

						BgL_arg3429z00_3706 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_3702))->BgL_procz00);
						BgL_auxz00_6871 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3429z00_3706);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_3702))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6871), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6875;

					{	/* Cfa/type.scm 476 */
						BgL_nodez00_bglt BgL_arg3430z00_3707;

						BgL_arg3430z00_3707 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_3702))->BgL_msgz00);
						BgL_auxz00_6875 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3430z00_3707);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_3702))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6875), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6879;

					{	/* Cfa/type.scm 477 */
						BgL_nodez00_bglt BgL_arg3431z00_3708;

						BgL_arg3431z00_3708 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_3702))->BgL_objz00);
						BgL_auxz00_6879 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3431z00_3708);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_3702))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6879), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3702);
			}
		}
	}



/* &type-node!-condition3219 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition3219z70zzcfa_typez00(obj_t
		BgL_envz00_6327, obj_t BgL_nodez00_6328)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 466 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_3698;

				BgL_nodez00_3698 = ((BgL_conditionalz00_bglt) BgL_nodez00_6328);
				{

					{	/* Cfa/type.scm 466 */
						obj_t BgL_nextzd2method3218zd2_3701;

						BgL_nextzd2method3218zd2_3701 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3698),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
						PROCEDURE_ENTRY(BgL_nextzd2method3218zd2_3701)
							(BgL_nextzd2method3218zd2_3701, ((obj_t) BgL_nodez00_3698), BEOA);
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3698);
				}
			}
		}
	}



/* &type-node!-condition3217 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition3217z70zzcfa_typez00(obj_t
		BgL_envz00_6329, obj_t BgL_nodez00_6330)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 455 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_3690;

				BgL_nodez00_3690 = ((BgL_conditionalz00_bglt) BgL_nodez00_6330);
				{
					BgL_nodez00_bglt BgL_auxz00_6894;

					{	/* Cfa/type.scm 457 */
						BgL_nodez00_bglt BgL_arg3426z00_3694;

						BgL_arg3426z00_3694 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3690))->BgL_testz00);
						BgL_auxz00_6894 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3426z00_3694);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3690))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6894), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6898;

					{	/* Cfa/type.scm 458 */
						BgL_nodez00_bglt BgL_arg3427z00_3695;

						BgL_arg3427z00_3695 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3690))->BgL_truez00);
						BgL_auxz00_6898 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3427z00_3695);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3690))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6898), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6902;

					{	/* Cfa/type.scm 459 */
						BgL_nodez00_bglt BgL_arg3428z00_3696;

						BgL_arg3428z00_3696 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3690))->
							BgL_falsez00);
						BgL_auxz00_6902 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3428z00_3696);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_3690))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6902), BUNSPEC);
				}
				((((BgL_nodez00_bglt) CREF(
								((BgL_nodez00_bglt) BgL_nodez00_3690)))->BgL_typez00) =
					((BgL_typez00_bglt)
						BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
								BgL_nodez00_3690))), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_3690);
			}
		}
	}



/* &type-node!-setq3215 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2setq3215z70zzcfa_typez00(obj_t
		BgL_envz00_6331, obj_t BgL_nodez00_6332)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 444 */
			{
				BgL_setqz00_bglt BgL_nodez00_3683;

				BgL_nodez00_3683 = ((BgL_setqz00_bglt) BgL_nodez00_6332);
				{
					BgL_nodez00_bglt BgL_auxz00_6912;

					{	/* Cfa/type.scm 446 */
						BgL_nodez00_bglt BgL_arg3424z00_3687;

						BgL_arg3424z00_3687 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_3683))->BgL_valuez00);
						BgL_auxz00_6912 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3424z00_3687);
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_3683))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6912), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_6916;

					{	/* Cfa/type.scm 447 */
						BgL_varz00_bglt BgL_arg3425z00_3688;

						BgL_arg3425z00_3688 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_3683))->BgL_varz00);
						BgL_auxz00_6916 =
							((BgL_varz00_bglt)
							BGl_typezd2nodez12zc0zzcfa_typez00(
								((BgL_nodez00_bglt) BgL_arg3425z00_3688)));
					}
					((((BgL_setqz00_bglt) CREF(BgL_nodez00_3683))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6916), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3683);
			}
		}
	}



/* &type-node!-cast3213 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2cast3213z70zzcfa_typez00(obj_t
		BgL_envz00_6333, obj_t BgL_nodez00_6334)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 436 */
			{
				BgL_castz00_bglt BgL_nodez00_3677;

				BgL_nodez00_3677 = ((BgL_castz00_bglt) BgL_nodez00_6334);
				{
					BgL_nodez00_bglt BgL_auxz00_6924;

					{	/* Cfa/type.scm 438 */
						BgL_nodez00_bglt BgL_arg3422z00_3681;

						BgL_arg3422z00_3681 =
							(((BgL_castz00_bglt) CREF(BgL_nodez00_3677))->BgL_argz00);
						BgL_auxz00_6924 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3422z00_3681);
					}
					((((BgL_castz00_bglt) CREF(BgL_nodez00_3677))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6924), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3677);
			}
		}
	}



/* &type-node!-vset!3211 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vsetz123211z62zzcfa_typez00(obj_t
		BgL_envz00_6335, obj_t BgL_nodez00_6336)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 426 */
			{
				BgL_vsetz12z12_bglt BgL_nodez00_3670;

				BgL_nodez00_3670 = ((BgL_vsetz12z12_bglt) BgL_nodez00_6336);
				{

					{	/* Cfa/type.scm 426 */
						obj_t BgL_nextzd2method3210zd2_3676;

						BgL_nextzd2method3210zd2_3676 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3670),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vsetz12z12zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3210zd2_3676)
							(BgL_nextzd2method3210zd2_3676, ((obj_t) BgL_nodez00_3670), BEOA);
					}
					{	/* Cfa/type.scm 429 */
						bool_t BgL_testz00_6937;

						{	/* Cfa/type.scm 429 */
							BgL_typez00_bglt BgL_arg3421z00_3675;

							BgL_arg3421z00_3675 =
								(((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_3670))->BgL_ftypez00);
							BgL_testz00_6937 =
								(
								((obj_t) BgL_arg3421z00_3675) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_6937)
							{	/* Cfa/type.scm 429 */
								((((BgL_vsetz12z12_bglt) CREF(BgL_nodez00_3670))->
										BgL_ftypez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 429 */
								BFALSE;
							}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3670);
				}
			}
		}
	}



/* &type-node!-vref3209 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vref3209z70zzcfa_typez00(obj_t
		BgL_envz00_6337, obj_t BgL_nodez00_6338)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 415 */
			{
				BgL_vrefz00_bglt BgL_nodez00_3663;

				BgL_nodez00_3663 = ((BgL_vrefz00_bglt) BgL_nodez00_6338);
				{

					{	/* Cfa/type.scm 415 */
						obj_t BgL_nextzd2method3208zd2_3669;

						BgL_nextzd2method3208zd2_3669 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3663),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vrefz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3208zd2_3669)
							(BgL_nextzd2method3208zd2_3669, ((obj_t) BgL_nodez00_3663), BEOA);
					}
					{	/* Cfa/type.scm 418 */
						bool_t BgL_testz00_6952;

						{	/* Cfa/type.scm 418 */
							BgL_typez00_bglt BgL_arg3419z00_3668;

							BgL_arg3419z00_3668 =
								(((BgL_vrefz00_bglt) CREF(BgL_nodez00_3663))->BgL_ftypez00);
							BgL_testz00_6952 =
								(
								((obj_t) BgL_arg3419z00_3668) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_testz00_6952)
							{	/* Cfa/type.scm 418 */
								((((BgL_vrefz00_bglt) CREF(BgL_nodez00_3663))->BgL_ftypez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 418 */
								BFALSE;
							}
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3663)))->BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_vrefz00_bglt) CREF(BgL_nodez00_3663))->
								BgL_ftypez00)), BUNSPEC);
					return ((BgL_nodez00_bglt) BgL_nodez00_3663);
				}
			}
		}
	}



/* &type-node!-valloc3207 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2valloc3207z70zzcfa_typez00(obj_t
		BgL_envz00_6339, obj_t BgL_nodez00_6340)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 404 */
			{
				BgL_vallocz00_bglt BgL_nodez00_3651;

				BgL_nodez00_3651 = ((BgL_vallocz00_bglt) BgL_nodez00_6340);
				{

					{	/* Cfa/type.scm 404 */
						obj_t BgL_nextzd2method3206zd2_3662;

						BgL_nextzd2method3206zd2_3662 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3651),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_vallocz00zzast_nodez00);
						PROCEDURE_ENTRY(BgL_nextzd2method3206zd2_3662)
							(BgL_nextzd2method3206zd2_3662, ((obj_t) BgL_nodez00_3651), BEOA);
					}
					{	/* Cfa/type.scm 407 */
						obj_t BgL_arg3411z00_3655;

						BgL_arg3411z00_3655 =
							(((BgL_externz00_bglt) CREF(
									((BgL_externz00_bglt) BgL_nodez00_3651)))->BgL_exprza2za2);
						BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg3411z00_3655);
					}
					{
						BgL_typez00_bglt BgL_auxz00_6973;

						{	/* Cfa/type.scm 408 */
							obj_t BgL_arg3412z00_3656;
							BgL_typez00_bglt BgL_arg3413z00_3657;

							{	/* Cfa/type.scm 408 */
								bool_t BgL_testz00_6975;

								{	/* Cfa/type.scm 408 */
									BgL_typez00_bglt BgL_arg3415z00_3659;

									BgL_arg3415z00_3659 =
										(((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3651)))->BgL_typez00);
									BgL_testz00_6975 =
										(
										((obj_t) BgL_arg3415z00_3659) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_6975)
									{	/* Cfa/type.scm 408 */
										BgL_arg3412z00_3656 = BGl_za2vectorza2z00zztype_cachez00;
									}
								else
									{	/* Cfa/type.scm 408 */
										BgL_arg3412z00_3656 =
											((obj_t)
											(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_3651)))->
												BgL_typez00));
									}
							}
							BgL_arg3413z00_3657 =
								(((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3651)))->BgL_typez00);
							BgL_auxz00_6973 =
								BGl_strictzd2nodezd2typez00zzast_nodez00(
								((BgL_typez00_bglt) BgL_arg3412z00_3656), BgL_arg3413z00_3657);
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3651)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_6973), BUNSPEC);
					}
					{
						BgL_typez00_bglt BgL_auxz00_6988;

						{	/* Cfa/type.scm 409 */
							bool_t BgL_testz00_6989;

							{	/* Cfa/type.scm 409 */
								BgL_typez00_bglt BgL_arg3417z00_3661;

								BgL_arg3417z00_3661 =
									(((BgL_vallocz00_bglt) CREF(BgL_nodez00_3651))->BgL_ftypez00);
								BgL_testz00_6989 =
									(
									((obj_t) BgL_arg3417z00_3661) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_6989)
								{	/* Cfa/type.scm 409 */
									BgL_auxz00_6988 =
										((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
								}
							else
								{	/* Cfa/type.scm 409 */
									BgL_auxz00_6988 =
										(((BgL_vallocz00_bglt) CREF(BgL_nodez00_3651))->
										BgL_ftypez00);
								}
						}
						((((BgL_vallocz00_bglt) CREF(BgL_nodez00_3651))->BgL_ftypez00) =
							((BgL_typez00_bglt) BgL_auxz00_6988), BUNSPEC);
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3651);
				}
			}
		}
	}



/* &type-node!-extern3205 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2extern3205z70zzcfa_typez00(obj_t
		BgL_envz00_6341, obj_t BgL_nodez00_6342)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 396 */
			{
				BgL_externz00_bglt BgL_nodez00_3645;

				BgL_nodez00_3645 = ((BgL_externz00_bglt) BgL_nodez00_6342);
				BGl_typezd2nodeza2z12z62zzcfa_typez00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_3645))->BgL_exprza2za2));
				return ((BgL_nodez00_bglt) BgL_nodez00_3645);
			}
		}
	}



/* &type-node!-funcall/C3203 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2funcallzf2C3203z82zzcfa_typez00(obj_t
		BgL_envz00_6343, obj_t BgL_nodez00_6344)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 373 */
			{
				BgL_funcallz00_bglt BgL_nodez00_3632;

				BgL_nodez00_3632 = ((BgL_funcallz00_bglt) BgL_nodez00_6344);
				{
					BgL_nodez00_bglt BgL_auxz00_7002;

					{	/* Cfa/type.scm 375 */
						BgL_nodez00_bglt BgL_arg3405z00_3636;

						BgL_arg3405z00_3636 =
							(((BgL_funcallz00_bglt) CREF(
									((BgL_funcallz00_bglt) BgL_nodez00_3632)))->BgL_funz00);
						BgL_auxz00_7002 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3405z00_3636);
					}
					((((BgL_funcallz00_bglt) CREF(
									((BgL_funcallz00_bglt) BgL_nodez00_3632)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7002), BUNSPEC);
				}
				{	/* Cfa/type.scm 376 */
					obj_t BgL_arg3406z00_3637;

					BgL_arg3406z00_3637 =
						(((BgL_funcallz00_bglt) CREF(
								((BgL_funcallz00_bglt) BgL_nodez00_3632)))->BgL_argsz00);
					BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg3406z00_3637);
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00))
					{	/* Cfa/type.scm 379 */
						obj_t BgL_typz00_3638;

						{	/* Cfa/type.scm 379 */
							BgL_approxz00_bglt BgL_arg3409z00_3643;

							{
								BgL_funcallzf2cinfozf2_bglt BgL_auxz00_7013;

								{
									obj_t BgL_auxz00_7014;

									{	/* Cfa/type.scm 379 */
										BgL_objectz00_bglt BgL_auxz00_7015;

										BgL_auxz00_7015 = ((BgL_objectz00_bglt) BgL_nodez00_3632);
										BgL_auxz00_7014 = BGL_OBJECT_WIDENING(BgL_auxz00_7015);
									}
									BgL_auxz00_7013 =
										((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_7014);
								}
								BgL_arg3409z00_3643 =
									(((BgL_funcallzf2cinfozf2_bglt) CREF(BgL_auxz00_7013))->
									BgL_approxz00);
							}
							BgL_typz00_3638 =
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3409z00_3643,
								((obj_t) BgL_nodez00_3632));
						}
						if ((BgL_typz00_3638 == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/type.scm 383 */
								BgL_atomz00_bglt BgL_new1191z00_3640;

								{	/* Cfa/type.scm 383 */
									BgL_atomz00_bglt BgL_new1190z00_3641;

									BgL_new1190z00_3641 =
										((BgL_atomz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_atomz00_bgl))));
									{	/* Cfa/type.scm 383 */
										long BgL_arg3408z00_3642;

										{	/* Cfa/type.scm 383 */
											long BgL_res3714z00_6198;

											BgL_res3714z00_6198 =
												BGL_CLASS_INDEX(BGl_atomz00zzast_nodez00);
											BgL_arg3408z00_3642 = BgL_res3714z00_6198;
										}
										{	/* Cfa/type.scm 383 */
											BgL_objectz00_bglt BgL_objz00_6199;

											BgL_objz00_6199 =
												((BgL_objectz00_bglt) BgL_new1190z00_3641);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6199,
												BgL_arg3408z00_3642);
									}}
									{	/* Cfa/type.scm 383 */
										BgL_objectz00_bglt BgL_auxz00_7028;

										BgL_auxz00_7028 =
											((BgL_objectz00_bglt) BgL_new1190z00_3641);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_7028, BFALSE);
									}
									BgL_new1191z00_3640 = BgL_new1190z00_3641;
								}
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_new1191z00_3640)))->
										BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
								((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
													BgL_new1191z00_3640)))->BgL_typez00) =
									((BgL_typez00_bglt)
										BGl_getzd2typezd2atomz00zztype_typeofz00(BUNSPEC)),
									BUNSPEC);
								((((BgL_atomz00_bglt) CREF(BgL_new1191z00_3640))->
										BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1191z00_3640);
							}
						else
							{	/* Cfa/type.scm 380 */
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3632)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_typz00_3638)),
									BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_nodez00_3632);
							}
					}
				else
					{	/* Cfa/type.scm 377 */
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3632)))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						return ((BgL_nodez00_bglt) BgL_nodez00_3632);
					}
			}
		}
	}



/* &type-node!-app-ly/Ci3201 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci3201z50zzcfa_typez00(obj_t
		BgL_envz00_6345, obj_t BgL_nodez00_6346)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 361 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_3624;

				BgL_nodez00_3624 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_6346);
				{
					BgL_nodez00_bglt BgL_auxz00_7047;

					{	/* Cfa/type.scm 363 */
						BgL_nodez00_bglt BgL_arg3401z00_3628;

						BgL_arg3401z00_3628 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3624)))->BgL_funz00);
						BgL_auxz00_7047 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3401z00_3628);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3624)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7047), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7053;

					{	/* Cfa/type.scm 364 */
						BgL_nodez00_bglt BgL_arg3403z00_3629;

						BgL_arg3403z00_3629 =
							(((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3624)))->BgL_argz00);
						BgL_auxz00_7053 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3403z00_3629);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_3624)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7053), BUNSPEC);
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2funcallzd2trackingzf3za2z21zzengine_paramz00))
					{
						BgL_typez00_bglt BgL_auxz00_7061;

						{	/* Cfa/type.scm 366 */
							BgL_approxz00_bglt BgL_arg3404z00_3630;

							{
								BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_7063;

								{
									obj_t BgL_auxz00_7064;

									{	/* Cfa/type.scm 366 */
										BgL_objectz00_bglt BgL_auxz00_7065;

										BgL_auxz00_7065 = ((BgL_objectz00_bglt) BgL_nodez00_3624);
										BgL_auxz00_7064 = BGL_OBJECT_WIDENING(BgL_auxz00_7065);
									}
									BgL_auxz00_7063 =
										((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_7064);
								}
								BgL_arg3404z00_3630 =
									(((BgL_appzd2lyzf2cinfoz20_bglt) CREF(BgL_auxz00_7063))->
									BgL_approxz00);
							}
							BgL_auxz00_7061 =
								((BgL_typez00_bglt)
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3404z00_3630,
									((obj_t) BgL_nodez00_3624)));
						}
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3624)))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_7061), BUNSPEC);
					}
				else
					{	/* Cfa/type.scm 365 */
						((((BgL_nodez00_bglt) CREF(
										((BgL_nodez00_bglt) BgL_nodez00_3624)))->BgL_typez00) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
					}
				return ((BgL_nodez00_bglt) BgL_nodez00_3624);
			}
		}
	}



/* &type-node!-cons-ref-3199 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd23199z70zzcfa_typez00(obj_t
		BgL_envz00_6347, obj_t BgL_nodez00_6348)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 350 */
			{
				BgL_appz00_bglt BgL_nodez00_3616;

				BgL_nodez00_3616 = ((BgL_appz00_bglt) BgL_nodez00_6348);
				{

					{	/* Cfa/type.scm 350 */
						obj_t BgL_nextzd2method3198zd2_3623;

						BgL_nextzd2method3198zd2_3623 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3616),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_conszd2refzd2appz00zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3198zd2_3623)
							(BgL_nextzd2method3198zd2_3623, ((obj_t) BgL_nodez00_3616), BEOA);
					}
					{	/* Cfa/type.scm 353 */
						obj_t BgL_atypez00_3620;

						{	/* Cfa/type.scm 353 */
							BgL_approxz00_bglt BgL_arg3400z00_3622;

							{
								BgL_conszd2refzd2appz00_bglt BgL_auxz00_7086;

								{
									obj_t BgL_auxz00_7087;

									{	/* Cfa/type.scm 353 */
										BgL_objectz00_bglt BgL_auxz00_7088;

										BgL_auxz00_7088 = ((BgL_objectz00_bglt) BgL_nodez00_3616);
										BgL_auxz00_7087 = BGL_OBJECT_WIDENING(BgL_auxz00_7088);
									}
									BgL_auxz00_7086 =
										((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_7087);
								}
								BgL_arg3400z00_3622 =
									(((BgL_conszd2refzd2appz00_bglt) CREF(BgL_auxz00_7086))->
									BgL_approxz00);
							}
							BgL_atypez00_3620 =
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3400z00_3622,
								((obj_t) BgL_nodez00_3616));
						}
						if ((BgL_atypez00_3620 == BGl_za2_za2z00zztype_cachez00))
							{	/* Cfa/type.scm 354 */
								BFALSE;
							}
						else
							{	/* Cfa/type.scm 354 */
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3616)))->BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_atypez00_3620)),
									BUNSPEC);
							}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3616);
				}
			}
		}
	}



/* &type-node!-procedure3197 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure3197z70zzcfa_typez00(obj_t
		BgL_envz00_6349, obj_t BgL_nodez00_6350)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 333 */
			{
				BgL_appz00_bglt BgL_nodez00_3595;

				BgL_nodez00_3595 = ((BgL_appz00_bglt) BgL_nodez00_6350);
				{

					{	/* Cfa/type.scm 333 */
						obj_t BgL_nextzd2method3196zd2_3615;

						BgL_nextzd2method3196zd2_3615 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3595),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_procedurezd2setz12zd2appz12zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3196zd2_3615)
							(BgL_nextzd2method3196zd2_3615, ((obj_t) BgL_nodez00_3595), BEOA);
					}
					if (CBOOL
						(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
						{	/* Cfa/type.scm 337 */
							obj_t BgL_atypez00_3599;

							{	/* Cfa/type.scm 337 */
								obj_t BgL_arg3398z00_3614;

								{
									BgL_procedurezd2setz12zd2appz12_bglt BgL_auxz00_7111;

									{
										obj_t BgL_auxz00_7112;

										{	/* Cfa/type.scm 337 */
											BgL_objectz00_bglt BgL_auxz00_7113;

											BgL_auxz00_7113 = ((BgL_objectz00_bglt) BgL_nodez00_3595);
											BgL_auxz00_7112 = BGL_OBJECT_WIDENING(BgL_auxz00_7113);
										}
										BgL_auxz00_7111 =
											((BgL_procedurezd2setz12zd2appz12_bglt) BgL_auxz00_7112);
									}
									BgL_arg3398z00_3614 =
										(((BgL_procedurezd2setz12zd2appz12_bglt)
											CREF(BgL_auxz00_7111))->BgL_vapproxz00);
								}
								if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
										((BgL_approxz00_bglt) BgL_arg3398z00_3614)))
									{	/* Cfa/type.scm 309 */
										BgL_atypez00_3599 =
											BGl_za2procedurezd2elza2zd2zztype_cachez00;
									}
								else
									{	/* Cfa/type.scm 309 */
										BgL_atypez00_3599 =
											BGl_getzd2approxzd2typez00zzcfa_typez00(
											((BgL_approxz00_bglt) BgL_arg3398z00_3614),
											((obj_t) BgL_nodez00_3595));
									}
							}
							{	/* Cfa/type.scm 338 */
								bool_t BgL_testz00_7124;

								if (BGl_bigloozd2typezf3z21zztype_typez00(
										((BgL_typez00_bglt) BgL_atypez00_3599)))
									{	/* Cfa/type.scm 338 */
										if ((BgL_atypez00_3599 == BGl_za2_za2z00zztype_cachez00))
											{	/* Cfa/type.scm 339 */
												BgL_testz00_7124 = ((bool_t) 0);
											}
										else
											{	/* Cfa/type.scm 340 */
												bool_t BgL_testz00_7130;

												{	/* Cfa/type.scm 340 */
													BgL_typez00_bglt BgL_arg3395z00_3611;

													{	/* Cfa/type.scm 340 */
														obj_t BgL_arg3396z00_3612;

														{	/* Cfa/type.scm 340 */
															obj_t BgL_pairz00_6175;

															BgL_pairz00_6175 =
																(((BgL_appz00_bglt) CREF(
																		((BgL_appz00_bglt) BgL_nodez00_3595)))->
																BgL_argsz00);
															BgL_arg3396z00_3612 =
																CAR(CDR(CDR(BgL_pairz00_6175)));
														}
														BgL_arg3395z00_3611 =
															BGl_getzd2typezd2zztype_typeofz00(
															((BgL_nodez00_bglt) BgL_arg3396z00_3612));
													}
													BgL_testz00_7130 =
														(BgL_atypez00_3599 ==
														((obj_t) BgL_arg3395z00_3611));
												}
												if (BgL_testz00_7130)
													{	/* Cfa/type.scm 340 */
														BgL_testz00_7124 = ((bool_t) 0);
													}
												else
													{	/* Cfa/type.scm 340 */
														BgL_testz00_7124 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Cfa/type.scm 338 */
										BgL_testz00_7124 = ((bool_t) 0);
									}
								if (BgL_testz00_7124)
									{	/* Cfa/type.scm 341 */
										obj_t BgL_arg3387z00_3601;
										BgL_castz00_bglt BgL_arg3388z00_3602;

										{	/* Cfa/type.scm 341 */
											obj_t BgL_pairz00_6181;

											BgL_pairz00_6181 =
												(((BgL_appz00_bglt) CREF(
														((BgL_appz00_bglt) BgL_nodez00_3595)))->
												BgL_argsz00);
											BgL_arg3387z00_3601 = CDR(CDR(BgL_pairz00_6181));
										}
										{	/* Cfa/type.scm 342 */
											BgL_castz00_bglt BgL_new1186z00_3604;

											{	/* Cfa/type.scm 342 */
												BgL_castz00_bglt BgL_new1185z00_3606;

												BgL_new1185z00_3606 =
													((BgL_castz00_bglt) BREF(GC_MALLOC(sizeof(struct
																BgL_castz00_bgl))));
												{	/* Cfa/type.scm 342 */
													long BgL_arg3391z00_3607;

													{	/* Cfa/type.scm 342 */
														long BgL_res3713z00_6186;

														BgL_res3713z00_6186 =
															BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
														BgL_arg3391z00_3607 = BgL_res3713z00_6186;
													}
													{	/* Cfa/type.scm 342 */
														BgL_objectz00_bglt BgL_objz00_6187;

														BgL_objz00_6187 =
															((BgL_objectz00_bglt) BgL_new1185z00_3606);
														BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6187,
															BgL_arg3391z00_3607);
												}}
												{	/* Cfa/type.scm 342 */
													BgL_objectz00_bglt BgL_auxz00_7148;

													BgL_auxz00_7148 =
														((BgL_objectz00_bglt) BgL_new1185z00_3606);
													BGL_OBJECT_WIDENING_SET(BgL_auxz00_7148, BFALSE);
												}
												BgL_new1186z00_3604 = BgL_new1185z00_3606;
											}
											((((BgL_nodez00_bglt) CREF(
															((BgL_nodez00_bglt) BgL_new1186z00_3604)))->
													BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
											((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
																BgL_new1186z00_3604)))->BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
											{
												BgL_nodez00_bglt BgL_auxz00_7156;

												{	/* Cfa/type.scm 344 */
													obj_t BgL_pairz00_6189;

													BgL_pairz00_6189 =
														(((BgL_appz00_bglt) CREF(
																((BgL_appz00_bglt) BgL_nodez00_3595)))->
														BgL_argsz00);
													{	/* Cfa/type.scm 344 */
														obj_t BgL_pairz00_6194;

														{	/* Cfa/type.scm 344 */
															obj_t BgL_pairz00_6193;

															BgL_pairz00_6193 = CDR(BgL_pairz00_6189);
															BgL_pairz00_6194 = CDR(BgL_pairz00_6193);
														}
														BgL_auxz00_7156 =
															((BgL_nodez00_bglt) CAR(BgL_pairz00_6194));
												}}
												((((BgL_castz00_bglt) CREF(BgL_new1186z00_3604))->
														BgL_argz00) =
													((BgL_nodez00_bglt) BgL_auxz00_7156), BUNSPEC);
											}
											BgL_arg3388z00_3602 = BgL_new1186z00_3604;
										}
										{	/* Cfa/type.scm 341 */
											obj_t BgL_pairz00_6195;
											obj_t BgL_objz00_6196;

											BgL_pairz00_6195 = BgL_arg3387z00_3601;
											BgL_objz00_6196 = ((obj_t) BgL_arg3388z00_3602);
											SET_CAR(BgL_pairz00_6195, BgL_objz00_6196);
									}}
								else
									{	/* Cfa/type.scm 338 */
										BFALSE;
									}
							}
						}
					else
						{	/* Cfa/type.scm 336 */
							BFALSE;
						}
					return ((BgL_nodez00_bglt) BgL_nodez00_3595);
				}
			}
		}
	}



/* &type-node!-procedure3195 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure3195z70zzcfa_typez00(obj_t
		BgL_envz00_6351, obj_t BgL_nodez00_6352)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 316 */
			{
				BgL_appz00_bglt BgL_nodez00_3580;

				BgL_nodez00_3580 = ((BgL_appz00_bglt) BgL_nodez00_6352);
				{

					{	/* Cfa/type.scm 316 */
						obj_t BgL_nextzd2method3194zd2_3594;

						BgL_nextzd2method3194zd2_3594 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3580),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_procedurezd2refzd2appz00zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3194zd2_3594)
							(BgL_nextzd2method3194zd2_3594, ((obj_t) BgL_nodez00_3580), BEOA);
					}
					if (CBOOL
						(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
						{	/* Cfa/type.scm 320 */
							obj_t BgL_atypez00_3584;

							{	/* Cfa/type.scm 320 */
								BgL_approxz00_bglt BgL_arg3385z00_3593;

								{
									BgL_procedurezd2refzd2appz00_bglt BgL_auxz00_7177;

									{
										obj_t BgL_auxz00_7178;

										{	/* Cfa/type.scm 320 */
											BgL_objectz00_bglt BgL_auxz00_7179;

											BgL_auxz00_7179 = ((BgL_objectz00_bglt) BgL_nodez00_3580);
											BgL_auxz00_7178 = BGL_OBJECT_WIDENING(BgL_auxz00_7179);
										}
										BgL_auxz00_7177 =
											((BgL_procedurezd2refzd2appz00_bglt) BgL_auxz00_7178);
									}
									BgL_arg3385z00_3593 =
										(((BgL_procedurezd2refzd2appz00_bglt)
											CREF(BgL_auxz00_7177))->BgL_approxz00);
								}
								if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
									(BgL_arg3385z00_3593))
									{	/* Cfa/type.scm 309 */
										BgL_atypez00_3584 =
											BGl_za2procedurezd2elza2zd2zztype_cachez00;
									}
								else
									{	/* Cfa/type.scm 309 */
										BgL_atypez00_3584 =
											BGl_getzd2approxzd2typez00zzcfa_typez00
											(BgL_arg3385z00_3593, ((obj_t) BgL_nodez00_3580));
									}
							}
							{	/* Cfa/type.scm 321 */
								bool_t BgL_testz00_7188;

								if (BGl_bigloozd2typezf3z21zztype_typez00(
										((BgL_typez00_bglt) BgL_atypez00_3584)))
									{	/* Cfa/type.scm 321 */
										if ((BgL_atypez00_3584 == BGl_za2_za2z00zztype_cachez00))
											{	/* Cfa/type.scm 322 */
												BgL_testz00_7188 = ((bool_t) 0);
											}
										else
											{	/* Cfa/type.scm 323 */
												bool_t BgL_testz00_7194;

												{	/* Cfa/type.scm 323 */
													BgL_typez00_bglt BgL_arg3384z00_3592;

													BgL_arg3384z00_3592 =
														BGl_getzd2typezd2zztype_typeofz00(
														((BgL_nodez00_bglt) BgL_nodez00_3580));
													BgL_testz00_7194 =
														(BgL_atypez00_3584 ==
														((obj_t) BgL_arg3384z00_3592));
												}
												if (BgL_testz00_7194)
													{	/* Cfa/type.scm 323 */
														BgL_testz00_7188 = ((bool_t) 0);
													}
												else
													{	/* Cfa/type.scm 323 */
														BgL_testz00_7188 = ((bool_t) 1);
													}
											}
									}
								else
									{	/* Cfa/type.scm 321 */
										BgL_testz00_7188 = ((bool_t) 0);
									}
								if (BgL_testz00_7188)
									{	/* Cfa/type.scm 324 */
										BgL_castz00_bglt BgL_new1183z00_3586;

										{	/* Cfa/type.scm 324 */
											BgL_castz00_bglt BgL_new1182z00_3587;

											BgL_new1182z00_3587 =
												((BgL_castz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_castz00_bgl))));
											{	/* Cfa/type.scm 324 */
												long BgL_arg3380z00_3588;

												{	/* Cfa/type.scm 324 */
													long BgL_res3712z00_6169;

													BgL_res3712z00_6169 =
														BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
													BgL_arg3380z00_3588 = BgL_res3712z00_6169;
												}
												{	/* Cfa/type.scm 324 */
													BgL_objectz00_bglt BgL_objz00_6170;

													BgL_objz00_6170 =
														((BgL_objectz00_bglt) BgL_new1182z00_3587);
													BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_6170,
														BgL_arg3380z00_3588);
											}}
											{	/* Cfa/type.scm 324 */
												BgL_objectz00_bglt BgL_auxz00_7203;

												BgL_auxz00_7203 =
													((BgL_objectz00_bglt) BgL_new1182z00_3587);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_7203, BFALSE);
											}
											BgL_new1183z00_3586 = BgL_new1182z00_3587;
										}
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_new1183z00_3586)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
															BgL_new1183z00_3586)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BgL_atypez00_3584)), BUNSPEC);
										((((BgL_castz00_bglt) CREF(BgL_new1183z00_3586))->
												BgL_argz00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_nodez00_3580)), BUNSPEC);
										return ((BgL_nodez00_bglt) BgL_new1183z00_3586);
									}
								else
									{	/* Cfa/type.scm 321 */
										return ((BgL_nodez00_bglt) BgL_nodez00_3580);
									}
							}
						}
					else
						{	/* Cfa/type.scm 319 */
							return ((BgL_nodez00_bglt) BgL_nodez00_3580);
						}
				}
			}
		}
	}



/* &type-node!-arithmeti3193 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2arithmeti3193z70zzcfa_typez00(obj_t
		BgL_envz00_6353, obj_t BgL_nodez00_6354)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 272 */
			{
				BgL_appz00_bglt BgL_nodez00_3539;

				BgL_nodez00_3539 = ((BgL_appz00_bglt) BgL_nodez00_6354);
				{

					{	/* Cfa/type.scm 272 */
						obj_t BgL_nextzd2method3192zd2_3579;

						BgL_nextzd2method3192zd2_3579 =
							BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
							((BgL_objectz00_bglt) BgL_nodez00_3539),
							BGl_typezd2nodez12zd2envz12zzcfa_typez00,
							BGl_arithmeticzd2appzd2zzcfa_info2z00);
						PROCEDURE_ENTRY(BgL_nextzd2method3192zd2_3579)
							(BgL_nextzd2method3192zd2_3579, ((obj_t) BgL_nodez00_3539), BEOA);
					}
					{	/* Cfa/type.scm 287 */
						BgL_appz00_bglt BgL_i1179z00_3543;

						BgL_i1179z00_3543 = ((BgL_appz00_bglt) BgL_nodez00_3539);
						{	/* Cfa/type.scm 289 */
							BgL_variablez00_bglt BgL_vz00_3544;

							BgL_vz00_3544 =
								(((BgL_varz00_bglt) CREF(
										(((BgL_appz00_bglt) CREF(BgL_i1179z00_3543))->
											BgL_funz00)))->BgL_variablez00);
							{	/* Cfa/type.scm 289 */
								BgL_valuez00_bglt BgL_valz00_3545;

								BgL_valz00_3545 =
									(((BgL_variablez00_bglt) CREF(BgL_vz00_3544))->BgL_valuez00);
								{	/* Cfa/type.scm 290 */

									{	/* Cfa/type.scm 291 */
										bool_t BgL_testz00_7228;

										{	/* Cfa/type.scm 291 */
											BgL_typez00_bglt BgL_arg3357z00_3547;

											BgL_arg3357z00_3547 =
												(((BgL_variablez00_bglt) CREF(BgL_vz00_3544))->
												BgL_typez00);
											BgL_testz00_7228 =
												(((obj_t) BgL_arg3357z00_3547) ==
												BGl_za2_za2z00zztype_cachez00);
										}
										if (BgL_testz00_7228)
											{	/* Cfa/type.scm 292 */
												BgL_typez00_bglt BgL_vz00_6143;

												BgL_vz00_6143 =
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
												((((BgL_variablez00_bglt) CREF(BgL_vz00_3544))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_vz00_6143), BUNSPEC);
											}
										else
											{	/* Cfa/type.scm 291 */
												BFALSE;
											}
									}
									{	/* Cfa/type.scm 295 */
										bool_t BgL_testz00_7234;

										{	/* Cfa/type.scm 295 */
											bool_t BgL_res3708z00_6146;

											{	/* Cfa/type.scm 295 */
												obj_t BgL_objz00_6145;

												BgL_objz00_6145 = ((obj_t) BgL_valz00_3545);
												BgL_res3708z00_6146 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_6145,
													BGl_sfunz00zzast_varz00);
											}
											BgL_testz00_7234 = BgL_res3708z00_6146;
										}
										if (BgL_testz00_7234)
											{	/* Cfa/type.scm 296 */
												obj_t BgL_l03148z00_3549;

												BgL_l03148z00_3549 =
													(((BgL_sfunz00_bglt) CREF(
															((BgL_sfunz00_bglt) BgL_valz00_3545)))->
													BgL_argsz00);
												{
													obj_t BgL_l3147z00_3551;

													BgL_l3147z00_3551 = BgL_l03148z00_3549;
												BgL_zc3anonymousza33359ze3z83_3552:
													if (NULLP(BgL_l3147z00_3551))
														{	/* Cfa/type.scm 296 */
															BgL_l03148z00_3549;
														}
													else
														{	/* Cfa/type.scm 296 */
															{	/* Cfa/type.scm 296 */
																obj_t BgL_auxz00_7241;

																BgL_auxz00_7241 =
																	BGl_cleanupzd2typezd2zzcfa_typez00(CAR
																	(BgL_l3147z00_3551));
																SET_CAR(BgL_l3147z00_3551, BgL_auxz00_7241);
															}
															{
																obj_t BgL_l3147z00_7245;

																BgL_l3147z00_7245 = CDR(BgL_l3147z00_3551);
																BgL_l3147z00_3551 = BgL_l3147z00_7245;
																goto BgL_zc3anonymousza33359ze3z83_3552;
															}
														}
												}
											}
										else
											{	/* Cfa/type.scm 297 */
												bool_t BgL_testz00_7247;

												{	/* Cfa/type.scm 297 */
													bool_t BgL_res3710z00_6156;

													{	/* Cfa/type.scm 297 */
														obj_t BgL_objz00_6155;

														BgL_objz00_6155 = ((obj_t) BgL_valz00_3545);
														BgL_res3710z00_6156 =
															BGl_isazf3zf3zz__objectz00(BgL_objz00_6155,
															BGl_cfunz00zzast_varz00);
													}
													BgL_testz00_7247 = BgL_res3710z00_6156;
												}
												if (BgL_testz00_7247)
													{	/* Cfa/type.scm 298 */
														obj_t BgL_l03151z00_3559;

														BgL_l03151z00_3559 =
															(((BgL_cfunz00_bglt) CREF(
																	((BgL_cfunz00_bglt) BgL_valz00_3545)))->
															BgL_argszd2typezd2);
														{
															obj_t BgL_l3150z00_3561;

															BgL_l3150z00_3561 = BgL_l03151z00_3559;
														BgL_zc3anonymousza33365ze3z83_3562:
															if (NULLP(BgL_l3150z00_3561))
																{	/* Cfa/type.scm 298 */
																	BgL_l03151z00_3559;
																}
															else
																{	/* Cfa/type.scm 298 */
																	{	/* Cfa/type.scm 298 */
																		obj_t BgL_auxz00_7254;

																		BgL_auxz00_7254 =
																			BGl_cleanupzd2typezd2zzcfa_typez00(CAR
																			(BgL_l3150z00_3561));
																		SET_CAR(BgL_l3150z00_3561, BgL_auxz00_7254);
																	}
																	{
																		obj_t BgL_l3150z00_7258;

																		BgL_l3150z00_7258 = CDR(BgL_l3150z00_3561);
																		BgL_l3150z00_3561 = BgL_l3150z00_7258;
																		goto BgL_zc3anonymousza33365ze3z83_3562;
																	}
																}
														}
													}
												else
													{	/* Cfa/type.scm 297 */
														BFALSE;
													}
											}
									}
								}
							}
						}
						{	/* Cfa/type.scm 300 */
							bool_t BgL_testz00_7260;

							{	/* Cfa/type.scm 300 */
								BgL_typez00_bglt BgL_arg3372z00_3570;

								BgL_arg3372z00_3570 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_i1179z00_3543)))->BgL_typez00);
								BgL_testz00_7260 =
									(
									((obj_t) BgL_arg3372z00_3570) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_7260)
								{	/* Cfa/type.scm 300 */
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_i1179z00_3543)))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
								}
							else
								{	/* Cfa/type.scm 300 */
									BFALSE;
								}
						}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3539);
				}
			}
		}
	}



/* cleanup-type */
	obj_t BGl_cleanupzd2typezd2zzcfa_typez00(obj_t BgL_tz00_3571)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 283 */
			if (BGl_isazf3zf3zz__objectz00(BgL_tz00_3571, BGl_typez00zztype_typez00))
				{	/* Cfa/type.scm 276 */
					if ((BgL_tz00_3571 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/type.scm 277 */
							return BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Cfa/type.scm 277 */
							return BgL_tz00_3571;
						}
				}
			else
				{	/* Cfa/type.scm 276 */
					if (BGl_isazf3zf3zz__objectz00(BgL_tz00_3571,
							BGl_localz00zzast_varz00))
						{	/* Cfa/type.scm 278 */
							{	/* Cfa/type.scm 279 */
								bool_t BgL_testz00_7276;

								{	/* Cfa/type.scm 279 */
									BgL_typez00_bglt BgL_arg3378z00_3577;

									BgL_arg3378z00_3577 =
										(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_tz00_3571))))->BgL_typez00);
									BgL_testz00_7276 =
										(
										((obj_t) BgL_arg3378z00_3577) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_testz00_7276)
									{	/* Cfa/type.scm 280 */
										BgL_localz00_bglt BgL_oz00_6130;
										BgL_typez00_bglt BgL_vz00_6131;

										BgL_oz00_6130 = ((BgL_localz00_bglt) BgL_tz00_3571);
										BgL_vz00_6131 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_oz00_6130)))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_6131), BUNSPEC);
									}
								else
									{	/* Cfa/type.scm 279 */
										BFALSE;
									}
							}
							return BgL_tz00_3571;
						}
					else
						{	/* Cfa/type.scm 278 */
							return BgL_tz00_3571;
						}
				}
		}
	}



/* &type-node!-app3191 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app3191z70zzcfa_typez00(obj_t
		BgL_envz00_6355, obj_t BgL_nodez00_6356)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 262 */
			{
				BgL_appz00_bglt BgL_nodez00_3528;

				BgL_nodez00_3528 = ((BgL_appz00_bglt) BgL_nodez00_6356);
				BGl_typezd2nodeza2z12z62zzcfa_typez00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_3528))->BgL_argsz00));
				BGl_typezd2funzd2nodez12z12zzcfa_typez00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_3528))->BgL_funz00));
				{
					BgL_typez00_bglt BgL_auxz00_7290;

					{	/* Cfa/type.scm 266 */
						BgL_typez00_bglt BgL_arg3352z00_3534;
						BgL_typez00_bglt BgL_arg3353z00_3535;

						BgL_arg3352z00_3534 =
							(((BgL_variablez00_bglt) CREF(
									(((BgL_varz00_bglt) CREF(
												(((BgL_appz00_bglt) CREF(BgL_nodez00_3528))->
													BgL_funz00)))->BgL_variablez00)))->BgL_typez00);
						BgL_arg3353z00_3535 =
							(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
										BgL_nodez00_3528)))->BgL_typez00);
						BgL_auxz00_7290 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg3352z00_3534,
							BgL_arg3353z00_3535);
					}
					((((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3528)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_7290), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3528);
			}
		}
	}



/* &type-node!-sync3189 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2sync3189z70zzcfa_typez00(obj_t
		BgL_envz00_6357, obj_t BgL_nodez00_6358)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 248 */
			{
				BgL_syncz00_bglt BgL_nodez00_3513;

				BgL_nodez00_3513 = ((BgL_syncz00_bglt) BgL_nodez00_6358);
				{
					BgL_nodez00_bglt BgL_auxz00_7301;

					{	/* Cfa/type.scm 250 */
						BgL_nodez00_bglt BgL_arg3340z00_3517;

						BgL_arg3340z00_3517 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_3513))->BgL_mutexz00);
						BgL_auxz00_7301 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3340z00_3517);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_3513))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7301), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_7305;

					{	/* Cfa/type.scm 251 */
						BgL_nodez00_bglt BgL_arg3341z00_3518;

						BgL_arg3341z00_3518 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_3513))->BgL_prelockz00);
						BgL_auxz00_7305 =
							BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg3341z00_3518);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_3513))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_7305), BUNSPEC);
				}
				BGl_typezd2nodeza2z12z62zzcfa_typez00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_3513))->BgL_nodesz00));
				{	/* Cfa/type.scm 253 */
					bool_t BgL_testz00_7311;

					{	/* Cfa/type.scm 253 */
						BgL_typez00_bglt BgL_arg3349z00_3526;

						BgL_arg3349z00_3526 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3513)))->BgL_typez00);
						BgL_testz00_7311 =
							(((obj_t) BgL_arg3349z00_3526) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_7311)
						{	/* Cfa/type.scm 253 */
							if (NULLP(
									(((BgL_syncz00_bglt) CREF(BgL_nodez00_3513))->BgL_nodesz00)))
								{	/* Cfa/type.scm 254 */
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_3513)))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
								}
							else
								{
									BgL_typez00_bglt BgL_auxz00_7322;

									{	/* Cfa/type.scm 255 */
										obj_t BgL_arg3345z00_3522;

										BgL_arg3345z00_3522 =
											CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
												(((BgL_syncz00_bglt) CREF(BgL_nodez00_3513))->
													BgL_nodesz00)));
										BgL_auxz00_7322 =
											BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
												BgL_arg3345z00_3522));
									}
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_3513)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_7322), BUNSPEC);
								}
						}
					else
						{	/* Cfa/type.scm 253 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3513);
			}
		}
	}



/* &type-node!-sequence3187 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2sequence3187z70zzcfa_typez00(obj_t
		BgL_envz00_6359, obj_t BgL_nodez00_6360)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 236 */
			{
				BgL_sequencez00_bglt BgL_nodez00_3500;

				BgL_nodez00_3500 = ((BgL_sequencez00_bglt) BgL_nodez00_6360);
				BGl_typezd2nodeza2z12z62zzcfa_typez00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_3500))->BgL_nodesz00));
				{	/* Cfa/type.scm 239 */
					bool_t BgL_testz00_7334;

					{	/* Cfa/type.scm 239 */
						BgL_typez00_bglt BgL_arg3339z00_3511;

						BgL_arg3339z00_3511 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3500)))->BgL_typez00);
						BgL_testz00_7334 =
							(((obj_t) BgL_arg3339z00_3511) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_7334)
						{	/* Cfa/type.scm 240 */
							bool_t BgL_testz00_7339;

							{	/* Cfa/type.scm 240 */
								obj_t BgL_auxz00_7340;

								BgL_auxz00_7340 =
									(((BgL_sequencez00_bglt) CREF(BgL_nodez00_3500))->
									BgL_nodesz00);
								BgL_testz00_7339 = PAIRP(BgL_auxz00_7340);
							}
							if (BgL_testz00_7339)
								{
									BgL_typez00_bglt BgL_auxz00_7343;

									{	/* Cfa/type.scm 241 */
										obj_t BgL_arg3335z00_3507;

										BgL_arg3335z00_3507 =
											CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
												(((BgL_sequencez00_bglt) CREF(BgL_nodez00_3500))->
													BgL_nodesz00)));
										BgL_auxz00_7343 =
											BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
												BgL_arg3335z00_3507));
									}
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_3500)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_7343), BUNSPEC);
								}
							else
								{	/* Cfa/type.scm 240 */
									((((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_3500)))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
								}
						}
					else
						{	/* Cfa/type.scm 239 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3500);
			}
		}
	}



/* &type-node!-closure3185 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2closure3185z70zzcfa_typez00(obj_t
		BgL_envz00_6361, obj_t BgL_nodez00_6362)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 230 */
			{
				BgL_closurez00_bglt BgL_nodez00_3495;

				BgL_nodez00_3495 = ((BgL_closurez00_bglt) BgL_nodez00_6362);
				{	/* Cfa/type.scm 231 */
					obj_t BgL_arg3331z00_6110;

					BgL_arg3331z00_6110 =
						BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_3495));
					return
						((BgL_nodez00_bglt)
						BGl_internalzd2errorzd2zztools_errorz00
						(BGl_string3737z00zzcfa_typez00, BGl_string3767z00zzcfa_typez00,
							BgL_arg3331z00_6110));
				}
			}
		}
	}



/* &type-node!-var3183 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var3183z70zzcfa_typez00(obj_t
		BgL_envz00_6363, obj_t BgL_nodez00_6364)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 210 */
			{
				BgL_varz00_bglt BgL_nodez00_3461;

				BgL_nodez00_3461 = ((BgL_varz00_bglt) BgL_nodez00_6364);
				{
					BgL_typez00_bglt BgL_ntypez00_3483;
					BgL_typez00_bglt BgL_vtypez00_3484;

					{	/* Cfa/type.scm 219 */
						bool_t BgL_testz00_7361;

						{	/* Cfa/type.scm 219 */
							bool_t BgL_testz00_7362;

							{	/* Cfa/type.scm 219 */
								BgL_variablez00_bglt BgL_arg3319z00_3473;

								BgL_arg3319z00_3473 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_3461))->BgL_variablez00);
								{	/* Cfa/type.scm 219 */
									bool_t BgL_res3694z00_6098;

									{	/* Cfa/type.scm 219 */
										obj_t BgL_objz00_6097;

										BgL_objz00_6097 = ((obj_t) BgL_arg3319z00_3473);
										BgL_res3694z00_6098 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_6097,
											BGl_globalz00zzast_varz00);
									}
									BgL_testz00_7362 = BgL_res3694z00_6098;
								}
							}
							if (BgL_testz00_7362)
								{	/* Cfa/type.scm 219 */
									BgL_testz00_7361 =
										(
										(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt)
														(((BgL_varz00_bglt) CREF(BgL_nodez00_3461))->
															BgL_variablez00))))->BgL_importz00) ==
										CNST_TABLE_REF(((long) 2)));
								}
							else
								{	/* Cfa/type.scm 219 */
									BgL_testz00_7361 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_7361)
							{	/* Cfa/type.scm 220 */
								BgL_valuez00_bglt BgL_arg3313z00_3467;
								BgL_variablez00_bglt BgL_arg3314z00_3468;

								BgL_arg3313z00_3467 =
									(((BgL_variablez00_bglt) CREF(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) CREF(BgL_nodez00_3461))->
														BgL_variablez00)))))->BgL_valuez00);
								BgL_arg3314z00_3468 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_3461))->BgL_variablez00);
								BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg3313z00_3467,
									BgL_arg3314z00_3468);
							}
						else
							{	/* Cfa/type.scm 219 */
								BFALSE;
							}
					}
					{	/* Cfa/type.scm 221 */
						bool_t BgL_testz00_7377;

						{	/* Cfa/type.scm 221 */
							bool_t BgL_testz00_7378;

							{	/* Cfa/type.scm 221 */
								BgL_typez00_bglt BgL_arg3328z00_3482;

								BgL_arg3328z00_3482 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_3461)))->BgL_typez00);
								BgL_testz00_7378 =
									(
									((obj_t) BgL_arg3328z00_3482) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_testz00_7378)
								{	/* Cfa/type.scm 221 */
									BgL_testz00_7377 = ((bool_t) 1);
								}
							else
								{	/* Cfa/type.scm 222 */
									bool_t BgL_testz00_7383;

									{	/* Cfa/type.scm 222 */
										BgL_typez00_bglt BgL_arg3327z00_3481;

										BgL_arg3327z00_3481 =
											(((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_3461)))->BgL_typez00);
										BgL_testz00_7383 =
											(
											((obj_t) BgL_arg3327z00_3481) ==
											BGl_za2vectorza2z00zztype_cachez00);
									}
									if (BgL_testz00_7383)
										{	/* Cfa/type.scm 222 */
											BgL_testz00_7377 = ((bool_t) 1);
										}
									else
										{	/* Cfa/type.scm 223 */
											BgL_typez00_bglt BgL_arg3324z00_3478;
											BgL_typez00_bglt BgL_arg3325z00_3479;

											BgL_arg3324z00_3478 =
												(((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_3461)))->
												BgL_typez00);
											BgL_arg3325z00_3479 =
												(((BgL_variablez00_bglt) CREF((((BgL_varz00_bglt)
																CREF(BgL_nodez00_3461))->BgL_variablez00)))->
												BgL_typez00);
											BgL_ntypez00_3483 = BgL_arg3324z00_3478;
											BgL_vtypez00_3484 = BgL_arg3325z00_3479;
											{	/* Cfa/type.scm 213 */
												bool_t BgL__ortest_1169z00_3486;

												if (BGl_bigloozd2typezf3z21zztype_typez00
													(BgL_vtypez00_3484))
													{	/* Cfa/type.scm 213 */
														BgL__ortest_1169z00_3486 = ((bool_t) 0);
													}
												else
													{	/* Cfa/type.scm 213 */
														BgL__ortest_1169z00_3486 = ((bool_t) 1);
													}
												if (BgL__ortest_1169z00_3486)
													{	/* Cfa/type.scm 213 */
														BgL_testz00_7377 = BgL__ortest_1169z00_3486;
													}
												else
													{	/* Cfa/type.scm 214 */
														bool_t BgL__ortest_1170z00_3487;

														BgL__ortest_1170z00_3487 =
															(
															((obj_t) BgL_ntypez00_3483) ==
															BGl_za2objza2z00zztype_cachez00);
														if (BgL__ortest_1170z00_3487)
															{	/* Cfa/type.scm 214 */
																BgL_testz00_7377 = BgL__ortest_1170z00_3487;
															}
														else
															{	/* Cfa/type.scm 215 */
																bool_t BgL__ortest_1171z00_3488;

																{	/* Cfa/type.scm 215 */
																	bool_t BgL__ortest_1172z00_3491;

																	BgL__ortest_1172z00_3491 =
																		(
																		((obj_t) BgL_vtypez00_3484) ==
																		BGl_za2pairza2z00zztype_cachez00);
																	if (BgL__ortest_1172z00_3491)
																		{	/* Cfa/type.scm 215 */
																			BgL__ortest_1171z00_3488 =
																				BgL__ortest_1172z00_3491;
																		}
																	else
																		{	/* Cfa/type.scm 215 */
																			BgL__ortest_1171z00_3488 =
																				(
																				((obj_t) BgL_vtypez00_3484) ==
																				BGl_za2epairza2z00zztype_cachez00);
																		}
																}
																if (BgL__ortest_1171z00_3488)
																	{	/* Cfa/type.scm 215 */
																		BgL_testz00_7377 = BgL__ortest_1171z00_3488;
																	}
																else
																	{	/* Cfa/type.scm 216 */
																		bool_t BgL_testz00_7404;

																		{	/* Cfa/type.scm 216 */
																			bool_t BgL_res3692z00_6094;

																			{	/* Cfa/type.scm 216 */
																				obj_t BgL_objz00_6093;

																				BgL_objz00_6093 =
																					((obj_t) BgL_vtypez00_3484);
																				BgL_res3692z00_6094 =
																					BGl_isazf3zf3zz__objectz00
																					(BgL_objz00_6093,
																					BGl_tclassz00zzobject_classz00);
																			}
																			BgL_testz00_7404 = BgL_res3692z00_6094;
																		}
																		if (BgL_testz00_7404)
																			{	/* Cfa/type.scm 216 */
																				bool_t BgL_testz00_7407;

																				{	/* Cfa/type.scm 216 */
																					bool_t BgL_res3693z00_6096;

																					{	/* Cfa/type.scm 216 */
																						obj_t BgL_objz00_6095;

																						BgL_objz00_6095 =
																							((obj_t) BgL_ntypez00_3483);
																						BgL_res3693z00_6096 =
																							BGl_isazf3zf3zz__objectz00
																							(BgL_objz00_6095,
																							BGl_tclassz00zzobject_classz00);
																					}
																					BgL_testz00_7407 =
																						BgL_res3693z00_6096;
																				}
																				if (BgL_testz00_7407)
																					{	/* Cfa/type.scm 216 */
																						BgL_testz00_7377 =
																							BGl_typezd2subclasszf3z21zzobject_classz00
																							(BgL_vtypez00_3484,
																							BgL_ntypez00_3483);
																					}
																				else
																					{	/* Cfa/type.scm 216 */
																						BgL_testz00_7377 = ((bool_t) 0);
																					}
																			}
																		else
																			{	/* Cfa/type.scm 216 */
																				BgL_testz00_7377 = ((bool_t) 0);
																			}
																	}
															}
													}
											}
										}
								}
						}
						if (BgL_testz00_7377)
							{	/* Cfa/type.scm 221 */
								((((BgL_nodez00_bglt) CREF(
												((BgL_nodez00_bglt) BgL_nodez00_3461)))->BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_variablez00_bglt)
												CREF((((BgL_varz00_bglt) CREF(BgL_nodez00_3461))->
														BgL_variablez00)))->BgL_typez00)), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 221 */
								BFALSE;
							}
					}
					return ((BgL_nodez00_bglt) BgL_nodez00_3461);
				}
			}
		}
	}



/* &type-node!-kwote3181 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2kwote3181z70zzcfa_typez00(obj_t
		BgL_envz00_6365, obj_t BgL_nodez00_6366)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 201 */
			{
				BgL_kwotez00_bglt BgL_nodez00_3453;

				BgL_nodez00_3453 = ((BgL_kwotez00_bglt) BgL_nodez00_6366);
				{	/* Cfa/type.scm 203 */
					bool_t BgL_testz00_7417;

					{	/* Cfa/type.scm 203 */
						BgL_typez00_bglt BgL_arg3311z00_3459;

						BgL_arg3311z00_3459 =
							(((BgL_nodez00_bglt) CREF(
									((BgL_nodez00_bglt) BgL_nodez00_3453)))->BgL_typez00);
						BgL_testz00_7417 =
							(((obj_t) BgL_arg3311z00_3459) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_testz00_7417)
						{
							BgL_typez00_bglt BgL_auxz00_7422;

							{	/* Cfa/type.scm 204 */
								obj_t BgL_arg3310z00_3458;

								BgL_arg3310z00_3458 =
									(((BgL_kwotez00_bglt) CREF(BgL_nodez00_3453))->BgL_valuez00);
								BgL_auxz00_7422 =
									BGl_getzd2typezd2kwotez00zztype_typeofz00
									(BgL_arg3310z00_3458);
							}
							((((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_3453)))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_auxz00_7422), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 203 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_3453);
			}
		}
	}



/* &type-node!-atom3179 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2atom3179z70zzcfa_typez00(obj_t
		BgL_envz00_6367, obj_t BgL_nodez00_6368)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 195 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_6368));
		}
	}



/* &type-variable!-inter3175 */
	obj_t BGl_z62typezd2variablez12zd2inter3175z70zzcfa_typez00(obj_t
		BgL_envz00_6369, obj_t BgL_valuez00_6370, obj_t BgL_variablez00_6371)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 158 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* &type-variable!-sexit3173 */
	obj_t BGl_z62typezd2variablez12zd2sexit3173z70zzcfa_typez00(obj_t
		BgL_envz00_6372, obj_t BgL_valuez00_6373, obj_t BgL_variablez00_6374)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 148 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* &type-variable!-cvar/3171 */
	obj_t BGl_z62typezd2variablez12zd2cvarzf23171z82zzcfa_typez00(obj_t
		BgL_envz00_6375, obj_t BgL_valuez00_6376, obj_t BgL_variablez00_6377)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 141 */
			{
				BgL_cvarz00_bglt BgL_valuez00_3431;
				obj_t BgL_variablez00_3432;

				BgL_valuez00_3431 = ((BgL_cvarz00_bglt) BgL_valuez00_6376);
				BgL_variablez00_3432 = BgL_variablez00_6377;
				{	/* Cfa/type.scm 143 */
					obj_t BgL_arg3307z00_6091;

					{	/* Cfa/type.scm 143 */
						BgL_approxz00_bglt BgL_arg3308z00_6092;

						{
							BgL_cvarzf2cinfozf2_bglt BgL_auxz00_7433;

							{
								obj_t BgL_auxz00_7434;

								{	/* Cfa/type.scm 143 */
									BgL_objectz00_bglt BgL_auxz00_7435;

									BgL_auxz00_7435 = ((BgL_objectz00_bglt) BgL_valuez00_3431);
									BgL_auxz00_7434 = BGL_OBJECT_WIDENING(BgL_auxz00_7435);
								}
								BgL_auxz00_7433 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_7434);
							}
							BgL_arg3308z00_6092 =
								(((BgL_cvarzf2cinfozf2_bglt) CREF(BgL_auxz00_7433))->
								BgL_approxz00);
						}
						BgL_arg3307z00_6091 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3308z00_6092,
							((obj_t) BgL_valuez00_3431));
					}
					return
						BGl_setzd2variablezd2typez12z12zzcfa_typez00(
						((BgL_variablez00_bglt) BgL_variablez00_3432),
						((BgL_typez00_bglt) BgL_arg3307z00_6091));
				}
			}
		}
	}



/* &type-variable!-scnst3169 */
	obj_t BGl_z62typezd2variablez12zd2scnst3169z70zzcfa_typez00(obj_t
		BgL_envz00_6378, obj_t BgL_valuez00_6379, obj_t BgL_variablez00_6380)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 135 */
			return CNST_TABLE_REF(((long) 3));
		}
	}



/* &type-variable!-svar/3167 */
	obj_t BGl_z62typezd2variablez12zd2svarzf23167z82zzcfa_typez00(obj_t
		BgL_envz00_6381, obj_t BgL_valuez00_6382, obj_t BgL_variablez00_6383)
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 128 */
			{
				BgL_svarz00_bglt BgL_valuez00_3418;
				obj_t BgL_variablez00_3419;

				BgL_valuez00_3418 = ((BgL_svarz00_bglt) BgL_valuez00_6382);
				BgL_variablez00_3419 = BgL_variablez00_6383;
				{	/* Cfa/type.scm 130 */
					obj_t BgL_arg3305z00_6088;

					{	/* Cfa/type.scm 130 */
						BgL_approxz00_bglt BgL_arg3306z00_6089;

						{
							BgL_svarzf2cinfozf2_bglt BgL_auxz00_7447;

							{
								obj_t BgL_auxz00_7448;

								{	/* Cfa/type.scm 130 */
									BgL_objectz00_bglt BgL_auxz00_7449;

									BgL_auxz00_7449 = ((BgL_objectz00_bglt) BgL_valuez00_3418);
									BgL_auxz00_7448 = BGL_OBJECT_WIDENING(BgL_auxz00_7449);
								}
								BgL_auxz00_7447 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_7448);
							}
							BgL_arg3306z00_6089 =
								(((BgL_svarzf2cinfozf2_bglt) CREF(BgL_auxz00_7447))->
								BgL_approxz00);
						}
						BgL_arg3305z00_6088 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg3306z00_6089,
							((obj_t) BgL_valuez00_3418));
					}
					return
						BGl_setzd2variablezd2typez12z12zzcfa_typez00(
						((BgL_variablez00_bglt) BgL_variablez00_3419),
						((BgL_typez00_bglt) BgL_arg3305z00_6088));
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00()
	{
		AN_OBJECT;
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string3768z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string3768z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string3768z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string3768z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string3768z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string3768z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string3768z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string3768z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 125571606),
				BSTRING_TO_STRING(BGl_string3768z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3768z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string3768z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string3768z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string3768z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 189402713),
				BSTRING_TO_STRING(BGl_string3768z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string3768z00zzcfa_typez00));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string3768z00zzcfa_typez00));
		}
	}

#ifdef __cplusplus
}
#endif
