/*===========================================================================*/
/*   (Dataflow/walk.scm)                                                     */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Dataflow/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_instanceofz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_classz00;
	}                    *BgL_instanceofz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2valuezf2_bgl
	{
		int BgL_stampz00;
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                       *BgL_localzf2valuezf2_bglt;


	static obj_t BGl_z62abortzf3zd2fail2184z43zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2exter2142z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2va2174zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2sync2188z43zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2setq2144z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2pairzd2nilza2zd2zztype_cachez00;
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2var2127z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2condi2146z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzdataflow_walkz00();
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t
		BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2r2162za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t,
		obj_t);
	static BgL_localz00_bglt
		BGl_z62zc3anonymousza32255ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2f2152za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_methodzd2initzd2zzdataflow_walkz00();
	static obj_t
		BGl_z62dataflowzd2nodez12zd2letzd2v2154za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2jumpzd22158za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2boxzd2s2164za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32365ze3ze1zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62abortzf3zd2letzd2fun2192z91zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static obj_t BGl_z62dataflowzd2testzd2envzd2ap2168zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t, obj_t);
	static obj_t
		BGl_z62dataflowzd2nodez12zd2makezd22160za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62abortzf3zd2appzd2ly2200z91zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_z62dataflowzd2testzd2envzd2co2172zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd22177zb0zzdataflow_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62abortzf3zd2letzd2var2190z91zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62abortzf3zd2sequence2186z43zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2testzd2falsezd22180zb0zzdataflow_walkz00(obj_t,
		obj_t);
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2appzd2l2138za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2le2176zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2selec2150z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_zc3anonymousza32341ze3z83zzdataflow_walkz00(obj_t, obj_t);
	static obj_t
		BGl_zc3anonymousza32325ze3z83zzdataflow_walkz00(BgL_variablez00_bglt,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2funca2140z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzdataflow_walkz00 = BUNSPEC;
	extern obj_t BGl_funz00zzast_varz00;
	static obj_t BGl_z62dataflowzd2nodez12zd2sync2134z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62dataflowzd2nodez12zd2fail2148z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzdataflow_walkz00();
	BGL_IMPORT obj_t BGl_filterzd2mapzd2zz__r4_control_features_6_9z00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	extern obj_t BGl_typez00zztype_typez00;
	static obj_t BGl_z62dataflowzd2nodez122124za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2app2136z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static obj_t BGl_z62dataflowzd2nodez12zd2closu2129z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	static long BGl_letzd2varzd2stampz00zzdataflow_walkz00;
	static obj_t BGl_zc3anonymousza32299ze3z83zzdataflow_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_feffectz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_spreadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62abortzf32181z91zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62dataflowzd2testzd2envzd2in2170zb0zzdataflow_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62dataflowzd2nodez12zd2seque2132z70zzdataflow_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzdataflow_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
	static obj_t BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BUNSPEC;
	static BgL_localz00_bglt BGl_z62lambda2250z62zzdataflow_walkz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda2253z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	static obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt);
	static BgL_localz00_bglt BGl_z62lambda2256z62zzdataflow_walkz00(obj_t, obj_t);
	extern obj_t BGl_za2bnilza2z00zztype_cachez00;
	static obj_t BGl_z62dataflowzd2testzd2env2165z62zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_instanceofz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62lambda2264z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2265z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2269z62zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62abortzf3zd2app2196z43zzdataflow_walkz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2270z62zzdataflow_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	static obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_localzf2valuezf2zzdataflow_walkz00 = BUNSPEC;
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static obj_t BGl_z62abortzf3zd2funcall2198z43zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t BGl_z62abortzf3zd2conditional2194z43zzdataflow_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t
		BGl_z62dataflowzd2nodez12zd2setzd2e2156za2zzdataflow_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t __cnst[12];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2800z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2co2809za7,
		BGl_z62abortzf3zd2conditional2194z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2801z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2810za7,
		BGl_z62abortzf3zd2app2196z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2802z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fu2811za7,
		BGl_z62abortzf3zd2funcall2198z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2803z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2ap2812za7,
		BGl_z62abortzf3zd2appzd2ly2200z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2743z00zzdataflow_walkz00,
		BgL_bgl_string2743za700za7za7d2813za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2744z00zzdataflow_walkz00,
		BgL_bgl_string2744za700za7za7d2814za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2745z00zzdataflow_walkz00,
		BgL_bgl_string2745za700za7za7d2815za7, " error", 6);
	      DEFINE_STRING(BGl_string2746z00zzdataflow_walkz00,
		BgL_bgl_string2746za700za7za7d2816za7, "s", 1);
	      DEFINE_STRING(BGl_string2747z00zzdataflow_walkz00,
		BgL_bgl_string2747za700za7za7d2817za7, "", 0);
	      DEFINE_STRING(BGl_string2748z00zzdataflow_walkz00,
		BgL_bgl_string2748za700za7za7d2818za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2749z00zzdataflow_walkz00,
		BgL_bgl_string2749za700za7za7d2819za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2759z00zzdataflow_walkz00,
		BgL_bgl_string2759za700za7za7d2820za7, "dataflow-node!2124", 18);
	      DEFINE_STRING(BGl_string2761z00zzdataflow_walkz00,
		BgL_bgl_string2761za700za7za7d2821za7, "dataflow-test-env2165", 21);
	      DEFINE_STRING(BGl_string2763z00zzdataflow_walkz00,
		BgL_bgl_string2763za700za7za7d2822za7, "dataflow-test-false-2177", 24);
	      DEFINE_STRING(BGl_string2765z00zzdataflow_walkz00,
		BgL_bgl_string2765za700za7za7d2823za7, "abort?2181", 10);
	      DEFINE_STRING(BGl_string2767z00zzdataflow_walkz00,
		BgL_bgl_string2767za700za7za7d2824za7, "dataflow-node!", 14);
	      DEFINE_STRING(BGl_string2787z00zzdataflow_walkz00,
		BgL_bgl_string2787za700za7za7d2825za7, "dataflow-test-env", 17);
	      DEFINE_STRING(BGl_string2793z00zzdataflow_walkz00,
		BgL_bgl_string2793za700za7za7d2826za7, "dataflow-test-false-env", 23);
	      DEFINE_STRING(BGl_string2795z00zzdataflow_walkz00,
		BgL_bgl_string2795za700za7za7d2827za7, "abort?", 6);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2828z00,
		BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_dataflowzd2walkz12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2wa2829z00,
		BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_abortzf3zd2envz21zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za791za7za72830za7,
		BGl_z62abortzf3z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2831z00,
		BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2804z00zzdataflow_walkz00,
		BgL_bgl_string2804za700za7za7d2832za7, "dataflow_walk", 13);
	      DEFINE_STRING(BGl_string2805z00zzdataflow_walkz00,
		BgL_bgl_string2805za700za7za7d2833za7,
		"read _ dataflow_walk local/value int stamp node $epair? $pair? foreign $null? pass-started ",
		91);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2750z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2265za7622834z00, BGl_z62lambda2265z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2751z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2264za7622835z00, BGl_z62lambda2264z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2752z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2270za7622836z00, BGl_z62lambda2270z62zzdataflow_walkz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2753z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2269za7622837z00, BGl_z62lambda2269z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2754z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2256za7622838z00, BGl_z62lambda2256z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2755z00zzdataflow_walkz00,
		BgL_bgl_za762za7c3anonymousza72839za7,
		BGl_z62zc3anonymousza32255ze3ze1zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2756z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2253za7622840z00, BGl_z62lambda2253z62zzdataflow_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2757z00zzdataflow_walkz00,
		BgL_bgl_za762lambda2250za7622841z00, BGl_z62lambda2250z62zzdataflow_walkz00,
		0L, BUNSPEC, 13);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2758z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2842z00,
		BGl_z62dataflowzd2nodez122124za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2843z00,
		BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2760z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2844z00,
		BGl_z62dataflowzd2testzd2env2165z62zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2762z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2845z00,
		BGl_z62dataflowzd2testzd2falsezd22177zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2764z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f32181za72846za7,
		BGl_z62abortzf32181z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2766z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2847z00,
		BGl_z62dataflowzd2nodez12zd2var2127z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2768z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2848z00,
		BGl_z62dataflowzd2nodez12zd2closu2129z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2769z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2849z00,
		BGl_z62dataflowzd2nodez12zd2seque2132z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2770z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2850z00,
		BGl_z62dataflowzd2nodez12zd2sync2134z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2771z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2851z00,
		BGl_z62dataflowzd2nodez12zd2app2136z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2772z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2852z00,
		BGl_z62dataflowzd2nodez12zd2appzd2l2138za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2773z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2853z00,
		BGl_z62dataflowzd2nodez12zd2funca2140z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2774z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2854z00,
		BGl_z62dataflowzd2nodez12zd2exter2142z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2775z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2855z00,
		BGl_z62dataflowzd2nodez12zd2setq2144z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2776z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2856z00,
		BGl_z62dataflowzd2nodez12zd2condi2146z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2777z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2857z00,
		BGl_z62dataflowzd2nodez12zd2fail2148z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2778z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2858z00,
		BGl_z62dataflowzd2nodez12zd2selec2150z70zzdataflow_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2779z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2859z00,
		BGl_z62dataflowzd2nodez12zd2letzd2f2152za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2780z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2860z00,
		BGl_z62dataflowzd2nodez12zd2letzd2v2154za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2781z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2861z00,
		BGl_z62dataflowzd2nodez12zd2setzd2e2156za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2782z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2862z00,
		BGl_z62dataflowzd2nodez12zd2jumpzd22158za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2783z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2863z00,
		BGl_z62dataflowzd2nodez12zd2makezd22160za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2784z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2864z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2r2162za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2785z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2no2865z00,
		BGl_z62dataflowzd2nodez12zd2boxzd2s2164za2zzdataflow_walkz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2786z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2866z00,
		BGl_z62dataflowzd2testzd2envzd2ap2168zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2788z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2867z00,
		BGl_z62dataflowzd2testzd2envzd2in2170zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2789z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2868z00,
		BGl_z62dataflowzd2testzd2envzd2co2172zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2790z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2869z00,
		BGl_z62dataflowzd2testzd2envzd2va2174zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2791z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2870z00,
		BGl_z62dataflowzd2testzd2envzd2le2176zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2792z00zzdataflow_walkz00,
		BgL_bgl_za762dataflowza7d2te2871z00,
		BGl_z62dataflowzd2testzd2falsezd22180zb0zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2794z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2fa2872za7,
		BGl_z62abortzf3zd2fail2184z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2796z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2se2873za7,
		BGl_z62abortzf3zd2sequence2186z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2797z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2sy2874za7,
		BGl_z62abortzf3zd2sync2188z43zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2798z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2875za7,
		BGl_z62abortzf3zd2letzd2var2190z91zzdataflow_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2799z00zzdataflow_walkz00,
		BgL_bgl_za762abortza7f3za7d2le2876za7,
		BGl_z62abortzf3zd2letzd2fun2192z91zzdataflow_walkz00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long
		BgL_checksumz00_4114, char *BgL_fromz00_4115)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzdataflow_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzdataflow_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_cnstzd2initzd2zzdataflow_walkz00();
					BGl_importedzd2moduleszd2initz00zzdataflow_walkz00();
					BGl_objectzd2initzd2zzdataflow_walkz00();
					BGl_genericzd2initzd2zzdataflow_walkz00();
					BGl_methodzd2initzd2zzdataflow_walkz00();
					BGl_toplevelzd2initzd2zzdataflow_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"dataflow_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"dataflow_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 17 */
				obj_t BgL_cportz00_4091;

				BgL_cportz00_4091 =
					bgl_open_input_string(BGl_string2805z00zzdataflow_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_4092;

					BgL_iz00_4092 = ((long) 11);
				BgL_loopz00_4093:
					if ((BgL_iz00_4092 == ((long) -1)))
						{	/* Dataflow/walk.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Dataflow/walk.scm 17 */
							{	/* Dataflow/walk.scm 17 */
								obj_t BgL_arg2807z00_4095;

								{	/* Dataflow/walk.scm 17 */

									{	/* Dataflow/walk.scm 17 */
										obj_t BgL_locationz00_4097;

										BgL_locationz00_4097 = BBOOL(((bool_t) 0));
										{	/* Dataflow/walk.scm 17 */

											BgL_arg2807z00_4095 =
												BGl_readz00zz__readerz00(BgL_cportz00_4091,
												BgL_locationz00_4097);
										}
									}
								}
								{	/* Dataflow/walk.scm 17 */
									int BgL_auxz00_4143;

									BgL_auxz00_4143 = (int) (BgL_iz00_4092);
									CNST_TABLE_SET(BgL_auxz00_4143, BgL_arg2807z00_4095);
							}}
							{	/* Dataflow/walk.scm 17 */
								int BgL_auxz00_4098;

								BgL_auxz00_4098 = (int) ((BgL_iz00_4092 - ((long) 1)));
								{
									long BgL_iz00_4148;

									BgL_iz00_4148 = (long) (BgL_auxz00_4098);
									BgL_iz00_4092 = BgL_iz00_4148;
									goto BgL_loopz00_4093;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 = BFALSE;
			BGl_letzd2varzd2stampz00zzdataflow_walkz00 = ((long) 0);
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzdataflow_walkz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_1647;

				BgL_headz00_1647 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1648;
					obj_t BgL_tailz00_1649;

					BgL_prevz00_1648 = BgL_headz00_1647;
					BgL_tailz00_1649 = BgL_l1z00_1;
				BgL_loopz00_1650:
					if (PAIRP(BgL_tailz00_1649))
						{
							obj_t BgL_newzd2prevzd2_1652;

							BgL_newzd2prevzd2_1652 =
								MAKE_PAIR(CAR(BgL_tailz00_1649), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1648, BgL_newzd2prevzd2_1652);
							{
								obj_t BgL_tailz00_4157;
								obj_t BgL_prevz00_4156;

								BgL_prevz00_4156 = BgL_newzd2prevzd2_1652;
								BgL_tailz00_4157 = CDR(BgL_tailz00_1649);
								BgL_tailz00_1649 = BgL_tailz00_4157;
								BgL_prevz00_1648 = BgL_prevz00_4156;
								goto BgL_loopz00_1650;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1647);
				}
			}
		}
	}



/* dataflow-walk! */
	BGL_EXPORTED_DEF obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t
		BgL_globalsz00_56, obj_t BgL_namez00_57)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 44 */
			{	/* Dataflow/walk.scm 45 */
				obj_t BgL_list2207z00_1687;

				{	/* Dataflow/walk.scm 45 */
					obj_t BgL_arg2208z00_1688;

					{	/* Dataflow/walk.scm 45 */
						obj_t BgL_arg2209z00_1689;

						BgL_arg2209z00_1689 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg2208z00_1688 =
							MAKE_PAIR(BgL_namez00_57, BgL_arg2209z00_1689);
					}
					BgL_list2207z00_1687 =
						MAKE_PAIR(BGl_string2743z00zzdataflow_walkz00, BgL_arg2208z00_1688);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2207z00_1687);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 = BgL_namez00_57;
			{
				obj_t BgL_hooksz00_1693;
				obj_t BgL_hnamesz00_1694;

				BgL_hooksz00_1693 = BNIL;
				BgL_hnamesz00_1694 = BNIL;
			BgL_zc3anonymousza32210ze3z83_1695:
				if (NULLP(BgL_hooksz00_1693))
					{	/* Dataflow/walk.scm 45 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Dataflow/walk.scm 45 */
						bool_t BgL_testz00_4170;

						{	/* Dataflow/walk.scm 45 */
							obj_t BgL_fun2217z00_1701;

							BgL_fun2217z00_1701 = CAR(BgL_hooksz00_1693);
							BgL_testz00_4170 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun2217z00_1701) (BgL_fun2217z00_1701,
									BEOA));
						}
						if (BgL_testz00_4170)
							{
								obj_t BgL_hnamesz00_4178;
								obj_t BgL_hooksz00_4176;

								BgL_hooksz00_4176 = CDR(BgL_hooksz00_1693);
								BgL_hnamesz00_4178 = CDR(BgL_hnamesz00_1694);
								BgL_hnamesz00_1694 = BgL_hnamesz00_4178;
								BgL_hooksz00_1693 = BgL_hooksz00_4176;
								goto BgL_zc3anonymousza32210ze3z83_1695;
							}
						else
							{	/* Dataflow/walk.scm 45 */
								BGl_internalzd2errorzd2zztools_errorz00(BgL_namez00_57,
									BGl_string2744z00zzdataflow_walkz00, CAR(BgL_hnamesz00_1694));
							}
					}
			}
			BGl_za2z42nullzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 1)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42pairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 3)),
				CNST_TABLE_REF(((long) 2)));
			BGl_za2z42epairzf3za2zb1zzdataflow_walkz00 =
				BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long) 4)),
				CNST_TABLE_REF(((long) 2)));
			{
				obj_t BgL_l2076z00_1705;

				BgL_l2076z00_1705 = BgL_globalsz00_56;
			BgL_zc3anonymousza32219ze3z83_1706:
				if (PAIRP(BgL_l2076z00_1705))
					{	/* Dataflow/walk.scm 49 */
						{	/* Dataflow/walk.scm 49 */
							obj_t BgL_arg2221z00_1708;

							BgL_arg2221z00_1708 = CAR(BgL_l2076z00_1705);
							{	/* Dataflow/walk.scm 63 */
								obj_t BgL_arg2238z00_3334;

								BgL_arg2238z00_3334 =
									(((BgL_sfunz00_bglt) CREF(
											((BgL_sfunz00_bglt)
												(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_arg2221z00_1708))))->
													BgL_valuez00))))->BgL_bodyz00);
								BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((BgL_nodez00_bglt)
										BgL_arg2238z00_3334), BNIL);
							}
						}
						{
							obj_t BgL_l2076z00_4201;

							BgL_l2076z00_4201 = CDR(BgL_l2076z00_1705);
							BgL_l2076z00_1705 = BgL_l2076z00_4201;
							goto BgL_zc3anonymousza32219ze3z83_1706;
						}
					}
				else
					{	/* Dataflow/walk.scm 49 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Dataflow/walk.scm 50 */
					{	/* Dataflow/walk.scm 50 */
						obj_t BgL_port2078z00_1713;

						{	/* Dataflow/walk.scm 50 */
							obj_t BgL_res2615z00_3346;

							{	/* Dataflow/walk.scm 50 */
								obj_t BgL_auxz00_4206;

								BgL_auxz00_4206 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2615z00_3346 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_4206);
							}
							BgL_port2078z00_1713 = BgL_res2615z00_3346;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port2078z00_1713);
						bgl_display_string(BGl_string2745z00zzdataflow_walkz00,
							BgL_port2078z00_1713);
						{	/* Dataflow/walk.scm 50 */
							obj_t BgL_arg2224z00_1714;

							{	/* Dataflow/walk.scm 50 */
								bool_t BgL_testz00_4211;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Dataflow/walk.scm 50 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Dataflow/walk.scm 50 */
												BgL_testz00_4211 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Dataflow/walk.scm 50 */
												BgL_testz00_4211 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Dataflow/walk.scm 50 */
										BgL_testz00_4211 = ((bool_t) 0);
									}
								if (BgL_testz00_4211)
									{	/* Dataflow/walk.scm 50 */
										BgL_arg2224z00_1714 = BGl_string2746z00zzdataflow_walkz00;
									}
								else
									{	/* Dataflow/walk.scm 50 */
										BgL_arg2224z00_1714 = BGl_string2747z00zzdataflow_walkz00;
									}
							}
							bgl_display_obj(BgL_arg2224z00_1714, BgL_port2078z00_1713);
						}
						bgl_display_string(BGl_string2748z00zzdataflow_walkz00,
							BgL_port2078z00_1713);
						bgl_display_char(((unsigned char) '\n'), BgL_port2078z00_1713);
					}
					{	/* Dataflow/walk.scm 50 */
						obj_t BgL_list2228z00_1718;

						BgL_list2228z00_1718 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list2228z00_1718);
					}
				}
			else
				{
					obj_t BgL_hooksz00_1722;
					obj_t BgL_hnamesz00_1723;

					BgL_hooksz00_1722 = BNIL;
					BgL_hnamesz00_1723 = BNIL;
				BgL_zc3anonymousza32229ze3z83_1724:
					if (NULLP(BgL_hooksz00_1722))
						{	/* Dataflow/walk.scm 50 */
							return BgL_globalsz00_56;
						}
					else
						{	/* Dataflow/walk.scm 50 */
							bool_t BgL_testz00_4228;

							{	/* Dataflow/walk.scm 50 */
								obj_t BgL_fun2236z00_1730;

								BgL_fun2236z00_1730 = CAR(BgL_hooksz00_1722);
								BgL_testz00_4228 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun2236z00_1730)
									(BgL_fun2236z00_1730, BEOA));
							}
							if (BgL_testz00_4228)
								{
									obj_t BgL_hnamesz00_4236;
									obj_t BgL_hooksz00_4234;

									BgL_hooksz00_4234 = CDR(BgL_hooksz00_1722);
									BgL_hnamesz00_4236 = CDR(BgL_hnamesz00_1723);
									BgL_hnamesz00_1723 = BgL_hnamesz00_4236;
									BgL_hooksz00_1722 = BgL_hooksz00_4234;
									goto BgL_zc3anonymousza32229ze3z83_1724;
								}
							else
								{	/* Dataflow/walk.scm 50 */
									obj_t BgL_arg2235z00_1729;

									BgL_arg2235z00_1729 = CAR(BgL_hnamesz00_1723);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string2749z00zzdataflow_walkz00, BgL_arg2235z00_1729);
								}
						}
				}
		}
	}



/* &dataflow-walk! */
	obj_t BGl_z62dataflowzd2walkz12za2zzdataflow_walkz00(obj_t BgL_envz00_3901,
		obj_t BgL_globalsz00_3902, obj_t BgL_namez00_3903)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 44 */
			return
				BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(BgL_globalsz00_3902,
				BgL_namez00_3903);
		}
	}



/* dataflow-node*! */
	obj_t BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(obj_t BgL_nodeza2za2_99,
		obj_t BgL_envz00_100)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 311 */
			{
				obj_t BgL_l2100z00_1736;

				BgL_l2100z00_1736 = BgL_nodeza2za2_99;
			BgL_zc3anonymousza32241ze3z83_1737:
				if (PAIRP(BgL_l2100z00_1736))
					{	/* Dataflow/walk.scm 312 */
						{	/* Dataflow/walk.scm 312 */
							obj_t BgL_nz00_1739;

							BgL_nz00_1739 = CAR(BgL_l2100z00_1736);
							BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
								((BgL_nodez00_bglt) BgL_nz00_1739), BgL_envz00_100);
						}
						{
							obj_t BgL_l2100z00_4246;

							BgL_l2100z00_4246 = CDR(BgL_l2100z00_1736);
							BgL_l2100z00_1736 = BgL_l2100z00_4246;
							goto BgL_zc3anonymousza32241ze3z83_1737;
						}
					}
				else
					{	/* Dataflow/walk.scm 312 */
						((bool_t) 1);
					}
			}
			return BgL_envz00_100;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			{	/* Dataflow/walk.scm 36 */
				obj_t BgL_arg2248z00_1746;
				obj_t BgL_arg2249z00_1747;

				{	/* Dataflow/walk.scm 36 */
					obj_t BgL_v2122z00_1781;

					BgL_v2122z00_1781 = create_vector((int) (((long) 2)));
					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_arg2260z00_1782;

						BgL_arg2260z00_1782 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									5)), BGl_proc2751z00zzdataflow_walkz00,
							BGl_proc2750z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v2122z00_1781, (int) (((long) 1)),
							BgL_arg2260z00_1782);
					}
					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_arg2266z00_1794;

						BgL_arg2266z00_1794 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									6)), BGl_proc2753z00zzdataflow_walkz00,
							BGl_proc2752z00zzdataflow_walkz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 7)));
						VECTOR_SET(BgL_v2122z00_1781, (int) (((long) 0)),
							BgL_arg2266z00_1794);
					}
					BgL_arg2248z00_1746 = BgL_v2122z00_1781;
				}
				{	/* Dataflow/walk.scm 36 */
					obj_t BgL_v2123z00_1806;

					BgL_v2123z00_1806 = create_vector((int) (((long) 0)));
					BgL_arg2249z00_1747 = BgL_v2123z00_1806;
				}
				return (BGl_localzf2valuezf2zzdataflow_walkz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 8)),
						CNST_TABLE_REF(((long) 9)), BGl_localz00zzast_varz00,
						((long) 51723), BGl_proc2757z00zzdataflow_walkz00,
						BGl_proc2756z00zzdataflow_walkz00, BFALSE,
						BGl_proc2755z00zzdataflow_walkz00,
						BGl_proc2754z00zzdataflow_walkz00, BgL_arg2248z00_1746,
						BgL_arg2249z00_1747), BUNSPEC);
		}}
	}



/* &lambda2256 */
	BgL_localz00_bglt BGl_z62lambda2256z62zzdataflow_walkz00(obj_t
		BgL_envz00_3912, obj_t BgL_o1118z00_3913)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_o1118z00_1775;

				BgL_o1118z00_1775 = ((BgL_localz00_bglt) BgL_o1118z00_3913);
				{	/* Dataflow/walk.scm 36 */
					long BgL_arg2257z00_1778;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_arg2258z00_1779;

						{	/* Dataflow/walk.scm 36 */
							obj_t BgL_arg2259z00_1780;

							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_objectz00_3404;

								BgL_objectz00_3404 = ((BgL_objectz00_bglt) BgL_o1118z00_1775);
								{	/* Dataflow/walk.scm 36 */
									long BgL_arg1806z00_3405;

									{	/* Dataflow/walk.scm 36 */
										long BgL_arg1808z00_3406;

										{	/* Dataflow/walk.scm 36 */
											long BgL_res2625z00_3408;

											BgL_res2625z00_3408 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_3404);
											BgL_arg1808z00_3406 = BgL_res2625z00_3408;
										}
										BgL_arg1806z00_3405 = (BgL_arg1808z00_3406 - OBJECT_TYPE);
									}
									BgL_arg2259z00_1780 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1806z00_3405));
							}}
							BgL_arg2258z00_1779 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2259z00_1780);
						}
						{	/* Dataflow/walk.scm 36 */
							long BgL_res2627z00_3415;

							BgL_res2627z00_3415 = BGL_CLASS_INDEX(BgL_arg2258z00_1779);
							BgL_arg2257z00_1778 = BgL_res2627z00_3415;
					}}
					{	/* Dataflow/walk.scm 36 */
						BgL_objectz00_bglt BgL_objz00_3416;

						BgL_objz00_3416 = ((BgL_objectz00_bglt) BgL_o1118z00_1775);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3416, BgL_arg2257z00_1778);
				}}
				{	/* Dataflow/walk.scm 36 */
					BgL_objectz00_bglt BgL_auxz00_4273;

					BgL_auxz00_4273 = ((BgL_objectz00_bglt) BgL_o1118z00_1775);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_4273, BFALSE);
				}
				return ((BgL_localz00_bglt) BgL_o1118z00_1775);
			}
		}
	}



/* &<anonymous:2255> */
	BgL_localz00_bglt BGl_z62zc3anonymousza32255ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_3914, obj_t BgL_new1117z00_3915)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_new1117z00_1773;

				BgL_new1117z00_1773 = ((BgL_localz00_bglt) BgL_new1117z00_3915);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1117z00_1773)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 10))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1117z00_1773)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4283;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_classz00_3398;

						BgL_classz00_3398 = BGl_typez00zztype_typez00;
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL__ortest_1093z00_3399;

							BgL__ortest_1093z00_3399 = BGL_CLASS_NIL(BgL_classz00_3398);
							if (CBOOL(BgL__ortest_1093z00_3399))
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4283 =
										((BgL_typez00_bglt) BgL__ortest_1093z00_3399);
								}
							else
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4283 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3398));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1117z00_1773)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4283), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4292;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_classz00_3400;

						BgL_classz00_3400 = BGl_valuez00zzast_varz00;
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL__ortest_1093z00_3401;

							BgL__ortest_1093z00_3401 = BGL_CLASS_NIL(BgL_classz00_3400);
							if (CBOOL(BgL__ortest_1093z00_3401))
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4292 =
										((BgL_valuez00_bglt) BgL__ortest_1093z00_3401);
								}
							else
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4292 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3400));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1117z00_1773)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4292), BUNSPEC);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1117z00_1773)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1117z00_1773)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1117z00_1773)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1117z00_1773)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1117z00_1773)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1117z00_1773)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
									BgL_new1117z00_1773)))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4315;

					{
						obj_t BgL_auxz00_4316;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4317;

							BgL_auxz00_4317 = ((BgL_objectz00_bglt) BgL_new1117z00_1773);
							BgL_auxz00_4316 = BGL_OBJECT_WIDENING(BgL_auxz00_4317);
						}
						BgL_auxz00_4315 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4316);
					}
					((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4315))->BgL_stampz00) =
						((int) (int) (((long) 0))), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4329;
					BgL_localzf2valuezf2_bglt BgL_auxz00_4323;

					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_classz00_3402;

						BgL_classz00_3402 = BGl_nodez00zzast_nodez00;
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL__ortest_1093z00_3403;

							BgL__ortest_1093z00_3403 = BGL_CLASS_NIL(BgL_classz00_3402);
							if (CBOOL(BgL__ortest_1093z00_3403))
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4329 =
										((BgL_nodez00_bglt) BgL__ortest_1093z00_3403);
								}
							else
								{	/* Dataflow/walk.scm 36 */
									BgL_auxz00_4329 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_3402));
								}
						}
					}
					{
						obj_t BgL_auxz00_4324;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4325;

							BgL_auxz00_4325 = ((BgL_objectz00_bglt) BgL_new1117z00_1773);
							BgL_auxz00_4324 = BGL_OBJECT_WIDENING(BgL_auxz00_4325);
						}
						BgL_auxz00_4323 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4324);
					}
					((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4323))->BgL_nodez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4329), BUNSPEC);
				}
				return BgL_new1117z00_1773;
			}
		}
	}



/* &lambda2253 */
	BgL_localz00_bglt BGl_z62lambda2253z62zzdataflow_walkz00(obj_t
		BgL_envz00_3916, obj_t BgL_o1114z00_3917)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_o1114z00_1768;

				BgL_o1114z00_1768 = ((BgL_localz00_bglt) BgL_o1114z00_3917);
				{	/* Dataflow/walk.scm 36 */
					BgL_localz00_bglt BgL_tmp1115z00_1770;
					BgL_localzf2valuezf2_bglt BgL_wide1116z00_1771;

					BgL_tmp1115z00_1770 = ((BgL_localz00_bglt) BgL_o1114z00_1768);
					BgL_wide1116z00_1771 =
						((BgL_localzf2valuezf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_localzf2valuezf2_bgl))));
					{	/* Dataflow/walk.scm 36 */
						obj_t BgL_auxz00_4342;
						BgL_objectz00_bglt BgL_auxz00_4340;

						BgL_auxz00_4342 = ((obj_t) BgL_wide1116z00_1771);
						BgL_auxz00_4340 = ((BgL_objectz00_bglt) BgL_tmp1115z00_1770);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4340, BgL_auxz00_4342);
					}
					{	/* Dataflow/walk.scm 36 */
						long BgL_arg2254z00_1772;

						{	/* Dataflow/walk.scm 36 */
							long BgL_res2624z00_3395;

							BgL_res2624z00_3395 =
								BGL_CLASS_INDEX(BGl_localzf2valuezf2zzdataflow_walkz00);
							BgL_arg2254z00_1772 = BgL_res2624z00_3395;
						}
						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_objz00_3396;

							BgL_objz00_3396 = ((BgL_objectz00_bglt) BgL_tmp1115z00_1770);
							((BgL_localz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3396, BgL_arg2254z00_1772));
					}}
					return ((BgL_localz00_bglt) BgL_tmp1115z00_1770);
				}
			}
		}
	}



/* &lambda2250 */
	BgL_localz00_bglt BGl_z62lambda2250z62zzdataflow_walkz00(obj_t
		BgL_envz00_3918, obj_t BgL_id1101z00_3919, obj_t BgL_name1102z00_3920,
		obj_t BgL_type1103z00_3921, obj_t BgL_value1104z00_3922,
		obj_t BgL_access1105z00_3923, obj_t BgL_fastzd2alpha1106zd2_3924,
		obj_t BgL_removable1107z00_3925, obj_t BgL_occurrence1108z00_3926,
		obj_t BgL_occurrencew1109z00_3927, obj_t BgL_userzf31110zf3_3928,
		obj_t BgL_key1111z00_3929, obj_t BgL_stamp1112z00_3930,
		obj_t BgL_node1113z00_3931)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				obj_t BgL_id1101z00_1748;
				obj_t BgL_name1102z00_1749;
				BgL_typez00_bglt BgL_type1103z00_1750;
				BgL_valuez00_bglt BgL_value1104z00_1751;
				obj_t BgL_access1105z00_1752;
				obj_t BgL_fastzd2alpha1106zd2_1753;
				obj_t BgL_removable1107z00_1754;
				long BgL_occurrence1108z00_1755;
				long BgL_occurrencew1109z00_1756;
				bool_t BgL_userzf31110zf3_1757;
				long BgL_key1111z00_1758;
				int BgL_stamp1112z00_1759;
				BgL_nodez00_bglt BgL_node1113z00_1760;

				BgL_id1101z00_1748 = BgL_id1101z00_3919;
				BgL_name1102z00_1749 = BgL_name1102z00_3920;
				BgL_type1103z00_1750 = ((BgL_typez00_bglt) BgL_type1103z00_3921);
				BgL_value1104z00_1751 = ((BgL_valuez00_bglt) BgL_value1104z00_3922);
				BgL_access1105z00_1752 = BgL_access1105z00_3923;
				BgL_fastzd2alpha1106zd2_1753 = BgL_fastzd2alpha1106zd2_3924;
				BgL_removable1107z00_1754 = BgL_removable1107z00_3925;
				BgL_occurrence1108z00_1755 = (long) CINT(BgL_occurrence1108z00_3926);
				BgL_occurrencew1109z00_1756 = (long) CINT(BgL_occurrencew1109z00_3927);
				BgL_userzf31110zf3_1757 = CBOOL(BgL_userzf31110zf3_3928);
				BgL_key1111z00_1758 = (long) CINT(BgL_key1111z00_3929);
				BgL_stamp1112z00_1759 = CINT(BgL_stamp1112z00_3930);
				BgL_node1113z00_1760 = ((BgL_nodez00_bglt) BgL_node1113z00_3931);
				{	/* Dataflow/walk.scm 36 */
					BgL_localz00_bglt BgL_new1214z00_1762;

					{	/* Dataflow/walk.scm 36 */
						BgL_localz00_bglt BgL_tmp1212z00_1763;
						BgL_localzf2valuezf2_bglt BgL_wide1213z00_1764;

						{
							BgL_localz00_bglt BgL_auxz00_4351;

							{	/* Dataflow/walk.scm 36 */
								BgL_localz00_bglt BgL_new1211z00_1766;

								BgL_new1211z00_1766 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Dataflow/walk.scm 36 */
									long BgL_arg2252z00_1767;

									{	/* Dataflow/walk.scm 36 */
										long BgL_res2622z00_3387;

										BgL_res2622z00_3387 =
											BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
										BgL_arg2252z00_1767 = BgL_res2622z00_3387;
									}
									{	/* Dataflow/walk.scm 36 */
										BgL_objectz00_bglt BgL_objz00_3388;

										BgL_objz00_3388 =
											((BgL_objectz00_bglt) BgL_new1211z00_1766);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3388,
											BgL_arg2252z00_1767);
								}}
								{	/* Dataflow/walk.scm 36 */
									BgL_objectz00_bglt BgL_auxz00_4356;

									BgL_auxz00_4356 = ((BgL_objectz00_bglt) BgL_new1211z00_1766);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4356, BFALSE);
								}
								BgL_auxz00_4351 = BgL_new1211z00_1766;
							}
							BgL_tmp1212z00_1763 = ((BgL_localz00_bglt) BgL_auxz00_4351);
						}
						BgL_wide1213z00_1764 =
							((BgL_localzf2valuezf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2valuezf2_bgl))));
						{	/* Dataflow/walk.scm 36 */
							obj_t BgL_auxz00_4363;
							BgL_objectz00_bglt BgL_auxz00_4361;

							BgL_auxz00_4363 = ((obj_t) BgL_wide1213z00_1764);
							BgL_auxz00_4361 = ((BgL_objectz00_bglt) BgL_tmp1212z00_1763);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4361, BgL_auxz00_4363);
						}
						{	/* Dataflow/walk.scm 36 */
							long BgL_arg2251z00_1765;

							{	/* Dataflow/walk.scm 36 */
								long BgL_res2623z00_3391;

								BgL_res2623z00_3391 =
									BGL_CLASS_INDEX(BGl_localzf2valuezf2zzdataflow_walkz00);
								BgL_arg2251z00_1765 = BgL_res2623z00_3391;
							}
							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_objz00_3392;

								BgL_objz00_3392 = ((BgL_objectz00_bglt) BgL_tmp1212z00_1763);
								((BgL_localz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3392,
										BgL_arg2251z00_1765));
						}}
						BgL_new1214z00_1762 = ((BgL_localz00_bglt) BgL_tmp1212z00_1763);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1214z00_1762)))->BgL_idz00) =
						((obj_t) BgL_id1101z00_1748), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1214z00_1762)))->BgL_namez00) =
						((obj_t) BgL_name1102z00_1749), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1214z00_1762)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1103z00_1750), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1214z00_1762)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1104z00_1751), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1214z00_1762)))->BgL_accessz00) =
						((obj_t) BgL_access1105z00_1752), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1214z00_1762)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1106zd2_1753), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1214z00_1762)))->BgL_removablez00) =
						((obj_t) BgL_removable1107z00_1754), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1214z00_1762)))->BgL_occurrencez00) =
						((long) BgL_occurrence1108z00_1755), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1214z00_1762)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1109z00_1756), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1214z00_1762)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31110zf3_1757), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1214z00_1762)))->BgL_keyz00) =
						((long) BgL_key1111z00_1758), BUNSPEC);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4393;

						{
							obj_t BgL_auxz00_4394;

							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_auxz00_4395;

								BgL_auxz00_4395 = ((BgL_objectz00_bglt) BgL_new1214z00_1762);
								BgL_auxz00_4394 = BGL_OBJECT_WIDENING(BgL_auxz00_4395);
							}
							BgL_auxz00_4393 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4394);
						}
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4393))->
								BgL_stampz00) = ((int) BgL_stamp1112z00_1759), BUNSPEC);
					}
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4400;

						{
							obj_t BgL_auxz00_4401;

							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_auxz00_4402;

								BgL_auxz00_4402 = ((BgL_objectz00_bglt) BgL_new1214z00_1762);
								BgL_auxz00_4401 = BGL_OBJECT_WIDENING(BgL_auxz00_4402);
							}
							BgL_auxz00_4400 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4401);
						}
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4400))->
								BgL_nodez00) =
							((BgL_nodez00_bglt) BgL_node1113z00_1760), BUNSPEC);
					}
					return BgL_new1214z00_1762;
				}
			}
		}
	}



/* &lambda2270 */
	obj_t BGl_z62lambda2270z62zzdataflow_walkz00(obj_t BgL_envz00_3932,
		obj_t BgL_oz00_3933, obj_t BgL_vz00_3934)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1800;
				int BgL_vz00_1801;

				BgL_oz00_1800 = ((BgL_localz00_bglt) BgL_oz00_3933);
				BgL_vz00_1801 = CINT(BgL_vz00_3934);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4415;

					{
						obj_t BgL_auxz00_4416;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4417;

							BgL_auxz00_4417 = ((BgL_objectz00_bglt) BgL_oz00_1800);
							BgL_auxz00_4416 = BGL_OBJECT_WIDENING(BgL_auxz00_4417);
						}
						BgL_auxz00_4415 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4416);
					}
					return
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4415))->
							BgL_stampz00) = ((int) BgL_vz00_1801), BUNSPEC);
		}}}
	}



/* &lambda2269 */
	obj_t BGl_z62lambda2269z62zzdataflow_walkz00(obj_t BgL_envz00_3935,
		obj_t BgL_oz00_3936)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1797;

				{	/* Dataflow/walk.scm 36 */
					int BgL_auxz00_4424;

					BgL_oz00_1797 = ((BgL_localz00_bglt) BgL_oz00_3936);
					{
						BgL_localzf2valuezf2_bglt BgL_auxz00_4425;

						{
							obj_t BgL_auxz00_4426;

							{	/* Dataflow/walk.scm 36 */
								BgL_objectz00_bglt BgL_auxz00_4427;

								BgL_auxz00_4427 = ((BgL_objectz00_bglt) BgL_oz00_1797);
								BgL_auxz00_4426 = BGL_OBJECT_WIDENING(BgL_auxz00_4427);
							}
							BgL_auxz00_4425 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4426);
						}
						BgL_auxz00_4424 =
							(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4425))->
							BgL_stampz00);
					}
					return BINT(BgL_auxz00_4424);
				}
			}
		}
	}



/* &lambda2265 */
	obj_t BGl_z62lambda2265z62zzdataflow_walkz00(obj_t BgL_envz00_3937,
		obj_t BgL_oz00_3938, obj_t BgL_vz00_3939)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1788;
				BgL_nodez00_bglt BgL_vz00_1789;

				BgL_oz00_1788 = ((BgL_localz00_bglt) BgL_oz00_3938);
				BgL_vz00_1789 = ((BgL_nodez00_bglt) BgL_vz00_3939);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4434;

					{
						obj_t BgL_auxz00_4435;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4436;

							BgL_auxz00_4436 = ((BgL_objectz00_bglt) BgL_oz00_1788);
							BgL_auxz00_4435 = BGL_OBJECT_WIDENING(BgL_auxz00_4436);
						}
						BgL_auxz00_4434 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4435);
					}
					return
						((((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4434))->
							BgL_nodez00) = ((BgL_nodez00_bglt) BgL_vz00_1789), BUNSPEC);
				}
			}
		}
	}



/* &lambda2264 */
	BgL_nodez00_bglt BGl_z62lambda2264z62zzdataflow_walkz00(obj_t BgL_envz00_3940,
		obj_t BgL_oz00_3941)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 36 */
			{
				BgL_localz00_bglt BgL_oz00_1785;

				BgL_oz00_1785 = ((BgL_localz00_bglt) BgL_oz00_3941);
				{
					BgL_localzf2valuezf2_bglt BgL_auxz00_4443;

					{
						obj_t BgL_auxz00_4444;

						{	/* Dataflow/walk.scm 36 */
							BgL_objectz00_bglt BgL_auxz00_4445;

							BgL_auxz00_4445 = ((BgL_objectz00_bglt) BgL_oz00_1785);
							BgL_auxz00_4444 = BGL_OBJECT_WIDENING(BgL_auxz00_4445);
						}
						BgL_auxz00_4443 = ((BgL_localzf2valuezf2_bglt) BgL_auxz00_4444);
					}
					return
						(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4443))->BgL_nodez00);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_proc2758z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2759z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_proc2760z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2761z00zzdataflow_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_proc2762z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2763z00zzdataflow_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_proc2764z00zzdataflow_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2765z00zzdataflow_walkz00);
		}
	}



/* &abort?2181 */
	obj_t BGl_z62abortzf32181z91zzdataflow_walkz00(obj_t BgL_envz00_3946,
		obj_t BgL_nodez00_3947)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 432 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &dataflow-test-false-2177 */
	obj_t BGl_z62dataflowzd2testzd2falsezd22177zb0zzdataflow_walkz00(obj_t
		BgL_envz00_3948, obj_t BgL_nodez00_3949)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 404 */
			return BNIL;
		}
	}



/* &dataflow-test-env2165 */
	obj_t BGl_z62dataflowzd2testzd2env2165z62zzdataflow_walkz00(obj_t
		BgL_envz00_3950, obj_t BgL_nodez00_3951)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 318 */
			return BNIL;
		}
	}



/* &dataflow-node!2124 */
	obj_t BGl_z62dataflowzd2nodez122124za2zzdataflow_walkz00(obj_t
		BgL_envz00_3952, obj_t BgL_nodez00_3953, obj_t BgL_envz00_3954)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 68 */
			return BgL_envz00_3954;
		}
	}



/* dataflow-node! */
	obj_t BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_59, obj_t BgL_envz00_60)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 68 */
			{	/* Dataflow/walk.scm 68 */
				obj_t BgL_method2125z00_1828;

				{	/* Dataflow/walk.scm 68 */
					obj_t BgL_res2634z00_3446;

					{	/* Dataflow/walk.scm 68 */
						BgL_objectz00_bglt BgL_objz00_3418;

						BgL_objz00_3418 = ((BgL_objectz00_bglt) BgL_nodez00_59);
						{	/* Dataflow/walk.scm 68 */
							long BgL_objzd2classzd2numz00_3419;

							{	/* Dataflow/walk.scm 68 */
								long BgL_res2628z00_3422;

								BgL_res2628z00_3422 = BGL_OBJECT_CLASS_NUM(BgL_objz00_3418);
								BgL_objzd2classzd2numz00_3419 = BgL_res2628z00_3422;
							}
							{	/* Dataflow/walk.scm 68 */
								obj_t BgL_arg1803z00_3420;

								BgL_arg1803z00_3420 =
									PROCEDURE_REF
									(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 68 */
									obj_t BgL_arrayz00_3423;
									int BgL_offsetz00_3424;

									BgL_arrayz00_3423 = BgL_arg1803z00_3420;
									BgL_offsetz00_3424 = (int) (BgL_objzd2classzd2numz00_3419);
									{	/* Dataflow/walk.scm 68 */
										long BgL_offsetz00_3425;

										BgL_offsetz00_3425 =
											((long) (BgL_offsetz00_3424) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 68 */
											long BgL_modz00_3426;

											{	/* Dataflow/walk.scm 68 */
												int BgL_arg1805z00_3427;

												BgL_arg1805z00_3427 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 68 */
													long BgL_res2631z00_3437;

													{	/* Dataflow/walk.scm 68 */
														long BgL_auxz00_4464;

														BgL_auxz00_4464 = (long) (BgL_arg1805z00_3427);
														BgL_res2631z00_3437 =
															(BgL_offsetz00_3425 / BgL_auxz00_4464);
													}
													BgL_modz00_3426 = BgL_res2631z00_3437;
											}}
											{	/* Dataflow/walk.scm 68 */
												long BgL_restz00_3428;

												{	/* Dataflow/walk.scm 68 */
													int BgL_arg1804z00_3429;

													BgL_arg1804z00_3429 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 68 */
														long BgL_res2633z00_3441;

														{	/* Dataflow/walk.scm 68 */
															long BgL_auxz00_4468;

															BgL_auxz00_4468 = (long) (BgL_arg1804z00_3429);
															BgL_res2633z00_3441 =
																(BgL_offsetz00_3425 % BgL_auxz00_4468);
														}
														BgL_restz00_3428 = BgL_res2633z00_3441;
												}}
												{	/* Dataflow/walk.scm 68 */

													BgL_res2634z00_3446 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_3423,
															(int) (BgL_modz00_3426)),
														(int) (BgL_restz00_3428));
					}}}}}}}}
					BgL_method2125z00_1828 = BgL_res2634z00_3446;
				}
				return
					PROCEDURE_ENTRY(BgL_method2125z00_1828) (BgL_method2125z00_1828,
					((obj_t) BgL_nodez00_59), BgL_envz00_60, BEOA);
			}
		}
	}



/* &dataflow-node! */
	obj_t BGl_z62dataflowzd2nodez12za2zzdataflow_walkz00(obj_t BgL_envz00_3955,
		obj_t BgL_nodez00_3956, obj_t BgL_envz00_3957)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 68 */
			return
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3956), BgL_envz00_3957);
		}
	}



/* dataflow-test-env */
	obj_t BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_101)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 318 */
			{	/* Dataflow/walk.scm 318 */
				obj_t BgL_method2166z00_1829;

				{	/* Dataflow/walk.scm 318 */
					obj_t BgL_res2641z00_3475;

					{	/* Dataflow/walk.scm 318 */
						BgL_objectz00_bglt BgL_objz00_3447;

						BgL_objz00_3447 = ((BgL_objectz00_bglt) BgL_nodez00_101);
						{	/* Dataflow/walk.scm 318 */
							long BgL_objzd2classzd2numz00_3448;

							{	/* Dataflow/walk.scm 318 */
								long BgL_res2635z00_3451;

								BgL_res2635z00_3451 = BGL_OBJECT_CLASS_NUM(BgL_objz00_3447);
								BgL_objzd2classzd2numz00_3448 = BgL_res2635z00_3451;
							}
							{	/* Dataflow/walk.scm 318 */
								obj_t BgL_arg1803z00_3449;

								BgL_arg1803z00_3449 =
									PROCEDURE_REF
									(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 318 */
									obj_t BgL_arrayz00_3452;
									int BgL_offsetz00_3453;

									BgL_arrayz00_3452 = BgL_arg1803z00_3449;
									BgL_offsetz00_3453 = (int) (BgL_objzd2classzd2numz00_3448);
									{	/* Dataflow/walk.scm 318 */
										long BgL_offsetz00_3454;

										BgL_offsetz00_3454 =
											((long) (BgL_offsetz00_3453) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 318 */
											long BgL_modz00_3455;

											{	/* Dataflow/walk.scm 318 */
												int BgL_arg1805z00_3456;

												BgL_arg1805z00_3456 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 318 */
													long BgL_res2638z00_3466;

													{	/* Dataflow/walk.scm 318 */
														long BgL_auxz00_4491;

														BgL_auxz00_4491 = (long) (BgL_arg1805z00_3456);
														BgL_res2638z00_3466 =
															(BgL_offsetz00_3454 / BgL_auxz00_4491);
													}
													BgL_modz00_3455 = BgL_res2638z00_3466;
											}}
											{	/* Dataflow/walk.scm 318 */
												long BgL_restz00_3457;

												{	/* Dataflow/walk.scm 318 */
													int BgL_arg1804z00_3458;

													BgL_arg1804z00_3458 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 318 */
														long BgL_res2640z00_3470;

														{	/* Dataflow/walk.scm 318 */
															long BgL_auxz00_4495;

															BgL_auxz00_4495 = (long) (BgL_arg1804z00_3458);
															BgL_res2640z00_3470 =
																(BgL_offsetz00_3454 % BgL_auxz00_4495);
														}
														BgL_restz00_3457 = BgL_res2640z00_3470;
												}}
												{	/* Dataflow/walk.scm 318 */

													BgL_res2641z00_3475 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_3452,
															(int) (BgL_modz00_3455)),
														(int) (BgL_restz00_3457));
					}}}}}}}}
					BgL_method2166z00_1829 = BgL_res2641z00_3475;
				}
				return
					PROCEDURE_ENTRY(BgL_method2166z00_1829) (BgL_method2166z00_1829,
					((obj_t) BgL_nodez00_101), BEOA);
			}
		}
	}



/* &dataflow-test-env */
	obj_t BGl_z62dataflowzd2testzd2envz62zzdataflow_walkz00(obj_t BgL_envz00_3958,
		obj_t BgL_nodez00_3959)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 318 */
			return
				BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3959));
		}
	}



/* dataflow-test-false-env */
	obj_t BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(BgL_nodez00_bglt
		BgL_nodez00_107)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 404 */
			{	/* Dataflow/walk.scm 404 */
				obj_t BgL_method2178z00_1830;

				{	/* Dataflow/walk.scm 404 */
					obj_t BgL_res2648z00_3504;

					{	/* Dataflow/walk.scm 404 */
						BgL_objectz00_bglt BgL_objz00_3476;

						BgL_objz00_3476 = ((BgL_objectz00_bglt) BgL_nodez00_107);
						{	/* Dataflow/walk.scm 404 */
							long BgL_objzd2classzd2numz00_3477;

							{	/* Dataflow/walk.scm 404 */
								long BgL_res2642z00_3480;

								BgL_res2642z00_3480 = BGL_OBJECT_CLASS_NUM(BgL_objz00_3476);
								BgL_objzd2classzd2numz00_3477 = BgL_res2642z00_3480;
							}
							{	/* Dataflow/walk.scm 404 */
								obj_t BgL_arg1803z00_3478;

								BgL_arg1803z00_3478 =
									PROCEDURE_REF
									(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 404 */
									obj_t BgL_arrayz00_3481;
									int BgL_offsetz00_3482;

									BgL_arrayz00_3481 = BgL_arg1803z00_3478;
									BgL_offsetz00_3482 = (int) (BgL_objzd2classzd2numz00_3477);
									{	/* Dataflow/walk.scm 404 */
										long BgL_offsetz00_3483;

										BgL_offsetz00_3483 =
											((long) (BgL_offsetz00_3482) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 404 */
											long BgL_modz00_3484;

											{	/* Dataflow/walk.scm 404 */
												int BgL_arg1805z00_3485;

												BgL_arg1805z00_3485 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 404 */
													long BgL_res2645z00_3495;

													{	/* Dataflow/walk.scm 404 */
														long BgL_auxz00_4517;

														BgL_auxz00_4517 = (long) (BgL_arg1805z00_3485);
														BgL_res2645z00_3495 =
															(BgL_offsetz00_3483 / BgL_auxz00_4517);
													}
													BgL_modz00_3484 = BgL_res2645z00_3495;
											}}
											{	/* Dataflow/walk.scm 404 */
												long BgL_restz00_3486;

												{	/* Dataflow/walk.scm 404 */
													int BgL_arg1804z00_3487;

													BgL_arg1804z00_3487 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 404 */
														long BgL_res2647z00_3499;

														{	/* Dataflow/walk.scm 404 */
															long BgL_auxz00_4521;

															BgL_auxz00_4521 = (long) (BgL_arg1804z00_3487);
															BgL_res2647z00_3499 =
																(BgL_offsetz00_3483 % BgL_auxz00_4521);
														}
														BgL_restz00_3486 = BgL_res2647z00_3499;
												}}
												{	/* Dataflow/walk.scm 404 */

													BgL_res2648z00_3504 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_3481,
															(int) (BgL_modz00_3484)),
														(int) (BgL_restz00_3486));
					}}}}}}}}
					BgL_method2178z00_1830 = BgL_res2648z00_3504;
				}
				return
					PROCEDURE_ENTRY(BgL_method2178z00_1830) (BgL_method2178z00_1830,
					((obj_t) BgL_nodez00_107), BEOA);
			}
		}
	}



/* &dataflow-test-false-env */
	obj_t BGl_z62dataflowzd2testzd2falsezd2envzb0zzdataflow_walkz00(obj_t
		BgL_envz00_3960, obj_t BgL_nodez00_3961)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 404 */
			return
				BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3961));
		}
	}



/* abort? */
	obj_t BGl_abortzf3zf3zzdataflow_walkz00(BgL_nodez00_bglt BgL_nodez00_109)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 432 */
			{	/* Dataflow/walk.scm 432 */
				obj_t BgL_method2182z00_1831;

				{	/* Dataflow/walk.scm 432 */
					obj_t BgL_res2655z00_3533;

					{	/* Dataflow/walk.scm 432 */
						BgL_objectz00_bglt BgL_objz00_3505;

						BgL_objz00_3505 = ((BgL_objectz00_bglt) BgL_nodez00_109);
						{	/* Dataflow/walk.scm 432 */
							long BgL_objzd2classzd2numz00_3506;

							{	/* Dataflow/walk.scm 432 */
								long BgL_res2649z00_3509;

								BgL_res2649z00_3509 = BGL_OBJECT_CLASS_NUM(BgL_objz00_3505);
								BgL_objzd2classzd2numz00_3506 = BgL_res2649z00_3509;
							}
							{	/* Dataflow/walk.scm 432 */
								obj_t BgL_arg1803z00_3507;

								BgL_arg1803z00_3507 =
									PROCEDURE_REF(BGl_abortzf3zd2envz21zzdataflow_walkz00,
									(int) (((long) 1)));
								{	/* Dataflow/walk.scm 432 */
									obj_t BgL_arrayz00_3510;
									int BgL_offsetz00_3511;

									BgL_arrayz00_3510 = BgL_arg1803z00_3507;
									BgL_offsetz00_3511 = (int) (BgL_objzd2classzd2numz00_3506);
									{	/* Dataflow/walk.scm 432 */
										long BgL_offsetz00_3512;

										BgL_offsetz00_3512 =
											((long) (BgL_offsetz00_3511) - OBJECT_TYPE);
										{	/* Dataflow/walk.scm 432 */
											long BgL_modz00_3513;

											{	/* Dataflow/walk.scm 432 */
												int BgL_arg1805z00_3514;

												BgL_arg1805z00_3514 = (int) (((long) 16));
												{	/* Dataflow/walk.scm 432 */
													long BgL_res2652z00_3524;

													{	/* Dataflow/walk.scm 432 */
														long BgL_auxz00_4543;

														BgL_auxz00_4543 = (long) (BgL_arg1805z00_3514);
														BgL_res2652z00_3524 =
															(BgL_offsetz00_3512 / BgL_auxz00_4543);
													}
													BgL_modz00_3513 = BgL_res2652z00_3524;
											}}
											{	/* Dataflow/walk.scm 432 */
												long BgL_restz00_3515;

												{	/* Dataflow/walk.scm 432 */
													int BgL_arg1804z00_3516;

													BgL_arg1804z00_3516 = (int) (((long) 16));
													{	/* Dataflow/walk.scm 432 */
														long BgL_res2654z00_3528;

														{	/* Dataflow/walk.scm 432 */
															long BgL_auxz00_4547;

															BgL_auxz00_4547 = (long) (BgL_arg1804z00_3516);
															BgL_res2654z00_3528 =
																(BgL_offsetz00_3512 % BgL_auxz00_4547);
														}
														BgL_restz00_3515 = BgL_res2654z00_3528;
												}}
												{	/* Dataflow/walk.scm 432 */

													BgL_res2655z00_3533 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_3510,
															(int) (BgL_modz00_3513)),
														(int) (BgL_restz00_3515));
					}}}}}}}}
					BgL_method2182z00_1831 = BgL_res2655z00_3533;
				}
				return
					PROCEDURE_ENTRY(BgL_method2182z00_1831) (BgL_method2182z00_1831,
					((obj_t) BgL_nodez00_109), BEOA);
			}
		}
	}



/* &abort? */
	obj_t BGl_z62abortzf3z91zzdataflow_walkz00(obj_t BgL_envz00_3962,
		obj_t BgL_nodez00_3963)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 432 */
			return
				BGl_abortzf3zf3zzdataflow_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3963));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2766z00zzdataflow_walkz00,
				BGl_string2767z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_closurez00zzast_nodez00, BGl_proc2768z00zzdataflow_walkz00,
				BGl_string2767z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2769z00zzdataflow_walkz00,
				BGl_string2767z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2770z00zzdataflow_walkz00,
				BGl_string2767z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2771z00zzdataflow_walkz00,
				BGl_string2767z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2772z00zzdataflow_walkz00,
				BGl_string2767z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2773z00zzdataflow_walkz00,
				BGl_string2767z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2774z00zzdataflow_walkz00,
				BGl_string2767z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2775z00zzdataflow_walkz00,
				BGl_string2767z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2776z00zzdataflow_walkz00,
				BGl_string2767z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2777z00zzdataflow_walkz00,
				BGl_string2767z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc2778z00zzdataflow_walkz00,
				BGl_string2767z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2779z00zzdataflow_walkz00,
				BGl_string2767z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2780z00zzdataflow_walkz00,
				BGl_string2767z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2781z00zzdataflow_walkz00,
				BGl_string2767z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2782z00zzdataflow_walkz00,
				BGl_string2767z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2783z00zzdataflow_walkz00,
				BGl_string2767z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2784z00zzdataflow_walkz00,
				BGl_string2767z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2nodez12zd2envz12zzdataflow_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2785z00zzdataflow_walkz00,
				BGl_string2767z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2786z00zzdataflow_walkz00,
				BGl_string2787z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_instanceofz00zzast_nodez00, BGl_proc2788z00zzdataflow_walkz00,
				BGl_string2787z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2789z00zzdataflow_walkz00,
				BGl_string2787z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_varz00zzast_nodez00, BGl_proc2790z00zzdataflow_walkz00,
				BGl_string2787z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2envzd2envzd2zzdataflow_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2791z00zzdataflow_walkz00,
				BGl_string2787z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_dataflowzd2testzd2falsezd2envzd2envz00zzdataflow_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2792z00zzdataflow_walkz00,
				BGl_string2793z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2794z00zzdataflow_walkz00, BGl_string2795z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2796z00zzdataflow_walkz00, BGl_string2795z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2797z00zzdataflow_walkz00, BGl_string2795z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2798z00zzdataflow_walkz00, BGl_string2795z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2799z00zzdataflow_walkz00, BGl_string2795z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2800z00zzdataflow_walkz00,
				BGl_string2795z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2801z00zzdataflow_walkz00, BGl_string2795z00zzdataflow_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2802z00zzdataflow_walkz00, BGl_string2795z00zzdataflow_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_abortzf3zd2envz21zzdataflow_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2803z00zzdataflow_walkz00, BGl_string2795z00zzdataflow_walkz00);
		}
	}



/* &abort?-app-ly2200 */
	obj_t BGl_z62abortzf3zd2appzd2ly2200z91zzdataflow_walkz00(obj_t
		BgL_envz00_3999, obj_t BgL_nodez00_4000)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 493 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_2391;

				BgL_nodez00_2391 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_4000);
				{	/* Dataflow/walk.scm 495 */
					obj_t BgL__ortest_1210z00_2395;

					BgL__ortest_1210z00_2395 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_2391))->BgL_funz00));
					if (CBOOL(BgL__ortest_1210z00_2395))
						{	/* Dataflow/walk.scm 495 */
							return BgL__ortest_1210z00_2395;
						}
					else
						{	/* Dataflow/walk.scm 495 */
							return
								BGl_abortzf3zf3zzdataflow_walkz00(
								(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_2391))->BgL_argz00));
						}
				}
			}
		}
	}



/* &abort?-funcall2198 */
	obj_t BGl_z62abortzf3zd2funcall2198z43zzdataflow_walkz00(obj_t
		BgL_envz00_4001, obj_t BgL_nodez00_4002)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 486 */
			{
				BgL_funcallz00_bglt BgL_nodez00_2375;

				BgL_nodez00_2375 = ((BgL_funcallz00_bglt) BgL_nodez00_4002);
				{	/* Dataflow/walk.scm 488 */
					obj_t BgL__ortest_1208z00_2379;

					BgL__ortest_1208z00_2379 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_2375))->BgL_funz00));
					if (CBOOL(BgL__ortest_1208z00_2379))
						{	/* Dataflow/walk.scm 488 */
							return BgL__ortest_1208z00_2379;
						}
					else
						{	/* Dataflow/walk.scm 488 */
							obj_t BgL_g2120z00_2380;

							BgL_g2120z00_2380 =
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_2375))->BgL_argsz00);
							{
								obj_t BgL_l2118z00_2382;

								BgL_l2118z00_2382 = BgL_g2120z00_2380;
							BgL_zc3anonymousza32542ze3z83_2383:
								if (NULLP(BgL_l2118z00_2382))
									{	/* Dataflow/walk.scm 488 */
										return BFALSE;
									}
								else
									{	/* Dataflow/walk.scm 488 */
										obj_t BgL__ortest_2121z00_2385;

										{	/* Dataflow/walk.scm 488 */
											obj_t BgL_arg2545z00_2387;

											BgL_arg2545z00_2387 = CAR(BgL_l2118z00_2382);
											BgL__ortest_2121z00_2385 =
												BGl_abortzf3zf3zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg2545z00_2387));
										}
										if (CBOOL(BgL__ortest_2121z00_2385))
											{	/* Dataflow/walk.scm 488 */
												return BgL__ortest_2121z00_2385;
											}
										else
											{
												obj_t BgL_l2118z00_4614;

												BgL_l2118z00_4614 = CDR(BgL_l2118z00_2382);
												BgL_l2118z00_2382 = BgL_l2118z00_4614;
												goto BgL_zc3anonymousza32542ze3z83_2383;
											}
									}
							}
						}
				}
			}
		}
	}



/* &abort?-app2196 */
	obj_t BGl_z62abortzf3zd2app2196z43zzdataflow_walkz00(obj_t BgL_envz00_4003,
		obj_t BgL_nodez00_4004)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 479 */
			{
				BgL_appz00_bglt BgL_nodez00_2359;

				BgL_nodez00_2359 = ((BgL_appz00_bglt) BgL_nodez00_4004);
				{	/* Dataflow/walk.scm 481 */
					obj_t BgL__ortest_1206z00_2363;

					{	/* Dataflow/walk.scm 481 */
						BgL_varz00_bglt BgL_arg2541z00_2373;

						BgL_arg2541z00_2373 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_2359))->BgL_funz00);
						BgL__ortest_1206z00_2363 =
							BGl_abortzf3zf3zzdataflow_walkz00(
							((BgL_nodez00_bglt) BgL_arg2541z00_2373));
					}
					if (CBOOL(BgL__ortest_1206z00_2363))
						{	/* Dataflow/walk.scm 481 */
							return BgL__ortest_1206z00_2363;
						}
					else
						{	/* Dataflow/walk.scm 481 */
							obj_t BgL_g2116z00_2364;

							BgL_g2116z00_2364 =
								(((BgL_appz00_bglt) CREF(BgL_nodez00_2359))->BgL_argsz00);
							{
								obj_t BgL_l2114z00_2366;

								BgL_l2114z00_2366 = BgL_g2116z00_2364;
							BgL_zc3anonymousza32537ze3z83_2367:
								if (NULLP(BgL_l2114z00_2366))
									{	/* Dataflow/walk.scm 481 */
										return BFALSE;
									}
								else
									{	/* Dataflow/walk.scm 481 */
										obj_t BgL__ortest_2117z00_2369;

										{	/* Dataflow/walk.scm 481 */
											obj_t BgL_arg2540z00_2371;

											BgL_arg2540z00_2371 = CAR(BgL_l2114z00_2366);
											BgL__ortest_2117z00_2369 =
												BGl_abortzf3zf3zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg2540z00_2371));
										}
										if (CBOOL(BgL__ortest_2117z00_2369))
											{	/* Dataflow/walk.scm 481 */
												return BgL__ortest_2117z00_2369;
											}
										else
											{
												obj_t BgL_l2114z00_4630;

												BgL_l2114z00_4630 = CDR(BgL_l2114z00_2366);
												BgL_l2114z00_2366 = BgL_l2114z00_4630;
												goto BgL_zc3anonymousza32537ze3z83_2367;
											}
									}
							}
						}
				}
			}
		}
	}



/* &abort?-conditional2194 */
	obj_t BGl_z62abortzf3zd2conditional2194z43zzdataflow_walkz00(obj_t
		BgL_envz00_4005, obj_t BgL_nodez00_4006)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 472 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_2349;

				BgL_nodez00_2349 = ((BgL_conditionalz00_bglt) BgL_nodez00_4006);
				{	/* Dataflow/walk.scm 474 */
					obj_t BgL__ortest_1203z00_2353;

					BgL__ortest_1203z00_2353 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2349))->BgL_testz00));
					if (CBOOL(BgL__ortest_1203z00_2353))
						{	/* Dataflow/walk.scm 474 */
							return BgL__ortest_1203z00_2353;
						}
					else
						{	/* Dataflow/walk.scm 474 */
							obj_t BgL__andtest_1204z00_2354;

							BgL__andtest_1204z00_2354 =
								BGl_abortzf3zf3zzdataflow_walkz00(
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2349))->
									BgL_truez00));
							if (CBOOL(BgL__andtest_1204z00_2354))
								{	/* Dataflow/walk.scm 474 */
									return
										BGl_abortzf3zf3zzdataflow_walkz00(
										(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2349))->
											BgL_falsez00));
								}
							else
								{	/* Dataflow/walk.scm 474 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* &abort?-let-fun2192 */
	obj_t BGl_z62abortzf3zd2letzd2fun2192z91zzdataflow_walkz00(obj_t
		BgL_envz00_4007, obj_t BgL_nodez00_4008)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 465 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_2343;

				BgL_nodez00_2343 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_4008);
				return
					BGl_abortzf3zf3zzdataflow_walkz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2343))->BgL_bodyz00));
			}
		}
	}



/* &abort?-let-var2190 */
	obj_t BGl_z62abortzf3zd2letzd2var2190z91zzdataflow_walkz00(obj_t
		BgL_envz00_4009, obj_t BgL_nodez00_4010)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 458 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2326;

				BgL_nodez00_2326 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_4010);
				{	/* Dataflow/walk.scm 460 */
					obj_t BgL__ortest_1200z00_2330;

					{	/* Dataflow/walk.scm 460 */
						obj_t BgL_g2112z00_2332;

						BgL_g2112z00_2332 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2326))->
							BgL_bindingsz00);
						{
							obj_t BgL_l2110z00_2334;

							BgL_l2110z00_2334 = BgL_g2112z00_2332;
						BgL_zc3anonymousza32528ze3z83_2335:
							if (NULLP(BgL_l2110z00_2334))
								{	/* Dataflow/walk.scm 460 */
									BgL__ortest_1200z00_2330 = BFALSE;
								}
							else
								{	/* Dataflow/walk.scm 460 */
									obj_t BgL__ortest_2113z00_2337;

									{	/* Dataflow/walk.scm 460 */
										obj_t BgL_bz00_2339;

										BgL_bz00_2339 = CAR(BgL_l2110z00_2334);
										{	/* Dataflow/walk.scm 460 */
											obj_t BgL_arg2532z00_2340;

											BgL_arg2532z00_2340 = CDR(BgL_bz00_2339);
											BgL__ortest_2113z00_2337 =
												BGl_abortzf3zf3zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg2532z00_2340));
										}
									}
									if (CBOOL(BgL__ortest_2113z00_2337))
										{	/* Dataflow/walk.scm 460 */
											BgL__ortest_1200z00_2330 = BgL__ortest_2113z00_2337;
										}
									else
										{
											obj_t BgL_l2110z00_4656;

											BgL_l2110z00_4656 = CDR(BgL_l2110z00_2334);
											BgL_l2110z00_2334 = BgL_l2110z00_4656;
											goto BgL_zc3anonymousza32528ze3z83_2335;
										}
								}
						}
					}
					if (CBOOL(BgL__ortest_1200z00_2330))
						{	/* Dataflow/walk.scm 460 */
							return BgL__ortest_1200z00_2330;
						}
					else
						{	/* Dataflow/walk.scm 460 */
							return
								BGl_abortzf3zf3zzdataflow_walkz00(
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2326))->
									BgL_bodyz00));
						}
				}
			}
		}
	}



/* &abort?-sync2188 */
	obj_t BGl_z62abortzf3zd2sync2188z43zzdataflow_walkz00(obj_t BgL_envz00_4011,
		obj_t BgL_nodez00_4012)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 450 */
			{
				BgL_syncz00_bglt BgL_nodez00_2309;

				BgL_nodez00_2309 = ((BgL_syncz00_bglt) BgL_nodez00_4012);
				{	/* Dataflow/walk.scm 451 */
					obj_t BgL__ortest_1197z00_2312;

					BgL__ortest_1197z00_2312 =
						BGl_abortzf3zf3zzdataflow_walkz00(
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_2309))->BgL_mutexz00));
					if (CBOOL(BgL__ortest_1197z00_2312))
						{	/* Dataflow/walk.scm 451 */
							return BgL__ortest_1197z00_2312;
						}
					else
						{	/* Dataflow/walk.scm 452 */
							obj_t BgL__ortest_1198z00_2313;

							BgL__ortest_1198z00_2313 =
								BGl_abortzf3zf3zzdataflow_walkz00(
								(((BgL_syncz00_bglt) CREF(BgL_nodez00_2309))->BgL_prelockz00));
							if (CBOOL(BgL__ortest_1198z00_2313))
								{	/* Dataflow/walk.scm 452 */
									return BgL__ortest_1198z00_2313;
								}
							else
								{	/* Dataflow/walk.scm 453 */
									obj_t BgL_g2108z00_2314;

									BgL_g2108z00_2314 =
										(((BgL_syncz00_bglt) CREF(BgL_nodez00_2309))->BgL_nodesz00);
									{
										obj_t BgL_l2106z00_2316;

										BgL_l2106z00_2316 = BgL_g2108z00_2314;
									BgL_zc3anonymousza32521ze3z83_2317:
										if (NULLP(BgL_l2106z00_2316))
											{	/* Dataflow/walk.scm 453 */
												return BFALSE;
											}
										else
											{	/* Dataflow/walk.scm 453 */
												obj_t BgL__ortest_2109z00_2319;

												{	/* Dataflow/walk.scm 453 */
													obj_t BgL_arg2524z00_2321;

													BgL_arg2524z00_2321 = CAR(BgL_l2106z00_2316);
													BgL__ortest_2109z00_2319 =
														BGl_abortzf3zf3zzdataflow_walkz00(
														((BgL_nodez00_bglt) BgL_arg2524z00_2321));
												}
												if (CBOOL(BgL__ortest_2109z00_2319))
													{	/* Dataflow/walk.scm 453 */
														return BgL__ortest_2109z00_2319;
													}
												else
													{
														obj_t BgL_l2106z00_4679;

														BgL_l2106z00_4679 = CDR(BgL_l2106z00_2316);
														BgL_l2106z00_2316 = BgL_l2106z00_4679;
														goto BgL_zc3anonymousza32521ze3z83_2317;
													}
											}
									}
								}
						}
				}
			}
		}
	}



/* &abort?-sequence2186 */
	obj_t BGl_z62abortzf3zd2sequence2186z43zzdataflow_walkz00(obj_t
		BgL_envz00_4013, obj_t BgL_nodez00_4014)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 444 */
			{
				BgL_sequencez00_bglt BgL_nodez00_2296;

				BgL_nodez00_2296 = ((BgL_sequencez00_bglt) BgL_nodez00_4014);
				{	/* Dataflow/walk.scm 445 */
					obj_t BgL_g2104z00_2299;

					BgL_g2104z00_2299 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_2296))->BgL_nodesz00);
					{
						obj_t BgL_l2102z00_2301;

						BgL_l2102z00_2301 = BgL_g2104z00_2299;
					BgL_zc3anonymousza32517ze3z83_2302:
						if (NULLP(BgL_l2102z00_2301))
							{	/* Dataflow/walk.scm 445 */
								return BFALSE;
							}
						else
							{	/* Dataflow/walk.scm 445 */
								obj_t BgL__ortest_2105z00_2304;

								{	/* Dataflow/walk.scm 445 */
									obj_t BgL_arg2520z00_2306;

									BgL_arg2520z00_2306 = CAR(BgL_l2102z00_2301);
									BgL__ortest_2105z00_2304 =
										BGl_abortzf3zf3zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg2520z00_2306));
								}
								if (CBOOL(BgL__ortest_2105z00_2304))
									{	/* Dataflow/walk.scm 445 */
										return BgL__ortest_2105z00_2304;
									}
								else
									{
										obj_t BgL_l2102z00_4690;

										BgL_l2102z00_4690 = CDR(BgL_l2102z00_2301);
										BgL_l2102z00_2301 = BgL_l2102z00_4690;
										goto BgL_zc3anonymousza32517ze3z83_2302;
									}
							}
					}
				}
			}
		}
	}



/* &abort?-fail2184 */
	obj_t BGl_z62abortzf3zd2fail2184z43zzdataflow_walkz00(obj_t BgL_envz00_4015,
		obj_t BgL_nodez00_4016)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 438 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &dataflow-test-false-2180 */
	obj_t BGl_z62dataflowzd2testzd2falsezd22180zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4017, obj_t BgL_nodez00_4018)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 410 */
			{
				BgL_appz00_bglt BgL_nodez00_2258;

				BgL_nodez00_2258 = ((BgL_appz00_bglt) BgL_nodez00_4018);
				{	/* Dataflow/walk.scm 412 */
					BgL_variablez00_bglt BgL_fz00_2262;

					BgL_fz00_2262 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_2258))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Dataflow/walk.scm 413 */

						{	/* Dataflow/walk.scm 414 */
							bool_t BgL_testz00_4696;

							{	/* Dataflow/walk.scm 414 */
								bool_t BgL_testz00_4697;

								{	/* Dataflow/walk.scm 414 */
									obj_t BgL_auxz00_4698;

									BgL_auxz00_4698 =
										(((BgL_appz00_bglt) CREF(BgL_nodez00_2258))->BgL_argsz00);
									BgL_testz00_4697 = PAIRP(BgL_auxz00_4698);
								}
								if (BgL_testz00_4697)
									{	/* Dataflow/walk.scm 414 */
										if (NULLP(CDR(
													(((BgL_appz00_bglt) CREF(BgL_nodez00_2258))->
														BgL_argsz00))))
											{	/* Dataflow/walk.scm 415 */
												bool_t BgL_testz00_4705;

												{	/* Dataflow/walk.scm 415 */
													obj_t BgL_arg2511z00_2285;

													BgL_arg2511z00_2285 =
														CAR(
														(((BgL_appz00_bglt) CREF(BgL_nodez00_2258))->
															BgL_argsz00));
													BgL_testz00_4705 =
														BGl_isazf3zf3zz__objectz00(BgL_arg2511z00_2285,
														BGl_varz00zzast_nodez00);
												}
												if (BgL_testz00_4705)
													{	/* Dataflow/walk.scm 416 */
														BgL_typez00_bglt BgL_arg2507z00_2281;

														{
															BgL_variablez00_bglt BgL_auxz00_4709;

															{
																BgL_varz00_bglt BgL_auxz00_4710;

																{	/* Dataflow/walk.scm 416 */
																	obj_t BgL_pairz00_3831;

																	BgL_pairz00_3831 =
																		(((BgL_appz00_bglt)
																			CREF(BgL_nodez00_2258))->BgL_argsz00);
																	BgL_auxz00_4710 =
																		((BgL_varz00_bglt) CAR(BgL_pairz00_3831));
																}
																BgL_auxz00_4709 =
																	(((BgL_varz00_bglt) CREF(BgL_auxz00_4710))->
																	BgL_variablez00);
															}
															BgL_arg2507z00_2281 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_4709))->BgL_typez00);
														}
														BgL_testz00_4696 =
															(
															((obj_t) BgL_arg2507z00_2281) ==
															BGl_za2pairzd2nilza2zd2zztype_cachez00);
													}
												else
													{	/* Dataflow/walk.scm 415 */
														BgL_testz00_4696 = ((bool_t) 0);
													}
											}
										else
											{	/* Dataflow/walk.scm 414 */
												BgL_testz00_4696 = ((bool_t) 0);
											}
									}
								else
									{	/* Dataflow/walk.scm 414 */
										BgL_testz00_4696 = ((bool_t) 0);
									}
							}
							if (BgL_testz00_4696)
								{	/* Dataflow/walk.scm 414 */
									if (
										(((obj_t) BgL_fz00_2262) ==
											BGl_za2z42nullzf3za2zb1zzdataflow_walkz00))
										{	/* Dataflow/walk.scm 419 */
											obj_t BgL_arg2491z00_2266;

											{	/* Dataflow/walk.scm 419 */
												BgL_variablez00_bglt BgL_arg2493z00_2268;

												{
													BgL_varz00_bglt BgL_auxz00_4721;

													{	/* Dataflow/walk.scm 419 */
														obj_t BgL_pairz00_3838;

														BgL_pairz00_3838 =
															(((BgL_appz00_bglt) CREF(BgL_nodez00_2258))->
															BgL_argsz00);
														BgL_auxz00_4721 =
															((BgL_varz00_bglt) CAR(BgL_pairz00_3838));
													}
													BgL_arg2493z00_2268 =
														(((BgL_varz00_bglt) CREF(BgL_auxz00_4721))->
														BgL_variablez00);
												}
												BgL_arg2491z00_2266 =
													MAKE_PAIR(
													((obj_t) BgL_arg2493z00_2268),
													BGl_za2pairza2z00zztype_cachez00);
											}
											{	/* Dataflow/walk.scm 419 */
												obj_t BgL_list2492z00_2267;

												BgL_list2492z00_2267 =
													MAKE_PAIR(BgL_arg2491z00_2266, BNIL);
												return BgL_list2492z00_2267;
											}
										}
									else
										{	/* Dataflow/walk.scm 420 */
											bool_t BgL_testz00_4729;

											if (
												(((obj_t) BgL_fz00_2262) ==
													BGl_za2z42pairzf3za2zb1zzdataflow_walkz00))
												{	/* Dataflow/walk.scm 420 */
													BgL_testz00_4729 = ((bool_t) 1);
												}
											else
												{	/* Dataflow/walk.scm 420 */
													BgL_testz00_4729 =
														(
														((obj_t) BgL_fz00_2262) ==
														BGl_za2z42epairzf3za2zb1zzdataflow_walkz00);
												}
											if (BgL_testz00_4729)
												{	/* Dataflow/walk.scm 421 */
													obj_t BgL_arg2497z00_2272;

													{	/* Dataflow/walk.scm 421 */
														BgL_variablez00_bglt BgL_arg2499z00_2274;

														{
															BgL_varz00_bglt BgL_auxz00_4735;

															{	/* Dataflow/walk.scm 421 */
																obj_t BgL_pairz00_3844;

																BgL_pairz00_3844 =
																	(((BgL_appz00_bglt) CREF(BgL_nodez00_2258))->
																	BgL_argsz00);
																BgL_auxz00_4735 =
																	((BgL_varz00_bglt) CAR(BgL_pairz00_3844));
															}
															BgL_arg2499z00_2274 =
																(((BgL_varz00_bglt) CREF(BgL_auxz00_4735))->
																BgL_variablez00);
														}
														BgL_arg2497z00_2272 =
															MAKE_PAIR(
															((obj_t) BgL_arg2499z00_2274),
															BGl_za2bnilza2z00zztype_cachez00);
													}
													{	/* Dataflow/walk.scm 421 */
														obj_t BgL_list2498z00_2273;

														BgL_list2498z00_2273 =
															MAKE_PAIR(BgL_arg2497z00_2272, BNIL);
														return BgL_list2498z00_2273;
													}
												}
											else
												{	/* Dataflow/walk.scm 420 */
													return BNIL;
												}
										}
								}
							else
								{	/* Dataflow/walk.scm 414 */
									return BNIL;
								}
						}
					}
				}
			}
		}
	}



/* &dataflow-test-env-le2176 */
	obj_t BGl_z62dataflowzd2testzd2envzd2le2176zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4019, obj_t BgL_nodez00_4020)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 382 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2217;

				BgL_nodez00_2217 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_4020);
				{	/* Dataflow/walk.scm 384 */
					bool_t BgL_testz00_4744;

					{	/* Dataflow/walk.scm 384 */
						bool_t BgL_testz00_4745;

						{	/* Dataflow/walk.scm 384 */
							obj_t BgL_auxz00_4746;

							BgL_auxz00_4746 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2217))->
								BgL_bindingsz00);
							BgL_testz00_4745 = PAIRP(BgL_auxz00_4746);
						}
						if (BgL_testz00_4745)
							{	/* Dataflow/walk.scm 384 */
								BgL_testz00_4744 =
									NULLP(CDR(
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2217))->
											BgL_bindingsz00)));
							}
						else
							{	/* Dataflow/walk.scm 384 */
								BgL_testz00_4744 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_4744)
						{	/* Dataflow/walk.scm 386 */
							bool_t BgL_testz00_4752;

							{	/* Dataflow/walk.scm 386 */
								obj_t BgL_arg2482z00_2251;

								{	/* Dataflow/walk.scm 386 */
									obj_t BgL_pairz00_3765;

									BgL_pairz00_3765 =
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2217))->
										BgL_bindingsz00);
									BgL_arg2482z00_2251 = CDR(CAR(BgL_pairz00_3765));
								}
								BgL_testz00_4752 =
									BGl_isazf3zf3zz__objectz00(BgL_arg2482z00_2251,
									BGl_varz00zzast_nodez00);
							}
							if (BgL_testz00_4752)
								{	/* Dataflow/walk.scm 387 */
									obj_t BgL_envz00_2223;

									BgL_envz00_2223 =
										BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
										(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2217))->
											BgL_bodyz00));
									{	/* Dataflow/walk.scm 388 */
										bool_t BgL_testz00_4759;

										if (NULLP(BgL_envz00_2223))
											{	/* Dataflow/walk.scm 388 */
												BgL_testz00_4759 = ((bool_t) 0);
											}
										else
											{	/* Dataflow/walk.scm 388 */
												if (NULLP(CDR(BgL_envz00_2223)))
													{	/* Dataflow/walk.scm 390 */
														obj_t BgL_auxz00_4765;

														{	/* Dataflow/walk.scm 390 */
															obj_t BgL_pairz00_3780;

															BgL_pairz00_3780 =
																(((BgL_letzd2varzd2_bglt)
																	CREF(BgL_nodez00_2217))->BgL_bindingsz00);
															BgL_auxz00_4765 = CAR(CAR(BgL_pairz00_3780));
														}
														BgL_testz00_4759 =
															(CAR(CAR(BgL_envz00_2223)) == BgL_auxz00_4765);
													}
												else
													{	/* Dataflow/walk.scm 389 */
														BgL_testz00_4759 = ((bool_t) 0);
													}
											}
										if (BgL_testz00_4759)
											{	/* Dataflow/walk.scm 391 */
												obj_t BgL_arg2455z00_2225;

												{	/* Dataflow/walk.scm 391 */
													BgL_variablez00_bglt BgL_arg2457z00_2227;
													obj_t BgL_arg2458z00_2228;

													{
														BgL_varz00_bglt BgL_auxz00_4772;

														{
															obj_t BgL_auxz00_4773;

															{	/* Dataflow/walk.scm 391 */
																obj_t BgL_pairz00_3784;

																BgL_pairz00_3784 =
																	(((BgL_letzd2varzd2_bglt)
																		CREF(BgL_nodez00_2217))->BgL_bindingsz00);
																{	/* Dataflow/walk.scm 391 */
																	obj_t BgL_pairz00_3787;

																	BgL_pairz00_3787 = CAR(BgL_pairz00_3784);
																	BgL_auxz00_4773 = CDR(BgL_pairz00_3787);
																}
															}
															BgL_auxz00_4772 =
																((BgL_varz00_bglt) BgL_auxz00_4773);
														}
														BgL_arg2457z00_2227 =
															(((BgL_varz00_bglt) CREF(BgL_auxz00_4772))->
															BgL_variablez00);
													}
													BgL_arg2458z00_2228 = CDR(CAR(BgL_envz00_2223));
													BgL_arg2455z00_2225 =
														MAKE_PAIR(
														((obj_t) BgL_arg2457z00_2227), BgL_arg2458z00_2228);
												}
												{	/* Dataflow/walk.scm 391 */
													obj_t BgL_list2456z00_2226;

													BgL_list2456z00_2226 =
														MAKE_PAIR(BgL_arg2455z00_2225, BNIL);
													return BgL_list2456z00_2226;
												}
											}
										else
											{	/* Dataflow/walk.scm 388 */
												return BNIL;
											}
									}
								}
							else
								{	/* Dataflow/walk.scm 393 */
									bool_t BgL_testz00_4784;

									{	/* Dataflow/walk.scm 393 */
										bool_t BgL_testz00_4785;

										{	/* Dataflow/walk.scm 393 */
											BgL_nodez00_bglt BgL_arg2480z00_2250;

											BgL_arg2480z00_2250 =
												(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2217))->
												BgL_bodyz00);
											{	/* Dataflow/walk.scm 393 */
												bool_t BgL_res2721z00_3798;

												{	/* Dataflow/walk.scm 393 */
													obj_t BgL_objz00_3797;

													BgL_objz00_3797 = ((obj_t) BgL_arg2480z00_2250);
													BgL_res2721z00_3798 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_3797,
														BGl_varz00zzast_nodez00);
												}
												BgL_testz00_4785 = BgL_res2721z00_3798;
											}
										}
										if (BgL_testz00_4785)
											{	/* Dataflow/walk.scm 394 */
												bool_t BgL_testz00_4789;

												{	/* Dataflow/walk.scm 394 */
													obj_t BgL_auxz00_4790;

													{	/* Dataflow/walk.scm 394 */
														obj_t BgL_pairz00_3802;

														BgL_pairz00_3802 =
															(((BgL_letzd2varzd2_bglt)
																CREF(BgL_nodez00_2217))->BgL_bindingsz00);
														BgL_auxz00_4790 = CAR(CAR(BgL_pairz00_3802));
													}
													BgL_testz00_4789 =
														(
														((obj_t)
															(((BgL_varz00_bglt) CREF(
																		((BgL_varz00_bglt)
																			(((BgL_letzd2varzd2_bglt)
																					CREF(BgL_nodez00_2217))->
																				BgL_bodyz00))))->BgL_variablez00)) ==
														BgL_auxz00_4790);
												}
												if (BgL_testz00_4789)
													{	/* Dataflow/walk.scm 395 */
														BgL_typez00_bglt BgL_arg2473z00_2243;

														{
															BgL_variablez00_bglt BgL_auxz00_4799;

															{
																obj_t BgL_auxz00_4800;

																{	/* Dataflow/walk.scm 395 */
																	obj_t BgL_pairz00_3806;

																	BgL_pairz00_3806 =
																		(((BgL_letzd2varzd2_bglt)
																			CREF(BgL_nodez00_2217))->BgL_bindingsz00);
																	{	/* Dataflow/walk.scm 395 */
																		obj_t BgL_pairz00_3809;

																		BgL_pairz00_3809 = CAR(BgL_pairz00_3806);
																		BgL_auxz00_4800 = CAR(BgL_pairz00_3809);
																	}
																}
																BgL_auxz00_4799 =
																	((BgL_variablez00_bglt) BgL_auxz00_4800);
															}
															BgL_arg2473z00_2243 =
																(((BgL_variablez00_bglt)
																	CREF(BgL_auxz00_4799))->BgL_typez00);
														}
														BgL_testz00_4784 =
															(
															((obj_t) BgL_arg2473z00_2243) ==
															BGl_za2boolza2z00zztype_cachez00);
													}
												else
													{	/* Dataflow/walk.scm 394 */
														BgL_testz00_4784 = ((bool_t) 0);
													}
											}
										else
											{	/* Dataflow/walk.scm 393 */
												BgL_testz00_4784 = ((bool_t) 0);
											}
									}
									if (BgL_testz00_4784)
										{	/* Dataflow/walk.scm 396 */
											obj_t BgL_arg2469z00_2239;

											{	/* Dataflow/walk.scm 396 */
												obj_t BgL_pairz00_3813;

												BgL_pairz00_3813 =
													(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2217))->
													BgL_bindingsz00);
												BgL_arg2469z00_2239 = CDR(CAR(BgL_pairz00_3813));
											}
											return
												BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(
												((BgL_nodez00_bglt) BgL_arg2469z00_2239));
										}
									else
										{	/* Dataflow/walk.scm 393 */
											return BNIL;
										}
								}
						}
					else
						{	/* Dataflow/walk.scm 384 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-va2174 */
	obj_t BGl_z62dataflowzd2testzd2envzd2va2174zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4021, obj_t BgL_nodez00_4022)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 365 */
			{
				BgL_varz00_bglt BgL_nodez00_2208;

				BgL_nodez00_2208 = ((BgL_varz00_bglt) BgL_nodez00_4022);
				{	/* Dataflow/walk.scm 367 */
					bool_t BgL_testz00_4814;

					{	/* Dataflow/walk.scm 367 */
						BgL_variablez00_bglt BgL_arg2451z00_2215;

						BgL_arg2451z00_2215 =
							(((BgL_varz00_bglt) CREF(BgL_nodez00_2208))->BgL_variablez00);
						{	/* Dataflow/walk.scm 367 */
							bool_t BgL_res2712z00_3756;

							{	/* Dataflow/walk.scm 367 */
								obj_t BgL_objz00_3755;

								BgL_objz00_3755 = ((obj_t) BgL_arg2451z00_2215);
								BgL_res2712z00_3756 =
									BGl_isazf3zf3zz__objectz00(BgL_objz00_3755,
									BGl_localzf2valuezf2zzdataflow_walkz00);
							}
							BgL_testz00_4814 = BgL_res2712z00_3756;
						}
					}
					if (BgL_testz00_4814)
						{	/* Dataflow/walk.scm 368 */
							BgL_nodez00_bglt BgL_arg2449z00_2213;

							{
								BgL_localzf2valuezf2_bglt BgL_auxz00_4818;

								{
									obj_t BgL_auxz00_4819;

									{	/* Dataflow/walk.scm 368 */
										BgL_objectz00_bglt BgL_auxz00_4820;

										BgL_auxz00_4820 =
											((BgL_objectz00_bglt)
											((BgL_localz00_bglt)
												(((BgL_varz00_bglt) CREF(BgL_nodez00_2208))->
													BgL_variablez00)));
										BgL_auxz00_4819 = BGL_OBJECT_WIDENING(BgL_auxz00_4820);
									}
									BgL_auxz00_4818 =
										((BgL_localzf2valuezf2_bglt) BgL_auxz00_4819);
								}
								BgL_arg2449z00_2213 =
									(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_4818))->
									BgL_nodez00);
							}
							return
								BGl_dataflowzd2testzd2envz00zzdataflow_walkz00
								(BgL_arg2449z00_2213);
						}
					else
						{	/* Dataflow/walk.scm 367 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-co2172 */
	obj_t BGl_z62dataflowzd2testzd2envzd2co2172zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4023, obj_t BgL_nodez00_4024)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 356 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_2194;

				BgL_nodez00_2194 = ((BgL_conditionalz00_bglt) BgL_nodez00_4024);
				{	/* Dataflow/walk.scm 358 */
					bool_t BgL_testz00_4829;

					{	/* Dataflow/walk.scm 358 */
						bool_t BgL_testz00_4830;

						{	/* Dataflow/walk.scm 358 */
							BgL_nodez00_bglt BgL_arg2447z00_2206;

							BgL_arg2447z00_2206 =
								(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2194))->
								BgL_falsez00);
							{	/* Dataflow/walk.scm 358 */
								bool_t BgL_res2711z00_3752;

								{	/* Dataflow/walk.scm 358 */
									obj_t BgL_objz00_3751;

									BgL_objz00_3751 = ((obj_t) BgL_arg2447z00_2206);
									BgL_res2711z00_3752 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_3751,
										BGl_atomz00zzast_nodez00);
								}
								BgL_testz00_4830 = BgL_res2711z00_3752;
							}
						}
						if (BgL_testz00_4830)
							{	/* Dataflow/walk.scm 358 */
								BgL_testz00_4829 =
									(
									(((BgL_atomz00_bglt) CREF(
												((BgL_atomz00_bglt)
													(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_2194))->
														BgL_falsez00))))->BgL_valuez00) == BFALSE);
							}
						else
							{	/* Dataflow/walk.scm 358 */
								BgL_testz00_4829 = ((bool_t) 0);
							}
					}
					if (BgL_testz00_4829)
						{	/* Dataflow/walk.scm 358 */
							return
								BGl_appendzd221011zd2zzdataflow_walkz00
								(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt) CREF(BgL_nodez00_2194))->
										BgL_testz00)),
								BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt) CREF(BgL_nodez00_2194))->
										BgL_truez00)));
						}
					else
						{	/* Dataflow/walk.scm 358 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-in2170 */
	obj_t BGl_z62dataflowzd2testzd2envzd2in2170zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4025, obj_t BgL_nodez00_4026)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 347 */
			{
				BgL_instanceofz00_bglt BgL_nodez00_2180;

				BgL_nodez00_2180 = ((BgL_instanceofz00_bglt) BgL_nodez00_4026);
				{	/* Dataflow/walk.scm 349 */
					bool_t BgL_testz00_4844;

					{	/* Dataflow/walk.scm 349 */
						obj_t BgL_arg2435z00_2191;

						{	/* Dataflow/walk.scm 349 */
							obj_t BgL_pairz00_3742;

							BgL_pairz00_3742 =
								(((BgL_externz00_bglt) CREF(
										((BgL_externz00_bglt) BgL_nodez00_2180)))->BgL_exprza2za2);
							BgL_arg2435z00_2191 = CAR(BgL_pairz00_3742);
						}
						BgL_testz00_4844 =
							BGl_isazf3zf3zz__objectz00(BgL_arg2435z00_2191,
							BGl_varz00zzast_nodez00);
					}
					if (BgL_testz00_4844)
						{	/* Dataflow/walk.scm 350 */
							obj_t BgL_arg2428z00_2185;

							{	/* Dataflow/walk.scm 350 */
								BgL_variablez00_bglt BgL_arg2430z00_2187;
								BgL_typez00_bglt BgL_arg2432z00_2188;

								{
									BgL_varz00_bglt BgL_auxz00_4849;

									{	/* Dataflow/walk.scm 350 */
										obj_t BgL_pairz00_3745;

										BgL_pairz00_3745 =
											(((BgL_externz00_bglt) CREF(
													((BgL_externz00_bglt) BgL_nodez00_2180)))->
											BgL_exprza2za2);
										BgL_auxz00_4849 = ((BgL_varz00_bglt) CAR(BgL_pairz00_3745));
									}
									BgL_arg2430z00_2187 =
										(((BgL_varz00_bglt) CREF(BgL_auxz00_4849))->
										BgL_variablez00);
								}
								BgL_arg2432z00_2188 =
									(((BgL_instanceofz00_bglt) CREF(BgL_nodez00_2180))->
									BgL_classz00);
								BgL_arg2428z00_2185 =
									MAKE_PAIR(((obj_t) BgL_arg2430z00_2187),
									((obj_t) BgL_arg2432z00_2188));
							}
							{	/* Dataflow/walk.scm 350 */
								obj_t BgL_list2429z00_2186;

								BgL_list2429z00_2186 = MAKE_PAIR(BgL_arg2428z00_2185, BNIL);
								return BgL_list2429z00_2186;
							}
						}
					else
						{	/* Dataflow/walk.scm 349 */
							return BNIL;
						}
				}
			}
		}
	}



/* &dataflow-test-env-ap2168 */
	obj_t BGl_z62dataflowzd2testzd2envzd2ap2168zb0zzdataflow_walkz00(obj_t
		BgL_envz00_4027, obj_t BgL_nodez00_4028)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 324 */
			{
				BgL_appz00_bglt BgL_nodez00_2140;

				BgL_nodez00_2140 = ((BgL_appz00_bglt) BgL_nodez00_4028);
				{	/* Dataflow/walk.scm 326 */
					BgL_variablez00_bglt BgL_fz00_2144;

					BgL_fz00_2144 =
						(((BgL_varz00_bglt) CREF(
								(((BgL_appz00_bglt) CREF(BgL_nodez00_2140))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Dataflow/walk.scm 326 */
						BgL_valuez00_bglt BgL_funvz00_2145;

						BgL_funvz00_2145 =
							(((BgL_variablez00_bglt) CREF(BgL_fz00_2144))->BgL_valuez00);
						{	/* Dataflow/walk.scm 327 */

							{	/* Dataflow/walk.scm 329 */
								obj_t BgL_g1190z00_2146;

								BgL_g1190z00_2146 =
									BGl_isazd2ofzd2zztype_miscz00(
									((BgL_nodez00_bglt) BgL_nodez00_2140));
								if (CBOOL(BgL_g1190z00_2146))
									{	/* Dataflow/walk.scm 332 */
										bool_t BgL_testz00_4868;

										{	/* Dataflow/walk.scm 332 */
											obj_t BgL_arg2401z00_2155;

											BgL_arg2401z00_2155 =
												CAR(
												(((BgL_appz00_bglt) CREF(BgL_nodez00_2140))->
													BgL_argsz00));
											BgL_testz00_4868 =
												BGl_isazf3zf3zz__objectz00(BgL_arg2401z00_2155,
												BGl_varz00zzast_nodez00);
										}
										if (BgL_testz00_4868)
											{	/* Dataflow/walk.scm 333 */
												obj_t BgL_arg2396z00_2150;

												{	/* Dataflow/walk.scm 333 */
													BgL_variablez00_bglt BgL_arg2398z00_2152;

													{
														BgL_varz00_bglt BgL_auxz00_4872;

														{	/* Dataflow/walk.scm 333 */
															obj_t BgL_pairz00_3709;

															BgL_pairz00_3709 =
																(((BgL_appz00_bglt) CREF(BgL_nodez00_2140))->
																BgL_argsz00);
															BgL_auxz00_4872 =
																((BgL_varz00_bglt) CAR(BgL_pairz00_3709));
														}
														BgL_arg2398z00_2152 =
															(((BgL_varz00_bglt) CREF(BgL_auxz00_4872))->
															BgL_variablez00);
													}
													BgL_arg2396z00_2150 =
														MAKE_PAIR(
														((obj_t) BgL_arg2398z00_2152), BgL_g1190z00_2146);
												}
												{	/* Dataflow/walk.scm 333 */
													obj_t BgL_list2397z00_2151;

													BgL_list2397z00_2151 =
														MAKE_PAIR(BgL_arg2396z00_2150, BNIL);
													return BgL_list2397z00_2151;
												}
											}
										else
											{	/* Dataflow/walk.scm 332 */
												return BNIL;
											}
									}
								else
									{	/* Dataflow/walk.scm 335 */
										bool_t BgL_testz00_4880;

										{	/* Dataflow/walk.scm 335 */
											bool_t BgL_testz00_4881;

											{	/* Dataflow/walk.scm 335 */
												bool_t BgL_res2700z00_3716;

												{	/* Dataflow/walk.scm 335 */
													obj_t BgL_objz00_3715;

													BgL_objz00_3715 = ((obj_t) BgL_funvz00_2145);
													BgL_res2700z00_3716 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_3715,
														BGl_funz00zzast_varz00);
												}
												BgL_testz00_4881 = BgL_res2700z00_3716;
											}
											if (BgL_testz00_4881)
												{	/* Dataflow/walk.scm 335 */
													if (CBOOL(
															(((BgL_funz00_bglt) CREF(
																		((BgL_funz00_bglt) BgL_funvz00_2145)))->
																BgL_predicatezd2ofzd2)))
														{	/* Dataflow/walk.scm 337 */
															bool_t BgL_testz00_4888;

															{	/* Dataflow/walk.scm 337 */
																obj_t BgL_auxz00_4889;

																BgL_auxz00_4889 =
																	(((BgL_appz00_bglt) CREF(BgL_nodez00_2140))->
																	BgL_argsz00);
																BgL_testz00_4888 = PAIRP(BgL_auxz00_4889);
															}
															if (BgL_testz00_4888)
																{	/* Dataflow/walk.scm 337 */
																	if (NULLP(CDR(
																				(((BgL_appz00_bglt)
																						CREF(BgL_nodez00_2140))->
																					BgL_argsz00))))
																		{	/* Dataflow/walk.scm 338 */
																			bool_t BgL_testz00_4896;

																			{	/* Dataflow/walk.scm 338 */
																				obj_t BgL_arg2420z00_2173;

																				BgL_arg2420z00_2173 =
																					CAR(
																					(((BgL_appz00_bglt)
																							CREF(BgL_nodez00_2140))->
																						BgL_argsz00));
																				BgL_testz00_4896 =
																					BGl_isazf3zf3zz__objectz00
																					(BgL_arg2420z00_2173,
																					BGl_varz00zzast_nodez00);
																			}
																			if (BgL_testz00_4896)
																				{	/* Dataflow/walk.scm 339 */
																					BgL_typez00_bglt BgL_arg2415z00_2169;

																					{
																						BgL_variablez00_bglt
																							BgL_auxz00_4900;
																						{
																							BgL_varz00_bglt BgL_auxz00_4901;

																							{	/* Dataflow/walk.scm 339 */
																								obj_t BgL_pairz00_3727;

																								BgL_pairz00_3727 =
																									(((BgL_appz00_bglt)
																										CREF(BgL_nodez00_2140))->
																									BgL_argsz00);
																								BgL_auxz00_4901 =
																									((BgL_varz00_bglt)
																									CAR(BgL_pairz00_3727));
																							}
																							BgL_auxz00_4900 =
																								(((BgL_varz00_bglt)
																									CREF(BgL_auxz00_4901))->
																								BgL_variablez00);
																						}
																						BgL_arg2415z00_2169 =
																							(((BgL_variablez00_bglt)
																								CREF(BgL_auxz00_4900))->
																							BgL_typez00);
																					}
																					BgL_testz00_4880 =
																						BGl_bigloozd2typezf3z21zztype_typez00
																						(BgL_arg2415z00_2169);
																				}
																			else
																				{	/* Dataflow/walk.scm 338 */
																					BgL_testz00_4880 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Dataflow/walk.scm 337 */
																			BgL_testz00_4880 = ((bool_t) 0);
																		}
																}
															else
																{	/* Dataflow/walk.scm 337 */
																	BgL_testz00_4880 = ((bool_t) 0);
																}
														}
													else
														{	/* Dataflow/walk.scm 336 */
															BgL_testz00_4880 = ((bool_t) 0);
														}
												}
											else
												{	/* Dataflow/walk.scm 335 */
													BgL_testz00_4880 = ((bool_t) 0);
												}
										}
										if (BgL_testz00_4880)
											{	/* Dataflow/walk.scm 340 */
												obj_t BgL_arg2404z00_2158;

												{	/* Dataflow/walk.scm 340 */
													BgL_variablez00_bglt BgL_arg2406z00_2160;
													obj_t BgL_arg2407z00_2161;

													{
														BgL_varz00_bglt BgL_auxz00_4908;

														{	/* Dataflow/walk.scm 340 */
															obj_t BgL_pairz00_3734;

															BgL_pairz00_3734 =
																(((BgL_appz00_bglt) CREF(BgL_nodez00_2140))->
																BgL_argsz00);
															BgL_auxz00_4908 =
																((BgL_varz00_bglt) CAR(BgL_pairz00_3734));
														}
														BgL_arg2406z00_2160 =
															(((BgL_varz00_bglt) CREF(BgL_auxz00_4908))->
															BgL_variablez00);
													}
													BgL_arg2407z00_2161 =
														(((BgL_funz00_bglt) CREF(
																((BgL_funz00_bglt) BgL_funvz00_2145)))->
														BgL_predicatezd2ofzd2);
													BgL_arg2404z00_2158 =
														MAKE_PAIR(((obj_t) BgL_arg2406z00_2160),
														BgL_arg2407z00_2161);
												}
												{	/* Dataflow/walk.scm 340 */
													obj_t BgL_list2405z00_2159;

													BgL_list2405z00_2159 =
														MAKE_PAIR(BgL_arg2404z00_2158, BNIL);
													return BgL_list2405z00_2159;
												}
											}
										else
											{	/* Dataflow/walk.scm 335 */
												return BNIL;
											}
									}
							}
						}
					}
				}
			}
		}
	}



/* &dataflow-node!-box-s2164 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2s2164za2zzdataflow_walkz00(obj_t
		BgL_envz00_4029, obj_t BgL_nodez00_4030, obj_t BgL_envz00_4031)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 303 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_2132;
				obj_t BgL_envz00_2133;

				BgL_nodez00_2132 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4030);
				BgL_envz00_2133 = BgL_envz00_4031;
				{	/* Dataflow/walk.scm 305 */
					BgL_varz00_bglt BgL_arg2393z00_3695;

					BgL_arg2393z00_3695 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2132))->BgL_varz00);
					{	/* Dataflow/walk.scm 305 */
						BgL_nodez00_bglt BgL_oz00_3697;
						BgL_typez00_bglt BgL_vz00_3698;

						BgL_oz00_3697 = ((BgL_nodez00_bglt) BgL_arg2393z00_3695);
						BgL_vz00_3698 =
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
						((((BgL_nodez00_bglt) CREF(BgL_oz00_3697))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_vz00_3698), BUNSPEC);
					}
				}
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_2132))->BgL_valuez00),
					BgL_envz00_2133);
			}
		}
	}



/* &dataflow-node!-box-r2162 */
	obj_t BGl_z62dataflowzd2nodez12zd2boxzd2r2162za2zzdataflow_walkz00(obj_t
		BgL_envz00_4032, obj_t BgL_nodez00_4033, obj_t BgL_envz00_4034)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 295 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_2125;
				obj_t BgL_envz00_2126;

				BgL_nodez00_2125 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_4033);
				BgL_envz00_2126 = BgL_envz00_4034;
				{	/* Dataflow/walk.scm 297 */
					BgL_varz00_bglt BgL_arg2392z00_3690;

					BgL_arg2392z00_3690 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_2125))->BgL_varz00);
					{	/* Dataflow/walk.scm 297 */
						BgL_nodez00_bglt BgL_oz00_3691;
						BgL_typez00_bglt BgL_vz00_3692;

						BgL_oz00_3691 = ((BgL_nodez00_bglt) BgL_arg2392z00_3690);
						BgL_vz00_3692 =
							((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
						((((BgL_nodez00_bglt) CREF(BgL_oz00_3691))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_vz00_3692), BUNSPEC);
					}
				}
				return BgL_envz00_2126;
			}
		}
	}



/* &dataflow-node!-make-2160 */
	obj_t BGl_z62dataflowzd2nodez12zd2makezd22160za2zzdataflow_walkz00(obj_t
		BgL_envz00_4035, obj_t BgL_nodez00_4036, obj_t BgL_envz00_4037)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 289 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_2119;
				obj_t BgL_envz00_2120;

				BgL_nodez00_2119 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_4036);
				BgL_envz00_2120 = BgL_envz00_4037;
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_2119))->BgL_valuez00),
					BgL_envz00_2120);
			}
		}
	}



/* &dataflow-node!-jump-2158 */
	obj_t BGl_z62dataflowzd2nodez12zd2jumpzd22158za2zzdataflow_walkz00(obj_t
		BgL_envz00_4038, obj_t BgL_nodez00_4039, obj_t BgL_envz00_4040)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 280 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2111;
				obj_t BgL_envz00_2112;

				BgL_nodez00_2111 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4039);
				BgL_envz00_2112 = BgL_envz00_4040;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2111))->BgL_exitz00),
					BgL_envz00_2112);
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((
							(BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_2111))->
						BgL_valuez00), BgL_envz00_2112);
				return BNIL;
			}
		}
	}



/* &dataflow-node!-set-e2156 */
	obj_t BGl_z62dataflowzd2nodez12zd2setzd2e2156za2zzdataflow_walkz00(obj_t
		BgL_envz00_4041, obj_t BgL_nodez00_4042, obj_t BgL_envz00_4043)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 272 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_2104;
				obj_t BgL_envz00_2105;

				BgL_nodez00_2104 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4042);
				BgL_envz00_2105 = BgL_envz00_4043;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_2104))->BgL_bodyz00),
					BgL_envz00_2105);
				return BNIL;
			}
		}
	}



/* &dataflow-node!-let-v2154 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2v2154za2zzdataflow_walkz00(obj_t
		BgL_envz00_4044, obj_t BgL_nodez00_4045, obj_t BgL_envz00_4046)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 240 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_2057;
				obj_t BgL_envz00_2058;

				BgL_nodez00_2057 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_4045);
				BgL_envz00_2058 = BgL_envz00_4046;
				BGl_letzd2varzd2stampz00zzdataflow_walkz00 =
					(((long) 1) + BGl_letzd2varzd2stampz00zzdataflow_walkz00);
				{	/* Dataflow/walk.scm 243 */
					long BgL_stampz00_2062;

					BgL_stampz00_2062 = BGl_letzd2varzd2stampz00zzdataflow_walkz00;
					{	/* Dataflow/walk.scm 243 */
						obj_t BgL_envz00_2063;

						{
							obj_t BgL_bindingsz00_2087;
							obj_t BgL_envz00_2088;

							BgL_bindingsz00_2087 =
								(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2057))->
								BgL_bindingsz00);
							BgL_envz00_2088 = BgL_envz00_2058;
						BgL_zc3anonymousza32381ze3z83_2089:
							if (NULLP(BgL_bindingsz00_2087))
								{	/* Dataflow/walk.scm 246 */
									BgL_envz00_2063 = BgL_envz00_2088;
								}
							else
								{	/* Dataflow/walk.scm 248 */
									obj_t BgL_nodez00_2091;

									{	/* Dataflow/walk.scm 248 */
										obj_t BgL_pairz00_3640;

										BgL_pairz00_3640 = BgL_bindingsz00_2087;
										BgL_nodez00_2091 = CDR(CAR(BgL_pairz00_3640));
									}
									{	/* Dataflow/walk.scm 248 */
										obj_t BgL_envz00_2092;

										BgL_envz00_2092 =
											BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_nodez00_2091), BgL_envz00_2088);
										{	/* Dataflow/walk.scm 249 */

											{	/* Dataflow/walk.scm 250 */
												obj_t BgL_lz00_2093;

												{	/* Dataflow/walk.scm 250 */
													obj_t BgL_pairz00_3644;

													BgL_pairz00_3644 = BgL_bindingsz00_2087;
													BgL_lz00_2093 = CAR(CAR(BgL_pairz00_3644));
												}
												if (
													((((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt) BgL_lz00_2093)))->
															BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
													{	/* Dataflow/walk.scm 252 */
														BgL_localz00_bglt BgL_tmp1181z00_2095;

														BgL_tmp1181z00_2095 =
															((BgL_localz00_bglt) BgL_lz00_2093);
														{	/* Dataflow/walk.scm 252 */
															BgL_localz00_bglt BgL_tmp1182z00_2096;
															BgL_localzf2valuezf2_bglt BgL_wide1183z00_2097;

															BgL_tmp1182z00_2096 =
																((BgL_localz00_bglt) BgL_tmp1181z00_2095);
															BgL_wide1183z00_2097 =
																((BgL_localzf2valuezf2_bglt)
																BREF(GC_MALLOC(sizeof(struct
																			BgL_localzf2valuezf2_bgl))));
															{	/* Dataflow/walk.scm 252 */
																obj_t BgL_auxz00_4961;
																BgL_objectz00_bglt BgL_auxz00_4959;

																BgL_auxz00_4961 =
																	((obj_t) BgL_wide1183z00_2097);
																BgL_auxz00_4959 =
																	((BgL_objectz00_bglt) BgL_tmp1182z00_2096);
																BGL_OBJECT_WIDENING_SET(BgL_auxz00_4959,
																	BgL_auxz00_4961);
															}
															{	/* Dataflow/walk.scm 252 */
																long BgL_arg2384z00_2098;

																{	/* Dataflow/walk.scm 252 */
																	long BgL_res2685z00_3651;

																	BgL_res2685z00_3651 =
																		BGL_CLASS_INDEX
																		(BGl_localzf2valuezf2zzdataflow_walkz00);
																	BgL_arg2384z00_2098 = BgL_res2685z00_3651;
																}
																{	/* Dataflow/walk.scm 252 */
																	BgL_objectz00_bglt BgL_objz00_3652;

																	BgL_objz00_3652 =
																		((BgL_objectz00_bglt) BgL_tmp1182z00_2096);
																	((BgL_localz00_bglt)
																		BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3652,
																			BgL_arg2384z00_2098));
															}} BgL_tmp1182z00_2096;
														}
														{	/* Dataflow/walk.scm 252 */
															BgL_localz00_bglt BgL_new1184z00_2099;

															BgL_new1184z00_2099 =
																((BgL_localz00_bglt) BgL_tmp1181z00_2095);
															{
																BgL_localzf2valuezf2_bglt BgL_auxz00_4969;

																{
																	obj_t BgL_auxz00_4970;

																	{	/* Dataflow/walk.scm 252 */
																		BgL_objectz00_bglt BgL_auxz00_4971;

																		BgL_auxz00_4971 =
																			((BgL_objectz00_bglt)
																			BgL_new1184z00_2099);
																		BgL_auxz00_4970 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_4971);
																	}
																	BgL_auxz00_4969 =
																		((BgL_localzf2valuezf2_bglt)
																		BgL_auxz00_4970);
																}
																((((BgL_localzf2valuezf2_bglt)
																			CREF(BgL_auxz00_4969))->BgL_stampz00) =
																	((int) (int) (BgL_stampz00_2062)), BUNSPEC);
															}
															{
																BgL_localzf2valuezf2_bglt BgL_auxz00_4977;

																{
																	obj_t BgL_auxz00_4978;

																	{	/* Dataflow/walk.scm 252 */
																		BgL_objectz00_bglt BgL_auxz00_4979;

																		BgL_auxz00_4979 =
																			((BgL_objectz00_bglt)
																			BgL_new1184z00_2099);
																		BgL_auxz00_4978 =
																			BGL_OBJECT_WIDENING(BgL_auxz00_4979);
																	}
																	BgL_auxz00_4977 =
																		((BgL_localzf2valuezf2_bglt)
																		BgL_auxz00_4978);
																}
																((((BgL_localzf2valuezf2_bglt)
																			CREF(BgL_auxz00_4977))->BgL_nodez00) =
																	((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
																			BgL_nodez00_2091)), BUNSPEC);
															}
															((obj_t) BgL_new1184z00_2099);
													}}
												else
													{	/* Dataflow/walk.scm 251 */
														BFALSE;
													}
											}
											{
												obj_t BgL_envz00_4988;
												obj_t BgL_bindingsz00_4986;

												BgL_bindingsz00_4986 = CDR(BgL_bindingsz00_2087);
												BgL_envz00_4988 = BgL_envz00_2092;
												BgL_envz00_2088 = BgL_envz00_4988;
												BgL_bindingsz00_2087 = BgL_bindingsz00_4986;
												goto BgL_zc3anonymousza32381ze3z83_2089;
											}
										}
									}
								}
						}
						{	/* Dataflow/walk.scm 244 */

							{	/* Dataflow/walk.scm 256 */
								obj_t BgL_arg2363z00_2065;

								BgL_arg2363z00_2065 =
									BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
									(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_2057))->
										BgL_bodyz00), BgL_envz00_2063);
								{	/* Dataflow/walk.scm 258 */
									obj_t BgL_zc3anonymousza32365ze3z83_3984;

									BgL_zc3anonymousza32365ze3z83_3984 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32365ze3ze1zzdataflow_walkz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza32365ze3z83_3984,
										(int) (((long) 0)), BINT(BgL_stampz00_2062));
									{	/* Dataflow/walk.scm 256 */
										obj_t BgL_list2364z00_2066;

										BgL_list2364z00_2066 = MAKE_PAIR(BgL_arg2363z00_2065, BNIL);
										return
											BGl_filterzd2mapzd2zz__r4_control_features_6_9z00
											(BgL_zc3anonymousza32365ze3z83_3984,
											BgL_list2364z00_2066);
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2365> */
	obj_t BGl_z62zc3anonymousza32365ze3ze1zzdataflow_walkz00(obj_t
		BgL_envz00_4047, obj_t BgL_bz00_4049)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 256 */
			{	/* Dataflow/walk.scm 258 */
				long BgL_stampz00_4048;

				BgL_stampz00_4048 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_4047, (int) (((long) 0))));
				{
					obj_t BgL_bz00_2067;

					BgL_bz00_2067 = BgL_bz00_4049;
					{	/* Dataflow/walk.scm 258 */
						bool_t BgL_testz00_5004;

						{	/* Dataflow/walk.scm 258 */
							bool_t BgL_testz00_5005;

							{	/* Dataflow/walk.scm 258 */
								obj_t BgL_arg2378z00_2082;

								BgL_arg2378z00_2082 = CAR(BgL_bz00_2067);
								BgL_testz00_5005 =
									BGl_isazf3zf3zz__objectz00(BgL_arg2378z00_2082,
									BGl_localzf2valuezf2zzdataflow_walkz00);
							}
							if (BgL_testz00_5005)
								{	/* Dataflow/walk.scm 259 */
									long BgL_auxz00_5008;

									{	/* Dataflow/walk.scm 259 */
										int BgL_auxz00_5009;

										{
											BgL_localzf2valuezf2_bglt BgL_auxz00_5010;

											{
												obj_t BgL_auxz00_5011;

												{	/* Dataflow/walk.scm 259 */
													BgL_objectz00_bglt BgL_auxz00_5012;

													{
														BgL_localz00_bglt BgL_auxz00_5013;

														{	/* Dataflow/walk.scm 259 */
															obj_t BgL_pairz00_3658;

															BgL_pairz00_3658 = BgL_bz00_2067;
															BgL_auxz00_5013 =
																((BgL_localz00_bglt) CAR(BgL_pairz00_3658));
														}
														BgL_auxz00_5012 =
															((BgL_objectz00_bglt) BgL_auxz00_5013);
													}
													BgL_auxz00_5011 =
														BGL_OBJECT_WIDENING(BgL_auxz00_5012);
												}
												BgL_auxz00_5010 =
													((BgL_localzf2valuezf2_bglt) BgL_auxz00_5011);
											}
											BgL_auxz00_5009 =
												(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_5010))->
												BgL_stampz00);
										}
										BgL_auxz00_5008 = (long) (BgL_auxz00_5009);
									}
									BgL_testz00_5004 = (BgL_auxz00_5008 < BgL_stampz00_4048);
								}
							else
								{	/* Dataflow/walk.scm 258 */
									BgL_testz00_5004 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_5004)
							{	/* Dataflow/walk.scm 258 */
								return BgL_bz00_2067;
							}
						else
							{	/* Dataflow/walk.scm 261 */
								bool_t BgL_testz00_5022;

								{	/* Dataflow/walk.scm 261 */
									BgL_nodez00_bglt BgL_arg2373z00_2077;

									{
										BgL_localzf2valuezf2_bglt BgL_auxz00_5023;

										{
											obj_t BgL_auxz00_5024;

											{	/* Dataflow/walk.scm 261 */
												BgL_objectz00_bglt BgL_auxz00_5025;

												{
													BgL_localz00_bglt BgL_auxz00_5026;

													{	/* Dataflow/walk.scm 261 */
														obj_t BgL_pairz00_3665;

														BgL_pairz00_3665 = BgL_bz00_2067;
														BgL_auxz00_5026 =
															((BgL_localz00_bglt) CAR(BgL_pairz00_3665));
													}
													BgL_auxz00_5025 =
														((BgL_objectz00_bglt) BgL_auxz00_5026);
												}
												BgL_auxz00_5024 = BGL_OBJECT_WIDENING(BgL_auxz00_5025);
											}
											BgL_auxz00_5023 =
												((BgL_localzf2valuezf2_bglt) BgL_auxz00_5024);
										}
										BgL_arg2373z00_2077 =
											(((BgL_localzf2valuezf2_bglt) CREF(BgL_auxz00_5023))->
											BgL_nodez00);
									}
									{	/* Dataflow/walk.scm 261 */
										bool_t BgL_res2690z00_3670;

										{	/* Dataflow/walk.scm 261 */
											obj_t BgL_objz00_3669;

											BgL_objz00_3669 = ((obj_t) BgL_arg2373z00_2077);
											BgL_res2690z00_3670 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_3669,
												BGl_varz00zzast_nodez00);
										}
										BgL_testz00_5022 = BgL_res2690z00_3670;
									}
								}
								if (BgL_testz00_5022)
									{	/* Dataflow/walk.scm 262 */
										BgL_variablez00_bglt BgL_vz00_2071;

										{
											BgL_varz00_bglt BgL_auxz00_5035;

											{
												BgL_nodez00_bglt BgL_auxz00_5036;

												{
													BgL_localzf2valuezf2_bglt BgL_auxz00_5037;

													{
														obj_t BgL_auxz00_5038;

														{	/* Dataflow/walk.scm 262 */
															BgL_objectz00_bglt BgL_auxz00_5039;

															{
																BgL_localz00_bglt BgL_auxz00_5040;

																{	/* Dataflow/walk.scm 262 */
																	obj_t BgL_pairz00_3671;

																	BgL_pairz00_3671 = BgL_bz00_2067;
																	BgL_auxz00_5040 =
																		((BgL_localz00_bglt) CAR(BgL_pairz00_3671));
																}
																BgL_auxz00_5039 =
																	((BgL_objectz00_bglt) BgL_auxz00_5040);
															}
															BgL_auxz00_5038 =
																BGL_OBJECT_WIDENING(BgL_auxz00_5039);
														}
														BgL_auxz00_5037 =
															((BgL_localzf2valuezf2_bglt) BgL_auxz00_5038);
													}
													BgL_auxz00_5036 =
														(((BgL_localzf2valuezf2_bglt)
															CREF(BgL_auxz00_5037))->BgL_nodez00);
												}
												BgL_auxz00_5035 = ((BgL_varz00_bglt) BgL_auxz00_5036);
											}
											BgL_vz00_2071 =
												(((BgL_varz00_bglt) CREF(BgL_auxz00_5035))->
												BgL_variablez00);
										}
										if (
											((((BgL_variablez00_bglt) CREF(BgL_vz00_2071))->
													BgL_accessz00) == CNST_TABLE_REF(((long) 11))))
											{	/* Dataflow/walk.scm 264 */
												obj_t BgL_arg2369z00_2073;

												BgL_arg2369z00_2073 = CDR(BgL_bz00_2067);
												return
													MAKE_PAIR(
													((obj_t) BgL_vz00_2071), BgL_arg2369z00_2073);
											}
										else
											{	/* Dataflow/walk.scm 263 */
												return BFALSE;
											}
									}
								else
									{	/* Dataflow/walk.scm 261 */
										return BFALSE;
									}
							}
					}
				}
			}
		}
	}



/* &dataflow-node!-let-f2152 */
	obj_t BGl_z62dataflowzd2nodez12zd2letzd2f2152za2zzdataflow_walkz00(obj_t
		BgL_envz00_4050, obj_t BgL_nodez00_4051, obj_t BgL_envz00_4052)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 225 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_2040;
				obj_t BgL_envz00_2041;

				BgL_nodez00_2040 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_4051);
				BgL_envz00_2041 = BgL_envz00_4052;
				{	/* Dataflow/walk.scm 227 */
					obj_t BgL_g2099z00_2045;

					BgL_g2099z00_2045 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2040))->BgL_localsz00);
					{
						obj_t BgL_l2097z00_2047;

						BgL_l2097z00_2047 = BgL_g2099z00_2045;
					BgL_zc3anonymousza32356ze3z83_2048:
						if (PAIRP(BgL_l2097z00_2047))
							{	/* Dataflow/walk.scm 227 */
								{	/* Dataflow/walk.scm 228 */
									obj_t BgL_localz00_2050;

									BgL_localz00_2050 = CAR(BgL_l2097z00_2047);
									{	/* Dataflow/walk.scm 228 */
										obj_t BgL_arg2358z00_2051;

										BgL_arg2358z00_2051 =
											(((BgL_sfunz00_bglt) CREF(
													((BgL_sfunz00_bglt)
														(((BgL_variablez00_bglt) CREF(
																	((BgL_variablez00_bglt)
																		((BgL_localz00_bglt) BgL_localz00_2050))))->
															BgL_valuez00))))->BgL_bodyz00);
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((
												(BgL_nodez00_bglt) BgL_arg2358z00_2051), BNIL);
									}
								}
								{
									obj_t BgL_l2097z00_5067;

									BgL_l2097z00_5067 = CDR(BgL_l2097z00_2047);
									BgL_l2097z00_2047 = BgL_l2097z00_5067;
									goto BgL_zc3anonymousza32356ze3z83_2048;
								}
							}
						else
							{	/* Dataflow/walk.scm 227 */
								((bool_t) 1);
							}
					}
				}
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_2040))->BgL_bodyz00),
					BgL_envz00_2041);
			}
		}
	}



/* &dataflow-node!-selec2150 */
	obj_t BGl_z62dataflowzd2nodez12zd2selec2150z70zzdataflow_walkz00(obj_t
		BgL_envz00_4053, obj_t BgL_nodez00_4054, obj_t BgL_envz00_4055)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 214 */
			{
				BgL_selectz00_bglt BgL_nodez00_2024;
				obj_t BgL_envz00_2025;

				BgL_nodez00_2024 = ((BgL_selectz00_bglt) BgL_nodez00_4054);
				BgL_envz00_2025 = BgL_envz00_4055;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_selectz00_bglt) CREF(BgL_nodez00_2024))->BgL_testz00),
					BgL_envz00_2025);
				{	/* Dataflow/walk.scm 217 */
					obj_t BgL_g2096z00_2030;

					BgL_g2096z00_2030 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_2024))->BgL_clausesz00);
					{
						obj_t BgL_l2094z00_2032;

						BgL_l2094z00_2032 = BgL_g2096z00_2030;
					BgL_zc3anonymousza32351ze3z83_2033:
						if (PAIRP(BgL_l2094z00_2032))
							{	/* Dataflow/walk.scm 217 */
								{	/* Dataflow/walk.scm 218 */
									obj_t BgL_clausez00_2035;

									BgL_clausez00_2035 = CAR(BgL_l2094z00_2032);
									{	/* Dataflow/walk.scm 218 */
										obj_t BgL_arg2353z00_2036;

										BgL_arg2353z00_2036 = CDR(BgL_clausez00_2035);
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
											((BgL_nodez00_bglt) BgL_arg2353z00_2036),
											BgL_envz00_2025);
									}
								}
								{
									obj_t BgL_l2094z00_5081;

									BgL_l2094z00_5081 = CDR(BgL_l2094z00_2032);
									BgL_l2094z00_2032 = BgL_l2094z00_5081;
									goto BgL_zc3anonymousza32351ze3z83_2033;
								}
							}
						else
							{	/* Dataflow/walk.scm 217 */
								((bool_t) 1);
							}
					}
				}
				return BgL_envz00_2025;
			}
		}
	}



/* &dataflow-node!-fail2148 */
	obj_t BGl_z62dataflowzd2nodez12zd2fail2148z70zzdataflow_walkz00(obj_t
		BgL_envz00_4056, obj_t BgL_nodez00_4057, obj_t BgL_envz00_4058)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 204 */
			{
				BgL_failz00_bglt BgL_nodez00_2015;
				obj_t BgL_envz00_2016;

				BgL_nodez00_2015 = ((BgL_failz00_bglt) BgL_nodez00_4057);
				BgL_envz00_2016 = BgL_envz00_4058;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_2015))->BgL_procz00),
					BgL_envz00_2016);
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
							CREF(BgL_nodez00_2015))->BgL_msgz00), BgL_envz00_2016);
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_failz00_bglt)
							CREF(BgL_nodez00_2015))->BgL_objz00), BgL_envz00_2016);
				return BgL_envz00_2016;
			}
		}
	}



/* &dataflow-node!-condi2146 */
	obj_t BGl_z62dataflowzd2nodez12zd2condi2146z70zzdataflow_walkz00(obj_t
		BgL_envz00_4059, obj_t BgL_nodez00_4060, obj_t BgL_envz00_4061)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 181 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1974;
				obj_t BgL_envz00_1975;

				BgL_nodez00_1974 = ((BgL_conditionalz00_bglt) BgL_nodez00_4060);
				BgL_envz00_1975 = BgL_envz00_4061;
				{	/* Dataflow/walk.scm 192 */
					obj_t BgL_tenvz00_1980;

					BgL_tenvz00_1980 =
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1974))->BgL_testz00),
						BgL_envz00_1975);
					{	/* Dataflow/walk.scm 192 */
						obj_t BgL_truezd2envzd2_1981;

						BgL_truezd2envzd2_1981 =
							BGl_appendzd221011zd2zzdataflow_walkz00
							(BGl_dataflowzd2testzd2envz00zzdataflow_walkz00(((
										(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1974))->
									BgL_testz00)), BgL_tenvz00_1980);
						{	/* Dataflow/walk.scm 193 */
							obj_t BgL_falsezd2envzd2_1982;

							BgL_falsezd2envzd2_1982 =
								BGl_appendzd221011zd2zzdataflow_walkz00
								(BGl_dataflowzd2testzd2falsezd2envzd2zzdataflow_walkz00(((
											(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1974))->
										BgL_testz00)), BgL_tenvz00_1980);
							{	/* Dataflow/walk.scm 194 */

								{	/* Dataflow/walk.scm 195 */
									obj_t BgL_tenvz00_1983;
									obj_t BgL_fenvz00_1984;

									BgL_tenvz00_1983 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1974))->
											BgL_falsez00), BgL_falsezd2envzd2_1982);
									BgL_fenvz00_1984 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(((
												(BgL_conditionalz00_bglt) CREF(BgL_nodez00_1974))->
											BgL_truez00), BgL_truezd2envzd2_1981);
									{	/* Dataflow/walk.scm 197 */
										bool_t BgL_testz00_5103;

										{	/* Dataflow/walk.scm 197 */
											BgL_nodez00_bglt BgL_arg2332z00_1986;

											BgL_arg2332z00_1986 =
												(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1974))->
												BgL_falsez00);
											BgL_testz00_5103 =
												CBOOL(BGl_abortzf3zf3zzdataflow_walkz00
												(BgL_arg2332z00_1986));
										}
										if (BgL_testz00_5103)
											{	/* Dataflow/walk.scm 197 */
												return BgL_tenvz00_1983;
											}
										else
											{	/* Dataflow/walk.scm 197 */
												return
													BGl_zc3anonymousza32341ze3z83zzdataflow_walkz00
													(BgL_fenvz00_1984, BgL_tenvz00_1983);
											}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* <anonymous:2341> */
	obj_t BGl_zc3anonymousza32341ze3z83zzdataflow_walkz00(obj_t BgL_env2z00_4090,
		obj_t BgL_lis2090z00_1998)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 184 */
		BGl_zc3anonymousza32341ze3z83zzdataflow_walkz00:
			if (NULLP(BgL_lis2090z00_1998))
				{	/* Dataflow/walk.scm 184 */
					return BgL_lis2090z00_1998;
				}
			else
				{	/* Dataflow/walk.scm 184 */
					obj_t BgL_head2091z00_2001;
					obj_t BgL_tail2092z00_2002;

					BgL_head2091z00_2001 = CAR(BgL_lis2090z00_1998);
					BgL_tail2092z00_2002 = CDR(BgL_lis2090z00_1998);
					{	/* Dataflow/walk.scm 184 */
						bool_t BgL_testz00_5113;

						{	/* Dataflow/walk.scm 186 */
							obj_t BgL_c2z00_2009;

							BgL_c2z00_2009 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(CAR
								(BgL_head2091z00_2001), BgL_env2z00_4090);
							{	/* Dataflow/walk.scm 187 */

								if (PAIRP(BgL_c2z00_2009))
									{	/* Dataflow/walk.scm 188 */
										BgL_testz00_5113 =
											(CDR(BgL_c2z00_2009) == CDR(BgL_head2091z00_2001));
									}
								else
									{	/* Dataflow/walk.scm 188 */
										BgL_testz00_5113 = ((bool_t) 0);
									}
							}
						}
						if (BgL_testz00_5113)
							{	/* Dataflow/walk.scm 184 */
								obj_t BgL_newzd2tail2093zd2_2004;

								BgL_newzd2tail2093zd2_2004 =
									BGl_zc3anonymousza32341ze3z83zzdataflow_walkz00
									(BgL_env2z00_4090, BgL_tail2092z00_2002);
								if ((BgL_tail2092z00_2002 == BgL_newzd2tail2093zd2_2004))
									{	/* Dataflow/walk.scm 184 */
										return BgL_lis2090z00_1998;
									}
								else
									{	/* Dataflow/walk.scm 184 */
										obj_t BgL_res2679z00_3620;

										BgL_res2679z00_3620 =
											MAKE_PAIR(BgL_head2091z00_2001,
											BgL_newzd2tail2093zd2_2004);
										return BgL_res2679z00_3620;
									}
							}
						else
							{
								obj_t BgL_lis2090z00_5125;

								BgL_lis2090z00_5125 = BgL_tail2092z00_2002;
								BgL_lis2090z00_1998 = BgL_lis2090z00_5125;
								goto BGl_zc3anonymousza32341ze3z83zzdataflow_walkz00;
							}
					}
				}
		}
	}



/* &dataflow-node!-setq2144 */
	obj_t BGl_z62dataflowzd2nodez12zd2setq2144z70zzdataflow_walkz00(obj_t
		BgL_envz00_4062, obj_t BgL_nodez00_4063, obj_t BgL_envz00_4064)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 161 */
			{
				BgL_setqz00_bglt BgL_nodez00_1937;
				obj_t BgL_envz00_1938;

				BgL_nodez00_1937 = ((BgL_setqz00_bglt) BgL_nodez00_4063);
				BgL_envz00_1938 = BgL_envz00_4064;
				{	/* Dataflow/walk.scm 169 */
					obj_t BgL_nenvz00_1943;

					BgL_nenvz00_1943 =
						BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1937))->BgL_valuez00),
						BgL_envz00_1938);
					{	/* Dataflow/walk.scm 170 */
						BgL_varz00_bglt BgL_i1174z00_1944;

						BgL_i1174z00_1944 =
							(((BgL_setqz00_bglt) CREF(BgL_nodez00_1937))->BgL_varz00);
						{	/* Dataflow/walk.scm 171 */
							bool_t BgL_testz00_5129;

							{	/* Dataflow/walk.scm 171 */
								BgL_variablez00_bglt BgL_arg2322z00_1954;

								BgL_arg2322z00_1954 =
									(((BgL_varz00_bglt) CREF(BgL_i1174z00_1944))->
									BgL_variablez00);
								{	/* Dataflow/walk.scm 171 */
									bool_t BgL_res2675z00_3605;

									{	/* Dataflow/walk.scm 171 */
										obj_t BgL_objz00_3604;

										BgL_objz00_3604 = ((obj_t) BgL_arg2322z00_1954);
										BgL_res2675z00_3605 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_3604,
											BGl_globalz00zzast_varz00);
									}
									BgL_testz00_5129 = BgL_res2675z00_3605;
								}
							}
							if (BgL_testz00_5129)
								{	/* Dataflow/walk.scm 171 */
									return
										BGl_zc3anonymousza32325ze3z83zzdataflow_walkz00(
										(((BgL_varz00_bglt) CREF(BgL_i1174z00_1944))->
											BgL_variablez00), BgL_nenvz00_1943);
								}
							else
								{	/* Dataflow/walk.scm 173 */
									BgL_typez00_bglt BgL_typz00_1947;

									BgL_typz00_1947 =
										BGl_getzd2typezd2zztype_typeofz00(
										(((BgL_setqz00_bglt) CREF(BgL_nodez00_1937))->
											BgL_valuez00));
									{	/* Dataflow/walk.scm 174 */
										bool_t BgL_testz00_5137;

										if (
											(((obj_t) BgL_typz00_1947) ==
												BGl_za2_za2z00zztype_cachez00))
											{	/* Dataflow/walk.scm 174 */
												BgL_testz00_5137 = ((bool_t) 1);
											}
										else
											{	/* Dataflow/walk.scm 174 */
												BgL_testz00_5137 =
													(
													((obj_t) BgL_typz00_1947) ==
													BGl_za2objza2z00zztype_cachez00);
											}
										if (BgL_testz00_5137)
											{	/* Dataflow/walk.scm 174 */
												return
													BGl_zc3anonymousza32325ze3z83zzdataflow_walkz00(
													(((BgL_varz00_bglt) CREF(BgL_i1174z00_1944))->
														BgL_variablez00), BgL_nenvz00_1943);
											}
										else
											{	/* Dataflow/walk.scm 176 */
												obj_t BgL_arg2318z00_1950;

												{	/* Dataflow/walk.scm 176 */
													BgL_variablez00_bglt BgL_arg2319z00_1951;

													BgL_arg2319z00_1951 =
														(((BgL_varz00_bglt) CREF(BgL_i1174z00_1944))->
														BgL_variablez00);
													BgL_arg2318z00_1950 =
														MAKE_PAIR(((obj_t) BgL_arg2319z00_1951),
														((obj_t) BgL_typz00_1947));
												}
												return MAKE_PAIR(BgL_arg2318z00_1950, BgL_nenvz00_1943);
											}
									}
								}
						}
					}
				}
			}
		}
	}



/* <anonymous:2325> */
	obj_t BGl_zc3anonymousza32325ze3z83zzdataflow_walkz00(BgL_variablez00_bglt
		BgL_variablez00_4089, obj_t BgL_lis2085z00_1960)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 164 */
		BGl_zc3anonymousza32325ze3z83zzdataflow_walkz00:
			if (NULLP(BgL_lis2085z00_1960))
				{	/* Dataflow/walk.scm 164 */
					return BgL_lis2085z00_1960;
				}
			else
				{	/* Dataflow/walk.scm 164 */
					obj_t BgL_head2086z00_1963;
					obj_t BgL_tail2087z00_1964;

					BgL_head2086z00_1963 = CAR(BgL_lis2085z00_1960);
					BgL_tail2087z00_1964 = CDR(BgL_lis2085z00_1960);
					{	/* Dataflow/walk.scm 164 */
						bool_t BgL_testz00_5155;

						if ((CAR(BgL_head2086z00_1963) == ((obj_t) BgL_variablez00_4089)))
							{	/* Dataflow/walk.scm 165 */
								BgL_testz00_5155 = ((bool_t) 0);
							}
						else
							{	/* Dataflow/walk.scm 165 */
								BgL_testz00_5155 = ((bool_t) 1);
							}
						if (BgL_testz00_5155)
							{	/* Dataflow/walk.scm 164 */
								obj_t BgL_newzd2tail2088zd2_1966;

								BgL_newzd2tail2088zd2_1966 =
									BGl_zc3anonymousza32325ze3z83zzdataflow_walkz00
									(BgL_variablez00_4089, BgL_tail2087z00_1964);
								if ((BgL_tail2087z00_1964 == BgL_newzd2tail2088zd2_1966))
									{	/* Dataflow/walk.scm 164 */
										return BgL_lis2085z00_1960;
									}
								else
									{	/* Dataflow/walk.scm 164 */
										obj_t BgL_res2674z00_3603;

										BgL_res2674z00_3603 =
											MAKE_PAIR(BgL_head2086z00_1963,
											BgL_newzd2tail2088zd2_1966);
										return BgL_res2674z00_3603;
									}
							}
						else
							{
								obj_t BgL_lis2085z00_5164;

								BgL_lis2085z00_5164 = BgL_tail2087z00_1964;
								BgL_lis2085z00_1960 = BgL_lis2085z00_5164;
								goto BGl_zc3anonymousza32325ze3z83zzdataflow_walkz00;
							}
					}
				}
		}
	}



/* &dataflow-node!-exter2142 */
	obj_t BGl_z62dataflowzd2nodez12zd2exter2142z70zzdataflow_walkz00(obj_t
		BgL_envz00_4065, obj_t BgL_nodez00_4066, obj_t BgL_envz00_4067)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 154 */
			{
				BgL_externz00_bglt BgL_nodez00_1931;
				obj_t BgL_envz00_1932;

				BgL_nodez00_1931 = ((BgL_externz00_bglt) BgL_nodez00_4066);
				BgL_envz00_1932 = BgL_envz00_4067;
				return
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1931))->BgL_exprza2za2),
					BgL_envz00_1932);
			}
		}
	}



/* &dataflow-node!-funca2140 */
	obj_t BGl_z62dataflowzd2nodez12zd2funca2140z70zzdataflow_walkz00(obj_t
		BgL_envz00_4068, obj_t BgL_nodez00_4069, obj_t BgL_envz00_4070)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 146 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1923;
				obj_t BgL_envz00_1924;

				BgL_nodez00_1923 = ((BgL_funcallz00_bglt) BgL_nodez00_4069);
				BgL_envz00_1924 = BgL_envz00_4070;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1923))->BgL_funz00),
					BgL_envz00_1924);
				return
					BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00((((BgL_funcallz00_bglt)
							CREF(BgL_nodez00_1923))->BgL_argsz00), BgL_envz00_1924);
			}
		}
	}



/* &dataflow-node!-app-l2138 */
	obj_t BGl_z62dataflowzd2nodez12zd2appzd2l2138za2zzdataflow_walkz00(obj_t
		BgL_envz00_4071, obj_t BgL_nodez00_4072, obj_t BgL_envz00_4073)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 138 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1915;
				obj_t BgL_envz00_1916;

				BgL_nodez00_1915 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_4072);
				BgL_envz00_1916 = BgL_envz00_4073;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1915))->BgL_funz00),
					BgL_envz00_1916);
				return
					BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_appzd2lyzd2_bglt)
							CREF(BgL_nodez00_1915))->BgL_argz00), BgL_envz00_1916);
			}
		}
	}



/* &dataflow-node!-app2136 */
	obj_t BGl_z62dataflowzd2nodez12zd2app2136z70zzdataflow_walkz00(obj_t
		BgL_envz00_4074, obj_t BgL_nodez00_4075, obj_t BgL_envz00_4076)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 122 */
			{
				BgL_appz00_bglt BgL_nodez00_1888;
				obj_t BgL_envz00_1889;

				BgL_nodez00_1888 = ((BgL_appz00_bglt) BgL_nodez00_4075);
				BgL_envz00_1889 = BgL_envz00_4076;
				{	/* Dataflow/walk.scm 124 */
					obj_t BgL_aenvz00_1893;

					BgL_aenvz00_1893 =
						BGl_dataflowzd2nodeza2z12z62zzdataflow_walkz00(
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1888))->BgL_argsz00),
						BgL_envz00_1889);
					{	/* Dataflow/walk.scm 125 */
						bool_t BgL_testz00_5180;

						{	/* Dataflow/walk.scm 125 */
							bool_t BgL_testz00_5181;

							{	/* Dataflow/walk.scm 125 */
								BgL_varz00_bglt BgL_arg2308z00_1912;

								BgL_arg2308z00_1912 =
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1888))->BgL_funz00);
								{	/* Dataflow/walk.scm 125 */
									bool_t BgL_res2664z00_3562;

									{	/* Dataflow/walk.scm 125 */
										obj_t BgL_objz00_3561;

										BgL_objz00_3561 = ((obj_t) BgL_arg2308z00_1912);
										BgL_res2664z00_3562 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_3561,
											BGl_varz00zzast_nodez00);
									}
									BgL_testz00_5181 = BgL_res2664z00_3562;
								}
							}
							if (BgL_testz00_5181)
								{	/* Dataflow/walk.scm 125 */
									BgL_variablez00_bglt BgL_arg2306z00_1910;

									BgL_arg2306z00_1910 =
										(((BgL_varz00_bglt) CREF(
												(((BgL_appz00_bglt) CREF(BgL_nodez00_1888))->
													BgL_funz00)))->BgL_variablez00);
									{	/* Dataflow/walk.scm 125 */
										bool_t BgL_res2666z00_3567;

										{	/* Dataflow/walk.scm 125 */
											obj_t BgL_objz00_3566;

											BgL_objz00_3566 = ((obj_t) BgL_arg2306z00_1910);
											BgL_res2666z00_3567 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_3566,
												BGl_localz00zzast_varz00);
										}
										BgL_testz00_5180 = BgL_res2666z00_3567;
									}
								}
							else
								{	/* Dataflow/walk.scm 125 */
									BgL_testz00_5180 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_5180)
							{	/* Dataflow/walk.scm 125 */
								return
									BGl_zc3anonymousza32299ze3z83zzdataflow_walkz00
									(BgL_aenvz00_1893);
							}
						else
							{	/* Dataflow/walk.scm 125 */
								return BgL_aenvz00_1893;
							}
					}
				}
			}
		}
	}



/* <anonymous:2299> */
	obj_t BGl_zc3anonymousza32299ze3z83zzdataflow_walkz00(obj_t
		BgL_lis2080z00_1896)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 129 */
		BGl_zc3anonymousza32299ze3z83zzdataflow_walkz00:
			if (NULLP(BgL_lis2080z00_1896))
				{	/* Dataflow/walk.scm 129 */
					return BgL_lis2080z00_1896;
				}
			else
				{	/* Dataflow/walk.scm 129 */
					obj_t BgL_head2081z00_1899;
					obj_t BgL_tail2082z00_1900;

					BgL_head2081z00_1899 = CAR(BgL_lis2080z00_1896);
					BgL_tail2082z00_1900 = CDR(BgL_lis2080z00_1896);
					{	/* Dataflow/walk.scm 129 */
						bool_t BgL_testz00_5195;

						{	/* Dataflow/walk.scm 130 */
							obj_t BgL_vz00_1905;

							BgL_vz00_1905 = CAR(BgL_head2081z00_1899);
							{	/* Dataflow/walk.scm 131 */
								bool_t BgL__ortest_1170z00_1906;

								BgL__ortest_1170z00_1906 =
									BGl_isazf3zf3zz__objectz00(BgL_vz00_1905,
									BGl_globalz00zzast_varz00);
								if (BgL__ortest_1170z00_1906)
									{	/* Dataflow/walk.scm 131 */
										BgL_testz00_5195 = BgL__ortest_1170z00_1906;
									}
								else
									{	/* Dataflow/walk.scm 131 */
										BgL_testz00_5195 =
											(
											(((BgL_variablez00_bglt) CREF(
														((BgL_variablez00_bglt) BgL_vz00_1905)))->
												BgL_accessz00) == CNST_TABLE_REF(((long) 11)));
						}}}
						if (BgL_testz00_5195)
							{	/* Dataflow/walk.scm 129 */
								obj_t BgL_newzd2tail2083zd2_1902;

								BgL_newzd2tail2083zd2_1902 =
									BGl_zc3anonymousza32299ze3z83zzdataflow_walkz00
									(BgL_tail2082z00_1900);
								if ((BgL_tail2082z00_1900 == BgL_newzd2tail2083zd2_1902))
									{	/* Dataflow/walk.scm 129 */
										return BgL_lis2080z00_1896;
									}
								else
									{	/* Dataflow/walk.scm 129 */
										obj_t BgL_res2670z00_3582;

										BgL_res2670z00_3582 =
											MAKE_PAIR(BgL_head2081z00_1899,
											BgL_newzd2tail2083zd2_1902);
										return BgL_res2670z00_3582;
									}
							}
						else
							{
								obj_t BgL_lis2080z00_5207;

								BgL_lis2080z00_5207 = BgL_tail2082z00_1900;
								BgL_lis2080z00_1896 = BgL_lis2080z00_5207;
								goto BGl_zc3anonymousza32299ze3z83zzdataflow_walkz00;
							}
					}
				}
		}
	}



/* &dataflow-node!-sync2134 */
	obj_t BGl_z62dataflowzd2nodez12zd2sync2134z70zzdataflow_walkz00(obj_t
		BgL_envz00_4077, obj_t BgL_nodez00_4078, obj_t BgL_envz00_4079)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 110 */
			{
				BgL_syncz00_bglt BgL_nodez00_1871;
				obj_t BgL_envz00_1872;

				BgL_nodez00_1871 = ((BgL_syncz00_bglt) BgL_nodez00_4078);
				BgL_envz00_1872 = BgL_envz00_4079;
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1871))->BgL_mutexz00),
					BgL_envz00_1872);
				BGl_dataflowzd2nodez12zc0zzdataflow_walkz00((((BgL_syncz00_bglt)
							CREF(BgL_nodez00_1871))->BgL_prelockz00), BgL_envz00_1872);
				{	/* Dataflow/walk.scm 113 */
					obj_t BgL_g1168z00_1877;

					BgL_g1168z00_1877 =
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1871))->BgL_nodesz00);
					{
						obj_t BgL_nodeza2za2_1879;
						obj_t BgL_envz00_1880;

						BgL_nodeza2za2_1879 = BgL_g1168z00_1877;
						BgL_envz00_1880 = BgL_envz00_1872;
					BgL_zc3anonymousza32293ze3z83_1881:
						if (NULLP(BgL_nodeza2za2_1879))
							{	/* Dataflow/walk.scm 115 */
								return BgL_envz00_1880;
							}
						else
							{	/* Dataflow/walk.scm 117 */
								obj_t BgL_arg2295z00_1883;
								obj_t BgL_arg2296z00_1884;

								BgL_arg2295z00_1883 = CDR(BgL_nodeza2za2_1879);
								{	/* Dataflow/walk.scm 117 */
									obj_t BgL_arg2297z00_1885;

									BgL_arg2297z00_1885 = CAR(BgL_nodeza2za2_1879);
									BgL_arg2296z00_1884 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg2297z00_1885), BgL_envz00_1880);
								}
								{
									obj_t BgL_envz00_5220;
									obj_t BgL_nodeza2za2_5219;

									BgL_nodeza2za2_5219 = BgL_arg2295z00_1883;
									BgL_envz00_5220 = BgL_arg2296z00_1884;
									BgL_envz00_1880 = BgL_envz00_5220;
									BgL_nodeza2za2_1879 = BgL_nodeza2za2_5219;
									goto BgL_zc3anonymousza32293ze3z83_1881;
								}
							}
					}
				}
			}
		}
	}



/* &dataflow-node!-seque2132 */
	obj_t BGl_z62dataflowzd2nodez12zd2seque2132z70zzdataflow_walkz00(obj_t
		BgL_envz00_4080, obj_t BgL_nodez00_4081, obj_t BgL_envz00_4082)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 100 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1856;
				obj_t BgL_envz00_1857;

				BgL_nodez00_1856 = ((BgL_sequencez00_bglt) BgL_nodez00_4081);
				BgL_envz00_1857 = BgL_envz00_4082;
				{	/* Dataflow/walk.scm 101 */
					obj_t BgL_g1167z00_1860;

					BgL_g1167z00_1860 =
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1856))->BgL_nodesz00);
					{
						obj_t BgL_nodeza2za2_1862;
						obj_t BgL_envz00_1863;

						BgL_nodeza2za2_1862 = BgL_g1167z00_1860;
						BgL_envz00_1863 = BgL_envz00_1857;
					BgL_zc3anonymousza32285ze3z83_1864:
						if (NULLP(BgL_nodeza2za2_1862))
							{	/* Dataflow/walk.scm 103 */
								return BgL_envz00_1863;
							}
						else
							{	/* Dataflow/walk.scm 105 */
								obj_t BgL_arg2287z00_1866;
								obj_t BgL_arg2288z00_1867;

								BgL_arg2287z00_1866 = CDR(BgL_nodeza2za2_1862);
								{	/* Dataflow/walk.scm 105 */
									obj_t BgL_arg2290z00_1868;

									BgL_arg2290z00_1868 = CAR(BgL_nodeza2za2_1862);
									BgL_arg2288z00_1867 =
										BGl_dataflowzd2nodez12zc0zzdataflow_walkz00(
										((BgL_nodez00_bglt) BgL_arg2290z00_1868), BgL_envz00_1863);
								}
								{
									obj_t BgL_envz00_5230;
									obj_t BgL_nodeza2za2_5229;

									BgL_nodeza2za2_5229 = BgL_arg2287z00_1866;
									BgL_envz00_5230 = BgL_arg2288z00_1867;
									BgL_envz00_1863 = BgL_envz00_5230;
									BgL_nodeza2za2_1862 = BgL_nodeza2za2_5229;
									goto BgL_zc3anonymousza32285ze3z83_1864;
								}
							}
					}
				}
			}
		}
	}



/* &dataflow-node!-closu2129 */
	obj_t BGl_z62dataflowzd2nodez12zd2closu2129z70zzdataflow_walkz00(obj_t
		BgL_envz00_4083, obj_t BgL_nodez00_4084, obj_t BgL_envz00_4085)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 94 */
			return BgL_envz00_4085;
		}
	}



/* &dataflow-node!-var2127 */
	obj_t BGl_z62dataflowzd2nodez12zd2var2127z70zzdataflow_walkz00(obj_t
		BgL_envz00_4086, obj_t BgL_nodez00_4087, obj_t BgL_envz00_4088)
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 80 */
			{
				BgL_varz00_bglt BgL_nodez00_1832;
				obj_t BgL_envz00_1833;

				BgL_nodez00_1832 = ((BgL_varz00_bglt) BgL_nodez00_4087);
				BgL_envz00_1833 = BgL_envz00_4088;
				{	/* Dataflow/walk.scm 82 */
					BgL_variablez00_bglt BgL_i1165z00_1837;

					BgL_i1165z00_1837 =
						(((BgL_varz00_bglt) CREF(BgL_nodez00_1832))->BgL_variablez00);
					{	/* Dataflow/walk.scm 83 */
						bool_t BgL_testz00_5233;

						if (BGl_bigloozd2typezf3z21zztype_typez00(
								(((BgL_variablez00_bglt) CREF(BgL_i1165z00_1837))->
									BgL_typez00)))
							{	/* Dataflow/walk.scm 84 */
								bool_t BgL__ortest_1166z00_1844;

								{	/* Dataflow/walk.scm 84 */
									bool_t BgL_testz00_5237;

									{	/* Dataflow/walk.scm 84 */
										BgL_typez00_bglt BgL_arg2283z00_1848;

										BgL_arg2283z00_1848 =
											(((BgL_variablez00_bglt) CREF(BgL_i1165z00_1837))->
											BgL_typez00);
										{	/* Dataflow/walk.scm 84 */
											bool_t BgL_res2656z00_3535;

											{	/* Dataflow/walk.scm 84 */
												obj_t BgL_objz00_3534;

												BgL_objz00_3534 = ((obj_t) BgL_arg2283z00_1848);
												BgL_res2656z00_3535 =
													BGl_isazf3zf3zz__objectz00(BgL_objz00_3534,
													BGl_tclassz00zzobject_classz00);
											}
											BgL_testz00_5237 = BgL_res2656z00_3535;
										}
									}
									if (BgL_testz00_5237)
										{	/* Dataflow/walk.scm 84 */
											BgL__ortest_1166z00_1844 = ((bool_t) 0);
										}
									else
										{	/* Dataflow/walk.scm 84 */
											BgL__ortest_1166z00_1844 = ((bool_t) 1);
										}
								}
								if (BgL__ortest_1166z00_1844)
									{	/* Dataflow/walk.scm 84 */
										BgL_testz00_5233 = BgL__ortest_1166z00_1844;
									}
								else
									{	/* Dataflow/walk.scm 84 */
										BgL_typez00_bglt BgL_arg2280z00_1845;
										BgL_typez00_bglt BgL_arg2281z00_1846;

										BgL_arg2280z00_1845 =
											(((BgL_variablez00_bglt) CREF(BgL_i1165z00_1837))->
											BgL_typez00);
										BgL_arg2281z00_1846 =
											(((BgL_nodez00_bglt) CREF(((BgL_nodez00_bglt)
														BgL_nodez00_1832)))->BgL_typez00);
										BgL_testz00_5233 =
											BGl_typezd2subclasszf3z21zzobject_classz00
											(BgL_arg2280z00_1845, BgL_arg2281z00_1846);
									}
							}
						else
							{	/* Dataflow/walk.scm 83 */
								BgL_testz00_5233 = ((bool_t) 0);
							}
						if (BgL_testz00_5233)
							{	/* Dataflow/walk.scm 85 */
								obj_t BgL_bz00_1839;

								BgL_bz00_1839 =
									BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t)
										(((BgL_varz00_bglt) CREF(BgL_nodez00_1832))->
											BgL_variablez00)), BgL_envz00_1833);
								if (PAIRP(BgL_bz00_1839))
									{	/* Dataflow/walk.scm 86 */
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1832)))->
												BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													CDR(BgL_bz00_1839))), BUNSPEC);
									}
								else
									{	/* Dataflow/walk.scm 86 */
										((((BgL_nodez00_bglt) CREF(
														((BgL_nodez00_bglt) BgL_nodez00_1832)))->
												BgL_typez00) =
											((BgL_typez00_bglt) (((BgL_variablez00_bglt)
														CREF((((BgL_varz00_bglt) CREF(BgL_nodez00_1832))->
																BgL_variablez00)))->BgL_typez00)), BUNSPEC);
									}
							}
						else
							{	/* Dataflow/walk.scm 83 */
								BFALSE;
							}
					}
				}
				return BgL_envz00_1833;
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzdataflow_walkz00()
	{
		AN_OBJECT;
		{	/* Dataflow/walk.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2804z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2804z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2804z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2804z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2804z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2804z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 189813582),
				BSTRING_TO_STRING(BGl_string2804z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 164192787),
				BSTRING_TO_STRING(BGl_string2804z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string2804z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2804z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 481724379),
				BSTRING_TO_STRING(BGl_string2804z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2804z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2804z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2804z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(((long) 271385047),
				BSTRING_TO_STRING(BGl_string2804z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_spreadz00(((long) 348216764),
				BSTRING_TO_STRING(BGl_string2804z00zzdataflow_walkz00));
			BGl_modulezd2initializa7ationz75zzeffect_feffectz00(((long) 516374368),
				BSTRING_TO_STRING(BGl_string2804z00zzdataflow_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string2804z00zzdataflow_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
