/*===========================================================================*/
/*   (Effect/cgraph.scm)                                                     */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Effect/cgraph.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_localzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                      *BgL_localzf2fromzf2_bglt;

	typedef struct BgL_globalzf2fromzf2_bgl
	{
		obj_t BgL_fromz00;
	}                       *BgL_globalzf2fromzf2_bglt;


	static obj_t BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2evalzf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static BgL_typez00_bglt
		BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz121942za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62getzd2varzf2allz42zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t
		BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static obj_t BGl_objectzd2initzd2zzeffect_cgraphz00();
	static obj_t
		BGl_z62callzd2graphz12zd2letzd2fun1969za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62savezd2callz12zd2global1986z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	static BgL_valuez00_bglt
		BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2sync1947z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2srczd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2fail1965z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzeffect_cgraphz00();
	static obj_t
		BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2srcz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t
		BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2importzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_globalzf2fromzd2valuez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2modulez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2keyz20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2setzd2exzd2i1973z70zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2conditio1963z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2makezd2box1977za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2namez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62callzd2graphz12zd2boxzd2setz121982zb0zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_localz00_bglt,
		bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2importz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, long);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_localz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2idz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2pragmazd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static BgL_localz00_bglt
		BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00(obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62callzd2graphz12zd2letzd2var1971za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2accessz20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2namez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static BgL_globalz00_bglt
		BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt,
		BgL_variablez00_bglt);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_localzf2fromzd2typez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62savezd2callz12zd2globalzf2fr1989z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62savezd2callz12za2zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00();
	static obj_t BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, long);
	static BgL_localz00_bglt
		BGl_z62zc3anonymousza32020ze3ze1zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2idz20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BUNSPEC;
	static obj_t BGl_z62callzd2graphz12zd2app1950z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_globalzf2fromzd2typez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00(obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2initz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00(obj_t,
		obj_t);
	static BgL_localz00_bglt
		BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_selectz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2removablez20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, long);
	static BgL_globalz00_bglt
		BGl_z62zc3anonymousza32043ze3ze1zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t
		BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2removablez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2modulezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_valuez00_bglt
		BGl_localzf2fromzd2valuez20zzeffect_cgraphz00(BgL_localz00_bglt);
	static obj_t
		BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_localzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_localz00_bglt);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namez20zzeffect_cgraphz00
		(BgL_globalz00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00();
	static obj_t BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00();
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2pragmaz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00
		(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2accessz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl_z62callzd2graphz12za2zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();
	static obj_t BGl_z62callzd2graphz12zd2cast1958z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00(obj_t, obj_t);
	extern obj_t BGl_typez00zztype_typez00;
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2evalzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2setq1961z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	static obj_t BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62savezd2callz121983za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_globalzf2fromzd2evaluablezf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL BgL_globalz00_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t, obj_t,
		BgL_typez00_bglt, BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long,
		bool_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda2014z62zzeffect_cgraphz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_localz00_bglt BGl_z62lambda2018z62zzeffect_cgraphz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2select1967z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static BgL_localz00_bglt BGl_z62lambda2021z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62callzd2graphz12zd2appzd2ly1952za2zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62lambda2030z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2031z62zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2038z62zzeffect_cgraphz00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt, long);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62callzd2graphz12zd2funcall1954z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BUNSPEC;
	static BgL_globalz00_bglt BGl_z62lambda2041z62zzeffect_cgraphz00(obj_t,
		obj_t);
	static BgL_globalz00_bglt BGl_z62lambda2044z62zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzf3z63zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t
		BGl_z62callzd2graphz12zd2jumpzd2exzd21975z70zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	static obj_t BGl_z62lambda2052z62zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2053z62zzeffect_cgraphz00(obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2evaluablezf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		BgL_valuez00_bglt);
	static obj_t BGl_z62callzd2graphz12zd2extern1956z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	BGL_EXPORTED_DEF obj_t BGl_localzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00();
	static obj_t
		BGl_z62callzd2graphz12zd2boxzd2ref1979za2zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_globalzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00();
	static obj_t BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2initzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	static obj_t BGl_z62callzd2graphz12zd2sequence1945z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt,
		obj_t);
	static BgL_globalz00_bglt
		BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00(obj_t);
	static obj_t BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00();
	BGL_EXPORTED_DECL obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt, bool_t);
	static obj_t
		BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long
		BGl_localzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_localz00_bglt);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_valuez00zzast_varz00;
	BGL_EXPORTED_DECL obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00();
	static obj_t
		BGl_z62savezd2callz12zd2localzf2fro1993z82zzeffect_cgraphz00(obj_t, obj_t,
		obj_t);
	static BgL_valuez00_bglt
		BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t,
		obj_t);
	static obj_t BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62savezd2callz12zd2local1991z70zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(BgL_localz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_globalzf2fromzf2zzeffect_cgraphz00 = BUNSPEC;
	BGL_EXPORTED_DECL BgL_localz00_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t, obj_t, BgL_typez00_bglt,
		BgL_valuez00_bglt, obj_t, obj_t, obj_t, long, long, bool_t, long, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_globalz00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2libraryzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00(obj_t, obj_t);
	static obj_t BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_globalzf2fromzd2libraryz20zzeffect_cgraphz00(BgL_globalz00_bglt);
	static obj_t __cnst[10];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2accesszd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72276za7,
		BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_globalzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2277z00,
		BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2031za7622278z00, BGl_z62lambda2031z62zzeffect_cgraphz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2030za7622279z00, BGl_z62lambda2030z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2232z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2021za7622280z00, BGl_z62lambda2021z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2233z00zzeffect_cgraphz00,
		BgL_bgl_za762za7c3anonymousza72281za7,
		BGl_z62zc3anonymousza32020ze3ze1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2234z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2018za7622282z00, BGl_z62lambda2018z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2235z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2014za7622283z00, BGl_z62lambda2014z62zzeffect_cgraphz00,
		0L, BUNSPEC, 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2236z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2053za7622284z00, BGl_z62lambda2053z62zzeffect_cgraphz00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2237z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2052za7622285z00, BGl_z62lambda2052z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2238z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2044za7622286z00, BGl_z62lambda2044z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2239z00zzeffect_cgraphz00,
		BgL_bgl_za762za7c3anonymousza72287za7,
		BGl_z62zc3anonymousza32043ze3ze1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencewzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72288za7,
		BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2importzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2289z00,
		BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencewzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72290za7,
		BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2modulezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2291z00,
		BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2240z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2041za7622292z00, BGl_z62lambda2041z62zzeffect_cgraphz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2241z00zzeffect_cgraphz00,
		BgL_bgl_za762lambda2038za7622293z00, BGl_z62lambda2038z62zzeffect_cgraphz00,
		0L, BUNSPEC, 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2243z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72294za7,
		BGl_z62callzd2graphz121942za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2245z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712295za7,
		BGl_z62savezd2callz121983za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2248z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72296za7,
		BGl_z62callzd2graphz12zd2sequence1945z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2typezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2297z00,
		BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2250z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72298za7,
		BGl_z62callzd2graphz12zd2sync1947z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2251z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72299za7,
		BGl_z62callzd2graphz12zd2app1950z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2252z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72300za7,
		BGl_z62callzd2graphz12zd2appzd2ly1952za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2253z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72301za7,
		BGl_z62callzd2graphz12zd2funcall1954z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2254z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72302za7,
		BGl_z62callzd2graphz12zd2extern1956z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2255z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72303za7,
		BGl_z62callzd2graphz12zd2cast1958z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2256z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72304za7,
		BGl_z62callzd2graphz12zd2setq1961z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2257z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72305za7,
		BGl_z62callzd2graphz12zd2conditio1963z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2258z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72306za7,
		BGl_z62callzd2graphz12zd2fail1965z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2259z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72307za7,
		BGl_z62callzd2graphz12zd2select1967z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2308z00,
		BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2260z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72309za7,
		BGl_z62callzd2graphz12zd2letzd2fun1969za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2261z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72310za7,
		BGl_z62callzd2graphz12zd2letzd2var1971za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2262z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72311za7,
		BGl_z62callzd2graphz12zd2setzd2exzd2i1973z70zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2263z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72312za7,
		BGl_z62callzd2graphz12zd2jumpzd2exzd21975z70zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2264z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72313za7,
		BGl_z62callzd2graphz12zd2makezd2box1977za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2265z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72314za7,
		BGl_z62callzd2graphz12zd2boxzd2ref1979za2zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2266z00zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72315za7,
		BGl_z62callzd2graphz12zd2boxzd2setz121982zb0zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2267z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712316za7,
		BGl_z62savezd2callz12zd2global1986z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2269z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712317za7,
		BGl_z62savezd2callz12zd2globalzf2fr1989z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2removablezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2318z00,
		BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fastzd2alphazd2setz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2319z00,
		BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2320z00,
		BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2270z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712321za7,
		BGl_z62savezd2callz12zd2local1991z70zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2271z00zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712322za7,
		BGl_z62savezd2callz12zd2localzf2fro1993z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fastzd2alphazd2setz12zd2envze0zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72323za7,
		BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72324za7,
		BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2modulezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2325z00,
		BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2globalzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762makeza7d2global2326z00,
		BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2typezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2327z00,
		BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2srczd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2328z00,
		BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2initzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2329z00,
		BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2nilzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72330za7,
		BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2accesszd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2331z00,
		BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2varzf2allzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762getza7d2varza7f2a2332za7,
		BGl_z62getzd2varzf2allz42zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2initzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2333z00,
		BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evaluablezf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2334z00,
		BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2varzf2sidezd2effectzd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762getza7d2varza7f2s2335za7,
		BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2336z00,
		BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72337za7,
		BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2idzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72338za7,
		BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl_za762saveza7d2callza712339za7,
		BGl_z62savezd2callz12za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_resetzd2effectzd2tablesz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl_za762resetza7d2effec2340z00,
		BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2libraryzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2341z00,
		BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2removablezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72342za7,
		BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2343z00,
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72344za7,
		BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2importzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2345z00,
		BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_funzd2callzd2graphz12zd2envzc0zzeffect_cgraphz00,
		BgL_bgl_za762funza7d2callza7d22346za7,
		BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2valuezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72347za7,
		BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72348za7,
		BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fastzd2alphazd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72349za7,
		BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2242z00zzeffect_cgraphz00,
		BgL_bgl_string2242za700za7za7e2350za7, "", 0);
	      DEFINE_STRING(BGl_string2244z00zzeffect_cgraphz00,
		BgL_bgl_string2244za700za7za7e2351za7, "call-graph!1942", 15);
	      DEFINE_STRING(BGl_string2246z00zzeffect_cgraphz00,
		BgL_bgl_string2246za700za7za7e2352za7, "save-call!1983", 14);
	      DEFINE_STRING(BGl_string2247z00zzeffect_cgraphz00,
		BgL_bgl_string2247za700za7za7e2353za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2249z00zzeffect_cgraphz00,
		BgL_bgl_string2249za700za7za7e2354za7, "call-graph!", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2valuezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2355z00,
		BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fastzd2alphazd2envz20zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2356z00,
		BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2userzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72357za7,
		BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2268z00zzeffect_cgraphz00,
		BgL_bgl_string2268za700za7za7e2358za7, "save-call!", 10);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evalzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2359z00,
		BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2accesszd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72360za7,
		BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2272z00zzeffect_cgraphz00,
		BgL_bgl_string2272za700za7za7e2361za7, "effect_cgraph", 13);
	      DEFINE_STRING(BGl_string2273z00zzeffect_cgraphz00,
		BgL_bgl_string2273za700za7za7e2362za7,
		"import done save-call!1983 _ global/from effect_cgraph local/from obj from nothing ",
		83);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2pragmazd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2363z00,
		BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evalzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2364z00,
		BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2accesszd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2365z00,
		BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2typezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72366za7,
		BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2userzf3zd2envz01zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2367z00,
		BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2idzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2368z00,
		BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencewzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2369z00,
		BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencewzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2370z00,
		BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
		BgL_bgl_za762callza7d2graphza72371za7,
		BGl_z62callzd2graphz12za2zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2jvmzd2typezd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2372z00,
		BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2removablezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72373za7,
		BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2valuezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72374za7,
		BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2typezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72375za7,
		BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2valuezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2376z00,
		BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2srczd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2377z00,
		BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2378z00,
		BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2libraryzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2379z00,
		BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2removablezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2380z00,
		BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2fromzd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72381za7,
		BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2userzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72382za7,
		BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2namezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2383z00,
		BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2occurrencezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72384za7,
		BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2userzf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2385z00,
		BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2occurrencezd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2386z00,
		BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_localzf2fromzf3zd2envzd3zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72387za7,
		BGl_z62localzf2fromzf3z63zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2pragmazd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2388z00,
		BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_localzf2fromzd2keyzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762localza7f2fromza72389za7,
		BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2namezd2setz12zd2envz32zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2390z00,
		BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_globalzf2fromzd2evaluablezf3zd2setz12zd2envzc1zzeffect_cgraphz00,
		BgL_bgl_za762globalza7f2from2391z00,
		BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_makezd2localzf2fromzd2envzf2zzeffect_cgraphz00,
		BgL_bgl_za762makeza7d2localza72392za7,
		BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00, 0L, BUNSPEC, 12);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzeffect_cgraphz00(long
		BgL_checksumz00_3391, char *BgL_fromz00_3392)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzeffect_cgraphz00))
				{
					BGl_requirezd2initializa7ationz75zzeffect_cgraphz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_cnstzd2initzd2zzeffect_cgraphz00();
					BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00();
					BGl_objectzd2initzd2zzeffect_cgraphz00();
					BGl_genericzd2initzd2zzeffect_cgraphz00();
					BGl_methodzd2initzd2zzeffect_cgraphz00();
					BGl_toplevelzd2initzd2zzeffect_cgraphz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"effect_cgraph");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"effect_cgraph");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 15 */
				obj_t BgL_cportz00_3217;

				BgL_cportz00_3217 =
					bgl_open_input_string(BGl_string2273z00zzeffect_cgraphz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3218;

					BgL_iz00_3218 = ((long) 9);
				BgL_loopz00_3219:
					if ((BgL_iz00_3218 == ((long) -1)))
						{	/* Effect/cgraph.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Effect/cgraph.scm 15 */
							{	/* Effect/cgraph.scm 15 */
								obj_t BgL_arg2275z00_3221;

								{	/* Effect/cgraph.scm 15 */

									{	/* Effect/cgraph.scm 15 */
										obj_t BgL_locationz00_3223;

										BgL_locationz00_3223 = BBOOL(((bool_t) 0));
										{	/* Effect/cgraph.scm 15 */

											BgL_arg2275z00_3221 =
												BGl_readz00zz__readerz00(BgL_cportz00_3217,
												BgL_locationz00_3223);
										}
									}
								}
								{	/* Effect/cgraph.scm 15 */
									int BgL_auxz00_3415;

									BgL_auxz00_3415 = (int) (BgL_iz00_3218);
									CNST_TABLE_SET(BgL_auxz00_3415, BgL_arg2275z00_3221);
							}}
							{	/* Effect/cgraph.scm 15 */
								int BgL_auxz00_3224;

								BgL_auxz00_3224 = (int) ((BgL_iz00_3218 - ((long) 1)));
								{
									long BgL_iz00_3420;

									BgL_iz00_3420 = (long) (BgL_auxz00_3224);
									BgL_iz00_3218 = BgL_iz00_3420;
									goto BgL_loopz00_3219;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}
	}



/* make-local/from */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_makezd2localzf2fromz20zzeffect_cgraphz00(obj_t BgL_id1212z00_3,
		obj_t BgL_name1213z00_4, BgL_typez00_bglt BgL_type1214z00_5,
		BgL_valuez00_bglt BgL_value1215z00_6, obj_t BgL_access1216z00_7,
		obj_t BgL_fastzd2alpha1217zd2_8, obj_t BgL_removable1218z00_9,
		long BgL_occurrence1219z00_10, long BgL_occurrencew1220z00_11,
		bool_t BgL_userzf31221zf3_12, long BgL_key1222z00_13,
		obj_t BgL_from1223z00_14)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 89 */
			{	/* Effect/cgraph.sch 89 */
				BgL_localz00_bglt BgL_new1149z00_3225;

				{	/* Effect/cgraph.sch 89 */
					BgL_localz00_bglt BgL_tmp1147z00_3226;
					BgL_localzf2fromzf2_bglt BgL_wide1148z00_3227;

					{
						BgL_localz00_bglt BgL_auxz00_3422;

						{	/* Effect/cgraph.sch 89 */
							BgL_localz00_bglt BgL_new1146z00_3228;

							BgL_new1146z00_3228 =
								((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_localz00_bgl))));
							{	/* Effect/cgraph.sch 89 */
								long BgL_arg1998z00_3229;

								{	/* Effect/cgraph.sch 89 */
									long BgL_res2179z00_3230;

									BgL_res2179z00_3230 =
										BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
									BgL_arg1998z00_3229 = BgL_res2179z00_3230;
								}
								{	/* Effect/cgraph.sch 89 */
									BgL_objectz00_bglt BgL_objz00_3231;

									BgL_objz00_3231 = ((BgL_objectz00_bglt) BgL_new1146z00_3228);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3231,
										BgL_arg1998z00_3229);
							}}
							{	/* Effect/cgraph.sch 89 */
								BgL_objectz00_bglt BgL_auxz00_3427;

								BgL_auxz00_3427 = ((BgL_objectz00_bglt) BgL_new1146z00_3228);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3427, BFALSE);
							}
							BgL_auxz00_3422 = BgL_new1146z00_3228;
						}
						BgL_tmp1147z00_3226 = ((BgL_localz00_bglt) BgL_auxz00_3422);
					}
					BgL_wide1148z00_3227 =
						((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_localzf2fromzf2_bgl))));
					{	/* Effect/cgraph.sch 89 */
						obj_t BgL_auxz00_3434;
						BgL_objectz00_bglt BgL_auxz00_3432;

						BgL_auxz00_3434 = ((obj_t) BgL_wide1148z00_3227);
						BgL_auxz00_3432 = ((BgL_objectz00_bglt) BgL_tmp1147z00_3226);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3432, BgL_auxz00_3434);
					}
					{	/* Effect/cgraph.sch 89 */
						long BgL_arg1997z00_3232;

						{	/* Effect/cgraph.sch 89 */
							long BgL_res2180z00_3233;

							BgL_res2180z00_3233 =
								BGL_CLASS_INDEX(BGl_localzf2fromzf2zzeffect_cgraphz00);
							BgL_arg1997z00_3232 = BgL_res2180z00_3233;
						}
						{	/* Effect/cgraph.sch 89 */
							BgL_objectz00_bglt BgL_objz00_3234;

							BgL_objz00_3234 = ((BgL_objectz00_bglt) BgL_tmp1147z00_3226);
							((BgL_localz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3234, BgL_arg1997z00_3232));
					}}
					BgL_new1149z00_3225 = ((BgL_localz00_bglt) BgL_tmp1147z00_3226);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1149z00_3225)))->BgL_idz00) =
					((obj_t) BgL_id1212z00_3), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1149z00_3225)))->BgL_namez00) =
					((obj_t) BgL_name1213z00_4), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1149z00_3225)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1214z00_5), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1149z00_3225)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1215z00_6), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1149z00_3225)))->BgL_accessz00) =
					((obj_t) BgL_access1216z00_7), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1149z00_3225)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1217zd2_8), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1149z00_3225)))->BgL_removablez00) =
					((obj_t) BgL_removable1218z00_9), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1149z00_3225)))->BgL_occurrencez00) =
					((long) BgL_occurrence1219z00_10), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1149z00_3225)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1220z00_11), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1149z00_3225)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31221zf3_12), BUNSPEC);
				((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
									BgL_new1149z00_3225)))->BgL_keyz00) =
					((long) BgL_key1222z00_13), BUNSPEC);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_3464;

					{
						obj_t BgL_auxz00_3465;

						{	/* Effect/cgraph.sch 89 */
							BgL_objectz00_bglt BgL_auxz00_3466;

							BgL_auxz00_3466 = ((BgL_objectz00_bglt) BgL_new1149z00_3225);
							BgL_auxz00_3465 = BGL_OBJECT_WIDENING(BgL_auxz00_3466);
						}
						BgL_auxz00_3464 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3465);
					}
					((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3464))->BgL_fromz00) =
						((obj_t) BgL_from1223z00_14), BUNSPEC);
				}
				return BgL_new1149z00_3225;
			}
		}
	}



/* &make-local/from */
	BgL_localz00_bglt BGl_z62makezd2localzf2fromz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2850, obj_t BgL_id1212z00_2851, obj_t BgL_name1213z00_2852,
		obj_t BgL_type1214z00_2853, obj_t BgL_value1215z00_2854,
		obj_t BgL_access1216z00_2855, obj_t BgL_fastzd2alpha1217zd2_2856,
		obj_t BgL_removable1218z00_2857, obj_t BgL_occurrence1219z00_2858,
		obj_t BgL_occurrencew1220z00_2859, obj_t BgL_userzf31221zf3_2860,
		obj_t BgL_key1222z00_2861, obj_t BgL_from1223z00_2862)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 89 */
			{	/* Effect/cgraph.sch 89 */
				obj_t BgL_id1212z00_3235;
				BgL_typez00_bglt BgL_type1214z00_3237;
				BgL_valuez00_bglt BgL_value1215z00_3238;
				long BgL_occurrence1219z00_3242;
				long BgL_occurrencew1220z00_3243;
				bool_t BgL_userzf31221zf3_3244;
				long BgL_key1222z00_3245;

				BgL_id1212z00_3235 = BgL_id1212z00_2851;
				BgL_type1214z00_3237 = ((BgL_typez00_bglt) BgL_type1214z00_2853);
				BgL_value1215z00_3238 = ((BgL_valuez00_bglt) BgL_value1215z00_2854);
				BgL_occurrence1219z00_3242 = (long) CINT(BgL_occurrence1219z00_2858);
				BgL_occurrencew1220z00_3243 = (long) CINT(BgL_occurrencew1220z00_2859);
				BgL_userzf31221zf3_3244 = CBOOL(BgL_userzf31221zf3_2860);
				BgL_key1222z00_3245 = (long) CINT(BgL_key1222z00_2861);
				{	/* Effect/cgraph.sch 89 */
					BgL_localz00_bglt BgL_new1149z00_3247;

					{	/* Effect/cgraph.sch 89 */
						BgL_localz00_bglt BgL_tmp1147z00_3248;
						BgL_localzf2fromzf2_bglt BgL_wide1148z00_3249;

						{
							BgL_localz00_bglt BgL_auxz00_3477;

							{	/* Effect/cgraph.sch 89 */
								BgL_localz00_bglt BgL_new1146z00_3250;

								BgL_new1146z00_3250 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Effect/cgraph.sch 89 */
									long BgL_arg1998z00_3251;

									{	/* Effect/cgraph.sch 89 */
										long BgL_res2179z00_3252;

										BgL_res2179z00_3252 =
											BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
										BgL_arg1998z00_3251 = BgL_res2179z00_3252;
									}
									{	/* Effect/cgraph.sch 89 */
										BgL_objectz00_bglt BgL_objz00_3253;

										BgL_objz00_3253 =
											((BgL_objectz00_bglt) BgL_new1146z00_3250);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3253,
											BgL_arg1998z00_3251);
								}}
								{	/* Effect/cgraph.sch 89 */
									BgL_objectz00_bglt BgL_auxz00_3482;

									BgL_auxz00_3482 = ((BgL_objectz00_bglt) BgL_new1146z00_3250);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3482, BFALSE);
								}
								BgL_auxz00_3477 = BgL_new1146z00_3250;
							}
							BgL_tmp1147z00_3248 = ((BgL_localz00_bglt) BgL_auxz00_3477);
						}
						BgL_wide1148z00_3249 =
							((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2fromzf2_bgl))));
						{	/* Effect/cgraph.sch 89 */
							obj_t BgL_auxz00_3489;
							BgL_objectz00_bglt BgL_auxz00_3487;

							BgL_auxz00_3489 = ((obj_t) BgL_wide1148z00_3249);
							BgL_auxz00_3487 = ((BgL_objectz00_bglt) BgL_tmp1147z00_3248);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3487, BgL_auxz00_3489);
						}
						{	/* Effect/cgraph.sch 89 */
							long BgL_arg1997z00_3254;

							{	/* Effect/cgraph.sch 89 */
								long BgL_res2180z00_3255;

								BgL_res2180z00_3255 =
									BGL_CLASS_INDEX(BGl_localzf2fromzf2zzeffect_cgraphz00);
								BgL_arg1997z00_3254 = BgL_res2180z00_3255;
							}
							{	/* Effect/cgraph.sch 89 */
								BgL_objectz00_bglt BgL_objz00_3256;

								BgL_objz00_3256 = ((BgL_objectz00_bglt) BgL_tmp1147z00_3248);
								((BgL_localz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3256,
										BgL_arg1997z00_3254));
						}}
						BgL_new1149z00_3247 = ((BgL_localz00_bglt) BgL_tmp1147z00_3248);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1149z00_3247)))->BgL_idz00) =
						((obj_t) BgL_id1212z00_3235), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1149z00_3247)))->BgL_namez00) =
						((obj_t) BgL_name1213z00_2852), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1149z00_3247)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1214z00_3237), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1149z00_3247)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1215z00_3238), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1149z00_3247)))->BgL_accessz00) =
						((obj_t) BgL_access1216z00_2855), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1149z00_3247)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1217zd2_2856), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1149z00_3247)))->BgL_removablez00) =
						((obj_t) BgL_removable1218z00_2857), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1149z00_3247)))->BgL_occurrencez00) =
						((long) BgL_occurrence1219z00_3242), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1149z00_3247)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1220z00_3243), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1149z00_3247)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31221zf3_3244), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1149z00_3247)))->BgL_keyz00) =
						((long) BgL_key1222z00_3245), BUNSPEC);
					{
						BgL_localzf2fromzf2_bglt BgL_auxz00_3519;

						{
							obj_t BgL_auxz00_3520;

							{	/* Effect/cgraph.sch 89 */
								BgL_objectz00_bglt BgL_auxz00_3521;

								BgL_auxz00_3521 = ((BgL_objectz00_bglt) BgL_new1149z00_3247);
								BgL_auxz00_3520 = BGL_OBJECT_WIDENING(BgL_auxz00_3521);
							}
							BgL_auxz00_3519 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3520);
						}
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3519))->BgL_fromz00) =
							((obj_t) BgL_from1223z00_2862), BUNSPEC);
					}
					return BgL_new1149z00_3247;
				}
			}
		}
	}



/* local/from? */
	BGL_EXPORTED_DEF bool_t BGl_localzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_objz00_15)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 90 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_15,
				BGl_localzf2fromzf2zzeffect_cgraphz00);
		}
	}



/* &local/from? */
	obj_t BGl_z62localzf2fromzf3z63zzeffect_cgraphz00(obj_t BgL_envz00_2863,
		obj_t BgL_objz00_2864)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 90 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_2864,
					BGl_localzf2fromzf2zzeffect_cgraphz00));
		}
	}



/* local/from-nil */
	BGL_EXPORTED_DEF BgL_localz00_bglt
		BGl_localzf2fromzd2nilz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 91 */
			{	/* Effect/cgraph.sch 91 */
				obj_t BgL_classz00_2537;

				BgL_classz00_2537 = BGl_localzf2fromzf2zzeffect_cgraphz00;
				{	/* Effect/cgraph.sch 91 */
					obj_t BgL__ortest_1093z00_2538;

					BgL__ortest_1093z00_2538 = BGL_CLASS_NIL(BgL_classz00_2537);
					if (CBOOL(BgL__ortest_1093z00_2538))
						{	/* Effect/cgraph.sch 91 */
							return ((BgL_localz00_bglt) BgL__ortest_1093z00_2538);
						}
					else
						{	/* Effect/cgraph.sch 91 */
							return
								((BgL_localz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2537));
						}
				}
			}
		}
	}



/* &local/from-nil */
	BgL_localz00_bglt BGl_z62localzf2fromzd2nilz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2865)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 91 */
			return BGl_localzf2fromzd2nilz20zzeffect_cgraphz00();
		}
	}



/* local/from-from */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fromz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_16)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 92 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3536;

				{
					obj_t BgL_auxz00_3537;

					{	/* Effect/cgraph.sch 92 */
						BgL_objectz00_bglt BgL_auxz00_3538;

						BgL_auxz00_3538 = ((BgL_objectz00_bglt) BgL_oz00_16);
						BgL_auxz00_3537 = BGL_OBJECT_WIDENING(BgL_auxz00_3538);
					}
					BgL_auxz00_3536 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3537);
				}
				return
					(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3536))->BgL_fromz00);
			}
		}
	}



/* &local/from-from */
	obj_t BGl_z62localzf2fromzd2fromz42zzeffect_cgraphz00(obj_t BgL_envz00_2866,
		obj_t BgL_oz00_2867)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 92 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3543;

				{
					obj_t BgL_auxz00_3544;

					{	/* Effect/cgraph.sch 92 */
						BgL_objectz00_bglt BgL_auxz00_3545;

						BgL_auxz00_3545 =
							((BgL_objectz00_bglt) ((BgL_localz00_bglt) BgL_oz00_2867));
						BgL_auxz00_3544 = BGL_OBJECT_WIDENING(BgL_auxz00_3545);
					}
					BgL_auxz00_3543 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3544);
				}
				return
					(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3543))->BgL_fromz00);
			}
		}
	}



/* local/from-from-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_17, obj_t BgL_vz00_18)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 93 */
			{
				BgL_localzf2fromzf2_bglt BgL_auxz00_3551;

				{
					obj_t BgL_auxz00_3552;

					{	/* Effect/cgraph.sch 93 */
						BgL_objectz00_bglt BgL_auxz00_3553;

						BgL_auxz00_3553 = ((BgL_objectz00_bglt) BgL_oz00_17);
						BgL_auxz00_3552 = BGL_OBJECT_WIDENING(BgL_auxz00_3553);
					}
					BgL_auxz00_3551 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3552);
				}
				return
					((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3551))->BgL_fromz00) =
					((obj_t) BgL_vz00_18), BUNSPEC);
			}
		}
	}



/* &local/from-from-set! */
	obj_t BGl_z62localzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2868, obj_t BgL_oz00_2869, obj_t BgL_vz00_2870)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 93 */
			{	/* Effect/cgraph.sch 93 */
				BgL_localz00_bglt BgL_oz00_3259;

				BgL_oz00_3259 = ((BgL_localz00_bglt) BgL_oz00_2869);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_3559;

					{
						obj_t BgL_auxz00_3560;

						{	/* Effect/cgraph.sch 93 */
							BgL_objectz00_bglt BgL_auxz00_3561;

							BgL_auxz00_3561 = ((BgL_objectz00_bglt) BgL_oz00_3259);
							BgL_auxz00_3560 = BGL_OBJECT_WIDENING(BgL_auxz00_3561);
						}
						BgL_auxz00_3559 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_3560);
					}
					return
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_3559))->BgL_fromz00) =
						((obj_t) BgL_vz00_2870), BUNSPEC);
				}
			}
		}
	}



/* local/from-key */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2keyz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_19)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 94 */
			return
				(((BgL_localz00_bglt) CREF(
						((BgL_localz00_bglt) BgL_oz00_19)))->BgL_keyz00);
		}
	}



/* &local/from-key */
	obj_t BGl_z62localzf2fromzd2keyz42zzeffect_cgraphz00(obj_t BgL_envz00_2871,
		obj_t BgL_oz00_2872)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 94 */
			return
				BINT(
				(((BgL_localz00_bglt) CREF(
							((BgL_localz00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2872))))->BgL_keyz00));
		}
	}



/* local/from-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_localzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_22)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 96 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_22)))->BgL_userzf3zf3);
		}
	}



/* &local/from-user? */
	obj_t BGl_z62localzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2873, obj_t BgL_oz00_2874)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 96 */
			return
				BBOOL(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2874))))->BgL_userzf3zf3));
		}
	}



/* local/from-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_23, bool_t BgL_vz00_24)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 97 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_23)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_24), BUNSPEC);
		}
	}



/* &local/from-user?-set! */
	obj_t BGl_z62localzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2875, obj_t BgL_oz00_2876, obj_t BgL_vz00_2877)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 97 */
			{	/* Effect/cgraph.sch 97 */
				BgL_localz00_bglt BgL_oz00_3263;
				bool_t BgL_vz00_3264;

				BgL_oz00_3263 = ((BgL_localz00_bglt) BgL_oz00_2876);
				BgL_vz00_3264 = CBOOL(BgL_vz00_2877);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3263)))->BgL_userzf3zf3) =
					((bool_t) BgL_vz00_3264), BUNSPEC);
			}
		}
	}



/* local/from-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_25)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 98 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_25)))->BgL_occurrencewz00);
		}
	}



/* &local/from-occurrencew */
	obj_t BGl_z62localzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2878, obj_t BgL_oz00_2879)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 98 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2879))))->BgL_occurrencewz00));
		}
	}



/* local/from-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_26, long BgL_vz00_27)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 99 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_26)))->BgL_occurrencewz00) =
				((long) BgL_vz00_27), BUNSPEC);
		}
	}



/* &local/from-occurrencew-set! */
	obj_t BGl_z62localzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2880, obj_t BgL_oz00_2881, obj_t BgL_vz00_2882)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 99 */
			{	/* Effect/cgraph.sch 99 */
				BgL_localz00_bglt BgL_oz00_3266;
				long BgL_vz00_3267;

				BgL_oz00_3266 = ((BgL_localz00_bglt) BgL_oz00_2881);
				BgL_vz00_3267 = (long) CINT(BgL_vz00_2882);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3266)))->BgL_occurrencewz00) =
					((long) BgL_vz00_3267), BUNSPEC);
		}}
	}



/* local/from-occurrence */
	BGL_EXPORTED_DEF long
		BGl_localzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_28)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 100 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_28)))->BgL_occurrencez00);
		}
	}



/* &local/from-occurrence */
	obj_t BGl_z62localzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2883, obj_t BgL_oz00_2884)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 100 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_localz00_bglt) BgL_oz00_2884))))->BgL_occurrencez00));
		}
	}



/* local/from-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_29, long BgL_vz00_30)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 101 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_29)))->BgL_occurrencez00) =
				((long) BgL_vz00_30), BUNSPEC);
		}
	}



/* &local/from-occurrence-set! */
	obj_t BGl_z62localzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2885, obj_t BgL_oz00_2886, obj_t BgL_vz00_2887)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 101 */
			{	/* Effect/cgraph.sch 101 */
				BgL_localz00_bglt BgL_oz00_3269;
				long BgL_vz00_3270;

				BgL_oz00_3269 = ((BgL_localz00_bglt) BgL_oz00_2886);
				BgL_vz00_3270 = (long) CINT(BgL_vz00_2887);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3269)))->BgL_occurrencez00) =
					((long) BgL_vz00_3270), BUNSPEC);
		}}
	}



/* local/from-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2removablez20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_31)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 102 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_31)))->BgL_removablez00);
		}
	}



/* &local/from-removable */
	obj_t BGl_z62localzf2fromzd2removablez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2888, obj_t BgL_oz00_2889)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 102 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2889))))->BgL_removablez00);
		}
	}



/* local/from-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_32, obj_t BgL_vz00_33)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 103 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_32)))->BgL_removablez00) =
				((obj_t) BgL_vz00_33), BUNSPEC);
		}
	}



/* &local/from-removable-set! */
	obj_t BGl_z62localzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2890, obj_t BgL_oz00_2891, obj_t BgL_vz00_2892)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 103 */
			{	/* Effect/cgraph.sch 103 */
				BgL_localz00_bglt BgL_oz00_3272;

				BgL_oz00_3272 = ((BgL_localz00_bglt) BgL_oz00_2891);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3272)))->BgL_removablez00) =
					((obj_t) BgL_vz00_2892), BUNSPEC);
			}
		}
	}



/* local/from-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_34)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 104 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_34)))->BgL_fastzd2alphazd2);
		}
	}



/* &local/from-fast-alpha */
	obj_t BGl_z62localzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t
		BgL_envz00_2893, obj_t BgL_oz00_2894)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 104 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2894))))->BgL_fastzd2alphazd2);
		}
	}



/* local/from-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_localz00_bglt BgL_oz00_35, obj_t BgL_vz00_36)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 105 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_35)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_36), BUNSPEC);
		}
	}



/* &local/from-fast-alpha-set! */
	obj_t BGl_z62localzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t
		BgL_envz00_2895, obj_t BgL_oz00_2896, obj_t BgL_vz00_2897)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 105 */
			{	/* Effect/cgraph.sch 105 */
				BgL_localz00_bglt BgL_oz00_3275;

				BgL_oz00_3275 = ((BgL_localz00_bglt) BgL_oz00_2896);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3275)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_vz00_2897), BUNSPEC);
			}
		}
	}



/* local/from-access */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2accessz20zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_37)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 106 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_37)))->BgL_accessz00);
		}
	}



/* &local/from-access */
	obj_t BGl_z62localzf2fromzd2accessz42zzeffect_cgraphz00(obj_t BgL_envz00_2898,
		obj_t BgL_oz00_2899)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 106 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2899))))->BgL_accessz00);
		}
	}



/* local/from-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_38, obj_t BgL_vz00_39)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 107 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_38)))->BgL_accessz00) =
				((obj_t) BgL_vz00_39), BUNSPEC);
		}
	}



/* &local/from-access-set! */
	obj_t BGl_z62localzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2900, obj_t BgL_oz00_2901, obj_t BgL_vz00_2902)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 107 */
			{	/* Effect/cgraph.sch 107 */
				BgL_localz00_bglt BgL_oz00_3278;

				BgL_oz00_3278 = ((BgL_localz00_bglt) BgL_oz00_2901);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3278)))->BgL_accessz00) =
					((obj_t) BgL_vz00_2902), BUNSPEC);
			}
		}
	}



/* local/from-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_localzf2fromzd2valuez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_40)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 108 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_40)))->BgL_valuez00);
		}
	}



/* &local/from-value */
	BgL_valuez00_bglt BGl_z62localzf2fromzd2valuez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2903, obj_t BgL_oz00_2904)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 108 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2904))))->BgL_valuez00);
		}
	}



/* local/from-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_41, BgL_valuez00_bglt BgL_vz00_42)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 109 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_41)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_42), BUNSPEC);
		}
	}



/* &local/from-value-set! */
	obj_t BGl_z62localzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2905, obj_t BgL_oz00_2906, obj_t BgL_vz00_2907)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 109 */
			{	/* Effect/cgraph.sch 109 */
				BgL_localz00_bglt BgL_oz00_3281;
				BgL_valuez00_bglt BgL_vz00_3282;

				BgL_oz00_3281 = ((BgL_localz00_bglt) BgL_oz00_2906);
				BgL_vz00_3282 = ((BgL_valuez00_bglt) BgL_vz00_2907);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3281)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_vz00_3282), BUNSPEC);
			}
		}
	}



/* local/from-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_localzf2fromzd2typez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_43)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 110 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_43)))->BgL_typez00);
		}
	}



/* &local/from-type */
	BgL_typez00_bglt BGl_z62localzf2fromzd2typez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2908, obj_t BgL_oz00_2909)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 110 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2909))))->BgL_typez00);
		}
	}



/* local/from-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_44, BgL_typez00_bglt BgL_vz00_45)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 111 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_44)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_45), BUNSPEC);
		}
	}



/* &local/from-type-set! */
	obj_t BGl_z62localzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2910, obj_t BgL_oz00_2911, obj_t BgL_vz00_2912)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 111 */
			{	/* Effect/cgraph.sch 111 */
				BgL_localz00_bglt BgL_oz00_3284;
				BgL_typez00_bglt BgL_vz00_3285;

				BgL_oz00_3284 = ((BgL_localz00_bglt) BgL_oz00_2911);
				BgL_vz00_3285 = ((BgL_typez00_bglt) BgL_vz00_2912);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3284)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_3285), BUNSPEC);
			}
		}
	}



/* local/from-name */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2namez20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_46)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 112 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_46)))->BgL_namez00);
		}
	}



/* &local/from-name */
	obj_t BGl_z62localzf2fromzd2namez42zzeffect_cgraphz00(obj_t BgL_envz00_2913,
		obj_t BgL_oz00_2914)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 112 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2914))))->BgL_namez00);
		}
	}



/* local/from-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_localz00_bglt
		BgL_oz00_47, obj_t BgL_vz00_48)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 113 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_47)))->BgL_namez00) =
				((obj_t) BgL_vz00_48), BUNSPEC);
		}
	}



/* &local/from-name-set! */
	obj_t BGl_z62localzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2915, obj_t BgL_oz00_2916, obj_t BgL_vz00_2917)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 113 */
			{	/* Effect/cgraph.sch 113 */
				BgL_localz00_bglt BgL_oz00_3287;

				BgL_oz00_3287 = ((BgL_localz00_bglt) BgL_oz00_2916);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3287)))->BgL_namez00) =
					((obj_t) BgL_vz00_2917), BUNSPEC);
			}
		}
	}



/* local/from-id */
	BGL_EXPORTED_DEF obj_t
		BGl_localzf2fromzd2idz20zzeffect_cgraphz00(BgL_localz00_bglt BgL_oz00_49)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 114 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_49)))->BgL_idz00);
		}
	}



/* &local/from-id */
	obj_t BGl_z62localzf2fromzd2idz42zzeffect_cgraphz00(obj_t BgL_envz00_2918,
		obj_t BgL_oz00_2919)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 114 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_localz00_bglt) BgL_oz00_2919))))->BgL_idz00);
		}
	}



/* make-global/from */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_makezd2globalzf2fromz20zzeffect_cgraphz00(obj_t BgL_id1191z00_52,
		obj_t BgL_name1192z00_53, BgL_typez00_bglt BgL_type1193z00_54,
		BgL_valuez00_bglt BgL_value1194z00_55, obj_t BgL_access1195z00_56,
		obj_t BgL_fastzd2alpha1196zd2_57, obj_t BgL_removable1197z00_58,
		long BgL_occurrence1198z00_59, long BgL_occurrencew1199z00_60,
		bool_t BgL_userzf31200zf3_61, obj_t BgL_module1201z00_62,
		obj_t BgL_import1202z00_63, bool_t BgL_evaluablezf31203zf3_64,
		bool_t BgL_evalzf31204zf3_65, obj_t BgL_library1205z00_66,
		obj_t BgL_pragma1206z00_67, obj_t BgL_src1207z00_68,
		obj_t BgL_jvmzd2typezd2name1208z00_69, obj_t BgL_init1209z00_70,
		obj_t BgL_from1210z00_71)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 118 */
			{	/* Effect/cgraph.sch 118 */
				BgL_globalz00_bglt BgL_new1179z00_3290;

				{	/* Effect/cgraph.sch 118 */
					BgL_globalz00_bglt BgL_tmp1176z00_3291;
					BgL_globalzf2fromzf2_bglt BgL_wide1177z00_3292;

					{
						BgL_globalz00_bglt BgL_auxz00_3675;

						{	/* Effect/cgraph.sch 118 */
							BgL_globalz00_bglt BgL_new1175z00_3293;

							BgL_new1175z00_3293 =
								((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_globalz00_bgl))));
							{	/* Effect/cgraph.sch 118 */
								long BgL_arg2000z00_3294;

								{	/* Effect/cgraph.sch 118 */
									long BgL_res2181z00_3295;

									BgL_res2181z00_3295 =
										BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
									BgL_arg2000z00_3294 = BgL_res2181z00_3295;
								}
								{	/* Effect/cgraph.sch 118 */
									BgL_objectz00_bglt BgL_objz00_3296;

									BgL_objz00_3296 = ((BgL_objectz00_bglt) BgL_new1175z00_3293);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3296,
										BgL_arg2000z00_3294);
							}}
							{	/* Effect/cgraph.sch 118 */
								BgL_objectz00_bglt BgL_auxz00_3680;

								BgL_auxz00_3680 = ((BgL_objectz00_bglt) BgL_new1175z00_3293);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3680, BFALSE);
							}
							BgL_auxz00_3675 = BgL_new1175z00_3293;
						}
						BgL_tmp1176z00_3291 = ((BgL_globalz00_bglt) BgL_auxz00_3675);
					}
					BgL_wide1177z00_3292 =
						((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_globalzf2fromzf2_bgl))));
					{	/* Effect/cgraph.sch 118 */
						obj_t BgL_auxz00_3687;
						BgL_objectz00_bglt BgL_auxz00_3685;

						BgL_auxz00_3687 = ((obj_t) BgL_wide1177z00_3292);
						BgL_auxz00_3685 = ((BgL_objectz00_bglt) BgL_tmp1176z00_3291);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3685, BgL_auxz00_3687);
					}
					{	/* Effect/cgraph.sch 118 */
						long BgL_arg1999z00_3297;

						{	/* Effect/cgraph.sch 118 */
							long BgL_res2182z00_3298;

							BgL_res2182z00_3298 =
								BGL_CLASS_INDEX(BGl_globalzf2fromzf2zzeffect_cgraphz00);
							BgL_arg1999z00_3297 = BgL_res2182z00_3298;
						}
						{	/* Effect/cgraph.sch 118 */
							BgL_objectz00_bglt BgL_objz00_3299;

							BgL_objz00_3299 = ((BgL_objectz00_bglt) BgL_tmp1176z00_3291);
							((BgL_globalz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3299, BgL_arg1999z00_3297));
					}}
					BgL_new1179z00_3290 = ((BgL_globalz00_bglt) BgL_tmp1176z00_3291);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1179z00_3290)))->BgL_idz00) =
					((obj_t) BgL_id1191z00_52), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1179z00_3290)))->BgL_namez00) =
					((obj_t) BgL_name1192z00_53), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1179z00_3290)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_type1193z00_54), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1179z00_3290)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_value1194z00_55), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1179z00_3290)))->BgL_accessz00) =
					((obj_t) BgL_access1195z00_56), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1179z00_3290)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_fastzd2alpha1196zd2_57), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1179z00_3290)))->BgL_removablez00) =
					((obj_t) BgL_removable1197z00_58), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1179z00_3290)))->BgL_occurrencez00) =
					((long) BgL_occurrence1198z00_59), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1179z00_3290)))->BgL_occurrencewz00) =
					((long) BgL_occurrencew1199z00_60), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1179z00_3290)))->BgL_userzf3zf3) =
					((bool_t) BgL_userzf31200zf3_61), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1179z00_3290)))->BgL_modulez00) =
					((obj_t) BgL_module1201z00_62), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1179z00_3290)))->BgL_importz00) =
					((obj_t) BgL_import1202z00_63), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1179z00_3290)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_evaluablezf31203zf3_64), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1179z00_3290)))->BgL_evalzf3zf3) =
					((bool_t) BgL_evalzf31204zf3_65), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1179z00_3290)))->BgL_libraryz00) =
					((obj_t) BgL_library1205z00_66), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1179z00_3290)))->BgL_pragmaz00) =
					((obj_t) BgL_pragma1206z00_67), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1179z00_3290)))->BgL_srcz00) =
					((obj_t) BgL_src1207z00_68), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1179z00_3290)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BgL_jvmzd2typezd2name1208z00_69), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1179z00_3290)))->BgL_initz00) =
					((obj_t) BgL_init1209z00_70), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1179z00_3290)))->BgL_aliasz00) =
					((obj_t) BFALSE), BUNSPEC);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_3735;

					{
						obj_t BgL_auxz00_3736;

						{	/* Effect/cgraph.sch 118 */
							BgL_objectz00_bglt BgL_auxz00_3737;

							BgL_auxz00_3737 = ((BgL_objectz00_bglt) BgL_new1179z00_3290);
							BgL_auxz00_3736 = BGL_OBJECT_WIDENING(BgL_auxz00_3737);
						}
						BgL_auxz00_3735 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3736);
					}
					((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3735))->BgL_fromz00) =
						((obj_t) BgL_from1210z00_71), BUNSPEC);
				}
				return BgL_new1179z00_3290;
			}
		}
	}



/* &make-global/from */
	BgL_globalz00_bglt BGl_z62makezd2globalzf2fromz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2920, obj_t BgL_id1191z00_2921, obj_t BgL_name1192z00_2922,
		obj_t BgL_type1193z00_2923, obj_t BgL_value1194z00_2924,
		obj_t BgL_access1195z00_2925, obj_t BgL_fastzd2alpha1196zd2_2926,
		obj_t BgL_removable1197z00_2927, obj_t BgL_occurrence1198z00_2928,
		obj_t BgL_occurrencew1199z00_2929, obj_t BgL_userzf31200zf3_2930,
		obj_t BgL_module1201z00_2931, obj_t BgL_import1202z00_2932,
		obj_t BgL_evaluablezf31203zf3_2933, obj_t BgL_evalzf31204zf3_2934,
		obj_t BgL_library1205z00_2935, obj_t BgL_pragma1206z00_2936,
		obj_t BgL_src1207z00_2937, obj_t BgL_jvmzd2typezd2name1208z00_2938,
		obj_t BgL_init1209z00_2939, obj_t BgL_from1210z00_2940)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 118 */
			{	/* Effect/cgraph.sch 118 */
				obj_t BgL_id1191z00_3300;
				BgL_typez00_bglt BgL_type1193z00_3302;
				BgL_valuez00_bglt BgL_value1194z00_3303;
				long BgL_occurrence1198z00_3307;
				long BgL_occurrencew1199z00_3308;
				bool_t BgL_userzf31200zf3_3309;
				obj_t BgL_module1201z00_3310;
				bool_t BgL_evaluablezf31203zf3_3312;
				bool_t BgL_evalzf31204zf3_3313;
				obj_t BgL_jvmzd2typezd2name1208z00_3317;

				BgL_id1191z00_3300 = BgL_id1191z00_2921;
				BgL_type1193z00_3302 = ((BgL_typez00_bglt) BgL_type1193z00_2923);
				BgL_value1194z00_3303 = ((BgL_valuez00_bglt) BgL_value1194z00_2924);
				BgL_occurrence1198z00_3307 = (long) CINT(BgL_occurrence1198z00_2928);
				BgL_occurrencew1199z00_3308 = (long) CINT(BgL_occurrencew1199z00_2929);
				BgL_userzf31200zf3_3309 = CBOOL(BgL_userzf31200zf3_2930);
				BgL_module1201z00_3310 = BgL_module1201z00_2931;
				BgL_evaluablezf31203zf3_3312 = CBOOL(BgL_evaluablezf31203zf3_2933);
				BgL_evalzf31204zf3_3313 = CBOOL(BgL_evalzf31204zf3_2934);
				BgL_jvmzd2typezd2name1208z00_3317 = BgL_jvmzd2typezd2name1208z00_2938;
				{	/* Effect/cgraph.sch 118 */
					BgL_globalz00_bglt BgL_new1179z00_3320;

					{	/* Effect/cgraph.sch 118 */
						BgL_globalz00_bglt BgL_tmp1176z00_3321;
						BgL_globalzf2fromzf2_bglt BgL_wide1177z00_3322;

						{
							BgL_globalz00_bglt BgL_auxz00_3749;

							{	/* Effect/cgraph.sch 118 */
								BgL_globalz00_bglt BgL_new1175z00_3323;

								BgL_new1175z00_3323 =
									((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Effect/cgraph.sch 118 */
									long BgL_arg2000z00_3324;

									{	/* Effect/cgraph.sch 118 */
										long BgL_res2181z00_3325;

										BgL_res2181z00_3325 =
											BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
										BgL_arg2000z00_3324 = BgL_res2181z00_3325;
									}
									{	/* Effect/cgraph.sch 118 */
										BgL_objectz00_bglt BgL_objz00_3326;

										BgL_objz00_3326 =
											((BgL_objectz00_bglt) BgL_new1175z00_3323);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3326,
											BgL_arg2000z00_3324);
								}}
								{	/* Effect/cgraph.sch 118 */
									BgL_objectz00_bglt BgL_auxz00_3754;

									BgL_auxz00_3754 = ((BgL_objectz00_bglt) BgL_new1175z00_3323);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3754, BFALSE);
								}
								BgL_auxz00_3749 = BgL_new1175z00_3323;
							}
							BgL_tmp1176z00_3321 = ((BgL_globalz00_bglt) BgL_auxz00_3749);
						}
						BgL_wide1177z00_3322 =
							((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_globalzf2fromzf2_bgl))));
						{	/* Effect/cgraph.sch 118 */
							obj_t BgL_auxz00_3761;
							BgL_objectz00_bglt BgL_auxz00_3759;

							BgL_auxz00_3761 = ((obj_t) BgL_wide1177z00_3322);
							BgL_auxz00_3759 = ((BgL_objectz00_bglt) BgL_tmp1176z00_3321);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3759, BgL_auxz00_3761);
						}
						{	/* Effect/cgraph.sch 118 */
							long BgL_arg1999z00_3327;

							{	/* Effect/cgraph.sch 118 */
								long BgL_res2182z00_3328;

								BgL_res2182z00_3328 =
									BGL_CLASS_INDEX(BGl_globalzf2fromzf2zzeffect_cgraphz00);
								BgL_arg1999z00_3327 = BgL_res2182z00_3328;
							}
							{	/* Effect/cgraph.sch 118 */
								BgL_objectz00_bglt BgL_objz00_3329;

								BgL_objz00_3329 = ((BgL_objectz00_bglt) BgL_tmp1176z00_3321);
								((BgL_globalz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3329,
										BgL_arg1999z00_3327));
						}}
						BgL_new1179z00_3320 = ((BgL_globalz00_bglt) BgL_tmp1176z00_3321);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1179z00_3320)))->BgL_idz00) =
						((obj_t) BgL_id1191z00_3300), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1179z00_3320)))->BgL_namez00) =
						((obj_t) BgL_name1192z00_2922), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1179z00_3320)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1193z00_3302), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1179z00_3320)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1194z00_3303), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1179z00_3320)))->BgL_accessz00) =
						((obj_t) BgL_access1195z00_2925), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1179z00_3320)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1196zd2_2926), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1179z00_3320)))->BgL_removablez00) =
						((obj_t) BgL_removable1197z00_2927), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1179z00_3320)))->BgL_occurrencez00) =
						((long) BgL_occurrence1198z00_3307), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1179z00_3320)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1199z00_3308), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1179z00_3320)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31200zf3_3309), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1179z00_3320)))->BgL_modulez00) =
						((obj_t) BgL_module1201z00_3310), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1179z00_3320)))->BgL_importz00) =
						((obj_t) BgL_import1202z00_2932), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1179z00_3320)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31203zf3_3312), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1179z00_3320)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31204zf3_3313), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1179z00_3320)))->BgL_libraryz00) =
						((obj_t) BgL_library1205z00_2935), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1179z00_3320)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1206z00_2936), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1179z00_3320)))->BgL_srcz00) =
						((obj_t) BgL_src1207z00_2937), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1179z00_3320)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) BgL_jvmzd2typezd2name1208z00_3317), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1179z00_3320)))->BgL_initz00) =
						((obj_t) BgL_init1209z00_2939), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1179z00_3320)))->BgL_aliasz00) =
						((obj_t) BFALSE), BUNSPEC);
					{
						BgL_globalzf2fromzf2_bglt BgL_auxz00_3809;

						{
							obj_t BgL_auxz00_3810;

							{	/* Effect/cgraph.sch 118 */
								BgL_objectz00_bglt BgL_auxz00_3811;

								BgL_auxz00_3811 = ((BgL_objectz00_bglt) BgL_new1179z00_3320);
								BgL_auxz00_3810 = BGL_OBJECT_WIDENING(BgL_auxz00_3811);
							}
							BgL_auxz00_3809 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3810);
						}
						((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3809))->
								BgL_fromz00) = ((obj_t) BgL_from1210z00_2940), BUNSPEC);
					}
					return BgL_new1179z00_3320;
				}
			}
		}
	}



/* global/from? */
	BGL_EXPORTED_DEF bool_t BGl_globalzf2fromzf3z01zzeffect_cgraphz00(obj_t
		BgL_objz00_72)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 119 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_72,
				BGl_globalzf2fromzf2zzeffect_cgraphz00);
		}
	}



/* &global/from? */
	obj_t BGl_z62globalzf2fromzf3z63zzeffect_cgraphz00(obj_t BgL_envz00_2941,
		obj_t BgL_objz00_2942)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 119 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_2942,
					BGl_globalzf2fromzf2zzeffect_cgraphz00));
		}
	}



/* global/from-nil */
	BGL_EXPORTED_DEF BgL_globalz00_bglt
		BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 120 */
			{	/* Effect/cgraph.sch 120 */
				obj_t BgL_classz00_2575;

				BgL_classz00_2575 = BGl_globalzf2fromzf2zzeffect_cgraphz00;
				{	/* Effect/cgraph.sch 120 */
					obj_t BgL__ortest_1093z00_2576;

					BgL__ortest_1093z00_2576 = BGL_CLASS_NIL(BgL_classz00_2575);
					if (CBOOL(BgL__ortest_1093z00_2576))
						{	/* Effect/cgraph.sch 120 */
							return ((BgL_globalz00_bglt) BgL__ortest_1093z00_2576);
						}
					else
						{	/* Effect/cgraph.sch 120 */
							return
								((BgL_globalz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2575));
						}
				}
			}
		}
	}



/* &global/from-nil */
	BgL_globalz00_bglt BGl_z62globalzf2fromzd2nilz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2943)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 120 */
			return BGl_globalzf2fromzd2nilz20zzeffect_cgraphz00();
		}
	}



/* global/from-from */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fromz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_73)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 121 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3826;

				{
					obj_t BgL_auxz00_3827;

					{	/* Effect/cgraph.sch 121 */
						BgL_objectz00_bglt BgL_auxz00_3828;

						BgL_auxz00_3828 = ((BgL_objectz00_bglt) BgL_oz00_73);
						BgL_auxz00_3827 = BGL_OBJECT_WIDENING(BgL_auxz00_3828);
					}
					BgL_auxz00_3826 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3827);
				}
				return
					(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3826))->BgL_fromz00);
			}
		}
	}



/* &global/from-from */
	obj_t BGl_z62globalzf2fromzd2fromz42zzeffect_cgraphz00(obj_t BgL_envz00_2944,
		obj_t BgL_oz00_2945)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 121 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3833;

				{
					obj_t BgL_auxz00_3834;

					{	/* Effect/cgraph.sch 121 */
						BgL_objectz00_bglt BgL_auxz00_3835;

						BgL_auxz00_3835 =
							((BgL_objectz00_bglt) ((BgL_globalz00_bglt) BgL_oz00_2945));
						BgL_auxz00_3834 = BGL_OBJECT_WIDENING(BgL_auxz00_3835);
					}
					BgL_auxz00_3833 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3834);
				}
				return
					(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3833))->BgL_fromz00);
			}
		}
	}



/* global/from-from-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fromzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_74, obj_t BgL_vz00_75)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 122 */
			{
				BgL_globalzf2fromzf2_bglt BgL_auxz00_3841;

				{
					obj_t BgL_auxz00_3842;

					{	/* Effect/cgraph.sch 122 */
						BgL_objectz00_bglt BgL_auxz00_3843;

						BgL_auxz00_3843 = ((BgL_objectz00_bglt) BgL_oz00_74);
						BgL_auxz00_3842 = BGL_OBJECT_WIDENING(BgL_auxz00_3843);
					}
					BgL_auxz00_3841 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3842);
				}
				return
					((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3841))->BgL_fromz00) =
					((obj_t) BgL_vz00_75), BUNSPEC);
			}
		}
	}



/* &global/from-from-set! */
	obj_t BGl_z62globalzf2fromzd2fromzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2946, obj_t BgL_oz00_2947, obj_t BgL_vz00_2948)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 122 */
			{	/* Effect/cgraph.sch 122 */
				BgL_globalz00_bglt BgL_oz00_3332;

				BgL_oz00_3332 = ((BgL_globalz00_bglt) BgL_oz00_2947);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_3849;

					{
						obj_t BgL_auxz00_3850;

						{	/* Effect/cgraph.sch 122 */
							BgL_objectz00_bglt BgL_auxz00_3851;

							BgL_auxz00_3851 = ((BgL_objectz00_bglt) BgL_oz00_3332);
							BgL_auxz00_3850 = BGL_OBJECT_WIDENING(BgL_auxz00_3851);
						}
						BgL_auxz00_3849 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_3850);
					}
					return
						((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_3849))->
							BgL_fromz00) = ((obj_t) BgL_vz00_2948), BUNSPEC);
				}
			}
		}
	}



/* global/from-init */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2initz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_76)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 123 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_76)))->BgL_initz00);
		}
	}



/* &global/from-init */
	obj_t BGl_z62globalzf2fromzd2initz42zzeffect_cgraphz00(obj_t BgL_envz00_2949,
		obj_t BgL_oz00_2950)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 123 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2950))))->BgL_initz00);
		}
	}



/* global/from-init-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2initzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_77, obj_t BgL_vz00_78)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 124 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_77)))->BgL_initz00) =
				((obj_t) BgL_vz00_78), BUNSPEC);
		}
	}



/* &global/from-init-set! */
	obj_t BGl_z62globalzf2fromzd2initzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2951, obj_t BgL_oz00_2952, obj_t BgL_vz00_2953)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 124 */
			{	/* Effect/cgraph.sch 124 */
				BgL_globalz00_bglt BgL_oz00_3335;

				BgL_oz00_3335 = ((BgL_globalz00_bglt) BgL_oz00_2952);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3335)))->BgL_initz00) =
					((obj_t) BgL_vz00_2953), BUNSPEC);
			}
		}
	}



/* global/from-jvm-type-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namez20zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_79)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 125 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_79)))->BgL_jvmzd2typezd2namez00);
		}
	}



/* &global/from-jvm-type-name */
	obj_t BGl_z62globalzf2fromzd2jvmzd2typezd2namez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2954, obj_t BgL_oz00_2955)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 125 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2955))))->
				BgL_jvmzd2typezd2namez00);
		}
	}



/* global/from-jvm-type-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2jvmzd2typezd2namezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_80, obj_t BgL_vz00_81)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 126 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_80)))->BgL_jvmzd2typezd2namez00) =
				((obj_t) BgL_vz00_81), BUNSPEC);
		}
	}



/* &global/from-jvm-type-name-set! */
	obj_t
		BGl_z62globalzf2fromzd2jvmzd2typezd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2956, obj_t BgL_oz00_2957, obj_t BgL_vz00_2958)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 126 */
			{	/* Effect/cgraph.sch 126 */
				BgL_globalz00_bglt BgL_oz00_3338;
				obj_t BgL_vz00_3339;

				BgL_oz00_3338 = ((BgL_globalz00_bglt) BgL_oz00_2957);
				BgL_vz00_3339 = BgL_vz00_2958;
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3338)))->
						BgL_jvmzd2typezd2namez00) = ((obj_t) BgL_vz00_3339), BUNSPEC);
			}
		}
	}



/* global/from-src */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2srcz20zzeffect_cgraphz00(BgL_globalz00_bglt BgL_oz00_82)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 127 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_82)))->BgL_srcz00);
		}
	}



/* &global/from-src */
	obj_t BGl_z62globalzf2fromzd2srcz42zzeffect_cgraphz00(obj_t BgL_envz00_2959,
		obj_t BgL_oz00_2960)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 127 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2960))))->BgL_srcz00);
		}
	}



/* global/from-src-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2srczd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_83, obj_t BgL_vz00_84)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 128 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_83)))->BgL_srcz00) =
				((obj_t) BgL_vz00_84), BUNSPEC);
		}
	}



/* &global/from-src-set! */
	obj_t BGl_z62globalzf2fromzd2srczd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2961, obj_t BgL_oz00_2962, obj_t BgL_vz00_2963)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 128 */
			{	/* Effect/cgraph.sch 128 */
				BgL_globalz00_bglt BgL_oz00_3341;

				BgL_oz00_3341 = ((BgL_globalz00_bglt) BgL_oz00_2962);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3341)))->BgL_srcz00) =
					((obj_t) BgL_vz00_2963), BUNSPEC);
			}
		}
	}



/* global/from-pragma */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2pragmaz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_85)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 129 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_85)))->BgL_pragmaz00);
		}
	}



/* &global/from-pragma */
	obj_t BGl_z62globalzf2fromzd2pragmaz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2964, obj_t BgL_oz00_2965)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 129 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2965))))->BgL_pragmaz00);
		}
	}



/* global/from-pragma-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2pragmazd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_86, obj_t BgL_vz00_87)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 130 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_86)))->BgL_pragmaz00) =
				((obj_t) BgL_vz00_87), BUNSPEC);
		}
	}



/* &global/from-pragma-set! */
	obj_t BGl_z62globalzf2fromzd2pragmazd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2966, obj_t BgL_oz00_2967, obj_t BgL_vz00_2968)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 130 */
			{	/* Effect/cgraph.sch 130 */
				BgL_globalz00_bglt BgL_oz00_3344;

				BgL_oz00_3344 = ((BgL_globalz00_bglt) BgL_oz00_2967);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3344)))->BgL_pragmaz00) =
					((obj_t) BgL_vz00_2968), BUNSPEC);
			}
		}
	}



/* global/from-library */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2libraryz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_88)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 131 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_88)))->BgL_libraryz00);
		}
	}



/* &global/from-library */
	obj_t BGl_z62globalzf2fromzd2libraryz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2969, obj_t BgL_oz00_2970)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 131 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2970))))->BgL_libraryz00);
		}
	}



/* global/from-library-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2libraryzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_89, obj_t BgL_vz00_90)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 132 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_89)))->BgL_libraryz00) =
				((obj_t) BgL_vz00_90), BUNSPEC);
		}
	}



/* &global/from-library-set! */
	obj_t BGl_z62globalzf2fromzd2libraryzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2971, obj_t BgL_oz00_2972, obj_t BgL_vz00_2973)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 132 */
			{	/* Effect/cgraph.sch 132 */
				BgL_globalz00_bglt BgL_oz00_3347;

				BgL_oz00_3347 = ((BgL_globalz00_bglt) BgL_oz00_2972);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3347)))->BgL_libraryz00) =
					((obj_t) BgL_vz00_2973), BUNSPEC);
			}
		}
	}



/* global/from-eval? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2evalzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_91)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 133 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_91)))->BgL_evalzf3zf3);
		}
	}



/* &global/from-eval? */
	obj_t BGl_z62globalzf2fromzd2evalzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2974, obj_t BgL_oz00_2975)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 133 */
			return
				BBOOL(
				(((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2975))))->BgL_evalzf3zf3));
		}
	}



/* global/from-eval?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2evalzf3zd2setz12z13zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_92, bool_t BgL_vz00_93)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 134 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_92)))->BgL_evalzf3zf3) =
				((bool_t) BgL_vz00_93), BUNSPEC);
		}
	}



/* &global/from-eval?-set! */
	obj_t BGl_z62globalzf2fromzd2evalzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2976, obj_t BgL_oz00_2977, obj_t BgL_vz00_2978)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 134 */
			{	/* Effect/cgraph.sch 134 */
				BgL_globalz00_bglt BgL_oz00_3350;
				bool_t BgL_vz00_3351;

				BgL_oz00_3350 = ((BgL_globalz00_bglt) BgL_oz00_2977);
				BgL_vz00_3351 = CBOOL(BgL_vz00_2978);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3350)))->BgL_evalzf3zf3) =
					((bool_t) BgL_vz00_3351), BUNSPEC);
			}
		}
	}



/* global/from-evaluable? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2evaluablezf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_94)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 135 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_94)))->BgL_evaluablezf3zf3);
		}
	}



/* &global/from-evaluable? */
	obj_t BGl_z62globalzf2fromzd2evaluablezf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2979, obj_t BgL_oz00_2980)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 135 */
			return
				BBOOL(
				(((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2980))))->BgL_evaluablezf3zf3));
		}
	}



/* global/from-evaluable?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2evaluablezf3zd2setz12z13zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_95, bool_t BgL_vz00_96)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 136 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_95)))->BgL_evaluablezf3zf3) =
				((bool_t) BgL_vz00_96), BUNSPEC);
		}
	}



/* &global/from-evaluable?-set! */
	obj_t BGl_z62globalzf2fromzd2evaluablezf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2981, obj_t BgL_oz00_2982, obj_t BgL_vz00_2983)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 136 */
			{	/* Effect/cgraph.sch 136 */
				BgL_globalz00_bglt BgL_oz00_3353;
				bool_t BgL_vz00_3354;

				BgL_oz00_3353 = ((BgL_globalz00_bglt) BgL_oz00_2982);
				BgL_vz00_3354 = CBOOL(BgL_vz00_2983);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3353)))->BgL_evaluablezf3zf3) =
					((bool_t) BgL_vz00_3354), BUNSPEC);
			}
		}
	}



/* global/from-import */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2importz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_97)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 137 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_97)))->BgL_importz00);
		}
	}



/* &global/from-import */
	obj_t BGl_z62globalzf2fromzd2importz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2984, obj_t BgL_oz00_2985)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 137 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2985))))->BgL_importz00);
		}
	}



/* global/from-import-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2importzd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_98, obj_t BgL_vz00_99)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 138 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_98)))->BgL_importz00) =
				((obj_t) BgL_vz00_99), BUNSPEC);
		}
	}



/* &global/from-import-set! */
	obj_t BGl_z62globalzf2fromzd2importzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2986, obj_t BgL_oz00_2987, obj_t BgL_vz00_2988)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 138 */
			{	/* Effect/cgraph.sch 138 */
				BgL_globalz00_bglt BgL_oz00_3356;

				BgL_oz00_3356 = ((BgL_globalz00_bglt) BgL_oz00_2987);
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3356)))->BgL_importz00) =
					((obj_t) BgL_vz00_2988), BUNSPEC);
			}
		}
	}



/* global/from-module */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2modulez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_100)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 139 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt) BgL_oz00_100)))->BgL_modulez00);
		}
	}



/* &global/from-module */
	obj_t BGl_z62globalzf2fromzd2modulez42zzeffect_cgraphz00(obj_t
		BgL_envz00_2989, obj_t BgL_oz00_2990)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 139 */
			return
				(((BgL_globalz00_bglt) CREF(
						((BgL_globalz00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_2990))))->BgL_modulez00);
		}
	}



/* global/from-module-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2modulezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_101, obj_t BgL_vz00_102)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 140 */
			return
				((((BgL_globalz00_bglt) CREF(
							((BgL_globalz00_bglt) BgL_oz00_101)))->BgL_modulez00) =
				((obj_t) BgL_vz00_102), BUNSPEC);
		}
	}



/* &global/from-module-set! */
	obj_t BGl_z62globalzf2fromzd2modulezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_2991, obj_t BgL_oz00_2992, obj_t BgL_vz00_2993)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 140 */
			{	/* Effect/cgraph.sch 140 */
				BgL_globalz00_bglt BgL_oz00_3359;
				obj_t BgL_vz00_3360;

				BgL_oz00_3359 = ((BgL_globalz00_bglt) BgL_oz00_2992);
				BgL_vz00_3360 = BgL_vz00_2993;
				return
					((((BgL_globalz00_bglt) CREF(
								((BgL_globalz00_bglt) BgL_oz00_3359)))->BgL_modulez00) =
					((obj_t) BgL_vz00_3360), BUNSPEC);
			}
		}
	}



/* global/from-user? */
	BGL_EXPORTED_DEF bool_t
		BGl_globalzf2fromzd2userzf3zd3zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_103)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 141 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_103)))->BgL_userzf3zf3);
		}
	}



/* &global/from-user? */
	obj_t BGl_z62globalzf2fromzd2userzf3zb1zzeffect_cgraphz00(obj_t
		BgL_envz00_2994, obj_t BgL_oz00_2995)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 141 */
			return
				BBOOL(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_2995))))->BgL_userzf3zf3));
		}
	}



/* global/from-user?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2userzf3zd2setz12z13zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_104, bool_t BgL_vz00_105)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 142 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_104)))->BgL_userzf3zf3) =
				((bool_t) BgL_vz00_105), BUNSPEC);
		}
	}



/* &global/from-user?-set! */
	obj_t BGl_z62globalzf2fromzd2userzf3zd2setz12z71zzeffect_cgraphz00(obj_t
		BgL_envz00_2996, obj_t BgL_oz00_2997, obj_t BgL_vz00_2998)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 142 */
			{	/* Effect/cgraph.sch 142 */
				BgL_globalz00_bglt BgL_oz00_3362;
				bool_t BgL_vz00_3363;

				BgL_oz00_3362 = ((BgL_globalz00_bglt) BgL_oz00_2997);
				BgL_vz00_3363 = CBOOL(BgL_vz00_2998);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3362)))->BgL_userzf3zf3) =
					((bool_t) BgL_vz00_3363), BUNSPEC);
			}
		}
	}



/* global/from-occurrencew */
	BGL_EXPORTED_DEF long
		BGl_globalzf2fromzd2occurrencewz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_106)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 143 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_106)))->BgL_occurrencewz00);
		}
	}



/* &global/from-occurrencew */
	obj_t BGl_z62globalzf2fromzd2occurrencewz42zzeffect_cgraphz00(obj_t
		BgL_envz00_2999, obj_t BgL_oz00_3000)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 143 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_3000))))->BgL_occurrencewz00));
		}
	}



/* global/from-occurrencew-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2occurrencewzd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_107, long BgL_vz00_108)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 144 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_107)))->BgL_occurrencewz00) =
				((long) BgL_vz00_108), BUNSPEC);
		}
	}



/* &global/from-occurrencew-set! */
	obj_t BGl_z62globalzf2fromzd2occurrencewzd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3001, obj_t BgL_oz00_3002, obj_t BgL_vz00_3003)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 144 */
			{	/* Effect/cgraph.sch 144 */
				BgL_globalz00_bglt BgL_oz00_3365;
				long BgL_vz00_3366;

				BgL_oz00_3365 = ((BgL_globalz00_bglt) BgL_oz00_3002);
				BgL_vz00_3366 = (long) CINT(BgL_vz00_3003);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3365)))->BgL_occurrencewz00) =
					((long) BgL_vz00_3366), BUNSPEC);
		}}
	}



/* global/from-occurrence */
	BGL_EXPORTED_DEF long
		BGl_globalzf2fromzd2occurrencez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_109)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 145 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_109)))->BgL_occurrencez00);
		}
	}



/* &global/from-occurrence */
	obj_t BGl_z62globalzf2fromzd2occurrencez42zzeffect_cgraphz00(obj_t
		BgL_envz00_3004, obj_t BgL_oz00_3005)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 145 */
			return
				BINT(
				(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt)
								((BgL_globalz00_bglt) BgL_oz00_3005))))->BgL_occurrencez00));
		}
	}



/* global/from-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2occurrencezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_110, long BgL_vz00_111)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 146 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_110)))->BgL_occurrencez00) =
				((long) BgL_vz00_111), BUNSPEC);
		}
	}



/* &global/from-occurrence-set! */
	obj_t BGl_z62globalzf2fromzd2occurrencezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3006, obj_t BgL_oz00_3007, obj_t BgL_vz00_3008)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 146 */
			{	/* Effect/cgraph.sch 146 */
				BgL_globalz00_bglt BgL_oz00_3368;
				long BgL_vz00_3369;

				BgL_oz00_3368 = ((BgL_globalz00_bglt) BgL_oz00_3007);
				BgL_vz00_3369 = (long) CINT(BgL_vz00_3008);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3368)))->BgL_occurrencez00) =
					((long) BgL_vz00_3369), BUNSPEC);
		}}
	}



/* global/from-removable */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2removablez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_112)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 147 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_112)))->BgL_removablez00);
		}
	}



/* &global/from-removable */
	obj_t BGl_z62globalzf2fromzd2removablez42zzeffect_cgraphz00(obj_t
		BgL_envz00_3009, obj_t BgL_oz00_3010)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 147 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3010))))->BgL_removablez00);
		}
	}



/* global/from-removable-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2removablezd2setz12ze0zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_113, obj_t BgL_vz00_114)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 148 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_113)))->BgL_removablez00) =
				((obj_t) BgL_vz00_114), BUNSPEC);
		}
	}



/* &global/from-removable-set! */
	obj_t BGl_z62globalzf2fromzd2removablezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3011, obj_t BgL_oz00_3012, obj_t BgL_vz00_3013)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 148 */
			{	/* Effect/cgraph.sch 148 */
				BgL_globalz00_bglt BgL_oz00_3371;

				BgL_oz00_3371 = ((BgL_globalz00_bglt) BgL_oz00_3012);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3371)))->BgL_removablez00) =
					((obj_t) BgL_vz00_3013), BUNSPEC);
			}
		}
	}



/* global/from-fast-alpha */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fastzd2alphazf2zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_115)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 149 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_115)))->BgL_fastzd2alphazd2);
		}
	}



/* &global/from-fast-alpha */
	obj_t BGl_z62globalzf2fromzd2fastzd2alphaz90zzeffect_cgraphz00(obj_t
		BgL_envz00_3014, obj_t BgL_oz00_3015)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 149 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3015))))->BgL_fastzd2alphazd2);
		}
	}



/* global/from-fast-alpha-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2fastzd2alphazd2setz12z32zzeffect_cgraphz00
		(BgL_globalz00_bglt BgL_oz00_116, obj_t BgL_vz00_117)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 150 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_116)))->BgL_fastzd2alphazd2) =
				((obj_t) BgL_vz00_117), BUNSPEC);
		}
	}



/* &global/from-fast-alpha-set! */
	obj_t BGl_z62globalzf2fromzd2fastzd2alphazd2setz12z50zzeffect_cgraphz00(obj_t
		BgL_envz00_3016, obj_t BgL_oz00_3017, obj_t BgL_vz00_3018)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 150 */
			{	/* Effect/cgraph.sch 150 */
				BgL_globalz00_bglt BgL_oz00_3374;

				BgL_oz00_3374 = ((BgL_globalz00_bglt) BgL_oz00_3017);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3374)))->BgL_fastzd2alphazd2) =
					((obj_t) BgL_vz00_3018), BUNSPEC);
			}
		}
	}



/* global/from-access */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2accessz20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_118)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 151 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_118)))->BgL_accessz00);
		}
	}



/* &global/from-access */
	obj_t BGl_z62globalzf2fromzd2accessz42zzeffect_cgraphz00(obj_t
		BgL_envz00_3019, obj_t BgL_oz00_3020)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 151 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3020))))->BgL_accessz00);
		}
	}



/* global/from-access-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2accesszd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_119, obj_t BgL_vz00_120)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 152 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_119)))->BgL_accessz00) =
				((obj_t) BgL_vz00_120), BUNSPEC);
		}
	}



/* &global/from-access-set! */
	obj_t BGl_z62globalzf2fromzd2accesszd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3021, obj_t BgL_oz00_3022, obj_t BgL_vz00_3023)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 152 */
			{	/* Effect/cgraph.sch 152 */
				BgL_globalz00_bglt BgL_oz00_3377;

				BgL_oz00_3377 = ((BgL_globalz00_bglt) BgL_oz00_3022);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3377)))->BgL_accessz00) =
					((obj_t) BgL_vz00_3023), BUNSPEC);
			}
		}
	}



/* global/from-value */
	BGL_EXPORTED_DEF BgL_valuez00_bglt
		BGl_globalzf2fromzd2valuez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_121)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 153 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_121)))->BgL_valuez00);
		}
	}



/* &global/from-value */
	BgL_valuez00_bglt BGl_z62globalzf2fromzd2valuez42zzeffect_cgraphz00(obj_t
		BgL_envz00_3024, obj_t BgL_oz00_3025)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 153 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3025))))->BgL_valuez00);
		}
	}



/* global/from-value-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2valuezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_122, BgL_valuez00_bglt BgL_vz00_123)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 154 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_122)))->BgL_valuez00) =
				((BgL_valuez00_bglt) BgL_vz00_123), BUNSPEC);
		}
	}



/* &global/from-value-set! */
	obj_t BGl_z62globalzf2fromzd2valuezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3026, obj_t BgL_oz00_3027, obj_t BgL_vz00_3028)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 154 */
			{	/* Effect/cgraph.sch 154 */
				BgL_globalz00_bglt BgL_oz00_3380;
				BgL_valuez00_bglt BgL_vz00_3381;

				BgL_oz00_3380 = ((BgL_globalz00_bglt) BgL_oz00_3027);
				BgL_vz00_3381 = ((BgL_valuez00_bglt) BgL_vz00_3028);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3380)))->BgL_valuez00) =
					((BgL_valuez00_bglt) BgL_vz00_3381), BUNSPEC);
			}
		}
	}



/* global/from-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_globalzf2fromzd2typez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_124)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 155 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_124)))->BgL_typez00);
		}
	}



/* &global/from-type */
	BgL_typez00_bglt BGl_z62globalzf2fromzd2typez42zzeffect_cgraphz00(obj_t
		BgL_envz00_3029, obj_t BgL_oz00_3030)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 155 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3030))))->BgL_typez00);
		}
	}



/* global/from-type-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2typezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_125, BgL_typez00_bglt BgL_vz00_126)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 156 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_125)))->BgL_typez00) =
				((BgL_typez00_bglt) BgL_vz00_126), BUNSPEC);
		}
	}



/* &global/from-type-set! */
	obj_t BGl_z62globalzf2fromzd2typezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3031, obj_t BgL_oz00_3032, obj_t BgL_vz00_3033)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 156 */
			{	/* Effect/cgraph.sch 156 */
				BgL_globalz00_bglt BgL_oz00_3383;
				BgL_typez00_bglt BgL_vz00_3384;

				BgL_oz00_3383 = ((BgL_globalz00_bglt) BgL_oz00_3032);
				BgL_vz00_3384 = ((BgL_typez00_bglt) BgL_vz00_3033);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3383)))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_vz00_3384), BUNSPEC);
			}
		}
	}



/* global/from-name */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2namez20zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_127)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 157 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_127)))->BgL_namez00);
		}
	}



/* &global/from-name */
	obj_t BGl_z62globalzf2fromzd2namez42zzeffect_cgraphz00(obj_t BgL_envz00_3034,
		obj_t BgL_oz00_3035)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 157 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3035))))->BgL_namez00);
		}
	}



/* global/from-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2namezd2setz12ze0zzeffect_cgraphz00(BgL_globalz00_bglt
		BgL_oz00_128, obj_t BgL_vz00_129)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 158 */
			return
				((((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_oz00_128)))->BgL_namez00) =
				((obj_t) BgL_vz00_129), BUNSPEC);
		}
	}



/* &global/from-name-set! */
	obj_t BGl_z62globalzf2fromzd2namezd2setz12z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3036, obj_t BgL_oz00_3037, obj_t BgL_vz00_3038)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 158 */
			{	/* Effect/cgraph.sch 158 */
				BgL_globalz00_bglt BgL_oz00_3386;

				BgL_oz00_3386 = ((BgL_globalz00_bglt) BgL_oz00_3037);
				return
					((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_oz00_3386)))->BgL_namez00) =
					((obj_t) BgL_vz00_3038), BUNSPEC);
			}
		}
	}



/* global/from-id */
	BGL_EXPORTED_DEF obj_t
		BGl_globalzf2fromzd2idz20zzeffect_cgraphz00(BgL_globalz00_bglt BgL_oz00_130)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 159 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt) BgL_oz00_130)))->BgL_idz00);
		}
	}



/* &global/from-id */
	obj_t BGl_z62globalzf2fromzd2idz42zzeffect_cgraphz00(obj_t BgL_envz00_3039,
		obj_t BgL_oz00_3040)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.sch 159 */
			return
				(((BgL_variablez00_bglt) CREF(
						((BgL_variablez00_bglt)
							((BgL_globalz00_bglt) BgL_oz00_3040))))->BgL_idz00);
		}
	}



/* fun-call-graph! */
	BGL_EXPORTED_DEF obj_t
		BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_variablez00_133)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 31 */
			BGl_za2varzf2allza2zf2zzeffect_cgraphz00 =
				MAKE_PAIR(
				((obj_t) BgL_variablez00_133),
				BGl_za2varzf2allza2zf2zzeffect_cgraphz00);
			{	/* Effect/cgraph.scm 33 */
				obj_t BgL_arg2001z00_1452;

				BgL_arg2001z00_1452 =
					(((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt)
								(((BgL_variablez00_bglt) CREF(BgL_variablez00_133))->
									BgL_valuez00))))->BgL_bodyz00);
				return BGl_callzd2graphz12zc0zzeffect_cgraphz00(((BgL_nodez00_bglt)
						BgL_arg2001z00_1452), BgL_variablez00_133);
			}
		}
	}



/* &fun-call-graph! */
	obj_t BGl_z62funzd2callzd2graphz12z70zzeffect_cgraphz00(obj_t BgL_envz00_3041,
		obj_t BgL_variablez00_3042)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 31 */
			return
				BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_variablez00_3042));
		}
	}



/* call-graph*! */
	bool_t BGl_callzd2graphza2z12z62zzeffect_cgraphz00(obj_t BgL_nodeza2za2_172,
		obj_t BgL_ownerz00_173)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 205 */
			{
				obj_t BgL_l1936z00_1455;

				BgL_l1936z00_1455 = BgL_nodeza2za2_172;
			BgL_zc3anonymousza32003ze3z83_1456:
				if (PAIRP(BgL_l1936z00_1455))
					{	/* Effect/cgraph.scm 206 */
						{	/* Effect/cgraph.scm 206 */
							obj_t BgL_nodez00_1458;

							BgL_nodez00_1458 = CAR(BgL_l1936z00_1455);
							BGl_callzd2graphz12zc0zzeffect_cgraphz00(
								((BgL_nodez00_bglt) BgL_nodez00_1458),
								((BgL_variablez00_bglt) BgL_ownerz00_173));
						}
						{
							obj_t BgL_l1936z00_4068;

							BgL_l1936z00_4068 = CDR(BgL_l1936z00_1455);
							BgL_l1936z00_1455 = BgL_l1936z00_4068;
							goto BgL_zc3anonymousza32003ze3z83_1456;
						}
					}
				else
					{	/* Effect/cgraph.scm 206 */
						return ((bool_t) 1);
					}
			}
		}
	}



/* get-var/side-effect */
	BGL_EXPORTED_DEF obj_t BGl_getzd2varzf2sidezd2effectzf2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 250 */
			return BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00;
		}
	}



/* &get-var/side-effect */
	obj_t BGl_z62getzd2varzf2sidezd2effectz90zzeffect_cgraphz00(obj_t
		BgL_envz00_3043)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 250 */
			return BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00;
		}
	}



/* get-var/all */
	BGL_EXPORTED_DEF obj_t BGl_getzd2varzf2allz20zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 261 */
			return BGl_za2varzf2allza2zf2zzeffect_cgraphz00;
		}
	}



/* &get-var/all */
	obj_t BGl_z62getzd2varzf2allz42zzeffect_cgraphz00(obj_t BgL_envz00_3044)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 261 */
			return BGl_za2varzf2allza2zf2zzeffect_cgraphz00;
		}
	}



/* reset-effect-tables! */
	BGL_EXPORTED_DEF obj_t BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 272 */
			BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 = BNIL;
			return (BGl_za2varzf2allza2zf2zzeffect_cgraphz00 = BNIL, BUNSPEC);
		}
	}



/* &reset-effect-tables! */
	obj_t BGl_z62resetzd2effectzd2tablesz12z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3045)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 272 */
			return BGl_resetzd2effectzd2tablesz12z12zzeffect_cgraphz00();
		}
	}



/* mark-side-effect! */
	obj_t BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_vz00_184)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 279 */
			{	/* Effect/cgraph.scm 282 */
				BgL_valuez00_bglt BgL_funz00_1461;

				BgL_funz00_1461 =
					(((BgL_variablez00_bglt) CREF(BgL_vz00_184))->BgL_valuez00);
				if (CBOOL(
						(((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt) BgL_funz00_1461)))->BgL_sidezd2effectzd2)))
					{	/* Effect/cgraph.scm 284 */
						if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
									((obj_t) BgL_vz00_184),
									BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00)))
							{	/* Effect/cgraph.scm 287 */
								return CNST_TABLE_REF(((long) 0));
							}
						else
							{	/* Effect/cgraph.scm 287 */
								return (BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
									MAKE_PAIR(
										((obj_t) BgL_vz00_184),
										BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00),
									BUNSPEC);
							}
					}
				else
					{	/* Effect/cgraph.scm 284 */
						BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00 =
							MAKE_PAIR(
							((obj_t) BgL_vz00_184),
							BGl_za2varzf2sidezd2effectza2z20zzeffect_cgraphz00);
						{	/* Effect/cgraph.scm 286 */
							BgL_funz00_bglt BgL_oz00_2630;

							BgL_oz00_2630 = ((BgL_funz00_bglt) BgL_funz00_1461);
							return
								((((BgL_funz00_bglt) CREF(BgL_oz00_2630))->
									BgL_sidezd2effectzd2) = ((obj_t) BTRUE), BUNSPEC);
						}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			{	/* Effect/cgraph.scm 21 */
				obj_t BgL_arg2012z00_1468;
				obj_t BgL_arg2013z00_1469;

				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_v1938z00_1502;

					BgL_v1938z00_1502 = create_vector((int) (((long) 1)));
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_arg2027z00_1503;

						BgL_arg2027z00_1503 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc2231z00zzeffect_cgraphz00,
							BGl_proc2230z00zzeffect_cgraphz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1938z00_1502, (int) (((long) 0)),
							BgL_arg2027z00_1503);
					}
					BgL_arg2012z00_1468 = BgL_v1938z00_1502;
				}
				{	/* Effect/cgraph.scm 21 */
					obj_t BgL_v1939z00_1515;

					BgL_v1939z00_1515 = create_vector((int) (((long) 0)));
					BgL_arg2013z00_1469 = BgL_v1939z00_1515;
				}
				BGl_localzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 3)),
					CNST_TABLE_REF(((long) 4)), BGl_localz00zzast_varz00, ((long) 19676),
					BGl_proc2235z00zzeffect_cgraphz00, BGl_proc2234z00zzeffect_cgraphz00,
					BFALSE, BGl_proc2233z00zzeffect_cgraphz00,
					BGl_proc2232z00zzeffect_cgraphz00, BgL_arg2012z00_1468,
					BgL_arg2013z00_1469);
			}
			{	/* Effect/cgraph.scm 22 */
				obj_t BgL_arg2036z00_1524;
				obj_t BgL_arg2037z00_1525;

				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_v1940z00_1567;

					BgL_v1940z00_1567 = create_vector((int) (((long) 1)));
					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_arg2049z00_1568;

						BgL_arg2049z00_1568 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc2237z00zzeffect_cgraphz00,
							BGl_proc2236z00zzeffect_cgraphz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1940z00_1567, (int) (((long) 0)),
							BgL_arg2049z00_1568);
					}
					BgL_arg2036z00_1524 = BgL_v1940z00_1567;
				}
				{	/* Effect/cgraph.scm 22 */
					obj_t BgL_v1941z00_1580;

					BgL_v1941z00_1580 = create_vector((int) (((long) 0)));
					BgL_arg2037z00_1525 = BgL_v1941z00_1580;
				}
				return (BGl_globalzf2fromzf2zzeffect_cgraphz00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 5)),
						CNST_TABLE_REF(((long) 4)), BGl_globalz00zzast_varz00,
						((long) 6288), BGl_proc2241z00zzeffect_cgraphz00,
						BGl_proc2240z00zzeffect_cgraphz00, BFALSE,
						BGl_proc2239z00zzeffect_cgraphz00,
						BGl_proc2238z00zzeffect_cgraphz00, BgL_arg2036z00_1524,
						BgL_arg2037z00_1525), BUNSPEC);
		}}
	}



/* &lambda2044 */
	BgL_globalz00_bglt BGl_z62lambda2044z62zzeffect_cgraphz00(obj_t
		BgL_envz00_3058, obj_t BgL_o1139z00_3059)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_o1139z00_1561;

				BgL_o1139z00_1561 = ((BgL_globalz00_bglt) BgL_o1139z00_3059);
				{	/* Effect/cgraph.scm 22 */
					long BgL_arg2045z00_1564;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_arg2046z00_1565;

						{	/* Effect/cgraph.scm 22 */
							obj_t BgL_arg2047z00_1566;

							{	/* Effect/cgraph.scm 22 */
								BgL_objectz00_bglt BgL_objectz00_2695;

								BgL_objectz00_2695 = ((BgL_objectz00_bglt) BgL_o1139z00_1561);
								{	/* Effect/cgraph.scm 22 */
									long BgL_arg1806z00_2696;

									{	/* Effect/cgraph.scm 22 */
										long BgL_arg1808z00_2697;

										{	/* Effect/cgraph.scm 22 */
											long BgL_res2195z00_2699;

											BgL_res2195z00_2699 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_2695);
											BgL_arg1808z00_2697 = BgL_res2195z00_2699;
										}
										BgL_arg1806z00_2696 = (BgL_arg1808z00_2697 - OBJECT_TYPE);
									}
									BgL_arg2047z00_1566 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1806z00_2696));
							}}
							BgL_arg2046z00_1565 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2047z00_1566);
						}
						{	/* Effect/cgraph.scm 22 */
							long BgL_res2197z00_2706;

							BgL_res2197z00_2706 = BGL_CLASS_INDEX(BgL_arg2046z00_1565);
							BgL_arg2045z00_1564 = BgL_res2197z00_2706;
					}}
					{	/* Effect/cgraph.scm 22 */
						BgL_objectz00_bglt BgL_objz00_2707;

						BgL_objz00_2707 = ((BgL_objectz00_bglt) BgL_o1139z00_1561);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2707, BgL_arg2045z00_1564);
				}}
				{	/* Effect/cgraph.scm 22 */
					BgL_objectz00_bglt BgL_auxz00_4120;

					BgL_auxz00_4120 = ((BgL_objectz00_bglt) BgL_o1139z00_1561);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_4120, BFALSE);
				}
				return ((BgL_globalz00_bglt) BgL_o1139z00_1561);
			}
		}
	}



/* &<anonymous:2043> */
	BgL_globalz00_bglt BGl_z62zc3anonymousza32043ze3ze1zzeffect_cgraphz00(obj_t
		BgL_envz00_3060, obj_t BgL_new1138z00_3061)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_new1138z00_1559;

				BgL_new1138z00_1559 = ((BgL_globalz00_bglt) BgL_new1138z00_3061);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1138z00_1559)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1138z00_1559)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4130;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_classz00_2691;

						BgL_classz00_2691 = BGl_typez00zztype_typez00;
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL__ortest_1093z00_2692;

							BgL__ortest_1093z00_2692 = BGL_CLASS_NIL(BgL_classz00_2691);
							if (CBOOL(BgL__ortest_1093z00_2692))
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_4130 =
										((BgL_typez00_bglt) BgL__ortest_1093z00_2692);
								}
							else
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_4130 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2691));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1138z00_1559)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4130), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4139;

					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_classz00_2693;

						BgL_classz00_2693 = BGl_valuez00zzast_varz00;
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL__ortest_1093z00_2694;

							BgL__ortest_1093z00_2694 = BGL_CLASS_NIL(BgL_classz00_2693);
							if (CBOOL(BgL__ortest_1093z00_2694))
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_4139 =
										((BgL_valuez00_bglt) BgL__ortest_1093z00_2694);
								}
							else
								{	/* Effect/cgraph.scm 22 */
									BgL_auxz00_4139 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2693));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1138z00_1559)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4139), BUNSPEC);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1138z00_1559)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1138z00_1559)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1138z00_1559)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1138z00_1559)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1138z00_1559)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1138z00_1559)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1559)))->BgL_modulez00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1559)))->BgL_importz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1559)))->BgL_evaluablezf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1559)))->BgL_evalzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1559)))->BgL_libraryz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1559)))->BgL_pragmaz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1559)))->BgL_srcz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1559)))->BgL_jvmzd2typezd2namez00) =
					((obj_t) BGl_string2242z00zzeffect_cgraphz00), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1559)))->BgL_initz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
									BgL_new1138z00_1559)))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_4181;

					{
						obj_t BgL_auxz00_4182;

						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_auxz00_4183;

							BgL_auxz00_4183 = ((BgL_objectz00_bglt) BgL_new1138z00_1559);
							BgL_auxz00_4182 = BGL_OBJECT_WIDENING(BgL_auxz00_4183);
						}
						BgL_auxz00_4181 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4182);
					}
					((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4181))->BgL_fromz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1138z00_1559;
			}
		}
	}



/* &lambda2041 */
	BgL_globalz00_bglt BGl_z62lambda2041z62zzeffect_cgraphz00(obj_t
		BgL_envz00_3062, obj_t BgL_o1135z00_3063)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_o1135z00_1554;

				BgL_o1135z00_1554 = ((BgL_globalz00_bglt) BgL_o1135z00_3063);
				{	/* Effect/cgraph.scm 22 */
					BgL_globalz00_bglt BgL_tmp1136z00_1556;
					BgL_globalzf2fromzf2_bglt BgL_wide1137z00_1557;

					BgL_tmp1136z00_1556 = ((BgL_globalz00_bglt) BgL_o1135z00_1554);
					BgL_wide1137z00_1557 =
						((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_globalzf2fromzf2_bgl))));
					{	/* Effect/cgraph.scm 22 */
						obj_t BgL_auxz00_4193;
						BgL_objectz00_bglt BgL_auxz00_4191;

						BgL_auxz00_4193 = ((obj_t) BgL_wide1137z00_1557);
						BgL_auxz00_4191 = ((BgL_objectz00_bglt) BgL_tmp1136z00_1556);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4191, BgL_auxz00_4193);
					}
					{	/* Effect/cgraph.scm 22 */
						long BgL_arg2042z00_1558;

						{	/* Effect/cgraph.scm 22 */
							long BgL_res2194z00_2688;

							BgL_res2194z00_2688 =
								BGL_CLASS_INDEX(BGl_globalzf2fromzf2zzeffect_cgraphz00);
							BgL_arg2042z00_1558 = BgL_res2194z00_2688;
						}
						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_objz00_2689;

							BgL_objz00_2689 = ((BgL_objectz00_bglt) BgL_tmp1136z00_1556);
							((BgL_globalz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2689, BgL_arg2042z00_1558));
					}}
					return ((BgL_globalz00_bglt) BgL_tmp1136z00_1556);
				}
			}
		}
	}



/* &lambda2038 */
	BgL_globalz00_bglt BGl_z62lambda2038z62zzeffect_cgraphz00(obj_t
		BgL_envz00_3064, obj_t BgL_id1114z00_3065, obj_t BgL_name1115z00_3066,
		obj_t BgL_type1116z00_3067, obj_t BgL_value1117z00_3068,
		obj_t BgL_access1118z00_3069, obj_t BgL_fastzd2alpha1119zd2_3070,
		obj_t BgL_removable1120z00_3071, obj_t BgL_occurrence1121z00_3072,
		obj_t BgL_occurrencew1122z00_3073, obj_t BgL_userzf31123zf3_3074,
		obj_t BgL_module1124z00_3075, obj_t BgL_import1125z00_3076,
		obj_t BgL_evaluablezf31126zf3_3077, obj_t BgL_evalzf31127zf3_3078,
		obj_t BgL_library1128z00_3079, obj_t BgL_pragma1129z00_3080,
		obj_t BgL_src1130z00_3081, obj_t BgL_jvmzd2typezd2name1131z00_3082,
		obj_t BgL_init1132z00_3083, obj_t BgL_alias1133z00_3084,
		obj_t BgL_from1134z00_3085)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				obj_t BgL_id1114z00_1526;
				obj_t BgL_name1115z00_1527;
				BgL_typez00_bglt BgL_type1116z00_1528;
				BgL_valuez00_bglt BgL_value1117z00_1529;
				obj_t BgL_access1118z00_1530;
				obj_t BgL_fastzd2alpha1119zd2_1531;
				obj_t BgL_removable1120z00_1532;
				long BgL_occurrence1121z00_1533;
				long BgL_occurrencew1122z00_1534;
				bool_t BgL_userzf31123zf3_1535;
				obj_t BgL_module1124z00_1536;
				obj_t BgL_import1125z00_1537;
				bool_t BgL_evaluablezf31126zf3_1538;
				bool_t BgL_evalzf31127zf3_1539;
				obj_t BgL_library1128z00_1540;
				obj_t BgL_pragma1129z00_1541;
				obj_t BgL_src1130z00_1542;
				obj_t BgL_jvmzd2typezd2name1131z00_1543;
				obj_t BgL_init1132z00_1544;
				obj_t BgL_alias1133z00_1545;
				obj_t BgL_from1134z00_1546;

				BgL_id1114z00_1526 = BgL_id1114z00_3065;
				BgL_name1115z00_1527 = BgL_name1115z00_3066;
				BgL_type1116z00_1528 = ((BgL_typez00_bglt) BgL_type1116z00_3067);
				BgL_value1117z00_1529 = ((BgL_valuez00_bglt) BgL_value1117z00_3068);
				BgL_access1118z00_1530 = BgL_access1118z00_3069;
				BgL_fastzd2alpha1119zd2_1531 = BgL_fastzd2alpha1119zd2_3070;
				BgL_removable1120z00_1532 = BgL_removable1120z00_3071;
				BgL_occurrence1121z00_1533 = (long) CINT(BgL_occurrence1121z00_3072);
				BgL_occurrencew1122z00_1534 = (long) CINT(BgL_occurrencew1122z00_3073);
				BgL_userzf31123zf3_1535 = CBOOL(BgL_userzf31123zf3_3074);
				BgL_module1124z00_1536 = BgL_module1124z00_3075;
				BgL_import1125z00_1537 = BgL_import1125z00_3076;
				BgL_evaluablezf31126zf3_1538 = CBOOL(BgL_evaluablezf31126zf3_3077);
				BgL_evalzf31127zf3_1539 = CBOOL(BgL_evalzf31127zf3_3078);
				BgL_library1128z00_1540 = BgL_library1128z00_3079;
				BgL_pragma1129z00_1541 = BgL_pragma1129z00_3080;
				BgL_src1130z00_1542 = BgL_src1130z00_3081;
				BgL_jvmzd2typezd2name1131z00_1543 = BgL_jvmzd2typezd2name1131z00_3082;
				BgL_init1132z00_1544 = BgL_init1132z00_3083;
				BgL_alias1133z00_1545 = BgL_alias1133z00_3084;
				BgL_from1134z00_1546 = BgL_from1134z00_3085;
				{	/* Effect/cgraph.scm 22 */
					BgL_globalz00_bglt BgL_new1256z00_2673;

					{	/* Effect/cgraph.scm 22 */
						BgL_globalz00_bglt BgL_tmp1254z00_2674;
						BgL_globalzf2fromzf2_bglt BgL_wide1255z00_2675;

						{
							BgL_globalz00_bglt BgL_auxz00_4202;

							{	/* Effect/cgraph.scm 22 */
								BgL_globalz00_bglt BgL_new1253z00_2676;

								BgL_new1253z00_2676 =
									((BgL_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_globalz00_bgl))));
								{	/* Effect/cgraph.scm 22 */
									long BgL_arg2040z00_2677;

									{	/* Effect/cgraph.scm 22 */
										long BgL_res2192z00_2680;

										BgL_res2192z00_2680 =
											BGL_CLASS_INDEX(BGl_globalz00zzast_varz00);
										BgL_arg2040z00_2677 = BgL_res2192z00_2680;
									}
									{	/* Effect/cgraph.scm 22 */
										BgL_objectz00_bglt BgL_objz00_2681;

										BgL_objz00_2681 =
											((BgL_objectz00_bglt) BgL_new1253z00_2676);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2681,
											BgL_arg2040z00_2677);
								}}
								{	/* Effect/cgraph.scm 22 */
									BgL_objectz00_bglt BgL_auxz00_4207;

									BgL_auxz00_4207 = ((BgL_objectz00_bglt) BgL_new1253z00_2676);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4207, BFALSE);
								}
								BgL_auxz00_4202 = BgL_new1253z00_2676;
							}
							BgL_tmp1254z00_2674 = ((BgL_globalz00_bglt) BgL_auxz00_4202);
						}
						BgL_wide1255z00_2675 =
							((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_globalzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 22 */
							obj_t BgL_auxz00_4214;
							BgL_objectz00_bglt BgL_auxz00_4212;

							BgL_auxz00_4214 = ((obj_t) BgL_wide1255z00_2675);
							BgL_auxz00_4212 = ((BgL_objectz00_bglt) BgL_tmp1254z00_2674);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4212, BgL_auxz00_4214);
						}
						{	/* Effect/cgraph.scm 22 */
							long BgL_arg2039z00_2678;

							{	/* Effect/cgraph.scm 22 */
								long BgL_res2193z00_2684;

								BgL_res2193z00_2684 =
									BGL_CLASS_INDEX(BGl_globalzf2fromzf2zzeffect_cgraphz00);
								BgL_arg2039z00_2678 = BgL_res2193z00_2684;
							}
							{	/* Effect/cgraph.scm 22 */
								BgL_objectz00_bglt BgL_objz00_2685;

								BgL_objz00_2685 = ((BgL_objectz00_bglt) BgL_tmp1254z00_2674);
								((BgL_globalz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2685,
										BgL_arg2039z00_2678));
						}}
						BgL_new1256z00_2673 = ((BgL_globalz00_bglt) BgL_tmp1254z00_2674);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1256z00_2673)))->BgL_idz00) =
						((obj_t) BgL_id1114z00_1526), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1256z00_2673)))->BgL_namez00) =
						((obj_t) BgL_name1115z00_1527), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1256z00_2673)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1116z00_1528), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1256z00_2673)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1117z00_1529), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1256z00_2673)))->BgL_accessz00) =
						((obj_t) BgL_access1118z00_1530), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1256z00_2673)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1119zd2_1531), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1256z00_2673)))->BgL_removablez00) =
						((obj_t) BgL_removable1120z00_1532), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1256z00_2673)))->BgL_occurrencez00) =
						((long) BgL_occurrence1121z00_1533), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1256z00_2673)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1122z00_1534), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1256z00_2673)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31123zf3_1535), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1256z00_2673)))->BgL_modulez00) =
						((obj_t) BgL_module1124z00_1536), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1256z00_2673)))->BgL_importz00) =
						((obj_t) BgL_import1125z00_1537), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1256z00_2673)))->BgL_evaluablezf3zf3) =
						((bool_t) BgL_evaluablezf31126zf3_1538), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1256z00_2673)))->BgL_evalzf3zf3) =
						((bool_t) BgL_evalzf31127zf3_1539), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1256z00_2673)))->BgL_libraryz00) =
						((obj_t) BgL_library1128z00_1540), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1256z00_2673)))->BgL_pragmaz00) =
						((obj_t) BgL_pragma1129z00_1541), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1256z00_2673)))->BgL_srcz00) =
						((obj_t) BgL_src1130z00_1542), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1256z00_2673)))->BgL_jvmzd2typezd2namez00) =
						((obj_t) BgL_jvmzd2typezd2name1131z00_1543), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1256z00_2673)))->BgL_initz00) =
						((obj_t) BgL_init1132z00_1544), BUNSPEC);
					((((BgL_globalz00_bglt) CREF(((BgL_globalz00_bglt)
										BgL_new1256z00_2673)))->BgL_aliasz00) =
						((obj_t) BgL_alias1133z00_1545), BUNSPEC);
					{
						BgL_globalzf2fromzf2_bglt BgL_auxz00_4262;

						{
							obj_t BgL_auxz00_4263;

							{	/* Effect/cgraph.scm 22 */
								BgL_objectz00_bglt BgL_auxz00_4264;

								BgL_auxz00_4264 = ((BgL_objectz00_bglt) BgL_new1256z00_2673);
								BgL_auxz00_4263 = BGL_OBJECT_WIDENING(BgL_auxz00_4264);
							}
							BgL_auxz00_4262 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4263);
						}
						((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4262))->
								BgL_fromz00) = ((obj_t) BgL_from1134z00_1546), BUNSPEC);
					}
					return BgL_new1256z00_2673;
				}
			}
		}
	}



/* &lambda2053 */
	obj_t BGl_z62lambda2053z62zzeffect_cgraphz00(obj_t BgL_envz00_3086,
		obj_t BgL_oz00_3087, obj_t BgL_vz00_3088)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_oz00_1574;
				obj_t BgL_vz00_1575;

				BgL_oz00_1574 = ((BgL_globalz00_bglt) BgL_oz00_3087);
				BgL_vz00_1575 = BgL_vz00_3088;
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_4276;

					{
						obj_t BgL_auxz00_4277;

						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_auxz00_4278;

							BgL_auxz00_4278 = ((BgL_objectz00_bglt) BgL_oz00_1574);
							BgL_auxz00_4277 = BGL_OBJECT_WIDENING(BgL_auxz00_4278);
						}
						BgL_auxz00_4276 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4277);
					}
					return
						((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4276))->
							BgL_fromz00) = ((obj_t) BgL_vz00_1575), BUNSPEC);
				}
			}
		}
	}



/* &lambda2052 */
	obj_t BGl_z62lambda2052z62zzeffect_cgraphz00(obj_t BgL_envz00_3089,
		obj_t BgL_oz00_3090)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 22 */
			{
				BgL_globalz00_bglt BgL_oz00_1571;

				BgL_oz00_1571 = ((BgL_globalz00_bglt) BgL_oz00_3090);
				{
					BgL_globalzf2fromzf2_bglt BgL_auxz00_4284;

					{
						obj_t BgL_auxz00_4285;

						{	/* Effect/cgraph.scm 22 */
							BgL_objectz00_bglt BgL_auxz00_4286;

							BgL_auxz00_4286 = ((BgL_objectz00_bglt) BgL_oz00_1571);
							BgL_auxz00_4285 = BGL_OBJECT_WIDENING(BgL_auxz00_4286);
						}
						BgL_auxz00_4284 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4285);
					}
					return
						(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4284))->BgL_fromz00);
				}
			}
		}
	}



/* &lambda2021 */
	BgL_localz00_bglt BGl_z62lambda2021z62zzeffect_cgraphz00(obj_t
		BgL_envz00_3091, obj_t BgL_o1112z00_3092)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_o1112z00_1496;

				BgL_o1112z00_1496 = ((BgL_localz00_bglt) BgL_o1112z00_3092);
				{	/* Effect/cgraph.scm 21 */
					long BgL_arg2022z00_1499;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_arg2024z00_1500;

						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_arg2026z00_1501;

							{	/* Effect/cgraph.scm 21 */
								BgL_objectz00_bglt BgL_objectz00_2654;

								BgL_objectz00_2654 = ((BgL_objectz00_bglt) BgL_o1112z00_1496);
								{	/* Effect/cgraph.scm 21 */
									long BgL_arg1806z00_2655;

									{	/* Effect/cgraph.scm 21 */
										long BgL_arg1808z00_2656;

										{	/* Effect/cgraph.scm 21 */
											long BgL_res2189z00_2658;

											BgL_res2189z00_2658 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_2654);
											BgL_arg1808z00_2656 = BgL_res2189z00_2658;
										}
										BgL_arg1806z00_2655 = (BgL_arg1808z00_2656 - OBJECT_TYPE);
									}
									BgL_arg2026z00_1501 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1806z00_2655));
							}}
							BgL_arg2024z00_1500 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2026z00_1501);
						}
						{	/* Effect/cgraph.scm 21 */
							long BgL_res2191z00_2665;

							BgL_res2191z00_2665 = BGL_CLASS_INDEX(BgL_arg2024z00_1500);
							BgL_arg2022z00_1499 = BgL_res2191z00_2665;
					}}
					{	/* Effect/cgraph.scm 21 */
						BgL_objectz00_bglt BgL_objz00_2666;

						BgL_objz00_2666 = ((BgL_objectz00_bglt) BgL_o1112z00_1496);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2666, BgL_arg2022z00_1499);
				}}
				{	/* Effect/cgraph.scm 21 */
					BgL_objectz00_bglt BgL_auxz00_4301;

					BgL_auxz00_4301 = ((BgL_objectz00_bglt) BgL_o1112z00_1496);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_4301, BFALSE);
				}
				return ((BgL_localz00_bglt) BgL_o1112z00_1496);
			}
		}
	}



/* &<anonymous:2020> */
	BgL_localz00_bglt BGl_z62zc3anonymousza32020ze3ze1zzeffect_cgraphz00(obj_t
		BgL_envz00_3093, obj_t BgL_new1111z00_3094)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_new1111z00_1494;

				BgL_new1111z00_1494 = ((BgL_localz00_bglt) BgL_new1111z00_3094);
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1111z00_1494)))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1111z00_1494)))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_4311;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_classz00_2650;

						BgL_classz00_2650 = BGl_typez00zztype_typez00;
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL__ortest_1093z00_2651;

							BgL__ortest_1093z00_2651 = BGL_CLASS_NIL(BgL_classz00_2650);
							if (CBOOL(BgL__ortest_1093z00_2651))
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4311 =
										((BgL_typez00_bglt) BgL__ortest_1093z00_2651);
								}
							else
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4311 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2650));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1111z00_1494)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_4311), BUNSPEC);
				}
				{
					BgL_valuez00_bglt BgL_auxz00_4320;

					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_classz00_2652;

						BgL_classz00_2652 = BGl_valuez00zzast_varz00;
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL__ortest_1093z00_2653;

							BgL__ortest_1093z00_2653 = BGL_CLASS_NIL(BgL_classz00_2652);
							if (CBOOL(BgL__ortest_1093z00_2653))
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4320 =
										((BgL_valuez00_bglt) BgL__ortest_1093z00_2653);
								}
							else
								{	/* Effect/cgraph.scm 21 */
									BgL_auxz00_4320 =
										((BgL_valuez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2652));
								}
						}
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1111z00_1494)))->
							BgL_valuez00) = ((BgL_valuez00_bglt) BgL_auxz00_4320), BUNSPEC);
				}
				((((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_new1111z00_1494)))->BgL_accessz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1111z00_1494)))->BgL_fastzd2alphazd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1111z00_1494)))->BgL_removablez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1111z00_1494)))->BgL_occurrencez00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1111z00_1494)))->BgL_occurrencewz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
									BgL_new1111z00_1494)))->BgL_userzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
									BgL_new1111z00_1494)))->BgL_keyz00) =
					((long) ((long) 0)), BUNSPEC);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4343;

					{
						obj_t BgL_auxz00_4344;

						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_4345;

							BgL_auxz00_4345 = ((BgL_objectz00_bglt) BgL_new1111z00_1494);
							BgL_auxz00_4344 = BGL_OBJECT_WIDENING(BgL_auxz00_4345);
						}
						BgL_auxz00_4343 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4344);
					}
					((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4343))->BgL_fromz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1111z00_1494;
			}
		}
	}



/* &lambda2018 */
	BgL_localz00_bglt BGl_z62lambda2018z62zzeffect_cgraphz00(obj_t
		BgL_envz00_3095, obj_t BgL_o1108z00_3096)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_o1108z00_1489;

				BgL_o1108z00_1489 = ((BgL_localz00_bglt) BgL_o1108z00_3096);
				{	/* Effect/cgraph.scm 21 */
					BgL_localz00_bglt BgL_tmp1109z00_1491;
					BgL_localzf2fromzf2_bglt BgL_wide1110z00_1492;

					BgL_tmp1109z00_1491 = ((BgL_localz00_bglt) BgL_o1108z00_1489);
					BgL_wide1110z00_1492 =
						((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_localzf2fromzf2_bgl))));
					{	/* Effect/cgraph.scm 21 */
						obj_t BgL_auxz00_4355;
						BgL_objectz00_bglt BgL_auxz00_4353;

						BgL_auxz00_4355 = ((obj_t) BgL_wide1110z00_1492);
						BgL_auxz00_4353 = ((BgL_objectz00_bglt) BgL_tmp1109z00_1491);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4353, BgL_auxz00_4355);
					}
					{	/* Effect/cgraph.scm 21 */
						long BgL_arg2019z00_1493;

						{	/* Effect/cgraph.scm 21 */
							long BgL_res2188z00_2647;

							BgL_res2188z00_2647 =
								BGL_CLASS_INDEX(BGl_localzf2fromzf2zzeffect_cgraphz00);
							BgL_arg2019z00_1493 = BgL_res2188z00_2647;
						}
						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_objz00_2648;

							BgL_objz00_2648 = ((BgL_objectz00_bglt) BgL_tmp1109z00_1491);
							((BgL_localz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2648, BgL_arg2019z00_1493));
					}}
					return ((BgL_localz00_bglt) BgL_tmp1109z00_1491);
				}
			}
		}
	}



/* &lambda2014 */
	BgL_localz00_bglt BGl_z62lambda2014z62zzeffect_cgraphz00(obj_t
		BgL_envz00_3097, obj_t BgL_id1096z00_3098, obj_t BgL_name1097z00_3099,
		obj_t BgL_type1098z00_3100, obj_t BgL_value1099z00_3101,
		obj_t BgL_access1100z00_3102, obj_t BgL_fastzd2alpha1101zd2_3103,
		obj_t BgL_removable1102z00_3104, obj_t BgL_occurrence1103z00_3105,
		obj_t BgL_occurrencew1104z00_3106, obj_t BgL_userzf31105zf3_3107,
		obj_t BgL_key1106z00_3108, obj_t BgL_from1107z00_3109)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				obj_t BgL_id1096z00_1470;
				obj_t BgL_name1097z00_1471;
				BgL_typez00_bglt BgL_type1098z00_1472;
				BgL_valuez00_bglt BgL_value1099z00_1473;
				obj_t BgL_access1100z00_1474;
				obj_t BgL_fastzd2alpha1101zd2_1475;
				obj_t BgL_removable1102z00_1476;
				long BgL_occurrence1103z00_1477;
				long BgL_occurrencew1104z00_1478;
				bool_t BgL_userzf31105zf3_1479;
				long BgL_key1106z00_1480;
				obj_t BgL_from1107z00_1481;

				BgL_id1096z00_1470 = BgL_id1096z00_3098;
				BgL_name1097z00_1471 = BgL_name1097z00_3099;
				BgL_type1098z00_1472 = ((BgL_typez00_bglt) BgL_type1098z00_3100);
				BgL_value1099z00_1473 = ((BgL_valuez00_bglt) BgL_value1099z00_3101);
				BgL_access1100z00_1474 = BgL_access1100z00_3102;
				BgL_fastzd2alpha1101zd2_1475 = BgL_fastzd2alpha1101zd2_3103;
				BgL_removable1102z00_1476 = BgL_removable1102z00_3104;
				BgL_occurrence1103z00_1477 = (long) CINT(BgL_occurrence1103z00_3105);
				BgL_occurrencew1104z00_1478 = (long) CINT(BgL_occurrencew1104z00_3106);
				BgL_userzf31105zf3_1479 = CBOOL(BgL_userzf31105zf3_3107);
				BgL_key1106z00_1480 = (long) CINT(BgL_key1106z00_3108);
				BgL_from1107z00_1481 = BgL_from1107z00_3109;
				{	/* Effect/cgraph.scm 21 */
					BgL_localz00_bglt BgL_new1249z00_1483;

					{	/* Effect/cgraph.scm 21 */
						BgL_localz00_bglt BgL_tmp1247z00_1484;
						BgL_localzf2fromzf2_bglt BgL_wide1248z00_1485;

						{
							BgL_localz00_bglt BgL_auxz00_4364;

							{	/* Effect/cgraph.scm 21 */
								BgL_localz00_bglt BgL_new1246z00_1487;

								BgL_new1246z00_1487 =
									((BgL_localz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_localz00_bgl))));
								{	/* Effect/cgraph.scm 21 */
									long BgL_arg2017z00_1488;

									{	/* Effect/cgraph.scm 21 */
										long BgL_res2186z00_2639;

										BgL_res2186z00_2639 =
											BGL_CLASS_INDEX(BGl_localz00zzast_varz00);
										BgL_arg2017z00_1488 = BgL_res2186z00_2639;
									}
									{	/* Effect/cgraph.scm 21 */
										BgL_objectz00_bglt BgL_objz00_2640;

										BgL_objz00_2640 =
											((BgL_objectz00_bglt) BgL_new1246z00_1487);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2640,
											BgL_arg2017z00_1488);
								}}
								{	/* Effect/cgraph.scm 21 */
									BgL_objectz00_bglt BgL_auxz00_4369;

									BgL_auxz00_4369 = ((BgL_objectz00_bglt) BgL_new1246z00_1487);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4369, BFALSE);
								}
								BgL_auxz00_4364 = BgL_new1246z00_1487;
							}
							BgL_tmp1247z00_1484 = ((BgL_localz00_bglt) BgL_auxz00_4364);
						}
						BgL_wide1248z00_1485 =
							((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 21 */
							obj_t BgL_auxz00_4376;
							BgL_objectz00_bglt BgL_auxz00_4374;

							BgL_auxz00_4376 = ((obj_t) BgL_wide1248z00_1485);
							BgL_auxz00_4374 = ((BgL_objectz00_bglt) BgL_tmp1247z00_1484);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4374, BgL_auxz00_4376);
						}
						{	/* Effect/cgraph.scm 21 */
							long BgL_arg2016z00_1486;

							{	/* Effect/cgraph.scm 21 */
								long BgL_res2187z00_2643;

								BgL_res2187z00_2643 =
									BGL_CLASS_INDEX(BGl_localzf2fromzf2zzeffect_cgraphz00);
								BgL_arg2016z00_1486 = BgL_res2187z00_2643;
							}
							{	/* Effect/cgraph.scm 21 */
								BgL_objectz00_bglt BgL_objz00_2644;

								BgL_objz00_2644 = ((BgL_objectz00_bglt) BgL_tmp1247z00_1484);
								((BgL_localz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2644,
										BgL_arg2016z00_1486));
						}}
						BgL_new1249z00_1483 = ((BgL_localz00_bglt) BgL_tmp1247z00_1484);
					}
					((((BgL_variablez00_bglt) CREF(
									((BgL_variablez00_bglt) BgL_new1249z00_1483)))->BgL_idz00) =
						((obj_t) BgL_id1096z00_1470), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1249z00_1483)))->BgL_namez00) =
						((obj_t) BgL_name1097z00_1471), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1249z00_1483)))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_type1098z00_1472), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1249z00_1483)))->BgL_valuez00) =
						((BgL_valuez00_bglt) BgL_value1099z00_1473), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1249z00_1483)))->BgL_accessz00) =
						((obj_t) BgL_access1100z00_1474), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1249z00_1483)))->BgL_fastzd2alphazd2) =
						((obj_t) BgL_fastzd2alpha1101zd2_1475), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1249z00_1483)))->BgL_removablez00) =
						((obj_t) BgL_removable1102z00_1476), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1249z00_1483)))->BgL_occurrencez00) =
						((long) BgL_occurrence1103z00_1477), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1249z00_1483)))->BgL_occurrencewz00) =
						((long) BgL_occurrencew1104z00_1478), BUNSPEC);
					((((BgL_variablez00_bglt) CREF(((BgL_variablez00_bglt)
										BgL_new1249z00_1483)))->BgL_userzf3zf3) =
						((bool_t) BgL_userzf31105zf3_1479), BUNSPEC);
					((((BgL_localz00_bglt) CREF(((BgL_localz00_bglt)
										BgL_new1249z00_1483)))->BgL_keyz00) =
						((long) BgL_key1106z00_1480), BUNSPEC);
					{
						BgL_localzf2fromzf2_bglt BgL_auxz00_4406;

						{
							obj_t BgL_auxz00_4407;

							{	/* Effect/cgraph.scm 21 */
								BgL_objectz00_bglt BgL_auxz00_4408;

								BgL_auxz00_4408 = ((BgL_objectz00_bglt) BgL_new1249z00_1483);
								BgL_auxz00_4407 = BGL_OBJECT_WIDENING(BgL_auxz00_4408);
							}
							BgL_auxz00_4406 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4407);
						}
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4406))->BgL_fromz00) =
							((obj_t) BgL_from1107z00_1481), BUNSPEC);
					}
					return BgL_new1249z00_1483;
				}
			}
		}
	}



/* &lambda2031 */
	obj_t BGl_z62lambda2031z62zzeffect_cgraphz00(obj_t BgL_envz00_3110,
		obj_t BgL_oz00_3111, obj_t BgL_vz00_3112)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_oz00_1509;
				obj_t BgL_vz00_1510;

				BgL_oz00_1509 = ((BgL_localz00_bglt) BgL_oz00_3111);
				BgL_vz00_1510 = BgL_vz00_3112;
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4419;

					{
						obj_t BgL_auxz00_4420;

						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_4421;

							BgL_auxz00_4421 = ((BgL_objectz00_bglt) BgL_oz00_1509);
							BgL_auxz00_4420 = BGL_OBJECT_WIDENING(BgL_auxz00_4421);
						}
						BgL_auxz00_4419 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4420);
					}
					return
						((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4419))->BgL_fromz00) =
						((obj_t) BgL_vz00_1510), BUNSPEC);
				}
			}
		}
	}



/* &lambda2030 */
	obj_t BGl_z62lambda2030z62zzeffect_cgraphz00(obj_t BgL_envz00_3113,
		obj_t BgL_oz00_3114)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 21 */
			{
				BgL_localz00_bglt BgL_oz00_1506;

				BgL_oz00_1506 = ((BgL_localz00_bglt) BgL_oz00_3114);
				{
					BgL_localzf2fromzf2_bglt BgL_auxz00_4427;

					{
						obj_t BgL_auxz00_4428;

						{	/* Effect/cgraph.scm 21 */
							BgL_objectz00_bglt BgL_auxz00_4429;

							BgL_auxz00_4429 = ((BgL_objectz00_bglt) BgL_oz00_1506);
							BgL_auxz00_4428 = BGL_OBJECT_WIDENING(BgL_auxz00_4429);
						}
						BgL_auxz00_4427 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4428);
					}
					return
						(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4427))->BgL_fromz00);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_proc2243z00zzeffect_cgraphz00, BGl_nodez00zzast_nodez00,
				BGl_string2244z00zzeffect_cgraphz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_proc2245z00zzeffect_cgraphz00, BGl_variablez00zzast_varz00,
				BGl_string2246z00zzeffect_cgraphz00);
		}
	}



/* &save-call!1983 */
	obj_t BGl_z62savezd2callz121983za2zzeffect_cgraphz00(obj_t BgL_envz00_3117,
		obj_t BgL_calleez00_3118, obj_t BgL_ownerz00_3119)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 211 */
			{
				BgL_variablez00_bglt BgL_calleez00_1591;
				BgL_variablez00_bglt BgL_ownerz00_1592;

				BgL_calleez00_1591 = ((BgL_variablez00_bglt) BgL_calleez00_3118);
				BgL_ownerz00_1592 = ((BgL_variablez00_bglt) BgL_ownerz00_3119);
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 7)),
					BGl_string2247z00zzeffect_cgraphz00, ((obj_t) BgL_calleez00_1591));
		}}
	}



/* &call-graph!1942 */
	obj_t BGl_z62callzd2graphz121942za2zzeffect_cgraphz00(obj_t BgL_envz00_3120,
		obj_t BgL_nodez00_3121, obj_t BgL_ownerz00_3122)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 38 */
			return CNST_TABLE_REF(((long) 8));
		}
	}



/* call-graph! */
	obj_t BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_nodez00_bglt
		BgL_nodez00_134, BgL_variablez00_bglt BgL_ownerz00_135)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 38 */
			{	/* Effect/cgraph.scm 38 */
				obj_t BgL_method1943z00_1595;

				{	/* Effect/cgraph.scm 38 */
					obj_t BgL_res2204z00_2737;

					{	/* Effect/cgraph.scm 38 */
						BgL_objectz00_bglt BgL_objz00_2709;

						BgL_objz00_2709 = ((BgL_objectz00_bglt) BgL_nodez00_134);
						{	/* Effect/cgraph.scm 38 */
							long BgL_objzd2classzd2numz00_2710;

							{	/* Effect/cgraph.scm 38 */
								long BgL_res2198z00_2713;

								BgL_res2198z00_2713 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2709);
								BgL_objzd2classzd2numz00_2710 = BgL_res2198z00_2713;
							}
							{	/* Effect/cgraph.scm 38 */
								obj_t BgL_arg1803z00_2711;

								BgL_arg1803z00_2711 =
									PROCEDURE_REF(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
									(int) (((long) 1)));
								{	/* Effect/cgraph.scm 38 */
									obj_t BgL_arrayz00_2714;
									int BgL_offsetz00_2715;

									BgL_arrayz00_2714 = BgL_arg1803z00_2711;
									BgL_offsetz00_2715 = (int) (BgL_objzd2classzd2numz00_2710);
									{	/* Effect/cgraph.scm 38 */
										long BgL_offsetz00_2716;

										BgL_offsetz00_2716 =
											((long) (BgL_offsetz00_2715) - OBJECT_TYPE);
										{	/* Effect/cgraph.scm 38 */
											long BgL_modz00_2717;

											{	/* Effect/cgraph.scm 38 */
												int BgL_arg1805z00_2718;

												BgL_arg1805z00_2718 = (int) (((long) 16));
												{	/* Effect/cgraph.scm 38 */
													long BgL_res2201z00_2728;

													{	/* Effect/cgraph.scm 38 */
														long BgL_auxz00_4451;

														BgL_auxz00_4451 = (long) (BgL_arg1805z00_2718);
														BgL_res2201z00_2728 =
															(BgL_offsetz00_2716 / BgL_auxz00_4451);
													}
													BgL_modz00_2717 = BgL_res2201z00_2728;
											}}
											{	/* Effect/cgraph.scm 38 */
												long BgL_restz00_2719;

												{	/* Effect/cgraph.scm 38 */
													int BgL_arg1804z00_2720;

													BgL_arg1804z00_2720 = (int) (((long) 16));
													{	/* Effect/cgraph.scm 38 */
														long BgL_res2203z00_2732;

														{	/* Effect/cgraph.scm 38 */
															long BgL_auxz00_4455;

															BgL_auxz00_4455 = (long) (BgL_arg1804z00_2720);
															BgL_res2203z00_2732 =
																(BgL_offsetz00_2716 % BgL_auxz00_4455);
														}
														BgL_restz00_2719 = BgL_res2203z00_2732;
												}}
												{	/* Effect/cgraph.scm 38 */

													BgL_res2204z00_2737 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2714,
															(int) (BgL_modz00_2717)),
														(int) (BgL_restz00_2719));
					}}}}}}}}
					BgL_method1943z00_1595 = BgL_res2204z00_2737;
				}
				return
					PROCEDURE_ENTRY(BgL_method1943z00_1595) (BgL_method1943z00_1595,
					((obj_t) BgL_nodez00_134), ((obj_t) BgL_ownerz00_135), BEOA);
			}
		}
	}



/* &call-graph! */
	obj_t BGl_z62callzd2graphz12za2zzeffect_cgraphz00(obj_t BgL_envz00_3123,
		obj_t BgL_nodez00_3124, obj_t BgL_ownerz00_3125)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 38 */
			return
				BGl_callzd2graphz12zc0zzeffect_cgraphz00(
				((BgL_nodez00_bglt) BgL_nodez00_3124),
				((BgL_variablez00_bglt) BgL_ownerz00_3125));
		}
	}



/* save-call! */
	obj_t BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_variablez00_bglt
		BgL_calleez00_174, BgL_variablez00_bglt BgL_ownerz00_175)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 211 */
			{	/* Effect/cgraph.scm 211 */
				obj_t BgL_method1984z00_1596;

				{	/* Effect/cgraph.scm 211 */
					obj_t BgL_res2211z00_2766;

					{	/* Effect/cgraph.scm 211 */
						BgL_objectz00_bglt BgL_objz00_2738;

						BgL_objz00_2738 = ((BgL_objectz00_bglt) BgL_calleez00_174);
						{	/* Effect/cgraph.scm 211 */
							long BgL_objzd2classzd2numz00_2739;

							{	/* Effect/cgraph.scm 211 */
								long BgL_res2205z00_2742;

								BgL_res2205z00_2742 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2738);
								BgL_objzd2classzd2numz00_2739 = BgL_res2205z00_2742;
							}
							{	/* Effect/cgraph.scm 211 */
								obj_t BgL_arg1803z00_2740;

								BgL_arg1803z00_2740 =
									PROCEDURE_REF(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
									(int) (((long) 1)));
								{	/* Effect/cgraph.scm 211 */
									obj_t BgL_arrayz00_2743;
									int BgL_offsetz00_2744;

									BgL_arrayz00_2743 = BgL_arg1803z00_2740;
									BgL_offsetz00_2744 = (int) (BgL_objzd2classzd2numz00_2739);
									{	/* Effect/cgraph.scm 211 */
										long BgL_offsetz00_2745;

										BgL_offsetz00_2745 =
											((long) (BgL_offsetz00_2744) - OBJECT_TYPE);
										{	/* Effect/cgraph.scm 211 */
											long BgL_modz00_2746;

											{	/* Effect/cgraph.scm 211 */
												int BgL_arg1805z00_2747;

												BgL_arg1805z00_2747 = (int) (((long) 16));
												{	/* Effect/cgraph.scm 211 */
													long BgL_res2208z00_2757;

													{	/* Effect/cgraph.scm 211 */
														long BgL_auxz00_4480;

														BgL_auxz00_4480 = (long) (BgL_arg1805z00_2747);
														BgL_res2208z00_2757 =
															(BgL_offsetz00_2745 / BgL_auxz00_4480);
													}
													BgL_modz00_2746 = BgL_res2208z00_2757;
											}}
											{	/* Effect/cgraph.scm 211 */
												long BgL_restz00_2748;

												{	/* Effect/cgraph.scm 211 */
													int BgL_arg1804z00_2749;

													BgL_arg1804z00_2749 = (int) (((long) 16));
													{	/* Effect/cgraph.scm 211 */
														long BgL_res2210z00_2761;

														{	/* Effect/cgraph.scm 211 */
															long BgL_auxz00_4484;

															BgL_auxz00_4484 = (long) (BgL_arg1804z00_2749);
															BgL_res2210z00_2761 =
																(BgL_offsetz00_2745 % BgL_auxz00_4484);
														}
														BgL_restz00_2748 = BgL_res2210z00_2761;
												}}
												{	/* Effect/cgraph.scm 211 */

													BgL_res2211z00_2766 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2743,
															(int) (BgL_modz00_2746)),
														(int) (BgL_restz00_2748));
					}}}}}}}}
					BgL_method1984z00_1596 = BgL_res2211z00_2766;
				}
				return
					PROCEDURE_ENTRY(BgL_method1984z00_1596) (BgL_method1984z00_1596,
					((obj_t) BgL_calleez00_174), ((obj_t) BgL_ownerz00_175), BEOA);
			}
		}
	}



/* &save-call! */
	obj_t BGl_z62savezd2callz12za2zzeffect_cgraphz00(obj_t BgL_envz00_3126,
		obj_t BgL_calleez00_3127, obj_t BgL_ownerz00_3128)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 211 */
			return
				BGl_savezd2callz12zc0zzeffect_cgraphz00(
				((BgL_variablez00_bglt) BgL_calleez00_3127),
				((BgL_variablez00_bglt) BgL_ownerz00_3128));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2248z00zzeffect_cgraphz00,
				BGl_string2249z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_syncz00zzast_nodez00, BGl_proc2250z00zzeffect_cgraphz00,
				BGl_string2249z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appz00zzast_nodez00, BGl_proc2251z00zzeffect_cgraphz00,
				BGl_string2249z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2252z00zzeffect_cgraphz00,
				BGl_string2249z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2253z00zzeffect_cgraphz00,
				BGl_string2249z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_externz00zzast_nodez00, BGl_proc2254z00zzeffect_cgraphz00,
				BGl_string2249z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_castz00zzast_nodez00, BGl_proc2255z00zzeffect_cgraphz00,
				BGl_string2249z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setqz00zzast_nodez00, BGl_proc2256z00zzeffect_cgraphz00,
				BGl_string2249z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2257z00zzeffect_cgraphz00,
				BGl_string2249z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_failz00zzast_nodez00, BGl_proc2258z00zzeffect_cgraphz00,
				BGl_string2249z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_selectz00zzast_nodez00, BGl_proc2259z00zzeffect_cgraphz00,
				BGl_string2249z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2260z00zzeffect_cgraphz00,
				BGl_string2249z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2261z00zzeffect_cgraphz00,
				BGl_string2249z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2262z00zzeffect_cgraphz00,
				BGl_string2249z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2263z00zzeffect_cgraphz00,
				BGl_string2249z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2264z00zzeffect_cgraphz00,
				BGl_string2249z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2265z00zzeffect_cgraphz00,
				BGl_string2249z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_callzd2graphz12zd2envz12zzeffect_cgraphz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2266z00zzeffect_cgraphz00,
				BGl_string2249z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalz00zzast_varz00, BGl_proc2267z00zzeffect_cgraphz00,
				BGl_string2268z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_globalzf2fromzf2zzeffect_cgraphz00,
				BGl_proc2269z00zzeffect_cgraphz00, BGl_string2268z00zzeffect_cgraphz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localz00zzast_varz00, BGl_proc2270z00zzeffect_cgraphz00,
				BGl_string2268z00zzeffect_cgraphz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_savezd2callz12zd2envz12zzeffect_cgraphz00,
				BGl_localzf2fromzf2zzeffect_cgraphz00,
				BGl_proc2271z00zzeffect_cgraphz00, BGl_string2268z00zzeffect_cgraphz00);
		}
	}



/* &save-call!-local/fro1993 */
	obj_t BGl_z62savezd2callz12zd2localzf2fro1993z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3151, obj_t BgL_calleez00_3152, obj_t BgL_ownerz00_3153)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 242 */
			{
				BgL_localz00_bglt BgL_calleez00_1800;
				obj_t BgL_ownerz00_1801;

				BgL_calleez00_1800 = ((BgL_localz00_bglt) BgL_calleez00_3152);
				BgL_ownerz00_1801 = BgL_ownerz00_3153;
				{	/* Effect/cgraph.scm 244 */
					bool_t BgL_testz00_4523;

					{	/* Effect/cgraph.scm 244 */
						obj_t BgL_auxz00_4524;

						{	/* Effect/cgraph.scm 244 */
							obj_t BgL_auxz00_4525;

							{
								BgL_localzf2fromzf2_bglt BgL_auxz00_4526;

								{
									obj_t BgL_auxz00_4527;

									{	/* Effect/cgraph.scm 244 */
										BgL_objectz00_bglt BgL_auxz00_4528;

										BgL_auxz00_4528 = ((BgL_objectz00_bglt) BgL_calleez00_1800);
										BgL_auxz00_4527 = BGL_OBJECT_WIDENING(BgL_auxz00_4528);
									}
									BgL_auxz00_4526 =
										((BgL_localzf2fromzf2_bglt) BgL_auxz00_4527);
								}
								BgL_auxz00_4525 =
									(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4526))->
									BgL_fromz00);
							}
							BgL_auxz00_4524 =
								BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_1801,
								BgL_auxz00_4525);
						}
						BgL_testz00_4523 = CBOOL(BgL_auxz00_4524);
					}
					if (BgL_testz00_4523)
						{	/* Effect/cgraph.scm 244 */
							return BFALSE;
						}
					else
						{
							obj_t BgL_auxz00_4541;
							BgL_localzf2fromzf2_bglt BgL_auxz00_4535;

							{	/* Effect/cgraph.scm 245 */
								obj_t BgL_arg2119z00_1806;

								{
									BgL_localzf2fromzf2_bglt BgL_auxz00_4542;

									{
										obj_t BgL_auxz00_4543;

										{	/* Effect/cgraph.scm 245 */
											BgL_objectz00_bglt BgL_auxz00_4544;

											BgL_auxz00_4544 =
												((BgL_objectz00_bglt) BgL_calleez00_1800);
											BgL_auxz00_4543 = BGL_OBJECT_WIDENING(BgL_auxz00_4544);
										}
										BgL_auxz00_4542 =
											((BgL_localzf2fromzf2_bglt) BgL_auxz00_4543);
									}
									BgL_arg2119z00_1806 =
										(((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4542))->
										BgL_fromz00);
								}
								BgL_auxz00_4541 =
									MAKE_PAIR(BgL_ownerz00_1801, BgL_arg2119z00_1806);
							}
							{
								obj_t BgL_auxz00_4536;

								{	/* Effect/cgraph.scm 245 */
									BgL_objectz00_bglt BgL_auxz00_4537;

									BgL_auxz00_4537 = ((BgL_objectz00_bglt) BgL_calleez00_1800);
									BgL_auxz00_4536 = BGL_OBJECT_WIDENING(BgL_auxz00_4537);
								}
								BgL_auxz00_4535 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4536);
							}
							return
								((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4535))->
									BgL_fromz00) = ((obj_t) BgL_auxz00_4541), BUNSPEC);
						}
				}
			}
		}
	}



/* &save-call!-local1991 */
	obj_t BGl_z62savezd2callz12zd2local1991z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3154, obj_t BgL_calleez00_3155, obj_t BgL_ownerz00_3156)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 236 */
			{
				BgL_localz00_bglt BgL_calleez00_1789;
				obj_t BgL_ownerz00_1790;

				BgL_calleez00_1789 = ((BgL_localz00_bglt) BgL_calleez00_3155);
				BgL_ownerz00_1790 = BgL_ownerz00_3156;
				{	/* Effect/cgraph.scm 237 */
					BgL_localz00_bglt BgL_arg2114z00_1793;

					{	/* Effect/cgraph.scm 237 */
						BgL_localz00_bglt BgL_tmp1241z00_1795;
						BgL_localzf2fromzf2_bglt BgL_wide1242z00_1796;

						BgL_tmp1241z00_1795 = ((BgL_localz00_bglt) BgL_calleez00_1789);
						BgL_wide1242z00_1796 =
							((BgL_localzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_localzf2fromzf2_bgl))));
						{	/* Effect/cgraph.scm 237 */
							obj_t BgL_auxz00_4556;
							BgL_objectz00_bglt BgL_auxz00_4554;

							BgL_auxz00_4556 = ((obj_t) BgL_wide1242z00_1796);
							BgL_auxz00_4554 = ((BgL_objectz00_bglt) BgL_tmp1241z00_1795);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4554, BgL_auxz00_4556);
						}
						{	/* Effect/cgraph.scm 237 */
							long BgL_arg2115z00_1797;

							{	/* Effect/cgraph.scm 237 */
								long BgL_res2229z00_2833;

								BgL_res2229z00_2833 =
									BGL_CLASS_INDEX(BGl_localzf2fromzf2zzeffect_cgraphz00);
								BgL_arg2115z00_1797 = BgL_res2229z00_2833;
							}
							{	/* Effect/cgraph.scm 237 */
								BgL_objectz00_bglt BgL_objz00_2834;

								BgL_objz00_2834 = ((BgL_objectz00_bglt) BgL_tmp1241z00_1795);
								((BgL_localz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2834,
										BgL_arg2115z00_1797));
						}} BgL_tmp1241z00_1795;
					}
					{	/* Effect/cgraph.scm 237 */
						BgL_localz00_bglt BgL_new1244z00_1798;

						BgL_new1244z00_1798 = ((BgL_localz00_bglt) BgL_calleez00_1789);
						{
							BgL_localzf2fromzf2_bglt BgL_auxz00_4564;

							{
								obj_t BgL_auxz00_4565;

								{	/* Effect/cgraph.scm 237 */
									BgL_objectz00_bglt BgL_auxz00_4566;

									BgL_auxz00_4566 = ((BgL_objectz00_bglt) BgL_new1244z00_1798);
									BgL_auxz00_4565 = BGL_OBJECT_WIDENING(BgL_auxz00_4566);
								}
								BgL_auxz00_4564 = ((BgL_localzf2fromzf2_bglt) BgL_auxz00_4565);
							}
							((((BgL_localzf2fromzf2_bglt) CREF(BgL_auxz00_4564))->
									BgL_fromz00) = ((obj_t) BNIL), BUNSPEC);
						}
						BgL_arg2114z00_1793 = BgL_new1244z00_1798;
					}
					return
						BGl_savezd2callz12zc0zzeffect_cgraphz00(
						((BgL_variablez00_bglt) BgL_arg2114z00_1793),
						((BgL_variablez00_bglt) BgL_ownerz00_1790));
				}
			}
		}
	}



/* &save-call!-global/fr1989 */
	obj_t BGl_z62savezd2callz12zd2globalzf2fr1989z82zzeffect_cgraphz00(obj_t
		BgL_envz00_3157, obj_t BgL_calleez00_3158, obj_t BgL_ownerz00_3159)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 228 */
			{
				BgL_globalz00_bglt BgL_calleez00_1780;
				obj_t BgL_ownerz00_1781;

				BgL_calleez00_1780 = ((BgL_globalz00_bglt) BgL_calleez00_3158);
				BgL_ownerz00_1781 = BgL_ownerz00_3159;
				{	/* Effect/cgraph.scm 230 */
					bool_t BgL_testz00_4575;

					{	/* Effect/cgraph.scm 230 */
						obj_t BgL_auxz00_4576;

						{	/* Effect/cgraph.scm 230 */
							obj_t BgL_auxz00_4577;

							{
								BgL_globalzf2fromzf2_bglt BgL_auxz00_4578;

								{
									obj_t BgL_auxz00_4579;

									{	/* Effect/cgraph.scm 230 */
										BgL_objectz00_bglt BgL_auxz00_4580;

										BgL_auxz00_4580 = ((BgL_objectz00_bglt) BgL_calleez00_1780);
										BgL_auxz00_4579 = BGL_OBJECT_WIDENING(BgL_auxz00_4580);
									}
									BgL_auxz00_4578 =
										((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4579);
								}
								BgL_auxz00_4577 =
									(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4578))->
									BgL_fromz00);
							}
							BgL_auxz00_4576 =
								BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_ownerz00_1781,
								BgL_auxz00_4577);
						}
						BgL_testz00_4575 = CBOOL(BgL_auxz00_4576);
					}
					if (BgL_testz00_4575)
						{	/* Effect/cgraph.scm 230 */
							return BFALSE;
						}
					else
						{
							obj_t BgL_auxz00_4593;
							BgL_globalzf2fromzf2_bglt BgL_auxz00_4587;

							{	/* Effect/cgraph.scm 231 */
								obj_t BgL_arg2111z00_1786;

								{
									BgL_globalzf2fromzf2_bglt BgL_auxz00_4594;

									{
										obj_t BgL_auxz00_4595;

										{	/* Effect/cgraph.scm 231 */
											BgL_objectz00_bglt BgL_auxz00_4596;

											BgL_auxz00_4596 =
												((BgL_objectz00_bglt) BgL_calleez00_1780);
											BgL_auxz00_4595 = BGL_OBJECT_WIDENING(BgL_auxz00_4596);
										}
										BgL_auxz00_4594 =
											((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4595);
									}
									BgL_arg2111z00_1786 =
										(((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4594))->
										BgL_fromz00);
								}
								BgL_auxz00_4593 =
									MAKE_PAIR(BgL_ownerz00_1781, BgL_arg2111z00_1786);
							}
							{
								obj_t BgL_auxz00_4588;

								{	/* Effect/cgraph.scm 231 */
									BgL_objectz00_bglt BgL_auxz00_4589;

									BgL_auxz00_4589 = ((BgL_objectz00_bglt) BgL_calleez00_1780);
									BgL_auxz00_4588 = BGL_OBJECT_WIDENING(BgL_auxz00_4589);
								}
								BgL_auxz00_4587 = ((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4588);
							}
							return
								((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4587))->
									BgL_fromz00) = ((obj_t) BgL_auxz00_4593), BUNSPEC);
						}
				}
			}
		}
	}



/* &save-call!-global1986 */
	obj_t BGl_z62savezd2callz12zd2global1986z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3160, obj_t BgL_calleez00_3161, obj_t BgL_ownerz00_3162)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 216 */
			{
				BgL_globalz00_bglt BgL_calleez00_1763;
				obj_t BgL_ownerz00_1764;

				BgL_calleez00_1763 = ((BgL_globalz00_bglt) BgL_calleez00_3161);
				BgL_ownerz00_1764 = BgL_ownerz00_3162;
				{	/* Effect/cgraph.scm 217 */
					BgL_valuez00_bglt BgL_funz00_1767;

					BgL_funz00_1767 =
						(((BgL_variablez00_bglt) CREF(
								((BgL_variablez00_bglt) BgL_calleez00_1763)))->BgL_valuez00);
					{	/* Effect/cgraph.scm 218 */
						bool_t BgL_testz00_4606;

						{	/* Effect/cgraph.scm 218 */
							bool_t BgL_testz00_4607;

							{	/* Effect/cgraph.scm 218 */
								bool_t BgL_res2226z00_2821;

								{	/* Effect/cgraph.scm 218 */
									obj_t BgL_objz00_2820;

									BgL_objz00_2820 = ((obj_t) BgL_funz00_1767);
									BgL_res2226z00_2821 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2820,
										BGl_cfunz00zzast_varz00);
								}
								BgL_testz00_4607 = BgL_res2226z00_2821;
							}
							if (BgL_testz00_4607)
								{	/* Effect/cgraph.scm 218 */
									BgL_testz00_4606 = ((bool_t) 1);
								}
							else
								{	/* Effect/cgraph.scm 219 */
									bool_t BgL_testz00_4610;

									{	/* Effect/cgraph.scm 219 */
										bool_t BgL_res2227z00_2823;

										{	/* Effect/cgraph.scm 219 */
											obj_t BgL_objz00_2822;

											BgL_objz00_2822 = ((obj_t) BgL_funz00_1767);
											BgL_res2227z00_2823 =
												BGl_isazf3zf3zz__objectz00(BgL_objz00_2822,
												BGl_sfunz00zzast_varz00);
										}
										BgL_testz00_4610 = BgL_res2227z00_2823;
									}
									if (BgL_testz00_4610)
										{	/* Effect/cgraph.scm 219 */
											BgL_testz00_4606 =
												(
												(((BgL_globalz00_bglt) CREF(BgL_calleez00_1763))->
													BgL_importz00) == CNST_TABLE_REF(((long) 9)));
										}
									else
										{	/* Effect/cgraph.scm 219 */
											BgL_testz00_4606 = ((bool_t) 0);
										}
								}
						}
						if (BgL_testz00_4606)
							{	/* Effect/cgraph.scm 218 */
								if (CBOOL(
										(((BgL_funz00_bglt) CREF(
													((BgL_funz00_bglt) BgL_funz00_1767)))->
											BgL_sidezd2effectzd2)))
									{	/* Effect/cgraph.scm 221 */
										return
											BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
											((BgL_variablez00_bglt) BgL_ownerz00_1764));
									}
								else
									{	/* Effect/cgraph.scm 221 */
										return BFALSE;
									}
							}
						else
							{	/* Effect/cgraph.scm 223 */
								BgL_globalz00_bglt BgL_arg2106z00_1770;

								{	/* Effect/cgraph.scm 223 */
									BgL_globalz00_bglt BgL_tmp1236z00_1772;
									BgL_globalzf2fromzf2_bglt BgL_wide1237z00_1773;

									BgL_tmp1236z00_1772 =
										((BgL_globalz00_bglt) BgL_calleez00_1763);
									BgL_wide1237z00_1773 =
										((BgL_globalzf2fromzf2_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_globalzf2fromzf2_bgl))));
									{	/* Effect/cgraph.scm 223 */
										obj_t BgL_auxz00_4626;
										BgL_objectz00_bglt BgL_auxz00_4624;

										BgL_auxz00_4626 = ((obj_t) BgL_wide1237z00_1773);
										BgL_auxz00_4624 =
											((BgL_objectz00_bglt) BgL_tmp1236z00_1772);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_4624, BgL_auxz00_4626);
									}
									{	/* Effect/cgraph.scm 223 */
										long BgL_arg2107z00_1774;

										{	/* Effect/cgraph.scm 223 */
											long BgL_res2228z00_2829;

											BgL_res2228z00_2829 =
												BGL_CLASS_INDEX(BGl_globalzf2fromzf2zzeffect_cgraphz00);
											BgL_arg2107z00_1774 = BgL_res2228z00_2829;
										}
										{	/* Effect/cgraph.scm 223 */
											BgL_objectz00_bglt BgL_objz00_2830;

											BgL_objz00_2830 =
												((BgL_objectz00_bglt) BgL_tmp1236z00_1772);
											((BgL_globalz00_bglt)
												BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2830,
													BgL_arg2107z00_1774));
									}} BgL_tmp1236z00_1772;
								}
								{	/* Effect/cgraph.scm 223 */
									BgL_globalz00_bglt BgL_new1238z00_1775;

									BgL_new1238z00_1775 =
										((BgL_globalz00_bglt) BgL_calleez00_1763);
									{
										BgL_globalzf2fromzf2_bglt BgL_auxz00_4634;

										{
											obj_t BgL_auxz00_4635;

											{	/* Effect/cgraph.scm 223 */
												BgL_objectz00_bglt BgL_auxz00_4636;

												BgL_auxz00_4636 =
													((BgL_objectz00_bglt) BgL_new1238z00_1775);
												BgL_auxz00_4635 = BGL_OBJECT_WIDENING(BgL_auxz00_4636);
											}
											BgL_auxz00_4634 =
												((BgL_globalzf2fromzf2_bglt) BgL_auxz00_4635);
										}
										((((BgL_globalzf2fromzf2_bglt) CREF(BgL_auxz00_4634))->
												BgL_fromz00) = ((obj_t) BNIL), BUNSPEC);
									}
									BgL_arg2106z00_1770 = BgL_new1238z00_1775;
								}
								return
									BGl_savezd2callz12zc0zzeffect_cgraphz00(
									((BgL_variablez00_bglt) BgL_arg2106z00_1770),
									((BgL_variablez00_bglt) BgL_ownerz00_1764));
							}
					}
				}
			}
		}
	}



/* &call-graph!-box-set!1982 */
	obj_t BGl_z62callzd2graphz12zd2boxzd2setz121982zb0zzeffect_cgraphz00(obj_t
		BgL_envz00_3163, obj_t BgL_nodez00_3164, obj_t BgL_ownerz00_3165)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 196 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1755;
				obj_t BgL_ownerz00_1756;

				BgL_nodez00_1755 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3164);
				BgL_ownerz00_1756 = BgL_ownerz00_3165;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1756));
				{	/* Effect/cgraph.scm 199 */
					BgL_varz00_bglt BgL_arg2102z00_1760;

					BgL_arg2102z00_1760 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1755))->BgL_varz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(
						((BgL_nodez00_bglt) BgL_arg2102z00_1760),
						((BgL_variablez00_bglt) BgL_ownerz00_1756));
				}
				{	/* Effect/cgraph.scm 200 */
					BgL_nodez00_bglt BgL_arg2103z00_1761;

					BgL_arg2103z00_1761 =
						(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1755))->BgL_valuez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2103z00_1761,
						((BgL_variablez00_bglt) BgL_ownerz00_1756));
				}
			}
		}
	}



/* &call-graph!-box-ref1979 */
	obj_t BGl_z62callzd2graphz12zd2boxzd2ref1979za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3166, obj_t BgL_nodez00_3167, obj_t BgL_ownerz00_3168)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 188 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1749;
				obj_t BgL_ownerz00_1750;

				BgL_nodez00_1749 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3167);
				BgL_ownerz00_1750 = BgL_ownerz00_3168;
				{	/* Effect/cgraph.scm 189 */
					BgL_varz00_bglt BgL_arg2101z00_2813;

					BgL_arg2101z00_2813 =
						(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1749))->BgL_varz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(
						((BgL_nodez00_bglt) BgL_arg2101z00_2813),
						((BgL_variablez00_bglt) BgL_ownerz00_1750));
				}
			}
		}
	}



/* &call-graph!-make-box1977 */
	obj_t BGl_z62callzd2graphz12zd2makezd2box1977za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3169, obj_t BgL_nodez00_3170, obj_t BgL_ownerz00_3171)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 182 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1743;
				obj_t BgL_ownerz00_1744;

				BgL_nodez00_1743 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3170);
				BgL_ownerz00_1744 = BgL_ownerz00_3171;
				{	/* Effect/cgraph.scm 183 */
					BgL_nodez00_bglt BgL_arg2100z00_2809;

					BgL_arg2100z00_2809 =
						(((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1743))->BgL_valuez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2100z00_2809,
						((BgL_variablez00_bglt) BgL_ownerz00_1744));
				}
			}
		}
	}



/* &call-graph!-jump-ex-1975 */
	obj_t BGl_z62callzd2graphz12zd2jumpzd2exzd21975z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3172, obj_t BgL_nodez00_3173, obj_t BgL_ownerz00_3174)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 173 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1735;
				obj_t BgL_ownerz00_1736;

				BgL_nodez00_1735 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3173);
				BgL_ownerz00_1736 = BgL_ownerz00_3174;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1736));
				{	/* Effect/cgraph.scm 176 */
					BgL_nodez00_bglt BgL_arg2098z00_1740;

					BgL_arg2098z00_1740 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1735))->
						BgL_exitz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2098z00_1740,
						((BgL_variablez00_bglt) BgL_ownerz00_1736));
				}
				{	/* Effect/cgraph.scm 177 */
					BgL_nodez00_bglt BgL_arg2099z00_1741;

					BgL_arg2099z00_1741 =
						(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1735))->
						BgL_valuez00);
					return BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2099z00_1741,
						((BgL_variablez00_bglt) BgL_ownerz00_1736));
				}
			}
		}
	}



/* &call-graph!-set-ex-i1973 */
	obj_t BGl_z62callzd2graphz12zd2setzd2exzd2i1973z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3175, obj_t BgL_nodez00_3176, obj_t BgL_ownerz00_3177)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 165 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1728;
				obj_t BgL_ownerz00_1729;

				BgL_nodez00_1728 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3176);
				BgL_ownerz00_1729 = BgL_ownerz00_3177;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1729));
				{	/* Effect/cgraph.scm 168 */
					BgL_nodez00_bglt BgL_arg2097z00_2805;

					BgL_arg2097z00_2805 =
						(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1728))->BgL_bodyz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2097z00_2805,
						((BgL_variablez00_bglt) BgL_ownerz00_1729));
				}
			}
		}
	}



/* &call-graph!-let-var1971 */
	obj_t BGl_z62callzd2graphz12zd2letzd2var1971za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3178, obj_t BgL_nodez00_3179, obj_t BgL_ownerz00_3180)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 155 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1712;
				obj_t BgL_ownerz00_1713;

				{	/* Effect/cgraph.scm 156 */
					bool_t BgL_auxz00_4679;

					BgL_nodez00_1712 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3179);
					BgL_ownerz00_1713 = BgL_ownerz00_3180;
					{	/* Effect/cgraph.scm 157 */
						BgL_nodez00_bglt BgL_arg2091z00_1717;

						BgL_arg2091z00_1717 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1712))->BgL_bodyz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2091z00_1717,
							((BgL_variablez00_bglt) BgL_ownerz00_1713));
					}
					{	/* Effect/cgraph.scm 158 */
						obj_t BgL_g1935z00_1718;

						BgL_g1935z00_1718 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1712))->
							BgL_bindingsz00);
						{
							obj_t BgL_l1933z00_1720;

							BgL_l1933z00_1720 = BgL_g1935z00_1718;
						BgL_zc3anonymousza32092ze3z83_1721:
							if (PAIRP(BgL_l1933z00_1720))
								{	/* Effect/cgraph.scm 158 */
									{	/* Effect/cgraph.scm 159 */
										obj_t BgL_bindingz00_1723;

										BgL_bindingz00_1723 = CAR(BgL_l1933z00_1720);
										{	/* Effect/cgraph.scm 159 */
											obj_t BgL_arg2095z00_1724;

											BgL_arg2095z00_1724 = CDR(BgL_bindingz00_1723);
											BGl_callzd2graphz12zc0zzeffect_cgraphz00(
												((BgL_nodez00_bglt) BgL_arg2095z00_1724),
												((BgL_variablez00_bglt) BgL_ownerz00_1713));
										}
									}
									{
										obj_t BgL_l1933z00_4691;

										BgL_l1933z00_4691 = CDR(BgL_l1933z00_1720);
										BgL_l1933z00_1720 = BgL_l1933z00_4691;
										goto BgL_zc3anonymousza32092ze3z83_1721;
									}
								}
							else
								{	/* Effect/cgraph.scm 158 */
									BgL_auxz00_4679 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_4679);
				}
			}
		}
	}



/* &call-graph!-let-fun1969 */
	obj_t BGl_z62callzd2graphz12zd2letzd2fun1969za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3181, obj_t BgL_nodez00_3182, obj_t BgL_ownerz00_3183)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 145 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1697;
				obj_t BgL_ownerz00_1698;

				BgL_nodez00_1697 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3182);
				BgL_ownerz00_1698 = BgL_ownerz00_3183;
				{	/* Effect/cgraph.scm 147 */
					obj_t BgL_g1932z00_1702;

					BgL_g1932z00_1702 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1697))->BgL_localsz00);
					{
						obj_t BgL_l1930z00_1704;

						BgL_l1930z00_1704 = BgL_g1932z00_1702;
					BgL_zc3anonymousza32087ze3z83_1705:
						if (PAIRP(BgL_l1930z00_1704))
							{	/* Effect/cgraph.scm 147 */
								{	/* Effect/cgraph.scm 148 */
									obj_t BgL_localz00_1707;

									BgL_localz00_1707 = CAR(BgL_l1930z00_1704);
									BGl_funzd2callzd2graphz12z12zzeffect_cgraphz00(
										((BgL_variablez00_bglt) BgL_localz00_1707));
								}
								{
									obj_t BgL_l1930z00_4701;

									BgL_l1930z00_4701 = CDR(BgL_l1930z00_1704);
									BgL_l1930z00_1704 = BgL_l1930z00_4701;
									goto BgL_zc3anonymousza32087ze3z83_1705;
								}
							}
						else
							{	/* Effect/cgraph.scm 147 */
								((bool_t) 1);
							}
					}
				}
				{	/* Effect/cgraph.scm 150 */
					BgL_nodez00_bglt BgL_arg2090z00_1710;

					BgL_arg2090z00_1710 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1697))->BgL_bodyz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2090z00_1710,
						((BgL_variablez00_bglt) BgL_ownerz00_1698));
				}
			}
		}
	}



/* &call-graph!-select1967 */
	obj_t BGl_z62callzd2graphz12zd2select1967z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3184, obj_t BgL_nodez00_3185, obj_t BgL_ownerz00_3186)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 135 */
			{
				BgL_selectz00_bglt BgL_nodez00_1681;
				obj_t BgL_ownerz00_1682;

				{	/* Effect/cgraph.scm 136 */
					bool_t BgL_auxz00_4707;

					BgL_nodez00_1681 = ((BgL_selectz00_bglt) BgL_nodez00_3185);
					BgL_ownerz00_1682 = BgL_ownerz00_3186;
					{	/* Effect/cgraph.scm 137 */
						BgL_nodez00_bglt BgL_arg2082z00_1686;

						BgL_arg2082z00_1686 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1681))->BgL_testz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2082z00_1686,
							((BgL_variablez00_bglt) BgL_ownerz00_1682));
					}
					{	/* Effect/cgraph.scm 138 */
						obj_t BgL_g1929z00_1687;

						BgL_g1929z00_1687 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1681))->BgL_clausesz00);
						{
							obj_t BgL_l1927z00_1689;

							BgL_l1927z00_1689 = BgL_g1929z00_1687;
						BgL_zc3anonymousza32083ze3z83_1690:
							if (PAIRP(BgL_l1927z00_1689))
								{	/* Effect/cgraph.scm 138 */
									{	/* Effect/cgraph.scm 139 */
										obj_t BgL_clausez00_1692;

										BgL_clausez00_1692 = CAR(BgL_l1927z00_1689);
										{	/* Effect/cgraph.scm 139 */
											obj_t BgL_arg2085z00_1693;

											BgL_arg2085z00_1693 = CDR(BgL_clausez00_1692);
											BGl_callzd2graphz12zc0zzeffect_cgraphz00(
												((BgL_nodez00_bglt) BgL_arg2085z00_1693),
												((BgL_variablez00_bglt) BgL_ownerz00_1682));
										}
									}
									{
										obj_t BgL_l1927z00_4719;

										BgL_l1927z00_4719 = CDR(BgL_l1927z00_1689);
										BgL_l1927z00_1689 = BgL_l1927z00_4719;
										goto BgL_zc3anonymousza32083ze3z83_1690;
									}
								}
							else
								{	/* Effect/cgraph.scm 138 */
									BgL_auxz00_4707 = ((bool_t) 1);
								}
						}
					}
					return BBOOL(BgL_auxz00_4707);
				}
			}
		}
	}



/* &call-graph!-fail1965 */
	obj_t BGl_z62callzd2graphz12zd2fail1965z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3187, obj_t BgL_nodez00_3188, obj_t BgL_ownerz00_3189)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 125 */
			{
				BgL_failz00_bglt BgL_nodez00_1672;
				obj_t BgL_ownerz00_1673;

				BgL_nodez00_1672 = ((BgL_failz00_bglt) BgL_nodez00_3188);
				BgL_ownerz00_1673 = BgL_ownerz00_3189;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1673));
				{	/* Effect/cgraph.scm 128 */
					BgL_nodez00_bglt BgL_arg2079z00_1677;

					BgL_arg2079z00_1677 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1672))->BgL_procz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2079z00_1677,
						((BgL_variablez00_bglt) BgL_ownerz00_1673));
				}
				{	/* Effect/cgraph.scm 129 */
					BgL_nodez00_bglt BgL_arg2080z00_1678;

					BgL_arg2080z00_1678 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1672))->BgL_msgz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2080z00_1678,
						((BgL_variablez00_bglt) BgL_ownerz00_1673));
				}
				{	/* Effect/cgraph.scm 130 */
					BgL_nodez00_bglt BgL_arg2081z00_1679;

					BgL_arg2081z00_1679 =
						(((BgL_failz00_bglt) CREF(BgL_nodez00_1672))->BgL_objz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2081z00_1679,
						((BgL_variablez00_bglt) BgL_ownerz00_1673));
				}
			}
		}
	}



/* &call-graph!-conditio1963 */
	obj_t BGl_z62callzd2graphz12zd2conditio1963z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3190, obj_t BgL_nodez00_3191, obj_t BgL_ownerz00_3192)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 116 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1663;
				obj_t BgL_ownerz00_1664;

				BgL_nodez00_1663 = ((BgL_conditionalz00_bglt) BgL_nodez00_3191);
				BgL_ownerz00_1664 = BgL_ownerz00_3192;
				{	/* Effect/cgraph.scm 118 */
					BgL_nodez00_bglt BgL_arg2076z00_1668;

					BgL_arg2076z00_1668 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1663))->BgL_testz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2076z00_1668,
						((BgL_variablez00_bglt) BgL_ownerz00_1664));
				}
				{	/* Effect/cgraph.scm 119 */
					BgL_nodez00_bglt BgL_arg2077z00_1669;

					BgL_arg2077z00_1669 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1663))->BgL_truez00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2077z00_1669,
						((BgL_variablez00_bglt) BgL_ownerz00_1664));
				}
				{	/* Effect/cgraph.scm 120 */
					BgL_nodez00_bglt BgL_arg2078z00_1670;

					BgL_arg2078z00_1670 =
						(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1663))->BgL_falsez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2078z00_1670,
						((BgL_variablez00_bglt) BgL_ownerz00_1664));
				}
			}
		}
	}



/* &call-graph!-setq1961 */
	obj_t BGl_z62callzd2graphz12zd2setq1961z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3193, obj_t BgL_nodez00_3194, obj_t BgL_ownerz00_3195)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 106 */
			{
				BgL_setqz00_bglt BgL_nodez00_1651;
				obj_t BgL_ownerz00_1652;

				BgL_nodez00_1651 = ((BgL_setqz00_bglt) BgL_nodez00_3194);
				BgL_ownerz00_1652 = BgL_ownerz00_3195;
				{	/* Effect/cgraph.scm 108 */
					bool_t BgL_testz00_4745;

					if (BGl_isazf3zf3zz__objectz00(BgL_ownerz00_1652,
							BGl_localz00zzast_varz00))
						{	/* Effect/cgraph.scm 108 */
							BgL_testz00_4745 = ((bool_t) 1);
						}
					else
						{	/* Effect/cgraph.scm 108 */
							BgL_variablez00_bglt BgL_arg2072z00_1658;

							BgL_arg2072z00_1658 =
								(((BgL_varz00_bglt) CREF(
										(((BgL_setqz00_bglt) CREF(BgL_nodez00_1651))->
											BgL_varz00)))->BgL_variablez00);
							{	/* Effect/cgraph.scm 108 */
								bool_t BgL_res2218z00_2790;

								{	/* Effect/cgraph.scm 108 */
									obj_t BgL_objz00_2789;

									BgL_objz00_2789 = ((obj_t) BgL_arg2072z00_1658);
									BgL_res2218z00_2790 =
										BGl_isazf3zf3zz__objectz00(BgL_objz00_2789,
										BGl_globalz00zzast_varz00);
								}
								BgL_testz00_4745 = BgL_res2218z00_2790;
							}
						}
					if (BgL_testz00_4745)
						{	/* Effect/cgraph.scm 108 */
							BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_ownerz00_1652));
						}
					else
						{	/* Effect/cgraph.scm 108 */
							BFALSE;
						}
				}
				{	/* Effect/cgraph.scm 110 */
					BgL_varz00_bglt BgL_arg2074z00_1660;

					BgL_arg2074z00_1660 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1651))->BgL_varz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(
						((BgL_nodez00_bglt) BgL_arg2074z00_1660),
						((BgL_variablez00_bglt) BgL_ownerz00_1652));
				}
				{	/* Effect/cgraph.scm 111 */
					BgL_nodez00_bglt BgL_arg2075z00_1661;

					BgL_arg2075z00_1661 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1651))->BgL_valuez00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2075z00_1661,
						((BgL_variablez00_bglt) BgL_ownerz00_1652));
				}
			}
		}
	}



/* &call-graph!-cast1958 */
	obj_t BGl_z62callzd2graphz12zd2cast1958z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3196, obj_t BgL_nodez00_3197, obj_t BgL_ownerz00_3198)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 95 */
			{
				BgL_castz00_bglt BgL_nodez00_1644;
				obj_t BgL_ownerz00_1645;

				BgL_nodez00_1644 = ((BgL_castz00_bglt) BgL_nodez00_3197);
				BgL_ownerz00_1645 = BgL_ownerz00_3198;
				{	/* Effect/cgraph.scm 97 */
					BgL_nodez00_bglt BgL_arg2069z00_2783;

					BgL_arg2069z00_2783 =
						(((BgL_castz00_bglt) CREF(BgL_nodez00_1644))->BgL_argz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2069z00_2783,
						((BgL_variablez00_bglt) BgL_ownerz00_1645));
				}
			}
		}
	}



/* &call-graph!-extern1956 */
	obj_t BGl_z62callzd2graphz12zd2extern1956z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3199, obj_t BgL_nodez00_3200, obj_t BgL_ownerz00_3201)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 86 */
			{
				BgL_externz00_bglt BgL_nodez00_1636;
				obj_t BgL_ownerz00_1637;

				{	/* Effect/cgraph.scm 87 */
					bool_t BgL_auxz00_4766;

					BgL_nodez00_1636 = ((BgL_externz00_bglt) BgL_nodez00_3200);
					BgL_ownerz00_1637 = BgL_ownerz00_3201;
					if (CBOOL(
							(((BgL_nodezf2effectzf2_bglt) CREF(
										((BgL_nodezf2effectzf2_bglt) BgL_nodez00_1636)))->
								BgL_sidezd2effectzd2)))
						{	/* Effect/cgraph.scm 88 */
							BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
								((BgL_variablez00_bglt) BgL_ownerz00_1637));
						}
					else
						{	/* Effect/cgraph.scm 88 */
							BFALSE;
						}
					BgL_auxz00_4766 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1636))->BgL_exprza2za2),
						BgL_ownerz00_1637);
					return BBOOL(BgL_auxz00_4766);
				}
			}
		}
	}



/* &call-graph!-funcall1954 */
	obj_t BGl_z62callzd2graphz12zd2funcall1954z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3202, obj_t BgL_nodez00_3203, obj_t BgL_ownerz00_3204)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 77 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1628;
				obj_t BgL_ownerz00_1629;

				{	/* Effect/cgraph.scm 78 */
					bool_t BgL_auxz00_4777;

					BgL_nodez00_1628 = ((BgL_funcallz00_bglt) BgL_nodez00_3203);
					BgL_ownerz00_1629 = BgL_ownerz00_3204;
					BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
						((BgL_variablez00_bglt) BgL_ownerz00_1629));
					{	/* Effect/cgraph.scm 80 */
						BgL_nodez00_bglt BgL_arg2065z00_1633;

						BgL_arg2065z00_1633 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1628))->BgL_funz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2065z00_1633,
							((BgL_variablez00_bglt) BgL_ownerz00_1629));
					}
					BgL_auxz00_4777 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1628))->BgL_argsz00),
						BgL_ownerz00_1629);
					return BBOOL(BgL_auxz00_4777);
				}
			}
		}
	}



/* &call-graph!-app-ly1952 */
	obj_t BGl_z62callzd2graphz12zd2appzd2ly1952za2zzeffect_cgraphz00(obj_t
		BgL_envz00_3205, obj_t BgL_nodez00_3206, obj_t BgL_ownerz00_3207)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 68 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1620;
				obj_t BgL_ownerz00_1621;

				BgL_nodez00_1620 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3206);
				BgL_ownerz00_1621 = BgL_ownerz00_3207;
				BGl_markzd2sidezd2effectz12z12zzeffect_cgraphz00(
					((BgL_variablez00_bglt) BgL_ownerz00_1621));
				{	/* Effect/cgraph.scm 71 */
					BgL_nodez00_bglt BgL_arg2063z00_1625;

					BgL_arg2063z00_1625 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1620))->BgL_funz00);
					BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2063z00_1625,
						((BgL_variablez00_bglt) BgL_ownerz00_1621));
				}
				{	/* Effect/cgraph.scm 72 */
					BgL_nodez00_bglt BgL_arg2064z00_1626;

					BgL_arg2064z00_1626 =
						(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1620))->BgL_argz00);
					return
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2064z00_1626,
						((BgL_variablez00_bglt) BgL_ownerz00_1621));
				}
			}
		}
	}



/* &call-graph!-app1950 */
	obj_t BGl_z62callzd2graphz12zd2app1950z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3208, obj_t BgL_nodez00_3209, obj_t BgL_ownerz00_3210)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 58 */
			{
				BgL_appz00_bglt BgL_nodez00_1611;
				obj_t BgL_ownerz00_1612;

				{	/* Effect/cgraph.scm 59 */
					bool_t BgL_auxz00_4796;

					BgL_nodez00_1611 = ((BgL_appz00_bglt) BgL_nodez00_3209);
					BgL_ownerz00_1612 = BgL_ownerz00_3210;
					{	/* Effect/cgraph.scm 62 */
						BgL_variablez00_bglt BgL_arg2060z00_1616;

						BgL_arg2060z00_1616 =
							(((BgL_varz00_bglt) CREF(
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1611))->BgL_funz00)))->
							BgL_variablez00);
						BGl_savezd2callz12zc0zzeffect_cgraphz00(BgL_arg2060z00_1616,
							((BgL_variablez00_bglt) BgL_ownerz00_1612));
					}
					BgL_auxz00_4796 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_appz00_bglt) CREF(BgL_nodez00_1611))->BgL_argsz00),
						BgL_ownerz00_1612);
					return BBOOL(BgL_auxz00_4796);
				}
			}
		}
	}



/* &call-graph!-sync1947 */
	obj_t BGl_z62callzd2graphz12zd2sync1947z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3211, obj_t BgL_nodez00_3212, obj_t BgL_ownerz00_3213)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 50 */
			{
				BgL_syncz00_bglt BgL_nodez00_1603;
				obj_t BgL_ownerz00_1604;

				{	/* Effect/cgraph.scm 51 */
					bool_t BgL_auxz00_4805;

					BgL_nodez00_1603 = ((BgL_syncz00_bglt) BgL_nodez00_3212);
					BgL_ownerz00_1604 = BgL_ownerz00_3213;
					{	/* Effect/cgraph.scm 51 */
						BgL_nodez00_bglt BgL_arg2057z00_1607;

						BgL_arg2057z00_1607 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1603))->BgL_mutexz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2057z00_1607,
							((BgL_variablez00_bglt) BgL_ownerz00_1604));
					}
					{	/* Effect/cgraph.scm 52 */
						BgL_nodez00_bglt BgL_arg2058z00_1608;

						BgL_arg2058z00_1608 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1603))->BgL_prelockz00);
						BGl_callzd2graphz12zc0zzeffect_cgraphz00(BgL_arg2058z00_1608,
							((BgL_variablez00_bglt) BgL_ownerz00_1604));
					}
					BgL_auxz00_4805 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_syncz00_bglt) CREF(BgL_nodez00_1603))->BgL_nodesz00),
						BgL_ownerz00_1604);
					return BBOOL(BgL_auxz00_4805);
				}
			}
		}
	}



/* &call-graph!-sequence1945 */
	obj_t BGl_z62callzd2graphz12zd2sequence1945z70zzeffect_cgraphz00(obj_t
		BgL_envz00_3214, obj_t BgL_nodez00_3215, obj_t BgL_ownerz00_3216)
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 44 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1597;
				obj_t BgL_ownerz00_1598;

				{	/* Effect/cgraph.scm 45 */
					bool_t BgL_auxz00_4816;

					BgL_nodez00_1597 = ((BgL_sequencez00_bglt) BgL_nodez00_3215);
					BgL_ownerz00_1598 = BgL_ownerz00_3216;
					BgL_auxz00_4816 =
						BGl_callzd2graphza2z12z62zzeffect_cgraphz00(
						(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1597))->BgL_nodesz00),
						BgL_ownerz00_1598);
					return BBOOL(BgL_auxz00_4816);
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzeffect_cgraphz00()
	{
		AN_OBJECT;
		{	/* Effect/cgraph.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2272z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2272z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2272z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2272z00zzeffect_cgraphz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2272z00zzeffect_cgraphz00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2272z00zzeffect_cgraphz00));
		}
	}

#ifdef __cplusplus
}
#endif
