/*===========================================================================*/
/*   (Inline/inline.scm)                                                     */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/inline.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
	}               *BgL_isfunz00_bglt;


	BGL_EXPORTED_DECL obj_t BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt BGl_makezd2isfunzd2zzinline_inlinez00(long,
		obj_t, obj_t, obj_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, BgL_nodez00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2kwote1932z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2effectzd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2argszd2namez00zzinline_inlinez00(BgL_sfunz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2var1961zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62makezd2isfunzb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2classzd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2predicatezd2ofz00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2classzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2atom1928z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2strengthzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_objectzd2initzd2zzinline_inlinez00();
	static BgL_sfunz00_bglt BGl_z62lambda1999z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2effectzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2optionalszb0zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_inlinez00();
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2var1930z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_sfunz00_bglt BGl_z62isfunzd2nilzb0zzinline_inlinez00(obj_t);
	static obj_t BGl_z62isfunzd2classzb0zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2loczd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2loczb0zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62inlinezd2nodezb0zzinline_inlinez00(obj_t,
		obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurez00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2predicatezd2ofzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_sfunz00_bglt BGl_isfunzd2nilzd2zzinline_inlinez00();
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2dssslzd2keywordszd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62isfunzd2recursivezd2callszd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2loczd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2topzf3zd2setz12z83zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2effectzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2sync1936z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2fail1954z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2sidezd2effectz62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2effectzb0zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2jumpzd2exzd21965z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62isfunzd2stackzd2allocatorzd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static BgL_sfunz00_bglt
		BGl_z62zc3anonymousza32004ze3ze1zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2propertyzd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2sequence1934z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2classzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2propertyzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_selectz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2bodyzd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62isfunzd2predicatezd2ofzd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2dssslzd2keywordsz62zzinline_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2argszd2setz12z70zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_isfunzd2arityzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2dssslzd2keywordsz00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2recursivezd2callsz00zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2strengthzb0zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2funcall1942z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2propertyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzinline_inlinez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt, long,
		obj_t);
	static obj_t BGl_z62isfunzd2argszd2namez62zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62isfunzd2originalzd2bodyz62zzinline_inlinez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzinline_inlinez00();
	static obj_t BGl_z62isfunzd2recursivezd2callsz62zzinline_inlinez00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2ref1969zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00;
	static obj_t BGl_genericzd2initzd2zzinline_inlinez00();
	static obj_t BGl_z62isfunzf3z91zzinline_inlinez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	static obj_t BGl_z62isfunzd2arityzb0zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2select1956z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2appzd2ly1940zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2keyszd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2optionalszd2zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2sidezd2effectz00zzinline_inlinez00(BgL_sfunz00_bglt);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_isfunzd2originalzd2bodyz00zzinline_inlinez00(BgL_sfunz00_bglt);
	extern bool_t BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt,
		long, long, obj_t);
	static obj_t BGl_z62isfunzd2keyszb0zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_za2kfactorza2z00zzinline_walkz00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2bodyzd2zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t
		BGl_z62isfunzd2dssslzd2keywordszd2setz12za2zzinline_inlinez00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2extern1945z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_isfunzd2topzf3z21zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	static BgL_sfunz00_bglt BGl_z62lambda2002z62zzinline_inlinez00(obj_t, obj_t);
	static BgL_sfunz00_bglt BGl_z62lambda2005z62zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00
		(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2bodyzb0zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2013z62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62lambda2014z62zzinline_inlinez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurezd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t
		BGl_z62isfunzd2thezd2closurezd2globalzd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_isfunz00zzinline_inlinez00 = BUNSPEC;
	static obj_t BGl_z62isfunzd2topzf3z43zzinline_inlinez00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62lambda2020z62zzinline_inlinez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2sidezd2effectzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt,
		obj_t);
	static obj_t BGl_z62lambda2021z62zzinline_inlinez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62inlinezd2sfunz12za2zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2app1938z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2loczd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2topzf3zd2setz12ze1zzinline_inlinez00(BgL_sfunz00_bglt, bool_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2argszd2zzinline_inlinez00(BgL_sfunz00_bglt);
	extern obj_t BGl_appz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2cast1947z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2strengthzd2setz12z70zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setzd2exzd2i1963z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2conditio1952z62zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2makezd2box1967zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2setz121971za2zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62isfunzd2argszb0zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setq1950z62zzinline_inlinez00(obj_t, obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2fun1958zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzinline_inlinez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_inlinez00();
	static obj_t BGl_z62isfunzd2predicatezd2ofz62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_inlinez00();
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2stackzd2allocatorzd2setz12zc0zzinline_inlinez00
		(BgL_sfunz00_bglt, obj_t);
	extern BgL_nodez00_bglt BGl_inlinezd2appzd2zzinline_appz00(BgL_appz00_bglt,
		long, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2stackzd2allocatorz00zzinline_inlinez00(BgL_sfunz00_bglt);
	static obj_t BGl_z62isfunzd2propertyzb0zzinline_inlinez00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	static obj_t BGl_z62isfunzd2thezd2closurezd2setz12za2zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62isfunzd2thezd2closurezd2globalzb0zzinline_inlinez00(obj_t,
		obj_t);
	static obj_t BGl_z62isfunzd2thezd2closurez62zzinline_inlinez00(obj_t, obj_t);
	static obj_t BGl_z62isfunzd2sidezd2effectzd2setz12za2zzinline_inlinez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2setz12z12zzinline_inlinez00
		(BgL_sfunz00_bglt, obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2strengthzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62isfunzd2stackzd2allocatorz62zzinline_inlinez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_isfunzf3zf3zzinline_inlinez00(obj_t);
	static obj_t BGl_z62zc3anonymousza32015ze3ze1zzinline_inlinez00(obj_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2bodyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	BGL_EXPORTED_DECL obj_t
		BGl_isfunzd2argszd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt, obj_t);
	static obj_t BGl_z62inlinezd2node1925zb0zzinline_inlinez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t __cnst[10];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2keyszd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2keysza72244za7,
		BGl_z62isfunzd2keyszb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zzinline_inlinez00,
		BgL_bgl_za762za7c3anonymousza72245za7,
		BGl_z62zc3anonymousza32015ze3ze1zzinline_inlinez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zzinline_inlinez00,
		BgL_bgl_za762lambda2014za7622246z00, BGl_z62lambda2014z62zzinline_inlinez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zzinline_inlinez00,
		BgL_bgl_za762lambda2013za7622247z00, BGl_z62lambda2013z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zzinline_inlinez00,
		BgL_bgl_za762lambda2021za7622248z00, BGl_z62lambda2021z62zzinline_inlinez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zzinline_inlinez00,
		BgL_bgl_za762lambda2020za7622249z00, BGl_z62lambda2020z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2argszd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2argsza72250za7,
		BGl_z62isfunzd2argszd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zzinline_inlinez00,
		BgL_bgl_za762lambda2005za7622251z00, BGl_z62lambda2005z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zzinline_inlinez00,
		BgL_bgl_za762za7c3anonymousza72252za7,
		BGl_z62zc3anonymousza32004ze3ze1zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zzinline_inlinez00,
		BgL_bgl_za762lambda2002za7622253z00, BGl_z62lambda2002z62zzinline_inlinez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zzinline_inlinez00,
		BgL_bgl_za762lambda1999za7622254z00, BGl_z62lambda1999z62zzinline_inlinez00,
		0L, BUNSPEC, 21);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2255z00,
		BGl_z62inlinezd2node1925zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2256z00,
		BGl_z62inlinezd2nodezd2atom1928z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2257z00,
		BGl_z62inlinezd2nodezd2var1930z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2nilzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2nilza7b2258za7,
		BGl_z62isfunzd2nilzb0zzinline_inlinez00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2259z00,
		BGl_z62inlinezd2nodezd2kwote1932z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2260z00,
		BGl_z62inlinezd2nodezd2sequence1934z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2261z00,
		BGl_z62inlinezd2nodezd2sync1936z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2262z00,
		BGl_z62inlinezd2nodezd2app1938z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2263z00,
		BGl_z62inlinezd2nodezd2appzd2ly1940zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2classzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2class2264z00,
		BGl_z62isfunzd2classzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2265z00,
		BGl_z62inlinezd2nodezd2funcall1942z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2266z00,
		BGl_z62inlinezd2nodezd2extern1945z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2267z00,
		BGl_z62inlinezd2nodezd2cast1947z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2228z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2268z00,
		BGl_z62inlinezd2nodezd2setq1950z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2269z00,
		BGl_z62inlinezd2nodezd2conditio1952z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2classzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2class2270z00,
		BGl_z62isfunzd2classzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2271z00,
		BGl_z62inlinezd2nodezd2fail1954z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2272z00,
		BGl_z62inlinezd2nodezd2select1956z62zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2232z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2273z00,
		BGl_z62inlinezd2nodezd2letzd2fun1958zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2233z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2274z00,
		BGl_z62inlinezd2nodezd2letzd2var1961zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2234z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2275z00,
		BGl_z62inlinezd2nodezd2setzd2exzd2i1963z62zzinline_inlinez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2235z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2276z00,
		BGl_z62inlinezd2nodezd2jumpzd2exzd21965z62zzinline_inlinez00, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2236z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2277z00,
		BGl_z62inlinezd2nodezd2makezd2box1967zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2237z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2278z00,
		BGl_z62inlinezd2nodezd2boxzd2ref1969zb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2238z00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2279z00,
		BGl_z62inlinezd2nodezd2boxzd2setz121971za2zzinline_inlinez00, 0L, BUNSPEC,
		3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2propertyzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2prope2280z00,
		BGl_z62isfunzd2propertyzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2bodyzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2bodyza72281za7,
		BGl_z62isfunzd2bodyzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2strengthzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stren2282z00,
		BGl_z62isfunzd2strengthzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2topzf3zd2setz12zd2envz33zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2topza7f2283za7,
		BGl_z62isfunzd2topzf3zd2setz12z83zzinline_inlinez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2bodyzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2bodyza72284za7,
		BGl_z62isfunzd2bodyzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2sidezd2effectzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2sideza72285za7,
		BGl_z62isfunzd2sidezd2effectz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2argszd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2argsza72286za7,
		BGl_z62isfunzd2argszb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2recursivezd2callszd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2recur2287z00,
		BGl_z62isfunzd2recursivezd2callszd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2originalzd2bodyzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2origi2288z00,
		BGl_z62isfunzd2originalzd2bodyz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2nodeza2z12zd2envzb0zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2289z00,
		BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2argszd2namezd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2argsza72290za7,
		BGl_z62isfunzd2argszd2namez62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2stackzd2allocatorzd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stack2291z00,
		BGl_z62isfunzd2stackzd2allocatorzd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2recursivezd2callszd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2recur2292z00,
		BGl_z62isfunzd2recursivezd2callsz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2effectzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2effec2293z00,
		BGl_z62isfunzd2effectzd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2dssslzd2keywordszd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2dsssl2294z00,
		BGl_z62isfunzd2dssslzd2keywordszd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2propertyzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2prope2295z00,
		BGl_z62isfunzd2propertyzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2topzf3zd2envzf3zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2topza7f2296za7,
		BGl_z62isfunzd2topzf3z43zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2isfunzd2envz00zzinline_inlinez00,
		BgL_bgl_za762makeza7d2isfunza72297za7,
		BGl_z62makezd2isfunzb0zzinline_inlinez00, 0L, BUNSPEC, 20);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2298za7,
		BGl_z62isfunzd2thezd2closurez62zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2215z00zzinline_inlinez00,
		BgL_bgl_string2215za700za7za7i2299za7, "inline-node1925", 15);
	      DEFINE_STRING(BGl_string2216z00zzinline_inlinez00,
		BgL_bgl_string2216za700za7za7i2300za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2218z00zzinline_inlinez00,
		BgL_bgl_string2218za700za7za7i2301za7, "inline-node", 11);
	      DEFINE_STRING(BGl_string2239z00zzinline_inlinez00,
		BgL_bgl_string2239za700za7za7i2302za7, "inline_inline", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2effectzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2effec2303z00,
		BGl_z62isfunzd2effectzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2240z00zzinline_inlinez00,
		BgL_bgl_string2240za700za7za7i2304za7,
		"read static inline-node1925 _ inline_inline isfun original-body obj recursive-calls done ",
		89);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_inlinezd2sfunz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2sfun2305z00,
		BGl_z62inlinezd2sfunz12za2zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2predicatezd2ofzd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2predi2306z00,
		BGl_z62isfunzd2predicatezd2ofzd2setz12za2zzinline_inlinez00, 0L, BUNSPEC,
		2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2strengthzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stren2307z00,
		BGl_z62isfunzd2strengthzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2308za7,
		BGl_z62isfunzd2thezd2closurezd2setz12za2zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2arityzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2arity2309z00,
		BGl_z62isfunzd2arityzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzf3zd2envz21zzinline_inlinez00,
		BgL_bgl_za762isfunza7f3za791za7za72310za7,
		BGl_z62isfunzf3z91zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_GENERIC(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
		BgL_bgl_za762inlineza7d2node2311z00,
		BGl_z62inlinezd2nodezb0zzinline_inlinez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2globalzd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2312za7,
		BGl_z62isfunzd2thezd2closurezd2globalzd2setz12z70zzinline_inlinez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2stackzd2allocatorzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2stack2313z00,
		BGl_z62isfunzd2stackzd2allocatorz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2thezd2closurezd2globalzd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2theza7d2314za7,
		BGl_z62isfunzd2thezd2closurezd2globalzb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isfunzd2loczd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2locza7b2315za7,
		BGl_z62isfunzd2loczb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2optionalszd2envz00zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2optio2316z00,
		BGl_z62isfunzd2optionalszb0zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2predicatezd2ofzd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2predi2317z00,
		BGl_z62isfunzd2predicatezd2ofz62zzinline_inlinez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2loczd2setz12zd2envzc0zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2locza7d2318za7,
		BGl_z62isfunzd2loczd2setz12z70zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2sidezd2effectzd2setz12zd2envz12zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2sideza72319za7,
		BGl_z62isfunzd2sidezd2effectzd2setz12za2zzinline_inlinez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_isfunzd2dssslzd2keywordszd2envzd2zzinline_inlinez00,
		BgL_bgl_za762isfunza7d2dsssl2320z00,
		BGl_z62isfunzd2dssslzd2keywordsz62zzinline_inlinez00, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long
		BgL_checksumz00_3158, char *BgL_fromz00_3159)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_inlinez00))
				{
					BGl_requirezd2initializa7ationz75zzinline_inlinez00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zzinline_inlinez00();
					BGl_cnstzd2initzd2zzinline_inlinez00();
					BGl_importedzd2moduleszd2initz00zzinline_inlinez00();
					BGl_objectzd2initzd2zzinline_inlinez00();
					BGl_genericzd2initzd2zzinline_inlinez00();
					BGl_methodzd2initzd2zzinline_inlinez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_inline");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_inline");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			{	/* Inline/inline.scm 15 */
				obj_t BgL_cportz00_3050;

				BgL_cportz00_3050 =
					bgl_open_input_string(BGl_string2240z00zzinline_inlinez00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3051;

					BgL_iz00_3051 = ((long) 9);
				BgL_loopz00_3052:
					if ((BgL_iz00_3051 == ((long) -1)))
						{	/* Inline/inline.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/inline.scm 15 */
							{	/* Inline/inline.scm 15 */
								obj_t BgL_arg2242z00_3054;

								{	/* Inline/inline.scm 15 */

									{	/* Inline/inline.scm 15 */
										obj_t BgL_locationz00_3056;

										BgL_locationz00_3056 = BBOOL(((bool_t) 0));
										{	/* Inline/inline.scm 15 */

											BgL_arg2242z00_3054 =
												BGl_readz00zz__readerz00(BgL_cportz00_3050,
												BgL_locationz00_3056);
										}
									}
								}
								{	/* Inline/inline.scm 15 */
									int BgL_auxz00_3181;

									BgL_auxz00_3181 = (int) (BgL_iz00_3051);
									CNST_TABLE_SET(BgL_auxz00_3181, BgL_arg2242z00_3054);
							}}
							{	/* Inline/inline.scm 15 */
								int BgL_auxz00_3057;

								BgL_auxz00_3057 = (int) ((BgL_iz00_3051 - ((long) 1)));
								{
									long BgL_iz00_3186;

									BgL_iz00_3186 = (long) (BgL_auxz00_3057);
									BgL_iz00_3051 = BgL_iz00_3186;
									goto BgL_loopz00_3052;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			return BUNSPEC;
		}
	}



/* make-isfun */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt BGl_makezd2isfunzd2zzinline_inlinez00(long
		BgL_arity1172z00_3, obj_t BgL_sidezd2effect1173zd2_4,
		obj_t BgL_predicatezd2of1174zd2_5, obj_t BgL_stackzd2allocator1175zd2_6,
		bool_t BgL_topzf31176zf3_7, obj_t BgL_thezd2closure1177zd2_8,
		obj_t BgL_effect1178z00_9, obj_t BgL_property1179z00_10,
		obj_t BgL_args1180z00_11, obj_t BgL_argszd2name1181zd2_12,
		obj_t BgL_body1182z00_13, obj_t BgL_class1183z00_14,
		obj_t BgL_dssslzd2keywords1184zd2_15, obj_t BgL_loc1185z00_16,
		obj_t BgL_optionals1186z00_17, obj_t BgL_keys1187z00_18,
		obj_t BgL_thezd2closurezd2global1188z00_19, obj_t BgL_strength1189z00_20,
		BgL_nodez00_bglt BgL_originalzd2body1190zd2_21,
		obj_t BgL_recursivezd2calls1191zd2_22)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 56 */
			{	/* Inline/inline.sch 56 */
				BgL_sfunz00_bglt BgL_new1130z00_3058;

				{	/* Inline/inline.sch 56 */
					BgL_sfunz00_bglt BgL_tmp1128z00_3059;
					BgL_isfunz00_bglt BgL_wide1129z00_3060;

					{
						BgL_sfunz00_bglt BgL_auxz00_3188;

						{	/* Inline/inline.sch 56 */
							BgL_sfunz00_bglt BgL_new1127z00_3061;

							BgL_new1127z00_3061 =
								((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_sfunz00_bgl))));
							{	/* Inline/inline.sch 56 */
								long BgL_arg1977z00_3062;

								{	/* Inline/inline.sch 56 */
									long BgL_res2161z00_3063;

									BgL_res2161z00_3063 =
										BGL_CLASS_INDEX(BGl_sfunz00zzast_varz00);
									BgL_arg1977z00_3062 = BgL_res2161z00_3063;
								}
								{	/* Inline/inline.sch 56 */
									BgL_objectz00_bglt BgL_objz00_3064;

									BgL_objz00_3064 = ((BgL_objectz00_bglt) BgL_new1127z00_3061);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3064,
										BgL_arg1977z00_3062);
							}}
							{	/* Inline/inline.sch 56 */
								BgL_objectz00_bglt BgL_auxz00_3193;

								BgL_auxz00_3193 = ((BgL_objectz00_bglt) BgL_new1127z00_3061);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3193, BFALSE);
							}
							BgL_auxz00_3188 = BgL_new1127z00_3061;
						}
						BgL_tmp1128z00_3059 = ((BgL_sfunz00_bglt) BgL_auxz00_3188);
					}
					BgL_wide1129z00_3060 =
						((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_isfunz00_bgl))));
					{	/* Inline/inline.sch 56 */
						obj_t BgL_auxz00_3200;
						BgL_objectz00_bglt BgL_auxz00_3198;

						BgL_auxz00_3200 = ((obj_t) BgL_wide1129z00_3060);
						BgL_auxz00_3198 = ((BgL_objectz00_bglt) BgL_tmp1128z00_3059);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3198, BgL_auxz00_3200);
					}
					{	/* Inline/inline.sch 56 */
						long BgL_arg1975z00_3065;

						{	/* Inline/inline.sch 56 */
							long BgL_res2162z00_3066;

							BgL_res2162z00_3066 =
								BGL_CLASS_INDEX(BGl_isfunz00zzinline_inlinez00);
							BgL_arg1975z00_3065 = BgL_res2162z00_3066;
						}
						{	/* Inline/inline.sch 56 */
							BgL_objectz00_bglt BgL_objz00_3067;

							BgL_objz00_3067 = ((BgL_objectz00_bglt) BgL_tmp1128z00_3059);
							((BgL_sfunz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3067, BgL_arg1975z00_3065));
					}}
					BgL_new1130z00_3058 = ((BgL_sfunz00_bglt) BgL_tmp1128z00_3059);
				}
				((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_new1130z00_3058)))->BgL_arityz00) =
					((long) BgL_arity1172z00_3), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3058)))->
						BgL_sidezd2effectzd2) =
					((obj_t) BgL_sidezd2effect1173zd2_4), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3058)))->
						BgL_predicatezd2ofzd2) =
					((obj_t) BgL_predicatezd2of1174zd2_5), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3058)))->
						BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_stackzd2allocator1175zd2_6), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3058)))->
						BgL_topzf3zf3) = ((bool_t) BgL_topzf31176zf3_7), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3058)))->
						BgL_thezd2closurezd2) =
					((obj_t) BgL_thezd2closure1177zd2_8), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3058)))->
						BgL_effectz00) = ((obj_t) BgL_effect1178z00_9), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3058)))->
						BgL_failsafez00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3058)))->
						BgL_propertyz00) = ((obj_t) BgL_property1179z00_10), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3058)))->
						BgL_argsz00) = ((obj_t) BgL_args1180z00_11), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3058)))->
						BgL_argszd2namezd2) = ((obj_t) BgL_argszd2name1181zd2_12), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3058)))->
						BgL_bodyz00) = ((obj_t) BgL_body1182z00_13), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3058)))->
						BgL_classz00) = ((obj_t) BgL_class1183z00_14), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3058)))->
						BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_dssslzd2keywords1184zd2_15), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3058)))->
						BgL_locz00) = ((obj_t) BgL_loc1185z00_16), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3058)))->
						BgL_optionalsz00) = ((obj_t) BgL_optionals1186z00_17), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3058)))->
						BgL_keysz00) = ((obj_t) BgL_keys1187z00_18), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3058)))->
						BgL_thezd2closurezd2globalz00) =
					((obj_t) BgL_thezd2closurezd2global1188z00_19), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1130z00_3058)))->
						BgL_strengthz00) = ((obj_t) BgL_strength1189z00_20), BUNSPEC);
				{
					BgL_isfunz00_bglt BgL_auxz00_3246;

					{
						obj_t BgL_auxz00_3247;

						{	/* Inline/inline.sch 56 */
							BgL_objectz00_bglt BgL_auxz00_3248;

							BgL_auxz00_3248 = ((BgL_objectz00_bglt) BgL_new1130z00_3058);
							BgL_auxz00_3247 = BGL_OBJECT_WIDENING(BgL_auxz00_3248);
						}
						BgL_auxz00_3246 = ((BgL_isfunz00_bglt) BgL_auxz00_3247);
					}
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3246))->
							BgL_originalzd2bodyzd2) =
						((BgL_nodez00_bglt) BgL_originalzd2body1190zd2_21), BUNSPEC);
				}
				{
					BgL_isfunz00_bglt BgL_auxz00_3253;

					{
						obj_t BgL_auxz00_3254;

						{	/* Inline/inline.sch 56 */
							BgL_objectz00_bglt BgL_auxz00_3255;

							BgL_auxz00_3255 = ((BgL_objectz00_bglt) BgL_new1130z00_3058);
							BgL_auxz00_3254 = BGL_OBJECT_WIDENING(BgL_auxz00_3255);
						}
						BgL_auxz00_3253 = ((BgL_isfunz00_bglt) BgL_auxz00_3254);
					}
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3253))->
							BgL_recursivezd2callszd2) =
						((obj_t) BgL_recursivezd2calls1191zd2_22), BUNSPEC);
				}
				return BgL_new1130z00_3058;
			}
		}
	}



/* &make-isfun */
	BgL_sfunz00_bglt BGl_z62makezd2isfunzb0zzinline_inlinez00(obj_t
		BgL_envz00_2769, obj_t BgL_arity1172z00_2770,
		obj_t BgL_sidezd2effect1173zd2_2771, obj_t BgL_predicatezd2of1174zd2_2772,
		obj_t BgL_stackzd2allocator1175zd2_2773, obj_t BgL_topzf31176zf3_2774,
		obj_t BgL_thezd2closure1177zd2_2775, obj_t BgL_effect1178z00_2776,
		obj_t BgL_property1179z00_2777, obj_t BgL_args1180z00_2778,
		obj_t BgL_argszd2name1181zd2_2779, obj_t BgL_body1182z00_2780,
		obj_t BgL_class1183z00_2781, obj_t BgL_dssslzd2keywords1184zd2_2782,
		obj_t BgL_loc1185z00_2783, obj_t BgL_optionals1186z00_2784,
		obj_t BgL_keys1187z00_2785, obj_t BgL_thezd2closurezd2global1188z00_2786,
		obj_t BgL_strength1189z00_2787, obj_t BgL_originalzd2body1190zd2_2788,
		obj_t BgL_recursivezd2calls1191zd2_2789)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 56 */
			{	/* Inline/inline.sch 56 */
				long BgL_arity1172z00_3068;
				bool_t BgL_topzf31176zf3_3072;
				obj_t BgL_strength1189z00_3085;
				BgL_nodez00_bglt BgL_originalzd2body1190zd2_3086;

				BgL_arity1172z00_3068 = (long) CINT(BgL_arity1172z00_2770);
				BgL_topzf31176zf3_3072 = CBOOL(BgL_topzf31176zf3_2774);
				BgL_strength1189z00_3085 = BgL_strength1189z00_2787;
				BgL_originalzd2body1190zd2_3086 =
					((BgL_nodez00_bglt) BgL_originalzd2body1190zd2_2788);
				{	/* Inline/inline.sch 56 */
					BgL_sfunz00_bglt BgL_new1130z00_3088;

					{	/* Inline/inline.sch 56 */
						BgL_sfunz00_bglt BgL_tmp1128z00_3089;
						BgL_isfunz00_bglt BgL_wide1129z00_3090;

						{
							BgL_sfunz00_bglt BgL_auxz00_3263;

							{	/* Inline/inline.sch 56 */
								BgL_sfunz00_bglt BgL_new1127z00_3091;

								BgL_new1127z00_3091 =
									((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Inline/inline.sch 56 */
									long BgL_arg1977z00_3092;

									{	/* Inline/inline.sch 56 */
										long BgL_res2161z00_3093;

										BgL_res2161z00_3093 =
											BGL_CLASS_INDEX(BGl_sfunz00zzast_varz00);
										BgL_arg1977z00_3092 = BgL_res2161z00_3093;
									}
									{	/* Inline/inline.sch 56 */
										BgL_objectz00_bglt BgL_objz00_3094;

										BgL_objz00_3094 =
											((BgL_objectz00_bglt) BgL_new1127z00_3091);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3094,
											BgL_arg1977z00_3092);
								}}
								{	/* Inline/inline.sch 56 */
									BgL_objectz00_bglt BgL_auxz00_3268;

									BgL_auxz00_3268 = ((BgL_objectz00_bglt) BgL_new1127z00_3091);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3268, BFALSE);
								}
								BgL_auxz00_3263 = BgL_new1127z00_3091;
							}
							BgL_tmp1128z00_3089 = ((BgL_sfunz00_bglt) BgL_auxz00_3263);
						}
						BgL_wide1129z00_3090 =
							((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_isfunz00_bgl))));
						{	/* Inline/inline.sch 56 */
							obj_t BgL_auxz00_3275;
							BgL_objectz00_bglt BgL_auxz00_3273;

							BgL_auxz00_3275 = ((obj_t) BgL_wide1129z00_3090);
							BgL_auxz00_3273 = ((BgL_objectz00_bglt) BgL_tmp1128z00_3089);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3273, BgL_auxz00_3275);
						}
						{	/* Inline/inline.sch 56 */
							long BgL_arg1975z00_3095;

							{	/* Inline/inline.sch 56 */
								long BgL_res2162z00_3096;

								BgL_res2162z00_3096 =
									BGL_CLASS_INDEX(BGl_isfunz00zzinline_inlinez00);
								BgL_arg1975z00_3095 = BgL_res2162z00_3096;
							}
							{	/* Inline/inline.sch 56 */
								BgL_objectz00_bglt BgL_objz00_3097;

								BgL_objz00_3097 = ((BgL_objectz00_bglt) BgL_tmp1128z00_3089);
								((BgL_sfunz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_3097,
										BgL_arg1975z00_3095));
						}}
						BgL_new1130z00_3088 = ((BgL_sfunz00_bglt) BgL_tmp1128z00_3089);
					}
					((((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt) BgL_new1130z00_3088)))->BgL_arityz00) =
						((long) BgL_arity1172z00_3068), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3088)))->
							BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1173zd2_2771), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3088)))->
							BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1174zd2_2772), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3088)))->
							BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1175zd2_2773), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3088)))->
							BgL_topzf3zf3) = ((bool_t) BgL_topzf31176zf3_3072), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3088)))->
							BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1177zd2_2775), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3088)))->
							BgL_effectz00) = ((obj_t) BgL_effect1178z00_2776), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1130z00_3088)))->
							BgL_failsafez00) = ((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3088)))->BgL_propertyz00) =
						((obj_t) BgL_property1179z00_2777), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3088)))->BgL_argsz00) =
						((obj_t) BgL_args1180z00_2778), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3088)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1181zd2_2779), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3088)))->BgL_bodyz00) =
						((obj_t) BgL_body1182z00_2780), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3088)))->BgL_classz00) =
						((obj_t) BgL_class1183z00_2781), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3088)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1184zd2_2782), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3088)))->BgL_locz00) =
						((obj_t) BgL_loc1185z00_2783), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3088)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1186z00_2784), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3088)))->BgL_keysz00) =
						((obj_t) BgL_keys1187z00_2785), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3088)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1188z00_2786), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1130z00_3088)))->BgL_strengthz00) =
						((obj_t) BgL_strength1189z00_3085), BUNSPEC);
					{
						BgL_isfunz00_bglt BgL_auxz00_3321;

						{
							obj_t BgL_auxz00_3322;

							{	/* Inline/inline.sch 56 */
								BgL_objectz00_bglt BgL_auxz00_3323;

								BgL_auxz00_3323 = ((BgL_objectz00_bglt) BgL_new1130z00_3088);
								BgL_auxz00_3322 = BGL_OBJECT_WIDENING(BgL_auxz00_3323);
							}
							BgL_auxz00_3321 = ((BgL_isfunz00_bglt) BgL_auxz00_3322);
						}
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3321))->
								BgL_originalzd2bodyzd2) =
							((BgL_nodez00_bglt) BgL_originalzd2body1190zd2_3086), BUNSPEC);
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_3328;

						{
							obj_t BgL_auxz00_3329;

							{	/* Inline/inline.sch 56 */
								BgL_objectz00_bglt BgL_auxz00_3330;

								BgL_auxz00_3330 = ((BgL_objectz00_bglt) BgL_new1130z00_3088);
								BgL_auxz00_3329 = BGL_OBJECT_WIDENING(BgL_auxz00_3330);
							}
							BgL_auxz00_3328 = ((BgL_isfunz00_bglt) BgL_auxz00_3329);
						}
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3328))->
								BgL_recursivezd2callszd2) =
							((obj_t) BgL_recursivezd2calls1191zd2_2789), BUNSPEC);
					}
					return BgL_new1130z00_3088;
				}
			}
		}
	}



/* isfun? */
	BGL_EXPORTED_DEF bool_t BGl_isfunzf3zf3zzinline_inlinez00(obj_t BgL_objz00_23)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 57 */
			return
				BGl_isazf3zf3zz__objectz00(BgL_objz00_23,
				BGl_isfunz00zzinline_inlinez00);
		}
	}



/* &isfun? */
	obj_t BGl_z62isfunzf3z91zzinline_inlinez00(obj_t BgL_envz00_2790,
		obj_t BgL_objz00_2791)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 57 */
			return
				BBOOL(BGl_isazf3zf3zz__objectz00(BgL_objz00_2791,
					BGl_isfunz00zzinline_inlinez00));
		}
	}



/* isfun-nil */
	BGL_EXPORTED_DEF BgL_sfunz00_bglt BGl_isfunzd2nilzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 58 */
			{	/* Inline/inline.sch 58 */
				obj_t BgL_classz00_2452;

				BgL_classz00_2452 = BGl_isfunz00zzinline_inlinez00;
				{	/* Inline/inline.sch 58 */
					obj_t BgL__ortest_1093z00_2453;

					BgL__ortest_1093z00_2453 = BGL_CLASS_NIL(BgL_classz00_2452);
					if (CBOOL(BgL__ortest_1093z00_2453))
						{	/* Inline/inline.sch 58 */
							return ((BgL_sfunz00_bglt) BgL__ortest_1093z00_2453);
						}
					else
						{	/* Inline/inline.sch 58 */
							return
								((BgL_sfunz00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_2452));
						}
				}
			}
		}
	}



/* &isfun-nil */
	BgL_sfunz00_bglt BGl_z62isfunzd2nilzb0zzinline_inlinez00(obj_t
		BgL_envz00_2792)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 58 */
			return BGl_isfunzd2nilzd2zzinline_inlinez00();
		}
	}



/* isfun-recursive-calls */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2recursivezd2callsz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_24)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 59 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3345;

				{
					obj_t BgL_auxz00_3346;

					{	/* Inline/inline.sch 59 */
						BgL_objectz00_bglt BgL_auxz00_3347;

						BgL_auxz00_3347 = ((BgL_objectz00_bglt) BgL_oz00_24);
						BgL_auxz00_3346 = BGL_OBJECT_WIDENING(BgL_auxz00_3347);
					}
					BgL_auxz00_3345 = ((BgL_isfunz00_bglt) BgL_auxz00_3346);
				}
				return
					(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3345))->
					BgL_recursivezd2callszd2);
			}
		}
	}



/* &isfun-recursive-calls */
	obj_t BGl_z62isfunzd2recursivezd2callsz62zzinline_inlinez00(obj_t
		BgL_envz00_2793, obj_t BgL_oz00_2794)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 59 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3352;

				{
					obj_t BgL_auxz00_3353;

					{	/* Inline/inline.sch 59 */
						BgL_objectz00_bglt BgL_auxz00_3354;

						BgL_auxz00_3354 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2794));
						BgL_auxz00_3353 = BGL_OBJECT_WIDENING(BgL_auxz00_3354);
					}
					BgL_auxz00_3352 = ((BgL_isfunz00_bglt) BgL_auxz00_3353);
				}
				return
					(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3352))->
					BgL_recursivezd2callszd2);
			}
		}
	}



/* isfun-recursive-calls-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2recursivezd2callszd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_25, obj_t BgL_vz00_26)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 60 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3360;

				{
					obj_t BgL_auxz00_3361;

					{	/* Inline/inline.sch 60 */
						BgL_objectz00_bglt BgL_auxz00_3362;

						BgL_auxz00_3362 = ((BgL_objectz00_bglt) BgL_oz00_25);
						BgL_auxz00_3361 = BGL_OBJECT_WIDENING(BgL_auxz00_3362);
					}
					BgL_auxz00_3360 = ((BgL_isfunz00_bglt) BgL_auxz00_3361);
				}
				return
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3360))->
						BgL_recursivezd2callszd2) = ((obj_t) BgL_vz00_26), BUNSPEC);
			}
		}
	}



/* &isfun-recursive-calls-set! */
	obj_t BGl_z62isfunzd2recursivezd2callszd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2795, obj_t BgL_oz00_2796, obj_t BgL_vz00_2797)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 60 */
			{	/* Inline/inline.sch 60 */
				BgL_sfunz00_bglt BgL_oz00_3100;

				BgL_oz00_3100 = ((BgL_sfunz00_bglt) BgL_oz00_2796);
				{
					BgL_isfunz00_bglt BgL_auxz00_3368;

					{
						obj_t BgL_auxz00_3369;

						{	/* Inline/inline.sch 60 */
							BgL_objectz00_bglt BgL_auxz00_3370;

							BgL_auxz00_3370 = ((BgL_objectz00_bglt) BgL_oz00_3100);
							BgL_auxz00_3369 = BGL_OBJECT_WIDENING(BgL_auxz00_3370);
						}
						BgL_auxz00_3368 = ((BgL_isfunz00_bglt) BgL_auxz00_3369);
					}
					return
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3368))->
							BgL_recursivezd2callszd2) = ((obj_t) BgL_vz00_2797), BUNSPEC);
				}
			}
		}
	}



/* isfun-original-body */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_isfunzd2originalzd2bodyz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_27)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 61 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3375;

				{
					obj_t BgL_auxz00_3376;

					{	/* Inline/inline.sch 61 */
						BgL_objectz00_bglt BgL_auxz00_3377;

						BgL_auxz00_3377 = ((BgL_objectz00_bglt) BgL_oz00_27);
						BgL_auxz00_3376 = BGL_OBJECT_WIDENING(BgL_auxz00_3377);
					}
					BgL_auxz00_3375 = ((BgL_isfunz00_bglt) BgL_auxz00_3376);
				}
				return
					(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3375))->BgL_originalzd2bodyzd2);
			}
		}
	}



/* &isfun-original-body */
	BgL_nodez00_bglt BGl_z62isfunzd2originalzd2bodyz62zzinline_inlinez00(obj_t
		BgL_envz00_2798, obj_t BgL_oz00_2799)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 61 */
			{
				BgL_isfunz00_bglt BgL_auxz00_3382;

				{
					obj_t BgL_auxz00_3383;

					{	/* Inline/inline.sch 61 */
						BgL_objectz00_bglt BgL_auxz00_3384;

						BgL_auxz00_3384 =
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_oz00_2799));
						BgL_auxz00_3383 = BGL_OBJECT_WIDENING(BgL_auxz00_3384);
					}
					BgL_auxz00_3382 = ((BgL_isfunz00_bglt) BgL_auxz00_3383);
				}
				return
					(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3382))->BgL_originalzd2bodyzd2);
			}
		}
	}



/* isfun-strength */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2strengthzd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_30)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 63 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_30)))->BgL_strengthz00);
		}
	}



/* &isfun-strength */
	obj_t BGl_z62isfunzd2strengthzb0zzinline_inlinez00(obj_t BgL_envz00_2800,
		obj_t BgL_oz00_2801)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 63 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2801))))->BgL_strengthz00);
		}
	}



/* isfun-strength-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2strengthzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_31, obj_t BgL_vz00_32)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 64 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_31)))->BgL_strengthz00) =
				((obj_t) BgL_vz00_32), BUNSPEC);
		}
	}



/* &isfun-strength-set! */
	obj_t BGl_z62isfunzd2strengthzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2802, obj_t BgL_oz00_2803, obj_t BgL_vz00_2804)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 64 */
			{	/* Inline/inline.sch 64 */
				BgL_sfunz00_bglt BgL_oz00_3104;
				obj_t BgL_vz00_3105;

				BgL_oz00_3104 = ((BgL_sfunz00_bglt) BgL_oz00_2803);
				BgL_vz00_3105 = BgL_vz00_2804;
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_3104)))->BgL_strengthz00) =
					((obj_t) BgL_vz00_3105), BUNSPEC);
			}
		}
	}



/* isfun-the-closure-global */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_33)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 65 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_33)))->BgL_thezd2closurezd2globalz00);
		}
	}



/* &isfun-the-closure-global */
	obj_t BGl_z62isfunzd2thezd2closurezd2globalzb0zzinline_inlinez00(obj_t
		BgL_envz00_2805, obj_t BgL_oz00_2806)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 65 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2806))))->
				BgL_thezd2closurezd2globalz00);
		}
	}



/* isfun-the-closure-global-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurezd2globalzd2setz12z12zzinline_inlinez00
		(BgL_sfunz00_bglt BgL_oz00_34, obj_t BgL_vz00_35)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 66 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_34)))->
					BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_35), BUNSPEC);
		}
	}



/* &isfun-the-closure-global-set! */
	obj_t
		BGl_z62isfunzd2thezd2closurezd2globalzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2807, obj_t BgL_oz00_2808, obj_t BgL_vz00_2809)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 66 */
			{	/* Inline/inline.sch 66 */
				BgL_sfunz00_bglt BgL_oz00_3107;

				BgL_oz00_3107 = ((BgL_sfunz00_bglt) BgL_oz00_2808);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_3107)))->
						BgL_thezd2closurezd2globalz00) = ((obj_t) BgL_vz00_2809), BUNSPEC);
			}
		}
	}



/* isfun-keys */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2keyszd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_36)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 67 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_36)))->BgL_keysz00);
		}
	}



/* &isfun-keys */
	obj_t BGl_z62isfunzd2keyszb0zzinline_inlinez00(obj_t BgL_envz00_2810,
		obj_t BgL_oz00_2811)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 67 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2811))))->BgL_keysz00);
		}
	}



/* isfun-optionals */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2optionalszd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_39)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 69 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_39)))->BgL_optionalsz00);
		}
	}



/* &isfun-optionals */
	obj_t BGl_z62isfunzd2optionalszb0zzinline_inlinez00(obj_t BgL_envz00_2812,
		obj_t BgL_oz00_2813)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 69 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2813))))->BgL_optionalsz00);
		}
	}



/* isfun-loc */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2loczd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_42)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 71 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_42)))->BgL_locz00);
		}
	}



/* &isfun-loc */
	obj_t BGl_z62isfunzd2loczb0zzinline_inlinez00(obj_t BgL_envz00_2814,
		obj_t BgL_oz00_2815)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 71 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2815))))->BgL_locz00);
		}
	}



/* isfun-loc-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2loczd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_43,
		obj_t BgL_vz00_44)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 72 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_43)))->BgL_locz00) =
				((obj_t) BgL_vz00_44), BUNSPEC);
		}
	}



/* &isfun-loc-set! */
	obj_t BGl_z62isfunzd2loczd2setz12z70zzinline_inlinez00(obj_t BgL_envz00_2816,
		obj_t BgL_oz00_2817, obj_t BgL_vz00_2818)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 72 */
			{	/* Inline/inline.sch 72 */
				BgL_sfunz00_bglt BgL_oz00_3112;

				BgL_oz00_3112 = ((BgL_sfunz00_bglt) BgL_oz00_2817);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_3112)))->BgL_locz00) =
					((obj_t) BgL_vz00_2818), BUNSPEC);
			}
		}
	}



/* isfun-dsssl-keywords */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2dssslzd2keywordsz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_45)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 73 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_45)))->BgL_dssslzd2keywordszd2);
		}
	}



/* &isfun-dsssl-keywords */
	obj_t BGl_z62isfunzd2dssslzd2keywordsz62zzinline_inlinez00(obj_t
		BgL_envz00_2819, obj_t BgL_oz00_2820)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 73 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2820))))->BgL_dssslzd2keywordszd2);
		}
	}



/* isfun-dsssl-keywords-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2dssslzd2keywordszd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_46, obj_t BgL_vz00_47)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 74 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_46)))->BgL_dssslzd2keywordszd2) =
				((obj_t) BgL_vz00_47), BUNSPEC);
		}
	}



/* &isfun-dsssl-keywords-set! */
	obj_t BGl_z62isfunzd2dssslzd2keywordszd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2821, obj_t BgL_oz00_2822, obj_t BgL_vz00_2823)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 74 */
			{	/* Inline/inline.sch 74 */
				BgL_sfunz00_bglt BgL_oz00_3115;

				BgL_oz00_3115 = ((BgL_sfunz00_bglt) BgL_oz00_2822);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_3115)))->BgL_dssslzd2keywordszd2) =
					((obj_t) BgL_vz00_2823), BUNSPEC);
			}
		}
	}



/* isfun-class */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2classzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_48)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 75 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_48)))->BgL_classz00);
		}
	}



/* &isfun-class */
	obj_t BGl_z62isfunzd2classzb0zzinline_inlinez00(obj_t BgL_envz00_2824,
		obj_t BgL_oz00_2825)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 75 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2825))))->BgL_classz00);
		}
	}



/* isfun-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2classzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_49, obj_t BgL_vz00_50)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 76 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_49)))->BgL_classz00) =
				((obj_t) BgL_vz00_50), BUNSPEC);
		}
	}



/* &isfun-class-set! */
	obj_t BGl_z62isfunzd2classzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2826, obj_t BgL_oz00_2827, obj_t BgL_vz00_2828)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 76 */
			{	/* Inline/inline.sch 76 */
				BgL_sfunz00_bglt BgL_oz00_3118;

				BgL_oz00_3118 = ((BgL_sfunz00_bglt) BgL_oz00_2827);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_3118)))->BgL_classz00) =
					((obj_t) BgL_vz00_2828), BUNSPEC);
			}
		}
	}



/* isfun-body */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2bodyzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_51)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 77 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_51)))->BgL_bodyz00);
		}
	}



/* &isfun-body */
	obj_t BGl_z62isfunzd2bodyzb0zzinline_inlinez00(obj_t BgL_envz00_2829,
		obj_t BgL_oz00_2830)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 77 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2830))))->BgL_bodyz00);
		}
	}



/* isfun-body-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2bodyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_52,
		obj_t BgL_vz00_53)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 78 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_52)))->BgL_bodyz00) =
				((obj_t) BgL_vz00_53), BUNSPEC);
		}
	}



/* &isfun-body-set! */
	obj_t BGl_z62isfunzd2bodyzd2setz12z70zzinline_inlinez00(obj_t BgL_envz00_2831,
		obj_t BgL_oz00_2832, obj_t BgL_vz00_2833)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 78 */
			{	/* Inline/inline.sch 78 */
				BgL_sfunz00_bglt BgL_oz00_3121;

				BgL_oz00_3121 = ((BgL_sfunz00_bglt) BgL_oz00_2832);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_3121)))->BgL_bodyz00) =
					((obj_t) BgL_vz00_2833), BUNSPEC);
			}
		}
	}



/* isfun-args-name */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2argszd2namez00zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_54)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 79 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_54)))->BgL_argszd2namezd2);
		}
	}



/* &isfun-args-name */
	obj_t BGl_z62isfunzd2argszd2namez62zzinline_inlinez00(obj_t BgL_envz00_2834,
		obj_t BgL_oz00_2835)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 79 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2835))))->BgL_argszd2namezd2);
		}
	}



/* isfun-args */
	BGL_EXPORTED_DEF obj_t BGl_isfunzd2argszd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_57)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 81 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_57)))->BgL_argsz00);
		}
	}



/* &isfun-args */
	obj_t BGl_z62isfunzd2argszb0zzinline_inlinez00(obj_t BgL_envz00_2836,
		obj_t BgL_oz00_2837)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 81 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2837))))->BgL_argsz00);
		}
	}



/* isfun-args-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2argszd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_58,
		obj_t BgL_vz00_59)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 82 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_58)))->BgL_argsz00) =
				((obj_t) BgL_vz00_59), BUNSPEC);
		}
	}



/* &isfun-args-set! */
	obj_t BGl_z62isfunzd2argszd2setz12z70zzinline_inlinez00(obj_t BgL_envz00_2838,
		obj_t BgL_oz00_2839, obj_t BgL_vz00_2840)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 82 */
			{	/* Inline/inline.sch 82 */
				BgL_sfunz00_bglt BgL_oz00_3125;

				BgL_oz00_3125 = ((BgL_sfunz00_bglt) BgL_oz00_2839);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_3125)))->BgL_argsz00) =
					((obj_t) BgL_vz00_2840), BUNSPEC);
			}
		}
	}



/* isfun-property */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2propertyzd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_60)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 83 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt) BgL_oz00_60)))->BgL_propertyz00);
		}
	}



/* &isfun-property */
	obj_t BGl_z62isfunzd2propertyzb0zzinline_inlinez00(obj_t BgL_envz00_2841,
		obj_t BgL_oz00_2842)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 83 */
			return
				(((BgL_sfunz00_bglt) CREF(
						((BgL_sfunz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2842))))->BgL_propertyz00);
		}
	}



/* isfun-property-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2propertyzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_61, obj_t BgL_vz00_62)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 84 */
			return
				((((BgL_sfunz00_bglt) CREF(
							((BgL_sfunz00_bglt) BgL_oz00_61)))->BgL_propertyz00) =
				((obj_t) BgL_vz00_62), BUNSPEC);
		}
	}



/* &isfun-property-set! */
	obj_t BGl_z62isfunzd2propertyzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2843, obj_t BgL_oz00_2844, obj_t BgL_vz00_2845)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 84 */
			{	/* Inline/inline.sch 84 */
				BgL_sfunz00_bglt BgL_oz00_3128;

				BgL_oz00_3128 = ((BgL_sfunz00_bglt) BgL_oz00_2844);
				return
					((((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_oz00_3128)))->BgL_propertyz00) =
					((obj_t) BgL_vz00_2845), BUNSPEC);
			}
		}
	}



/* isfun-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2effectzd2zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_63)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 85 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_63)))->BgL_effectz00);
		}
	}



/* &isfun-effect */
	obj_t BGl_z62isfunzd2effectzb0zzinline_inlinez00(obj_t BgL_envz00_2846,
		obj_t BgL_oz00_2847)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 85 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2847))))->BgL_effectz00);
		}
	}



/* isfun-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2effectzd2setz12z12zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_64, obj_t BgL_vz00_65)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 86 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_64)))->BgL_effectz00) =
				((obj_t) BgL_vz00_65), BUNSPEC);
		}
	}



/* &isfun-effect-set! */
	obj_t BGl_z62isfunzd2effectzd2setz12z70zzinline_inlinez00(obj_t
		BgL_envz00_2848, obj_t BgL_oz00_2849, obj_t BgL_vz00_2850)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 86 */
			{	/* Inline/inline.sch 86 */
				BgL_sfunz00_bglt BgL_oz00_3131;

				BgL_oz00_3131 = ((BgL_sfunz00_bglt) BgL_oz00_2849);
				return
					((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_oz00_3131)))->BgL_effectz00) =
					((obj_t) BgL_vz00_2850), BUNSPEC);
			}
		}
	}



/* isfun-the-closure */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurez00zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_66)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 87 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_66)))->BgL_thezd2closurezd2);
		}
	}



/* &isfun-the-closure */
	obj_t BGl_z62isfunzd2thezd2closurez62zzinline_inlinez00(obj_t BgL_envz00_2851,
		obj_t BgL_oz00_2852)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 87 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2852))))->BgL_thezd2closurezd2);
		}
	}



/* isfun-the-closure-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2thezd2closurezd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_67, obj_t BgL_vz00_68)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 88 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_67)))->BgL_thezd2closurezd2) =
				((obj_t) BgL_vz00_68), BUNSPEC);
		}
	}



/* &isfun-the-closure-set! */
	obj_t BGl_z62isfunzd2thezd2closurezd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2853, obj_t BgL_oz00_2854, obj_t BgL_vz00_2855)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 88 */
			{	/* Inline/inline.sch 88 */
				BgL_sfunz00_bglt BgL_oz00_3134;

				BgL_oz00_3134 = ((BgL_sfunz00_bglt) BgL_oz00_2854);
				return
					((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_oz00_3134)))->BgL_thezd2closurezd2) =
					((obj_t) BgL_vz00_2855), BUNSPEC);
			}
		}
	}



/* isfun-top? */
	BGL_EXPORTED_DEF bool_t
		BGl_isfunzd2topzf3z21zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_69)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 89 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_69)))->BgL_topzf3zf3);
		}
	}



/* &isfun-top? */
	obj_t BGl_z62isfunzd2topzf3z43zzinline_inlinez00(obj_t BgL_envz00_2856,
		obj_t BgL_oz00_2857)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 89 */
			return
				BBOOL(
				(((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2857))))->BgL_topzf3zf3));
		}
	}



/* isfun-top?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2topzf3zd2setz12ze1zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_70, bool_t BgL_vz00_71)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 90 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_70)))->BgL_topzf3zf3) =
				((bool_t) BgL_vz00_71), BUNSPEC);
		}
	}



/* &isfun-top?-set! */
	obj_t BGl_z62isfunzd2topzf3zd2setz12z83zzinline_inlinez00(obj_t
		BgL_envz00_2858, obj_t BgL_oz00_2859, obj_t BgL_vz00_2860)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 90 */
			{	/* Inline/inline.sch 90 */
				BgL_sfunz00_bglt BgL_oz00_3137;
				bool_t BgL_vz00_3138;

				BgL_oz00_3137 = ((BgL_sfunz00_bglt) BgL_oz00_2859);
				BgL_vz00_3138 = CBOOL(BgL_vz00_2860);
				return
					((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_oz00_3137)))->BgL_topzf3zf3) =
					((bool_t) BgL_vz00_3138), BUNSPEC);
			}
		}
	}



/* isfun-stack-allocator */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2stackzd2allocatorz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_72)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 91 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_72)))->BgL_stackzd2allocatorzd2);
		}
	}



/* &isfun-stack-allocator */
	obj_t BGl_z62isfunzd2stackzd2allocatorz62zzinline_inlinez00(obj_t
		BgL_envz00_2861, obj_t BgL_oz00_2862)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 91 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2862))))->BgL_stackzd2allocatorzd2);
		}
	}



/* isfun-stack-allocator-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2stackzd2allocatorzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_73, obj_t BgL_vz00_74)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 92 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_73)))->BgL_stackzd2allocatorzd2) =
				((obj_t) BgL_vz00_74), BUNSPEC);
		}
	}



/* &isfun-stack-allocator-set! */
	obj_t BGl_z62isfunzd2stackzd2allocatorzd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2863, obj_t BgL_oz00_2864, obj_t BgL_vz00_2865)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 92 */
			{	/* Inline/inline.sch 92 */
				BgL_sfunz00_bglt BgL_oz00_3140;

				BgL_oz00_3140 = ((BgL_sfunz00_bglt) BgL_oz00_2864);
				return
					((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_oz00_3140)))->BgL_stackzd2allocatorzd2) =
					((obj_t) BgL_vz00_2865), BUNSPEC);
			}
		}
	}



/* isfun-predicate-of */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2predicatezd2ofz00zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_75)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 93 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_75)))->BgL_predicatezd2ofzd2);
		}
	}



/* &isfun-predicate-of */
	obj_t BGl_z62isfunzd2predicatezd2ofz62zzinline_inlinez00(obj_t
		BgL_envz00_2866, obj_t BgL_oz00_2867)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 93 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2867))))->BgL_predicatezd2ofzd2);
		}
	}



/* isfun-predicate-of-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2predicatezd2ofzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_76, obj_t BgL_vz00_77)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 94 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_76)))->BgL_predicatezd2ofzd2) =
				((obj_t) BgL_vz00_77), BUNSPEC);
		}
	}



/* &isfun-predicate-of-set! */
	obj_t BGl_z62isfunzd2predicatezd2ofzd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2868, obj_t BgL_oz00_2869, obj_t BgL_vz00_2870)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 94 */
			{	/* Inline/inline.sch 94 */
				BgL_sfunz00_bglt BgL_oz00_3143;

				BgL_oz00_3143 = ((BgL_sfunz00_bglt) BgL_oz00_2869);
				return
					((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_oz00_3143)))->BgL_predicatezd2ofzd2) =
					((obj_t) BgL_vz00_2870), BUNSPEC);
			}
		}
	}



/* isfun-side-effect */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2sidezd2effectz00zzinline_inlinez00(BgL_sfunz00_bglt BgL_oz00_78)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 95 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_78)))->BgL_sidezd2effectzd2);
		}
	}



/* &isfun-side-effect */
	obj_t BGl_z62isfunzd2sidezd2effectz62zzinline_inlinez00(obj_t BgL_envz00_2871,
		obj_t BgL_oz00_2872)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 95 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt)
							((BgL_sfunz00_bglt) BgL_oz00_2872))))->BgL_sidezd2effectzd2);
		}
	}



/* isfun-side-effect-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_isfunzd2sidezd2effectzd2setz12zc0zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_79, obj_t BgL_vz00_80)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 96 */
			return
				((((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt) BgL_oz00_79)))->BgL_sidezd2effectzd2) =
				((obj_t) BgL_vz00_80), BUNSPEC);
		}
	}



/* &isfun-side-effect-set! */
	obj_t BGl_z62isfunzd2sidezd2effectzd2setz12za2zzinline_inlinez00(obj_t
		BgL_envz00_2873, obj_t BgL_oz00_2874, obj_t BgL_vz00_2875)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 96 */
			{	/* Inline/inline.sch 96 */
				BgL_sfunz00_bglt BgL_oz00_3146;

				BgL_oz00_3146 = ((BgL_sfunz00_bglt) BgL_oz00_2874);
				return
					((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_oz00_3146)))->BgL_sidezd2effectzd2) =
					((obj_t) BgL_vz00_2875), BUNSPEC);
			}
		}
	}



/* isfun-arity */
	BGL_EXPORTED_DEF long BGl_isfunzd2arityzd2zzinline_inlinez00(BgL_sfunz00_bglt
		BgL_oz00_81)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 97 */
			return
				(((BgL_funz00_bglt) CREF(
						((BgL_funz00_bglt) BgL_oz00_81)))->BgL_arityz00);
		}
	}



/* &isfun-arity */
	obj_t BGl_z62isfunzd2arityzb0zzinline_inlinez00(obj_t BgL_envz00_2876,
		obj_t BgL_oz00_2877)
	{
		AN_OBJECT;
		{	/* Inline/inline.sch 97 */
			return
				BINT(
				(((BgL_funz00_bglt) CREF(
							((BgL_funz00_bglt)
								((BgL_sfunz00_bglt) BgL_oz00_2877))))->BgL_arityz00));
		}
	}



/* inline-sfun! */
	BGL_EXPORTED_DEF obj_t
		BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt
		BgL_variablez00_84, long BgL_kfactorz00_85, obj_t BgL_stackz00_86)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 35 */
			{	/* Inline/inline.scm 38 */
				BgL_valuez00_bglt BgL_sfunz00_1393;

				BgL_sfunz00_1393 =
					(((BgL_variablez00_bglt) CREF(BgL_variablez00_84))->BgL_valuez00);
				{	/* Inline/inline.scm 38 */
					BgL_valuez00_bglt BgL_isfunz00_1394;

					{	/* Inline/inline.scm 41 */
						BgL_sfunz00_bglt BgL_tmp1171z00_1404;

						BgL_tmp1171z00_1404 = ((BgL_sfunz00_bglt) BgL_sfunz00_1393);
						{	/* Inline/inline.scm 41 */
							BgL_sfunz00_bglt BgL_tmp1172z00_1405;
							BgL_isfunz00_bglt BgL_wide1173z00_1406;

							BgL_tmp1172z00_1405 = ((BgL_sfunz00_bglt) BgL_tmp1171z00_1404);
							BgL_wide1173z00_1406 =
								((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_isfunz00_bgl))));
							{	/* Inline/inline.scm 41 */
								obj_t BgL_auxz00_3559;
								BgL_objectz00_bglt BgL_auxz00_3557;

								BgL_auxz00_3559 = ((obj_t) BgL_wide1173z00_1406);
								BgL_auxz00_3557 = ((BgL_objectz00_bglt) BgL_tmp1172z00_1405);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_3557, BgL_auxz00_3559);
							}
							{	/* Inline/inline.scm 41 */
								long BgL_arg1985z00_1407;

								{	/* Inline/inline.scm 41 */
									long BgL_res2165z00_2494;

									BgL_res2165z00_2494 =
										BGL_CLASS_INDEX(BGl_isfunz00zzinline_inlinez00);
									BgL_arg1985z00_1407 = BgL_res2165z00_2494;
								}
								{	/* Inline/inline.scm 41 */
									BgL_objectz00_bglt BgL_objz00_2495;

									BgL_objz00_2495 = ((BgL_objectz00_bglt) BgL_tmp1172z00_1405);
									((BgL_sfunz00_bglt)
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2495,
											BgL_arg1985z00_1407));
							}} BgL_tmp1172z00_1405;
						}
						{	/* Inline/inline.scm 41 */
							BgL_sfunz00_bglt BgL_new1175z00_1408;

							BgL_new1175z00_1408 = ((BgL_sfunz00_bglt) BgL_tmp1171z00_1404);
							{
								BgL_isfunz00_bglt BgL_auxz00_3567;

								{
									obj_t BgL_auxz00_3568;

									{	/* Inline/inline.scm 41 */
										BgL_objectz00_bglt BgL_auxz00_3569;

										BgL_auxz00_3569 =
											((BgL_objectz00_bglt) BgL_new1175z00_1408);
										BgL_auxz00_3568 = BGL_OBJECT_WIDENING(BgL_auxz00_3569);
									}
									BgL_auxz00_3567 = ((BgL_isfunz00_bglt) BgL_auxz00_3568);
								}
								((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3567))->
										BgL_originalzd2bodyzd2) =
									((BgL_nodez00_bglt) ((BgL_nodez00_bglt) (((BgL_sfunz00_bglt)
													CREF(((BgL_sfunz00_bglt) BgL_sfunz00_1393)))->
												BgL_bodyz00))), BUNSPEC);
							}
							{
								BgL_isfunz00_bglt BgL_auxz00_3577;

								{
									obj_t BgL_auxz00_3578;

									{	/* Inline/inline.scm 41 */
										BgL_objectz00_bglt BgL_auxz00_3579;

										BgL_auxz00_3579 =
											((BgL_objectz00_bglt) BgL_new1175z00_1408);
										BgL_auxz00_3578 = BGL_OBJECT_WIDENING(BgL_auxz00_3579);
									}
									BgL_auxz00_3577 = ((BgL_isfunz00_bglt) BgL_auxz00_3578);
								}
								((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3577))->
										BgL_recursivezd2callszd2) = ((obj_t) BUNSPEC), BUNSPEC);
							}
							BgL_isfunz00_1394 = ((BgL_valuez00_bglt) BgL_new1175z00_1408);
					}}
					{	/* Inline/inline.scm 39 */
						BgL_nodez00_bglt BgL_ozd2bodyzd2_1395;

						{
							BgL_isfunz00_bglt BgL_auxz00_3585;

							{
								obj_t BgL_auxz00_3586;

								{	/* Inline/inline.scm 42 */
									BgL_objectz00_bglt BgL_auxz00_3587;

									BgL_auxz00_3587 =
										((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_isfunz00_1394));
									BgL_auxz00_3586 = BGL_OBJECT_WIDENING(BgL_auxz00_3587);
								}
								BgL_auxz00_3585 = ((BgL_isfunz00_bglt) BgL_auxz00_3586);
							}
							BgL_ozd2bodyzd2_1395 =
								(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3585))->
								BgL_originalzd2bodyzd2);
						}
						{	/* Inline/inline.scm 42 */
							BgL_nodez00_bglt BgL_inlzd2bodyzd2_1396;

							{	/* Inline/inline.scm 43 */
								bool_t BgL_testz00_3593;

								{	/* Inline/inline.scm 44 */
									long BgL_arg1981z00_1400;

									BgL_arg1981z00_1400 =
										(((long) 1) +
										bgl_list_length(
											(((BgL_sfunz00_bglt) CREF(
														((BgL_sfunz00_bglt) BgL_sfunz00_1393)))->
												BgL_argsz00)));
									BgL_testz00_3593 =
										BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_84,
										(long) CINT(BGl_za2kfactorza2z00zzinline_walkz00),
										BgL_arg1981z00_1400, BNIL);
								}
								if (BgL_testz00_3593)
									{	/* Inline/inline.scm 43 */
										BgL_inlzd2bodyzd2_1396 =
											BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL, BFALSE,
											BgL_ozd2bodyzd2_1395);
									}
								else
									{	/* Inline/inline.scm 43 */
										BgL_inlzd2bodyzd2_1396 = BgL_ozd2bodyzd2_1395;
									}
							}
							{	/* Inline/inline.scm 43 */

								{	/* Inline/inline.scm 53 */
									BgL_nodez00_bglt BgL_arg1978z00_1397;

									{	/* Inline/inline.scm 53 */
										obj_t BgL_arg1979z00_1398;

										BgL_arg1979z00_1398 =
											MAKE_PAIR(((obj_t) BgL_variablez00_84), BgL_stackz00_86);
										BgL_arg1978z00_1397 =
											BGl_inlinezd2nodezd2zzinline_inlinez00
											(BgL_inlzd2bodyzd2_1396, BgL_kfactorz00_85,
											BgL_arg1979z00_1398);
									}
									{	/* Inline/inline.scm 52 */
										BgL_sfunz00_bglt BgL_oz00_2507;
										obj_t BgL_vz00_2508;

										BgL_oz00_2507 = ((BgL_sfunz00_bglt) BgL_sfunz00_1393);
										BgL_vz00_2508 = ((obj_t) BgL_arg1978z00_1397);
										((((BgL_sfunz00_bglt) CREF(BgL_oz00_2507))->BgL_bodyz00) =
											((obj_t) BgL_vz00_2508), BUNSPEC);
									}
								}
								return BNIL;
							}
						}
					}
				}
			}
		}
	}



/* &inline-sfun! */
	obj_t BGl_z62inlinezd2sfunz12za2zzinline_inlinez00(obj_t BgL_envz00_2878,
		obj_t BgL_variablez00_2879, obj_t BgL_kfactorz00_2880,
		obj_t BgL_stackz00_2881)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 35 */
			return
				BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
				((BgL_variablez00_bglt) BgL_variablez00_2879),
				(long) CINT(BgL_kfactorz00_2880), BgL_stackz00_2881);
		}
	}



/* inline-node*! */
	BGL_EXPORTED_DEF obj_t BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(obj_t
		BgL_nodeza2za2_153, obj_t BgL_kfactorz00_154, obj_t BgL_stackz00_155)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 252 */
		BGl_inlinezd2nodeza2z12z62zzinline_inlinez00:
			if (NULLP(BgL_nodeza2za2_153))
				{	/* Inline/inline.scm 253 */
					return CNST_TABLE_REF(((long) 0));
				}
			else
				{	/* Inline/inline.scm 253 */
					{	/* Inline/inline.scm 256 */
						BgL_nodez00_bglt BgL_arg1987z00_1410;

						{	/* Inline/inline.scm 256 */
							obj_t BgL_arg1989z00_1411;

							BgL_arg1989z00_1411 = CAR(BgL_nodeza2za2_153);
							BgL_arg1987z00_1410 =
								BGl_inlinezd2nodezd2zzinline_inlinez00(
								((BgL_nodez00_bglt) BgL_arg1989z00_1411),
								(long) CINT(BgL_kfactorz00_154), BgL_stackz00_155);
						}
						{	/* Inline/inline.scm 256 */
							obj_t BgL_pairz00_2513;
							obj_t BgL_objz00_2514;

							BgL_pairz00_2513 = BgL_nodeza2za2_153;
							BgL_objz00_2514 = ((obj_t) BgL_arg1987z00_1410);
							SET_CAR(BgL_pairz00_2513, BgL_objz00_2514);
					}}
					{
						obj_t BgL_nodeza2za2_3619;

						BgL_nodeza2za2_3619 = CDR(BgL_nodeza2za2_153);
						BgL_nodeza2za2_153 = BgL_nodeza2za2_3619;
						goto BGl_inlinezd2nodeza2z12z62zzinline_inlinez00;
					}
				}
		}
	}



/* &inline-node*! */
	obj_t BGl_z62inlinezd2nodeza2z12z00zzinline_inlinez00(obj_t BgL_envz00_2884,
		obj_t BgL_nodeza2za2_2885, obj_t BgL_kfactorz00_2886,
		obj_t BgL_stackz00_2887)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 252 */
			return
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(BgL_nodeza2za2_2885,
				BgL_kfactorz00_2886, BgL_stackz00_2887);
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			{	/* Inline/inline.scm 26 */
				obj_t BgL_arg1997z00_1417;
				obj_t BgL_arg1998z00_1418;

				{	/* Inline/inline.scm 26 */
					obj_t BgL_v1923z00_1460;

					BgL_v1923z00_1460 = create_vector((int) (((long) 2)));
					{	/* Inline/inline.scm 26 */
						obj_t BgL_arg2009z00_1461;

						BgL_arg2009z00_1461 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									1)), BGl_proc2207z00zzinline_inlinez00,
							BGl_proc2206z00zzinline_inlinez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2205z00zzinline_inlinez00,
							CNST_TABLE_REF(((long) 2)));
						VECTOR_SET(BgL_v1923z00_1460, (int) (((long) 1)),
							BgL_arg2009z00_1461);
					}
					{	/* Inline/inline.scm 26 */
						obj_t BgL_arg2016z00_1476;

						BgL_arg2016z00_1476 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									3)), BGl_proc2209z00zzinline_inlinez00,
							BGl_proc2208z00zzinline_inlinez00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_nodez00zzast_nodez00);
						VECTOR_SET(BgL_v1923z00_1460, (int) (((long) 0)),
							BgL_arg2016z00_1476);
					}
					BgL_arg1997z00_1417 = BgL_v1923z00_1460;
				}
				{	/* Inline/inline.scm 26 */
					obj_t BgL_v1924z00_1488;

					BgL_v1924z00_1488 = create_vector((int) (((long) 0)));
					BgL_arg1998z00_1418 = BgL_v1924z00_1488;
				}
				return (BGl_isfunz00zzinline_inlinez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 4)),
						CNST_TABLE_REF(((long) 5)), BGl_sfunz00zzast_varz00, ((long) 59763),
						BGl_proc2213z00zzinline_inlinez00,
						BGl_proc2212z00zzinline_inlinez00, BFALSE,
						BGl_proc2211z00zzinline_inlinez00,
						BGl_proc2210z00zzinline_inlinez00, BgL_arg1997z00_1417,
						BgL_arg1998z00_1418), BUNSPEC);
		}}
	}



/* &lambda2005 */
	BgL_sfunz00_bglt BGl_z62lambda2005z62zzinline_inlinez00(obj_t BgL_envz00_2897,
		obj_t BgL_o1121z00_2898)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_o1121z00_1454;

				BgL_o1121z00_1454 = ((BgL_sfunz00_bglt) BgL_o1121z00_2898);
				{	/* Inline/inline.scm 26 */
					long BgL_arg2006z00_1457;

					{	/* Inline/inline.scm 26 */
						obj_t BgL_arg2007z00_1458;

						{	/* Inline/inline.scm 26 */
							obj_t BgL_arg2008z00_1459;

							{	/* Inline/inline.scm 26 */
								BgL_objectz00_bglt BgL_objectz00_2546;

								BgL_objectz00_2546 = ((BgL_objectz00_bglt) BgL_o1121z00_1454);
								{	/* Inline/inline.scm 26 */
									long BgL_arg1806z00_2547;

									{	/* Inline/inline.scm 26 */
										long BgL_arg1808z00_2548;

										{	/* Inline/inline.scm 26 */
											long BgL_res2172z00_2550;

											BgL_res2172z00_2550 =
												BGL_OBJECT_CLASS_NUM(BgL_objectz00_2546);
											BgL_arg1808z00_2548 = BgL_res2172z00_2550;
										}
										BgL_arg1806z00_2547 = (BgL_arg1808z00_2548 - OBJECT_TYPE);
									}
									BgL_arg2008z00_1459 =
										VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
										(int) (BgL_arg1806z00_2547));
							}}
							BgL_arg2007z00_1458 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg2008z00_1459);
						}
						{	/* Inline/inline.scm 26 */
							long BgL_res2174z00_2557;

							BgL_res2174z00_2557 = BGL_CLASS_INDEX(BgL_arg2007z00_1458);
							BgL_arg2006z00_1457 = BgL_res2174z00_2557;
					}}
					{	/* Inline/inline.scm 26 */
						BgL_objectz00_bglt BgL_objz00_2558;

						BgL_objz00_2558 = ((BgL_objectz00_bglt) BgL_o1121z00_1454);
						BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2558, BgL_arg2006z00_1457);
				}}
				{	/* Inline/inline.scm 26 */
					BgL_objectz00_bglt BgL_auxz00_3647;

					BgL_auxz00_3647 = ((BgL_objectz00_bglt) BgL_o1121z00_1454);
					BGL_OBJECT_WIDENING_SET(BgL_auxz00_3647, BFALSE);
				}
				return ((BgL_sfunz00_bglt) BgL_o1121z00_1454);
			}
		}
	}



/* &<anonymous:2004> */
	BgL_sfunz00_bglt BGl_z62zc3anonymousza32004ze3ze1zzinline_inlinez00(obj_t
		BgL_envz00_2899, obj_t BgL_new1120z00_2900)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_new1120z00_1452;

				BgL_new1120z00_1452 = ((BgL_sfunz00_bglt) BgL_new1120z00_2900);
				((((BgL_funz00_bglt) CREF(
								((BgL_funz00_bglt) BgL_new1120z00_1452)))->BgL_arityz00) =
					((long) ((long) 0)), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1120z00_1452)))->
						BgL_sidezd2effectzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1120z00_1452)))->
						BgL_predicatezd2ofzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1120z00_1452)))->
						BgL_stackzd2allocatorzd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1120z00_1452)))->
						BgL_topzf3zf3) = ((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1120z00_1452)))->
						BgL_thezd2closurezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1120z00_1452)))->
						BgL_effectz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1120z00_1452)))->
						BgL_failsafez00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1452)))->
						BgL_propertyz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1452)))->
						BgL_argsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1452)))->
						BgL_argszd2namezd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1452)))->
						BgL_bodyz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1452)))->
						BgL_classz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1452)))->
						BgL_dssslzd2keywordszd2) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1452)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1452)))->
						BgL_optionalsz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1452)))->
						BgL_keysz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1452)))->
						BgL_thezd2closurezd2globalz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt) BgL_new1120z00_1452)))->
						BgL_strengthz00) = ((obj_t) CNST_TABLE_REF(((long) 6))), BUNSPEC);
				{
					BgL_nodez00_bglt BgL_auxz00_3697;
					BgL_isfunz00_bglt BgL_auxz00_3691;

					{	/* Inline/inline.scm 26 */
						obj_t BgL_classz00_2544;

						BgL_classz00_2544 = BGl_nodez00zzast_nodez00;
						{	/* Inline/inline.scm 26 */
							obj_t BgL__ortest_1093z00_2545;

							BgL__ortest_1093z00_2545 = BGL_CLASS_NIL(BgL_classz00_2544);
							if (CBOOL(BgL__ortest_1093z00_2545))
								{	/* Inline/inline.scm 26 */
									BgL_auxz00_3697 =
										((BgL_nodez00_bglt) BgL__ortest_1093z00_2545);
								}
							else
								{	/* Inline/inline.scm 26 */
									BgL_auxz00_3697 =
										((BgL_nodez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2544));
								}
						}
					}
					{
						obj_t BgL_auxz00_3692;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3693;

							BgL_auxz00_3693 = ((BgL_objectz00_bglt) BgL_new1120z00_1452);
							BgL_auxz00_3692 = BGL_OBJECT_WIDENING(BgL_auxz00_3693);
						}
						BgL_auxz00_3691 = ((BgL_isfunz00_bglt) BgL_auxz00_3692);
					}
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3691))->
							BgL_originalzd2bodyzd2) =
						((BgL_nodez00_bglt) BgL_auxz00_3697), BUNSPEC);
				}
				{
					BgL_isfunz00_bglt BgL_auxz00_3705;

					{
						obj_t BgL_auxz00_3706;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3707;

							BgL_auxz00_3707 = ((BgL_objectz00_bglt) BgL_new1120z00_1452);
							BgL_auxz00_3706 = BGL_OBJECT_WIDENING(BgL_auxz00_3707);
						}
						BgL_auxz00_3705 = ((BgL_isfunz00_bglt) BgL_auxz00_3706);
					}
					((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3705))->
							BgL_recursivezd2callszd2) = ((obj_t) BUNSPEC), BUNSPEC);
				}
				return BgL_new1120z00_1452;
			}
		}
	}



/* &lambda2002 */
	BgL_sfunz00_bglt BGl_z62lambda2002z62zzinline_inlinez00(obj_t BgL_envz00_2901,
		obj_t BgL_o1117z00_2902)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_o1117z00_1447;

				BgL_o1117z00_1447 = ((BgL_sfunz00_bglt) BgL_o1117z00_2902);
				{	/* Inline/inline.scm 26 */
					BgL_sfunz00_bglt BgL_tmp1118z00_1449;
					BgL_isfunz00_bglt BgL_wide1119z00_1450;

					BgL_tmp1118z00_1449 = ((BgL_sfunz00_bglt) BgL_o1117z00_1447);
					BgL_wide1119z00_1450 =
						((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_isfunz00_bgl))));
					{	/* Inline/inline.scm 26 */
						obj_t BgL_auxz00_3717;
						BgL_objectz00_bglt BgL_auxz00_3715;

						BgL_auxz00_3717 = ((obj_t) BgL_wide1119z00_1450);
						BgL_auxz00_3715 = ((BgL_objectz00_bglt) BgL_tmp1118z00_1449);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_3715, BgL_auxz00_3717);
					}
					{	/* Inline/inline.scm 26 */
						long BgL_arg2003z00_1451;

						{	/* Inline/inline.scm 26 */
							long BgL_res2171z00_2541;

							BgL_res2171z00_2541 =
								BGL_CLASS_INDEX(BGl_isfunz00zzinline_inlinez00);
							BgL_arg2003z00_1451 = BgL_res2171z00_2541;
						}
						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_objz00_2542;

							BgL_objz00_2542 = ((BgL_objectz00_bglt) BgL_tmp1118z00_1449);
							((BgL_sfunz00_bglt)
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2542, BgL_arg2003z00_1451));
					}}
					return ((BgL_sfunz00_bglt) BgL_tmp1118z00_1449);
				}
			}
		}
	}



/* &lambda1999 */
	BgL_sfunz00_bglt BGl_z62lambda1999z62zzinline_inlinez00(obj_t BgL_envz00_2903,
		obj_t BgL_arity1096z00_2904, obj_t BgL_sidezd2effect1097zd2_2905,
		obj_t BgL_predicatezd2of1098zd2_2906,
		obj_t BgL_stackzd2allocator1099zd2_2907, obj_t BgL_topzf31100zf3_2908,
		obj_t BgL_thezd2closure1101zd2_2909, obj_t BgL_effect1102z00_2910,
		obj_t BgL_failsafe1103z00_2911, obj_t BgL_property1104z00_2912,
		obj_t BgL_args1105z00_2913, obj_t BgL_argszd2name1106zd2_2914,
		obj_t BgL_body1107z00_2915, obj_t BgL_class1108z00_2916,
		obj_t BgL_dssslzd2keywords1109zd2_2917, obj_t BgL_loc1110z00_2918,
		obj_t BgL_optionals1111z00_2919, obj_t BgL_keys1112z00_2920,
		obj_t BgL_thezd2closurezd2global1113z00_2921,
		obj_t BgL_strength1114z00_2922, obj_t BgL_originalzd2body1115zd2_2923,
		obj_t BgL_recursivezd2calls1116zd2_2924)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				long BgL_arity1096z00_1419;
				obj_t BgL_sidezd2effect1097zd2_1420;
				obj_t BgL_predicatezd2of1098zd2_1421;
				obj_t BgL_stackzd2allocator1099zd2_1422;
				bool_t BgL_topzf31100zf3_1423;
				obj_t BgL_thezd2closure1101zd2_1424;
				obj_t BgL_effect1102z00_1425;
				obj_t BgL_failsafe1103z00_1426;
				obj_t BgL_property1104z00_1427;
				obj_t BgL_args1105z00_1428;
				obj_t BgL_argszd2name1106zd2_1429;
				obj_t BgL_body1107z00_1430;
				obj_t BgL_class1108z00_1431;
				obj_t BgL_dssslzd2keywords1109zd2_1432;
				obj_t BgL_loc1110z00_1433;
				obj_t BgL_optionals1111z00_1434;
				obj_t BgL_keys1112z00_1435;
				obj_t BgL_thezd2closurezd2global1113z00_1436;
				obj_t BgL_strength1114z00_1437;
				BgL_nodez00_bglt BgL_originalzd2body1115zd2_1438;
				obj_t BgL_recursivezd2calls1116zd2_1439;

				BgL_arity1096z00_1419 = (long) CINT(BgL_arity1096z00_2904);
				BgL_sidezd2effect1097zd2_1420 = BgL_sidezd2effect1097zd2_2905;
				BgL_predicatezd2of1098zd2_1421 = BgL_predicatezd2of1098zd2_2906;
				BgL_stackzd2allocator1099zd2_1422 = BgL_stackzd2allocator1099zd2_2907;
				BgL_topzf31100zf3_1423 = CBOOL(BgL_topzf31100zf3_2908);
				BgL_thezd2closure1101zd2_1424 = BgL_thezd2closure1101zd2_2909;
				BgL_effect1102z00_1425 = BgL_effect1102z00_2910;
				BgL_failsafe1103z00_1426 = BgL_failsafe1103z00_2911;
				BgL_property1104z00_1427 = BgL_property1104z00_2912;
				BgL_args1105z00_1428 = BgL_args1105z00_2913;
				BgL_argszd2name1106zd2_1429 = BgL_argszd2name1106zd2_2914;
				BgL_body1107z00_1430 = BgL_body1107z00_2915;
				BgL_class1108z00_1431 = BgL_class1108z00_2916;
				BgL_dssslzd2keywords1109zd2_1432 = BgL_dssslzd2keywords1109zd2_2917;
				BgL_loc1110z00_1433 = BgL_loc1110z00_2918;
				BgL_optionals1111z00_1434 = BgL_optionals1111z00_2919;
				BgL_keys1112z00_1435 = BgL_keys1112z00_2920;
				BgL_thezd2closurezd2global1113z00_1436 =
					BgL_thezd2closurezd2global1113z00_2921;
				BgL_strength1114z00_1437 = BgL_strength1114z00_2922;
				BgL_originalzd2body1115zd2_1438 =
					((BgL_nodez00_bglt) BgL_originalzd2body1115zd2_2923);
				BgL_recursivezd2calls1116zd2_1439 = BgL_recursivezd2calls1116zd2_2924;
				{	/* Inline/inline.scm 26 */
					BgL_sfunz00_bglt BgL_new1187z00_2526;

					{	/* Inline/inline.scm 26 */
						BgL_sfunz00_bglt BgL_tmp1185z00_2527;
						BgL_isfunz00_bglt BgL_wide1186z00_2528;

						{
							BgL_sfunz00_bglt BgL_auxz00_3726;

							{	/* Inline/inline.scm 26 */
								BgL_sfunz00_bglt BgL_new1184z00_2529;

								BgL_new1184z00_2529 =
									((BgL_sfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_sfunz00_bgl))));
								{	/* Inline/inline.scm 26 */
									long BgL_arg2001z00_2530;

									{	/* Inline/inline.scm 26 */
										long BgL_res2169z00_2533;

										BgL_res2169z00_2533 =
											BGL_CLASS_INDEX(BGl_sfunz00zzast_varz00);
										BgL_arg2001z00_2530 = BgL_res2169z00_2533;
									}
									{	/* Inline/inline.scm 26 */
										BgL_objectz00_bglt BgL_objz00_2534;

										BgL_objz00_2534 =
											((BgL_objectz00_bglt) BgL_new1184z00_2529);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2534,
											BgL_arg2001z00_2530);
								}}
								{	/* Inline/inline.scm 26 */
									BgL_objectz00_bglt BgL_auxz00_3731;

									BgL_auxz00_3731 = ((BgL_objectz00_bglt) BgL_new1184z00_2529);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3731, BFALSE);
								}
								BgL_auxz00_3726 = BgL_new1184z00_2529;
							}
							BgL_tmp1185z00_2527 = ((BgL_sfunz00_bglt) BgL_auxz00_3726);
						}
						BgL_wide1186z00_2528 =
							((BgL_isfunz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_isfunz00_bgl))));
						{	/* Inline/inline.scm 26 */
							obj_t BgL_auxz00_3738;
							BgL_objectz00_bglt BgL_auxz00_3736;

							BgL_auxz00_3738 = ((obj_t) BgL_wide1186z00_2528);
							BgL_auxz00_3736 = ((BgL_objectz00_bglt) BgL_tmp1185z00_2527);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3736, BgL_auxz00_3738);
						}
						{	/* Inline/inline.scm 26 */
							long BgL_arg2000z00_2531;

							{	/* Inline/inline.scm 26 */
								long BgL_res2170z00_2537;

								BgL_res2170z00_2537 =
									BGL_CLASS_INDEX(BGl_isfunz00zzinline_inlinez00);
								BgL_arg2000z00_2531 = BgL_res2170z00_2537;
							}
							{	/* Inline/inline.scm 26 */
								BgL_objectz00_bglt BgL_objz00_2538;

								BgL_objz00_2538 = ((BgL_objectz00_bglt) BgL_tmp1185z00_2527);
								((BgL_sfunz00_bglt)
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2538,
										BgL_arg2000z00_2531));
						}}
						BgL_new1187z00_2526 = ((BgL_sfunz00_bglt) BgL_tmp1185z00_2527);
					}
					((((BgL_funz00_bglt) CREF(
									((BgL_funz00_bglt) BgL_new1187z00_2526)))->BgL_arityz00) =
						((long) BgL_arity1096z00_1419), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1187z00_2526)))->
							BgL_sidezd2effectzd2) =
						((obj_t) BgL_sidezd2effect1097zd2_1420), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1187z00_2526)))->
							BgL_predicatezd2ofzd2) =
						((obj_t) BgL_predicatezd2of1098zd2_1421), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1187z00_2526)))->
							BgL_stackzd2allocatorzd2) =
						((obj_t) BgL_stackzd2allocator1099zd2_1422), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1187z00_2526)))->
							BgL_topzf3zf3) = ((bool_t) BgL_topzf31100zf3_1423), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1187z00_2526)))->
							BgL_thezd2closurezd2) =
						((obj_t) BgL_thezd2closure1101zd2_1424), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1187z00_2526)))->
							BgL_effectz00) = ((obj_t) BgL_effect1102z00_1425), BUNSPEC);
					((((BgL_funz00_bglt) CREF(((BgL_funz00_bglt) BgL_new1187z00_2526)))->
							BgL_failsafez00) = ((obj_t) BgL_failsafe1103z00_1426), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_2526)))->BgL_propertyz00) =
						((obj_t) BgL_property1104z00_1427), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_2526)))->BgL_argsz00) =
						((obj_t) BgL_args1105z00_1428), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_2526)))->BgL_argszd2namezd2) =
						((obj_t) BgL_argszd2name1106zd2_1429), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_2526)))->BgL_bodyz00) =
						((obj_t) BgL_body1107z00_1430), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_2526)))->BgL_classz00) =
						((obj_t) BgL_class1108z00_1431), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_2526)))->BgL_dssslzd2keywordszd2) =
						((obj_t) BgL_dssslzd2keywords1109zd2_1432), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_2526)))->BgL_locz00) =
						((obj_t) BgL_loc1110z00_1433), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_2526)))->BgL_optionalsz00) =
						((obj_t) BgL_optionals1111z00_1434), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_2526)))->BgL_keysz00) =
						((obj_t) BgL_keys1112z00_1435), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_2526)))->BgL_thezd2closurezd2globalz00) =
						((obj_t) BgL_thezd2closurezd2global1113z00_1436), BUNSPEC);
					((((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
										BgL_new1187z00_2526)))->BgL_strengthz00) =
						((obj_t) BgL_strength1114z00_1437), BUNSPEC);
					{
						BgL_isfunz00_bglt BgL_auxz00_3784;

						{
							obj_t BgL_auxz00_3785;

							{	/* Inline/inline.scm 26 */
								BgL_objectz00_bglt BgL_auxz00_3786;

								BgL_auxz00_3786 = ((BgL_objectz00_bglt) BgL_new1187z00_2526);
								BgL_auxz00_3785 = BGL_OBJECT_WIDENING(BgL_auxz00_3786);
							}
							BgL_auxz00_3784 = ((BgL_isfunz00_bglt) BgL_auxz00_3785);
						}
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3784))->
								BgL_originalzd2bodyzd2) =
							((BgL_nodez00_bglt) BgL_originalzd2body1115zd2_1438), BUNSPEC);
					}
					{
						BgL_isfunz00_bglt BgL_auxz00_3791;

						{
							obj_t BgL_auxz00_3792;

							{	/* Inline/inline.scm 26 */
								BgL_objectz00_bglt BgL_auxz00_3793;

								BgL_auxz00_3793 = ((BgL_objectz00_bglt) BgL_new1187z00_2526);
								BgL_auxz00_3792 = BGL_OBJECT_WIDENING(BgL_auxz00_3793);
							}
							BgL_auxz00_3791 = ((BgL_isfunz00_bglt) BgL_auxz00_3792);
						}
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3791))->
								BgL_recursivezd2callszd2) =
							((obj_t) BgL_recursivezd2calls1116zd2_1439), BUNSPEC);
					}
					return BgL_new1187z00_2526;
				}
			}
		}
	}



/* &lambda2021 */
	obj_t BGl_z62lambda2021z62zzinline_inlinez00(obj_t BgL_envz00_2925,
		obj_t BgL_oz00_2926, obj_t BgL_vz00_2927)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_oz00_1482;
				BgL_nodez00_bglt BgL_vz00_1483;

				BgL_oz00_1482 = ((BgL_sfunz00_bglt) BgL_oz00_2926);
				BgL_vz00_1483 = ((BgL_nodez00_bglt) BgL_vz00_2927);
				{
					BgL_isfunz00_bglt BgL_auxz00_3801;

					{
						obj_t BgL_auxz00_3802;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3803;

							BgL_auxz00_3803 = ((BgL_objectz00_bglt) BgL_oz00_1482);
							BgL_auxz00_3802 = BGL_OBJECT_WIDENING(BgL_auxz00_3803);
						}
						BgL_auxz00_3801 = ((BgL_isfunz00_bglt) BgL_auxz00_3802);
					}
					return
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3801))->
							BgL_originalzd2bodyzd2) =
						((BgL_nodez00_bglt) BgL_vz00_1483), BUNSPEC);
				}
			}
		}
	}



/* &lambda2020 */
	BgL_nodez00_bglt BGl_z62lambda2020z62zzinline_inlinez00(obj_t BgL_envz00_2928,
		obj_t BgL_oz00_2929)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_oz00_1479;

				BgL_oz00_1479 = ((BgL_sfunz00_bglt) BgL_oz00_2929);
				{
					BgL_isfunz00_bglt BgL_auxz00_3810;

					{
						obj_t BgL_auxz00_3811;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3812;

							BgL_auxz00_3812 = ((BgL_objectz00_bglt) BgL_oz00_1479);
							BgL_auxz00_3811 = BGL_OBJECT_WIDENING(BgL_auxz00_3812);
						}
						BgL_auxz00_3810 = ((BgL_isfunz00_bglt) BgL_auxz00_3811);
					}
					return
						(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3810))->
						BgL_originalzd2bodyzd2);
				}
			}
		}
	}



/* &<anonymous:2015> */
	obj_t BGl_z62zc3anonymousza32015ze3ze1zzinline_inlinez00(obj_t
		BgL_envz00_2930)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			return BUNSPEC;
		}
	}



/* &lambda2014 */
	obj_t BGl_z62lambda2014z62zzinline_inlinez00(obj_t BgL_envz00_2931,
		obj_t BgL_oz00_2932, obj_t BgL_vz00_2933)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_oz00_1468;
				obj_t BgL_vz00_1469;

				BgL_oz00_1468 = ((BgL_sfunz00_bglt) BgL_oz00_2932);
				BgL_vz00_1469 = BgL_vz00_2933;
				{
					BgL_isfunz00_bglt BgL_auxz00_3818;

					{
						obj_t BgL_auxz00_3819;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3820;

							BgL_auxz00_3820 = ((BgL_objectz00_bglt) BgL_oz00_1468);
							BgL_auxz00_3819 = BGL_OBJECT_WIDENING(BgL_auxz00_3820);
						}
						BgL_auxz00_3818 = ((BgL_isfunz00_bglt) BgL_auxz00_3819);
					}
					return
						((((BgL_isfunz00_bglt) CREF(BgL_auxz00_3818))->
							BgL_recursivezd2callszd2) = ((obj_t) BgL_vz00_1469), BUNSPEC);
				}
			}
		}
	}



/* &lambda2013 */
	obj_t BGl_z62lambda2013z62zzinline_inlinez00(obj_t BgL_envz00_2934,
		obj_t BgL_oz00_2935)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 26 */
			{
				BgL_sfunz00_bglt BgL_oz00_1465;

				BgL_oz00_1465 = ((BgL_sfunz00_bglt) BgL_oz00_2935);
				{
					BgL_isfunz00_bglt BgL_auxz00_3826;

					{
						obj_t BgL_auxz00_3827;

						{	/* Inline/inline.scm 26 */
							BgL_objectz00_bglt BgL_auxz00_3828;

							BgL_auxz00_3828 = ((BgL_objectz00_bglt) BgL_oz00_1465);
							BgL_auxz00_3827 = BGL_OBJECT_WIDENING(BgL_auxz00_3828);
						}
						BgL_auxz00_3826 = ((BgL_isfunz00_bglt) BgL_auxz00_3827);
					}
					return
						(((BgL_isfunz00_bglt) CREF(BgL_auxz00_3826))->
						BgL_recursivezd2callszd2);
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_proc2214z00zzinline_inlinez00, BGl_nodez00zzast_nodez00,
				BGl_string2215z00zzinline_inlinez00);
		}
	}



/* &inline-node1925 */
	obj_t BGl_z62inlinezd2node1925zb0zzinline_inlinez00(obj_t BgL_envz00_2937,
		obj_t BgL_nodez00_2938, obj_t BgL_kfactorz00_2939, obj_t BgL_stackz00_2940)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 60 */
			{
				BgL_nodez00_bglt BgL_nodez00_1494;
				long BgL_kfactorz00_1495;
				obj_t BgL_stackz00_1496;

				BgL_nodez00_1494 = ((BgL_nodez00_bglt) BgL_nodez00_2938);
				BgL_kfactorz00_1495 = (long) CINT(BgL_kfactorz00_2939);
				BgL_stackz00_1496 = BgL_stackz00_2940;
				return
					BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 7)),
					BGl_string2216z00zzinline_inlinez00, ((obj_t) BgL_nodez00_1494));
		}}
	}



/* inline-node */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt BgL_nodez00_87,
		long BgL_kfactorz00_88, obj_t BgL_stackz00_89)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 60 */
			{	/* Inline/inline.scm 60 */
				obj_t BgL_method1926z00_1499;

				{	/* Inline/inline.scm 60 */
					obj_t BgL_res2181z00_2588;

					{	/* Inline/inline.scm 60 */
						BgL_objectz00_bglt BgL_objz00_2560;

						BgL_objz00_2560 = ((BgL_objectz00_bglt) BgL_nodez00_87);
						{	/* Inline/inline.scm 60 */
							long BgL_objzd2classzd2numz00_2561;

							{	/* Inline/inline.scm 60 */
								long BgL_res2175z00_2564;

								BgL_res2175z00_2564 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2560);
								BgL_objzd2classzd2numz00_2561 = BgL_res2175z00_2564;
							}
							{	/* Inline/inline.scm 60 */
								obj_t BgL_arg1803z00_2562;

								BgL_arg1803z00_2562 =
									PROCEDURE_REF(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
									(int) (((long) 1)));
								{	/* Inline/inline.scm 60 */
									obj_t BgL_arrayz00_2565;
									int BgL_offsetz00_2566;

									BgL_arrayz00_2565 = BgL_arg1803z00_2562;
									BgL_offsetz00_2566 = (int) (BgL_objzd2classzd2numz00_2561);
									{	/* Inline/inline.scm 60 */
										long BgL_offsetz00_2567;

										BgL_offsetz00_2567 =
											((long) (BgL_offsetz00_2566) - OBJECT_TYPE);
										{	/* Inline/inline.scm 60 */
											long BgL_modz00_2568;

											{	/* Inline/inline.scm 60 */
												int BgL_arg1805z00_2569;

												BgL_arg1805z00_2569 = (int) (((long) 16));
												{	/* Inline/inline.scm 60 */
													long BgL_res2178z00_2579;

													{	/* Inline/inline.scm 60 */
														long BgL_auxz00_3848;

														BgL_auxz00_3848 = (long) (BgL_arg1805z00_2569);
														BgL_res2178z00_2579 =
															(BgL_offsetz00_2567 / BgL_auxz00_3848);
													}
													BgL_modz00_2568 = BgL_res2178z00_2579;
											}}
											{	/* Inline/inline.scm 60 */
												long BgL_restz00_2570;

												{	/* Inline/inline.scm 60 */
													int BgL_arg1804z00_2571;

													BgL_arg1804z00_2571 = (int) (((long) 16));
													{	/* Inline/inline.scm 60 */
														long BgL_res2180z00_2583;

														{	/* Inline/inline.scm 60 */
															long BgL_auxz00_3852;

															BgL_auxz00_3852 = (long) (BgL_arg1804z00_2571);
															BgL_res2180z00_2583 =
																(BgL_offsetz00_2567 % BgL_auxz00_3852);
														}
														BgL_restz00_2570 = BgL_res2180z00_2583;
												}}
												{	/* Inline/inline.scm 60 */

													BgL_res2181z00_2588 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2565,
															(int) (BgL_modz00_2568)),
														(int) (BgL_restz00_2570));
					}}}}}}}}
					BgL_method1926z00_1499 = BgL_res2181z00_2588;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1926z00_1499) (BgL_method1926z00_1499,
						((obj_t) BgL_nodez00_87),
						BINT(BgL_kfactorz00_88), BgL_stackz00_89, BEOA));
			}
		}
	}



/* &inline-node */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezb0zzinline_inlinez00(obj_t
		BgL_envz00_2941, obj_t BgL_nodez00_2942, obj_t BgL_kfactorz00_2943,
		obj_t BgL_stackz00_2944)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 60 */
			return
				BGl_inlinezd2nodezd2zzinline_inlinez00(
				((BgL_nodez00_bglt) BgL_nodez00_2942),
				(long) CINT(BgL_kfactorz00_2943), BgL_stackz00_2944);
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_atomz00zzast_nodez00,
				BGl_proc2217z00zzinline_inlinez00, BGl_string2218z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_varz00zzast_nodez00,
				BGl_proc2219z00zzinline_inlinez00, BGl_string2218z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_kwotez00zzast_nodez00, BGl_proc2220z00zzinline_inlinez00,
				BGl_string2218z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_sequencez00zzast_nodez00, BGl_proc2221z00zzinline_inlinez00,
				BGl_string2218z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_syncz00zzast_nodez00,
				BGl_proc2222z00zzinline_inlinez00, BGl_string2218z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_appz00zzast_nodez00,
				BGl_proc2223z00zzinline_inlinez00, BGl_string2218z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2224z00zzinline_inlinez00,
				BGl_string2218z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_funcallz00zzast_nodez00, BGl_proc2225z00zzinline_inlinez00,
				BGl_string2218z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_externz00zzast_nodez00, BGl_proc2226z00zzinline_inlinez00,
				BGl_string2218z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_castz00zzast_nodez00,
				BGl_proc2227z00zzinline_inlinez00, BGl_string2218z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_setqz00zzast_nodez00,
				BGl_proc2228z00zzinline_inlinez00, BGl_string2218z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2229z00zzinline_inlinez00,
				BGl_string2218z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00, BGl_failz00zzast_nodez00,
				BGl_proc2230z00zzinline_inlinez00, BGl_string2218z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_selectz00zzast_nodez00, BGl_proc2231z00zzinline_inlinez00,
				BGl_string2218z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2232z00zzinline_inlinez00,
				BGl_string2218z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2233z00zzinline_inlinez00,
				BGl_string2218z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2234z00zzinline_inlinez00,
				BGl_string2218z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2235z00zzinline_inlinez00,
				BGl_string2218z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2236z00zzinline_inlinez00,
				BGl_string2218z00zzinline_inlinez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2237z00zzinline_inlinez00,
				BGl_string2218z00zzinline_inlinez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_inlinezd2nodezd2envz00zzinline_inlinez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2238z00zzinline_inlinez00,
				BGl_string2218z00zzinline_inlinez00);
		}
	}



/* &inline-node-box-set!1971 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2setz121971za2zzinline_inlinez00(obj_t
		BgL_envz00_2966, obj_t BgL_nodez00_2967, obj_t BgL_kfactorz00_2968,
		obj_t BgL_stackz00_2969)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 243 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1715;
				obj_t BgL_kfactorz00_1716;
				obj_t BgL_stackz00_1717;

				BgL_nodez00_1715 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2967);
				BgL_kfactorz00_1716 = BgL_kfactorz00_2968;
				BgL_stackz00_1717 = BgL_stackz00_2969;
				{
					BgL_varz00_bglt BgL_auxz00_3892;

					{	/* Inline/inline.scm 245 */
						BgL_varz00_bglt BgL_arg2101z00_1721;

						BgL_arg2101z00_1721 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1715))->BgL_varz00);
						BgL_auxz00_3892 =
							((BgL_varz00_bglt)
							BGl_inlinezd2nodezd2zzinline_inlinez00(
								((BgL_nodez00_bglt) BgL_arg2101z00_1721),
								(long) CINT(BgL_kfactorz00_1716), BgL_stackz00_1717));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1715))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3892), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3899;

					{	/* Inline/inline.scm 246 */
						BgL_nodez00_bglt BgL_arg2102z00_1722;

						BgL_arg2102z00_1722 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1715))->
							BgL_valuez00);
						BgL_auxz00_3899 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2102z00_1722,
							(long) CINT(BgL_kfactorz00_1716), BgL_stackz00_1717);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1715))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3899), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1715);
			}
		}
	}



/* &inline-node-box-ref1969 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2boxzd2ref1969zb0zzinline_inlinez00(obj_t
		BgL_envz00_2970, obj_t BgL_nodez00_2971, obj_t BgL_kfactorz00_2972,
		obj_t BgL_stackz00_2973)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 236 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1707;
				obj_t BgL_kfactorz00_1708;
				obj_t BgL_stackz00_1709;

				BgL_nodez00_1707 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_2971);
				BgL_kfactorz00_1708 = BgL_kfactorz00_2972;
				BgL_stackz00_1709 = BgL_stackz00_2973;
				{	/* Inline/inline.scm 237 */
					BgL_nodez00_bglt BgL_arg2099z00_2722;

					{	/* Inline/inline.scm 237 */
						BgL_varz00_bglt BgL_arg2100z00_2723;

						BgL_arg2100z00_2723 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1707))->BgL_varz00);
						BgL_arg2099z00_2722 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(
							((BgL_nodez00_bglt) BgL_arg2100z00_2723),
							(long) CINT(BgL_kfactorz00_1708), BgL_stackz00_1709);
					}
					{	/* Inline/inline.scm 237 */
						BgL_varz00_bglt BgL_vz00_2728;

						BgL_vz00_2728 = ((BgL_varz00_bglt) BgL_arg2099z00_2722);
						((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1707))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_vz00_2728), BUNSPEC);
				}}
				return ((BgL_nodez00_bglt) BgL_nodez00_1707);
			}
		}
	}



/* &inline-node-make-box1967 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2makezd2box1967zb0zzinline_inlinez00(obj_t
		BgL_envz00_2974, obj_t BgL_nodez00_2975, obj_t BgL_kfactorz00_2976,
		obj_t BgL_stackz00_2977)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 229 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1699;
				obj_t BgL_kfactorz00_1700;
				obj_t BgL_stackz00_1701;

				BgL_nodez00_1699 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_2975);
				BgL_kfactorz00_1700 = BgL_kfactorz00_2976;
				BgL_stackz00_1701 = BgL_stackz00_2977;
				((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1699))->BgL_valuez00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_makezd2boxzd2_bglt)
									CREF(BgL_nodez00_1699))->BgL_valuez00),
							(long) CINT(BgL_kfactorz00_1700), BgL_stackz00_1701)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1699);
			}
		}
	}



/* &inline-node-jump-ex-1965 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2jumpzd2exzd21965z62zzinline_inlinez00(obj_t
		BgL_envz00_2978, obj_t BgL_nodez00_2979, obj_t BgL_kfactorz00_2980,
		obj_t BgL_stackz00_2981)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 220 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1690;
				obj_t BgL_kfactorz00_1691;
				obj_t BgL_stackz00_1692;

				BgL_nodez00_1690 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2979);
				BgL_kfactorz00_1691 = BgL_kfactorz00_2980;
				BgL_stackz00_1692 = BgL_stackz00_2981;
				{
					BgL_nodez00_bglt BgL_auxz00_3920;

					{	/* Inline/inline.scm 222 */
						BgL_nodez00_bglt BgL_arg2095z00_1696;

						BgL_arg2095z00_1696 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1690))->
							BgL_exitz00);
						BgL_auxz00_3920 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2095z00_1696,
							(long) CINT(BgL_kfactorz00_1691), BgL_stackz00_1692);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1690))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3920), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3925;

					{	/* Inline/inline.scm 223 */
						BgL_nodez00_bglt BgL_arg2096z00_1697;

						BgL_arg2096z00_1697 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1690))->
							BgL_valuez00);
						BgL_auxz00_3925 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2096z00_1697,
							(long) CINT(BgL_kfactorz00_1691), BgL_stackz00_1692);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1690))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3925), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1690);
			}
		}
	}



/* &inline-node-set-ex-i1963 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2setzd2exzd2i1963z62zzinline_inlinez00(obj_t
		BgL_envz00_2982, obj_t BgL_nodez00_2983, obj_t BgL_kfactorz00_2984,
		obj_t BgL_stackz00_2985)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 213 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1682;
				obj_t BgL_kfactorz00_1683;
				obj_t BgL_stackz00_1684;

				BgL_nodez00_1682 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2983);
				BgL_kfactorz00_1683 = BgL_kfactorz00_2984;
				BgL_stackz00_1684 = BgL_stackz00_2985;
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1682))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_setzd2exzd2itz00_bglt)
									CREF(BgL_nodez00_1682))->BgL_bodyz00),
							(long) CINT(BgL_kfactorz00_1683), BgL_stackz00_1684)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1682);
			}
		}
	}



/* &inline-node-let-var1961 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2var1961zb0zzinline_inlinez00(obj_t
		BgL_envz00_2986, obj_t BgL_nodez00_2987, obj_t BgL_kfactorz00_2988,
		obj_t BgL_stackz00_2989)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 203 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1664;
				obj_t BgL_kfactorz00_1665;
				obj_t BgL_stackz00_1666;

				BgL_nodez00_1664 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_2987);
				BgL_kfactorz00_1665 = BgL_kfactorz00_2988;
				BgL_stackz00_1666 = BgL_stackz00_2989;
				{	/* Inline/inline.scm 204 */
					obj_t BgL_g1922z00_1669;

					BgL_g1922z00_1669 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1664))->BgL_bindingsz00);
					{
						obj_t BgL_l1920z00_1671;

						BgL_l1920z00_1671 = BgL_g1922z00_1669;
					BgL_zc3anonymousza32084ze3z83_1672:
						if (PAIRP(BgL_l1920z00_1671))
							{	/* Inline/inline.scm 206 */
								{	/* Inline/inline.scm 205 */
									obj_t BgL_bindingz00_1674;

									BgL_bindingz00_1674 = CAR(BgL_l1920z00_1671);
									{	/* Inline/inline.scm 205 */
										BgL_nodez00_bglt BgL_arg2086z00_1675;

										{	/* Inline/inline.scm 205 */
											obj_t BgL_arg2087z00_1676;

											BgL_arg2087z00_1676 = CDR(BgL_bindingz00_1674);
											BgL_arg2086z00_1675 =
												BGl_inlinezd2nodezd2zzinline_inlinez00(
												((BgL_nodez00_bglt) BgL_arg2087z00_1676),
												(long) CINT(BgL_kfactorz00_1665), BgL_stackz00_1666);
										}
										{	/* Inline/inline.scm 205 */
											obj_t BgL_pairz00_2697;
											obj_t BgL_objz00_2698;

											BgL_pairz00_2697 = BgL_bindingz00_1674;
											BgL_objz00_2698 = ((obj_t) BgL_arg2086z00_1675);
											SET_CDR(BgL_pairz00_2697, BgL_objz00_2698);
								}}}
								{
									obj_t BgL_l1920z00_3948;

									BgL_l1920z00_3948 = CDR(BgL_l1920z00_1671);
									BgL_l1920z00_1671 = BgL_l1920z00_3948;
									goto BgL_zc3anonymousza32084ze3z83_1672;
								}
							}
						else
							{	/* Inline/inline.scm 206 */
								((bool_t) 1);
							}
					}
				}
				((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1664))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_letzd2varzd2_bglt)
									CREF(BgL_nodez00_1664))->BgL_bodyz00),
							(long) CINT(BgL_kfactorz00_1665), BgL_stackz00_1666)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1664);
			}
		}
	}



/* &inline-node-let-fun1958 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2letzd2fun1958zb0zzinline_inlinez00(obj_t
		BgL_envz00_2990, obj_t BgL_nodez00_2991, obj_t BgL_kfactorz00_2992,
		obj_t BgL_stackz00_2993)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 190 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1648;
				obj_t BgL_kfactorz00_1649;
				obj_t BgL_stackz00_1650;

				BgL_nodez00_1648 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_2991);
				BgL_kfactorz00_1649 = BgL_kfactorz00_2992;
				BgL_stackz00_1650 = BgL_stackz00_2993;
				{	/* Inline/inline.scm 194 */
					obj_t BgL_g1919z00_1653;

					BgL_g1919z00_1653 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1648))->BgL_localsz00);
					{
						obj_t BgL_l1917z00_1655;

						BgL_l1917z00_1655 = BgL_g1919z00_1653;
					BgL_zc3anonymousza32079ze3z83_1656:
						if (PAIRP(BgL_l1917z00_1655))
							{	/* Inline/inline.scm 196 */
								{	/* Inline/inline.scm 195 */
									obj_t BgL_localz00_1658;

									BgL_localz00_1658 = CAR(BgL_l1917z00_1655);
									BGl_inlinezd2sfunz12zc0zzinline_inlinez00(
										((BgL_variablez00_bglt) BgL_localz00_1658),
										(long) CINT(BgL_kfactorz00_1649), BgL_stackz00_1650);
								}
								{
									obj_t BgL_l1917z00_3963;

									BgL_l1917z00_3963 = CDR(BgL_l1917z00_1655);
									BgL_l1917z00_1655 = BgL_l1917z00_3963;
									goto BgL_zc3anonymousza32079ze3z83_1656;
								}
							}
						else
							{	/* Inline/inline.scm 196 */
								((bool_t) 1);
							}
					}
				}
				((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1648))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_letzd2funzd2_bglt)
									CREF(BgL_nodez00_1648))->BgL_bodyz00),
							(long) CINT(BgL_kfactorz00_1649), BgL_stackz00_1650)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1648);
			}
		}
	}



/* &inline-node-select1956 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2select1956z62zzinline_inlinez00(obj_t
		BgL_envz00_2994, obj_t BgL_nodez00_2995, obj_t BgL_kfactorz00_2996,
		obj_t BgL_stackz00_2997)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 180 */
			{
				BgL_selectz00_bglt BgL_nodez00_1630;
				obj_t BgL_kfactorz00_1631;
				obj_t BgL_stackz00_1632;

				BgL_nodez00_1630 = ((BgL_selectz00_bglt) BgL_nodez00_2995);
				BgL_kfactorz00_1631 = BgL_kfactorz00_2996;
				BgL_stackz00_1632 = BgL_stackz00_2997;
				((((BgL_selectz00_bglt) CREF(BgL_nodez00_1630))->BgL_testz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_selectz00_bglt)
									CREF(BgL_nodez00_1630))->BgL_testz00),
							(long) CINT(BgL_kfactorz00_1631), BgL_stackz00_1632)), BUNSPEC);
				{	/* Inline/inline.scm 182 */
					obj_t BgL_g1916z00_1637;

					BgL_g1916z00_1637 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1630))->BgL_clausesz00);
					{
						obj_t BgL_l1859z00_1639;

						BgL_l1859z00_1639 = BgL_g1916z00_1637;
					BgL_zc3anonymousza32074ze3z83_1640:
						if (PAIRP(BgL_l1859z00_1639))
							{	/* Inline/inline.scm 184 */
								{	/* Inline/inline.scm 183 */
									obj_t BgL_clausez00_1642;

									BgL_clausez00_1642 = CAR(BgL_l1859z00_1639);
									{	/* Inline/inline.scm 183 */
										BgL_nodez00_bglt BgL_arg2076z00_1643;

										{	/* Inline/inline.scm 183 */
											obj_t BgL_arg2077z00_1644;

											BgL_arg2077z00_1644 = CDR(BgL_clausez00_1642);
											BgL_arg2076z00_1643 =
												BGl_inlinezd2nodezd2zzinline_inlinez00(
												((BgL_nodez00_bglt) BgL_arg2077z00_1644),
												(long) CINT(BgL_kfactorz00_1631), BgL_stackz00_1632);
										}
										{	/* Inline/inline.scm 183 */
											obj_t BgL_pairz00_2676;
											obj_t BgL_objz00_2677;

											BgL_pairz00_2676 = BgL_clausez00_1642;
											BgL_objz00_2677 = ((obj_t) BgL_arg2076z00_1643);
											SET_CDR(BgL_pairz00_2676, BgL_objz00_2677);
								}}}
								{
									obj_t BgL_l1859z00_3985;

									BgL_l1859z00_3985 = CDR(BgL_l1859z00_1639);
									BgL_l1859z00_1639 = BgL_l1859z00_3985;
									goto BgL_zc3anonymousza32074ze3z83_1640;
								}
							}
						else
							{	/* Inline/inline.scm 184 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1630);
			}
		}
	}



/* &inline-node-fail1954 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2fail1954z62zzinline_inlinez00(obj_t
		BgL_envz00_2998, obj_t BgL_nodez00_2999, obj_t BgL_kfactorz00_3000,
		obj_t BgL_stackz00_3001)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 170 */
			{
				BgL_failz00_bglt BgL_nodez00_1620;
				obj_t BgL_kfactorz00_1621;
				obj_t BgL_stackz00_1622;

				BgL_nodez00_1620 = ((BgL_failz00_bglt) BgL_nodez00_2999);
				BgL_kfactorz00_1621 = BgL_kfactorz00_3000;
				BgL_stackz00_1622 = BgL_stackz00_3001;
				{
					BgL_nodez00_bglt BgL_auxz00_3989;

					{	/* Inline/inline.scm 172 */
						BgL_nodez00_bglt BgL_arg2069z00_1626;

						BgL_arg2069z00_1626 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1620))->BgL_procz00);
						BgL_auxz00_3989 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2069z00_1626,
							(long) CINT(BgL_kfactorz00_1621), BgL_stackz00_1622);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1620))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3989), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3994;

					{	/* Inline/inline.scm 173 */
						BgL_nodez00_bglt BgL_arg2070z00_1627;

						BgL_arg2070z00_1627 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1620))->BgL_msgz00);
						BgL_auxz00_3994 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2070z00_1627,
							(long) CINT(BgL_kfactorz00_1621), BgL_stackz00_1622);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1620))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3994), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3999;

					{	/* Inline/inline.scm 174 */
						BgL_nodez00_bglt BgL_arg2071z00_1628;

						BgL_arg2071z00_1628 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1620))->BgL_objz00);
						BgL_auxz00_3999 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2071z00_1628,
							(long) CINT(BgL_kfactorz00_1621), BgL_stackz00_1622);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1620))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3999), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1620);
			}
		}
	}



/* &inline-node-conditio1952 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2conditio1952z62zzinline_inlinez00(obj_t
		BgL_envz00_3002, obj_t BgL_nodez00_3003, obj_t BgL_kfactorz00_3004,
		obj_t BgL_stackz00_3005)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 160 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1610;
				obj_t BgL_kfactorz00_1611;
				obj_t BgL_stackz00_1612;

				BgL_nodez00_1610 = ((BgL_conditionalz00_bglt) BgL_nodez00_3003);
				BgL_kfactorz00_1611 = BgL_kfactorz00_3004;
				BgL_stackz00_1612 = BgL_stackz00_3005;
				{
					BgL_nodez00_bglt BgL_auxz00_4006;

					{	/* Inline/inline.scm 162 */
						BgL_nodez00_bglt BgL_arg2066z00_1616;

						BgL_arg2066z00_1616 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1610))->BgL_testz00);
						BgL_auxz00_4006 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2066z00_1616,
							(long) CINT(BgL_kfactorz00_1611), BgL_stackz00_1612);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1610))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4006), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4011;

					{	/* Inline/inline.scm 163 */
						BgL_nodez00_bglt BgL_arg2067z00_1617;

						BgL_arg2067z00_1617 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1610))->BgL_truez00);
						BgL_auxz00_4011 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2067z00_1617,
							(long) CINT(BgL_kfactorz00_1611), BgL_stackz00_1612);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1610))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4011), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4016;

					{	/* Inline/inline.scm 164 */
						BgL_nodez00_bglt BgL_arg2068z00_1618;

						BgL_arg2068z00_1618 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1610))->
							BgL_falsez00);
						BgL_auxz00_4016 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2068z00_1618,
							(long) CINT(BgL_kfactorz00_1611), BgL_stackz00_1612);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1610))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_4016), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1610);
			}
		}
	}



/* &inline-node-setq1950 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2setq1950z62zzinline_inlinez00(obj_t
		BgL_envz00_3006, obj_t BgL_nodez00_3007, obj_t BgL_kfactorz00_3008,
		obj_t BgL_stackz00_3009)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 153 */
			{
				BgL_setqz00_bglt BgL_nodez00_1602;
				obj_t BgL_kfactorz00_1603;
				obj_t BgL_stackz00_1604;

				BgL_nodez00_1602 = ((BgL_setqz00_bglt) BgL_nodez00_3007);
				BgL_kfactorz00_1603 = BgL_kfactorz00_3008;
				BgL_stackz00_1604 = BgL_stackz00_3009;
				((((BgL_setqz00_bglt) CREF(BgL_nodez00_1602))->BgL_valuez00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_setqz00_bglt)
									CREF(BgL_nodez00_1602))->BgL_valuez00),
							(long) CINT(BgL_kfactorz00_1603), BgL_stackz00_1604)), BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1602);
			}
		}
	}



/* &inline-node-cast1947 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2cast1947z62zzinline_inlinez00(obj_t
		BgL_envz00_3010, obj_t BgL_nodez00_3011, obj_t BgL_kfactorz00_3012,
		obj_t BgL_stackz00_3013)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 146 */
			{
				BgL_castz00_bglt BgL_nodez00_1595;
				obj_t BgL_kfactorz00_1596;
				obj_t BgL_stackz00_1597;

				BgL_nodez00_1595 = ((BgL_castz00_bglt) BgL_nodez00_3011);
				BgL_kfactorz00_1596 = BgL_kfactorz00_3012;
				BgL_stackz00_1597 = BgL_stackz00_3013;
				BGl_inlinezd2nodezd2zzinline_inlinez00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1595))->BgL_argz00),
					(long) CINT(BgL_kfactorz00_1596), BgL_stackz00_1597);
				return ((BgL_nodez00_bglt) BgL_nodez00_1595);
			}
		}
	}



/* &inline-node-extern1945 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2extern1945z62zzinline_inlinez00(obj_t
		BgL_envz00_3014, obj_t BgL_nodez00_3015, obj_t BgL_kfactorz00_3016,
		obj_t BgL_stackz00_3017)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 139 */
			{
				BgL_externz00_bglt BgL_nodez00_1588;
				obj_t BgL_kfactorz00_1589;
				obj_t BgL_stackz00_1590;

				BgL_nodez00_1588 = ((BgL_externz00_bglt) BgL_nodez00_3015);
				BgL_kfactorz00_1589 = BgL_kfactorz00_3016;
				BgL_stackz00_1590 = BgL_stackz00_3017;
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1588))->BgL_exprza2za2),
					BgL_kfactorz00_1589, BgL_stackz00_1590);
				return ((BgL_nodez00_bglt) BgL_nodez00_1588);
			}
		}
	}



/* &inline-node-funcall1942 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2funcall1942z62zzinline_inlinez00(obj_t
		BgL_envz00_3018, obj_t BgL_nodez00_3019, obj_t BgL_kfactorz00_3020,
		obj_t BgL_stackz00_3021)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 129 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1579;
				obj_t BgL_kfactorz00_1580;
				obj_t BgL_stackz00_1581;

				BgL_nodez00_1579 = ((BgL_funcallz00_bglt) BgL_nodez00_3019);
				BgL_kfactorz00_1580 = BgL_kfactorz00_3020;
				BgL_stackz00_1581 = BgL_stackz00_3021;
				{	/* Inline/inline.scm 131 */
					long BgL_za71za7_2637;

					BgL_za71za7_2637 =
						(long) CINT(BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00);
					BGl_za2nonzd2inlinedzd2callsza2z00zzinline_walkz00 =
						BINT((BgL_za71za7_2637 + ((long) 1)));
				}
				((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1579))->BgL_funz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_funcallz00_bglt)
									CREF(BgL_nodez00_1579))->BgL_funz00),
							(long) CINT(BgL_kfactorz00_1580), BgL_stackz00_1581)), BUNSPEC);
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00((((BgL_funcallz00_bglt)
							CREF(BgL_nodez00_1579))->BgL_argsz00), BgL_kfactorz00_1580,
					BgL_stackz00_1581);
				return ((BgL_nodez00_bglt) BgL_nodez00_1579);
			}
		}
	}



/* &inline-node-app-ly1940 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2appzd2ly1940zb0zzinline_inlinez00(obj_t
		BgL_envz00_3022, obj_t BgL_nodez00_3023, obj_t BgL_kfactorz00_3024,
		obj_t BgL_stackz00_3025)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 120 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1570;
				obj_t BgL_kfactorz00_1571;
				obj_t BgL_stackz00_1572;

				BgL_nodez00_1570 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3023);
				BgL_kfactorz00_1571 = BgL_kfactorz00_3024;
				BgL_stackz00_1572 = BgL_stackz00_3025;
				{
					BgL_nodez00_bglt BgL_auxz00_4049;

					{	/* Inline/inline.scm 122 */
						BgL_nodez00_bglt BgL_arg2057z00_1576;

						BgL_arg2057z00_1576 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1570))->BgL_funz00);
						BgL_auxz00_4049 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2057z00_1576,
							(long) CINT(BgL_kfactorz00_1571), BgL_stackz00_1572);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1570))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4049), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4054;

					{	/* Inline/inline.scm 123 */
						BgL_nodez00_bglt BgL_arg2058z00_1577;

						BgL_arg2058z00_1577 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1570))->BgL_argz00);
						BgL_auxz00_4054 =
							BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_arg2058z00_1577,
							(long) CINT(BgL_kfactorz00_1571), BgL_stackz00_1572);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1570))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4054), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1570);
			}
		}
	}



/* &inline-node-app1938 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2app1938z62zzinline_inlinez00(obj_t
		BgL_envz00_3026, obj_t BgL_nodez00_3027, obj_t BgL_kfactorz00_3028,
		obj_t BgL_stackz00_3029)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 113 */
			{
				BgL_appz00_bglt BgL_nodez00_1563;
				obj_t BgL_kfactorz00_1564;
				obj_t BgL_stackz00_1565;

				BgL_nodez00_1563 = ((BgL_appz00_bglt) BgL_nodez00_3027);
				BgL_kfactorz00_1564 = BgL_kfactorz00_3028;
				BgL_stackz00_1565 = BgL_stackz00_3029;
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1563))->BgL_argsz00),
					BgL_kfactorz00_1564, BgL_stackz00_1565);
				return BGl_inlinezd2appzd2zzinline_appz00(BgL_nodez00_1563,
					(long) CINT(BgL_kfactorz00_1564), BgL_stackz00_1565);
		}}
	}



/* &inline-node-sync1936 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2sync1936z62zzinline_inlinez00(obj_t
		BgL_envz00_3030, obj_t BgL_nodez00_3031, obj_t BgL_kfactorz00_3032,
		obj_t BgL_stackz00_3033)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 104 */
			{
				BgL_syncz00_bglt BgL_nodez00_1552;
				obj_t BgL_kfactorz00_1553;
				obj_t BgL_stackz00_1554;

				BgL_nodez00_1552 = ((BgL_syncz00_bglt) BgL_nodez00_3031);
				BgL_kfactorz00_1553 = BgL_kfactorz00_3032;
				BgL_stackz00_1554 = BgL_stackz00_3033;
				((((BgL_syncz00_bglt) CREF(BgL_nodez00_1552))->BgL_mutexz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_syncz00_bglt)
									CREF(BgL_nodez00_1552))->BgL_mutexz00),
							(long) CINT(BgL_kfactorz00_1553), BgL_stackz00_1554)), BUNSPEC);
				((((BgL_syncz00_bglt) CREF(BgL_nodez00_1552))->BgL_prelockz00) =
					((BgL_nodez00_bglt)
						BGl_inlinezd2nodezd2zzinline_inlinez00((((BgL_syncz00_bglt)
									CREF(BgL_nodez00_1552))->BgL_prelockz00),
							(long) CINT(BgL_kfactorz00_1553), BgL_stackz00_1554)), BUNSPEC);
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00((((BgL_syncz00_bglt)
							CREF(BgL_nodez00_1552))->BgL_nodesz00), BgL_kfactorz00_1553,
					BgL_stackz00_1554);
				return ((BgL_nodez00_bglt) BgL_nodez00_1552);
			}
		}
	}



/* &inline-node-sequence1934 */
	BgL_nodez00_bglt
		BGl_z62inlinezd2nodezd2sequence1934z62zzinline_inlinez00(obj_t
		BgL_envz00_3034, obj_t BgL_nodez00_3035, obj_t BgL_kfactorz00_3036,
		obj_t BgL_stackz00_3037)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 97 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1545;
				obj_t BgL_kfactorz00_1546;
				obj_t BgL_stackz00_1547;

				BgL_nodez00_1545 = ((BgL_sequencez00_bglt) BgL_nodez00_3035);
				BgL_kfactorz00_1546 = BgL_kfactorz00_3036;
				BgL_stackz00_1547 = BgL_stackz00_3037;
				BGl_inlinezd2nodeza2z12z62zzinline_inlinez00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1545))->BgL_nodesz00),
					BgL_kfactorz00_1546, BgL_stackz00_1547);
				return ((BgL_nodez00_bglt) BgL_nodez00_1545);
			}
		}
	}



/* &inline-node-kwote1932 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2kwote1932z62zzinline_inlinez00(obj_t
		BgL_envz00_3038, obj_t BgL_nodez00_3039, obj_t BgL_kfactorz00_3040,
		obj_t BgL_stackz00_3041)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 91 */
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_3039));
		}
	}



/* &inline-node-var1930 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2var1930z62zzinline_inlinez00(obj_t
		BgL_envz00_3042, obj_t BgL_nodez00_3043, obj_t BgL_kfactorz00_3044,
		obj_t BgL_stackz00_3045)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 71 */
			{
				BgL_varz00_bglt BgL_nodez00_1506;
				obj_t BgL_kfactorz00_1507;
				obj_t BgL_stackz00_1508;

				BgL_nodez00_1506 = ((BgL_varz00_bglt) BgL_nodez00_3043);
				BgL_kfactorz00_1507 = BgL_kfactorz00_3044;
				BgL_stackz00_1508 = BgL_stackz00_3045;
				{	/* Inline/inline.scm 73 */
					bool_t BgL_testz00_4084;

					if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) > ((long) 0)))
						{	/* Inline/inline.scm 74 */
							bool_t BgL_testz00_4088;

							{	/* Inline/inline.scm 74 */
								BgL_variablez00_bglt BgL_arg2047z00_1537;

								BgL_arg2047z00_1537 =
									(((BgL_varz00_bglt) CREF(BgL_nodez00_1506))->BgL_variablez00);
								{	/* Inline/inline.scm 74 */
									bool_t BgL_res2183z00_2593;

									{	/* Inline/inline.scm 74 */
										obj_t BgL_objz00_2592;

										BgL_objz00_2592 = ((obj_t) BgL_arg2047z00_1537);
										BgL_res2183z00_2593 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_2592,
											BGl_globalz00zzast_varz00);
									}
									BgL_testz00_4088 = BgL_res2183z00_2593;
							}}
							if (BgL_testz00_4088)
								{	/* Inline/inline.scm 74 */
									if (
										((((BgL_globalz00_bglt) CREF(
														((BgL_globalz00_bglt)
															(((BgL_varz00_bglt) CREF(BgL_nodez00_1506))->
																BgL_variablez00))))->BgL_importz00) ==
											CNST_TABLE_REF(((long) 8))))
										{	/* Inline/inline.scm 75 */
											if (
												(((BgL_globalz00_bglt) CREF(
															((BgL_globalz00_bglt)
																(((BgL_varz00_bglt) CREF(BgL_nodez00_1506))->
																	BgL_variablez00))))->BgL_evalzf3zf3))
												{	/* Inline/inline.scm 76 */
													BgL_testz00_4084 = ((bool_t) 0);
												}
											else
												{	/* Inline/inline.scm 77 */
													bool_t BgL_testz00_4102;

													if (
														((((BgL_variablez00_bglt) CREF(
																		((BgL_variablez00_bglt)
																			((BgL_globalz00_bglt)
																				(((BgL_varz00_bglt)
																						CREF(BgL_nodez00_1506))->
																					BgL_variablez00)))))->
																BgL_accessz00) == CNST_TABLE_REF(((long) 9))))
														{	/* Inline/inline.scm 77 */
															BgL_testz00_4102 = ((bool_t) 1);
														}
													else
														{	/* Inline/inline.scm 77 */
															if (
																((((BgL_globalz00_bglt) CREF(
																				((BgL_globalz00_bglt)
																					(((BgL_varz00_bglt)
																							CREF(BgL_nodez00_1506))->
																						BgL_variablez00))))->BgL_initz00) ==
																	BTRUE))
																{	/* Inline/inline.scm 78 */
																	BgL_testz00_4102 =
																		(
																		(((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							(((BgL_varz00_bglt)
																									CREF(BgL_nodez00_1506))->
																								BgL_variablez00)))))->
																			BgL_occurrencewz00) == ((long) 1));
																}
															else
																{	/* Inline/inline.scm 78 */
																	BgL_testz00_4102 = ((bool_t) 0);
																}
														}
													if (BgL_testz00_4102)
														{	/* Inline/inline.scm 80 */
															bool_t BgL__ortest_1178z00_1521;

															{	/* Inline/inline.scm 80 */
																obj_t BgL_arg2035z00_1524;

																BgL_arg2035z00_1524 =
																	(((BgL_globalz00_bglt) CREF(
																			((BgL_globalz00_bglt)
																				(((BgL_varz00_bglt)
																						CREF(BgL_nodez00_1506))->
																					BgL_variablez00))))->BgL_srcz00);
																BgL__ortest_1178z00_1521 =
																	BGl_isazf3zf3zz__objectz00
																	(BgL_arg2035z00_1524,
																	BGl_atomz00zzast_nodez00);
															}
															if (BgL__ortest_1178z00_1521)
																{	/* Inline/inline.scm 80 */
																	BgL_testz00_4084 = BgL__ortest_1178z00_1521;
																}
															else
																{	/* Inline/inline.scm 81 */
																	obj_t BgL_arg2033z00_1522;

																	BgL_arg2033z00_1522 =
																		(((BgL_globalz00_bglt) CREF(
																				((BgL_globalz00_bglt)
																					(((BgL_varz00_bglt)
																							CREF(BgL_nodez00_1506))->
																						BgL_variablez00))))->BgL_srcz00);
																	BgL_testz00_4084 =
																		BGl_isazf3zf3zz__objectz00
																		(BgL_arg2033z00_1522,
																		BGl_kwotez00zzast_nodez00);
																}
														}
													else
														{	/* Inline/inline.scm 77 */
															BgL_testz00_4084 = ((bool_t) 0);
														}
												}
										}
									else
										{	/* Inline/inline.scm 75 */
											BgL_testz00_4084 = ((bool_t) 0);
										}
								}
							else
								{	/* Inline/inline.scm 74 */
									BgL_testz00_4084 = ((bool_t) 0);
								}
						}
					else
						{	/* Inline/inline.scm 73 */
							BgL_testz00_4084 = ((bool_t) 0);
						}
					if (BgL_testz00_4084)
						{	/* Inline/inline.scm 73 */
							{	/* Inline/inline.scm 85 */
								obj_t BgL_arg2024z00_1513;
								obj_t BgL_arg2026z00_1514;

								BgL_arg2024z00_1513 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_nodez00_1506)))->BgL_locz00);
								BgL_arg2026z00_1514 =
									(((BgL_globalz00_bglt) CREF(
											((BgL_globalz00_bglt)
												(((BgL_varz00_bglt) CREF(BgL_nodez00_1506))->
													BgL_variablez00))))->BgL_srcz00);
								return BGl_alphatiza7eza7zzast_alphatiza7eza7(BNIL, BNIL,
									BgL_arg2024z00_1513,
									((BgL_nodez00_bglt) BgL_arg2026z00_1514));
							}
						}
					else
						{	/* Inline/inline.scm 73 */
							return ((BgL_nodez00_bglt) BgL_nodez00_1506);
						}
				}
			}
		}
	}



/* &inline-node-atom1928 */
	BgL_nodez00_bglt BGl_z62inlinezd2nodezd2atom1928z62zzinline_inlinez00(obj_t
		BgL_envz00_3046, obj_t BgL_nodez00_3047, obj_t BgL_kfactorz00_3048,
		obj_t BgL_stackz00_3049)
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 65 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_3047));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_inlinez00()
	{
		AN_OBJECT;
		{	/* Inline/inline.scm 15 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2239z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2239z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2239z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 311980),
				BSTRING_TO_STRING(BGl_string2239z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string2239z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzinline_appz00(((long) 148760855),
				BSTRING_TO_STRING(BGl_string2239z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 53595773),
				BSTRING_TO_STRING(BGl_string2239z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string2239z00zzinline_inlinez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2239z00zzinline_inlinez00));
			return
				BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2239z00zzinline_inlinez00));
		}
	}

#ifdef __cplusplus
}
#endif
