/*===========================================================================*/
/*   (Trace/walk.scm)                                                        */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Trace/walk.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_selectz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_selectz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		obj_t BgL_nodesz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	static obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2sync1928zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2extern1969z62zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it1986z62zztrace_walkz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2fail1942zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2seque1926zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	BGL_IMPORT obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62tracezd2node1955zb0zztrace_walkz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zztrace_walkz00();
	BGL_EXPORTED_DECL obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2var1984zb0zztrace_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00();
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zztrace_walkz00();
	static obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_externz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2sync1961z62zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2fail1977z62zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd22001zb0zztrace_walkz00(obj_t, obj_t);
	static BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt,
		BgL_typez00_bglt, obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd22004zb0zztrace_walkz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2setzd2e1952z62zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt,
		obj_t);
	static obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_pragmaz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static obj_t BGl_z62findzd2lastzd2nodezd2exter1936zb0zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2sequence1958z62zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2condi1940zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2condition1975z62zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2v1947z62zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2letzd2f1950z62zztrace_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_variablez00zzast_varz00;
	static obj_t BGl_z62findzd2lastzd2nodezd2jumpzd21954z62zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00;
	extern obj_t BGl_selectz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1989z62zztrace_walkz00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zztrace_walkz00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2setq1938zb0zztrace_walkz00(obj_t,
		obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_atomz00zzast_nodez00;
	static bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zztrace_walkz00();
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2nodezd21999zb0zztrace_walkz00(obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zztrace_walkz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2funcall1967z62zztrace_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt);
	extern obj_t BGl_castz00zzast_nodez00;
	static bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2cast1971z62zztrace_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz121995za2zztrace_walkz00(obj_t, obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62toplevelzd2tracezd2node1996z62zztrace_walkz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2makezd2box1991zb0zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2ref1993zb0zztrace_walkz00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setq1973z62zztrace_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2appzd2l1932z62zztrace_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t BGl_z62findzd2lastzd2nodezd2selec1945zb0zztrace_walkz00(obj_t,
		obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2funca1934zb0zztrace_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_letz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	BGL_IMPORT obj_t string_to_symbol(char *);
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zztrace_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00();
	static BgL_nodez00_bglt BGl_z62tracezd2nodezd2app1963z62zztrace_walkz00(obj_t,
		obj_t, obj_t);
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern bool_t BGl_userzd2symbolzf3z21zzast_identz00(obj_t);
	extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
	static obj_t BGl_z62findzd2lastzd2nodezd2app1930zb0zztrace_walkz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t bgl_open_input_string(obj_t, int);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2letzd2fun1982zb0zztrace_walkz00(obj_t, obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_z62findzd2lastzd2node1923z62zztrace_walkz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2select1979z62zztrace_walkz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_globalz00zzast_varz00;
	static BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2appzd2ly1965zb0zztrace_walkz00(obj_t, obj_t, obj_t);
	static obj_t __cnst[21];


	   
		 
		DEFINE_STRING(BGl_string2503z00zztrace_walkz00,
		BgL_bgl_string2503za700za7za7t2529za7, "trace-node", 10);
	      DEFINE_STRING(BGl_string2522z00zztrace_walkz00,
		BgL_bgl_string2522za700za7za7t2530za7, "toplevel-trace-node", 19);
	      DEFINE_STRING(BGl_string2525z00zztrace_walkz00,
		BgL_bgl_string2525za700za7za7t2531za7, "trace_walk", 10);
	      DEFINE_STRING(BGl_string2526z00zztrace_walkz00,
		BgL_bgl_string2526za700za7za7t2532za7,
		"value let $env-pop-trace $env-push-trace current-dynamic-env dynamic-env quote at location |:| env loc name aux generic-init method-init no-trace @ imported-modules-init toplevel-init pass-started ",
		197);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2481z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2533za7,
		BGl_z62findzd2lastzd2node1923z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2483z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2node12534z00,
		BGl_z62tracezd2node1955zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2485z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2535z00,
		BGl_z62toplevelzd2tracezd2node1996z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2487z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2536za7,
		BGl_z62findzd2lastzd2nodezd2seque1926zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2489z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2537za7,
		BGl_z62findzd2lastzd2nodezd2sync1928zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2490z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2538za7,
		BGl_z62findzd2lastzd2nodezd2app1930zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2491z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2539za7,
		BGl_z62findzd2lastzd2nodezd2appzd2l1932z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2492z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2540za7,
		BGl_z62findzd2lastzd2nodezd2funca1934zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2493z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2541za7,
		BGl_z62findzd2lastzd2nodezd2exter1936zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2494z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2542za7,
		BGl_z62findzd2lastzd2nodezd2setq1938zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2495z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2543za7,
		BGl_z62findzd2lastzd2nodezd2condi1940zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2496z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2544za7,
		BGl_z62findzd2lastzd2nodezd2fail1942zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2497z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2545za7,
		BGl_z62findzd2lastzd2nodezd2selec1945zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2498z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2546za7,
		BGl_z62findzd2lastzd2nodezd2letzd2v1947z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2499z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2547za7,
		BGl_z62findzd2lastzd2nodezd2letzd2f1950z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_tracezd2walkz12zd2envz12zztrace_walkz00,
		BgL_bgl_za762traceza7d2walkza72548za7,
		BGl_z62tracezd2walkz12za2zztrace_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2549za7,
		BGl_z62findzd2lastzd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2550z00,
		BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2500z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2551za7,
		BGl_z62findzd2lastzd2nodezd2setzd2e1952z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2501z00zztrace_walkz00,
		BgL_bgl_za762findza7d2lastza7d2552za7,
		BGl_z62findzd2lastzd2nodezd2jumpzd21954z62zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2502z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72553za7,
		BGl_z62tracezd2nodezd2sequence1958z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2504z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72554za7,
		BGl_z62tracezd2nodezd2sync1961z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2505z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72555za7,
		BGl_z62tracezd2nodezd2app1963z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2506z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72556za7,
		BGl_z62tracezd2nodezd2appzd2ly1965zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2507z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72557za7,
		BGl_z62tracezd2nodezd2funcall1967z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2508z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72558za7,
		BGl_z62tracezd2nodezd2extern1969z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2509z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72559za7,
		BGl_z62tracezd2nodezd2cast1971z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2510z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72560za7,
		BGl_z62tracezd2nodezd2setq1973z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2511z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72561za7,
		BGl_z62tracezd2nodezd2condition1975z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2512z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72562za7,
		BGl_z62tracezd2nodezd2fail1977z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2513z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72563za7,
		BGl_z62tracezd2nodezd2select1979z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2514z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72564za7,
		BGl_z62tracezd2nodezd2letzd2fun1982zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2515z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72565za7,
		BGl_z62tracezd2nodezd2letzd2var1984zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2516z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72566za7,
		BGl_z62tracezd2nodezd2setzd2exzd2it1986z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2517z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72567za7,
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1989z62zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2518z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72568za7,
		BGl_z62tracezd2nodezd2makezd2box1991zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2519z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72569za7,
		BGl_z62tracezd2nodezd2boxzd2ref1993zb0zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2520z00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72570za7,
		BGl_z62tracezd2nodezd2boxzd2setz121995za2zztrace_walkz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2521z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2571z00,
		BGl_z62toplevelzd2tracezd2nodezd21999zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2523z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2572z00,
		BGl_z62toplevelzd2tracezd2nodezd22001zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2524z00zztrace_walkz00,
		BgL_bgl_za762toplevelza7d2tr2573z00,
		BGl_z62toplevelzd2tracezd2nodezd22004zb0zztrace_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2471z00zztrace_walkz00,
		BgL_bgl_string2471za700za7za7t2574za7, "Trace", 5);
	      DEFINE_STRING(BGl_string2472z00zztrace_walkz00,
		BgL_bgl_string2472za700za7za7t2575za7, "   . ", 5);
	      DEFINE_STRING(BGl_string2473z00zztrace_walkz00,
		BgL_bgl_string2473za700za7za7t2576za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string2474z00zztrace_walkz00,
		BgL_bgl_string2474za700za7za7t2577za7, " error", 6);
	      DEFINE_STRING(BGl_string2475z00zztrace_walkz00,
		BgL_bgl_string2475za700za7za7t2578za7, "s", 1);
	      DEFINE_STRING(BGl_string2476z00zztrace_walkz00,
		BgL_bgl_string2476za700za7za7t2579za7, "", 0);
	      DEFINE_STRING(BGl_string2477z00zztrace_walkz00,
		BgL_bgl_string2477za700za7za7t2580za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string2478z00zztrace_walkz00,
		BgL_bgl_string2478za700za7za7t2581za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string2479z00zztrace_walkz00,
		BgL_bgl_string2479za700za7za7t2582za7, "%toplevel@", 10);
	      DEFINE_STRING(BGl_string2480z00zztrace_walkz00,
		BgL_bgl_string2480za700za7za7t2583za7, "%import@", 8);
	      DEFINE_STRING(BGl_string2482z00zztrace_walkz00,
		BgL_bgl_string2482za700za7za7t2584za7, "find-last-node1923", 18);
	      DEFINE_STRING(BGl_string2484z00zztrace_walkz00,
		BgL_bgl_string2484za700za7za7t2585za7, "trace-node1955", 14);
	      DEFINE_STRING(BGl_string2486z00zztrace_walkz00,
		BgL_bgl_string2486za700za7za7t2586za7, "toplevel-trace-node1996", 23);
	      DEFINE_STRING(BGl_string2488z00zztrace_walkz00,
		BgL_bgl_string2488za700za7za7t2587za7, "find-last-node", 14);
	      DEFINE_STATIC_BGL_GENERIC(BGl_tracezd2nodezd2envz00zztrace_walkz00,
		BgL_bgl_za762traceza7d2nodeza72588za7,
		BGl_z62tracezd2nodezb0zztrace_walkz00, 0L, BUNSPEC, 2);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long
		BgL_checksumz00_3309, char *BgL_fromz00_3310)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zztrace_walkz00))
				{
					BGl_requirezd2initializa7ationz75zztrace_walkz00 =
						BBOOL(((bool_t) 0));
					BGl_libraryzd2moduleszd2initz00zztrace_walkz00();
					BGl_cnstzd2initzd2zztrace_walkz00();
					BGl_importedzd2moduleszd2initz00zztrace_walkz00();
					BGl_genericzd2initzd2zztrace_walkz00();
					BGl_methodzd2initzd2zztrace_walkz00();
					BGl_toplevelzd2initzd2zztrace_walkz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"trace_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "trace_walk");
			return BUNSPEC;
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			{	/* Trace/walk.scm 15 */
				obj_t BgL_cportz00_3297;

				BgL_cportz00_3297 =
					bgl_open_input_string(BGl_string2526z00zztrace_walkz00,
					(int) (((long) 0)));
				{
					long BgL_iz00_3298;

					BgL_iz00_3298 = ((long) 20);
				BgL_loopz00_3299:
					if ((BgL_iz00_3298 == ((long) -1)))
						{	/* Trace/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Trace/walk.scm 15 */
							{	/* Trace/walk.scm 15 */
								obj_t BgL_arg2528z00_3301;

								{	/* Trace/walk.scm 15 */

									{	/* Trace/walk.scm 15 */
										obj_t BgL_locationz00_3303;

										BgL_locationz00_3303 = BBOOL(((bool_t) 0));
										{	/* Trace/walk.scm 15 */

											BgL_arg2528z00_3301 =
												BGl_readz00zz__readerz00(BgL_cportz00_3297,
												BgL_locationz00_3303);
										}
									}
								}
								{	/* Trace/walk.scm 15 */
									int BgL_auxz00_3339;

									BgL_auxz00_3339 = (int) (BgL_iz00_3298);
									CNST_TABLE_SET(BgL_auxz00_3339, BgL_arg2528z00_3301);
							}}
							{	/* Trace/walk.scm 15 */
								int BgL_auxz00_3304;

								BgL_auxz00_3304 = (int) ((BgL_iz00_3298 - ((long) 1)));
								{
									long BgL_iz00_3344;

									BgL_iz00_3344 = (long) (BgL_auxz00_3304);
									BgL_iz00_3298 = BgL_iz00_3344;
									goto BgL_loopz00_3299;
								}
							}
						}
				}
			}
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* trace-walk! */
	BGL_EXPORTED_DEF obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t
		BgL_globalsz00_17)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 38 */
			{	/* Trace/walk.scm 39 */
				obj_t BgL_list2014z00_1382;

				{	/* Trace/walk.scm 39 */
					obj_t BgL_arg2016z00_1383;

					{	/* Trace/walk.scm 39 */
						obj_t BgL_arg2017z00_1384;

						BgL_arg2017z00_1384 =
							MAKE_PAIR(BCHAR(((unsigned char) '\n')), BNIL);
						BgL_arg2016z00_1383 =
							MAKE_PAIR(BGl_string2471z00zztrace_walkz00, BgL_arg2017z00_1384);
					}
					BgL_list2014z00_1382 =
						MAKE_PAIR(BGl_string2472z00zztrace_walkz00, BgL_arg2016z00_1383);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list2014z00_1382);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string2471z00zztrace_walkz00;
			{
				obj_t BgL_hooksz00_1388;
				obj_t BgL_hnamesz00_1389;

				BgL_hooksz00_1388 = BNIL;
				BgL_hnamesz00_1389 = BNIL;
			BgL_zc3anonymousza32018ze3z83_1390:
				if (NULLP(BgL_hooksz00_1388))
					{	/* Trace/walk.scm 39 */
						CNST_TABLE_REF(((long) 0));
					}
				else
					{	/* Trace/walk.scm 39 */
						bool_t BgL_testz00_3356;

						{	/* Trace/walk.scm 39 */
							obj_t BgL_fun2026z00_1396;

							BgL_fun2026z00_1396 = CAR(BgL_hooksz00_1388);
							BgL_testz00_3356 =
								CBOOL(PROCEDURE_ENTRY(BgL_fun2026z00_1396) (BgL_fun2026z00_1396,
									BEOA));
						}
						if (BgL_testz00_3356)
							{
								obj_t BgL_hnamesz00_3364;
								obj_t BgL_hooksz00_3362;

								BgL_hooksz00_3362 = CDR(BgL_hooksz00_1388);
								BgL_hnamesz00_3364 = CDR(BgL_hnamesz00_1389);
								BgL_hnamesz00_1389 = BgL_hnamesz00_3364;
								BgL_hooksz00_1388 = BgL_hooksz00_3362;
								goto BgL_zc3anonymousza32018ze3z83_1390;
							}
						else
							{	/* Trace/walk.scm 39 */
								BGl_internalzd2errorzd2zztools_errorz00
									(BGl_string2471z00zztrace_walkz00,
									BGl_string2473z00zztrace_walkz00, CAR(BgL_hnamesz00_1389));
							}
					}
			}
			{	/* Trace/walk.scm 45 */
				obj_t BgL_idz00_1399;

				BgL_idz00_1399 = CNST_TABLE_REF(((long) 1));
				{	/* Trace/walk.scm 45 */
					obj_t BgL_gloz00_1400;

					{	/* Trace/walk.scm 46 */
						obj_t BgL_list2030z00_1404;

						BgL_list2030z00_1404 =
							MAKE_PAIR(BGl_za2moduleza2z00zzmodule_modulez00, BNIL);
						BgL_gloz00_1400 =
							BGl_findzd2globalzd2zzast_envz00(BgL_idz00_1399,
							BgL_list2030z00_1404);
					}
					{	/* Trace/walk.scm 46 */

						if (BGl_isazf3zf3zz__objectz00(BgL_gloz00_1400,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 48 */
								BgL_sfunz00_bglt BgL_i1106z00_1402;

								BgL_i1106z00_1402 =
									((BgL_sfunz00_bglt)
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_gloz00_1400))))->
										BgL_valuez00));
								{
									obj_t BgL_auxz00_3377;

									{	/* Trace/walk.scm 49 */
										obj_t BgL_arg2029z00_1403;

										BgL_arg2029z00_1403 =
											(((BgL_sfunz00_bglt) CREF(BgL_i1106z00_1402))->
											BgL_bodyz00);
										BgL_auxz00_3377 =
											((obj_t)
											BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((
													(BgL_nodez00_bglt) BgL_arg2029z00_1403)));
									}
									((((BgL_sfunz00_bglt) CREF(BgL_i1106z00_1402))->BgL_bodyz00) =
										((obj_t) BgL_auxz00_3377), BUNSPEC);
								}
							}
						else
							{	/* Trace/walk.scm 47 */
								BFALSE;
							}
					}
				}
			}
			{
				obj_t BgL_l1863z00_1406;

				BgL_l1863z00_1406 = BgL_globalsz00_17;
			BgL_zc3anonymousza32031ze3z83_1407:
				if (PAIRP(BgL_l1863z00_1406))
					{	/* Trace/walk.scm 51 */
						BGl_tracezd2funz12zc0zztrace_walkz00(CAR(BgL_l1863z00_1406), BNIL);
						{
							obj_t BgL_l1863z00_3387;

							BgL_l1863z00_3387 = CDR(BgL_l1863z00_1406);
							BgL_l1863z00_1406 = BgL_l1863z00_3387;
							goto BgL_zc3anonymousza32031ze3z83_1407;
						}
					}
				else
					{	/* Trace/walk.scm 51 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Trace/walk.scm 52 */
					{	/* Trace/walk.scm 52 */
						obj_t BgL_port1865z00_1414;

						{	/* Trace/walk.scm 52 */
							obj_t BgL_res2366z00_2701;

							{	/* Trace/walk.scm 52 */
								obj_t BgL_auxz00_3392;

								BgL_auxz00_3392 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res2366z00_2701 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_auxz00_3392);
							}
							BgL_port1865z00_1414 = BgL_res2366z00_2701;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1865z00_1414);
						bgl_display_string(BGl_string2474z00zztrace_walkz00,
							BgL_port1865z00_1414);
						{	/* Trace/walk.scm 52 */
							obj_t BgL_arg2035z00_1415;

							{	/* Trace/walk.scm 52 */
								bool_t BgL_testz00_3397;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Trace/walk.scm 52 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Trace/walk.scm 52 */
												BgL_testz00_3397 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Trace/walk.scm 52 */
												BgL_testz00_3397 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Trace/walk.scm 52 */
										BgL_testz00_3397 = ((bool_t) 0);
									}
								if (BgL_testz00_3397)
									{	/* Trace/walk.scm 52 */
										BgL_arg2035z00_1415 = BGl_string2475z00zztrace_walkz00;
									}
								else
									{	/* Trace/walk.scm 52 */
										BgL_arg2035z00_1415 = BGl_string2476z00zztrace_walkz00;
									}
							}
							bgl_display_obj(BgL_arg2035z00_1415, BgL_port1865z00_1414);
						}
						bgl_display_string(BGl_string2477z00zztrace_walkz00,
							BgL_port1865z00_1414);
						bgl_display_char(((unsigned char) '\n'), BgL_port1865z00_1414);
					}
					{	/* Trace/walk.scm 52 */
						obj_t BgL_list2039z00_1419;

						BgL_list2039z00_1419 = MAKE_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list2039z00_1419);
					}
				}
			else
				{
					obj_t BgL_hooksz00_1423;
					obj_t BgL_hnamesz00_1424;

					BgL_hooksz00_1423 = BNIL;
					BgL_hnamesz00_1424 = BNIL;
				BgL_zc3anonymousza32040ze3z83_1425:
					if (NULLP(BgL_hooksz00_1423))
						{	/* Trace/walk.scm 52 */
							return BgL_globalsz00_17;
						}
					else
						{	/* Trace/walk.scm 52 */
							bool_t BgL_testz00_3414;

							{	/* Trace/walk.scm 52 */
								obj_t BgL_fun2047z00_1431;

								BgL_fun2047z00_1431 = CAR(BgL_hooksz00_1423);
								BgL_testz00_3414 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun2047z00_1431)
									(BgL_fun2047z00_1431, BEOA));
							}
							if (BgL_testz00_3414)
								{
									obj_t BgL_hnamesz00_3422;
									obj_t BgL_hooksz00_3420;

									BgL_hooksz00_3420 = CDR(BgL_hooksz00_1423);
									BgL_hnamesz00_3422 = CDR(BgL_hnamesz00_1424);
									BgL_hnamesz00_1424 = BgL_hnamesz00_3422;
									BgL_hooksz00_1423 = BgL_hooksz00_3420;
									goto BgL_zc3anonymousza32040ze3z83_1425;
								}
							else
								{	/* Trace/walk.scm 52 */
									obj_t BgL_arg2045z00_1430;

									BgL_arg2045z00_1430 = CAR(BgL_hnamesz00_1424);
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_za2currentzd2passza2zd2zzengine_passz00,
										BGl_string2478z00zztrace_walkz00, BgL_arg2045z00_1430);
								}
						}
				}
		}
	}



/* &trace-walk! */
	obj_t BGl_z62tracezd2walkz12za2zztrace_walkz00(obj_t BgL_envz00_3154,
		obj_t BgL_globalsz00_3155)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 38 */
			return BGl_tracezd2walkz12zc0zztrace_walkz00(BgL_globalsz00_3155);
		}
	}



/* trace-id */
	obj_t BGl_tracezd2idzd2zztrace_walkz00(obj_t BgL_vz00_18)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 63 */
			{	/* Trace/walk.scm 65 */
				bool_t BgL_testz00_3427;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_18, BGl_globalz00zzast_varz00))
					{	/* Trace/walk.scm 65 */
						BgL_testz00_3427 =
							(
							(((BgL_variablez00_bglt) CREF(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00) ==
							CNST_TABLE_REF(((long) 1)));
					}
				else
					{	/* Trace/walk.scm 65 */
						BgL_testz00_3427 = ((bool_t) 0);
					}
				if (BgL_testz00_3427)
					{	/* Trace/walk.scm 66 */
						obj_t BgL_arg2050z00_1435;

						{	/* Trace/walk.scm 66 */
							obj_t BgL_arg2051z00_1436;
							obj_t BgL_arg2053z00_1437;

							{	/* Trace/walk.scm 66 */
								obj_t BgL_arg2054z00_1438;

								BgL_arg2054z00_1438 =
									string_to_symbol(BSTRING_TO_STRING
									(BGl_string2479z00zztrace_walkz00));
								{	/* Trace/walk.scm 66 */
									obj_t BgL_res2374z00_2729;

									{	/* Trace/walk.scm 66 */
										obj_t BgL_arg1308z00_2728;

										BgL_arg1308z00_2728 = SYMBOL_TO_STRING(BgL_arg2054z00_1438);
										BgL_res2374z00_2729 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1308z00_2728);
									}
									BgL_arg2051z00_1436 = BgL_res2374z00_2729;
								}
							}
							{	/* Trace/walk.scm 66 */
								obj_t BgL_arg2055z00_1439;

								BgL_arg2055z00_1439 =
									(((BgL_globalz00_bglt) CREF(
											((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
								{	/* Trace/walk.scm 66 */
									obj_t BgL_res2376z00_2735;

									{	/* Trace/walk.scm 66 */
										obj_t BgL_arg1308z00_2734;

										BgL_arg1308z00_2734 = SYMBOL_TO_STRING(BgL_arg2055z00_1439);
										BgL_res2376z00_2735 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1308z00_2734);
									}
									BgL_arg2053z00_1437 = BgL_res2376z00_2735;
								}
							}
							BgL_arg2050z00_1435 =
								string_append(BgL_arg2051z00_1436, BgL_arg2053z00_1437);
						}
						return string_to_symbol(BSTRING_TO_STRING(BgL_arg2050z00_1435));
					}
				else
					{	/* Trace/walk.scm 67 */
						bool_t BgL_testz00_3446;

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_18,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 67 */
								BgL_testz00_3446 =
									(
									(((BgL_variablez00_bglt) CREF(
												((BgL_variablez00_bglt)
													((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00) ==
									CNST_TABLE_REF(((long) 2)));
							}
						else
							{	/* Trace/walk.scm 67 */
								BgL_testz00_3446 = ((bool_t) 0);
							}
						if (BgL_testz00_3446)
							{	/* Trace/walk.scm 68 */
								obj_t BgL_arg2057z00_1441;

								{	/* Trace/walk.scm 68 */
									obj_t BgL_arg2058z00_1442;
									obj_t BgL_arg2059z00_1443;

									{	/* Trace/walk.scm 68 */
										obj_t BgL_arg2060z00_1444;

										BgL_arg2060z00_1444 =
											string_to_symbol(BSTRING_TO_STRING
											(BGl_string2480z00zztrace_walkz00));
										{	/* Trace/walk.scm 68 */
											obj_t BgL_res2381z00_2747;

											{	/* Trace/walk.scm 68 */
												obj_t BgL_arg1308z00_2746;

												BgL_arg1308z00_2746 =
													SYMBOL_TO_STRING(BgL_arg2060z00_1444);
												BgL_res2381z00_2747 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1308z00_2746);
											}
											BgL_arg2058z00_1442 = BgL_res2381z00_2747;
										}
									}
									{	/* Trace/walk.scm 68 */
										obj_t BgL_arg2061z00_1445;

										BgL_arg2061z00_1445 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
										{	/* Trace/walk.scm 68 */
											obj_t BgL_res2383z00_2753;

											{	/* Trace/walk.scm 68 */
												obj_t BgL_arg1308z00_2752;

												BgL_arg1308z00_2752 =
													SYMBOL_TO_STRING(BgL_arg2061z00_1445);
												BgL_res2383z00_2753 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1308z00_2752);
											}
											BgL_arg2059z00_1443 = BgL_res2383z00_2753;
										}
									}
									BgL_arg2057z00_1441 =
										string_append(BgL_arg2058z00_1442, BgL_arg2059z00_1443);
								}
								return string_to_symbol(BSTRING_TO_STRING(BgL_arg2057z00_1441));
							}
						else
							{	/* Trace/walk.scm 67 */
								if (BGl_isazf3zf3zz__objectz00(BgL_vz00_18,
										BGl_globalz00zzast_varz00))
									{	/* Trace/walk.scm 70 */
										obj_t BgL_arg2063z00_1447;
										obj_t BgL_arg2064z00_1448;

										BgL_arg2063z00_1447 =
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_18))))->BgL_idz00);
										BgL_arg2064z00_1448 =
											(((BgL_globalz00_bglt) CREF(
													((BgL_globalz00_bglt) BgL_vz00_18)))->BgL_modulez00);
										{	/* Trace/walk.scm 70 */
											obj_t BgL_list2065z00_1449;

											{	/* Trace/walk.scm 70 */
												obj_t BgL_arg2066z00_1450;

												{	/* Trace/walk.scm 70 */
													obj_t BgL_arg2067z00_1451;

													BgL_arg2067z00_1451 =
														MAKE_PAIR(BgL_arg2064z00_1448, BNIL);
													BgL_arg2066z00_1450 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 3)),
														BgL_arg2067z00_1451);
												}
												BgL_list2065z00_1449 =
													MAKE_PAIR(BgL_arg2063z00_1447, BgL_arg2066z00_1450);
											}
											return
												BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
												(BgL_list2065z00_1449);
										}
									}
								else
									{	/* Trace/walk.scm 69 */
										return
											(((BgL_variablez00_bglt) CREF(
													((BgL_variablez00_bglt) BgL_vz00_18)))->BgL_idz00);
									}
							}
					}
			}
		}
	}



/* trace-fun! */
	obj_t BGl_tracezd2funz12zc0zztrace_walkz00(obj_t BgL_varz00_19,
		obj_t BgL_stackz00_20)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 80 */
			{	/* Trace/walk.scm 81 */
				BgL_valuez00_bglt BgL_funz00_1456;

				BgL_funz00_1456 =
					(((BgL_variablez00_bglt) CREF(
							((BgL_variablez00_bglt) BgL_varz00_19)))->BgL_valuez00);
				{	/* Trace/walk.scm 81 */
					obj_t BgL_bodyz00_1457;

					BgL_bodyz00_1457 =
						(((BgL_sfunz00_bglt) CREF(
								((BgL_sfunz00_bglt) BgL_funz00_1456)))->BgL_bodyz00);
					{	/* Trace/walk.scm 82 */
						obj_t BgL_llocz00_1458;

						if (BGl_isazf3zf3zz__objectz00(BgL_varz00_19,
								BGl_globalz00zzast_varz00))
							{	/* Trace/walk.scm 84 */
								obj_t BgL_arg2092z00_1486;

								BgL_arg2092z00_1486 =
									BGl_findzd2lastzd2sexpz00zztrace_walkz00(
									(((BgL_globalz00_bglt) CREF(
												((BgL_globalz00_bglt) BgL_varz00_19)))->BgL_srcz00));
								BgL_llocz00_1458 =
									BGl_findzd2locationzd2zztools_locationz00
									(BgL_arg2092z00_1486);
							}
						else
							{	/* Trace/walk.scm 85 */
								obj_t BgL_arg2095z00_1488;

								BgL_arg2095z00_1488 =
									BGl_findzd2lastzd2nodez00zztrace_walkz00(
									((BgL_nodez00_bglt) BgL_bodyz00_1457));
								BgL_llocz00_1458 =
									(((BgL_nodez00_bglt) CREF(
											((BgL_nodez00_bglt) BgL_arg2095z00_1488)))->BgL_locz00);
							}
						{	/* Trace/walk.scm 83 */

							{	/* Trace/walk.scm 86 */
								bool_t BgL_testz00_3493;

								if (CBOOL(
										(((BgL_funz00_bglt) CREF(
													((BgL_funz00_bglt) BgL_funz00_1456)))->
											BgL_predicatezd2ofzd2)))
									{	/* Trace/walk.scm 86 */
										BgL_testz00_3493 = ((bool_t) 0);
									}
								else
									{	/* Trace/walk.scm 86 */
										if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(CNST_TABLE_REF(((long) 4)),
													(((BgL_sfunz00_bglt) CREF(((BgL_sfunz00_bglt)
																	BgL_funz00_1456)))->BgL_propertyz00))))
											{	/* Trace/walk.scm 87 */
												BgL_testz00_3493 = ((bool_t) 0);
											}
										else
											{	/* Trace/walk.scm 88 */
												obj_t BgL_arg2089z00_1483;

												BgL_arg2089z00_1483 =
													(((BgL_variablez00_bglt) CREF(
															((BgL_variablez00_bglt) BgL_varz00_19)))->
													BgL_idz00);
												BgL_testz00_3493 =
													BGl_userzd2symbolzf3z21zzast_identz00
													(BgL_arg2089z00_1483);
											}
									}
								if (BgL_testz00_3493)
									{	/* Trace/walk.scm 86 */
										BGl_enterzd2functionzd2zztools_errorz00
											(BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19));
										{	/* Trace/walk.scm 90 */
											obj_t BgL_bdz00_1461;

											{	/* Trace/walk.scm 90 */
												bool_t BgL_testz00_3509;

												if (
													((long)
														CINT
														(BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00)
														> ((long) 1)))
													{	/* Trace/walk.scm 90 */
														BgL_testz00_3509 = ((bool_t) 1);
													}
												else
													{	/* Trace/walk.scm 90 */
														if (BGl_isazf3zf3zz__objectz00(BgL_varz00_19,
																BGl_globalz00zzast_varz00))
															{	/* Trace/walk.scm 92 */
																bool_t BgL__ortest_1112z00_1476;

																BgL__ortest_1112z00_1476 =
																	(
																	(((BgL_variablez00_bglt) CREF(
																				((BgL_variablez00_bglt)
																					((BgL_globalz00_bglt)
																						BgL_varz00_19))))->BgL_idz00) ==
																	CNST_TABLE_REF(((long) 1)));
																if (BgL__ortest_1112z00_1476)
																	{	/* Trace/walk.scm 92 */
																		BgL_testz00_3509 = BgL__ortest_1112z00_1476;
																	}
																else
																	{	/* Trace/walk.scm 93 */
																		bool_t BgL__ortest_1113z00_1477;

																		BgL__ortest_1113z00_1477 =
																			(
																			(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_varz00_19))))->BgL_idz00) ==
																			CNST_TABLE_REF(((long) 5)));
																		if (BgL__ortest_1113z00_1477)
																			{	/* Trace/walk.scm 93 */
																				BgL_testz00_3509 =
																					BgL__ortest_1113z00_1477;
																			}
																		else
																			{	/* Trace/walk.scm 93 */
																				BgL_testz00_3509 =
																					(
																					(((BgL_variablez00_bglt) CREF(
																								((BgL_variablez00_bglt)
																									((BgL_globalz00_bglt)
																										BgL_varz00_19))))->
																						BgL_idz00) ==
																					CNST_TABLE_REF(((long) 6)));
															}}}
														else
															{	/* Trace/walk.scm 91 */
																BgL_testz00_3509 = ((bool_t) 0);
															}
													}
												if (BgL_testz00_3509)
													{	/* Trace/walk.scm 102 */
														bool_t BgL_testz00_3532;

														if (BGl_isazf3zf3zz__objectz00(BgL_varz00_19,
																BGl_localz00zzast_varz00))
															{	/* Trace/walk.scm 102 */
																BgL_testz00_3532 = ((bool_t) 1);
															}
														else
															{	/* Trace/walk.scm 102 */
																if (
																	((((BgL_variablez00_bglt) CREF(
																					((BgL_variablez00_bglt)
																						((BgL_globalz00_bglt)
																							BgL_varz00_19))))->BgL_idz00) ==
																		CNST_TABLE_REF(((long) 5))))
																	{	/* Trace/walk.scm 103 */
																		BgL_testz00_3532 = ((bool_t) 1);
																	}
																else
																	{	/* Trace/walk.scm 103 */
																		BgL_testz00_3532 =
																			(
																			(((BgL_variablez00_bglt) CREF(
																						((BgL_variablez00_bglt)
																							((BgL_globalz00_bglt)
																								BgL_varz00_19))))->BgL_idz00) ==
																			CNST_TABLE_REF(((long) 6)));
															}}
														if (BgL_testz00_3532)
															{	/* Trace/walk.scm 102 */
																BgL_bdz00_1461 =
																	((obj_t)
																	BGl_tracezd2nodezd2zztrace_walkz00(
																		((BgL_nodez00_bglt) BgL_bodyz00_1457),
																		BgL_stackz00_20));
															}
														else
															{	/* Trace/walk.scm 106 */
																obj_t BgL_arg2078z00_1469;

																BgL_arg2078z00_1469 =
																	MAKE_PAIR(BgL_varz00_19, BgL_stackz00_20);
																BgL_bdz00_1461 =
																	((obj_t)
																	BGl_tracezd2nodezd2zztrace_walkz00(
																		((BgL_nodez00_bglt) BgL_bodyz00_1457),
																		BgL_arg2078z00_1469));
															}
													}
												else
													{	/* Trace/walk.scm 90 */
														BgL_bdz00_1461 = BgL_bodyz00_1457;
													}
											}
											{	/* Trace/walk.scm 90 */
												BgL_typez00_bglt BgL_tz00_1462;

												{	/* Trace/walk.scm 108 */
													BgL_typez00_bglt BgL_arg2074z00_1465;
													BgL_typez00_bglt BgL_arg2075z00_1466;

													BgL_arg2074z00_1465 =
														(((BgL_nodez00_bglt) CREF(
																((BgL_nodez00_bglt) BgL_bodyz00_1457)))->
														BgL_typez00);
													BgL_arg2075z00_1466 =
														(((BgL_variablez00_bglt)
															CREF(((BgL_variablez00_bglt) BgL_varz00_19)))->
														BgL_typez00);
													BgL_tz00_1462 =
														BGl_strictzd2nodezd2typez00zzast_nodez00
														(BgL_arg2074z00_1465, BgL_arg2075z00_1466);
												}
												{	/* Trace/walk.scm 108 */
													obj_t BgL_idz00_1463;

													BgL_idz00_1463 =
														BGl_tracezd2idzd2zztrace_walkz00(BgL_varz00_19);
													{	/* Trace/walk.scm 109 */
														BgL_letzd2varzd2_bglt BgL_nbodyz00_1464;

														BgL_nbodyz00_1464 =
															BGl_makezd2tracedzd2nodez00zztrace_walkz00(
															((BgL_nodez00_bglt) BgL_bdz00_1461),
															BgL_tz00_1462, BgL_idz00_1463, BgL_llocz00_1458,
															BgL_stackz00_20);
														{	/* Trace/walk.scm 110 */

															{	/* Trace/walk.scm 111 */
																BgL_sfunz00_bglt BgL_oz00_2813;
																obj_t BgL_vz00_2814;

																BgL_oz00_2813 =
																	((BgL_sfunz00_bglt) BgL_funz00_1456);
																BgL_vz00_2814 = ((obj_t) BgL_nbodyz00_1464);
																((((BgL_sfunz00_bglt) CREF(BgL_oz00_2813))->
																		BgL_bodyz00) =
																	((obj_t) BgL_vz00_2814), BUNSPEC);
															}
															return BGl_leavezd2functionzd2zztools_errorz00();
														}
													}
												}
											}
										}
									}
								else
									{	/* Trace/walk.scm 86 */
										return BFALSE;
									}
							}
						}
					}
				}
			}
		}
	}



/* find-last-sexp */
	obj_t BGl_findzd2lastzd2sexpz00zztrace_walkz00(obj_t BgL_sexpz00_21)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 121 */
			{
				obj_t BgL_sexpz00_1490;
				obj_t BgL_resz00_1491;

				BgL_sexpz00_1490 = BgL_sexpz00_21;
				BgL_resz00_1491 = BgL_sexpz00_21;
			BgL_zc3anonymousza32096ze3z83_1492:
				if (PAIRP(BgL_sexpz00_1490))
					{	/* Trace/walk.scm 127 */
						bool_t BgL_testz00_3567;

						{	/* Trace/walk.scm 127 */
							obj_t BgL_auxz00_3568;

							BgL_auxz00_3568 = CDR(BgL_sexpz00_1490);
							BgL_testz00_3567 = PAIRP(BgL_auxz00_3568);
						}
						if (BgL_testz00_3567)
							{
								obj_t BgL_resz00_3573;
								obj_t BgL_sexpz00_3571;

								BgL_sexpz00_3571 =
									BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00
									(BgL_sexpz00_1490);
								BgL_resz00_3573 = BgL_sexpz00_1490;
								BgL_resz00_1491 = BgL_resz00_3573;
								BgL_sexpz00_1490 = BgL_sexpz00_3571;
								goto BgL_zc3anonymousza32096ze3z83_1492;
							}
						else
							{
								obj_t BgL_resz00_3576;
								obj_t BgL_sexpz00_3574;

								BgL_sexpz00_3574 = CAR(BgL_sexpz00_1490);
								BgL_resz00_3576 = BgL_sexpz00_1490;
								BgL_resz00_1491 = BgL_resz00_3576;
								BgL_sexpz00_1490 = BgL_sexpz00_3574;
								goto BgL_zc3anonymousza32096ze3z83_1492;
							}
					}
				else
					{	/* Trace/walk.scm 125 */
						return BgL_resz00_1491;
					}
			}
		}
	}



/* make-traced-node */
	BgL_letzd2varzd2_bglt
		BGl_makezd2tracedzd2nodez00zztrace_walkz00(BgL_nodez00_bglt BgL_nodez00_37,
		BgL_typez00_bglt BgL_typez00_38, obj_t BgL_symbolz00_39,
		obj_t BgL_llocz00_40, obj_t BgL_stackz00_41)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 246 */
			{	/* Trace/walk.scm 247 */
				obj_t BgL_locz00_1499;

				BgL_locz00_1499 =
					(((BgL_nodez00_bglt) CREF(BgL_nodez00_37))->BgL_locz00);
				{	/* Trace/walk.scm 247 */
					obj_t BgL_auxz00_1500;

					BgL_auxz00_1500 =
						BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
						(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long) 7))));
					{	/* Trace/walk.scm 248 */
						obj_t BgL_tauxz00_1501;

						BgL_tauxz00_1501 =
							BGl_makezd2typedzd2identz00zzast_identz00(BgL_auxz00_1500,
							(((BgL_typez00_bglt) CREF(BgL_typez00_38))->BgL_idz00));
						{	/* Trace/walk.scm 249 */
							obj_t BgL_tmp1z00_1502;

							BgL_tmp1z00_1502 =
								BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
								(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
											8))));
							{	/* Trace/walk.scm 250 */
								obj_t BgL_tmp2z00_1503;

								BgL_tmp2z00_1503 =
									BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
									(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
												9))));
								{	/* Trace/walk.scm 251 */
									obj_t BgL_tmp3z00_1504;

									BgL_tmp3z00_1504 =
										BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00
										(BGl_gensymz00zz__r4_symbols_6_4z00(CNST_TABLE_REF(((long)
													10))));
									{	/* Trace/walk.scm 252 */
										obj_t BgL_symz00_1505;

										{	/* Trace/walk.scm 253 */
											bool_t BgL_testz00_3592;

											if (PAIRP(BgL_stackz00_41))
												{	/* Trace/walk.scm 253 */
													obj_t BgL_arg2161z00_1559;

													BgL_arg2161z00_1559 = CAR(BgL_stackz00_41);
													BgL_testz00_3592 =
														BGl_isazf3zf3zz__objectz00(BgL_arg2161z00_1559,
														BGl_variablez00zzast_varz00);
												}
											else
												{	/* Trace/walk.scm 253 */
													BgL_testz00_3592 = ((bool_t) 0);
												}
											if (BgL_testz00_3592)
												{	/* Trace/walk.scm 254 */
													obj_t BgL_arg2155z00_1553;

													BgL_arg2155z00_1553 =
														(((BgL_variablez00_bglt) CREF(
																((BgL_variablez00_bglt)
																	CAR(BgL_stackz00_41))))->BgL_idz00);
													{	/* Trace/walk.scm 254 */
														obj_t BgL_list2156z00_1554;

														{	/* Trace/walk.scm 254 */
															obj_t BgL_arg2157z00_1555;

															{	/* Trace/walk.scm 254 */
																obj_t BgL_arg2158z00_1556;

																BgL_arg2158z00_1556 =
																	MAKE_PAIR(BgL_arg2155z00_1553, BNIL);
																BgL_arg2157z00_1555 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 11)),
																	BgL_arg2158z00_1556);
															}
															BgL_list2156z00_1554 =
																MAKE_PAIR(BgL_symbolz00_39,
																BgL_arg2157z00_1555);
														}
														BgL_symz00_1505 =
															BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
															(BgL_list2156z00_1554);
												}}
											else
												{	/* Trace/walk.scm 253 */
													BgL_symz00_1505 = BgL_symbolz00_39;
												}
										}
										{	/* Trace/walk.scm 253 */
											obj_t BgL_lz00_1506;

											{	/* Trace/walk.scm 256 */
												bool_t BgL_testz00_3605;

												if (STRUCTP(BgL_locz00_1499))
													{	/* Trace/walk.scm 256 */
														BgL_testz00_3605 =
															(STRUCT_KEY(BgL_locz00_1499) ==
															CNST_TABLE_REF(((long) 12)));
													}
												else
													{	/* Trace/walk.scm 256 */
														BgL_testz00_3605 = ((bool_t) 0);
													}
												if (BgL_testz00_3605)
													{	/* Trace/walk.scm 257 */
														obj_t BgL_arg2150z00_1548;

														{	/* Trace/walk.scm 257 */
															obj_t BgL_arg2151z00_1549;
															obj_t BgL_arg2152z00_1550;

															BgL_arg2151z00_1549 =
																BGl_locationzd2fullzd2fnamez00zztools_locationz00
																(BgL_locz00_1499);
															BgL_arg2152z00_1550 =
																MAKE_PAIR(STRUCT_REF(BgL_locz00_1499,
																	(int) (((long) 1))), BNIL);
															BgL_arg2150z00_1548 =
																MAKE_PAIR(BgL_arg2151z00_1549,
																BgL_arg2152z00_1550);
														}
														BgL_lz00_1506 =
															MAKE_PAIR(CNST_TABLE_REF(((long) 13)),
															BgL_arg2150z00_1548);
													}
												else
													{	/* Trace/walk.scm 256 */
														BgL_lz00_1506 = BFALSE;
													}
											}
											{	/* Trace/walk.scm 256 */
												obj_t BgL_expz00_1507;

												{	/* Trace/walk.scm 258 */
													obj_t BgL_arg2104z00_1511;

													{	/* Trace/walk.scm 258 */
														obj_t BgL_arg2106z00_1512;
														obj_t BgL_arg2107z00_1513;

														{	/* Trace/walk.scm 258 */
															obj_t BgL_arg2108z00_1514;
															obj_t BgL_arg2109z00_1515;

															{	/* Trace/walk.scm 258 */
																obj_t BgL_arg2110z00_1516;

																{	/* Trace/walk.scm 258 */
																	obj_t BgL_arg2111z00_1517;

																	{	/* Trace/walk.scm 258 */
																		obj_t BgL_arg2112z00_1518;

																		BgL_arg2112z00_1518 =
																			MAKE_PAIR(BgL_symz00_1505, BNIL);
																		BgL_arg2111z00_1517 =
																			MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																			BgL_arg2112z00_1518);
																	}
																	BgL_arg2110z00_1516 =
																		MAKE_PAIR(BgL_arg2111z00_1517, BNIL);
																}
																BgL_arg2108z00_1514 =
																	MAKE_PAIR(BgL_tmp1z00_1502,
																	BgL_arg2110z00_1516);
															}
															{	/* Trace/walk.scm 259 */
																obj_t BgL_arg2114z00_1519;
																obj_t BgL_arg2115z00_1520;

																{	/* Trace/walk.scm 259 */
																	obj_t BgL_arg2116z00_1521;

																	{	/* Trace/walk.scm 259 */
																		obj_t BgL_arg2119z00_1522;

																		{	/* Trace/walk.scm 259 */
																			obj_t BgL_arg2122z00_1523;

																			BgL_arg2122z00_1523 =
																				MAKE_PAIR(BgL_lz00_1506, BNIL);
																			BgL_arg2119z00_1522 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 14)),
																				BgL_arg2122z00_1523);
																		}
																		BgL_arg2116z00_1521 =
																			MAKE_PAIR(BgL_arg2119z00_1522, BNIL);
																	}
																	BgL_arg2114z00_1519 =
																		MAKE_PAIR(BgL_tmp2z00_1503,
																		BgL_arg2116z00_1521);
																}
																{	/* Trace/walk.scm 260 */
																	obj_t BgL_arg2123z00_1524;

																	{	/* Trace/walk.scm 260 */
																		obj_t BgL_arg2124z00_1525;
																		obj_t BgL_arg2125z00_1526;

																		BgL_arg2124z00_1525 =
																			BGl_makezd2typedzd2identz00zzast_identz00
																			(BgL_tmp3z00_1504,
																			CNST_TABLE_REF(((long) 15)));
																		{	/* Trace/walk.scm 260 */
																			obj_t BgL_arg2126z00_1527;

																			BgL_arg2126z00_1527 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 16)),
																				BNIL);
																			BgL_arg2125z00_1526 =
																				MAKE_PAIR(BgL_arg2126z00_1527, BNIL);
																		}
																		BgL_arg2123z00_1524 =
																			MAKE_PAIR(BgL_arg2124z00_1525,
																			BgL_arg2125z00_1526);
																	}
																	BgL_arg2115z00_1520 =
																		MAKE_PAIR(BgL_arg2123z00_1524, BNIL);
																}
																BgL_arg2109z00_1515 =
																	MAKE_PAIR(BgL_arg2114z00_1519,
																	BgL_arg2115z00_1520);
															}
															BgL_arg2106z00_1512 =
																MAKE_PAIR(BgL_arg2108z00_1514,
																BgL_arg2109z00_1515);
														}
														{	/* Trace/walk.scm 262 */
															obj_t BgL_arg2127z00_1528;

															{	/* Trace/walk.scm 262 */
																obj_t BgL_arg2128z00_1529;

																{	/* Trace/walk.scm 262 */
																	obj_t BgL_arg2129z00_1530;

																	{	/* Trace/walk.scm 262 */
																		obj_t BgL_arg2130z00_1531;
																		obj_t BgL_arg2131z00_1532;

																		{	/* Trace/walk.scm 262 */
																			obj_t BgL_arg2132z00_1533;

																			{	/* Trace/walk.scm 262 */
																				obj_t BgL_arg2133z00_1534;

																				{	/* Trace/walk.scm 262 */
																					obj_t BgL_arg2134z00_1535;

																					BgL_arg2134z00_1535 =
																						MAKE_PAIR(BgL_tmp2z00_1503, BNIL);
																					BgL_arg2133z00_1534 =
																						MAKE_PAIR(BgL_tmp1z00_1502,
																						BgL_arg2134z00_1535);
																				}
																				BgL_arg2132z00_1533 =
																					MAKE_PAIR(BgL_tmp3z00_1504,
																					BgL_arg2133z00_1534);
																			}
																			BgL_arg2130z00_1531 =
																				MAKE_PAIR(CNST_TABLE_REF(((long) 17)),
																				BgL_arg2132z00_1533);
																		}
																		{	/* Trace/walk.scm 263 */
																			obj_t BgL_arg2135z00_1536;

																			{	/* Trace/walk.scm 263 */
																				obj_t BgL_arg2136z00_1537;

																				{	/* Trace/walk.scm 263 */
																					obj_t BgL_arg2137z00_1538;
																					obj_t BgL_arg2138z00_1539;

																					{	/* Trace/walk.scm 263 */
																						obj_t BgL_arg2139z00_1540;

																						{	/* Trace/walk.scm 263 */
																							obj_t BgL_arg2140z00_1541;

																							BgL_arg2140z00_1541 =
																								MAKE_PAIR(
																								((obj_t) BgL_nodez00_37), BNIL);
																							BgL_arg2139z00_1540 =
																								MAKE_PAIR(BgL_tauxz00_1501,
																								BgL_arg2140z00_1541);
																						}
																						BgL_arg2137z00_1538 =
																							MAKE_PAIR(BgL_arg2139z00_1540,
																							BNIL);
																					}
																					{	/* Trace/walk.scm 264 */
																						obj_t BgL_arg2142z00_1542;
																						obj_t BgL_arg2143z00_1543;

																						{	/* Trace/walk.scm 264 */
																							bool_t BgL_testz00_3646;

																							if (STRUCTP(BgL_llocz00_40))
																								{	/* Trace/walk.scm 264 */
																									BgL_testz00_3646 =
																										(STRUCT_KEY(BgL_llocz00_40)
																										==
																										CNST_TABLE_REF(((long)
																												12)));
																								}
																							else
																								{	/* Trace/walk.scm 264 */
																									BgL_testz00_3646 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_3646)
																								{	/* Trace/walk.scm 266 */
																									obj_t BgL_arg2146z00_1545;

																									{	/* Trace/walk.scm 266 */
																										obj_t BgL_res2412z00_2856;

																										BgL_res2412z00_2856 =
																											MAKE_EXTENDED_PAIR
																											(BgL_tmp3z00_1504, BNIL,
																											BgL_llocz00_40);
																										BgL_arg2146z00_1545 =
																											BgL_res2412z00_2856;
																									}
																									{	/* Trace/walk.scm 265 */
																										obj_t BgL_res2413z00_2860;

																										{	/* Trace/walk.scm 265 */
																											obj_t BgL_obj1z00_2857;

																											BgL_obj1z00_2857 =
																												CNST_TABLE_REF(((long)
																													18));
																											BgL_res2413z00_2860 =
																												MAKE_EXTENDED_PAIR
																												(BgL_obj1z00_2857,
																												BgL_arg2146z00_1545,
																												BgL_llocz00_40);
																										}
																										BgL_arg2142z00_1542 =
																											BgL_res2413z00_2860;
																								}}
																							else
																								{	/* Trace/walk.scm 268 */
																									obj_t BgL_arg2147z00_1546;

																									BgL_arg2147z00_1546 =
																										MAKE_PAIR(BgL_tmp3z00_1504,
																										BNIL);
																									BgL_arg2142z00_1542 =
																										MAKE_PAIR(CNST_TABLE_REF((
																												(long) 18)),
																										BgL_arg2147z00_1546);
																						}}
																						BgL_arg2143z00_1543 =
																							MAKE_PAIR(BgL_auxz00_1500, BNIL);
																						BgL_arg2138z00_1539 =
																							MAKE_PAIR(BgL_arg2142z00_1542,
																							BgL_arg2143z00_1543);
																					}
																					BgL_arg2136z00_1537 =
																						MAKE_PAIR(BgL_arg2137z00_1538,
																						BgL_arg2138z00_1539);
																				}
																				BgL_arg2135z00_1536 =
																					MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
																					BgL_arg2136z00_1537);
																			}
																			BgL_arg2131z00_1532 =
																				MAKE_PAIR(BgL_arg2135z00_1536, BNIL);
																		}
																		BgL_arg2129z00_1530 =
																			MAKE_PAIR(BgL_arg2130z00_1531,
																			BgL_arg2131z00_1532);
																	}
																	BgL_arg2128z00_1529 =
																		MAKE_PAIR(BNIL, BgL_arg2129z00_1530);
																}
																BgL_arg2127z00_1528 =
																	MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
																	BgL_arg2128z00_1529);
															}
															BgL_arg2107z00_1513 =
																MAKE_PAIR(BgL_arg2127z00_1528, BNIL);
														}
														BgL_arg2104z00_1511 =
															MAKE_PAIR(BgL_arg2106z00_1512,
															BgL_arg2107z00_1513);
													}
													BgL_expz00_1507 =
														MAKE_PAIR(CNST_TABLE_REF(((long) 19)),
														BgL_arg2104z00_1511);
												}
												{	/* Trace/walk.scm 258 */
													BgL_nodez00_bglt BgL_nnodez00_1508;

													BgL_nnodez00_1508 =
														BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_expz00_1507,
														BNIL, BgL_locz00_1499, CNST_TABLE_REF(((long) 20)));
													{	/* Trace/walk.scm 270 */

														{	/* Trace/walk.scm 271 */
															bool_t BgL_arg2102z00_1509;

															{	/* Trace/walk.scm 271 */
																obj_t BgL_arg2103z00_1510;

																BgL_arg2103z00_1510 =
																	BGl_thezd2backendzd2zzbackend_backendz00();
																BgL_arg2102z00_1509 =
																	(((BgL_backendz00_bglt) CREF(
																			((BgL_backendz00_bglt)
																				BgL_arg2103z00_1510)))->
																	BgL_removezd2emptyzd2letz00);
															}
															{	/* Trace/walk.scm 271 */
																BgL_letzd2varzd2_bglt BgL_oz00_2864;

																BgL_oz00_2864 =
																	((BgL_letzd2varzd2_bglt) BgL_nnodez00_1508);
																((((BgL_letzd2varzd2_bglt)
																			CREF(BgL_oz00_2864))->
																		BgL_removablezf3zf3) =
																	((bool_t) BgL_arg2102z00_1509), BUNSPEC);
														}}
														return ((BgL_letzd2varzd2_bglt) BgL_nnodez00_1508);
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* trace-node*! */
	bool_t BGl_tracezd2nodeza2z12z62zztrace_walkz00(obj_t BgL_nodeza2za2_80,
		obj_t BgL_stackz00_81)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 436 */
		BGl_tracezd2nodeza2z12z62zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_80))
				{	/* Trace/walk.scm 437 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 437 */
					{	/* Trace/walk.scm 438 */
						BgL_nodez00_bglt BgL_arg2171z00_1566;

						{	/* Trace/walk.scm 438 */
							obj_t BgL_arg2172z00_1567;

							BgL_arg2172z00_1567 = CAR(BgL_nodeza2za2_80);
							BgL_arg2171z00_1566 =
								BGl_tracezd2nodezd2zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg2172z00_1567), BgL_stackz00_81);
						}
						{	/* Trace/walk.scm 438 */
							obj_t BgL_pairz00_2870;
							obj_t BgL_objz00_2871;

							BgL_pairz00_2870 = BgL_nodeza2za2_80;
							BgL_objz00_2871 = ((obj_t) BgL_arg2171z00_1566);
							SET_CAR(BgL_pairz00_2870, BgL_objz00_2871);
						}
					}
					{
						obj_t BgL_nodeza2za2_3687;

						BgL_nodeza2za2_3687 = CDR(BgL_nodeza2za2_80);
						BgL_nodeza2za2_80 = BgL_nodeza2za2_3687;
						goto BGl_tracezd2nodeza2z12z62zztrace_walkz00;
					}
				}
		}
	}



/* toplevel-trace-node*! */
	bool_t BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(obj_t
		BgL_nodeza2za2_86)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 487 */
		BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00:
			if (NULLP(BgL_nodeza2za2_86))
				{	/* Trace/walk.scm 488 */
					return ((bool_t) 0);
				}
			else
				{	/* Trace/walk.scm 488 */
					{	/* Trace/walk.scm 489 */
						BgL_nodez00_bglt BgL_arg2175z00_1570;

						{	/* Trace/walk.scm 489 */
							obj_t BgL_arg2176z00_1571;

							BgL_arg2176z00_1571 = CAR(BgL_nodeza2za2_86);
							BgL_arg2175z00_1570 =
								BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg2176z00_1571));
						}
						{	/* Trace/walk.scm 489 */
							obj_t BgL_pairz00_2876;
							obj_t BgL_objz00_2877;

							BgL_pairz00_2876 = BgL_nodeza2za2_86;
							BgL_objz00_2877 = ((obj_t) BgL_arg2175z00_1570);
							SET_CAR(BgL_pairz00_2876, BgL_objz00_2877);
						}
					}
					{
						obj_t BgL_nodeza2za2_3696;

						BgL_nodeza2za2_3696 = CDR(BgL_nodeza2za2_86);
						BgL_nodeza2za2_86 = BgL_nodeza2za2_3696;
						goto BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00;
					}
				}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_proc2481z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2482z00zztrace_walkz00);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_proc2483z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2484z00zztrace_walkz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_proc2485z00zztrace_walkz00, BGl_nodez00zzast_nodez00,
				BGl_string2486z00zztrace_walkz00);
		}
	}



/* &toplevel-trace-node1996 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2node1996z62zztrace_walkz00(obj_t
		BgL_envz00_3159, obj_t BgL_nodez00_3160)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 444 */
			return ((BgL_nodez00_bglt) BgL_nodez00_3160);
		}
	}



/* &trace-node1955 */
	BgL_nodez00_bglt BGl_z62tracezd2node1955zb0zztrace_walkz00(obj_t
		BgL_envz00_3161, obj_t BgL_nodez00_3162, obj_t BgL_stackz00_3163)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 277 */
			return ((BgL_nodez00_bglt) BgL_nodez00_3162);
		}
	}



/* &find-last-node1923 */
	BgL_nodez00_bglt BGl_z62findzd2lastzd2node1923z62zztrace_walkz00(obj_t
		BgL_envz00_3164, obj_t BgL_nodez00_3165)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 138 */
			return ((BgL_nodez00_bglt) BgL_nodez00_3165);
		}
	}



/* find-last-node */
	obj_t BGl_findzd2lastzd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_22)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 138 */
			{	/* Trace/walk.scm 138 */
				obj_t BgL_method1924z00_1586;

				{	/* Trace/walk.scm 138 */
					obj_t BgL_res2423z00_2907;

					{	/* Trace/walk.scm 138 */
						BgL_objectz00_bglt BgL_objz00_2879;

						BgL_objz00_2879 = ((BgL_objectz00_bglt) BgL_nodez00_22);
						{	/* Trace/walk.scm 138 */
							long BgL_objzd2classzd2numz00_2880;

							{	/* Trace/walk.scm 138 */
								long BgL_res2417z00_2883;

								BgL_res2417z00_2883 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2879);
								BgL_objzd2classzd2numz00_2880 = BgL_res2417z00_2883;
							}
							{	/* Trace/walk.scm 138 */
								obj_t BgL_arg1803z00_2881;

								BgL_arg1803z00_2881 =
									PROCEDURE_REF(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
									(int) (((long) 1)));
								{	/* Trace/walk.scm 138 */
									obj_t BgL_arrayz00_2884;
									int BgL_offsetz00_2885;

									BgL_arrayz00_2884 = BgL_arg1803z00_2881;
									BgL_offsetz00_2885 = (int) (BgL_objzd2classzd2numz00_2880);
									{	/* Trace/walk.scm 138 */
										long BgL_offsetz00_2886;

										BgL_offsetz00_2886 =
											((long) (BgL_offsetz00_2885) - OBJECT_TYPE);
										{	/* Trace/walk.scm 138 */
											long BgL_modz00_2887;

											{	/* Trace/walk.scm 138 */
												int BgL_arg1805z00_2888;

												BgL_arg1805z00_2888 = (int) (((long) 16));
												{	/* Trace/walk.scm 138 */
													long BgL_res2420z00_2898;

													{	/* Trace/walk.scm 138 */
														long BgL_auxz00_3712;

														BgL_auxz00_3712 = (long) (BgL_arg1805z00_2888);
														BgL_res2420z00_2898 =
															(BgL_offsetz00_2886 / BgL_auxz00_3712);
													}
													BgL_modz00_2887 = BgL_res2420z00_2898;
											}}
											{	/* Trace/walk.scm 138 */
												long BgL_restz00_2889;

												{	/* Trace/walk.scm 138 */
													int BgL_arg1804z00_2890;

													BgL_arg1804z00_2890 = (int) (((long) 16));
													{	/* Trace/walk.scm 138 */
														long BgL_res2422z00_2902;

														{	/* Trace/walk.scm 138 */
															long BgL_auxz00_3716;

															BgL_auxz00_3716 = (long) (BgL_arg1804z00_2890);
															BgL_res2422z00_2902 =
																(BgL_offsetz00_2886 % BgL_auxz00_3716);
														}
														BgL_restz00_2889 = BgL_res2422z00_2902;
												}}
												{	/* Trace/walk.scm 138 */

													BgL_res2423z00_2907 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2884,
															(int) (BgL_modz00_2887)),
														(int) (BgL_restz00_2889));
					}}}}}}}}
					BgL_method1924z00_1586 = BgL_res2423z00_2907;
				}
				return
					PROCEDURE_ENTRY(BgL_method1924z00_1586) (BgL_method1924z00_1586,
					((obj_t) BgL_nodez00_22), BEOA);
			}
		}
	}



/* &find-last-node */
	obj_t BGl_z62findzd2lastzd2nodez62zztrace_walkz00(obj_t BgL_envz00_3166,
		obj_t BgL_nodez00_3167)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 138 */
			return
				BGl_findzd2lastzd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3167));
		}
	}



/* trace-node */
	BgL_nodez00_bglt BGl_tracezd2nodezd2zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_42, obj_t BgL_stackz00_43)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 277 */
			{	/* Trace/walk.scm 277 */
				obj_t BgL_method1956z00_1587;

				{	/* Trace/walk.scm 277 */
					obj_t BgL_res2430z00_2936;

					{	/* Trace/walk.scm 277 */
						BgL_objectz00_bglt BgL_objz00_2908;

						BgL_objz00_2908 = ((BgL_objectz00_bglt) BgL_nodez00_42);
						{	/* Trace/walk.scm 277 */
							long BgL_objzd2classzd2numz00_2909;

							{	/* Trace/walk.scm 277 */
								long BgL_res2424z00_2912;

								BgL_res2424z00_2912 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2908);
								BgL_objzd2classzd2numz00_2909 = BgL_res2424z00_2912;
							}
							{	/* Trace/walk.scm 277 */
								obj_t BgL_arg1803z00_2910;

								BgL_arg1803z00_2910 =
									PROCEDURE_REF(BGl_tracezd2nodezd2envz00zztrace_walkz00,
									(int) (((long) 1)));
								{	/* Trace/walk.scm 277 */
									obj_t BgL_arrayz00_2913;
									int BgL_offsetz00_2914;

									BgL_arrayz00_2913 = BgL_arg1803z00_2910;
									BgL_offsetz00_2914 = (int) (BgL_objzd2classzd2numz00_2909);
									{	/* Trace/walk.scm 277 */
										long BgL_offsetz00_2915;

										BgL_offsetz00_2915 =
											((long) (BgL_offsetz00_2914) - OBJECT_TYPE);
										{	/* Trace/walk.scm 277 */
											long BgL_modz00_2916;

											{	/* Trace/walk.scm 277 */
												int BgL_arg1805z00_2917;

												BgL_arg1805z00_2917 = (int) (((long) 16));
												{	/* Trace/walk.scm 277 */
													long BgL_res2427z00_2927;

													{	/* Trace/walk.scm 277 */
														long BgL_auxz00_3738;

														BgL_auxz00_3738 = (long) (BgL_arg1805z00_2917);
														BgL_res2427z00_2927 =
															(BgL_offsetz00_2915 / BgL_auxz00_3738);
													}
													BgL_modz00_2916 = BgL_res2427z00_2927;
											}}
											{	/* Trace/walk.scm 277 */
												long BgL_restz00_2918;

												{	/* Trace/walk.scm 277 */
													int BgL_arg1804z00_2919;

													BgL_arg1804z00_2919 = (int) (((long) 16));
													{	/* Trace/walk.scm 277 */
														long BgL_res2429z00_2931;

														{	/* Trace/walk.scm 277 */
															long BgL_auxz00_3742;

															BgL_auxz00_3742 = (long) (BgL_arg1804z00_2919);
															BgL_res2429z00_2931 =
																(BgL_offsetz00_2915 % BgL_auxz00_3742);
														}
														BgL_restz00_2918 = BgL_res2429z00_2931;
												}}
												{	/* Trace/walk.scm 277 */

													BgL_res2430z00_2936 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2913,
															(int) (BgL_modz00_2916)),
														(int) (BgL_restz00_2918));
					}}}}}}}}
					BgL_method1956z00_1587 = BgL_res2430z00_2936;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1956z00_1587) (BgL_method1956z00_1587,
						((obj_t) BgL_nodez00_42), BgL_stackz00_43, BEOA));
			}
		}
	}



/* &trace-node */
	BgL_nodez00_bglt BGl_z62tracezd2nodezb0zztrace_walkz00(obj_t BgL_envz00_3168,
		obj_t BgL_nodez00_3169, obj_t BgL_stackz00_3170)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 277 */
			return
				BGl_tracezd2nodezd2zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3169), BgL_stackz00_3170);
		}
	}



/* toplevel-trace-node */
	BgL_nodez00_bglt
		BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(BgL_nodez00_bglt
		BgL_nodez00_82)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 444 */
			{	/* Trace/walk.scm 444 */
				obj_t BgL_method1997z00_1588;

				{	/* Trace/walk.scm 444 */
					obj_t BgL_res2437z00_2965;

					{	/* Trace/walk.scm 444 */
						BgL_objectz00_bglt BgL_objz00_2937;

						BgL_objz00_2937 = ((BgL_objectz00_bglt) BgL_nodez00_82);
						{	/* Trace/walk.scm 444 */
							long BgL_objzd2classzd2numz00_2938;

							{	/* Trace/walk.scm 444 */
								long BgL_res2431z00_2941;

								BgL_res2431z00_2941 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2937);
								BgL_objzd2classzd2numz00_2938 = BgL_res2431z00_2941;
							}
							{	/* Trace/walk.scm 444 */
								obj_t BgL_arg1803z00_2939;

								BgL_arg1803z00_2939 =
									PROCEDURE_REF
									(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
									(int) (((long) 1)));
								{	/* Trace/walk.scm 444 */
									obj_t BgL_arrayz00_2942;
									int BgL_offsetz00_2943;

									BgL_arrayz00_2942 = BgL_arg1803z00_2939;
									BgL_offsetz00_2943 = (int) (BgL_objzd2classzd2numz00_2938);
									{	/* Trace/walk.scm 444 */
										long BgL_offsetz00_2944;

										BgL_offsetz00_2944 =
											((long) (BgL_offsetz00_2943) - OBJECT_TYPE);
										{	/* Trace/walk.scm 444 */
											long BgL_modz00_2945;

											{	/* Trace/walk.scm 444 */
												int BgL_arg1805z00_2946;

												BgL_arg1805z00_2946 = (int) (((long) 16));
												{	/* Trace/walk.scm 444 */
													long BgL_res2434z00_2956;

													{	/* Trace/walk.scm 444 */
														long BgL_auxz00_3766;

														BgL_auxz00_3766 = (long) (BgL_arg1805z00_2946);
														BgL_res2434z00_2956 =
															(BgL_offsetz00_2944 / BgL_auxz00_3766);
													}
													BgL_modz00_2945 = BgL_res2434z00_2956;
											}}
											{	/* Trace/walk.scm 444 */
												long BgL_restz00_2947;

												{	/* Trace/walk.scm 444 */
													int BgL_arg1804z00_2948;

													BgL_arg1804z00_2948 = (int) (((long) 16));
													{	/* Trace/walk.scm 444 */
														long BgL_res2436z00_2960;

														{	/* Trace/walk.scm 444 */
															long BgL_auxz00_3770;

															BgL_auxz00_3770 = (long) (BgL_arg1804z00_2948);
															BgL_res2436z00_2960 =
																(BgL_offsetz00_2944 % BgL_auxz00_3770);
														}
														BgL_restz00_2947 = BgL_res2436z00_2960;
												}}
												{	/* Trace/walk.scm 444 */

													BgL_res2437z00_2965 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2942,
															(int) (BgL_modz00_2945)),
														(int) (BgL_restz00_2947));
					}}}}}}}}
					BgL_method1997z00_1588 = BgL_res2437z00_2965;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1997z00_1588) (BgL_method1997z00_1588,
						((obj_t) BgL_nodez00_82), BEOA));
			}
		}
	}



/* &toplevel-trace-node */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodez62zztrace_walkz00(obj_t
		BgL_envz00_3171, obj_t BgL_nodez00_3172)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 444 */
			return
				BGl_toplevelzd2tracezd2nodez00zztrace_walkz00(
				((BgL_nodez00_bglt) BgL_nodez00_3172));
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2487z00zztrace_walkz00,
				BGl_string2488z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2489z00zztrace_walkz00,
				BGl_string2488z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appz00zzast_nodez00, BGl_proc2490z00zztrace_walkz00,
				BGl_string2488z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2491z00zztrace_walkz00,
				BGl_string2488z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2492z00zztrace_walkz00,
				BGl_string2488z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_externz00zzast_nodez00, BGl_proc2493z00zztrace_walkz00,
				BGl_string2488z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2494z00zztrace_walkz00,
				BGl_string2488z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2495z00zztrace_walkz00,
				BGl_string2488z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_failz00zzast_nodez00, BGl_proc2496z00zztrace_walkz00,
				BGl_string2488z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_selectz00zzast_nodez00, BGl_proc2497z00zztrace_walkz00,
				BGl_string2488z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2498z00zztrace_walkz00,
				BGl_string2488z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2499z00zztrace_walkz00,
				BGl_string2488z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2500z00zztrace_walkz00,
				BGl_string2488z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2lastzd2nodezd2envzd2zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2501z00zztrace_walkz00,
				BGl_string2488z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2502z00zztrace_walkz00, BGl_string2503z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_syncz00zzast_nodez00,
				BGl_proc2504z00zztrace_walkz00, BGl_string2503z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc2505z00zztrace_walkz00, BGl_string2503z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2506z00zztrace_walkz00, BGl_string2503z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2507z00zztrace_walkz00, BGl_string2503z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_externz00zzast_nodez00,
				BGl_proc2508z00zztrace_walkz00, BGl_string2503z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_castz00zzast_nodez00,
				BGl_proc2509z00zztrace_walkz00, BGl_string2503z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_setqz00zzast_nodez00,
				BGl_proc2510z00zztrace_walkz00, BGl_string2503z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2511z00zztrace_walkz00,
				BGl_string2503z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_failz00zzast_nodez00,
				BGl_proc2512z00zztrace_walkz00, BGl_string2503z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00, BGl_selectz00zzast_nodez00,
				BGl_proc2513z00zztrace_walkz00, BGl_string2503z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2514z00zztrace_walkz00,
				BGl_string2503z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2515z00zztrace_walkz00,
				BGl_string2503z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2516z00zztrace_walkz00,
				BGl_string2503z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2517z00zztrace_walkz00,
				BGl_string2503z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2518z00zztrace_walkz00,
				BGl_string2503z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2519z00zztrace_walkz00,
				BGl_string2503z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tracezd2nodezd2envz00zztrace_walkz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2520z00zztrace_walkz00,
				BGl_string2503z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2521z00zztrace_walkz00,
				BGl_string2522z00zztrace_walkz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_syncz00zzast_nodez00, BGl_proc2523z00zztrace_walkz00,
				BGl_string2522z00zztrace_walkz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_toplevelzd2tracezd2nodezd2envzd2zztrace_walkz00,
				BGl_setqz00zzast_nodez00, BGl_proc2524z00zztrace_walkz00,
				BGl_string2522z00zztrace_walkz00);
		}
	}



/* &toplevel-trace-node-2004 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd22004zb0zztrace_walkz00(obj_t
		BgL_envz00_3208, obj_t BgL_nodez00_3209)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 471 */
			{
				BgL_setqz00_bglt BgL_nodez00_1865;

				BgL_nodez00_1865 = ((BgL_setqz00_bglt) BgL_nodez00_3209);
				{	/* Trace/walk.scm 473 */
					BgL_varz00_bglt BgL_i1131z00_1869;

					BgL_i1131z00_1869 =
						(((BgL_setqz00_bglt) CREF(BgL_nodez00_1865))->BgL_varz00);
					{	/* Trace/walk.scm 474 */
						bool_t BgL_testz00_3821;

						{	/* Trace/walk.scm 474 */
							bool_t BgL_testz00_3822;

							{	/* Trace/walk.scm 474 */
								BgL_variablez00_bglt BgL_arg2303z00_1890;

								BgL_arg2303z00_1890 =
									(((BgL_varz00_bglt) CREF(BgL_i1131z00_1869))->
									BgL_variablez00);
								{	/* Trace/walk.scm 474 */
									bool_t BgL_res2464z00_3099;

									{	/* Trace/walk.scm 474 */
										obj_t BgL_objz00_3098;

										BgL_objz00_3098 = ((obj_t) BgL_arg2303z00_1890);
										BgL_res2464z00_3099 =
											BGl_isazf3zf3zz__objectz00(BgL_objz00_3098,
											BGl_globalz00zzast_varz00);
									}
									BgL_testz00_3822 = BgL_res2464z00_3099;
								}
							}
							if (BgL_testz00_3822)
								{	/* Trace/walk.scm 475 */
									bool_t BgL_testz00_3826;

									{	/* Trace/walk.scm 475 */
										bool_t BgL_testz00_3827;

										{	/* Trace/walk.scm 475 */
											BgL_nodez00_bglt BgL_arg2302z00_1889;

											BgL_arg2302z00_1889 =
												(((BgL_setqz00_bglt) CREF(BgL_nodez00_1865))->
												BgL_valuez00);
											{	/* Trace/walk.scm 475 */
												bool_t BgL_res2465z00_3101;

												{	/* Trace/walk.scm 475 */
													obj_t BgL_objz00_3100;

													BgL_objz00_3100 = ((obj_t) BgL_arg2302z00_1889);
													BgL_res2465z00_3101 =
														BGl_isazf3zf3zz__objectz00(BgL_objz00_3100,
														BGl_atomz00zzast_nodez00);
												}
												BgL_testz00_3827 = BgL_res2465z00_3101;
											}
										}
										if (BgL_testz00_3827)
											{	/* Trace/walk.scm 475 */
												BgL_testz00_3826 = ((bool_t) 1);
											}
										else
											{	/* Trace/walk.scm 476 */
												bool_t BgL_testz00_3831;

												{	/* Trace/walk.scm 476 */
													BgL_nodez00_bglt BgL_arg2300z00_1888;

													BgL_arg2300z00_1888 =
														(((BgL_setqz00_bglt) CREF(BgL_nodez00_1865))->
														BgL_valuez00);
													{	/* Trace/walk.scm 476 */
														bool_t BgL_res2466z00_3103;

														{	/* Trace/walk.scm 476 */
															obj_t BgL_objz00_3102;

															BgL_objz00_3102 = ((obj_t) BgL_arg2300z00_1888);
															BgL_res2466z00_3103 =
																BGl_isazf3zf3zz__objectz00(BgL_objz00_3102,
																BGl_varz00zzast_nodez00);
														}
														BgL_testz00_3831 = BgL_res2466z00_3103;
													}
												}
												if (BgL_testz00_3831)
													{	/* Trace/walk.scm 476 */
														BgL_testz00_3826 = ((bool_t) 1);
													}
												else
													{	/* Trace/walk.scm 477 */
														bool_t BgL_testz00_3835;

														{	/* Trace/walk.scm 477 */
															BgL_nodez00_bglt BgL_arg2299z00_1887;

															BgL_arg2299z00_1887 =
																(((BgL_setqz00_bglt) CREF(BgL_nodez00_1865))->
																BgL_valuez00);
															{	/* Trace/walk.scm 477 */
																bool_t BgL_res2467z00_3105;

																{	/* Trace/walk.scm 477 */
																	obj_t BgL_objz00_3104;

																	BgL_objz00_3104 =
																		((obj_t) BgL_arg2299z00_1887);
																	BgL_res2467z00_3105 =
																		BGl_isazf3zf3zz__objectz00(BgL_objz00_3104,
																		BGl_kwotez00zzast_nodez00);
																}
																BgL_testz00_3835 = BgL_res2467z00_3105;
															}
														}
														if (BgL_testz00_3835)
															{	/* Trace/walk.scm 477 */
																BgL_testz00_3826 = ((bool_t) 1);
															}
														else
															{	/* Trace/walk.scm 478 */
																BgL_nodez00_bglt BgL_arg2298z00_1886;

																BgL_arg2298z00_1886 =
																	(((BgL_setqz00_bglt) CREF(BgL_nodez00_1865))->
																	BgL_valuez00);
																{	/* Trace/walk.scm 478 */
																	bool_t BgL_res2468z00_3107;

																	{	/* Trace/walk.scm 478 */
																		obj_t BgL_objz00_3106;

																		BgL_objz00_3106 =
																			((obj_t) BgL_arg2298z00_1886);
																		BgL_res2468z00_3107 =
																			BGl_isazf3zf3zz__objectz00
																			(BgL_objz00_3106,
																			BGl_pragmaz00zzast_nodez00);
																	}
																	BgL_testz00_3826 = BgL_res2468z00_3107;
																}
															}
													}
											}
									}
									if (BgL_testz00_3826)
										{	/* Trace/walk.scm 475 */
											BgL_testz00_3821 = ((bool_t) 0);
										}
									else
										{	/* Trace/walk.scm 475 */
											BgL_testz00_3821 = ((bool_t) 1);
										}
								}
							else
								{	/* Trace/walk.scm 474 */
									BgL_testz00_3821 = ((bool_t) 0);
								}
						}
						if (BgL_testz00_3821)
							{	/* Trace/walk.scm 479 */
								BgL_typez00_bglt BgL_tz00_1871;

								{	/* Trace/walk.scm 479 */
									BgL_typez00_bglt BgL_arg2288z00_1877;
									BgL_typez00_bglt BgL_arg2290z00_1878;

									BgL_arg2288z00_1877 =
										(((BgL_nodez00_bglt) CREF(
												(((BgL_setqz00_bglt) CREF(BgL_nodez00_1865))->
													BgL_valuez00)))->BgL_typez00);
									BgL_arg2290z00_1878 =
										(((BgL_variablez00_bglt)
											CREF(((BgL_variablez00_bglt) ((BgL_globalz00_bglt) ((
																(BgL_varz00_bglt) CREF(BgL_i1131z00_1869))->
															BgL_variablez00)))))->BgL_typez00);
									BgL_tz00_1871 =
										BGl_strictzd2nodezd2typez00zzast_nodez00
										(BgL_arg2288z00_1877, BgL_arg2290z00_1878);
								}
								{	/* Trace/walk.scm 479 */
									BgL_letzd2varzd2_bglt BgL_tracez00_1872;

									{	/* Trace/walk.scm 480 */
										BgL_nodez00_bglt BgL_arg2284z00_1873;
										obj_t BgL_arg2285z00_1874;
										obj_t BgL_arg2286z00_1875;

										BgL_arg2284z00_1873 =
											(((BgL_setqz00_bglt) CREF(BgL_nodez00_1865))->
											BgL_valuez00);
										{	/* Trace/walk.scm 480 */
											BgL_variablez00_bglt BgL_arg2287z00_1876;

											BgL_arg2287z00_1876 =
												(((BgL_varz00_bglt) CREF(BgL_i1131z00_1869))->
												BgL_variablez00);
											BgL_arg2285z00_1874 =
												BGl_tracezd2idzd2zztrace_walkz00(((obj_t)
													BgL_arg2287z00_1876));
										}
										BgL_arg2286z00_1875 =
											(((BgL_nodez00_bglt) CREF(
													((BgL_nodez00_bglt) BgL_nodez00_1865)))->BgL_locz00);
										BgL_tracez00_1872 =
											BGl_makezd2tracedzd2nodez00zztrace_walkz00
											(BgL_arg2284z00_1873, BgL_tz00_1871, BgL_arg2285z00_1874,
											BgL_arg2286z00_1875, BNIL);
									}
									{	/* Trace/walk.scm 480 */

										((((BgL_setqz00_bglt) CREF(BgL_nodez00_1865))->
												BgL_valuez00) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt)
													BgL_tracez00_1872)), BUNSPEC);
									}
								}
							}
						else
							{	/* Trace/walk.scm 474 */
								BFALSE;
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1865);
			}
		}
	}



/* &toplevel-trace-node-2001 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd22001zb0zztrace_walkz00(obj_t
		BgL_envz00_3210, obj_t BgL_nodez00_3211)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 457 */
			{
				BgL_syncz00_bglt BgL_nodez00_1856;

				BgL_nodez00_1856 = ((BgL_syncz00_bglt) BgL_nodez00_3211);
				((((BgL_syncz00_bglt) CREF(BgL_nodez00_1856))->BgL_mutexz00) =
					((BgL_nodez00_bglt)
						BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
									CREF(BgL_nodez00_1856))->BgL_mutexz00))), BUNSPEC);
				((((BgL_syncz00_bglt) CREF(BgL_nodez00_1856))->BgL_prelockz00) =
					((BgL_nodez00_bglt)
						BGl_toplevelzd2tracezd2nodez00zztrace_walkz00((((BgL_syncz00_bglt)
									CREF(BgL_nodez00_1856))->BgL_prelockz00))), BUNSPEC);
				BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00((((BgL_syncz00_bglt)
							CREF(BgL_nodez00_1856))->BgL_nodesz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1856);
			}
		}
	}



/* &toplevel-trace-node-1999 */
	BgL_nodez00_bglt BGl_z62toplevelzd2tracezd2nodezd21999zb0zztrace_walkz00(obj_t
		BgL_envz00_3212, obj_t BgL_nodez00_3213)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 450 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1851;

				BgL_nodez00_1851 = ((BgL_sequencez00_bglt) BgL_nodez00_3213);
				BGl_toplevelzd2tracezd2nodeza2z12zb0zztrace_walkz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1851))->BgL_nodesz00));
				return ((BgL_nodez00_bglt) BgL_nodez00_1851);
			}
		}
	}



/* &trace-node-box-set!1995 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2boxzd2setz121995za2zztrace_walkz00(obj_t
		BgL_envz00_3214, obj_t BgL_nodez00_3215, obj_t BgL_stackz00_3216)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 427 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_1843;
				obj_t BgL_stackz00_1844;

				BgL_nodez00_1843 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3215);
				BgL_stackz00_1844 = BgL_stackz00_3216;
				{
					BgL_varz00_bglt BgL_auxz00_3874;

					{	/* Trace/walk.scm 429 */
						BgL_varz00_bglt BgL_arg2275z00_1848;

						BgL_arg2275z00_1848 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1843))->BgL_varz00);
						BgL_auxz00_3874 =
							((BgL_varz00_bglt)
							BGl_tracezd2nodezd2zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg2275z00_1848), BgL_stackz00_1844));
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1843))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_3874), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3880;

					{	/* Trace/walk.scm 430 */
						BgL_nodez00_bglt BgL_arg2276z00_1849;

						BgL_arg2276z00_1849 =
							(((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1843))->
							BgL_valuez00);
						BgL_auxz00_3880 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2276z00_1849,
							BgL_stackz00_1844);
					}
					((((BgL_boxzd2setz12zc0_bglt) CREF(BgL_nodez00_1843))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3880), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1843);
			}
		}
	}



/* &trace-node-box-ref1993 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2boxzd2ref1993zb0zztrace_walkz00(obj_t
		BgL_envz00_3217, obj_t BgL_nodez00_3218, obj_t BgL_stackz00_3219)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 420 */
			{
				BgL_boxzd2refzd2_bglt BgL_nodez00_1836;
				obj_t BgL_stackz00_1837;

				BgL_nodez00_1836 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3218);
				BgL_stackz00_1837 = BgL_stackz00_3219;
				{	/* Trace/walk.scm 421 */
					BgL_nodez00_bglt BgL_arg2273z00_3072;

					{	/* Trace/walk.scm 421 */
						BgL_varz00_bglt BgL_arg2274z00_3073;

						BgL_arg2274z00_3073 =
							(((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1836))->BgL_varz00);
						BgL_arg2273z00_3072 =
							BGl_tracezd2nodezd2zztrace_walkz00(
							((BgL_nodez00_bglt) BgL_arg2274z00_3073), BgL_stackz00_1837);
					}
					{	/* Trace/walk.scm 421 */
						BgL_varz00_bglt BgL_vz00_3078;

						BgL_vz00_3078 = ((BgL_varz00_bglt) BgL_arg2273z00_3072);
						((((BgL_boxzd2refzd2_bglt) CREF(BgL_nodez00_1836))->BgL_varz00) =
							((BgL_varz00_bglt) BgL_vz00_3078), BUNSPEC);
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1836);
			}
		}
	}



/* &trace-node-make-box1991 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2makezd2box1991zb0zztrace_walkz00(obj_t
		BgL_envz00_3220, obj_t BgL_nodez00_3221, obj_t BgL_stackz00_3222)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 413 */
			{
				BgL_makezd2boxzd2_bglt BgL_nodez00_1829;
				obj_t BgL_stackz00_1830;

				BgL_nodez00_1829 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3221);
				BgL_stackz00_1830 = BgL_stackz00_3222;
				((((BgL_makezd2boxzd2_bglt) CREF(BgL_nodez00_1829))->BgL_valuez00) =
					((BgL_nodez00_bglt)
						BGl_tracezd2nodezd2zztrace_walkz00((((BgL_makezd2boxzd2_bglt)
									CREF(BgL_nodez00_1829))->BgL_valuez00), BgL_stackz00_1830)),
					BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1829);
			}
		}
	}



/* &trace-node-jump-ex-i1989 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2jumpzd2exzd2i1989z62zztrace_walkz00(obj_t
		BgL_envz00_3223, obj_t BgL_nodez00_3224, obj_t BgL_stackz00_3225)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 404 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1821;
				obj_t BgL_stackz00_1822;

				BgL_nodez00_1821 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3224);
				BgL_stackz00_1822 = BgL_stackz00_3225;
				{
					BgL_nodez00_bglt BgL_auxz00_3898;

					{	/* Trace/walk.scm 406 */
						BgL_nodez00_bglt BgL_arg2269z00_1826;

						BgL_arg2269z00_1826 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1821))->
							BgL_exitz00);
						BgL_auxz00_3898 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2269z00_1826,
							BgL_stackz00_1822);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1821))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_3898), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3902;

					{	/* Trace/walk.scm 407 */
						BgL_nodez00_bglt BgL_arg2270z00_1827;

						BgL_arg2270z00_1827 =
							(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1821))->
							BgL_valuez00);
						BgL_auxz00_3902 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2270z00_1827,
							BgL_stackz00_1822);
					}
					((((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1821))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_3902), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1821);
			}
		}
	}



/* &trace-node-set-ex-it1986 */
	BgL_nodez00_bglt
		BGl_z62tracezd2nodezd2setzd2exzd2it1986z62zztrace_walkz00(obj_t
		BgL_envz00_3226, obj_t BgL_nodez00_3227, obj_t BgL_stackz00_3228)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 397 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1814;
				obj_t BgL_stackz00_1815;

				BgL_nodez00_1814 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3227);
				BgL_stackz00_1815 = BgL_stackz00_3228;
				((((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1814))->BgL_bodyz00) =
					((BgL_nodez00_bglt)
						BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setzd2exzd2itz00_bglt)
									CREF(BgL_nodez00_1814))->BgL_bodyz00), BgL_stackz00_1815)),
					BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1814);
			}
		}
	}



/* &trace-node-let-var1984 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2var1984zb0zztrace_walkz00(obj_t
		BgL_envz00_3229, obj_t BgL_nodez00_3230, obj_t BgL_stackz00_3231)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 386 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1797;
				obj_t BgL_stackz00_1798;

				BgL_nodez00_1797 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3230);
				BgL_stackz00_1798 = BgL_stackz00_3231;
				{	/* Trace/walk.scm 388 */
					obj_t BgL_g1922z00_1802;

					BgL_g1922z00_1802 =
						(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1797))->BgL_bindingsz00);
					{
						obj_t BgL_l1920z00_1804;

						BgL_l1920z00_1804 = BgL_g1922z00_1802;
					BgL_zc3anonymousza32261ze3z83_1805:
						if (PAIRP(BgL_l1920z00_1804))
							{	/* Trace/walk.scm 388 */
								{	/* Trace/walk.scm 389 */
									obj_t BgL_bindingz00_1807;

									BgL_bindingz00_1807 = CAR(BgL_l1920z00_1804);
									{	/* Trace/walk.scm 389 */
										BgL_nodez00_bglt BgL_arg2263z00_1808;

										{	/* Trace/walk.scm 389 */
											obj_t BgL_arg2264z00_1809;

											BgL_arg2264z00_1809 = CDR(BgL_bindingz00_1807);
											BgL_arg2263z00_1808 =
												BGl_tracezd2nodezd2zztrace_walkz00(
												((BgL_nodez00_bglt) BgL_arg2264z00_1809),
												BgL_stackz00_1798);
										}
										{	/* Trace/walk.scm 389 */
											obj_t BgL_pairz00_3053;
											obj_t BgL_objz00_3054;

											BgL_pairz00_3053 = BgL_bindingz00_1807;
											BgL_objz00_3054 = ((obj_t) BgL_arg2263z00_1808);
											SET_CDR(BgL_pairz00_3053, BgL_objz00_3054);
										}
									}
								}
								{
									obj_t BgL_l1920z00_3922;

									BgL_l1920z00_3922 = CDR(BgL_l1920z00_1804);
									BgL_l1920z00_1804 = BgL_l1920z00_3922;
									goto BgL_zc3anonymousza32261ze3z83_1805;
								}
							}
						else
							{	/* Trace/walk.scm 388 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3924;

					{	/* Trace/walk.scm 391 */
						BgL_nodez00_bglt BgL_arg2266z00_1812;

						BgL_arg2266z00_1812 =
							(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1797))->BgL_bodyz00);
						BgL_auxz00_3924 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2266z00_1812,
							BgL_stackz00_1798);
					}
					((((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1797))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3924), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1797);
			}
		}
	}



/* &trace-node-let-fun1982 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2letzd2fun1982zb0zztrace_walkz00(obj_t
		BgL_envz00_3232, obj_t BgL_nodez00_3233, obj_t BgL_stackz00_3234)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 377 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1782;
				obj_t BgL_stackz00_1783;

				BgL_nodez00_1782 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3233);
				BgL_stackz00_1783 = BgL_stackz00_3234;
				{	/* Trace/walk.scm 379 */
					obj_t BgL_g1919z00_1787;

					BgL_g1919z00_1787 =
						(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1782))->BgL_localsz00);
					{
						obj_t BgL_l1917z00_1789;

						BgL_l1917z00_1789 = BgL_g1919z00_1787;
					BgL_zc3anonymousza32257ze3z83_1790:
						if (PAIRP(BgL_l1917z00_1789))
							{	/* Trace/walk.scm 379 */
								BGl_tracezd2funz12zc0zztrace_walkz00(CAR(BgL_l1917z00_1789),
									BgL_stackz00_1783);
								{
									obj_t BgL_l1917z00_3935;

									BgL_l1917z00_3935 = CDR(BgL_l1917z00_1789);
									BgL_l1917z00_1789 = BgL_l1917z00_3935;
									goto BgL_zc3anonymousza32257ze3z83_1790;
								}
							}
						else
							{	/* Trace/walk.scm 379 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3937;

					{	/* Trace/walk.scm 380 */
						BgL_nodez00_bglt BgL_arg2260z00_1795;

						BgL_arg2260z00_1795 =
							(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1782))->BgL_bodyz00);
						BgL_auxz00_3937 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2260z00_1795,
							BgL_stackz00_1783);
					}
					((((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1782))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3937), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1782);
			}
		}
	}



/* &trace-node-select1979 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2select1979z62zztrace_walkz00(obj_t
		BgL_envz00_3235, obj_t BgL_nodez00_3236, obj_t BgL_stackz00_3237)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 366 */
			{
				BgL_selectz00_bglt BgL_nodez00_1765;
				obj_t BgL_stackz00_1766;

				BgL_nodez00_1765 = ((BgL_selectz00_bglt) BgL_nodez00_3236);
				BgL_stackz00_1766 = BgL_stackz00_3237;
				{
					BgL_nodez00_bglt BgL_auxz00_3943;

					{	/* Trace/walk.scm 368 */
						BgL_nodez00_bglt BgL_arg2251z00_1770;

						BgL_arg2251z00_1770 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1765))->BgL_testz00);
						BgL_auxz00_3943 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2251z00_1770,
							BgL_stackz00_1766);
					}
					((((BgL_selectz00_bglt) CREF(BgL_nodez00_1765))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3943), BUNSPEC);
				}
				{	/* Trace/walk.scm 369 */
					obj_t BgL_g1916z00_1771;

					BgL_g1916z00_1771 =
						(((BgL_selectz00_bglt) CREF(BgL_nodez00_1765))->BgL_clausesz00);
					{
						obj_t BgL_l1866z00_1773;

						BgL_l1866z00_1773 = BgL_g1916z00_1771;
					BgL_zc3anonymousza32252ze3z83_1774:
						if (PAIRP(BgL_l1866z00_1773))
							{	/* Trace/walk.scm 369 */
								{	/* Trace/walk.scm 370 */
									obj_t BgL_clausez00_1776;

									BgL_clausez00_1776 = CAR(BgL_l1866z00_1773);
									{	/* Trace/walk.scm 370 */
										BgL_nodez00_bglt BgL_arg2254z00_1777;

										{	/* Trace/walk.scm 370 */
											obj_t BgL_arg2255z00_1778;

											BgL_arg2255z00_1778 = CDR(BgL_clausez00_1776);
											BgL_arg2254z00_1777 =
												BGl_tracezd2nodezd2zztrace_walkz00(
												((BgL_nodez00_bglt) BgL_arg2255z00_1778),
												BgL_stackz00_1766);
										}
										{	/* Trace/walk.scm 370 */
											obj_t BgL_pairz00_3042;
											obj_t BgL_objz00_3043;

											BgL_pairz00_3042 = BgL_clausez00_1776;
											BgL_objz00_3043 = ((obj_t) BgL_arg2254z00_1777);
											SET_CDR(BgL_pairz00_3042, BgL_objz00_3043);
										}
									}
								}
								{
									obj_t BgL_l1866z00_3956;

									BgL_l1866z00_3956 = CDR(BgL_l1866z00_1773);
									BgL_l1866z00_1773 = BgL_l1866z00_3956;
									goto BgL_zc3anonymousza32252ze3z83_1774;
								}
							}
						else
							{	/* Trace/walk.scm 369 */
								((bool_t) 1);
							}
					}
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1765);
			}
		}
	}



/* &trace-node-fail1977 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2fail1977z62zztrace_walkz00(obj_t
		BgL_envz00_3238, obj_t BgL_nodez00_3239, obj_t BgL_stackz00_3240)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 356 */
			{
				BgL_failz00_bglt BgL_nodez00_1756;
				obj_t BgL_stackz00_1757;

				BgL_nodez00_1756 = ((BgL_failz00_bglt) BgL_nodez00_3239);
				BgL_stackz00_1757 = BgL_stackz00_3240;
				{
					BgL_nodez00_bglt BgL_auxz00_3960;

					{	/* Trace/walk.scm 358 */
						BgL_nodez00_bglt BgL_arg2248z00_1761;

						BgL_arg2248z00_1761 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1756))->BgL_procz00);
						BgL_auxz00_3960 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2248z00_1761,
							BgL_stackz00_1757);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1756))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3960), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3964;

					{	/* Trace/walk.scm 359 */
						BgL_nodez00_bglt BgL_arg2249z00_1762;

						BgL_arg2249z00_1762 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1756))->BgL_msgz00);
						BgL_auxz00_3964 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2249z00_1762,
							BgL_stackz00_1757);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1756))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3964), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3968;

					{	/* Trace/walk.scm 360 */
						BgL_nodez00_bglt BgL_arg2250z00_1763;

						BgL_arg2250z00_1763 =
							(((BgL_failz00_bglt) CREF(BgL_nodez00_1756))->BgL_objz00);
						BgL_auxz00_3968 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2250z00_1763,
							BgL_stackz00_1757);
					}
					((((BgL_failz00_bglt) CREF(BgL_nodez00_1756))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3968), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1756);
			}
		}
	}



/* &trace-node-condition1975 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2condition1975z62zztrace_walkz00(obj_t
		BgL_envz00_3241, obj_t BgL_nodez00_3242, obj_t BgL_stackz00_3243)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 346 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1747;
				obj_t BgL_stackz00_1748;

				BgL_nodez00_1747 = ((BgL_conditionalz00_bglt) BgL_nodez00_3242);
				BgL_stackz00_1748 = BgL_stackz00_3243;
				{
					BgL_nodez00_bglt BgL_auxz00_3974;

					{	/* Trace/walk.scm 348 */
						BgL_nodez00_bglt BgL_arg2245z00_1752;

						BgL_arg2245z00_1752 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1747))->BgL_testz00);
						BgL_auxz00_3974 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2245z00_1752,
							BgL_stackz00_1748);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1747))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_3974), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3978;

					{	/* Trace/walk.scm 349 */
						BgL_nodez00_bglt BgL_arg2246z00_1753;

						BgL_arg2246z00_1753 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1747))->BgL_truez00);
						BgL_auxz00_3978 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2246z00_1753,
							BgL_stackz00_1748);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1747))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3978), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_3982;

					{	/* Trace/walk.scm 350 */
						BgL_nodez00_bglt BgL_arg2247z00_1754;

						BgL_arg2247z00_1754 =
							(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1747))->
							BgL_falsez00);
						BgL_auxz00_3982 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2247z00_1754,
							BgL_stackz00_1748);
					}
					((((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1747))->BgL_falsez00) =
						((BgL_nodez00_bglt) BgL_auxz00_3982), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1747);
			}
		}
	}



/* &trace-node-setq1973 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2setq1973z62zztrace_walkz00(obj_t
		BgL_envz00_3244, obj_t BgL_nodez00_3245, obj_t BgL_stackz00_3246)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 339 */
			{
				BgL_setqz00_bglt BgL_nodez00_1740;
				obj_t BgL_stackz00_1741;

				BgL_nodez00_1740 = ((BgL_setqz00_bglt) BgL_nodez00_3245);
				BgL_stackz00_1741 = BgL_stackz00_3246;
				((((BgL_setqz00_bglt) CREF(BgL_nodez00_1740))->BgL_valuez00) =
					((BgL_nodez00_bglt)
						BGl_tracezd2nodezd2zztrace_walkz00((((BgL_setqz00_bglt)
									CREF(BgL_nodez00_1740))->BgL_valuez00), BgL_stackz00_1741)),
					BUNSPEC);
				return ((BgL_nodez00_bglt) BgL_nodez00_1740);
			}
		}
	}



/* &trace-node-cast1971 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2cast1971z62zztrace_walkz00(obj_t
		BgL_envz00_3247, obj_t BgL_nodez00_3248, obj_t BgL_stackz00_3249)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 332 */
			{
				BgL_castz00_bglt BgL_nodez00_1734;
				obj_t BgL_stackz00_1735;

				BgL_nodez00_1734 = ((BgL_castz00_bglt) BgL_nodez00_3248);
				BgL_stackz00_1735 = BgL_stackz00_3249;
				BGl_tracezd2nodezd2zztrace_walkz00(
					(((BgL_castz00_bglt) CREF(BgL_nodez00_1734))->BgL_argz00),
					BgL_stackz00_1735);
				return ((BgL_nodez00_bglt) BgL_nodez00_1734);
			}
		}
	}



/* &trace-node-extern1969 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2extern1969z62zztrace_walkz00(obj_t
		BgL_envz00_3250, obj_t BgL_nodez00_3251, obj_t BgL_stackz00_3252)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 325 */
			{
				BgL_externz00_bglt BgL_nodez00_1728;
				obj_t BgL_stackz00_1729;

				BgL_nodez00_1728 = ((BgL_externz00_bglt) BgL_nodez00_3251);
				BgL_stackz00_1729 = BgL_stackz00_3252;
				BGl_tracezd2nodeza2z12z62zztrace_walkz00(
					(((BgL_externz00_bglt) CREF(BgL_nodez00_1728))->BgL_exprza2za2),
					BgL_stackz00_1729);
				return ((BgL_nodez00_bglt) BgL_nodez00_1728);
			}
		}
	}



/* &trace-node-funcall1967 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2funcall1967z62zztrace_walkz00(obj_t
		BgL_envz00_3253, obj_t BgL_nodez00_3254, obj_t BgL_stackz00_3255)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 316 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1720;
				obj_t BgL_stackz00_1721;

				BgL_nodez00_1720 = ((BgL_funcallz00_bglt) BgL_nodez00_3254);
				BgL_stackz00_1721 = BgL_stackz00_3255;
				{
					BgL_nodez00_bglt BgL_auxz00_4001;

					{	/* Trace/walk.scm 318 */
						BgL_nodez00_bglt BgL_arg2238z00_1725;

						BgL_arg2238z00_1725 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1720))->BgL_funz00);
						BgL_auxz00_4001 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2238z00_1725,
							BgL_stackz00_1721);
					}
					((((BgL_funcallz00_bglt) CREF(BgL_nodez00_1720))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4001), BUNSPEC);
				}
				BGl_tracezd2nodeza2z12z62zztrace_walkz00(
					(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1720))->BgL_argsz00),
					BgL_stackz00_1721);
				return ((BgL_nodez00_bglt) BgL_nodez00_1720);
			}
		}
	}



/* &trace-node-app-ly1965 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2appzd2ly1965zb0zztrace_walkz00(obj_t
		BgL_envz00_3256, obj_t BgL_nodez00_3257, obj_t BgL_stackz00_3258)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 307 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1712;
				obj_t BgL_stackz00_1713;

				BgL_nodez00_1712 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3257);
				BgL_stackz00_1713 = BgL_stackz00_3258;
				{
					BgL_nodez00_bglt BgL_auxz00_4009;

					{	/* Trace/walk.scm 309 */
						BgL_nodez00_bglt BgL_arg2235z00_1717;

						BgL_arg2235z00_1717 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1712))->BgL_funz00);
						BgL_auxz00_4009 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2235z00_1717,
							BgL_stackz00_1713);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1712))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4009), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4013;

					{	/* Trace/walk.scm 310 */
						BgL_nodez00_bglt BgL_arg2236z00_1718;

						BgL_arg2236z00_1718 =
							(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1712))->BgL_argz00);
						BgL_auxz00_4013 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2236z00_1718,
							BgL_stackz00_1713);
					}
					((((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1712))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4013), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) BgL_nodez00_1712);
			}
		}
	}



/* &trace-node-app1963 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2app1963z62zztrace_walkz00(obj_t
		BgL_envz00_3259, obj_t BgL_nodez00_3260, obj_t BgL_stackz00_3261)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 300 */
			{
				BgL_appz00_bglt BgL_nodez00_1706;
				obj_t BgL_stackz00_1707;

				BgL_nodez00_1706 = ((BgL_appz00_bglt) BgL_nodez00_3260);
				BgL_stackz00_1707 = BgL_stackz00_3261;
				BGl_tracezd2nodeza2z12z62zztrace_walkz00(
					(((BgL_appz00_bglt) CREF(BgL_nodez00_1706))->BgL_argsz00),
					BgL_stackz00_1707);
				return ((BgL_nodez00_bglt) BgL_nodez00_1706);
			}
		}
	}



/* &trace-node-sync1961 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2sync1961z62zztrace_walkz00(obj_t
		BgL_envz00_3262, obj_t BgL_nodez00_3263, obj_t BgL_stackz00_3264)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 290 */
			{
				BgL_syncz00_bglt BgL_nodez00_1697;
				obj_t BgL_stackz00_1698;

				BgL_nodez00_1697 = ((BgL_syncz00_bglt) BgL_nodez00_3263);
				BgL_stackz00_1698 = BgL_stackz00_3264;
				{
					BgL_nodez00_bglt BgL_auxz00_4023;

					{	/* Trace/walk.scm 292 */
						BgL_nodez00_bglt BgL_arg2229z00_1702;

						BgL_arg2229z00_1702 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1697))->BgL_mutexz00);
						BgL_auxz00_4023 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2229z00_1702,
							BgL_stackz00_1698);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1697))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4023), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_4027;

					{	/* Trace/walk.scm 293 */
						BgL_nodez00_bglt BgL_arg2231z00_1703;

						BgL_arg2231z00_1703 =
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1697))->BgL_prelockz00);
						BgL_auxz00_4027 =
							BGl_tracezd2nodezd2zztrace_walkz00(BgL_arg2231z00_1703,
							BgL_stackz00_1698);
					}
					((((BgL_syncz00_bglt) CREF(BgL_nodez00_1697))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_4027), BUNSPEC);
				}
				BGl_tracezd2nodeza2z12z62zztrace_walkz00(
					(((BgL_syncz00_bglt) CREF(BgL_nodez00_1697))->BgL_nodesz00),
					BgL_stackz00_1698);
				return ((BgL_nodez00_bglt) BgL_nodez00_1697);
			}
		}
	}



/* &trace-node-sequence1958 */
	BgL_nodez00_bglt BGl_z62tracezd2nodezd2sequence1958z62zztrace_walkz00(obj_t
		BgL_envz00_3265, obj_t BgL_nodez00_3266, obj_t BgL_stackz00_3267)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 283 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1691;
				obj_t BgL_stackz00_1692;

				BgL_nodez00_1691 = ((BgL_sequencez00_bglt) BgL_nodez00_3266);
				BgL_stackz00_1692 = BgL_stackz00_3267;
				BGl_tracezd2nodeza2z12z62zztrace_walkz00(
					(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1691))->BgL_nodesz00),
					BgL_stackz00_1692);
				return ((BgL_nodez00_bglt) BgL_nodez00_1691);
			}
		}
	}



/* &find-last-node-jump-1954 */
	obj_t BGl_z62findzd2lastzd2nodezd2jumpzd21954z62zztrace_walkz00(obj_t
		BgL_envz00_3268, obj_t BgL_nodez00_3269)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 240 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1686;

				BgL_nodez00_1686 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3269);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_jumpzd2exzd2itz00_bglt) CREF(BgL_nodez00_1686))->
						BgL_valuez00));
			}
		}
	}



/* &find-last-node-set-e1952 */
	obj_t BGl_z62findzd2lastzd2nodezd2setzd2e1952z62zztrace_walkz00(obj_t
		BgL_envz00_3270, obj_t BgL_nodez00_3271)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 234 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_nodez00_1681;

				BgL_nodez00_1681 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3271);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_setzd2exzd2itz00_bglt) CREF(BgL_nodez00_1681))->BgL_bodyz00));
			}
		}
	}



/* &find-last-node-let-f1950 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2f1950z62zztrace_walkz00(obj_t
		BgL_envz00_3272, obj_t BgL_nodez00_3273)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 228 */
			{
				BgL_letzd2funzd2_bglt BgL_nodez00_1676;

				BgL_nodez00_1676 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_3273);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_letzd2funzd2_bglt) CREF(BgL_nodez00_1676))->BgL_bodyz00));
			}
		}
	}



/* &find-last-node-let-v1947 */
	obj_t BGl_z62findzd2lastzd2nodezd2letzd2v1947z62zztrace_walkz00(obj_t
		BgL_envz00_3274, obj_t BgL_nodez00_3275)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 222 */
			{
				BgL_letzd2varzd2_bglt BgL_nodez00_1671;

				BgL_nodez00_1671 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_3275);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_letzd2varzd2_bglt) CREF(BgL_nodez00_1671))->BgL_bodyz00));
			}
		}
	}



/* &find-last-node-selec1945 */
	obj_t BGl_z62findzd2lastzd2nodezd2selec1945zb0zztrace_walkz00(obj_t
		BgL_envz00_3276, obj_t BgL_nodez00_3277)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 213 */
			{
				BgL_selectz00_bglt BgL_nodez00_1660;

				BgL_nodez00_1660 = ((BgL_selectz00_bglt) BgL_nodez00_3277);
				{	/* Trace/walk.scm 215 */
					bool_t BgL_testz00_4051;

					{	/* Trace/walk.scm 215 */
						obj_t BgL_auxz00_4052;

						BgL_auxz00_4052 =
							(((BgL_selectz00_bglt) CREF(BgL_nodez00_1660))->BgL_clausesz00);
						BgL_testz00_4051 = PAIRP(BgL_auxz00_4052);
					}
					if (BgL_testz00_4051)
						{	/* Trace/walk.scm 216 */
							obj_t BgL_arg2218z00_1665;

							BgL_arg2218z00_1665 =
								CDR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1660))->
										BgL_clausesz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
									BgL_arg2218z00_1665));
						}
					else
						{	/* Trace/walk.scm 215 */
							return
								BGl_findzd2lastzd2sexpz00zztrace_walkz00(
								((obj_t)
									(((BgL_selectz00_bglt) CREF(BgL_nodez00_1660))->
										BgL_testz00)));
						}
				}
			}
		}
	}



/* &find-last-node-fail1942 */
	obj_t BGl_z62findzd2lastzd2nodezd2fail1942zb0zztrace_walkz00(obj_t
		BgL_envz00_3278, obj_t BgL_nodez00_3279)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 207 */
			{
				BgL_failz00_bglt BgL_nodez00_1655;

				BgL_nodez00_1655 = ((BgL_failz00_bglt) BgL_nodez00_3279);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_failz00_bglt) CREF(BgL_nodez00_1655))->BgL_objz00));
			}
		}
	}



/* &find-last-node-condi1940 */
	obj_t BGl_z62findzd2lastzd2nodezd2condi1940zb0zztrace_walkz00(obj_t
		BgL_envz00_3280, obj_t BgL_nodez00_3281)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 201 */
			{
				BgL_conditionalz00_bglt BgL_nodez00_1650;

				BgL_nodez00_1650 = ((BgL_conditionalz00_bglt) BgL_nodez00_3281);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_conditionalz00_bglt) CREF(BgL_nodez00_1650))->BgL_falsez00));
			}
		}
	}



/* &find-last-node-setq1938 */
	obj_t BGl_z62findzd2lastzd2nodezd2setq1938zb0zztrace_walkz00(obj_t
		BgL_envz00_3282, obj_t BgL_nodez00_3283)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 195 */
			{
				BgL_setqz00_bglt BgL_nodez00_1645;

				BgL_nodez00_1645 = ((BgL_setqz00_bglt) BgL_nodez00_3283);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_setqz00_bglt) CREF(BgL_nodez00_1645))->BgL_valuez00));
			}
		}
	}



/* &find-last-node-exter1936 */
	obj_t BGl_z62findzd2lastzd2nodezd2exter1936zb0zztrace_walkz00(obj_t
		BgL_envz00_3284, obj_t BgL_nodez00_3285)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 186 */
			{
				BgL_externz00_bglt BgL_nodez00_1635;

				BgL_nodez00_1635 = ((BgL_externz00_bglt) BgL_nodez00_3285);
				if (NULLP(
						(((BgL_externz00_bglt) CREF(BgL_nodez00_1635))->BgL_exprza2za2)))
					{	/* Trace/walk.scm 188 */
						return ((obj_t) BgL_nodez00_1635);
					}
				else
					{	/* Trace/walk.scm 189 */
						obj_t BgL_arg2209z00_1640;

						BgL_arg2209z00_1640 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_externz00_bglt) CREF(BgL_nodez00_1635))->
									BgL_exprza2za2)));
						return BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
								BgL_arg2209z00_1640));
					}
			}
		}
	}



/* &find-last-node-funca1934 */
	obj_t BGl_z62findzd2lastzd2nodezd2funca1934zb0zztrace_walkz00(obj_t
		BgL_envz00_3286, obj_t BgL_nodez00_3287)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 177 */
			{
				BgL_funcallz00_bglt BgL_nodez00_1624;

				BgL_nodez00_1624 = ((BgL_funcallz00_bglt) BgL_nodez00_3287);
				{	/* Trace/walk.scm 179 */
					bool_t BgL_testz00_4083;

					{	/* Trace/walk.scm 179 */
						obj_t BgL_auxz00_4084;

						BgL_auxz00_4084 =
							(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1624))->BgL_argsz00);
						BgL_testz00_4083 = PAIRP(BgL_auxz00_4084);
					}
					if (BgL_testz00_4083)
						{	/* Trace/walk.scm 180 */
							obj_t BgL_arg2202z00_1629;

							BgL_arg2202z00_1629 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1624))->
										BgL_argsz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
									BgL_arg2202z00_1629));
						}
					else
						{	/* Trace/walk.scm 179 */
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(
								(((BgL_funcallz00_bglt) CREF(BgL_nodez00_1624))->BgL_funz00));
						}
				}
			}
		}
	}



/* &find-last-node-app-l1932 */
	obj_t BGl_z62findzd2lastzd2nodezd2appzd2l1932z62zztrace_walkz00(obj_t
		BgL_envz00_3288, obj_t BgL_nodez00_3289)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 171 */
			{
				BgL_appzd2lyzd2_bglt BgL_nodez00_1619;

				BgL_nodez00_1619 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_3289);
				return
					BGl_findzd2lastzd2nodez00zztrace_walkz00(
					(((BgL_appzd2lyzd2_bglt) CREF(BgL_nodez00_1619))->BgL_argz00));
			}
		}
	}



/* &find-last-node-app1930 */
	obj_t BGl_z62findzd2lastzd2nodezd2app1930zb0zztrace_walkz00(obj_t
		BgL_envz00_3290, obj_t BgL_nodez00_3291)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 162 */
			{
				BgL_appz00_bglt BgL_nodez00_1609;

				BgL_nodez00_1609 = ((BgL_appz00_bglt) BgL_nodez00_3291);
				{	/* Trace/walk.scm 164 */
					bool_t BgL_testz00_4098;

					{	/* Trace/walk.scm 164 */
						obj_t BgL_auxz00_4099;

						BgL_auxz00_4099 =
							(((BgL_appz00_bglt) CREF(BgL_nodez00_1609))->BgL_argsz00);
						BgL_testz00_4098 = PAIRP(BgL_auxz00_4099);
					}
					if (BgL_testz00_4098)
						{	/* Trace/walk.scm 165 */
							obj_t BgL_arg2194z00_1614;

							BgL_arg2194z00_1614 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_appz00_bglt) CREF(BgL_nodez00_1609))->BgL_argsz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(
								((BgL_nodez00_bglt) BgL_arg2194z00_1614));
						}
					else
						{	/* Trace/walk.scm 164 */
							return ((obj_t) BgL_nodez00_1609);
						}
				}
			}
		}
	}



/* &find-last-node-sync1928 */
	obj_t BGl_z62findzd2lastzd2nodezd2sync1928zb0zztrace_walkz00(obj_t
		BgL_envz00_3292, obj_t BgL_nodez00_3293)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 153 */
			{
				BgL_syncz00_bglt BgL_nodez00_1599;

				BgL_nodez00_1599 = ((BgL_syncz00_bglt) BgL_nodez00_3293);
				if (NULLP((((BgL_syncz00_bglt) CREF(BgL_nodez00_1599))->BgL_nodesz00)))
					{	/* Trace/walk.scm 155 */
						return
							((obj_t)
							(((BgL_syncz00_bglt) CREF(BgL_nodez00_1599))->BgL_mutexz00));
					}
				else
					{	/* Trace/walk.scm 156 */
						obj_t BgL_arg2188z00_1604;

						BgL_arg2188z00_1604 =
							CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
								(((BgL_syncz00_bglt) CREF(BgL_nodez00_1599))->BgL_nodesz00)));
						return
							BGl_findzd2lastzd2nodez00zztrace_walkz00(
							((BgL_nodez00_bglt) BgL_arg2188z00_1604));
					}
			}
		}
	}



/* &find-last-node-seque1926 */
	obj_t BGl_z62findzd2lastzd2nodezd2seque1926zb0zztrace_walkz00(obj_t
		BgL_envz00_3294, obj_t BgL_nodez00_3295)
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 144 */
			{
				BgL_sequencez00_bglt BgL_nodez00_1589;

				BgL_nodez00_1589 = ((BgL_sequencez00_bglt) BgL_nodez00_3295);
				{	/* Trace/walk.scm 146 */
					bool_t BgL_testz00_4120;

					{	/* Trace/walk.scm 146 */
						obj_t BgL_auxz00_4121;

						BgL_auxz00_4121 =
							(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1589))->BgL_nodesz00);
						BgL_testz00_4120 = PAIRP(BgL_auxz00_4121);
					}
					if (BgL_testz00_4120)
						{	/* Trace/walk.scm 147 */
							obj_t BgL_arg2182z00_1594;

							BgL_arg2182z00_1594 =
								CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
									(((BgL_sequencez00_bglt) CREF(BgL_nodez00_1589))->
										BgL_nodesz00)));
							return
								BGl_findzd2lastzd2nodez00zztrace_walkz00(((BgL_nodez00_bglt)
									BgL_arg2182z00_1594));
						}
					else
						{	/* Trace/walk.scm 146 */
							return ((obj_t) BgL_nodez00_1589);
						}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zztrace_walkz00()
	{
		AN_OBJECT;
		{	/* Trace/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2525z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2525z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string2525z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2525z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2525z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 70882025),
				BSTRING_TO_STRING(BGl_string2525z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_letz00(((long) 254806301),
				BSTRING_TO_STRING(BGl_string2525z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2525z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string2525z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string2525z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2525z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 57787772),
				BSTRING_TO_STRING(BGl_string2525z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 36886173),
				BSTRING_TO_STRING(BGl_string2525z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string2525z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string2525z00zztrace_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 193314493),
				BSTRING_TO_STRING(BGl_string2525z00zztrace_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2525z00zztrace_walkz00));
		}
	}

#ifdef __cplusplus
}
#endif
