/*===========================================================================*/
/*   (Eval/evaluate.scm)                                                     */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate.scm -indent -o objs/obj_u/Eval/evaluate.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_symbol2646z00zz__evaluatez00 = BUNSPEC;
	static BgL_ev_appz00_bglt
		BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_keyword2696z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2655z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, bool_t);
	extern obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_symbol2658z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2660z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2662z00zz__evaluatez00 = BUNSPEC;
	extern bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
	static obj_t BGl_symbol2664z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2666z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2668z00zz__evaluatez00 = BUNSPEC;
	extern BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t);
	static obj_t BGl_symbol2670z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_symbol2672z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2674z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2676z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2678z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2680z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2682z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2684z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2686z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2688z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_symbol2690z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2692z00zz__evaluatez00 = BUNSPEC;
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_symbol2694z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_symbol2698z00zz__evaluatez00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31319ze3ze1zz__evaluatez00(obj_t);
	extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	extern obj_t bgl_reverse(obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluatez00();
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	extern obj_t BGl_classzd2existszd2zz__objectz00(obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern int BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2initzd2zz__evaluatez00();
	extern bool_t BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, bool_t);
	static obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	extern obj_t BGl_findzd2classzd2fieldz00zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t BGl_ppz00zz__ppz00(obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, bool_t);
	extern obj_t BGl_classzd2fieldzd2mutatorz00zz__objectz00(obj_t);
	extern obj_t make_vector(int, obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluatez00();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static BgL_ev_absz00_bglt BGl_convzd2lambdazd2zz__evaluatez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	extern obj_t string_append(obj_t, obj_t);
	extern obj_t BGl_classzd2fieldzd2accessorz00zz__objectz00(obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	extern obj_t BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_ev_exprz00_bglt);
	extern obj_t BGl_substringz00zz__r4_strings_6_7z00(obj_t, long, long);
	extern obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	extern obj_t BGl_evmodulez00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t);
	extern obj_t BGl_classzd2fieldzd2typez00zz__objectz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_expandz00zz__expandz00(obj_t);
	static obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t,
		obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern bool_t BGl_classzf3zf3zz__objectz00(obj_t);
	extern int bgl_debug();
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	extern obj_t BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00(obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t string_to_symbol(char *);
	static obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluatez00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00();
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	static obj_t BGl_convzd2valszd2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	extern obj_t BGl_getzd2sourcezd2locationz00zz__readerz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_evaluate2z00zz__evaluatez00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	extern obj_t
		BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00(obj_t,
		obj_t, bool_t);
	extern obj_t c_substring(obj_t, long, long);
	extern obj_t BGl_evalzd2findzd2modulez00zz__evmodulez00(obj_t);
	static obj_t BGl_uconvzf2loczf2zz__evaluatez00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_loopz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_evcompilezd2errorzd2zz__evcompilez00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	extern obj_t bstring_to_keyword(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
	static BgL_ev_appz00_bglt
		BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t, BgL_ev_exprz00_bglt,
		obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_convz00zz__evaluatez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string2700z00zz__evaluatez00,
		BgL_bgl_string2700za700za7za7_2701za7, "__evaluate", 10);
	      DEFINE_STRING(BGl_string2645z00zz__evaluatez00,
		BgL_bgl_string2645za700za7za7_2702za7, "", 0);
	      DEFINE_STRING(BGl_string2647z00zz__evaluatez00,
		BgL_bgl_string2647za700za7za7_2703za7, "toplevel", 8);
	      DEFINE_STRING(BGl_string2648z00zz__evaluatez00,
		BgL_bgl_string2648za700za7za7_2704za7, "eval", 4);
	      DEFINE_STRING(BGl_string2649z00zz__evaluatez00,
		BgL_bgl_string2649za700za7za7_2705za7, "bad syntax", 10);
	      DEFINE_STRING(BGl_string2650z00zz__evaluatez00,
		BgL_bgl_string2650za700za7za7_2706za7, "Class \"~a\" has no field \"~a\"",
		28);
	      DEFINE_STRING(BGl_string2651z00zz__evaluatez00,
		BgL_bgl_string2651za700za7za7_2707za7, "Static type not a class", 23);
	      DEFINE_STRING(BGl_string2652z00zz__evaluatez00,
		BgL_bgl_string2652za700za7za7_2708za7, "Variable unbound", 16);
	      DEFINE_STRING(BGl_string2653z00zz__evaluatez00,
		BgL_bgl_string2653za700za7za7_2709za7, "Field read-only", 15);
	      DEFINE_STRING(BGl_string2654z00zz__evaluatez00,
		BgL_bgl_string2654za700za7za7_2710za7, "Illegal form", 12);
	      DEFINE_STRING(BGl_string2656z00zz__evaluatez00,
		BgL_bgl_string2656za700za7za7_2711za7, " ", 1);
	      DEFINE_STRING(BGl_string2657z00zz__evaluatez00,
		BgL_bgl_string2657za700za7za7_2712za7,
		"Illegal non toplevel module declaration", 39);
	      DEFINE_STRING(BGl_string2659z00zz__evaluatez00,
		BgL_bgl_string2659za700za7za7_2713za7, "module", 6);
	      DEFINE_STRING(BGl_string2661z00zz__evaluatez00,
		BgL_bgl_string2661za700za7za7_2714za7, "@", 1);
	      DEFINE_STRING(BGl_string2663z00zz__evaluatez00,
		BgL_bgl_string2663za700za7za7_2715za7, "->", 2);
	      DEFINE_STRING(BGl_string2665z00zz__evaluatez00,
		BgL_bgl_string2665za700za7za7_2716za7, "trap", 4);
	      DEFINE_STRING(BGl_string2667z00zz__evaluatez00,
		BgL_bgl_string2667za700za7za7_2717za7, "quote", 5);
	      DEFINE_STRING(BGl_string2669z00zz__evaluatez00,
		BgL_bgl_string2669za700za7za7_2718za7, "if", 2);
	      DEFINE_STRING(BGl_string2671z00zz__evaluatez00,
		BgL_bgl_string2671za700za7za7_2719za7, "or", 2);
	      DEFINE_STRING(BGl_string2673z00zz__evaluatez00,
		BgL_bgl_string2673za700za7za7_2720za7, "and", 3);
	      DEFINE_STRING(BGl_string2675z00zz__evaluatez00,
		BgL_bgl_string2675za700za7za7_2721za7, "begin", 5);
	      DEFINE_STRING(BGl_string2677z00zz__evaluatez00,
		BgL_bgl_string2677za700za7za7_2722za7, "let", 3);
	      DEFINE_STRING(BGl_string2679z00zz__evaluatez00,
		BgL_bgl_string2679za700za7za7_2723za7, "let*", 4);
	      DEFINE_STRING(BGl_string2681z00zz__evaluatez00,
		BgL_bgl_string2681za700za7za7_2724za7, "letrec", 6);
	      DEFINE_STRING(BGl_string2683z00zz__evaluatez00,
		BgL_bgl_string2683za700za7za7_2725za7, "set!", 4);
	      DEFINE_STRING(BGl_string2685z00zz__evaluatez00,
		BgL_bgl_string2685za700za7za7_2726za7, "define", 6);
	      DEFINE_STRING(BGl_string2687z00zz__evaluatez00,
		BgL_bgl_string2687za700za7za7_2727za7, "lambda", 6);
	      DEFINE_STRING(BGl_string2689z00zz__evaluatez00,
		BgL_bgl_string2689za700za7za7_2728za7, "bind-exit", 9);
	      DEFINE_STRING(BGl_string2691z00zz__evaluatez00,
		BgL_bgl_string2691za700za7za7_2729za7, "unwind-protect", 14);
	      DEFINE_STRING(BGl_string2693z00zz__evaluatez00,
		BgL_bgl_string2693za700za7za7_2730za7, "with-handler", 12);
	      DEFINE_STRING(BGl_string2695z00zz__evaluatez00,
		BgL_bgl_string2695za700za7za7_2731za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string2697z00zz__evaluatez00,
		BgL_bgl_string2697za700za7za7_2732za7, "prelock", 7);
	      DEFINE_STRING(BGl_string2699z00zz__evaluatez00,
		BgL_bgl_string2699za700za7za7_2733za7, "\\@", 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_setzd2evaluationzd2contextz12zd2envzc0zz__evaluatez00,
		BgL_bgl_za762setza7d2evaluat2734z00,
		BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00, 0L, BUNSPEC, 1);
	extern obj_t BGl_errorzd2envzd2zz__errorz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2evaluationzd2contextzd2envzd2zz__evaluatez00,
		BgL_bgl_za762getza7d2evaluat2735z00,
		BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_evaluate2zd2envzd2zz__evaluatez00,
		BgL_bgl_za762evaluate2za762za72736za7, BGl_z62evaluate2z62zz__evaluatez00,
		0L, BUNSPEC, 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluatez00(long
		BgL_checksumz00_4109, char *BgL_fromz00_4110)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluatez00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluatez00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluatez00();
					BGl_importedzd2moduleszd2initz00zz__evaluatez00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_symbol2646z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2647z00zz__evaluatez00);
			BGl_symbol2655z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2656z00zz__evaluatez00);
			BGl_symbol2658z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2659z00zz__evaluatez00);
			BGl_symbol2660z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2661z00zz__evaluatez00);
			BGl_symbol2662z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2663z00zz__evaluatez00);
			BGl_symbol2664z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2665z00zz__evaluatez00);
			BGl_symbol2666z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2667z00zz__evaluatez00);
			BGl_symbol2668z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2669z00zz__evaluatez00);
			BGl_symbol2670z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2671z00zz__evaluatez00);
			BGl_symbol2672z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2673z00zz__evaluatez00);
			BGl_symbol2674z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2675z00zz__evaluatez00);
			BGl_symbol2676z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2677z00zz__evaluatez00);
			BGl_symbol2678z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2679z00zz__evaluatez00);
			BGl_symbol2680z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2681z00zz__evaluatez00);
			BGl_symbol2682z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2683z00zz__evaluatez00);
			BGl_symbol2684z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2685z00zz__evaluatez00);
			BGl_symbol2686z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2687z00zz__evaluatez00);
			BGl_symbol2688z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2689z00zz__evaluatez00);
			BGl_symbol2690z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2691z00zz__evaluatez00);
			BGl_symbol2692z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2693z00zz__evaluatez00);
			BGl_symbol2694z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2695z00zz__evaluatez00);
			BGl_keyword2696z00zz__evaluatez00 =
				bstring_to_keyword(BGl_string2697z00zz__evaluatez00);
			return (BGl_symbol2698z00zz__evaluatez00 =
				bstring_to_symbol(BGl_string2699z00zz__evaluatez00), BUNSPEC);
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluatez00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_672;

				BgL_headz00_672 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_2235;
					obj_t BgL_tailz00_2236;

					BgL_prevz00_2235 = BgL_headz00_672;
					BgL_tailz00_2236 = BgL_l1z00_1;
				BgL_loopz00_2234:
					if (PAIRP(BgL_tailz00_2236))
						{
							obj_t BgL_newzd2prevzd2_2242;

							BgL_newzd2prevzd2_2242 =
								MAKE_PAIR(CAR(BgL_tailz00_2236), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_2235, BgL_newzd2prevzd2_2242);
							{
								obj_t BgL_tailz00_4146;
								obj_t BgL_prevz00_4145;

								BgL_prevz00_4145 = BgL_newzd2prevzd2_2242;
								BgL_tailz00_4146 = CDR(BgL_tailz00_2236);
								BgL_tailz00_2236 = BgL_tailz00_4146;
								BgL_prevz00_2235 = BgL_prevz00_4145;
								goto BgL_loopz00_2234;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_672);
			}
		}
	}



/* untype-ident */
	obj_t BGl_untypezd2identzd2zz__evaluatez00(obj_t BgL_idz00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 71 */
			{	/* Eval/evaluate.scm 72 */
				obj_t BgL_stringz00_680;

				{	/* Eval/evaluate.scm 72 */
					obj_t BgL_res2351z00_2254;

					{	/* Eval/evaluate.scm 72 */
						obj_t BgL_arg2274z00_2253;

						BgL_arg2274z00_2253 = SYMBOL_TO_STRING(BgL_idz00_3);
						BgL_res2351z00_2254 =
							BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg2274z00_2253);
					}
					BgL_stringz00_680 = BgL_res2351z00_2254;
				}
				{	/* Eval/evaluate.scm 72 */
					long BgL_lenz00_681;

					BgL_lenz00_681 = STRING_LENGTH(BgL_stringz00_680);
					{	/* Eval/evaluate.scm 73 */

						{
							long BgL_walkerz00_683;

							BgL_walkerz00_683 = ((long) 0);
						BgL_zc3anonymousza31265ze3z83_684:
							if ((BgL_walkerz00_683 == BgL_lenz00_681))
								{	/* Eval/evaluate.scm 76 */
									return MAKE_PAIR(BgL_idz00_3, BFALSE);
								}
							else
								{	/* Eval/evaluate.scm 78 */
									bool_t BgL_testz00_4155;

									if (
										(STRING_REF(BgL_stringz00_680,
												BgL_walkerz00_683) == ((unsigned char) ':')))
										{	/* Eval/evaluate.scm 78 */
											if ((BgL_walkerz00_683 < (BgL_lenz00_681 - ((long) 1))))
												{	/* Eval/evaluate.scm 79 */
													BgL_testz00_4155 =
														(STRING_REF(BgL_stringz00_680,
															(BgL_walkerz00_683 + ((long) 1))) ==
														((unsigned char) ':'));
												}
											else
												{	/* Eval/evaluate.scm 79 */
													BgL_testz00_4155 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate.scm 78 */
											BgL_testz00_4155 = ((bool_t) 0);
										}
									if (BgL_testz00_4155)
										{	/* Eval/evaluate.scm 81 */
											obj_t BgL_arg1273z00_687;
											obj_t BgL_arg1274z00_688;

											{	/* Eval/evaluate.scm 81 */
												obj_t BgL_arg1277z00_689;

												BgL_arg1277z00_689 =
													c_substring(BgL_stringz00_680, ((long) 0),
													BgL_walkerz00_683);
												BgL_arg1273z00_687 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_arg1277z00_689));
											}
											{	/* Eval/evaluate.scm 82 */
												obj_t BgL_arg1279z00_690;

												{	/* Eval/evaluate.scm 82 */
													long BgL_arg1280z00_691;

													BgL_arg1280z00_691 = (BgL_walkerz00_683 + ((long) 2));
													{	/* Ieee/string.scm 179 */
														long BgL_endz00_694;

														BgL_endz00_694 = STRING_LENGTH(BgL_stringz00_680);
														{	/* Ieee/string.scm 179 */

															BgL_arg1279z00_690 =
																BGl_substringz00zz__r4_strings_6_7z00
																(BgL_stringz00_680, BgL_arg1280z00_691,
																BgL_endz00_694);
												}}}
												BgL_arg1274z00_688 =
													string_to_symbol(BSTRING_TO_STRING
													(BgL_arg1279z00_690));
											}
											return MAKE_PAIR(BgL_arg1273z00_687, BgL_arg1274z00_688);
										}
									else
										{
											long BgL_walkerz00_4174;

											BgL_walkerz00_4174 = (BgL_walkerz00_683 + ((long) 1));
											BgL_walkerz00_683 = BgL_walkerz00_4174;
											goto BgL_zc3anonymousza31265ze3z83_684;
										}
								}
						}
					}
				}
			}
		}
	}



/* get-evaluation-context */
	BGL_EXPORTED_DEF obj_t BGl_getzd2evaluationzd2contextz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 89 */
			{	/* Eval/evaluate.scm 90 */
				obj_t BgL_sz00_703;

				BgL_sz00_703 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 91 */
					obj_t BgL_bpz00_704;

					BgL_bpz00_704 = VECTOR_REF(BgL_sz00_703, (int) (((long) 0)));
					{	/* Eval/evaluate.scm 92 */
						obj_t BgL_rz00_705;

						BgL_rz00_705 =
							make_vector(CINT(BgL_bpz00_704),
							BGl_string2645z00zz__evaluatez00);
						{
							long BgL_iz00_2311;

							BgL_iz00_2311 = ((long) 0);
						BgL_recz00_2310:
							if ((BgL_iz00_2311 < (long) CINT(BgL_bpz00_704)))
								{	/* Eval/evaluate.scm 94 */
									VECTOR_SET(BgL_rz00_705,
										(int) (BgL_iz00_2311),
										VECTOR_REF(BgL_sz00_703, (int) (BgL_iz00_2311)));
									{
										long BgL_iz00_4188;

										BgL_iz00_4188 = (BgL_iz00_2311 + ((long) 1));
										BgL_iz00_2311 = BgL_iz00_4188;
										goto BgL_recz00_2310;
									}
								}
							else
								{	/* Eval/evaluate.scm 94 */
									((bool_t) 0);
								}
						}
						return BgL_rz00_705;
					}
				}
			}
		}
	}



/* &get-evaluation-context */
	obj_t BGl_z62getzd2evaluationzd2contextz62zz__evaluatez00(obj_t
		BgL_envz00_4057)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 89 */
			return BGl_getzd2evaluationzd2contextz00zz__evaluatez00();
		}
	}



/* set-evaluation-context! */
	BGL_EXPORTED_DEF obj_t
		BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(obj_t BgL_vz00_4)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 102 */
			{	/* Eval/evaluate.scm 103 */
				obj_t BgL_sz00_713;

				BgL_sz00_713 = BGl_findzd2statezd2zz__evaluate_compz00();
				{	/* Eval/evaluate.scm 104 */
					obj_t BgL_bpz00_714;

					BgL_bpz00_714 = VECTOR_REF(BgL_vz00_4, (int) (((long) 0)));
					{
						long BgL_iz00_2340;

						{	/* Eval/evaluate.scm 105 */
							bool_t BgL_auxz00_4194;

							BgL_iz00_2340 = ((long) 0);
						BgL_recz00_2339:
							if ((BgL_iz00_2340 < (long) CINT(BgL_bpz00_714)))
								{	/* Eval/evaluate.scm 106 */
									VECTOR_SET(BgL_sz00_713,
										(int) (BgL_iz00_2340),
										VECTOR_REF(BgL_vz00_4, (int) (BgL_iz00_2340)));
									{
										long BgL_iz00_4202;

										BgL_iz00_4202 = (BgL_iz00_2340 + ((long) 1));
										BgL_iz00_2340 = BgL_iz00_4202;
										goto BgL_recz00_2339;
									}
								}
							else
								{	/* Eval/evaluate.scm 106 */
									BgL_auxz00_4194 = ((bool_t) 0);
								}
							return BBOOL(BgL_auxz00_4194);
						}
					}
				}
			}
		}
	}



/* &set-evaluation-context! */
	obj_t BGl_z62setzd2evaluationzd2contextz12z70zz__evaluatez00(obj_t
		BgL_envz00_4058, obj_t BgL_vz00_4059)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 102 */
			return BGl_setzd2evaluationzd2contextz12z12zz__evaluatez00(BgL_vz00_4059);
		}
	}



/* evaluate2 */
	BGL_EXPORTED_DEF obj_t BGl_evaluate2z00zz__evaluatez00(obj_t BgL_sexpz00_5,
		obj_t BgL_envz00_6, obj_t BgL_locz00_7)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 113 */
			{	/* Eval/evaluate.scm 114 */
				BgL_ev_exprz00_bglt BgL_astz00_722;

				{	/* Eval/evaluate.scm 114 */
					obj_t BgL_arg1320z00_736;

					BgL_arg1320z00_736 =
						BGl_convz00zz__evaluatez00(BgL_sexpz00_5, BNIL, BgL_envz00_6,
						BFALSE, BGl_symbol2646z00zz__evaluatez00, BgL_locz00_7,
						((bool_t) 1));
					BgL_astz00_722 =
						BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(((BgL_ev_exprz00_bglt)
							BgL_arg1320z00_736));
				}
				{	/* Eval/evaluate.scm 115 */
					bool_t BgL_testz00_4209;

					{	/* Eval/evaluate.scm 115 */
						int BgL_arg1318z00_726;

						BgL_arg1318z00_726 = bgl_debug();
						BgL_testz00_4209 =
							BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg1318z00_726),
							BINT(((long) 10)));
					}
					if (BgL_testz00_4209)
						{	/* Eval/evaluate.scm 115 */
							BGl_ppz00zz__ppz00(BGl_uncompilez00zz__evaluate_uncompz00
								(BgL_astz00_722), BNIL);
						}
					else
						{	/* Eval/evaluate.scm 115 */
							BFALSE;
						}
				}
				BGl_analysezd2varszd2zz__evaluate_avarz00(BgL_astz00_722);
				{	/* Eval/evaluate.scm 117 */
					int BgL_nz00_727;

					BgL_nz00_727 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_astz00_722);
					{	/* Eval/evaluate.scm 118 */
						obj_t BgL_fz00_728;

						BgL_fz00_728 = BGl_compilez00zz__evaluate_compz00(BgL_astz00_722);
						{	/* Eval/evaluate.scm 119 */
							obj_t BgL_sz00_729;

							BgL_sz00_729 = BGl_findzd2statezd2zz__evaluate_compz00();
							{	/* Eval/evaluate.scm 120 */
								obj_t BgL_bpz00_730;

								BgL_bpz00_730 = VECTOR_REF(BgL_sz00_729, (int) (((long) 0)));
								{	/* Eval/evaluate.scm 121 */
									obj_t BgL_exitd1064z00_731;

									BgL_exitd1064z00_731 = BGL_EXITD_TOP_AS_OBJ();
									{	/* Eval/evaluate.scm 123 */
										obj_t BgL_zc3anonymousza31319ze3z83_4060;

										BgL_zc3anonymousza31319ze3z83_4060 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza31319ze3ze1zz__evaluatez00,
											(int) (((long) 0)), (int) (((long) 2)));
										PROCEDURE_SET(BgL_zc3anonymousza31319ze3z83_4060,
											(int) (((long) 0)), BgL_sz00_729);
										PROCEDURE_SET(BgL_zc3anonymousza31319ze3z83_4060,
											(int) (((long) 1)), BgL_bpz00_730);
										BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
											(BgL_exitd1064z00_731,
											BgL_zc3anonymousza31319ze3z83_4060);
										{	/* Eval/evaluate.scm 122 */
											obj_t BgL_tmp1066z00_733;

											BgL_tmp1066z00_733 =
												PROCEDURE_ENTRY(BgL_fz00_728) (BgL_fz00_728,
												BgL_sz00_729, BEOA);
											BGl_exitdzd2popzd2protectz12z12zz__bexitz00
												(BgL_exitd1064z00_731);
											VECTOR_SET(BgL_sz00_729, (int) (((long) 0)),
												BgL_bpz00_730);
											return BgL_tmp1066z00_733;
										}
									}
								}
							}
						}
					}
				}
			}
		}
	}



/* &evaluate2 */
	obj_t BGl_z62evaluate2z62zz__evaluatez00(obj_t BgL_envz00_4061,
		obj_t BgL_sexpz00_4062, obj_t BgL_envz00_4063, obj_t BgL_locz00_4064)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 113 */
			return
				BGl_evaluate2z00zz__evaluatez00(BgL_sexpz00_4062, BgL_envz00_4063,
				BgL_locz00_4064);
		}
	}



/* &<anonymous:1319> */
	obj_t BGl_z62zc3anonymousza31319ze3ze1zz__evaluatez00(obj_t BgL_envz00_4065)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 121 */
			{	/* Eval/evaluate.scm 123 */
				obj_t BgL_sz00_4066;
				obj_t BgL_bpz00_4067;

				BgL_sz00_4066 = PROCEDURE_REF(BgL_envz00_4065, (int) (((long) 0)));
				BgL_bpz00_4067 = PROCEDURE_REF(BgL_envz00_4065, (int) (((long) 1)));
				{

					return VECTOR_SET(BgL_sz00_4066, (int) (((long) 0)), BgL_bpz00_4067);
		}}}
	}



/* get-location */
	obj_t BGl_getzd2locationzd2zz__evaluatez00(obj_t BgL_expz00_8,
		obj_t BgL_locz00_9)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 128 */
			{	/* Eval/evaluate.scm 129 */
				obj_t BgL__ortest_1067z00_2366;

				BgL__ortest_1067z00_2366 =
					BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_expz00_8);
				if (CBOOL(BgL__ortest_1067z00_2366))
					{	/* Eval/evaluate.scm 129 */
						return BgL__ortest_1067z00_2366;
					}
				else
					{	/* Eval/evaluate.scm 129 */
						return BgL_locz00_9;
					}
			}
		}
	}



/* conv-var */
	obj_t BGl_convzd2varzd2zz__evaluatez00(obj_t BgL_vz00_16,
		obj_t BgL_localsz00_17)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 148 */
			{
				obj_t BgL_lz00_741;

				BgL_lz00_741 = BgL_localsz00_17;
			BgL_zc3anonymousza31321ze3z83_742:
				if (NULLP(BgL_lz00_741))
					{	/* Eval/evaluate.scm 150 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate.scm 152 */
						obj_t BgL_rvz00_744;

						BgL_rvz00_744 = CAR(BgL_lz00_741);
						if (
							(BgL_vz00_16 ==
								(((BgL_ev_varz00_bglt) CREF(
											((BgL_ev_varz00_bglt) BgL_rvz00_744)))->BgL_namez00)))
							{	/* Eval/evaluate.scm 154 */
								return BgL_rvz00_744;
							}
						else
							{
								obj_t BgL_lz00_4255;

								BgL_lz00_4255 = CDR(BgL_lz00_741);
								BgL_lz00_741 = BgL_lz00_4255;
								goto BgL_zc3anonymousza31321ze3z83_742;
							}
					}
			}
		}
	}



/* conv-begin */
	obj_t BGl_convzd2beginzd2zz__evaluatez00(obj_t BgL_lz00_18,
		obj_t BgL_localsz00_19, obj_t BgL_globalsz00_20, obj_t BgL_tailzf3zf3_21,
		obj_t BgL_wherez00_22, obj_t BgL_locz00_23, bool_t BgL_topzf3zf3_24)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 161 */
			{	/* Eval/evaluate.scm 162 */
				obj_t BgL_locz00_750;

				{	/* Eval/evaluate.scm 129 */
					obj_t BgL__ortest_1067z00_2375;

					BgL__ortest_1067z00_2375 =
						BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_lz00_18);
					if (CBOOL(BgL__ortest_1067z00_2375))
						{	/* Eval/evaluate.scm 129 */
							BgL_locz00_750 = BgL__ortest_1067z00_2375;
						}
					else
						{	/* Eval/evaluate.scm 129 */
							BgL_locz00_750 = BgL_locz00_23;
						}
				}
				{
					obj_t BgL_e1z00_754;
					obj_t BgL_rz00_755;

					if (NULLP(BgL_lz00_18))
						{
							BgL_ev_littz00_bglt BgL_auxz00_4262;

							{	/* Eval/evaluate.scm 165 */
								BgL_ev_littz00_bglt BgL_new1072z00_766;

								{	/* Eval/evaluate.scm 165 */
									BgL_ev_littz00_bglt BgL_new1071z00_767;

									BgL_new1071z00_767 =
										((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 165 */
										long BgL_arg1336z00_768;

										{	/* Eval/evaluate.scm 165 */
											long BgL_res2372z00_2377;

											BgL_res2372z00_2377 =
												BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
											BgL_arg1336z00_768 = BgL_res2372z00_2377;
										}
										{	/* Eval/evaluate.scm 165 */
											BgL_objectz00_bglt BgL_objz00_2378;

											BgL_objz00_2378 =
												((BgL_objectz00_bglt) BgL_new1071z00_767);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2378,
												BgL_arg1336z00_768);
									}}
									{	/* Eval/evaluate.scm 165 */
										BgL_objectz00_bglt BgL_auxz00_4267;

										BgL_auxz00_4267 = ((BgL_objectz00_bglt) BgL_new1071z00_767);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_4267, BFALSE);
									}
									BgL_new1072z00_766 = BgL_new1071z00_767;
								}
								((((BgL_ev_littz00_bglt) CREF(BgL_new1072z00_766))->
										BgL_valuez00) = ((obj_t) BUNSPEC), BUNSPEC);
								BgL_auxz00_4262 = BgL_new1072z00_766;
							}
							return ((obj_t) BgL_auxz00_4262);
						}
					else
						{	/* Eval/evaluate.scm 163 */
							if (PAIRP(BgL_lz00_18))
								{	/* Eval/evaluate.scm 163 */
									if (NULLP(CDR(BgL_lz00_18)))
										{	/* Eval/evaluate.scm 163 */
											obj_t BgL_arg1331z00_762;

											BgL_arg1331z00_762 = CAR(BgL_lz00_18);
											{	/* Eval/evaluate.scm 168 */
												obj_t BgL_arg1337z00_2400;

												{	/* Eval/evaluate.scm 129 */
													obj_t BgL__ortest_1067z00_2403;

													BgL__ortest_1067z00_2403 =
														BGl_getzd2sourcezd2locationz00zz__readerz00
														(BgL_arg1331z00_762);
													if (CBOOL(BgL__ortest_1067z00_2403))
														{	/* Eval/evaluate.scm 129 */
															BgL_arg1337z00_2400 = BgL__ortest_1067z00_2403;
														}
													else
														{	/* Eval/evaluate.scm 129 */
															BgL_arg1337z00_2400 = BgL_locz00_750;
														}
												}
												return
													BGl_convz00zz__evaluatez00(BgL_arg1331z00_762,
													BgL_localsz00_19, BgL_globalsz00_20,
													BgL_tailzf3zf3_21, BgL_wherez00_22,
													BgL_arg1337z00_2400, BgL_topzf3zf3_24);
											}
										}
									else
										{	/* Eval/evaluate.scm 163 */
											obj_t BgL_arg1332z00_763;
											obj_t BgL_arg1333z00_764;

											BgL_arg1332z00_763 = CAR(BgL_lz00_18);
											BgL_arg1333z00_764 = CDR(BgL_lz00_18);
											{
												BgL_ev_prog2z00_bglt BgL_auxz00_4284;

												BgL_e1z00_754 = BgL_arg1332z00_763;
												BgL_rz00_755 = BgL_arg1333z00_764;
												{	/* Eval/evaluate.scm 170 */
													BgL_ev_prog2z00_bglt BgL_new1074z00_770;

													{	/* Eval/evaluate.scm 170 */
														BgL_ev_prog2z00_bglt BgL_new1073z00_772;

														BgL_new1073z00_772 =
															((BgL_ev_prog2z00_bglt)
															BREF(GC_MALLOC(sizeof(struct
																		BgL_ev_prog2z00_bgl))));
														{	/* Eval/evaluate.scm 170 */
															long BgL_arg1339z00_773;

															{	/* Eval/evaluate.scm 170 */
																long BgL_res2373z00_2385;

																BgL_res2373z00_2385 =
																	BGL_CLASS_INDEX
																	(BGl_ev_prog2z00zz__evaluate_typesz00);
																BgL_arg1339z00_773 = BgL_res2373z00_2385;
															}
															{	/* Eval/evaluate.scm 170 */
																BgL_objectz00_bglt BgL_objz00_2386;

																BgL_objz00_2386 =
																	((BgL_objectz00_bglt) BgL_new1073z00_772);
																BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2386,
																	BgL_arg1339z00_773);
														}}
														{	/* Eval/evaluate.scm 170 */
															BgL_objectz00_bglt BgL_auxz00_4289;

															BgL_auxz00_4289 =
																((BgL_objectz00_bglt) BgL_new1073z00_772);
															BGL_OBJECT_WIDENING_SET(BgL_auxz00_4289, BFALSE);
														}
														BgL_new1074z00_770 = BgL_new1073z00_772;
													}
													{
														BgL_ev_exprz00_bglt BgL_auxz00_4292;

														{	/* Eval/evaluate.scm 171 */
															obj_t BgL_arg1338z00_771;

															{	/* Eval/evaluate.scm 129 */
																obj_t BgL__ortest_1067z00_2390;

																BgL__ortest_1067z00_2390 =
																	BGl_getzd2sourcezd2locationz00zz__readerz00
																	(BgL_e1z00_754);
																if (CBOOL(BgL__ortest_1067z00_2390))
																	{	/* Eval/evaluate.scm 129 */
																		BgL_arg1338z00_771 =
																			BgL__ortest_1067z00_2390;
																	}
																else
																	{	/* Eval/evaluate.scm 129 */
																		BgL_arg1338z00_771 = BgL_locz00_750;
																	}
															}
															BgL_auxz00_4292 =
																((BgL_ev_exprz00_bglt)
																BGl_convz00zz__evaluatez00(BgL_e1z00_754,
																	BgL_localsz00_19, BgL_globalsz00_20, BFALSE,
																	BgL_wherez00_22, BgL_arg1338z00_771,
																	BgL_topzf3zf3_24));
														}
														((((BgL_ev_prog2z00_bglt)
																	CREF(BgL_new1074z00_770))->BgL_e1z00) =
															((BgL_ev_exprz00_bglt) BgL_auxz00_4292), BUNSPEC);
													}
													((((BgL_ev_prog2z00_bglt) CREF(BgL_new1074z00_770))->
															BgL_e2z00) =
														((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
																BGl_convzd2beginzd2zz__evaluatez00(BgL_rz00_755,
																	BgL_localsz00_19, BgL_globalsz00_20,
																	BgL_tailzf3zf3_21, BgL_wherez00_22,
																	BgL_locz00_750, BgL_topzf3zf3_24))), BUNSPEC);
													BgL_auxz00_4284 = BgL_new1074z00_770;
												}
												return ((obj_t) BgL_auxz00_4284);
											}
										}
								}
							else
								{	/* Eval/evaluate.scm 163 */
									return
										BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_750,
										BGl_string2648z00zz__evaluatez00,
										BGl_string2649z00zz__evaluatez00, BgL_lz00_18);
								}
						}
				}
			}
		}
	}



/* conv-field-ref */
	obj_t BGl_convzd2fieldzd2refz00zz__evaluatez00(obj_t BgL_ez00_25,
		obj_t BgL_localsz00_26, obj_t BgL_globalsz00_27, obj_t BgL_tailzf3zf3_28,
		obj_t BgL_wherez00_29, obj_t BgL_locz00_30, bool_t BgL_topzf3zf3_31)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 179 */
			{	/* Eval/evaluate.scm 180 */
				obj_t BgL_lz00_774;

				BgL_lz00_774 = CDR(BgL_ez00_25);
				{	/* Eval/evaluate.scm 180 */
					obj_t BgL_vz00_775;

					BgL_vz00_775 =
						BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_774),
						BgL_localsz00_26);
					{	/* Eval/evaluate.scm 181 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_775,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 183 */
								BgL_ev_varz00_bglt BgL_i1075z00_777;

								BgL_i1075z00_777 = ((BgL_ev_varz00_bglt) BgL_vz00_775);
								{	/* Eval/evaluate.scm 184 */
									obj_t BgL_g1076z00_778;
									obj_t BgL_g1078z00_779;

									BgL_g1076z00_778 =
										BGl_classzd2existszd2zz__objectz00(
										(((BgL_ev_varz00_bglt) CREF(BgL_i1075z00_777))->
											BgL_typez00));
									BgL_g1078z00_779 = CDR(BgL_lz00_774);
									{
										BgL_ev_exprz00_bglt BgL_nodez00_781;
										obj_t BgL_klassz00_782;
										obj_t BgL_fieldsz00_783;

										BgL_nodez00_781 =
											((BgL_ev_exprz00_bglt)
											((BgL_ev_varz00_bglt) BgL_vz00_775));
										BgL_klassz00_782 = BgL_g1076z00_778;
										BgL_fieldsz00_783 = BgL_g1078z00_779;
									BgL_zc3anonymousza31341ze3z83_784:
										if (NULLP(BgL_fieldsz00_783))
											{	/* Eval/evaluate.scm 188 */
												return ((obj_t) BgL_nodez00_781);
											}
										else
											{	/* Eval/evaluate.scm 188 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_782))
													{	/* Eval/evaluate.scm 191 */
														obj_t BgL_fieldz00_787;

														BgL_fieldz00_787 =
															BGl_findzd2classzd2fieldz00zz__objectz00
															(BgL_klassz00_782, CAR(BgL_fieldsz00_783));
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_787))
															{	/* Eval/evaluate.scm 193 */
																BgL_ev_appz00_bglt BgL_nodez00_789;

																BgL_nodez00_789 =
																	BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00
																	(BgL_fieldz00_787, BgL_nodez00_781,
																	BgL_locz00_30, BgL_tailzf3zf3_28);
																{	/* Eval/evaluate.scm 196 */
																	obj_t BgL_arg1345z00_790;
																	obj_t BgL_arg1346z00_791;

																	BgL_arg1345z00_790 =
																		BGl_classzd2fieldzd2typez00zz__objectz00
																		(BgL_fieldz00_787);
																	BgL_arg1346z00_791 = CDR(BgL_fieldsz00_783);
																	{
																		obj_t BgL_fieldsz00_4328;
																		obj_t BgL_klassz00_4327;
																		BgL_ev_exprz00_bglt BgL_nodez00_4325;

																		BgL_nodez00_4325 =
																			((BgL_ev_exprz00_bglt) BgL_nodez00_789);
																		BgL_klassz00_4327 = BgL_arg1345z00_790;
																		BgL_fieldsz00_4328 = BgL_arg1346z00_791;
																		BgL_fieldsz00_783 = BgL_fieldsz00_4328;
																		BgL_klassz00_782 = BgL_klassz00_4327;
																		BgL_nodez00_781 = BgL_nodez00_4325;
																		goto BgL_zc3anonymousza31341ze3z83_784;
																	}
																}
															}
														else
															{	/* Eval/evaluate.scm 198 */
																obj_t BgL_arg1347z00_792;
																obj_t BgL_arg1348z00_793;

																BgL_arg1347z00_792 =
																	(((BgL_ev_varz00_bglt)
																		CREF(BgL_i1075z00_777))->BgL_typez00);
																{	/* Eval/evaluate.scm 199 */
																	obj_t BgL_arg1349z00_794;
																	obj_t BgL_arg1350z00_795;

																	BgL_arg1349z00_794 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1075z00_777))->BgL_typez00);
																	BgL_arg1350z00_795 = CAR(BgL_fieldsz00_783);
																	{	/* Eval/evaluate.scm 199 */
																		obj_t BgL_list1351z00_796;

																		{	/* Eval/evaluate.scm 199 */
																			obj_t BgL_arg1352z00_797;

																			BgL_arg1352z00_797 =
																				MAKE_PAIR(BgL_arg1350z00_795, BNIL);
																			BgL_list1351z00_796 =
																				MAKE_PAIR(BgL_arg1349z00_794,
																				BgL_arg1352z00_797);
																		}
																		BgL_arg1348z00_793 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2650z00zz__evaluatez00,
																			BgL_list1351z00_796);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_30, BgL_arg1347z00_792,
																	BgL_arg1348z00_793, BgL_ez00_25);
															}
													}
												else
													{	/* Eval/evaluate.scm 202 */
														obj_t BgL_arg1356z00_799;

														{	/* Eval/evaluate.scm 202 */
															obj_t BgL__ortest_1079z00_800;

															BgL__ortest_1079z00_800 =
																(((BgL_ev_varz00_bglt) CREF(BgL_i1075z00_777))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1079z00_800))
																{	/* Eval/evaluate.scm 202 */
																	BgL_arg1356z00_799 = BgL__ortest_1079z00_800;
																}
															else
																{	/* Eval/evaluate.scm 202 */
																	BgL_arg1356z00_799 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1075z00_777))->BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_30, BgL_arg1356z00_799,
															BGl_string2651z00zz__evaluatez00, BgL_ez00_25);
													}
											}
									}
								}
							}
						else
							{	/* Eval/evaluate.scm 204 */
								obj_t BgL_arg1358z00_803;

								{	/* Eval/evaluate.scm 204 */
									obj_t BgL_pairz00_2414;

									BgL_pairz00_2414 = BgL_ez00_25;
									BgL_arg1358z00_803 = CAR(CDR(BgL_pairz00_2414));
								}
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_30,
									BgL_arg1358z00_803, BGl_string2652z00zz__evaluatez00,
									BgL_ez00_25);
							}
					}
				}
			}
		}
	}



/* conv-field-set */
	obj_t BGl_convzd2fieldzd2setz00zz__evaluatez00(obj_t BgL_lz00_32,
		obj_t BgL_e2z00_33, obj_t BgL_ez00_34, obj_t BgL_localsz00_35,
		obj_t BgL_globalsz00_36, obj_t BgL_tailzf3zf3_37, obj_t BgL_wherez00_38,
		obj_t BgL_locz00_39, bool_t BgL_topzf3zf3_40)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 209 */
			{	/* Eval/evaluate.scm 210 */
				obj_t BgL_vz00_805;

				BgL_vz00_805 =
					BGl_convzd2varzd2zz__evaluatez00(CAR(BgL_lz00_32), BgL_localsz00_35);
				{	/* Eval/evaluate.scm 210 */
					obj_t BgL_e2z00_806;

					BgL_e2z00_806 =
						BGl_convz00zz__evaluatez00(BgL_e2z00_33, BgL_localsz00_35,
						BgL_globalsz00_36, BFALSE, BgL_wherez00_38, BgL_locz00_39,
						((bool_t) 0));
					{	/* Eval/evaluate.scm 211 */

						if (BGl_isazf3zf3zz__objectz00(BgL_vz00_805,
								BGl_ev_varz00zz__evaluate_typesz00))
							{	/* Eval/evaluate.scm 213 */
								BgL_ev_varz00_bglt BgL_i1080z00_808;

								BgL_i1080z00_808 = ((BgL_ev_varz00_bglt) BgL_vz00_805);
								{	/* Eval/evaluate.scm 214 */
									obj_t BgL_g1081z00_809;
									obj_t BgL_g1082z00_810;

									BgL_g1081z00_809 =
										BGl_classzd2existszd2zz__objectz00(
										(((BgL_ev_varz00_bglt) CREF(BgL_i1080z00_808))->
											BgL_typez00));
									BgL_g1082z00_810 = CDR(BgL_lz00_32);
									{
										BgL_ev_exprz00_bglt BgL_nodez00_812;
										obj_t BgL_klassz00_813;
										obj_t BgL_fieldsz00_814;

										BgL_nodez00_812 =
											((BgL_ev_exprz00_bglt)
											((BgL_ev_varz00_bglt) BgL_vz00_805));
										BgL_klassz00_813 = BgL_g1081z00_809;
										BgL_fieldsz00_814 = BgL_g1082z00_810;
									BgL_zc3anonymousza31364ze3z83_815:
										if (NULLP(BgL_fieldsz00_814))
											{	/* Eval/evaluate.scm 218 */
												return ((obj_t) BgL_nodez00_812);
											}
										else
											{	/* Eval/evaluate.scm 218 */
												if (BGl_classzf3zf3zz__objectz00(BgL_klassz00_813))
													{	/* Eval/evaluate.scm 221 */
														obj_t BgL_fieldz00_818;

														BgL_fieldz00_818 =
															BGl_findzd2classzd2fieldz00zz__objectz00
															(BgL_klassz00_813, CAR(BgL_fieldsz00_814));
														if (BGl_classzd2fieldzf3z21zz__objectz00
															(BgL_fieldz00_818))
															{	/* Eval/evaluate.scm 222 */
																if (NULLP(CDR(BgL_fieldsz00_814)))
																	{	/* Eval/evaluate.scm 223 */
																		if (BGl_classzd2fieldzd2mutablezf3zf3zz__objectz00(BgL_fieldz00_818))
																			{	/* Eval/evaluate.scm 226 */
																				obj_t BgL_arg1370z00_822;

																				{	/* Eval/evaluate.scm 226 */
																					obj_t BgL_list1371z00_823;

																					{	/* Eval/evaluate.scm 226 */
																						obj_t BgL_arg1372z00_824;

																						BgL_arg1372z00_824 =
																							MAKE_PAIR(BgL_e2z00_806, BNIL);
																						BgL_list1371z00_823 =
																							MAKE_PAIR(
																							((obj_t) BgL_nodez00_812),
																							BgL_arg1372z00_824);
																					}
																					BgL_arg1370z00_822 =
																						BgL_list1371z00_823;
																				}
																				return
																					((obj_t)
																					BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00
																					(BgL_fieldz00_818, BgL_arg1370z00_822,
																						BgL_locz00_39, BgL_tailzf3zf3_37));
																			}
																		else
																			{	/* Eval/evaluate.scm 224 */
																				return
																					BGl_evcompilezd2errorzd2zz__evcompilez00
																					(BgL_locz00_39,
																					CAR(BgL_fieldsz00_814),
																					BGl_string2653z00zz__evaluatez00,
																					BgL_ez00_34);
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 230 */
																		BgL_ev_appz00_bglt BgL_nodez00_826;

																		BgL_nodez00_826 =
																			BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00
																			(BgL_fieldz00_818, BgL_nodez00_812,
																			BgL_locz00_39, BgL_tailzf3zf3_37);
																		{	/* Eval/evaluate.scm 233 */
																			obj_t BgL_arg1374z00_827;
																			obj_t BgL_arg1377z00_828;

																			BgL_arg1374z00_827 =
																				BGl_classzd2fieldzd2typez00zz__objectz00
																				(BgL_fieldz00_818);
																			BgL_arg1377z00_828 =
																				CDR(BgL_fieldsz00_814);
																			{
																				obj_t BgL_fieldsz00_4382;
																				obj_t BgL_klassz00_4381;
																				BgL_ev_exprz00_bglt BgL_nodez00_4379;

																				BgL_nodez00_4379 =
																					((BgL_ev_exprz00_bglt)
																					BgL_nodez00_826);
																				BgL_klassz00_4381 = BgL_arg1374z00_827;
																				BgL_fieldsz00_4382 = BgL_arg1377z00_828;
																				BgL_fieldsz00_814 = BgL_fieldsz00_4382;
																				BgL_klassz00_813 = BgL_klassz00_4381;
																				BgL_nodez00_812 = BgL_nodez00_4379;
																				goto BgL_zc3anonymousza31364ze3z83_815;
																			}
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 235 */
																obj_t BgL_arg1379z00_830;
																obj_t BgL_arg1380z00_831;

																BgL_arg1379z00_830 =
																	(((BgL_ev_varz00_bglt)
																		CREF(BgL_i1080z00_808))->BgL_typez00);
																{	/* Eval/evaluate.scm 236 */
																	obj_t BgL_arg1381z00_832;
																	obj_t BgL_arg1382z00_833;

																	BgL_arg1381z00_832 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1080z00_808))->BgL_typez00);
																	BgL_arg1382z00_833 = CAR(BgL_fieldsz00_814);
																	{	/* Eval/evaluate.scm 236 */
																		obj_t BgL_list1383z00_834;

																		{	/* Eval/evaluate.scm 236 */
																			obj_t BgL_arg1384z00_835;

																			BgL_arg1384z00_835 =
																				MAKE_PAIR(BgL_arg1382z00_833, BNIL);
																			BgL_list1383z00_834 =
																				MAKE_PAIR(BgL_arg1381z00_832,
																				BgL_arg1384z00_835);
																		}
																		BgL_arg1380z00_831 =
																			BGl_formatz00zz__r4_output_6_10_3z00
																			(BGl_string2650z00zz__evaluatez00,
																			BgL_list1383z00_834);
																	}
																}
																return
																	BGl_evcompilezd2errorzd2zz__evcompilez00
																	(BgL_locz00_39, BgL_arg1379z00_830,
																	BgL_arg1380z00_831, BgL_ez00_34);
															}
													}
												else
													{	/* Eval/evaluate.scm 240 */
														obj_t BgL_arg1386z00_837;

														{	/* Eval/evaluate.scm 240 */
															obj_t BgL__ortest_1083z00_838;

															BgL__ortest_1083z00_838 =
																(((BgL_ev_varz00_bglt) CREF(BgL_i1080z00_808))->
																BgL_typez00);
															if (CBOOL(BgL__ortest_1083z00_838))
																{	/* Eval/evaluate.scm 240 */
																	BgL_arg1386z00_837 = BgL__ortest_1083z00_838;
																}
															else
																{	/* Eval/evaluate.scm 240 */
																	BgL_arg1386z00_837 =
																		(((BgL_ev_varz00_bglt)
																			CREF(BgL_i1080z00_808))->BgL_namez00);
																}
														}
														return
															BGl_evcompilezd2errorzd2zz__evcompilez00
															(BgL_locz00_39, BgL_arg1386z00_837,
															BGl_string2651z00zz__evaluatez00, BgL_ez00_34);
													}
											}
									}
								}
							}
						else
							{	/* Eval/evaluate.scm 212 */
								return
									BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_39,
									CAR(BgL_lz00_32), BGl_string2652z00zz__evaluatez00,
									BgL_ez00_34);
							}
					}
				}
			}
		}
	}



/* make-class-field-ref */
	BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2refzd2zz__evaluatez00(obj_t
		BgL_fieldz00_41, BgL_ev_exprz00_bglt BgL_argz00_42, obj_t BgL_locz00_43,
		obj_t BgL_tailzf3zf3_44)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 246 */
			{	/* Eval/evaluate.scm 247 */
				obj_t BgL_getz00_843;

				BgL_getz00_843 =
					BGl_classzd2fieldzd2accessorz00zz__objectz00(BgL_fieldz00_41);
				{	/* Eval/evaluate.scm 248 */
					BgL_ev_appz00_bglt BgL_new1085z00_844;

					{	/* Eval/evaluate.scm 248 */
						BgL_ev_appz00_bglt BgL_new1084z00_849;

						BgL_new1084z00_849 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate.scm 248 */
							long BgL_arg1392z00_850;

							{	/* Eval/evaluate.scm 248 */
								long BgL_res2381z00_2433;

								BgL_res2381z00_2433 =
									BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
								BgL_arg1392z00_850 = BgL_res2381z00_2433;
							}
							{	/* Eval/evaluate.scm 248 */
								BgL_objectz00_bglt BgL_objz00_2434;

								BgL_objz00_2434 = ((BgL_objectz00_bglt) BgL_new1084z00_849);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2434, BgL_arg1392z00_850);
						}}
						{	/* Eval/evaluate.scm 248 */
							BgL_objectz00_bglt BgL_auxz00_4404;

							BgL_auxz00_4404 = ((BgL_objectz00_bglt) BgL_new1084z00_849);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4404, BFALSE);
						}
						BgL_new1085z00_844 = BgL_new1084z00_849;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1085z00_844))->BgL_locz00) =
						((obj_t) BgL_locz00_43), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4408;

						{	/* Eval/evaluate.scm 250 */
							BgL_ev_littz00_bglt BgL_new1087z00_845;

							{	/* Eval/evaluate.scm 250 */
								BgL_ev_littz00_bglt BgL_new1086z00_846;

								BgL_new1086z00_846 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate.scm 250 */
									long BgL_arg1390z00_847;

									{	/* Eval/evaluate.scm 250 */
										long BgL_res2382z00_2437;

										{	/* Eval/evaluate.scm 250 */
											obj_t BgL_classz00_2436;

											BgL_classz00_2436 = BGl_ev_littz00zz__evaluate_typesz00;
											BgL_res2382z00_2437 = BGL_CLASS_INDEX(BgL_classz00_2436);
										}
										BgL_arg1390z00_847 = BgL_res2382z00_2437;
									}
									{	/* Eval/evaluate.scm 250 */
										BgL_objectz00_bglt BgL_objz00_2438;

										BgL_objz00_2438 = ((BgL_objectz00_bglt) BgL_new1086z00_846);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2438,
											BgL_arg1390z00_847);
								}}
								{	/* Eval/evaluate.scm 250 */
									BgL_objectz00_bglt BgL_auxz00_4413;

									BgL_auxz00_4413 = ((BgL_objectz00_bglt) BgL_new1086z00_846);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4413, BFALSE);
								}
								BgL_new1087z00_845 = BgL_new1086z00_846;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1087z00_845))->
									BgL_valuez00) = ((obj_t) BgL_getz00_843), BUNSPEC);
							BgL_auxz00_4408 = ((BgL_ev_exprz00_bglt) BgL_new1087z00_845);
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1085z00_844))->BgL_funz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4408), BUNSPEC);
					}
					{
						obj_t BgL_auxz00_4419;

						{	/* Eval/evaluate.scm 251 */
							obj_t BgL_list1391z00_848;

							BgL_list1391z00_848 = MAKE_PAIR(((obj_t) BgL_argz00_42), BNIL);
							BgL_auxz00_4419 = BgL_list1391z00_848;
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1085z00_844))->BgL_argsz00) =
							((obj_t) BgL_auxz00_4419), BUNSPEC);
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1085z00_844))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf3zf3_44), BUNSPEC);
					return BgL_new1085z00_844;
				}
			}
		}
	}



/* make-class-field-set */
	BgL_ev_appz00_bglt BGl_makezd2classzd2fieldzd2setzd2zz__evaluatez00(obj_t
		BgL_fieldz00_45, obj_t BgL_argsz00_46, obj_t BgL_locz00_47,
		obj_t BgL_tailzf3zf3_48)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 257 */
			{	/* Eval/evaluate.scm 258 */
				obj_t BgL_setz00_851;

				BgL_setz00_851 =
					BGl_classzd2fieldzd2mutatorz00zz__objectz00(BgL_fieldz00_45);
				{	/* Eval/evaluate.scm 259 */
					BgL_ev_appz00_bglt BgL_new1089z00_852;

					{	/* Eval/evaluate.scm 259 */
						BgL_ev_appz00_bglt BgL_new1088z00_856;

						BgL_new1088z00_856 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate.scm 259 */
							long BgL_arg1394z00_857;

							{	/* Eval/evaluate.scm 259 */
								long BgL_res2384z00_2443;

								BgL_res2384z00_2443 =
									BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
								BgL_arg1394z00_857 = BgL_res2384z00_2443;
							}
							{	/* Eval/evaluate.scm 259 */
								BgL_objectz00_bglt BgL_objz00_2444;

								BgL_objz00_2444 = ((BgL_objectz00_bglt) BgL_new1088z00_856);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2444, BgL_arg1394z00_857);
						}}
						{	/* Eval/evaluate.scm 259 */
							BgL_objectz00_bglt BgL_auxz00_4429;

							BgL_auxz00_4429 = ((BgL_objectz00_bglt) BgL_new1088z00_856);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4429, BFALSE);
						}
						BgL_new1089z00_852 = BgL_new1088z00_856;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1089z00_852))->BgL_locz00) =
						((obj_t) BgL_locz00_47), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_4433;

						{	/* Eval/evaluate.scm 261 */
							BgL_ev_littz00_bglt BgL_new1091z00_853;

							{	/* Eval/evaluate.scm 261 */
								BgL_ev_littz00_bglt BgL_new1090z00_854;

								BgL_new1090z00_854 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate.scm 261 */
									long BgL_arg1393z00_855;

									{	/* Eval/evaluate.scm 261 */
										long BgL_res2385z00_2447;

										{	/* Eval/evaluate.scm 261 */
											obj_t BgL_classz00_2446;

											BgL_classz00_2446 = BGl_ev_littz00zz__evaluate_typesz00;
											BgL_res2385z00_2447 = BGL_CLASS_INDEX(BgL_classz00_2446);
										}
										BgL_arg1393z00_855 = BgL_res2385z00_2447;
									}
									{	/* Eval/evaluate.scm 261 */
										BgL_objectz00_bglt BgL_objz00_2448;

										BgL_objz00_2448 = ((BgL_objectz00_bglt) BgL_new1090z00_854);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2448,
											BgL_arg1393z00_855);
								}}
								{	/* Eval/evaluate.scm 261 */
									BgL_objectz00_bglt BgL_auxz00_4438;

									BgL_auxz00_4438 = ((BgL_objectz00_bglt) BgL_new1090z00_854);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_4438, BFALSE);
								}
								BgL_new1091z00_853 = BgL_new1090z00_854;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1091z00_853))->
									BgL_valuez00) = ((obj_t) BgL_setz00_851), BUNSPEC);
							BgL_auxz00_4433 = ((BgL_ev_exprz00_bglt) BgL_new1091z00_853);
						}
						((((BgL_ev_appz00_bglt) CREF(BgL_new1089z00_852))->BgL_funz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_4433), BUNSPEC);
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1089z00_852))->BgL_argsz00) =
						((obj_t) BgL_argsz00_46), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1089z00_852))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf3zf3_48), BUNSPEC);
					return BgL_new1089z00_852;
				}
			}
		}
	}



/* conv */
	obj_t BGl_convz00zz__evaluatez00(obj_t BgL_ez00_49, obj_t BgL_localsz00_50,
		obj_t BgL_globalsz00_51, obj_t BgL_tailzf3zf3_52, obj_t BgL_wherez00_53,
		obj_t BgL_locz00_54, bool_t BgL_topzf3zf3_55)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 268 */
		BGl_convz00zz__evaluatez00:
			{
				obj_t BgL_xz00_864;
				obj_t BgL_bahz00_866;
				obj_t BgL_lz00_871;
				obj_t BgL_funz00_873;
				obj_t BgL_argsz00_874;
				obj_t BgL_ez00_876;
				obj_t BgL_pz00_880;
				obj_t BgL_tz00_881;
				obj_t BgL_oz00_882;
				obj_t BgL_pz00_884;
				obj_t BgL_tz00_885;
				obj_t BgL_argsz00_887;
				obj_t BgL_argsz00_889;
				obj_t BgL_bindsz00_893;
				obj_t BgL_bodyz00_894;
				obj_t BgL_bindsz00_896;
				obj_t BgL_bodyz00_897;
				obj_t BgL_bindsz00_899;
				obj_t BgL_bodyz00_900;
				obj_t BgL_lz00_906;
				obj_t BgL_e2z00_907;
				obj_t BgL_vz00_909;
				obj_t BgL_ez00_910;
				obj_t BgL_gvz00_913;
				obj_t BgL_formalsz00_914;
				obj_t BgL_bodyz00_915;
				obj_t BgL_gvz00_917;
				obj_t BgL_gez00_918;
				obj_t BgL_vz00_920;
				obj_t BgL_bodyz00_921;
				obj_t BgL_ez00_923;
				obj_t BgL_bodyz00_924;
				obj_t BgL_hz00_926;
				obj_t BgL_bodyz00_927;
				obj_t BgL_mz00_929;
				obj_t BgL_pz00_930;
				obj_t BgL_bodyz00_931;
				obj_t BgL_mz00_933;
				obj_t BgL_bodyz00_934;
				obj_t BgL_fz00_939;
				obj_t BgL_argsz00_940;

				if (PAIRP(BgL_ez00_49))
					{	/* Eval/evaluate.scm 319 */
						if ((CAR(BgL_ez00_49) == BGl_symbol2658z00zz__evaluatez00))
							{	/* Eval/evaluate.scm 319 */
								BgL_bahz00_866 = CDR(BgL_ez00_49);
								if (BgL_topzf3zf3_55)
									{	/* Eval/evaluate.scm 331 */
										obj_t BgL_formsz00_1632;

										{	/* Eval/evaluate.scm 331 */
											obj_t BgL_arg1982z00_1635;

											{	/* Eval/evaluate.scm 129 */
												obj_t BgL__ortest_1067z00_2526;

												BgL__ortest_1067z00_2526 =
													BGl_getzd2sourcezd2locationz00zz__readerz00
													(BgL_ez00_49);
												if (CBOOL(BgL__ortest_1067z00_2526))
													{	/* Eval/evaluate.scm 129 */
														BgL_arg1982z00_1635 = BgL__ortest_1067z00_2526;
													}
												else
													{	/* Eval/evaluate.scm 129 */
														BgL_arg1982z00_1635 = BgL_locz00_54;
													}
											}
											BgL_formsz00_1632 =
												BGl_evmodulez00zz__evmodulez00(BgL_ez00_49,
												BgL_arg1982z00_1635);
										}
										{	/* Eval/evaluate.scm 332 */
											obj_t BgL_arg1980z00_1633;
											obj_t BgL_arg1981z00_1634;

											BgL_arg1980z00_1633 =
												BGl_expandz00zz__expandz00(BgL_formsz00_1632);
											BgL_arg1981z00_1634 = BGL_MODULE();
											{
												bool_t BgL_topzf3zf3_4462;
												obj_t BgL_wherez00_4461;
												obj_t BgL_tailzf3zf3_4460;
												obj_t BgL_globalsz00_4459;
												obj_t BgL_ez00_4458;

												BgL_ez00_4458 = BgL_arg1980z00_1633;
												BgL_globalsz00_4459 = BgL_arg1981z00_1634;
												BgL_tailzf3zf3_4460 = BgL_wherez00_53;
												BgL_wherez00_4461 = BFALSE;
												BgL_topzf3zf3_4462 = ((bool_t) 1);
												BgL_topzf3zf3_55 = BgL_topzf3zf3_4462;
												BgL_wherez00_53 = BgL_wherez00_4461;
												BgL_tailzf3zf3_52 = BgL_tailzf3zf3_4460;
												BgL_globalsz00_51 = BgL_globalsz00_4459;
												BgL_ez00_49 = BgL_ez00_4458;
												goto BGl_convz00zz__evaluatez00;
											}
										}
									}
								else
									{	/* Eval/evaluate.scm 330 */
										return
											BGl_evcompilezd2errorzd2zz__evcompilez00(BgL_locz00_54,
											BGl_string2648z00zz__evaluatez00,
											BGl_string2657z00zz__evaluatez00, BgL_ez00_49);
									}
							}
						else
							{	/* Eval/evaluate.scm 319 */
								obj_t BgL_cdrzd2231zd2_947;

								BgL_cdrzd2231zd2_947 = CDR(BgL_ez00_49);
								if ((CAR(BgL_ez00_49) == BGl_symbol2660z00zz__evaluatez00))
									{	/* Eval/evaluate.scm 319 */
										if (PAIRP(BgL_cdrzd2231zd2_947))
											{	/* Eval/evaluate.scm 319 */
												obj_t BgL_carzd2234zd2_950;
												obj_t BgL_cdrzd2235zd2_951;

												BgL_carzd2234zd2_950 = CAR(BgL_cdrzd2231zd2_947);
												BgL_cdrzd2235zd2_951 = CDR(BgL_cdrzd2231zd2_947);
												if (SYMBOLP(BgL_carzd2234zd2_950))
													{	/* Eval/evaluate.scm 319 */
														if (PAIRP(BgL_cdrzd2235zd2_951))
															{	/* Eval/evaluate.scm 319 */
																obj_t BgL_carzd2239zd2_954;

																BgL_carzd2239zd2_954 =
																	CAR(BgL_cdrzd2235zd2_951);
																if (SYMBOLP(BgL_carzd2239zd2_954))
																	{	/* Eval/evaluate.scm 319 */
																		if (NULLP(CDR(BgL_cdrzd2235zd2_951)))
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_idz00_3014;
																				obj_t BgL_modnamez00_3015;

																				BgL_idz00_3014 = BgL_carzd2234zd2_950;
																				BgL_modnamez00_3015 =
																					BgL_carzd2239zd2_954;
																				{	/* Eval/evaluate.scm 336 */
																					BgL_ev_globalz00_bglt
																						BgL_new1104z00_3016;
																					{	/* Eval/evaluate.scm 336 */
																						BgL_ev_globalz00_bglt
																							BgL_new1103z00_3017;
																						BgL_new1103z00_3017 =
																							((BgL_ev_globalz00_bglt)
																							BREF(GC_MALLOC(sizeof(struct
																										BgL_ev_globalz00_bgl))));
																						{	/* Eval/evaluate.scm 336 */
																							long BgL_arg1983z00_3018;

																							{	/* Eval/evaluate.scm 336 */
																								long BgL_res2468z00_3020;

																								BgL_res2468z00_3020 =
																									BGL_CLASS_INDEX
																									(BGl_ev_globalz00zz__evaluate_typesz00);
																								BgL_arg1983z00_3018 =
																									BgL_res2468z00_3020;
																							}
																							{	/* Eval/evaluate.scm 336 */
																								BgL_objectz00_bglt
																									BgL_objz00_3021;
																								BgL_objz00_3021 =
																									((BgL_objectz00_bglt)
																									BgL_new1103z00_3017);
																								BGL_OBJECT_CLASS_NUM_SET
																									(BgL_objz00_3021,
																									BgL_arg1983z00_3018);
																						}}
																						{	/* Eval/evaluate.scm 336 */
																							BgL_objectz00_bglt
																								BgL_auxz00_4487;
																							BgL_auxz00_4487 =
																								((BgL_objectz00_bglt)
																								BgL_new1103z00_3017);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_auxz00_4487, BFALSE);
																						}
																						BgL_new1104z00_3016 =
																							BgL_new1103z00_3017;
																					}
																					((((BgL_ev_globalz00_bglt)
																								CREF(BgL_new1104z00_3016))->
																							BgL_locz00) =
																						((obj_t) BgL_locz00_54), BUNSPEC);
																					((((BgL_ev_globalz00_bglt)
																								CREF(BgL_new1104z00_3016))->
																							BgL_namez00) =
																						((obj_t) BgL_idz00_3014), BUNSPEC);
																					((((BgL_ev_globalz00_bglt)
																								CREF(BgL_new1104z00_3016))->
																							BgL_modz00) =
																						((obj_t)
																							BGl_evalzd2findzd2modulez00zz__evmodulez00
																							(BgL_modnamez00_3015)), BUNSPEC);
																					return ((obj_t) BgL_new1104z00_3016);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_carzd2284zd2_957;

																				BgL_carzd2284zd2_957 = CAR(BgL_ez00_49);
																				if (SYMBOLP(BgL_carzd2284zd2_957))
																					{	/* Eval/evaluate.scm 319 */
																						if (CBOOL
																							(BGl_convzd2varzd2zz__evaluatez00
																								(BgL_carzd2284zd2_957,
																									BgL_localsz00_50)))
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_4501;
																								BgL_funz00_873 =
																									BgL_carzd2284zd2_957;
																								BgL_argsz00_874 =
																									BgL_cdrzd2231zd2_947;
																							BgL_tagzd2134zd2_875:
																								{	/* Eval/evaluate.scm 348 */
																									obj_t BgL_funz00_1652;
																									obj_t BgL_argsz00_1653;

																									{	/* Eval/evaluate.scm 280 */
																										obj_t BgL_arg2104z00_2546;

																										{	/* Eval/evaluate.scm 129 */
																											obj_t
																												BgL__ortest_1067z00_2549;
																											BgL__ortest_1067z00_2549 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_funz00_873);
																											if (CBOOL
																												(BgL__ortest_1067z00_2549))
																												{	/* Eval/evaluate.scm 129 */
																													BgL_arg2104z00_2546 =
																														BgL__ortest_1067z00_2549;
																												}
																											else
																												{	/* Eval/evaluate.scm 129 */
																													BgL_arg2104z00_2546 =
																														BgL_locz00_54;
																												}
																										}
																										BgL_funz00_1652 =
																											BGl_convz00zz__evaluatez00
																											(BgL_funz00_873,
																											BgL_localsz00_50,
																											BgL_globalsz00_51, BFALSE,
																											BgL_wherez00_53,
																											BgL_arg2104z00_2546,
																											((bool_t) 0));
																									}
																									BgL_argsz00_1653 =
																										BGl_loopz00zz__evaluatez00
																										(BgL_wherez00_53,
																										BgL_globalsz00_51,
																										BgL_localsz00_50,
																										BgL_locz00_54,
																										BgL_argsz00_874);
																									{	/* Eval/evaluate.scm 349 */
																										BgL_ev_appz00_bglt
																											BgL_new1107z00_1654;
																										{	/* Eval/evaluate.scm 349 */
																											BgL_ev_appz00_bglt
																												BgL_new1106z00_1655;
																											BgL_new1106z00_1655 =
																												((BgL_ev_appz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 349 */
																												long
																													BgL_arg1993z00_1656;
																												{	/* Eval/evaluate.scm 349 */
																													long
																														BgL_res2407z00_2553;
																													BgL_res2407z00_2553 =
																														BGL_CLASS_INDEX
																														(BGl_ev_appz00zz__evaluate_typesz00);
																													BgL_arg1993z00_1656 =
																														BgL_res2407z00_2553;
																												}
																												{	/* Eval/evaluate.scm 349 */
																													BgL_objectz00_bglt
																														BgL_objz00_2554;
																													BgL_objz00_2554 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1106z00_1655);
																													BGL_OBJECT_CLASS_NUM_SET
																														(BgL_objz00_2554,
																														BgL_arg1993z00_1656);
																											}}
																											{	/* Eval/evaluate.scm 349 */
																												BgL_objectz00_bglt
																													BgL_auxz00_4511;
																												BgL_auxz00_4511 =
																													((BgL_objectz00_bglt)
																													BgL_new1106z00_1655);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_4511,
																													BFALSE);
																											}
																											BgL_new1107z00_1654 =
																												BgL_new1106z00_1655;
																										}
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1107z00_1654))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_54),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1107z00_1654))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_1652)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1107z00_1654))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_1653),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1107z00_1654))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_52),
																											BUNSPEC);
																										BgL_auxz00_4501 =
																											BgL_new1107z00_1654;
																								}}
																								return
																									((obj_t) BgL_auxz00_4501);
																							}
																						else
																							{
																								BgL_ev_appz00_bglt
																									BgL_auxz00_4520;
																								BgL_fz00_939 =
																									BgL_carzd2284zd2_957;
																								BgL_argsz00_940 =
																									BgL_cdrzd2231zd2_947;
																							BgL_tagzd2157zd2_941:
																								{	/* Eval/evaluate.scm 488 */
																									obj_t BgL_funz00_1865;
																									obj_t BgL_argsz00_1866;

																									{	/* Eval/evaluate.scm 280 */
																										obj_t BgL_arg2104z00_2984;

																										{	/* Eval/evaluate.scm 129 */
																											obj_t
																												BgL__ortest_1067z00_2987;
																											BgL__ortest_1067z00_2987 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_fz00_939);
																											if (CBOOL
																												(BgL__ortest_1067z00_2987))
																												{	/* Eval/evaluate.scm 129 */
																													BgL_arg2104z00_2984 =
																														BgL__ortest_1067z00_2987;
																												}
																											else
																												{	/* Eval/evaluate.scm 129 */
																													BgL_arg2104z00_2984 =
																														BgL_locz00_54;
																												}
																										}
																										BgL_funz00_1865 =
																											BGl_convz00zz__evaluatez00
																											(BgL_fz00_939,
																											BgL_localsz00_50,
																											BgL_globalsz00_51, BFALSE,
																											BgL_wherez00_53,
																											BgL_arg2104z00_2984,
																											((bool_t) 0));
																									}
																									BgL_argsz00_1866 =
																										BGl_loopz00zz__evaluatez00
																										(BgL_wherez00_53,
																										BgL_globalsz00_51,
																										BgL_localsz00_50,
																										BgL_locz00_54,
																										BgL_argsz00_940);
																									{	/* Eval/evaluate.scm 489 */
																										BgL_ev_appz00_bglt
																											BgL_new1158z00_1867;
																										{	/* Eval/evaluate.scm 489 */
																											BgL_ev_appz00_bglt
																												BgL_new1157z00_1868;
																											BgL_new1157z00_1868 =
																												((BgL_ev_appz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_appz00_bgl))));
																											{	/* Eval/evaluate.scm 489 */
																												long
																													BgL_arg2098z00_1869;
																												{	/* Eval/evaluate.scm 489 */
																													long
																														BgL_res2461z00_2991;
																													BgL_res2461z00_2991 =
																														BGL_CLASS_INDEX
																														(BGl_ev_appz00zz__evaluate_typesz00);
																													BgL_arg2098z00_1869 =
																														BgL_res2461z00_2991;
																												}
																												{	/* Eval/evaluate.scm 489 */
																													BgL_objectz00_bglt
																														BgL_objz00_2992;
																													BgL_objz00_2992 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1157z00_1868);
																													BGL_OBJECT_CLASS_NUM_SET
																														(BgL_objz00_2992,
																														BgL_arg2098z00_1869);
																											}}
																											{	/* Eval/evaluate.scm 489 */
																												BgL_objectz00_bglt
																													BgL_auxz00_4530;
																												BgL_auxz00_4530 =
																													((BgL_objectz00_bglt)
																													BgL_new1157z00_1868);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_4530,
																													BFALSE);
																											}
																											BgL_new1158z00_1867 =
																												BgL_new1157z00_1868;
																										}
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1158z00_1867))->
																												BgL_locz00) =
																											((obj_t) BgL_locz00_54),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1158z00_1867))->
																												BgL_funz00) =
																											((BgL_ev_exprz00_bglt) (
																													(BgL_ev_exprz00_bglt)
																													BgL_funz00_1865)),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1158z00_1867))->
																												BgL_argsz00) =
																											((obj_t)
																												BgL_argsz00_1866),
																											BUNSPEC);
																										((((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_new1158z00_1867))->
																												BgL_tailzf3zf3) =
																											((obj_t)
																												BgL_tailzf3zf3_52),
																											BUNSPEC);
																										BgL_auxz00_4520 =
																											BgL_new1158z00_1867;
																								}}
																								return
																									((obj_t) BgL_auxz00_4520);
																							}
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_4539;

																						{
																							obj_t BgL_argsz00_4541;
																							obj_t BgL_fz00_4540;

																							BgL_fz00_4540 =
																								BgL_carzd2284zd2_957;
																							BgL_argsz00_4541 =
																								BgL_cdrzd2231zd2_947;
																							BgL_argsz00_940 =
																								BgL_argsz00_4541;
																							BgL_fz00_939 = BgL_fz00_4540;
																							goto BgL_tagzd2157zd2_941;
																						}
																						return ((obj_t) BgL_auxz00_4539);
																					}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		obj_t BgL_carzd2987zd2_967;

																		BgL_carzd2987zd2_967 = CAR(BgL_ez00_49);
																		if (SYMBOLP(BgL_carzd2987zd2_967))
																			{	/* Eval/evaluate.scm 319 */
																				if (CBOOL
																					(BGl_convzd2varzd2zz__evaluatez00
																						(BgL_carzd2987zd2_967,
																							BgL_localsz00_50)))
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_4549;

																						{
																							obj_t BgL_argsz00_4551;
																							obj_t BgL_funz00_4550;

																							BgL_funz00_4550 =
																								BgL_carzd2987zd2_967;
																							BgL_argsz00_4551 =
																								BgL_cdrzd2231zd2_947;
																							BgL_argsz00_874 =
																								BgL_argsz00_4551;
																							BgL_funz00_873 = BgL_funz00_4550;
																							goto BgL_tagzd2134zd2_875;
																						}
																						return ((obj_t) BgL_auxz00_4549);
																					}
																				else
																					{
																						BgL_ev_appz00_bglt BgL_auxz00_4553;

																						{
																							obj_t BgL_argsz00_4555;
																							obj_t BgL_fz00_4554;

																							BgL_fz00_4554 =
																								BgL_carzd2987zd2_967;
																							BgL_argsz00_4555 =
																								BgL_cdrzd2231zd2_947;
																							BgL_argsz00_940 =
																								BgL_argsz00_4555;
																							BgL_fz00_939 = BgL_fz00_4554;
																							goto BgL_tagzd2157zd2_941;
																						}
																						return ((obj_t) BgL_auxz00_4553);
																					}
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_4557;

																				{
																					obj_t BgL_argsz00_4559;
																					obj_t BgL_fz00_4558;

																					BgL_fz00_4558 = BgL_carzd2987zd2_967;
																					BgL_argsz00_4559 =
																						BgL_cdrzd2231zd2_947;
																					BgL_argsz00_940 = BgL_argsz00_4559;
																					BgL_fz00_939 = BgL_fz00_4558;
																					goto BgL_tagzd2157zd2_941;
																				}
																				return ((obj_t) BgL_auxz00_4557);
																			}
																	}
															}
														else
															{	/* Eval/evaluate.scm 319 */
																obj_t BgL_carzd21690zd2_976;

																BgL_carzd21690zd2_976 = CAR(BgL_ez00_49);
																if (SYMBOLP(BgL_carzd21690zd2_976))
																	{	/* Eval/evaluate.scm 319 */
																		if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																				(BgL_carzd21690zd2_976,
																					BgL_localsz00_50)))
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_4567;

																				{
																					obj_t BgL_argsz00_4569;
																					obj_t BgL_funz00_4568;

																					BgL_funz00_4568 =
																						BgL_carzd21690zd2_976;
																					BgL_argsz00_4569 =
																						BgL_cdrzd2231zd2_947;
																					BgL_argsz00_874 = BgL_argsz00_4569;
																					BgL_funz00_873 = BgL_funz00_4568;
																					goto BgL_tagzd2134zd2_875;
																				}
																				return ((obj_t) BgL_auxz00_4567);
																			}
																		else
																			{
																				BgL_ev_appz00_bglt BgL_auxz00_4571;

																				{
																					obj_t BgL_argsz00_4573;
																					obj_t BgL_fz00_4572;

																					BgL_fz00_4572 = BgL_carzd21690zd2_976;
																					BgL_argsz00_4573 =
																						BgL_cdrzd2231zd2_947;
																					BgL_argsz00_940 = BgL_argsz00_4573;
																					BgL_fz00_939 = BgL_fz00_4572;
																					goto BgL_tagzd2157zd2_941;
																				}
																				return ((obj_t) BgL_auxz00_4571);
																			}
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_4575;

																		{
																			obj_t BgL_argsz00_4577;
																			obj_t BgL_fz00_4576;

																			BgL_fz00_4576 = BgL_carzd21690zd2_976;
																			BgL_argsz00_4577 = BgL_cdrzd2231zd2_947;
																			BgL_argsz00_940 = BgL_argsz00_4577;
																			BgL_fz00_939 = BgL_fz00_4576;
																			goto BgL_tagzd2157zd2_941;
																		}
																		return ((obj_t) BgL_auxz00_4575);
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 319 */
														obj_t BgL_carzd22393zd2_985;

														BgL_carzd22393zd2_985 = CAR(BgL_ez00_49);
														if (SYMBOLP(BgL_carzd22393zd2_985))
															{	/* Eval/evaluate.scm 319 */
																if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																		(BgL_carzd22393zd2_985, BgL_localsz00_50)))
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_4585;

																		{
																			obj_t BgL_argsz00_4587;
																			obj_t BgL_funz00_4586;

																			BgL_funz00_4586 = BgL_carzd22393zd2_985;
																			BgL_argsz00_4587 = BgL_cdrzd2231zd2_947;
																			BgL_argsz00_874 = BgL_argsz00_4587;
																			BgL_funz00_873 = BgL_funz00_4586;
																			goto BgL_tagzd2134zd2_875;
																		}
																		return ((obj_t) BgL_auxz00_4585);
																	}
																else
																	{
																		BgL_ev_appz00_bglt BgL_auxz00_4589;

																		{
																			obj_t BgL_argsz00_4591;
																			obj_t BgL_fz00_4590;

																			BgL_fz00_4590 = BgL_carzd22393zd2_985;
																			BgL_argsz00_4591 = BgL_cdrzd2231zd2_947;
																			BgL_argsz00_940 = BgL_argsz00_4591;
																			BgL_fz00_939 = BgL_fz00_4590;
																			goto BgL_tagzd2157zd2_941;
																		}
																		return ((obj_t) BgL_auxz00_4589);
																	}
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_4593;

																{
																	obj_t BgL_argsz00_4595;
																	obj_t BgL_fz00_4594;

																	BgL_fz00_4594 = BgL_carzd22393zd2_985;
																	BgL_argsz00_4595 = BgL_cdrzd2231zd2_947;
																	BgL_argsz00_940 = BgL_argsz00_4595;
																	BgL_fz00_939 = BgL_fz00_4594;
																	goto BgL_tagzd2157zd2_941;
																}
																return ((obj_t) BgL_auxz00_4593);
															}
													}
											}
										else
											{	/* Eval/evaluate.scm 319 */
												obj_t BgL_carzd23096zd2_994;

												BgL_carzd23096zd2_994 = CAR(BgL_ez00_49);
												if (SYMBOLP(BgL_carzd23096zd2_994))
													{	/* Eval/evaluate.scm 319 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23096zd2_994, BgL_localsz00_50)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_4603;

																{
																	obj_t BgL_argsz00_4605;
																	obj_t BgL_funz00_4604;

																	BgL_funz00_4604 = BgL_carzd23096zd2_994;
																	BgL_argsz00_4605 = BgL_cdrzd2231zd2_947;
																	BgL_argsz00_874 = BgL_argsz00_4605;
																	BgL_funz00_873 = BgL_funz00_4604;
																	goto BgL_tagzd2134zd2_875;
																}
																return ((obj_t) BgL_auxz00_4603);
															}
														else
															{
																BgL_ev_appz00_bglt BgL_auxz00_4607;

																{
																	obj_t BgL_argsz00_4609;
																	obj_t BgL_fz00_4608;

																	BgL_fz00_4608 = BgL_carzd23096zd2_994;
																	BgL_argsz00_4609 = BgL_cdrzd2231zd2_947;
																	BgL_argsz00_940 = BgL_argsz00_4609;
																	BgL_fz00_939 = BgL_fz00_4608;
																	goto BgL_tagzd2157zd2_941;
																}
																return ((obj_t) BgL_auxz00_4607);
															}
													}
												else
													{
														BgL_ev_appz00_bglt BgL_auxz00_4611;

														{
															obj_t BgL_argsz00_4613;
															obj_t BgL_fz00_4612;

															BgL_fz00_4612 = BgL_carzd23096zd2_994;
															BgL_argsz00_4613 = BgL_cdrzd2231zd2_947;
															BgL_argsz00_940 = BgL_argsz00_4613;
															BgL_fz00_939 = BgL_fz00_4612;
															goto BgL_tagzd2157zd2_941;
														}
														return ((obj_t) BgL_auxz00_4611);
													}
											}
									}
								else
									{	/* Eval/evaluate.scm 319 */
										if ((CAR(BgL_ez00_49) == BGl_symbol2662z00zz__evaluatez00))
											{	/* Eval/evaluate.scm 319 */
												BgL_lz00_871 = BgL_cdrzd2231zd2_947;
												{	/* Eval/evaluate.scm 341 */
													bool_t BgL_testz00_4618;

													if (PAIRP(BgL_lz00_871))
														{	/* Eval/evaluate.scm 341 */
															bool_t BgL_testz00_4621;

															{	/* Eval/evaluate.scm 341 */
																obj_t BgL_auxz00_4622;

																BgL_auxz00_4622 = CDR(BgL_lz00_871);
																BgL_testz00_4621 = PAIRP(BgL_auxz00_4622);
															}
															if (BgL_testz00_4621)
																{
																	obj_t BgL_l1190z00_1643;

																	BgL_l1190z00_1643 = BgL_lz00_871;
																BgL_zc3anonymousza31987ze3z83_1644:
																	if (NULLP(BgL_l1190z00_1643))
																		{	/* Eval/evaluate.scm 341 */
																			BgL_testz00_4618 = ((bool_t) 1);
																		}
																	else
																		{	/* Eval/evaluate.scm 341 */
																			bool_t BgL_testz00_4627;

																			{	/* Eval/evaluate.scm 341 */
																				obj_t BgL_auxz00_4628;

																				BgL_auxz00_4628 =
																					CAR(BgL_l1190z00_1643);
																				BgL_testz00_4627 =
																					SYMBOLP(BgL_auxz00_4628);
																			}
																			if (BgL_testz00_4627)
																				{
																					obj_t BgL_l1190z00_4631;

																					BgL_l1190z00_4631 =
																						CDR(BgL_l1190z00_1643);
																					BgL_l1190z00_1643 = BgL_l1190z00_4631;
																					goto
																						BgL_zc3anonymousza31987ze3z83_1644;
																				}
																			else
																				{	/* Eval/evaluate.scm 341 */
																					BgL_testz00_4618 = ((bool_t) 0);
																				}
																		}
																}
															else
																{	/* Eval/evaluate.scm 341 */
																	BgL_testz00_4618 = ((bool_t) 0);
																}
														}
													else
														{	/* Eval/evaluate.scm 341 */
															BgL_testz00_4618 = ((bool_t) 0);
														}
													if (BgL_testz00_4618)
														{	/* Eval/evaluate.scm 341 */
															return
																BGl_convzd2fieldzd2refz00zz__evaluatez00
																(BgL_ez00_49, BgL_localsz00_50,
																BgL_globalsz00_51, BgL_tailzf3zf3_52,
																BgL_wherez00_53, BgL_locz00_54,
																BgL_topzf3zf3_55);
														}
													else
														{	/* Eval/evaluate.scm 341 */
															return
																BGl_evcompilezd2errorzd2zz__evcompilez00
																(BgL_locz00_54,
																BGl_string2648z00zz__evaluatez00,
																BGl_string2654z00zz__evaluatez00, BgL_ez00_49);
														}
												}
											}
										else
											{	/* Eval/evaluate.scm 319 */
												obj_t BgL_carzd23802zd2_1005;

												BgL_carzd23802zd2_1005 = CAR(BgL_ez00_49);
												if (SYMBOLP(BgL_carzd23802zd2_1005))
													{	/* Eval/evaluate.scm 319 */
														if (CBOOL(BGl_convzd2varzd2zz__evaluatez00
																(BgL_carzd23802zd2_1005, BgL_localsz00_50)))
															{
																BgL_ev_appz00_bglt BgL_auxz00_4641;

																{
																	obj_t BgL_argsz00_4643;
																	obj_t BgL_funz00_4642;

																	BgL_funz00_4642 = BgL_carzd23802zd2_1005;
																	BgL_argsz00_4643 = BgL_cdrzd2231zd2_947;
																	BgL_argsz00_874 = BgL_argsz00_4643;
																	BgL_funz00_873 = BgL_funz00_4642;
																	goto BgL_tagzd2134zd2_875;
																}
																return ((obj_t) BgL_auxz00_4641);
															}
														else
															{	/* Eval/evaluate.scm 319 */
																if (
																	(BgL_carzd23802zd2_1005 ==
																		BGl_symbol2664z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 319 */
																		if (PAIRP(BgL_cdrzd2231zd2_947))
																			{	/* Eval/evaluate.scm 319 */
																				if (NULLP(CDR(BgL_cdrzd2231zd2_947)))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1462z00_1013;

																						BgL_arg1462z00_1013 =
																							CAR(BgL_cdrzd2231zd2_947);
																						{
																							BgL_ev_trapz00_bglt
																								BgL_auxz00_4653;
																							BgL_ez00_876 =
																								BgL_arg1462z00_1013;
																						BgL_tagzd2135zd2_877:
																							{	/* Eval/evaluate.scm 355 */
																								BgL_ev_trapz00_bglt
																									BgL_new1110z00_1657;
																								{	/* Eval/evaluate.scm 355 */
																									BgL_ev_trapz00_bglt
																										BgL_new1108z00_1658;
																									BgL_new1108z00_1658 =
																										((BgL_ev_trapz00_bglt)
																										BREF(GC_MALLOC(sizeof(struct
																													BgL_ev_trapz00_bgl))));
																									{	/* Eval/evaluate.scm 355 */
																										long BgL_arg1995z00_1659;

																										{	/* Eval/evaluate.scm 355 */
																											long BgL_res2408z00_2557;

																											BgL_res2408z00_2557 =
																												BGL_CLASS_INDEX
																												(BGl_ev_trapz00zz__evaluate_typesz00);
																											BgL_arg1995z00_1659 =
																												BgL_res2408z00_2557;
																										}
																										{	/* Eval/evaluate.scm 355 */
																											BgL_objectz00_bglt
																												BgL_objz00_2558;
																											BgL_objz00_2558 =
																												((BgL_objectz00_bglt)
																												BgL_new1108z00_1658);
																											BGL_OBJECT_CLASS_NUM_SET
																												(BgL_objz00_2558,
																												BgL_arg1995z00_1659);
																									}}
																									{	/* Eval/evaluate.scm 355 */
																										BgL_objectz00_bglt
																											BgL_auxz00_4658;
																										BgL_auxz00_4658 =
																											((BgL_objectz00_bglt)
																											BgL_new1108z00_1658);
																										BGL_OBJECT_WIDENING_SET
																											(BgL_auxz00_4658, BFALSE);
																									}
																									BgL_new1110z00_1657 =
																										BgL_new1108z00_1658;
																								}
																								{
																									BgL_ev_exprz00_bglt
																										BgL_auxz00_4661;
																									{	/* Eval/evaluate.scm 280 */
																										obj_t BgL_arg2104z00_2561;

																										{	/* Eval/evaluate.scm 129 */
																											obj_t
																												BgL__ortest_1067z00_2564;
																											BgL__ortest_1067z00_2564 =
																												BGl_getzd2sourcezd2locationz00zz__readerz00
																												(BgL_ez00_876);
																											if (CBOOL
																												(BgL__ortest_1067z00_2564))
																												{	/* Eval/evaluate.scm 129 */
																													BgL_arg2104z00_2561 =
																														BgL__ortest_1067z00_2564;
																												}
																											else
																												{	/* Eval/evaluate.scm 129 */
																													BgL_arg2104z00_2561 =
																														BgL_locz00_54;
																												}
																										}
																										BgL_auxz00_4661 =
																											((BgL_ev_exprz00_bglt)
																											BGl_convz00zz__evaluatez00
																											(BgL_ez00_876,
																												BgL_localsz00_50,
																												BgL_globalsz00_51,
																												BFALSE, BgL_wherez00_53,
																												BgL_arg2104z00_2561,
																												((bool_t) 0)));
																									}
																									((((BgL_ev_hookz00_bglt) CREF(
																													((BgL_ev_hookz00_bglt)
																														BgL_new1110z00_1657)))->
																											BgL_ez00) =
																										((BgL_ev_exprz00_bglt)
																											BgL_auxz00_4661),
																										BUNSPEC);
																								}
																								BgL_auxz00_4653 =
																									BgL_new1110z00_1657;
																							}
																							return ((obj_t) BgL_auxz00_4653);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1463z00_1014;
																						obj_t BgL_arg1464z00_1015;

																						BgL_arg1463z00_1014 =
																							CAR(BgL_ez00_49);
																						BgL_arg1464z00_1015 =
																							CDR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_4672;
																							{
																								obj_t BgL_argsz00_4674;
																								obj_t BgL_fz00_4673;

																								BgL_fz00_4673 =
																									BgL_arg1463z00_1014;
																								BgL_argsz00_4674 =
																									BgL_arg1464z00_1015;
																								BgL_argsz00_940 =
																									BgL_argsz00_4674;
																								BgL_fz00_939 = BgL_fz00_4673;
																								goto BgL_tagzd2157zd2_941;
																							}
																							return ((obj_t) BgL_auxz00_4672);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1466z00_1017;
																				obj_t BgL_arg1467z00_1018;

																				BgL_arg1466z00_1017 = CAR(BgL_ez00_49);
																				BgL_arg1467z00_1018 = CDR(BgL_ez00_49);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_4678;

																					{
																						obj_t BgL_argsz00_4680;
																						obj_t BgL_fz00_4679;

																						BgL_fz00_4679 = BgL_arg1466z00_1017;
																						BgL_argsz00_4680 =
																							BgL_arg1467z00_1018;
																						BgL_argsz00_940 = BgL_argsz00_4680;
																						BgL_fz00_939 = BgL_fz00_4679;
																						goto BgL_tagzd2157zd2_941;
																					}
																					return ((obj_t) BgL_auxz00_4678);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		obj_t BgL_cdrzd24471zd2_1019;

																		BgL_cdrzd24471zd2_1019 = CDR(BgL_ez00_49);
																		if (
																			(CAR(BgL_ez00_49) ==
																				BGl_symbol2666z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 319 */
																				if (PAIRP(BgL_cdrzd24471zd2_1019))
																					{	/* Eval/evaluate.scm 319 */
																						if (NULLP(CDR
																								(BgL_cdrzd24471zd2_1019)))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1471z00_1023;

																								BgL_arg1471z00_1023 =
																									CAR(BgL_cdrzd24471zd2_1019);
																								{	/* Eval/evaluate.scm 358 */
																									BgL_ev_littz00_bglt
																										BgL_new1112z00_3090;
																									{	/* Eval/evaluate.scm 358 */
																										BgL_ev_littz00_bglt
																											BgL_new1111z00_3091;
																										BgL_new1111z00_3091 =
																											((BgL_ev_littz00_bglt)
																											BREF(GC_MALLOC(sizeof
																													(struct
																														BgL_ev_littz00_bgl))));
																										{	/* Eval/evaluate.scm 358 */
																											long BgL_arg1996z00_3092;

																											{	/* Eval/evaluate.scm 358 */
																												long
																													BgL_res2479z00_3094;
																												BgL_res2479z00_3094 =
																													BGL_CLASS_INDEX
																													(BGl_ev_littz00zz__evaluate_typesz00);
																												BgL_arg1996z00_3092 =
																													BgL_res2479z00_3094;
																											}
																											{	/* Eval/evaluate.scm 358 */
																												BgL_objectz00_bglt
																													BgL_objz00_3095;
																												BgL_objz00_3095 =
																													((BgL_objectz00_bglt)
																													BgL_new1111z00_3091);
																												BGL_OBJECT_CLASS_NUM_SET
																													(BgL_objz00_3095,
																													BgL_arg1996z00_3092);
																										}}
																										{	/* Eval/evaluate.scm 358 */
																											BgL_objectz00_bglt
																												BgL_auxz00_4696;
																											BgL_auxz00_4696 =
																												((BgL_objectz00_bglt)
																												BgL_new1111z00_3091);
																											BGL_OBJECT_WIDENING_SET
																												(BgL_auxz00_4696,
																												BFALSE);
																										}
																										BgL_new1112z00_3090 =
																											BgL_new1111z00_3091;
																									}
																									((((BgL_ev_littz00_bglt)
																												CREF
																												(BgL_new1112z00_3090))->
																											BgL_valuez00) =
																										((obj_t)
																											BgL_arg1471z00_1023),
																										BUNSPEC);
																									return ((obj_t)
																										BgL_new1112z00_3090);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1472z00_1024;

																								BgL_arg1472z00_1024 =
																									CAR(BgL_ez00_49);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_4702;
																									{
																										obj_t BgL_argsz00_4704;
																										obj_t BgL_fz00_4703;

																										BgL_fz00_4703 =
																											BgL_arg1472z00_1024;
																										BgL_argsz00_4704 =
																											BgL_cdrzd24471zd2_1019;
																										BgL_argsz00_940 =
																											BgL_argsz00_4704;
																										BgL_fz00_939 =
																											BgL_fz00_4703;
																										goto BgL_tagzd2157zd2_941;
																									}
																									return
																										((obj_t) BgL_auxz00_4702);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1475z00_1027;

																						BgL_arg1475z00_1027 =
																							CAR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_4707;
																							{
																								obj_t BgL_argsz00_4709;
																								obj_t BgL_fz00_4708;

																								BgL_fz00_4708 =
																									BgL_arg1475z00_1027;
																								BgL_argsz00_4709 =
																									BgL_cdrzd24471zd2_1019;
																								BgL_argsz00_940 =
																									BgL_argsz00_4709;
																								BgL_fz00_939 = BgL_fz00_4708;
																								goto BgL_tagzd2157zd2_941;
																							}
																							return ((obj_t) BgL_auxz00_4707);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				if (
																					(CAR(BgL_ez00_49) ==
																						BGl_symbol2668z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 319 */
																						if (PAIRP(BgL_cdrzd24471zd2_1019))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_cdrzd25081zd2_1032;

																								BgL_cdrzd25081zd2_1032 =
																									CDR(BgL_cdrzd24471zd2_1019);
																								if (PAIRP
																									(BgL_cdrzd25081zd2_1032))
																									{	/* Eval/evaluate.scm 319 */
																										obj_t
																											BgL_cdrzd25086zd2_1034;
																										BgL_cdrzd25086zd2_1034 =
																											CDR
																											(BgL_cdrzd25081zd2_1032);
																										if (PAIRP
																											(BgL_cdrzd25086zd2_1034))
																											{	/* Eval/evaluate.scm 319 */
																												if (NULLP(CDR
																														(BgL_cdrzd25086zd2_1034)))
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1482z00_1037;
																														obj_t
																															BgL_arg1484z00_1038;
																														obj_t
																															BgL_arg1485z00_1039;
																														BgL_arg1482z00_1037
																															=
																															CAR
																															(BgL_cdrzd24471zd2_1019);
																														BgL_arg1484z00_1038
																															=
																															CAR
																															(BgL_cdrzd25081zd2_1032);
																														BgL_arg1485z00_1039
																															=
																															CAR
																															(BgL_cdrzd25086zd2_1034);
																														{
																															BgL_ev_ifz00_bglt
																																BgL_auxz00_4728;
																															BgL_pz00_880 =
																																BgL_arg1482z00_1037;
																															BgL_tz00_881 =
																																BgL_arg1484z00_1038;
																															BgL_oz00_882 =
																																BgL_arg1485z00_1039;
																														BgL_tagzd2137zd2_883:
																															{	/* Eval/evaluate.scm 361 */
																																BgL_ev_ifz00_bglt
																																	BgL_new1114z00_1663;
																																{	/* Eval/evaluate.scm 361 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1113z00_1667;
																																	BgL_new1113z00_1667
																																		=
																																		(
																																		(BgL_ev_ifz00_bglt)
																																		BREF
																																		(GC_MALLOC
																																			(sizeof
																																				(struct
																																					BgL_ev_ifz00_bgl))));
																																	{	/* Eval/evaluate.scm 361 */
																																		long
																																			BgL_arg2000z00_1668;
																																		{	/* Eval/evaluate.scm 361 */
																																			long
																																				BgL_res2410z00_2575;
																																			BgL_res2410z00_2575
																																				=
																																				BGL_CLASS_INDEX
																																				(BGl_ev_ifz00zz__evaluate_typesz00);
																																			BgL_arg2000z00_1668
																																				=
																																				BgL_res2410z00_2575;
																																		}
																																		{	/* Eval/evaluate.scm 361 */
																																			BgL_objectz00_bglt
																																				BgL_objz00_2576;
																																			BgL_objz00_2576
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				BgL_new1113z00_1667);
																																			BGL_OBJECT_CLASS_NUM_SET
																																				(BgL_objz00_2576,
																																				BgL_arg2000z00_1668);
																																	}}
																																	{	/* Eval/evaluate.scm 361 */
																																		BgL_objectz00_bglt
																																			BgL_auxz00_4733;
																																		BgL_auxz00_4733
																																			=
																																			(
																																			(BgL_objectz00_bglt)
																																			BgL_new1113z00_1667);
																																		BGL_OBJECT_WIDENING_SET
																																			(BgL_auxz00_4733,
																																			BFALSE);
																																	}
																																	BgL_new1114z00_1663
																																		=
																																		BgL_new1113z00_1667;
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_4736;
																																	{	/* Eval/evaluate.scm 362 */
																																		obj_t
																																			BgL_arg1997z00_1664;
																																		{	/* Eval/evaluate.scm 129 */
																																			obj_t
																																				BgL__ortest_1067z00_2580;
																																			BgL__ortest_1067z00_2580
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_pz00_880);
																																			if (CBOOL
																																				(BgL__ortest_1067z00_2580))
																																				{	/* Eval/evaluate.scm 129 */
																																					BgL_arg1997z00_1664
																																						=
																																						BgL__ortest_1067z00_2580;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 129 */
																																					BgL_arg1997z00_1664
																																						=
																																						BgL_locz00_54;
																																				}
																																		}
																																		BgL_auxz00_4736
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_pz00_880,
																																				BgL_localsz00_50,
																																				BgL_globalsz00_51,
																																				BFALSE,
																																				BgL_wherez00_53,
																																				BgL_arg1997z00_1664,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1114z00_1663))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4736), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_4743;
																																	{	/* Eval/evaluate.scm 363 */
																																		obj_t
																																			BgL_arg1998z00_1665;
																																		{	/* Eval/evaluate.scm 129 */
																																			obj_t
																																				BgL__ortest_1067z00_2585;
																																			BgL__ortest_1067z00_2585
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_tz00_881);
																																			if (CBOOL
																																				(BgL__ortest_1067z00_2585))
																																				{	/* Eval/evaluate.scm 129 */
																																					BgL_arg1998z00_1665
																																						=
																																						BgL__ortest_1067z00_2585;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 129 */
																																					BgL_arg1998z00_1665
																																						=
																																						BgL_locz00_54;
																																				}
																																		}
																																		BgL_auxz00_4743
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_tz00_881,
																																				BgL_localsz00_50,
																																				BgL_globalsz00_51,
																																				BgL_tailzf3zf3_52,
																																				BgL_wherez00_53,
																																				BgL_arg1998z00_1665,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1114z00_1663))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4743), BUNSPEC);
																																}
																																{
																																	BgL_ev_exprz00_bglt
																																		BgL_auxz00_4750;
																																	{	/* Eval/evaluate.scm 364 */
																																		obj_t
																																			BgL_arg1999z00_1666;
																																		{	/* Eval/evaluate.scm 129 */
																																			obj_t
																																				BgL__ortest_1067z00_2590;
																																			BgL__ortest_1067z00_2590
																																				=
																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																				(BgL_oz00_882);
																																			if (CBOOL
																																				(BgL__ortest_1067z00_2590))
																																				{	/* Eval/evaluate.scm 129 */
																																					BgL_arg1999z00_1666
																																						=
																																						BgL__ortest_1067z00_2590;
																																				}
																																			else
																																				{	/* Eval/evaluate.scm 129 */
																																					BgL_arg1999z00_1666
																																						=
																																						BgL_locz00_54;
																																				}
																																		}
																																		BgL_auxz00_4750
																																			=
																																			(
																																			(BgL_ev_exprz00_bglt)
																																			BGl_convz00zz__evaluatez00
																																			(BgL_oz00_882,
																																				BgL_localsz00_50,
																																				BgL_globalsz00_51,
																																				BgL_tailzf3zf3_52,
																																				BgL_wherez00_53,
																																				BgL_arg1999z00_1666,
																																				((bool_t) 0)));
																																	}
																																	((((BgL_ev_ifz00_bglt) CREF(BgL_new1114z00_1663))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4750), BUNSPEC);
																																}
																																BgL_auxz00_4728
																																	=
																																	BgL_new1114z00_1663;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_4728);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1486z00_1040;
																														obj_t
																															BgL_arg1487z00_1041;
																														BgL_arg1486z00_1040
																															=
																															CAR(BgL_ez00_49);
																														BgL_arg1487z00_1041
																															=
																															CDR(BgL_ez00_49);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_4760;
																															{
																																obj_t
																																	BgL_argsz00_4762;
																																obj_t
																																	BgL_fz00_4761;
																																BgL_fz00_4761 =
																																	BgL_arg1486z00_1040;
																																BgL_argsz00_4762
																																	=
																																	BgL_arg1487z00_1041;
																																BgL_argsz00_940
																																	=
																																	BgL_argsz00_4762;
																																BgL_fz00_939 =
																																	BgL_fz00_4761;
																																goto
																																	BgL_tagzd2157zd2_941;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_4760);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_cdrzd25384zd2_1043;
																												BgL_cdrzd25384zd2_1043 =
																													CDR(BgL_ez00_49);
																												{	/* Eval/evaluate.scm 319 */
																													obj_t
																														BgL_cdrzd25390zd2_1044;
																													BgL_cdrzd25390zd2_1044
																														=
																														CDR
																														(BgL_cdrzd25384zd2_1043);
																													if (NULLP(CDR
																															(BgL_cdrzd25390zd2_1044)))
																														{	/* Eval/evaluate.scm 319 */
																															obj_t
																																BgL_arg1491z00_1046;
																															obj_t
																																BgL_arg1492z00_1047;
																															BgL_arg1491z00_1046
																																=
																																CAR
																																(BgL_cdrzd25384zd2_1043);
																															BgL_arg1492z00_1047
																																=
																																CAR
																																(BgL_cdrzd25390zd2_1044);
																															{
																																BgL_ev_ifz00_bglt
																																	BgL_auxz00_4771;
																																BgL_pz00_884 =
																																	BgL_arg1491z00_1046;
																																BgL_tz00_885 =
																																	BgL_arg1492z00_1047;
																															BgL_tagzd2138zd2_886:
																																{	/* Eval/evaluate.scm 366 */
																																	BgL_ev_ifz00_bglt
																																		BgL_new1116z00_1669;
																																	{	/* Eval/evaluate.scm 366 */
																																		BgL_ev_ifz00_bglt
																																			BgL_new1115z00_1673;
																																		BgL_new1115z00_1673
																																			=
																																			(
																																			(BgL_ev_ifz00_bglt)
																																			BREF
																																			(GC_MALLOC
																																				(sizeof
																																					(struct
																																						BgL_ev_ifz00_bgl))));
																																		{	/* Eval/evaluate.scm 366 */
																																			long
																																				BgL_arg2004z00_1674;
																																			{	/* Eval/evaluate.scm 366 */
																																				long
																																					BgL_res2411z00_2594;
																																				BgL_res2411z00_2594
																																					=
																																					BGL_CLASS_INDEX
																																					(BGl_ev_ifz00zz__evaluate_typesz00);
																																				BgL_arg2004z00_1674
																																					=
																																					BgL_res2411z00_2594;
																																			}
																																			{	/* Eval/evaluate.scm 366 */
																																				BgL_objectz00_bglt
																																					BgL_objz00_2595;
																																				BgL_objz00_2595
																																					=
																																					(
																																					(BgL_objectz00_bglt)
																																					BgL_new1115z00_1673);
																																				BGL_OBJECT_CLASS_NUM_SET
																																					(BgL_objz00_2595,
																																					BgL_arg2004z00_1674);
																																		}}
																																		{	/* Eval/evaluate.scm 366 */
																																			BgL_objectz00_bglt
																																				BgL_auxz00_4776;
																																			BgL_auxz00_4776
																																				=
																																				(
																																				(BgL_objectz00_bglt)
																																				BgL_new1115z00_1673);
																																			BGL_OBJECT_WIDENING_SET
																																				(BgL_auxz00_4776,
																																				BFALSE);
																																		}
																																		BgL_new1116z00_1669
																																			=
																																			BgL_new1115z00_1673;
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_4779;
																																		{	/* Eval/evaluate.scm 367 */
																																			obj_t
																																				BgL_arg2001z00_1670;
																																			{	/* Eval/evaluate.scm 129 */
																																				obj_t
																																					BgL__ortest_1067z00_2599;
																																				BgL__ortest_1067z00_2599
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_pz00_884);
																																				if (CBOOL(BgL__ortest_1067z00_2599))
																																					{	/* Eval/evaluate.scm 129 */
																																						BgL_arg2001z00_1670
																																							=
																																							BgL__ortest_1067z00_2599;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 129 */
																																						BgL_arg2001z00_1670
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																			BgL_auxz00_4779
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_pz00_884,
																																					BgL_localsz00_50,
																																					BgL_globalsz00_51,
																																					BFALSE,
																																					BgL_wherez00_53,
																																					BgL_arg2001z00_1670,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) CREF(BgL_new1116z00_1669))->BgL_pz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4779), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_4786;
																																		{	/* Eval/evaluate.scm 368 */
																																			obj_t
																																				BgL_arg2002z00_1671;
																																			{	/* Eval/evaluate.scm 129 */
																																				obj_t
																																					BgL__ortest_1067z00_2604;
																																				BgL__ortest_1067z00_2604
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_tz00_885);
																																				if (CBOOL(BgL__ortest_1067z00_2604))
																																					{	/* Eval/evaluate.scm 129 */
																																						BgL_arg2002z00_1671
																																							=
																																							BgL__ortest_1067z00_2604;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 129 */
																																						BgL_arg2002z00_1671
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																			BgL_auxz00_4786
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_tz00_885,
																																					BgL_localsz00_50,
																																					BgL_globalsz00_51,
																																					BgL_tailzf3zf3_52,
																																					BgL_wherez00_53,
																																					BgL_arg2002z00_1671,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) CREF(BgL_new1116z00_1669))->BgL_tz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4786), BUNSPEC);
																																	}
																																	{
																																		BgL_ev_exprz00_bglt
																																			BgL_auxz00_4793;
																																		{	/* Eval/evaluate.scm 369 */
																																			obj_t
																																				BgL_arg2003z00_1672;
																																			{	/* Eval/evaluate.scm 129 */
																																				obj_t
																																					BgL__ortest_1067z00_2609;
																																				BgL__ortest_1067z00_2609
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BFALSE);
																																				if (CBOOL(BgL__ortest_1067z00_2609))
																																					{	/* Eval/evaluate.scm 129 */
																																						BgL_arg2003z00_1672
																																							=
																																							BgL__ortest_1067z00_2609;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 129 */
																																						BgL_arg2003z00_1672
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																			BgL_auxz00_4793
																																				=
																																				(
																																				(BgL_ev_exprz00_bglt)
																																				BGl_convz00zz__evaluatez00
																																				(BgL_ez00_49,
																																					BgL_localsz00_50,
																																					BgL_globalsz00_51,
																																					BgL_tailzf3zf3_52,
																																					BgL_wherez00_53,
																																					BgL_arg2003z00_1672,
																																					((bool_t) 0)));
																																		}
																																		((((BgL_ev_ifz00_bglt) CREF(BgL_new1116z00_1669))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4793), BUNSPEC);
																																	}
																																	BgL_auxz00_4771
																																		=
																																		BgL_new1116z00_1669;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_4771);
																															}
																														}
																													else
																														{	/* Eval/evaluate.scm 319 */
																															obj_t
																																BgL_arg1493z00_1048;
																															BgL_arg1493z00_1048
																																=
																																CAR
																																(BgL_ez00_49);
																															{
																																BgL_ev_appz00_bglt
																																	BgL_auxz00_4802;
																																{
																																	obj_t
																																		BgL_argsz00_4804;
																																	obj_t
																																		BgL_fz00_4803;
																																	BgL_fz00_4803
																																		=
																																		BgL_arg1493z00_1048;
																																	BgL_argsz00_4804
																																		=
																																		BgL_cdrzd25384zd2_1043;
																																	BgL_argsz00_940
																																		=
																																		BgL_argsz00_4804;
																																	BgL_fz00_939 =
																																		BgL_fz00_4803;
																																	goto
																																		BgL_tagzd2157zd2_941;
																																}
																																return
																																	((obj_t)
																																	BgL_auxz00_4802);
																															}
																														}
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										obj_t BgL_arg1497z00_1051;
																										obj_t BgL_arg1500z00_1052;

																										BgL_arg1497z00_1051 =
																											CAR(BgL_ez00_49);
																										BgL_arg1500z00_1052 =
																											CDR(BgL_ez00_49);
																										{
																											BgL_ev_appz00_bglt
																												BgL_auxz00_4808;
																											{
																												obj_t BgL_argsz00_4810;
																												obj_t BgL_fz00_4809;

																												BgL_fz00_4809 =
																													BgL_arg1497z00_1051;
																												BgL_argsz00_4810 =
																													BgL_arg1500z00_1052;
																												BgL_argsz00_940 =
																													BgL_argsz00_4810;
																												BgL_fz00_939 =
																													BgL_fz00_4809;
																												goto
																													BgL_tagzd2157zd2_941;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_4808);
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1501z00_1053;
																								obj_t BgL_arg1503z00_1054;

																								BgL_arg1501z00_1053 =
																									CAR(BgL_ez00_49);
																								BgL_arg1503z00_1054 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_4814;
																									{
																										obj_t BgL_argsz00_4816;
																										obj_t BgL_fz00_4815;

																										BgL_fz00_4815 =
																											BgL_arg1501z00_1053;
																										BgL_argsz00_4816 =
																											BgL_arg1503z00_1054;
																										BgL_argsz00_940 =
																											BgL_argsz00_4816;
																										BgL_fz00_939 =
																											BgL_fz00_4815;
																										goto BgL_tagzd2157zd2_941;
																									}
																									return
																										((obj_t) BgL_auxz00_4814);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						if (
																							(CAR(BgL_ez00_49) ==
																								BGl_symbol2670z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1505z00_1056;

																								BgL_arg1505z00_1056 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_orz00_bglt
																										BgL_auxz00_4822;
																									BgL_argsz00_887 =
																										BgL_arg1505z00_1056;
																								BgL_tagzd2139zd2_888:
																									{	/* Eval/evaluate.scm 371 */
																										BgL_ev_orz00_bglt
																											BgL_new1118z00_1675;
																										{	/* Eval/evaluate.scm 371 */
																											BgL_ev_orz00_bglt
																												BgL_new1117z00_1676;
																											BgL_new1117z00_1676 =
																												((BgL_ev_orz00_bglt)
																												BREF(GC_MALLOC(sizeof
																														(struct
																															BgL_ev_orz00_bgl))));
																											{	/* Eval/evaluate.scm 371 */
																												long
																													BgL_arg2005z00_1677;
																												{	/* Eval/evaluate.scm 371 */
																													long
																														BgL_res2412z00_2613;
																													BgL_res2412z00_2613 =
																														BGL_CLASS_INDEX
																														(BGl_ev_orz00zz__evaluate_typesz00);
																													BgL_arg2005z00_1677 =
																														BgL_res2412z00_2613;
																												}
																												{	/* Eval/evaluate.scm 371 */
																													BgL_objectz00_bglt
																														BgL_objz00_2614;
																													BgL_objz00_2614 =
																														(
																														(BgL_objectz00_bglt)
																														BgL_new1117z00_1676);
																													BGL_OBJECT_CLASS_NUM_SET
																														(BgL_objz00_2614,
																														BgL_arg2005z00_1677);
																											}}
																											{	/* Eval/evaluate.scm 371 */
																												BgL_objectz00_bglt
																													BgL_auxz00_4827;
																												BgL_auxz00_4827 =
																													((BgL_objectz00_bglt)
																													BgL_new1117z00_1676);
																												BGL_OBJECT_WIDENING_SET
																													(BgL_auxz00_4827,
																													BFALSE);
																											}
																											BgL_new1118z00_1675 =
																												BgL_new1117z00_1676;
																										}
																										((((BgL_ev_listz00_bglt)
																													CREF((
																															(BgL_ev_listz00_bglt)
																															BgL_new1118z00_1675)))->
																												BgL_argsz00) =
																											((obj_t)
																												BGl_loopz00zz__evaluatez00
																												(BgL_wherez00_53,
																													BgL_globalsz00_51,
																													BgL_localsz00_50,
																													BgL_locz00_54,
																													BgL_argsz00_887)),
																											BUNSPEC);
																										BgL_auxz00_4822 =
																											BgL_new1118z00_1675;
																									}
																									return
																										((obj_t) BgL_auxz00_4822);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								if (
																									(CAR(BgL_ez00_49) ==
																										BGl_symbol2672z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 319 */
																										obj_t BgL_arg1507z00_1058;

																										BgL_arg1507z00_1058 =
																											CDR(BgL_ez00_49);
																										{
																											BgL_ev_andz00_bglt
																												BgL_auxz00_4838;
																											BgL_argsz00_889 =
																												BgL_arg1507z00_1058;
																										BgL_tagzd2140zd2_890:
																											{	/* Eval/evaluate.scm 374 */
																												BgL_ev_andz00_bglt
																													BgL_new1120z00_1678;
																												{	/* Eval/evaluate.scm 374 */
																													BgL_ev_andz00_bglt
																														BgL_new1119z00_1679;
																													BgL_new1119z00_1679 =
																														(
																														(BgL_ev_andz00_bglt)
																														BREF(GC_MALLOC
																															(sizeof(struct
																																	BgL_ev_andz00_bgl))));
																													{	/* Eval/evaluate.scm 374 */
																														long
																															BgL_arg2006z00_1680;
																														{	/* Eval/evaluate.scm 374 */
																															long
																																BgL_res2413z00_2617;
																															BgL_res2413z00_2617
																																=
																																BGL_CLASS_INDEX
																																(BGl_ev_andz00zz__evaluate_typesz00);
																															BgL_arg2006z00_1680
																																=
																																BgL_res2413z00_2617;
																														}
																														{	/* Eval/evaluate.scm 374 */
																															BgL_objectz00_bglt
																																BgL_objz00_2618;
																															BgL_objz00_2618 =
																																(
																																(BgL_objectz00_bglt)
																																BgL_new1119z00_1679);
																															BGL_OBJECT_CLASS_NUM_SET
																																(BgL_objz00_2618,
																																BgL_arg2006z00_1680);
																													}}
																													{	/* Eval/evaluate.scm 374 */
																														BgL_objectz00_bglt
																															BgL_auxz00_4843;
																														BgL_auxz00_4843 =
																															(
																															(BgL_objectz00_bglt)
																															BgL_new1119z00_1679);
																														BGL_OBJECT_WIDENING_SET
																															(BgL_auxz00_4843,
																															BFALSE);
																													}
																													BgL_new1120z00_1678 =
																														BgL_new1119z00_1679;
																												}
																												((((BgL_ev_listz00_bglt)
																															CREF((
																																	(BgL_ev_listz00_bglt)
																																	BgL_new1120z00_1678)))->
																														BgL_argsz00) =
																													((obj_t)
																														BGl_loopz00zz__evaluatez00
																														(BgL_wherez00_53,
																															BgL_globalsz00_51,
																															BgL_localsz00_50,
																															BgL_locz00_54,
																															BgL_argsz00_889)),
																													BUNSPEC);
																												BgL_auxz00_4838 =
																													BgL_new1120z00_1678;
																											}
																											return
																												((obj_t)
																												BgL_auxz00_4838);
																										}
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										if (
																											(CAR(BgL_ez00_49) ==
																												BGl_symbol2674z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 319 */
																												return
																													BGl_convzd2beginzd2zz__evaluatez00
																													(CDR(BgL_ez00_49),
																													BgL_localsz00_50,
																													BgL_globalsz00_51,
																													BgL_tailzf3zf3_52,
																													BgL_wherez00_53,
																													BgL_locz00_54,
																													BgL_topzf3zf3_55);
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_cdrzd26283zd2_1061;
																												BgL_cdrzd26283zd2_1061 =
																													CDR(BgL_ez00_49);
																												if ((CAR(BgL_ez00_49) ==
																														BGl_symbol2676z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 319 */
																														if (PAIRP
																															(BgL_cdrzd26283zd2_1061))
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1512z00_1064;
																																obj_t
																																	BgL_arg1513z00_1065;
																																BgL_arg1512z00_1064
																																	=
																																	CAR
																																	(BgL_cdrzd26283zd2_1061);
																																BgL_arg1513z00_1065
																																	=
																																	CDR
																																	(BgL_cdrzd26283zd2_1061);
																																{
																																	BgL_ev_letz00_bglt
																																		BgL_auxz00_4863;
																																	BgL_bindsz00_893
																																		=
																																		BgL_arg1512z00_1064;
																																	BgL_bodyz00_894
																																		=
																																		BgL_arg1513z00_1065;
																																BgL_tagzd2142zd2_895:
																																	{	/* Eval/evaluate.scm 379 */
																																		obj_t
																																			BgL_varsz00_1681;
																																		if (NULLP
																																			(BgL_bindsz00_893))
																																			{	/* Eval/evaluate.scm 379 */
																																				BgL_varsz00_1681
																																					=
																																					BNIL;
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 379 */
																																				obj_t
																																					BgL_head1195z00_1704;
																																				{	/* Eval/evaluate.scm 379 */
																																					obj_t
																																						BgL_res2415z00_2624;
																																					BgL_res2415z00_2624
																																						=
																																						MAKE_PAIR
																																						(BNIL,
																																						BNIL);
																																					BgL_head1195z00_1704
																																						=
																																						BgL_res2415z00_2624;
																																				}
																																				{
																																					obj_t
																																						BgL_l1193z00_1706;
																																					obj_t
																																						BgL_tail1196z00_1707;
																																					BgL_l1193z00_1706
																																						=
																																						BgL_bindsz00_893;
																																					BgL_tail1196z00_1707
																																						=
																																						BgL_head1195z00_1704;
																																				BgL_zc3anonymousza32016ze3z83_1708:
																																					if (NULLP(BgL_l1193z00_1706))
																																						{	/* Eval/evaluate.scm 379 */
																																							BgL_varsz00_1681
																																								=
																																								CDR
																																								(BgL_head1195z00_1704);
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 379 */
																																							obj_t
																																								BgL_newtail1197z00_1710;
																																							{	/* Eval/evaluate.scm 379 */
																																								BgL_ev_varz00_bglt
																																									BgL_arg2020z00_1712;
																																								{	/* Eval/evaluate.scm 379 */
																																									obj_t
																																										BgL_bz00_1713;
																																									BgL_bz00_1713
																																										=
																																										CAR
																																										(BgL_l1193z00_1706);
																																									{	/* Eval/evaluate.scm 380 */
																																										obj_t
																																											BgL_iz00_1714;
																																										BgL_iz00_1714
																																											=
																																											BGl_untypezd2identzd2zz__evaluatez00
																																											(CAR
																																											(BgL_bz00_1713));
																																										{	/* Eval/evaluate.scm 381 */
																																											BgL_ev_varz00_bglt
																																												BgL_new1122z00_1715;
																																											{	/* Eval/evaluate.scm 381 */
																																												BgL_ev_varz00_bglt
																																													BgL_new1121z00_1716;
																																												BgL_new1121z00_1716
																																													=
																																													(
																																													(BgL_ev_varz00_bglt)
																																													BREF
																																													(GC_MALLOC
																																														(sizeof
																																															(struct
																																																BgL_ev_varz00_bgl))));
																																												{	/* Eval/evaluate.scm 381 */
																																													long
																																														BgL_arg2021z00_1717;
																																													{	/* Eval/evaluate.scm 381 */
																																														long
																																															BgL_res2417z00_2631;
																																														BgL_res2417z00_2631
																																															=
																																															BGL_CLASS_INDEX
																																															(BGl_ev_varz00zz__evaluate_typesz00);
																																														BgL_arg2021z00_1717
																																															=
																																															BgL_res2417z00_2631;
																																													}
																																													{	/* Eval/evaluate.scm 381 */
																																														BgL_objectz00_bglt
																																															BgL_objz00_2632;
																																														BgL_objz00_2632
																																															=
																																															(
																																															(BgL_objectz00_bglt)
																																															BgL_new1121z00_1716);
																																														BGL_OBJECT_CLASS_NUM_SET
																																															(BgL_objz00_2632,
																																															BgL_arg2021z00_1717);
																																												}}
																																												{	/* Eval/evaluate.scm 381 */
																																													BgL_objectz00_bglt
																																														BgL_auxz00_4877;
																																													BgL_auxz00_4877
																																														=
																																														(
																																														(BgL_objectz00_bglt)
																																														BgL_new1121z00_1716);
																																													BGL_OBJECT_WIDENING_SET
																																														(BgL_auxz00_4877,
																																														BFALSE);
																																												}
																																												BgL_new1122z00_1715
																																													=
																																													BgL_new1121z00_1716;
																																											}
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1122z00_1715))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1714)), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1122z00_1715))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																											((((BgL_ev_varz00_bglt) CREF(BgL_new1122z00_1715))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1714)), BUNSPEC);
																																											BgL_arg2020z00_1712
																																												=
																																												BgL_new1122z00_1715;
																																								}}}
																																								{	/* Eval/evaluate.scm 379 */
																																									obj_t
																																										BgL_res2418z00_2638;
																																									{	/* Eval/evaluate.scm 379 */
																																										obj_t
																																											BgL_obj1z00_2636;
																																										BgL_obj1z00_2636
																																											=
																																											(
																																											(obj_t)
																																											BgL_arg2020z00_1712);
																																										BgL_res2418z00_2638
																																											=
																																											MAKE_PAIR
																																											(BgL_obj1z00_2636,
																																											BNIL);
																																									}
																																									BgL_newtail1197z00_1710
																																										=
																																										BgL_res2418z00_2638;
																																							}}
																																							SET_CDR
																																								(BgL_tail1196z00_1707,
																																								BgL_newtail1197z00_1710);
																																							{
																																								obj_t
																																									BgL_tail1196z00_4890;
																																								obj_t
																																									BgL_l1193z00_4888;
																																								BgL_l1193z00_4888
																																									=
																																									CDR
																																									(BgL_l1193z00_1706);
																																								BgL_tail1196z00_4890
																																									=
																																									BgL_newtail1197z00_1710;
																																								BgL_tail1196z00_1707
																																									=
																																									BgL_tail1196z00_4890;
																																								BgL_l1193z00_1706
																																									=
																																									BgL_l1193z00_4888;
																																								goto
																																									BgL_zc3anonymousza32016ze3z83_1708;
																																							}
																																						}
																																				}
																																			}
																																		{	/* Eval/evaluate.scm 385 */
																																			obj_t
																																				BgL_blocz00_1682;
																																			{	/* Eval/evaluate.scm 129 */
																																				obj_t
																																					BgL__ortest_1067z00_2644;
																																				BgL__ortest_1067z00_2644
																																					=
																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																					(BgL_bindsz00_893);
																																				if (CBOOL(BgL__ortest_1067z00_2644))
																																					{	/* Eval/evaluate.scm 129 */
																																						BgL_blocz00_1682
																																							=
																																							BgL__ortest_1067z00_2644;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 129 */
																																						BgL_blocz00_1682
																																							=
																																							BgL_locz00_54;
																																					}
																																			}
																																			{	/* Eval/evaluate.scm 386 */
																																				BgL_ev_letz00_bglt
																																					BgL_new1125z00_1683;
																																				{	/* Eval/evaluate.scm 386 */
																																					BgL_ev_letz00_bglt
																																						BgL_new1124z00_1700;
																																					BgL_new1124z00_1700
																																						=
																																						(
																																						(BgL_ev_letz00_bglt)
																																						BREF
																																						(GC_MALLOC
																																							(sizeof
																																								(struct
																																									BgL_ev_letz00_bgl))));
																																					{	/* Eval/evaluate.scm 386 */
																																						long
																																							BgL_arg2014z00_1701;
																																						{	/* Eval/evaluate.scm 386 */
																																							long
																																								BgL_res2419z00_2646;
																																							BgL_res2419z00_2646
																																								=
																																								BGL_CLASS_INDEX
																																								(BGl_ev_letz00zz__evaluate_typesz00);
																																							BgL_arg2014z00_1701
																																								=
																																								BgL_res2419z00_2646;
																																						}
																																						{	/* Eval/evaluate.scm 386 */
																																							BgL_objectz00_bglt
																																								BgL_objz00_2647;
																																							BgL_objz00_2647
																																								=
																																								(
																																								(BgL_objectz00_bglt)
																																								BgL_new1124z00_1700);
																																							BGL_OBJECT_CLASS_NUM_SET
																																								(BgL_objz00_2647,
																																								BgL_arg2014z00_1701);
																																					}}
																																					{	/* Eval/evaluate.scm 386 */
																																						BgL_objectz00_bglt
																																							BgL_auxz00_4898;
																																						BgL_auxz00_4898
																																							=
																																							(
																																							(BgL_objectz00_bglt)
																																							BgL_new1124z00_1700);
																																						BGL_OBJECT_WIDENING_SET
																																							(BgL_auxz00_4898,
																																							BFALSE);
																																					}
																																					BgL_new1125z00_1683
																																						=
																																						BgL_new1124z00_1700;
																																				}
																																				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1125z00_1683)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1681), BUNSPEC);
																																				{
																																					obj_t
																																						BgL_auxz00_4903;
																																					if (NULLP(BgL_bindsz00_893))
																																						{	/* Eval/evaluate.scm 388 */
																																							BgL_auxz00_4903
																																								=
																																								BNIL;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 388 */
																																							obj_t
																																								BgL_head1200z00_1686;
																																							{	/* Eval/evaluate.scm 388 */
																																								obj_t
																																									BgL_res2421z00_2653;
																																								BgL_res2421z00_2653
																																									=
																																									MAKE_PAIR
																																									(BNIL,
																																									BNIL);
																																								BgL_head1200z00_1686
																																									=
																																									BgL_res2421z00_2653;
																																							}
																																							{
																																								obj_t
																																									BgL_l1198z00_1688;
																																								obj_t
																																									BgL_tail1201z00_1689;
																																								BgL_l1198z00_1688
																																									=
																																									BgL_bindsz00_893;
																																								BgL_tail1201z00_1689
																																									=
																																									BgL_head1200z00_1686;
																																							BgL_zc3anonymousza32008ze3z83_1690:
																																								if (NULLP(BgL_l1198z00_1688))
																																									{	/* Eval/evaluate.scm 388 */
																																										BgL_auxz00_4903
																																											=
																																											CDR
																																											(BgL_head1200z00_1686);
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 388 */
																																										obj_t
																																											BgL_newtail1202z00_1692;
																																										{	/* Eval/evaluate.scm 388 */
																																											obj_t
																																												BgL_arg2011z00_1694;
																																											{	/* Eval/evaluate.scm 388 */
																																												obj_t
																																													BgL_bz00_1695;
																																												{	/* Eval/evaluate.scm 388 */
																																													obj_t
																																														BgL_pairz00_2657;
																																													BgL_pairz00_2657
																																														=
																																														BgL_l1198z00_1688;
																																													BgL_bz00_1695
																																														=
																																														CAR
																																														(BgL_pairz00_2657);
																																												}
																																												{	/* Eval/evaluate.scm 389 */
																																													obj_t
																																														BgL_locz00_1696;
																																													{	/* Eval/evaluate.scm 129 */
																																														obj_t
																																															BgL__ortest_1067z00_2660;
																																														BgL__ortest_1067z00_2660
																																															=
																																															BGl_getzd2sourcezd2locationz00zz__readerz00
																																															(BgL_bz00_1695);
																																														if (CBOOL(BgL__ortest_1067z00_2660))
																																															{	/* Eval/evaluate.scm 129 */
																																																BgL_locz00_1696
																																																	=
																																																	BgL__ortest_1067z00_2660;
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 129 */
																																																BgL_locz00_1696
																																																	=
																																																	BgL_blocz00_1682;
																																															}
																																													}
																																													{	/* Eval/evaluate.scm 390 */
																																														obj_t
																																															BgL_arg2012z00_1697;
																																														{	/* Eval/evaluate.scm 390 */
																																															obj_t
																																																BgL_pairz00_2661;
																																															BgL_pairz00_2661
																																																=
																																																BgL_bz00_1695;
																																															{	/* Eval/evaluate.scm 390 */
																																																obj_t
																																																	BgL_pairz00_2664;
																																																BgL_pairz00_2664
																																																	=
																																																	CDR
																																																	(BgL_pairz00_2661);
																																																BgL_arg2012z00_1697
																																																	=
																																																	CAR
																																																	(BgL_pairz00_2664);
																																															}
																																														}
																																														BgL_arg2011z00_1694
																																															=
																																															BGl_convz00zz__evaluatez00
																																															(BgL_arg2012z00_1697,
																																															BgL_localsz00_50,
																																															BgL_globalsz00_51,
																																															BFALSE,
																																															BgL_wherez00_53,
																																															BgL_locz00_1696,
																																															((bool_t) 0));
																																													}
																																												}
																																											}
																																											{	/* Eval/evaluate.scm 388 */
																																												obj_t
																																													BgL_res2423z00_2669;
																																												BgL_res2423z00_2669
																																													=
																																													MAKE_PAIR
																																													(BgL_arg2011z00_1694,
																																													BNIL);
																																												BgL_newtail1202z00_1692
																																													=
																																													BgL_res2423z00_2669;
																																											}
																																										}
																																										SET_CDR
																																											(BgL_tail1201z00_1689,
																																											BgL_newtail1202z00_1692);
																																										{	/* Eval/evaluate.scm 388 */
																																											obj_t
																																												BgL_arg2010z00_1693;
																																											{	/* Eval/evaluate.scm 388 */
																																												obj_t
																																													BgL_pairz00_2672;
																																												BgL_pairz00_2672
																																													=
																																													BgL_l1198z00_1688;
																																												BgL_arg2010z00_1693
																																													=
																																													CDR
																																													(BgL_pairz00_2672);
																																											}
																																											{
																																												obj_t
																																													BgL_tail1201z00_4922;
																																												obj_t
																																													BgL_l1198z00_4921;
																																												BgL_l1198z00_4921
																																													=
																																													BgL_arg2010z00_1693;
																																												BgL_tail1201z00_4922
																																													=
																																													BgL_newtail1202z00_1692;
																																												BgL_tail1201z00_1689
																																													=
																																													BgL_tail1201z00_4922;
																																												BgL_l1198z00_1688
																																													=
																																													BgL_l1198z00_4921;
																																												goto
																																													BgL_zc3anonymousza32008ze3z83_1690;
																																											}
																																										}
																																									}
																																							}
																																						}
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1125z00_1683)))->BgL_valsz00) = ((obj_t) BgL_auxz00_4903), BUNSPEC);
																																				}
																																				{
																																					BgL_ev_exprz00_bglt
																																						BgL_auxz00_4924;
																																					{	/* Eval/evaluate.scm 392 */
																																						obj_t
																																							BgL_arg2013z00_1699;
																																						BgL_arg2013z00_1699
																																							=
																																							BGl_appendzd221011zd2zz__evaluatez00
																																							(BgL_varsz00_1681,
																																							BgL_localsz00_50);
																																						BgL_auxz00_4924
																																							=
																																							(
																																							(BgL_ev_exprz00_bglt)
																																							BGl_convzd2beginzd2zz__evaluatez00
																																							(BgL_bodyz00_894,
																																								BgL_arg2013z00_1699,
																																								BgL_globalsz00_51,
																																								BgL_tailzf3zf3_52,
																																								BgL_wherez00_53,
																																								BgL_locz00_54,
																																								((bool_t) 0)));
																																					}
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1125z00_1683)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4924), BUNSPEC);
																																				}
																																				((((BgL_ev_letz00_bglt) CREF(BgL_new1125z00_1683))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																				BgL_auxz00_4863
																																					=
																																					BgL_new1125z00_1683;
																																			}
																																		}
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_4863);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1516z00_1066;
																																BgL_arg1516z00_1066
																																	=
																																	CAR
																																	(BgL_ez00_49);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_4933;
																																	{
																																		obj_t
																																			BgL_argsz00_4935;
																																		obj_t
																																			BgL_fz00_4934;
																																		BgL_fz00_4934
																																			=
																																			BgL_arg1516z00_1066;
																																		BgL_argsz00_4935
																																			=
																																			BgL_cdrzd26283zd2_1061;
																																		BgL_argsz00_940
																																			=
																																			BgL_argsz00_4935;
																																		BgL_fz00_939
																																			=
																																			BgL_fz00_4934;
																																		goto
																																			BgL_tagzd2157zd2_941;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_4933);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														if (
																															(CAR(BgL_ez00_49)
																																==
																																BGl_symbol2678z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 319 */
																																if (PAIRP
																																	(BgL_cdrzd26283zd2_1061))
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1520z00_1071;
																																		obj_t
																																			BgL_arg1521z00_1072;
																																		BgL_arg1520z00_1071
																																			=
																																			CAR
																																			(BgL_cdrzd26283zd2_1061);
																																		BgL_arg1521z00_1072
																																			=
																																			CDR
																																			(BgL_cdrzd26283zd2_1061);
																																		{
																																			BgL_ev_letza2za2_bglt
																																				BgL_auxz00_4944;
																																			BgL_bindsz00_896
																																				=
																																				BgL_arg1520z00_1071;
																																			BgL_bodyz00_897
																																				=
																																				BgL_arg1521z00_1072;
																																		BgL_tagzd2143zd2_898:
																																			{	/* Eval/evaluate.scm 400 */
																																				obj_t
																																					BgL_varsz00_1721;
																																				obj_t
																																					BgL_blocz00_1722;
																																				if (NULLP(BgL_bindsz00_896))
																																					{	/* Eval/evaluate.scm 400 */
																																						BgL_varsz00_1721
																																							=
																																							BNIL;
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 400 */
																																						obj_t
																																							BgL_head1205z00_1730;
																																						{	/* Eval/evaluate.scm 400 */
																																							obj_t
																																								BgL_res2427z00_2731;
																																							BgL_res2427z00_2731
																																								=
																																								MAKE_PAIR
																																								(BNIL,
																																								BNIL);
																																							BgL_head1205z00_1730
																																								=
																																								BgL_res2427z00_2731;
																																						}
																																						{
																																							obj_t
																																								BgL_l1203z00_1732;
																																							obj_t
																																								BgL_tail1206z00_1733;
																																							BgL_l1203z00_1732
																																								=
																																								BgL_bindsz00_896;
																																							BgL_tail1206z00_1733
																																								=
																																								BgL_head1205z00_1730;
																																						BgL_zc3anonymousza32029ze3z83_1734:
																																							if (NULLP(BgL_l1203z00_1732))
																																								{	/* Eval/evaluate.scm 400 */
																																									BgL_varsz00_1721
																																										=
																																										CDR
																																										(BgL_head1205z00_1730);
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 400 */
																																									obj_t
																																										BgL_newtail1207z00_1736;
																																									{	/* Eval/evaluate.scm 400 */
																																										BgL_ev_varz00_bglt
																																											BgL_arg2033z00_1738;
																																										{	/* Eval/evaluate.scm 400 */
																																											obj_t
																																												BgL_bz00_1739;
																																											BgL_bz00_1739
																																												=
																																												CAR
																																												(BgL_l1203z00_1732);
																																											{	/* Eval/evaluate.scm 401 */
																																												obj_t
																																													BgL_iz00_1740;
																																												BgL_iz00_1740
																																													=
																																													BGl_untypezd2identzd2zz__evaluatez00
																																													(CAR
																																													(BgL_bz00_1739));
																																												{	/* Eval/evaluate.scm 402 */
																																													BgL_ev_varz00_bglt
																																														BgL_new1127z00_1741;
																																													{	/* Eval/evaluate.scm 402 */
																																														BgL_ev_varz00_bglt
																																															BgL_new1126z00_1742;
																																														BgL_new1126z00_1742
																																															=
																																															(
																																															(BgL_ev_varz00_bglt)
																																															BREF
																																															(GC_MALLOC
																																																(sizeof
																																																	(struct
																																																		BgL_ev_varz00_bgl))));
																																														{	/* Eval/evaluate.scm 402 */
																																															long
																																																BgL_arg2034z00_1743;
																																															{	/* Eval/evaluate.scm 402 */
																																																long
																																																	BgL_res2429z00_2738;
																																																BgL_res2429z00_2738
																																																	=
																																																	BGL_CLASS_INDEX
																																																	(BGl_ev_varz00zz__evaluate_typesz00);
																																																BgL_arg2034z00_1743
																																																	=
																																																	BgL_res2429z00_2738;
																																															}
																																															{	/* Eval/evaluate.scm 402 */
																																																BgL_objectz00_bglt
																																																	BgL_objz00_2739;
																																																BgL_objz00_2739
																																																	=
																																																	(
																																																	(BgL_objectz00_bglt)
																																																	BgL_new1126z00_1742);
																																																BGL_OBJECT_CLASS_NUM_SET
																																																	(BgL_objz00_2739,
																																																	BgL_arg2034z00_1743);
																																														}}
																																														{	/* Eval/evaluate.scm 402 */
																																															BgL_objectz00_bglt
																																																BgL_auxz00_4958;
																																															BgL_auxz00_4958
																																																=
																																																(
																																																(BgL_objectz00_bglt)
																																																BgL_new1126z00_1742);
																																															BGL_OBJECT_WIDENING_SET
																																																(BgL_auxz00_4958,
																																																BFALSE);
																																														}
																																														BgL_new1127z00_1741
																																															=
																																															BgL_new1126z00_1742;
																																													}
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1127z00_1741))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1740)), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1127z00_1741))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																													((((BgL_ev_varz00_bglt) CREF(BgL_new1127z00_1741))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1740)), BUNSPEC);
																																													BgL_arg2033z00_1738
																																														=
																																														BgL_new1127z00_1741;
																																										}}}
																																										{	/* Eval/evaluate.scm 400 */
																																											obj_t
																																												BgL_res2430z00_2745;
																																											{	/* Eval/evaluate.scm 400 */
																																												obj_t
																																													BgL_obj1z00_2743;
																																												BgL_obj1z00_2743
																																													=
																																													(
																																													(obj_t)
																																													BgL_arg2033z00_1738);
																																												BgL_res2430z00_2745
																																													=
																																													MAKE_PAIR
																																													(BgL_obj1z00_2743,
																																													BNIL);
																																											}
																																											BgL_newtail1207z00_1736
																																												=
																																												BgL_res2430z00_2745;
																																									}}
																																									SET_CDR
																																										(BgL_tail1206z00_1733,
																																										BgL_newtail1207z00_1736);
																																									{
																																										obj_t
																																											BgL_tail1206z00_4971;
																																										obj_t
																																											BgL_l1203z00_4969;
																																										BgL_l1203z00_4969
																																											=
																																											CDR
																																											(BgL_l1203z00_1732);
																																										BgL_tail1206z00_4971
																																											=
																																											BgL_newtail1207z00_1736;
																																										BgL_tail1206z00_1733
																																											=
																																											BgL_tail1206z00_4971;
																																										BgL_l1203z00_1732
																																											=
																																											BgL_l1203z00_4969;
																																										goto
																																											BgL_zc3anonymousza32029ze3z83_1734;
																																									}
																																								}
																																						}
																																					}
																																				{	/* Eval/evaluate.scm 129 */
																																					obj_t
																																						BgL__ortest_1067z00_2751;
																																					BgL__ortest_1067z00_2751
																																						=
																																						BGl_getzd2sourcezd2locationz00zz__readerz00
																																						(BgL_bindsz00_896);
																																					if (CBOOL(BgL__ortest_1067z00_2751))
																																						{	/* Eval/evaluate.scm 129 */
																																							BgL_blocz00_1722
																																								=
																																								BgL__ortest_1067z00_2751;
																																						}
																																					else
																																						{	/* Eval/evaluate.scm 129 */
																																							BgL_blocz00_1722
																																								=
																																								BgL_locz00_54;
																																						}
																																				}
																																				{	/* Eval/evaluate.scm 407 */
																																					BgL_ev_letza2za2_bglt
																																						BgL_new1130z00_1723;
																																					{	/* Eval/evaluate.scm 407 */
																																						BgL_ev_letza2za2_bglt
																																							BgL_new1129z00_1726;
																																						BgL_new1129z00_1726
																																							=
																																							(
																																							(BgL_ev_letza2za2_bglt)
																																							BREF
																																							(GC_MALLOC
																																								(sizeof
																																									(struct
																																										BgL_ev_letza2za2_bgl))));
																																						{	/* Eval/evaluate.scm 407 */
																																							long
																																								BgL_arg2027z00_1727;
																																							{	/* Eval/evaluate.scm 407 */
																																								long
																																									BgL_res2431z00_2753;
																																								BgL_res2431z00_2753
																																									=
																																									BGL_CLASS_INDEX
																																									(BGl_ev_letza2za2zz__evaluate_typesz00);
																																								BgL_arg2027z00_1727
																																									=
																																									BgL_res2431z00_2753;
																																							}
																																							{	/* Eval/evaluate.scm 407 */
																																								BgL_objectz00_bglt
																																									BgL_objz00_2754;
																																								BgL_objz00_2754
																																									=
																																									(
																																									(BgL_objectz00_bglt)
																																									BgL_new1129z00_1726);
																																								BGL_OBJECT_CLASS_NUM_SET
																																									(BgL_objz00_2754,
																																									BgL_arg2027z00_1727);
																																						}}
																																						{	/* Eval/evaluate.scm 407 */
																																							BgL_objectz00_bglt
																																								BgL_auxz00_4979;
																																							BgL_auxz00_4979
																																								=
																																								(
																																								(BgL_objectz00_bglt)
																																								BgL_new1129z00_1726);
																																							BGL_OBJECT_WIDENING_SET
																																								(BgL_auxz00_4979,
																																								BFALSE);
																																						}
																																						BgL_new1130z00_1723
																																							=
																																							BgL_new1129z00_1726;
																																					}
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1130z00_1723)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1721), BUNSPEC);
																																					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1130z00_1723)))->BgL_valsz00) = ((obj_t) BGl_convzd2valszd2zz__evaluatez00(BgL_wherez00_53, BgL_globalsz00_51, BgL_bindsz00_896, BgL_varsz00_1721, BgL_localsz00_50, BgL_blocz00_1722)), BUNSPEC);
																																					{
																																						BgL_ev_exprz00_bglt
																																							BgL_auxz00_4987;
																																						{	/* Eval/evaluate.scm 410 */
																																							obj_t
																																								BgL_arg2024z00_1724;
																																							{	/* Eval/evaluate.scm 410 */
																																								obj_t
																																									BgL_arg2026z00_1725;
																																								BgL_arg2026z00_1725
																																									=
																																									bgl_reverse
																																									(BgL_varsz00_1721);
																																								BgL_arg2024z00_1724
																																									=
																																									BGl_appendzd221011zd2zz__evaluatez00
																																									(BgL_arg2026z00_1725,
																																									BgL_localsz00_50);
																																							}
																																							BgL_auxz00_4987
																																								=
																																								(
																																								(BgL_ev_exprz00_bglt)
																																								BGl_convzd2beginzd2zz__evaluatez00
																																								(BgL_bodyz00_897,
																																									BgL_arg2024z00_1724,
																																									BgL_globalsz00_51,
																																									BgL_tailzf3zf3_52,
																																									BgL_wherez00_53,
																																									BgL_locz00_54,
																																									((bool_t) 0)));
																																						}
																																						((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1130z00_1723)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4987), BUNSPEC);
																																					}
																																					((((BgL_ev_letza2za2_bglt) CREF(BgL_new1130z00_1723))->BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
																																					BgL_auxz00_4944
																																						=
																																						BgL_new1130z00_1723;
																																			}}
																																			return
																																				((obj_t)
																																				BgL_auxz00_4944);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1522z00_1073;
																																		obj_t
																																			BgL_arg1523z00_1074;
																																		BgL_arg1522z00_1073
																																			=
																																			CAR
																																			(BgL_ez00_49);
																																		BgL_arg1523z00_1074
																																			=
																																			CDR
																																			(BgL_ez00_49);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_4998;
																																			{
																																				obj_t
																																					BgL_argsz00_5000;
																																				obj_t
																																					BgL_fz00_4999;
																																				BgL_fz00_4999
																																					=
																																					BgL_arg1522z00_1073;
																																				BgL_argsz00_5000
																																					=
																																					BgL_arg1523z00_1074;
																																				BgL_argsz00_940
																																					=
																																					BgL_argsz00_5000;
																																				BgL_fz00_939
																																					=
																																					BgL_fz00_4999;
																																				goto
																																					BgL_tagzd2157zd2_941;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_4998);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_cdrzd26677zd2_1075;
																																BgL_cdrzd26677zd2_1075
																																	=
																																	CDR
																																	(BgL_ez00_49);
																																if ((CAR
																																		(BgL_ez00_49)
																																		==
																																		BGl_symbol2680z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 319 */
																																		if (PAIRP
																																			(BgL_cdrzd26677zd2_1075))
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_arg1527z00_1078;
																																				obj_t
																																					BgL_arg1528z00_1079;
																																				BgL_arg1527z00_1078
																																					=
																																					CAR
																																					(BgL_cdrzd26677zd2_1075);
																																				BgL_arg1528z00_1079
																																					=
																																					CDR
																																					(BgL_cdrzd26677zd2_1075);
																																				{
																																					BgL_ev_letrecz00_bglt
																																						BgL_auxz00_5010;
																																					BgL_bindsz00_899
																																						=
																																						BgL_arg1527z00_1078;
																																					BgL_bodyz00_900
																																						=
																																						BgL_arg1528z00_1079;
																																				BgL_tagzd2144zd2_901:
																																					{	/* Eval/evaluate.scm 412 */
																																						obj_t
																																							BgL_varsz00_1762;
																																						if (NULLP(BgL_bindsz00_899))
																																							{	/* Eval/evaluate.scm 412 */
																																								BgL_varsz00_1762
																																									=
																																									BNIL;
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 412 */
																																								obj_t
																																									BgL_head1210z00_1790;
																																								{	/* Eval/evaluate.scm 412 */
																																									obj_t
																																										BgL_res2434z00_2800;
																																									BgL_res2434z00_2800
																																										=
																																										MAKE_PAIR
																																										(BNIL,
																																										BNIL);
																																									BgL_head1210z00_1790
																																										=
																																										BgL_res2434z00_2800;
																																								}
																																								{
																																									obj_t
																																										BgL_l1208z00_1792;
																																									obj_t
																																										BgL_tail1211z00_1793;
																																									BgL_l1208z00_1792
																																										=
																																										BgL_bindsz00_899;
																																									BgL_tail1211z00_1793
																																										=
																																										BgL_head1210z00_1790;
																																								BgL_zc3anonymousza32061ze3z83_1794:
																																									if (NULLP(BgL_l1208z00_1792))
																																										{	/* Eval/evaluate.scm 412 */
																																											BgL_varsz00_1762
																																												=
																																												CDR
																																												(BgL_head1210z00_1790);
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 412 */
																																											obj_t
																																												BgL_newtail1212z00_1796;
																																											{	/* Eval/evaluate.scm 412 */
																																												BgL_ev_varz00_bglt
																																													BgL_arg2064z00_1798;
																																												{	/* Eval/evaluate.scm 412 */
																																													obj_t
																																														BgL_bz00_1799;
																																													BgL_bz00_1799
																																														=
																																														CAR
																																														(BgL_l1208z00_1792);
																																													{	/* Eval/evaluate.scm 413 */
																																														obj_t
																																															BgL_iz00_1800;
																																														BgL_iz00_1800
																																															=
																																															BGl_untypezd2identzd2zz__evaluatez00
																																															(CAR
																																															(BgL_bz00_1799));
																																														{	/* Eval/evaluate.scm 414 */
																																															BgL_ev_varz00_bglt
																																																BgL_new1132z00_1801;
																																															{	/* Eval/evaluate.scm 414 */
																																																BgL_ev_varz00_bglt
																																																	BgL_new1131z00_1802;
																																																BgL_new1131z00_1802
																																																	=
																																																	(
																																																	(BgL_ev_varz00_bglt)
																																																	BREF
																																																	(GC_MALLOC
																																																		(sizeof
																																																			(struct
																																																				BgL_ev_varz00_bgl))));
																																																{	/* Eval/evaluate.scm 414 */
																																																	long
																																																		BgL_arg2065z00_1803;
																																																	{	/* Eval/evaluate.scm 414 */
																																																		long
																																																			BgL_res2436z00_2807;
																																																		BgL_res2436z00_2807
																																																			=
																																																			BGL_CLASS_INDEX
																																																			(BGl_ev_varz00zz__evaluate_typesz00);
																																																		BgL_arg2065z00_1803
																																																			=
																																																			BgL_res2436z00_2807;
																																																	}
																																																	{	/* Eval/evaluate.scm 414 */
																																																		BgL_objectz00_bglt
																																																			BgL_objz00_2808;
																																																		BgL_objz00_2808
																																																			=
																																																			(
																																																			(BgL_objectz00_bglt)
																																																			BgL_new1131z00_1802);
																																																		BGL_OBJECT_CLASS_NUM_SET
																																																			(BgL_objz00_2808,
																																																			BgL_arg2065z00_1803);
																																																}}
																																																{	/* Eval/evaluate.scm 414 */
																																																	BgL_objectz00_bglt
																																																		BgL_auxz00_5024;
																																																	BgL_auxz00_5024
																																																		=
																																																		(
																																																		(BgL_objectz00_bglt)
																																																		BgL_new1131z00_1802);
																																																	BGL_OBJECT_WIDENING_SET
																																																		(BgL_auxz00_5024,
																																																		BFALSE);
																																																}
																																																BgL_new1132z00_1801
																																																	=
																																																	BgL_new1131z00_1802;
																																															}
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1132z00_1801))->BgL_namez00) = ((obj_t) CAR(BgL_iz00_1800)), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1132z00_1801))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																															((((BgL_ev_varz00_bglt) CREF(BgL_new1132z00_1801))->BgL_typez00) = ((obj_t) CDR(BgL_iz00_1800)), BUNSPEC);
																																															BgL_arg2064z00_1798
																																																=
																																																BgL_new1132z00_1801;
																																												}}}
																																												{	/* Eval/evaluate.scm 412 */
																																													obj_t
																																														BgL_res2437z00_2814;
																																													{	/* Eval/evaluate.scm 412 */
																																														obj_t
																																															BgL_obj1z00_2812;
																																														BgL_obj1z00_2812
																																															=
																																															(
																																															(obj_t)
																																															BgL_arg2064z00_1798);
																																														BgL_res2437z00_2814
																																															=
																																															MAKE_PAIR
																																															(BgL_obj1z00_2812,
																																															BNIL);
																																													}
																																													BgL_newtail1212z00_1796
																																														=
																																														BgL_res2437z00_2814;
																																											}}
																																											SET_CDR
																																												(BgL_tail1211z00_1793,
																																												BgL_newtail1212z00_1796);
																																											{
																																												obj_t
																																													BgL_tail1211z00_5037;
																																												obj_t
																																													BgL_l1208z00_5035;
																																												BgL_l1208z00_5035
																																													=
																																													CDR
																																													(BgL_l1208z00_1792);
																																												BgL_tail1211z00_5037
																																													=
																																													BgL_newtail1212z00_1796;
																																												BgL_tail1211z00_1793
																																													=
																																													BgL_tail1211z00_5037;
																																												BgL_l1208z00_1792
																																													=
																																													BgL_l1208z00_5035;
																																												goto
																																													BgL_zc3anonymousza32061ze3z83_1794;
																																											}
																																										}
																																								}
																																							}
																																						{	/* Eval/evaluate.scm 412 */
																																							obj_t
																																								BgL_localsz00_1763;
																																							BgL_localsz00_1763
																																								=
																																								BGl_appendzd221011zd2zz__evaluatez00
																																								(BgL_varsz00_1762,
																																								BgL_localsz00_50);
																																							{	/* Eval/evaluate.scm 418 */
																																								obj_t
																																									BgL_blocz00_1764;
																																								{	/* Eval/evaluate.scm 129 */
																																									obj_t
																																										BgL__ortest_1067z00_2820;
																																									BgL__ortest_1067z00_2820
																																										=
																																										BGl_getzd2sourcezd2locationz00zz__readerz00
																																										(BgL_bindsz00_899);
																																									if (CBOOL(BgL__ortest_1067z00_2820))
																																										{	/* Eval/evaluate.scm 129 */
																																											BgL_blocz00_1764
																																												=
																																												BgL__ortest_1067z00_2820;
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 129 */
																																											BgL_blocz00_1764
																																												=
																																												BgL_locz00_54;
																																										}
																																								}
																																								{	/* Eval/evaluate.scm 419 */

																																									{	/* Eval/evaluate.scm 420 */
																																										BgL_ev_letrecz00_bglt
																																											BgL_new1134z00_1765;
																																										{	/* Eval/evaluate.scm 420 */
																																											BgL_ev_letrecz00_bglt
																																												BgL_new1133z00_1786;
																																											BgL_new1133z00_1786
																																												=
																																												(
																																												(BgL_ev_letrecz00_bglt)
																																												BREF
																																												(GC_MALLOC
																																													(sizeof
																																														(struct
																																															BgL_ev_letrecz00_bgl))));
																																											{	/* Eval/evaluate.scm 420 */
																																												long
																																													BgL_arg2059z00_1787;
																																												{	/* Eval/evaluate.scm 420 */
																																													long
																																														BgL_res2438z00_2822;
																																													BgL_res2438z00_2822
																																														=
																																														BGL_CLASS_INDEX
																																														(BGl_ev_letrecz00zz__evaluate_typesz00);
																																													BgL_arg2059z00_1787
																																														=
																																														BgL_res2438z00_2822;
																																												}
																																												{	/* Eval/evaluate.scm 420 */
																																													BgL_objectz00_bglt
																																														BgL_objz00_2823;
																																													BgL_objz00_2823
																																														=
																																														(
																																														(BgL_objectz00_bglt)
																																														BgL_new1133z00_1786);
																																													BGL_OBJECT_CLASS_NUM_SET
																																														(BgL_objz00_2823,
																																														BgL_arg2059z00_1787);
																																											}}
																																											{	/* Eval/evaluate.scm 420 */
																																												BgL_objectz00_bglt
																																													BgL_auxz00_5046;
																																												BgL_auxz00_5046
																																													=
																																													(
																																													(BgL_objectz00_bglt)
																																													BgL_new1133z00_1786);
																																												BGL_OBJECT_WIDENING_SET
																																													(BgL_auxz00_5046,
																																													BFALSE);
																																											}
																																											BgL_new1134z00_1765
																																												=
																																												BgL_new1133z00_1786;
																																										}
																																										((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1134z00_1765)))->BgL_varsz00) = ((obj_t) BgL_varsz00_1762), BUNSPEC);
																																										{
																																											obj_t
																																												BgL_auxz00_5051;
																																											if (NULLP(BgL_bindsz00_899))
																																												{	/* Eval/evaluate.scm 422 */
																																													BgL_auxz00_5051
																																														=
																																														BNIL;
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 422 */
																																													obj_t
																																														BgL_head1215z00_1768;
																																													{	/* Eval/evaluate.scm 422 */
																																														obj_t
																																															BgL_res2440z00_2829;
																																														BgL_res2440z00_2829
																																															=
																																															MAKE_PAIR
																																															(BNIL,
																																															BNIL);
																																														BgL_head1215z00_1768
																																															=
																																															BgL_res2440z00_2829;
																																													}
																																													{
																																														obj_t
																																															BgL_l1213z00_1770;
																																														obj_t
																																															BgL_tail1216z00_1771;
																																														BgL_l1213z00_1770
																																															=
																																															BgL_bindsz00_899;
																																														BgL_tail1216z00_1771
																																															=
																																															BgL_head1215z00_1768;
																																													BgL_zc3anonymousza32047ze3z83_1772:
																																														if (NULLP(BgL_l1213z00_1770))
																																															{	/* Eval/evaluate.scm 422 */
																																																BgL_auxz00_5051
																																																	=
																																																	CDR
																																																	(BgL_head1215z00_1768);
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 422 */
																																																obj_t
																																																	BgL_newtail1217z00_1774;
																																																{	/* Eval/evaluate.scm 422 */
																																																	obj_t
																																																		BgL_arg2050z00_1776;
																																																	{	/* Eval/evaluate.scm 422 */
																																																		obj_t
																																																			BgL_bz00_1777;
																																																		{	/* Eval/evaluate.scm 422 */
																																																			obj_t
																																																				BgL_pairz00_2833;
																																																			BgL_pairz00_2833
																																																				=
																																																				BgL_l1213z00_1770;
																																																			BgL_bz00_1777
																																																				=
																																																				CAR
																																																				(BgL_pairz00_2833);
																																																		}
																																																		{	/* Eval/evaluate.scm 423 */
																																																			obj_t
																																																				BgL_arg2051z00_1778;
																																																			obj_t
																																																				BgL_arg2053z00_1779;
																																																			obj_t
																																																				BgL_arg2054z00_1780;
																																																			{	/* Eval/evaluate.scm 423 */
																																																				obj_t
																																																					BgL_pairz00_2834;
																																																				BgL_pairz00_2834
																																																					=
																																																					BgL_bz00_1777;
																																																				{	/* Eval/evaluate.scm 423 */
																																																					obj_t
																																																						BgL_pairz00_2837;
																																																					BgL_pairz00_2837
																																																						=
																																																						CDR
																																																						(BgL_pairz00_2834);
																																																					BgL_arg2051z00_1778
																																																						=
																																																						CAR
																																																						(BgL_pairz00_2837);
																																																				}
																																																			}
																																																			{	/* Eval/evaluate.scm 423 */
																																																				obj_t
																																																					BgL_arg2055z00_1781;
																																																				{	/* Eval/evaluate.scm 423 */
																																																					obj_t
																																																						BgL_pairz00_2838;
																																																					BgL_pairz00_2838
																																																						=
																																																						BgL_bz00_1777;
																																																					BgL_arg2055z00_1781
																																																						=
																																																						CAR
																																																						(BgL_pairz00_2838);
																																																				}
																																																				{	/* Eval/evaluate.scm 423 */
																																																					obj_t
																																																						BgL_list2056z00_1782;
																																																					{	/* Eval/evaluate.scm 423 */
																																																						obj_t
																																																							BgL_arg2057z00_1783;
																																																						{	/* Eval/evaluate.scm 423 */
																																																							obj_t
																																																								BgL_arg2058z00_1784;
																																																							BgL_arg2058z00_1784
																																																								=
																																																								MAKE_PAIR
																																																								(BgL_wherez00_53,
																																																								BNIL);
																																																							BgL_arg2057z00_1783
																																																								=
																																																								MAKE_PAIR
																																																								(BGl_symbol2655z00zz__evaluatez00,
																																																								BgL_arg2058z00_1784);
																																																						}
																																																						BgL_list2056z00_1782
																																																							=
																																																							MAKE_PAIR
																																																							(BgL_arg2055z00_1781,
																																																							BgL_arg2057z00_1783);
																																																					}
																																																					BgL_arg2053z00_1779
																																																						=
																																																						BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00
																																																						(BgL_list2056z00_1782);
																																																				}
																																																			}
																																																			{	/* Eval/evaluate.scm 129 */
																																																				obj_t
																																																					BgL__ortest_1067z00_2841;
																																																				BgL__ortest_1067z00_2841
																																																					=
																																																					BGl_getzd2sourcezd2locationz00zz__readerz00
																																																					(BgL_bz00_1777);
																																																				if (CBOOL(BgL__ortest_1067z00_2841))
																																																					{	/* Eval/evaluate.scm 129 */
																																																						BgL_arg2054z00_1780
																																																							=
																																																							BgL__ortest_1067z00_2841;
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 129 */
																																																						BgL_arg2054z00_1780
																																																							=
																																																							BgL_blocz00_1764;
																																																					}
																																																			}
																																																			BgL_arg2050z00_1776
																																																				=
																																																				BGl_convz00zz__evaluatez00
																																																				(BgL_arg2051z00_1778,
																																																				BgL_localsz00_1763,
																																																				BgL_globalsz00_51,
																																																				BFALSE,
																																																				BgL_arg2053z00_1779,
																																																				BgL_arg2054z00_1780,
																																																				((bool_t) 0));
																																																		}
																																																	}
																																																	{	/* Eval/evaluate.scm 422 */
																																																		obj_t
																																																			BgL_res2442z00_2844;
																																																		BgL_res2442z00_2844
																																																			=
																																																			MAKE_PAIR
																																																			(BgL_arg2050z00_1776,
																																																			BNIL);
																																																		BgL_newtail1217z00_1774
																																																			=
																																																			BgL_res2442z00_2844;
																																																	}
																																																}
																																																SET_CDR
																																																	(BgL_tail1216z00_1771,
																																																	BgL_newtail1217z00_1774);
																																																{	/* Eval/evaluate.scm 422 */
																																																	obj_t
																																																		BgL_arg2049z00_1775;
																																																	{	/* Eval/evaluate.scm 422 */
																																																		obj_t
																																																			BgL_pairz00_2847;
																																																		BgL_pairz00_2847
																																																			=
																																																			BgL_l1213z00_1770;
																																																		BgL_arg2049z00_1775
																																																			=
																																																			CDR
																																																			(BgL_pairz00_2847);
																																																	}
																																																	{
																																																		obj_t
																																																			BgL_tail1216z00_5075;
																																																		obj_t
																																																			BgL_l1213z00_5074;
																																																		BgL_l1213z00_5074
																																																			=
																																																			BgL_arg2049z00_1775;
																																																		BgL_tail1216z00_5075
																																																			=
																																																			BgL_newtail1217z00_1774;
																																																		BgL_tail1216z00_1771
																																																			=
																																																			BgL_tail1216z00_5075;
																																																		BgL_l1213z00_1770
																																																			=
																																																			BgL_l1213z00_5074;
																																																		goto
																																																			BgL_zc3anonymousza32047ze3z83_1772;
																																																	}
																																																}
																																															}
																																													}
																																												}
																																											((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1134z00_1765)))->BgL_valsz00) = ((obj_t) BgL_auxz00_5051), BUNSPEC);
																																										}
																																										((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt) BgL_new1134z00_1765)))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_900, BgL_localsz00_1763, BgL_globalsz00_51, BgL_tailzf3zf3_52, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																										BgL_auxz00_5010
																																											=
																																											BgL_new1134z00_1765;
																																									}
																																								}
																																							}
																																						}
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_5010);
																																				}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_arg1529z00_1080;
																																				BgL_arg1529z00_1080
																																					=
																																					CAR
																																					(BgL_ez00_49);
																																				{
																																					BgL_ev_appz00_bglt
																																						BgL_auxz00_5083;
																																					{
																																						obj_t
																																							BgL_argsz00_5085;
																																						obj_t
																																							BgL_fz00_5084;
																																						BgL_fz00_5084
																																							=
																																							BgL_arg1529z00_1080;
																																						BgL_argsz00_5085
																																							=
																																							BgL_cdrzd26677zd2_1075;
																																						BgL_argsz00_940
																																							=
																																							BgL_argsz00_5085;
																																						BgL_fz00_939
																																							=
																																							BgL_fz00_5084;
																																						goto
																																							BgL_tagzd2157zd2_941;
																																					}
																																					return
																																						(
																																						(obj_t)
																																						BgL_auxz00_5083);
																																				}
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		if (
																																			(CAR
																																				(BgL_ez00_49)
																																				==
																																				BGl_symbol2682z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 319 */
																																				if (PAIRP(BgL_cdrzd26677zd2_1075))
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_carzd26851zd2_1085;
																																						obj_t
																																							BgL_cdrzd26852zd2_1086;
																																						BgL_carzd26851zd2_1085
																																							=
																																							CAR
																																							(BgL_cdrzd26677zd2_1075);
																																						BgL_cdrzd26852zd2_1086
																																							=
																																							CDR
																																							(BgL_cdrzd26677zd2_1075);
																																						if (PAIRP(BgL_carzd26851zd2_1085))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd26856zd2_1088;
																																								BgL_cdrzd26856zd2_1088
																																									=
																																									CDR
																																									(BgL_carzd26851zd2_1085);
																																								if ((CAR(BgL_carzd26851zd2_1085) == BGl_symbol2660z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (PAIRP(BgL_cdrzd26856zd2_1088))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_carzd26859zd2_1091;
																																												obj_t
																																													BgL_cdrzd26860zd2_1092;
																																												BgL_carzd26859zd2_1091
																																													=
																																													CAR
																																													(BgL_cdrzd26856zd2_1088);
																																												BgL_cdrzd26860zd2_1092
																																													=
																																													CDR
																																													(BgL_cdrzd26856zd2_1088);
																																												if (SYMBOLP(BgL_carzd26859zd2_1091))
																																													{	/* Eval/evaluate.scm 319 */
																																														if (PAIRP(BgL_cdrzd26860zd2_1092))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_carzd26864zd2_1095;
																																																BgL_carzd26864zd2_1095
																																																	=
																																																	CAR
																																																	(BgL_cdrzd26860zd2_1092);
																																																if (SYMBOLP(BgL_carzd26864zd2_1095))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd26860zd2_1092)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				if (PAIRP(BgL_cdrzd26852zd2_1086))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						if (NULLP(CDR(BgL_cdrzd26852zd2_1086)))
																																																							{	/* Eval/evaluate.scm 319 */
																																																								obj_t
																																																									BgL_arg1543z00_1100;
																																																								BgL_arg1543z00_1100
																																																									=
																																																									CAR
																																																									(BgL_cdrzd26852zd2_1086);
																																																								{	/* Eval/evaluate.scm 319 */
																																																									obj_t
																																																										BgL_idz00_3193;
																																																									obj_t
																																																										BgL_modnamez00_3194;
																																																									BgL_idz00_3193
																																																										=
																																																										BgL_carzd26859zd2_1091;
																																																									BgL_modnamez00_3194
																																																										=
																																																										BgL_carzd26864zd2_1095;
																																																									{	/* Eval/evaluate.scm 426 */
																																																										BgL_ev_setglobalz00_bglt
																																																											BgL_new1136z00_3196;
																																																										{	/* Eval/evaluate.scm 426 */
																																																											BgL_ev_setglobalz00_bglt
																																																												BgL_new1135z00_3197;
																																																											BgL_new1135z00_3197
																																																												=
																																																												(
																																																												(BgL_ev_setglobalz00_bglt)
																																																												BREF
																																																												(GC_MALLOC
																																																													(sizeof
																																																														(struct
																																																															BgL_ev_setglobalz00_bgl))));
																																																											{	/* Eval/evaluate.scm 426 */
																																																												long
																																																													BgL_arg2067z00_3198;
																																																												{	/* Eval/evaluate.scm 426 */
																																																													long
																																																														BgL_res2497z00_3200;
																																																													BgL_res2497z00_3200
																																																														=
																																																														BGL_CLASS_INDEX
																																																														(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																													BgL_arg2067z00_3198
																																																														=
																																																														BgL_res2497z00_3200;
																																																												}
																																																												{	/* Eval/evaluate.scm 426 */
																																																													BgL_objectz00_bglt
																																																														BgL_objz00_3201;
																																																													BgL_objz00_3201
																																																														=
																																																														(
																																																														(BgL_objectz00_bglt)
																																																														BgL_new1135z00_3197);
																																																													BGL_OBJECT_CLASS_NUM_SET
																																																														(BgL_objz00_3201,
																																																														BgL_arg2067z00_3198);
																																																											}}
																																																											{	/* Eval/evaluate.scm 426 */
																																																												BgL_objectz00_bglt
																																																													BgL_auxz00_5124;
																																																												BgL_auxz00_5124
																																																													=
																																																													(
																																																													(BgL_objectz00_bglt)
																																																													BgL_new1135z00_3197);
																																																												BGL_OBJECT_WIDENING_SET
																																																													(BgL_auxz00_5124,
																																																													BFALSE);
																																																											}
																																																											BgL_new1136z00_3196
																																																												=
																																																												BgL_new1135z00_3197;
																																																										}
																																																										{
																																																											BgL_ev_exprz00_bglt
																																																												BgL_auxz00_5127;
																																																											{	/* Eval/evaluate.scm 280 */
																																																												obj_t
																																																													BgL_arg2104z00_3204;
																																																												BgL_arg2104z00_3204
																																																													=
																																																													BGl_getzd2locationzd2zz__evaluatez00
																																																													(BgL_arg1543z00_1100,
																																																													BgL_locz00_54);
																																																												BgL_auxz00_5127
																																																													=
																																																													(
																																																													(BgL_ev_exprz00_bglt)
																																																													BGl_uconvzf2loczf2zz__evaluatez00
																																																													(BgL_wherez00_53,
																																																														BgL_globalsz00_51,
																																																														BgL_localsz00_50,
																																																														BgL_arg1543z00_1100,
																																																														BgL_arg2104z00_3204));
																																																											}
																																																											((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1136z00_3196)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5127), BUNSPEC);
																																																										}
																																																										((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1136z00_3196))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																										((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1136z00_3196))->BgL_namez00) = ((obj_t) BgL_idz00_3193), BUNSPEC);
																																																										((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1136z00_3196))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_3194)), BUNSPEC);
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_new1136z00_3196);
																																																									}
																																																								}
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 319 */
																																																								return
																																																									BGl_evcompilezd2errorzd2zz__evcompilez00
																																																									(BgL_locz00_54,
																																																									BGl_string2648z00zz__evaluatez00,
																																																									BGl_string2654z00zz__evaluatez00,
																																																									BgL_ez00_49);
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_54,
																																																							BGl_string2648z00zz__evaluatez00,
																																																							BGl_string2654z00zz__evaluatez00,
																																																							BgL_ez00_49);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_cdrzd26980zd2_1102;
																																																				BgL_cdrzd26980zd2_1102
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_cdrzd26984zd2_1103;
																																																					BgL_cdrzd26984zd2_1103
																																																						=
																																																						CDR
																																																						(BgL_cdrzd26980zd2_1102);
																																																					if (PAIRP(BgL_cdrzd26984zd2_1103))
																																																						{	/* Eval/evaluate.scm 319 */
																																																							if (NULLP(CDR(BgL_cdrzd26984zd2_1103)))
																																																								{	/* Eval/evaluate.scm 319 */
																																																									obj_t
																																																										BgL_arg1549z00_1106;
																																																									obj_t
																																																										BgL_arg1550z00_1107;
																																																									BgL_arg1549z00_1106
																																																										=
																																																										CAR
																																																										(BgL_cdrzd26980zd2_1102);
																																																									BgL_arg1550z00_1107
																																																										=
																																																										CAR
																																																										(BgL_cdrzd26984zd2_1103);
																																																									{
																																																										BgL_ev_hookz00_bglt
																																																											BgL_auxz00_5149;
																																																										BgL_vz00_909
																																																											=
																																																											BgL_arg1549z00_1106;
																																																										BgL_ez00_910
																																																											=
																																																											BgL_arg1550z00_1107;
																																																									BgL_tagzd2147zd2_911:
																																																										{	/* Eval/evaluate.scm 436 */
																																																											obj_t
																																																												BgL_cvz00_1822;
																																																											obj_t
																																																												BgL_ez00_1823;
																																																											BgL_cvz00_1822
																																																												=
																																																												BGl_convzd2varzd2zz__evaluatez00
																																																												(BgL_vz00_909,
																																																												BgL_localsz00_50);
																																																											{	/* Eval/evaluate.scm 280 */
																																																												obj_t
																																																													BgL_arg2104z00_2874;
																																																												{	/* Eval/evaluate.scm 129 */
																																																													obj_t
																																																														BgL__ortest_1067z00_2877;
																																																													BgL__ortest_1067z00_2877
																																																														=
																																																														BGl_getzd2sourcezd2locationz00zz__readerz00
																																																														(BgL_ez00_910);
																																																													if (CBOOL(BgL__ortest_1067z00_2877))
																																																														{	/* Eval/evaluate.scm 129 */
																																																															BgL_arg2104z00_2874
																																																																=
																																																																BgL__ortest_1067z00_2877;
																																																														}
																																																													else
																																																														{	/* Eval/evaluate.scm 129 */
																																																															BgL_arg2104z00_2874
																																																																=
																																																																BgL_locz00_54;
																																																														}
																																																												}
																																																												BgL_ez00_1823
																																																													=
																																																													BGl_convz00zz__evaluatez00
																																																													(BgL_ez00_910,
																																																													BgL_localsz00_50,
																																																													BgL_globalsz00_51,
																																																													BFALSE,
																																																													BgL_wherez00_53,
																																																													BgL_arg2104z00_2874,
																																																													((bool_t) 0));
																																																											}
																																																											if (CBOOL(BgL_cvz00_1822))
																																																												{	/* Eval/evaluate.scm 438 */
																																																													BgL_ev_setlocalz00_bglt
																																																														BgL_new1138z00_1824;
																																																													{	/* Eval/evaluate.scm 438 */
																																																														BgL_ev_setlocalz00_bglt
																																																															BgL_new1137z00_1825;
																																																														BgL_new1137z00_1825
																																																															=
																																																															(
																																																															(BgL_ev_setlocalz00_bglt)
																																																															BREF
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setlocalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 438 */
																																																															long
																																																																BgL_arg2076z00_1826;
																																																															{	/* Eval/evaluate.scm 438 */
																																																																long
																																																																	BgL_res2448z00_2881;
																																																																BgL_res2448z00_2881
																																																																	=
																																																																	BGL_CLASS_INDEX
																																																																	(BGl_ev_setlocalz00zz__evaluate_typesz00);
																																																																BgL_arg2076z00_1826
																																																																	=
																																																																	BgL_res2448z00_2881;
																																																															}
																																																															{	/* Eval/evaluate.scm 438 */
																																																																BgL_objectz00_bglt
																																																																	BgL_objz00_2882;
																																																																BgL_objz00_2882
																																																																	=
																																																																	(
																																																																	(BgL_objectz00_bglt)
																																																																	BgL_new1137z00_1825);
																																																																BGL_OBJECT_CLASS_NUM_SET
																																																																	(BgL_objz00_2882,
																																																																	BgL_arg2076z00_1826);
																																																														}}
																																																														{	/* Eval/evaluate.scm 438 */
																																																															BgL_objectz00_bglt
																																																																BgL_auxz00_5161;
																																																															BgL_auxz00_5161
																																																																=
																																																																(
																																																																(BgL_objectz00_bglt)
																																																																BgL_new1137z00_1825);
																																																															BGL_OBJECT_WIDENING_SET
																																																																(BgL_auxz00_5161,
																																																																BFALSE);
																																																														}
																																																														BgL_new1138z00_1824
																																																															=
																																																															BgL_new1137z00_1825;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1138z00_1824)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_1823)), BUNSPEC);
																																																													((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1138z00_1824))->BgL_vz00) = ((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) BgL_cvz00_1822)), BUNSPEC);
																																																													BgL_auxz00_5149
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1138z00_1824);
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 441 */
																																																													BgL_ev_setglobalz00_bglt
																																																														BgL_new1140z00_1827;
																																																													{	/* Eval/evaluate.scm 441 */
																																																														BgL_ev_setglobalz00_bglt
																																																															BgL_new1139z00_1829;
																																																														BgL_new1139z00_1829
																																																															=
																																																															(
																																																															(BgL_ev_setglobalz00_bglt)
																																																															BREF
																																																															(GC_MALLOC
																																																																(sizeof
																																																																	(struct
																																																																		BgL_ev_setglobalz00_bgl))));
																																																														{	/* Eval/evaluate.scm 441 */
																																																															long
																																																																BgL_arg2078z00_1830;
																																																															{	/* Eval/evaluate.scm 441 */
																																																																long
																																																																	BgL_res2449z00_2885;
																																																																BgL_res2449z00_2885
																																																																	=
																																																																	BGL_CLASS_INDEX
																																																																	(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																																BgL_arg2078z00_1830
																																																																	=
																																																																	BgL_res2449z00_2885;
																																																															}
																																																															{	/* Eval/evaluate.scm 441 */
																																																																BgL_objectz00_bglt
																																																																	BgL_objz00_2886;
																																																																BgL_objz00_2886
																																																																	=
																																																																	(
																																																																	(BgL_objectz00_bglt)
																																																																	BgL_new1139z00_1829);
																																																																BGL_OBJECT_CLASS_NUM_SET
																																																																	(BgL_objz00_2886,
																																																																	BgL_arg2078z00_1830);
																																																														}}
																																																														{	/* Eval/evaluate.scm 441 */
																																																															BgL_objectz00_bglt
																																																																BgL_auxz00_5174;
																																																															BgL_auxz00_5174
																																																																=
																																																																(
																																																																(BgL_objectz00_bglt)
																																																																BgL_new1139z00_1829);
																																																															BGL_OBJECT_WIDENING_SET
																																																																(BgL_auxz00_5174,
																																																																BFALSE);
																																																														}
																																																														BgL_new1140z00_1827
																																																															=
																																																															BgL_new1139z00_1829;
																																																													}
																																																													((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1140z00_1827)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BgL_ez00_1823)), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1140z00_1827))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																													((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1140z00_1827))->BgL_namez00) = ((obj_t) BgL_vz00_909), BUNSPEC);
																																																													{
																																																														obj_t
																																																															BgL_auxz00_5182;
																																																														if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
																																																															{	/* Eval/evaluate.scm 444 */
																																																																BgL_auxz00_5182
																																																																	=
																																																																	BgL_globalsz00_51;
																																																															}
																																																														else
																																																															{	/* Eval/evaluate.scm 444 */
																																																																BgL_auxz00_5182
																																																																	=
																																																																	BGL_MODULE
																																																																	();
																																																															}
																																																														((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1140z00_1827))->BgL_modz00) = ((obj_t) BgL_auxz00_5182), BUNSPEC);
																																																													}
																																																													BgL_auxz00_5149
																																																														=
																																																														(
																																																														(BgL_ev_hookz00_bglt)
																																																														BgL_new1140z00_1827);
																																																												}
																																																										}
																																																										return
																																																											(
																																																											(obj_t)
																																																											BgL_auxz00_5149);
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate.scm 319 */
																																																									return
																																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																																										(BgL_locz00_54,
																																																										BGl_string2648z00zz__evaluatez00,
																																																										BGl_string2654z00zz__evaluatez00,
																																																										BgL_ez00_49);
																																																								}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 319 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_54,
																																																								BGl_string2648z00zz__evaluatez00,
																																																								BGl_string2654z00zz__evaluatez00,
																																																								BgL_ez00_49);
																																																						}
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd27041zd2_1110;
																																																		BgL_cdrzd27041zd2_1110
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_cdrzd27045zd2_1111;
																																																			BgL_cdrzd27045zd2_1111
																																																				=
																																																				CDR
																																																				(BgL_cdrzd27041zd2_1110);
																																																			if (PAIRP(BgL_cdrzd27045zd2_1111))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					if (NULLP(CDR(BgL_cdrzd27045zd2_1111)))
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_arg1555z00_1114;
																																																							obj_t
																																																								BgL_arg1556z00_1115;
																																																							BgL_arg1555z00_1114
																																																								=
																																																								CAR
																																																								(BgL_cdrzd27041zd2_1110);
																																																							BgL_arg1556z00_1115
																																																								=
																																																								CAR
																																																								(BgL_cdrzd27045zd2_1111);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_5200;
																																																								{
																																																									obj_t
																																																										BgL_ez00_5202;
																																																									obj_t
																																																										BgL_vz00_5201;
																																																									BgL_vz00_5201
																																																										=
																																																										BgL_arg1555z00_1114;
																																																									BgL_ez00_5202
																																																										=
																																																										BgL_arg1556z00_1115;
																																																									BgL_ez00_910
																																																										=
																																																										BgL_ez00_5202;
																																																									BgL_vz00_909
																																																										=
																																																										BgL_vz00_5201;
																																																									goto
																																																										BgL_tagzd2147zd2_911;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_5200);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 319 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_54,
																																																								BGl_string2648z00zz__evaluatez00,
																																																								BGl_string2654z00zz__evaluatez00,
																																																								BgL_ez00_49);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2648z00zz__evaluatez00,
																																																						BGl_string2654z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd27102zd2_1117;
																																																BgL_cdrzd27102zd2_1117
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_cdrzd27106zd2_1118;
																																																	BgL_cdrzd27106zd2_1118
																																																		=
																																																		CDR
																																																		(BgL_cdrzd27102zd2_1117);
																																																	if (PAIRP(BgL_cdrzd27106zd2_1118))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			if (NULLP(CDR(BgL_cdrzd27106zd2_1118)))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_arg1560z00_1121;
																																																					obj_t
																																																						BgL_arg1561z00_1122;
																																																					BgL_arg1560z00_1121
																																																						=
																																																						CAR
																																																						(BgL_cdrzd27102zd2_1117);
																																																					BgL_arg1561z00_1122
																																																						=
																																																						CAR
																																																						(BgL_cdrzd27106zd2_1118);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_5215;
																																																						{
																																																							obj_t
																																																								BgL_ez00_5217;
																																																							obj_t
																																																								BgL_vz00_5216;
																																																							BgL_vz00_5216
																																																								=
																																																								BgL_arg1560z00_1121;
																																																							BgL_ez00_5217
																																																								=
																																																								BgL_arg1561z00_1122;
																																																							BgL_ez00_910
																																																								=
																																																								BgL_ez00_5217;
																																																							BgL_vz00_909
																																																								=
																																																								BgL_vz00_5216;
																																																							goto
																																																								BgL_tagzd2147zd2_911;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_5215);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2648z00zz__evaluatez00,
																																																						BGl_string2654z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2648z00zz__evaluatez00,
																																																				BGl_string2654z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd27163zd2_1124;
																																														BgL_cdrzd27163zd2_1124
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_cdrzd27167zd2_1125;
																																															BgL_cdrzd27167zd2_1125
																																																=
																																																CDR
																																																(BgL_cdrzd27163zd2_1124);
																																															if (PAIRP(BgL_cdrzd27167zd2_1125))
																																																{	/* Eval/evaluate.scm 319 */
																																																	if (NULLP(CDR(BgL_cdrzd27167zd2_1125)))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_arg1565z00_1128;
																																																			obj_t
																																																				BgL_arg1566z00_1129;
																																																			BgL_arg1565z00_1128
																																																				=
																																																				CAR
																																																				(BgL_cdrzd27163zd2_1124);
																																																			BgL_arg1566z00_1129
																																																				=
																																																				CAR
																																																				(BgL_cdrzd27167zd2_1125);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_5230;
																																																				{
																																																					obj_t
																																																						BgL_ez00_5232;
																																																					obj_t
																																																						BgL_vz00_5231;
																																																					BgL_vz00_5231
																																																						=
																																																						BgL_arg1565z00_1128;
																																																					BgL_ez00_5232
																																																						=
																																																						BgL_arg1566z00_1129;
																																																					BgL_ez00_910
																																																						=
																																																						BgL_ez00_5232;
																																																					BgL_vz00_909
																																																						=
																																																						BgL_vz00_5231;
																																																					goto
																																																						BgL_tagzd2147zd2_911;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_5230);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2648z00zz__evaluatez00,
																																																				BGl_string2654z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2648z00zz__evaluatez00,
																																																		BGl_string2654z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd27224zd2_1131;
																																												BgL_cdrzd27224zd2_1131
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_cdrzd27228zd2_1132;
																																													BgL_cdrzd27228zd2_1132
																																														=
																																														CDR
																																														(BgL_cdrzd27224zd2_1131);
																																													if (PAIRP(BgL_cdrzd27228zd2_1132))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd27228zd2_1132)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_arg1570z00_1135;
																																																	obj_t
																																																		BgL_arg1572z00_1136;
																																																	BgL_arg1570z00_1135
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27224zd2_1131);
																																																	BgL_arg1572z00_1136
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27228zd2_1132);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_5245;
																																																		{
																																																			obj_t
																																																				BgL_ez00_5247;
																																																			obj_t
																																																				BgL_vz00_5246;
																																																			BgL_vz00_5246
																																																				=
																																																				BgL_arg1570z00_1135;
																																																			BgL_ez00_5247
																																																				=
																																																				BgL_arg1572z00_1136;
																																																			BgL_ez00_910
																																																				=
																																																				BgL_ez00_5247;
																																																			BgL_vz00_909
																																																				=
																																																				BgL_vz00_5246;
																																																			goto
																																																				BgL_tagzd2147zd2_911;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5245);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2648z00zz__evaluatez00,
																																																		BGl_string2654z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2648z00zz__evaluatez00,
																																																BGl_string2654z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd27272zd2_1138;
																																										BgL_cdrzd27272zd2_1138
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_carzd27275zd2_1139;
																																											obj_t
																																												BgL_cdrzd27276zd2_1140;
																																											BgL_carzd27275zd2_1139
																																												=
																																												CAR
																																												(BgL_cdrzd27272zd2_1138);
																																											BgL_cdrzd27276zd2_1140
																																												=
																																												CDR
																																												(BgL_cdrzd27272zd2_1138);
																																											if ((CAR(BgL_carzd27275zd2_1139) == BGl_symbol2662z00zz__evaluatez00))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (PAIRP(BgL_cdrzd27276zd2_1140))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd27276zd2_1140)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	BgL_lz00_906
																																																		=
																																																		CDR
																																																		(BgL_carzd27275zd2_1139);
																																																	BgL_e2z00_907
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27276zd2_1140);
																																																BgL_tagzd2146zd2_908:
																																																	{	/* Eval/evaluate.scm 432 */
																																																		bool_t
																																																			BgL_testz00_5262;
																																																		if (PAIRP(BgL_lz00_906))
																																																			{	/* Eval/evaluate.scm 432 */
																																																				bool_t
																																																					BgL_testz00_5265;
																																																				{	/* Eval/evaluate.scm 432 */
																																																					obj_t
																																																						BgL_auxz00_5266;
																																																					BgL_auxz00_5266
																																																						=
																																																						CDR
																																																						(BgL_lz00_906);
																																																					BgL_testz00_5265
																																																						=
																																																						PAIRP
																																																						(BgL_auxz00_5266);
																																																				}
																																																				if (BgL_testz00_5265)
																																																					{
																																																						obj_t
																																																							BgL_l1218z00_1813;
																																																						BgL_l1218z00_1813
																																																							=
																																																							BgL_lz00_906;
																																																					BgL_zc3anonymousza32071ze3z83_1814:
																																																						if (NULLP(BgL_l1218z00_1813))
																																																							{	/* Eval/evaluate.scm 432 */
																																																								BgL_testz00_5262
																																																									=
																																																									(
																																																									(bool_t)
																																																									1);
																																																							}
																																																						else
																																																							{	/* Eval/evaluate.scm 432 */
																																																								bool_t
																																																									BgL_testz00_5271;
																																																								{	/* Eval/evaluate.scm 432 */
																																																									obj_t
																																																										BgL_auxz00_5272;
																																																									BgL_auxz00_5272
																																																										=
																																																										CAR
																																																										(BgL_l1218z00_1813);
																																																									BgL_testz00_5271
																																																										=
																																																										SYMBOLP
																																																										(BgL_auxz00_5272);
																																																								}
																																																								if (BgL_testz00_5271)
																																																									{
																																																										obj_t
																																																											BgL_l1218z00_5275;
																																																										BgL_l1218z00_5275
																																																											=
																																																											CDR
																																																											(BgL_l1218z00_1813);
																																																										BgL_l1218z00_1813
																																																											=
																																																											BgL_l1218z00_5275;
																																																										goto
																																																											BgL_zc3anonymousza32071ze3z83_1814;
																																																									}
																																																								else
																																																									{	/* Eval/evaluate.scm 432 */
																																																										BgL_testz00_5262
																																																											=
																																																											(
																																																											(bool_t)
																																																											0);
																																																									}
																																																							}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 432 */
																																																						BgL_testz00_5262
																																																							=
																																																							(
																																																							(bool_t)
																																																							0);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 432 */
																																																				BgL_testz00_5262
																																																					=
																																																					(
																																																					(bool_t)
																																																					0);
																																																			}
																																																		if (BgL_testz00_5262)
																																																			{	/* Eval/evaluate.scm 432 */
																																																				return
																																																					BGl_convzd2fieldzd2setz00zz__evaluatez00
																																																					(BgL_lz00_906,
																																																					BgL_e2z00_907,
																																																					BgL_ez00_49,
																																																					BgL_localsz00_50,
																																																					BgL_globalsz00_51,
																																																					BgL_tailzf3zf3_52,
																																																					BgL_wherez00_53,
																																																					BgL_locz00_54,
																																																					BgL_topzf3zf3_55);
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 432 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_54,
																																																					BGl_string2648z00zz__evaluatez00,
																																																					BGl_string2654z00zz__evaluatez00,
																																																					BgL_ez00_49);
																																																			}
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2648z00zz__evaluatez00,
																																																		BGl_string2654z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2648z00zz__evaluatez00,
																																																BGl_string2654z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_cdrzd27352zd2_1148;
																																													BgL_cdrzd27352zd2_1148
																																														=
																																														CDR
																																														(BgL_cdrzd27272zd2_1138);
																																													if (PAIRP(BgL_cdrzd27352zd2_1148))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd27352zd2_1148)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_arg1582z00_1151;
																																																	obj_t
																																																		BgL_arg1583z00_1152;
																																																	BgL_arg1582z00_1151
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27272zd2_1138);
																																																	BgL_arg1583z00_1152
																																																		=
																																																		CAR
																																																		(BgL_cdrzd27352zd2_1148);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_5291;
																																																		{
																																																			obj_t
																																																				BgL_ez00_5293;
																																																			obj_t
																																																				BgL_vz00_5292;
																																																			BgL_vz00_5292
																																																				=
																																																				BgL_arg1582z00_1151;
																																																			BgL_ez00_5293
																																																				=
																																																				BgL_arg1583z00_1152;
																																																			BgL_ez00_910
																																																				=
																																																				BgL_ez00_5293;
																																																			BgL_vz00_909
																																																				=
																																																				BgL_vz00_5292;
																																																			goto
																																																				BgL_tagzd2147zd2_911;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_5291);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2648z00zz__evaluatez00,
																																																		BGl_string2654z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2648z00zz__evaluatez00,
																																																BGl_string2654z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd27409zd2_1156;
																																								BgL_cdrzd27409zd2_1156
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								{	/* Eval/evaluate.scm 319 */
																																									obj_t
																																										BgL_cdrzd27413zd2_1157;
																																									BgL_cdrzd27413zd2_1157
																																										=
																																										CDR
																																										(BgL_cdrzd27409zd2_1156);
																																									if (PAIRP(BgL_cdrzd27413zd2_1157))
																																										{	/* Eval/evaluate.scm 319 */
																																											if (NULLP(CDR(BgL_cdrzd27413zd2_1157)))
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_arg1589z00_1160;
																																													obj_t
																																														BgL_arg1590z00_1161;
																																													BgL_arg1589z00_1160
																																														=
																																														CAR
																																														(BgL_cdrzd27409zd2_1156);
																																													BgL_arg1590z00_1161
																																														=
																																														CAR
																																														(BgL_cdrzd27413zd2_1157);
																																													{
																																														BgL_ev_hookz00_bglt
																																															BgL_auxz00_5306;
																																														{
																																															obj_t
																																																BgL_ez00_5308;
																																															obj_t
																																																BgL_vz00_5307;
																																															BgL_vz00_5307
																																																=
																																																BgL_arg1589z00_1160;
																																															BgL_ez00_5308
																																																=
																																																BgL_arg1590z00_1161;
																																															BgL_ez00_910
																																																=
																																																BgL_ez00_5308;
																																															BgL_vz00_909
																																																=
																																																BgL_vz00_5307;
																																															goto
																																																BgL_tagzd2147zd2_911;
																																														}
																																														return
																																															(
																																															(obj_t)
																																															BgL_auxz00_5306);
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2648z00zz__evaluatez00,
																																														BGl_string2654z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 319 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_54,
																																												BGl_string2648z00zz__evaluatez00,
																																												BGl_string2654z00zz__evaluatez00,
																																												BgL_ez00_49);
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						return
																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																							(BgL_locz00_54,
																																							BGl_string2648z00zz__evaluatez00,
																																							BGl_string2654z00zz__evaluatez00,
																																							BgL_ez00_49);
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_cdrzd27534zd2_1163;
																																				BgL_cdrzd27534zd2_1163
																																					=
																																					CDR
																																					(BgL_ez00_49);
																																				if ((CAR
																																						(BgL_ez00_49)
																																						==
																																						BGl_symbol2684z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 319 */
																																						if (PAIRP(BgL_cdrzd27534zd2_1163))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd27539zd2_1166;
																																								BgL_cdrzd27539zd2_1166
																																									=
																																									CDR
																																									(BgL_cdrzd27534zd2_1163);
																																								if (PAIRP(BgL_cdrzd27539zd2_1166))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_carzd27543zd2_1168;
																																										BgL_carzd27543zd2_1168
																																											=
																																											CAR
																																											(BgL_cdrzd27539zd2_1166);
																																										if (PAIRP(BgL_carzd27543zd2_1168))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd27548zd2_1170;
																																												BgL_cdrzd27548zd2_1170
																																													=
																																													CDR
																																													(BgL_carzd27543zd2_1168);
																																												if ((CAR(BgL_carzd27543zd2_1168) == BGl_symbol2686z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 319 */
																																														if (PAIRP(BgL_cdrzd27548zd2_1170))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd27552zd2_1173;
																																																BgL_cdrzd27552zd2_1173
																																																	=
																																																	CDR
																																																	(BgL_cdrzd27548zd2_1170);
																																																if (PAIRP(BgL_cdrzd27552zd2_1173))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd27552zd2_1173)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				if (NULLP(CDR(BgL_cdrzd27539zd2_1166)))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1601z00_1177;
																																																						obj_t
																																																							BgL_arg1602z00_1178;
																																																						obj_t
																																																							BgL_arg1603z00_1179;
																																																						BgL_arg1601z00_1177
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27534zd2_1163);
																																																						BgL_arg1602z00_1178
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27548zd2_1170);
																																																						BgL_arg1603z00_1179
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27552zd2_1173);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_5343;
																																																							BgL_gvz00_913
																																																								=
																																																								BgL_arg1601z00_1177;
																																																							BgL_formalsz00_914
																																																								=
																																																								BgL_arg1602z00_1178;
																																																							BgL_bodyz00_915
																																																								=
																																																								BgL_arg1603z00_1179;
																																																						BgL_tagzd2149zd2_916:
																																																							{	/* Eval/evaluate.scm 449 */
																																																								BgL_ev_defglobalz00_bglt
																																																									BgL_new1142z00_1831;
																																																								{	/* Eval/evaluate.scm 449 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1141z00_1834;
																																																									BgL_new1141z00_1834
																																																										=
																																																										(
																																																										(BgL_ev_defglobalz00_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_defglobalz00_bgl))));
																																																									{	/* Eval/evaluate.scm 449 */
																																																										long
																																																											BgL_arg2081z00_1835;
																																																										{	/* Eval/evaluate.scm 449 */
																																																											long
																																																												BgL_res2450z00_2889;
																																																											BgL_res2450z00_2889
																																																												=
																																																												BGL_CLASS_INDEX
																																																												(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																											BgL_arg2081z00_1835
																																																												=
																																																												BgL_res2450z00_2889;
																																																										}
																																																										{	/* Eval/evaluate.scm 449 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_2890;
																																																											BgL_objz00_2890
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1141z00_1834);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_2890,
																																																												BgL_arg2081z00_1835);
																																																									}}
																																																									{	/* Eval/evaluate.scm 449 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5348;
																																																										BgL_auxz00_5348
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1141z00_1834);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5348,
																																																											BFALSE);
																																																									}
																																																									BgL_new1142z00_1831
																																																										=
																																																										BgL_new1141z00_1834;
																																																								}
																																																								((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1142z00_1831)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2lambdazd2zz__evaluatez00(BgL_globalsz00_51, BgL_localsz00_50, BgL_locz00_54, BgL_ez00_49, BgL_formalsz00_914, BgL_bodyz00_915, BgL_gvz00_913))), BUNSPEC);
																																																								((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1142z00_1831)))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5357;
																																																									{	/* Eval/evaluate.scm 451 */
																																																										obj_t
																																																											BgL_arg2079z00_1832;
																																																										BgL_arg2079z00_1832
																																																											=
																																																											BGl_untypezd2identzd2zz__evaluatez00
																																																											(BgL_gvz00_913);
																																																										BgL_auxz00_5357
																																																											=
																																																											CAR
																																																											(BgL_arg2079z00_1832);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1142z00_1831)))->BgL_namez00) = ((obj_t) BgL_auxz00_5357), BUNSPEC);
																																																								}
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5362;
																																																									if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
																																																										{	/* Eval/evaluate.scm 452 */
																																																											BgL_auxz00_5362
																																																												=
																																																												BgL_globalsz00_51;
																																																										}
																																																									else
																																																										{	/* Eval/evaluate.scm 452 */
																																																											BgL_auxz00_5362
																																																												=
																																																												BGL_MODULE
																																																												();
																																																										}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1142z00_1831)))->BgL_modz00) = ((obj_t) BgL_auxz00_5362), BUNSPEC);
																																																								}
																																																								BgL_auxz00_5343
																																																									=
																																																									BgL_new1142z00_1831;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5343);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1604z00_1180;
																																																						BgL_arg1604z00_1180
																																																							=
																																																							CAR
																																																							(BgL_ez00_49);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_5370;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_5372;
																																																								obj_t
																																																									BgL_fz00_5371;
																																																								BgL_fz00_5371
																																																									=
																																																									BgL_arg1604z00_1180;
																																																								BgL_argsz00_5372
																																																									=
																																																									BgL_cdrzd27534zd2_1163;
																																																								BgL_argsz00_940
																																																									=
																																																									BgL_argsz00_5372;
																																																								BgL_fz00_939
																																																									=
																																																									BgL_fz00_5371;
																																																								goto
																																																									BgL_tagzd2157zd2_941;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5370);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_cdrzd27652zd2_1184;
																																																				BgL_cdrzd27652zd2_1184
																																																					=
																																																					CDR
																																																					(BgL_cdrzd27534zd2_1163);
																																																				if (NULLP(CDR(BgL_cdrzd27652zd2_1184)))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1608z00_1186;
																																																						obj_t
																																																							BgL_arg1609z00_1187;
																																																						BgL_arg1608z00_1186
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27534zd2_1163);
																																																						BgL_arg1609z00_1187
																																																							=
																																																							CAR
																																																							(BgL_cdrzd27652zd2_1184);
																																																						{
																																																							BgL_ev_defglobalz00_bglt
																																																								BgL_auxz00_5380;
																																																							BgL_gvz00_917
																																																								=
																																																								BgL_arg1608z00_1186;
																																																							BgL_gez00_918
																																																								=
																																																								BgL_arg1609z00_1187;
																																																						BgL_tagzd2150zd2_919:
																																																							{	/* Eval/evaluate.scm 455 */
																																																								BgL_ev_defglobalz00_bglt
																																																									BgL_new1144z00_1836;
																																																								{	/* Eval/evaluate.scm 455 */
																																																									BgL_ev_defglobalz00_bglt
																																																										BgL_new1143z00_1839;
																																																									BgL_new1143z00_1839
																																																										=
																																																										(
																																																										(BgL_ev_defglobalz00_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_defglobalz00_bgl))));
																																																									{	/* Eval/evaluate.scm 455 */
																																																										long
																																																											BgL_arg2084z00_1840;
																																																										{	/* Eval/evaluate.scm 455 */
																																																											long
																																																												BgL_res2451z00_2894;
																																																											BgL_res2451z00_2894
																																																												=
																																																												BGL_CLASS_INDEX
																																																												(BGl_ev_defglobalz00zz__evaluate_typesz00);
																																																											BgL_arg2084z00_1840
																																																												=
																																																												BgL_res2451z00_2894;
																																																										}
																																																										{	/* Eval/evaluate.scm 455 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_2895;
																																																											BgL_objz00_2895
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1143z00_1839);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_2895,
																																																												BgL_arg2084z00_1840);
																																																									}}
																																																									{	/* Eval/evaluate.scm 455 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5385;
																																																										BgL_auxz00_5385
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1143z00_1839);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5385,
																																																											BFALSE);
																																																									}
																																																									BgL_new1144z00_1836
																																																										=
																																																										BgL_new1143z00_1839;
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_5388;
																																																									{	/* Eval/evaluate.scm 280 */
																																																										obj_t
																																																											BgL_arg2104z00_2898;
																																																										{	/* Eval/evaluate.scm 129 */
																																																											obj_t
																																																												BgL__ortest_1067z00_2901;
																																																											BgL__ortest_1067z00_2901
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BgL_gez00_918);
																																																											if (CBOOL(BgL__ortest_1067z00_2901))
																																																												{	/* Eval/evaluate.scm 129 */
																																																													BgL_arg2104z00_2898
																																																														=
																																																														BgL__ortest_1067z00_2901;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 129 */
																																																													BgL_arg2104z00_2898
																																																														=
																																																														BgL_locz00_54;
																																																												}
																																																										}
																																																										BgL_auxz00_5388
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BgL_gez00_918,
																																																												BgL_localsz00_50,
																																																												BgL_globalsz00_51,
																																																												BFALSE,
																																																												BgL_wherez00_53,
																																																												BgL_arg2104z00_2898,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1144z00_1836)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5388), BUNSPEC);
																																																								}
																																																								((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1144z00_1836)))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5398;
																																																									{	/* Eval/evaluate.scm 457 */
																																																										obj_t
																																																											BgL_arg2082z00_1837;
																																																										BgL_arg2082z00_1837
																																																											=
																																																											BGl_untypezd2identzd2zz__evaluatez00
																																																											(BgL_gvz00_917);
																																																										BgL_auxz00_5398
																																																											=
																																																											CAR
																																																											(BgL_arg2082z00_1837);
																																																									}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1144z00_1836)))->BgL_namez00) = ((obj_t) BgL_auxz00_5398), BUNSPEC);
																																																								}
																																																								{
																																																									obj_t
																																																										BgL_auxz00_5403;
																																																									if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
																																																										{	/* Eval/evaluate.scm 458 */
																																																											BgL_auxz00_5403
																																																												=
																																																												BgL_globalsz00_51;
																																																										}
																																																									else
																																																										{	/* Eval/evaluate.scm 458 */
																																																											BgL_auxz00_5403
																																																												=
																																																												BGL_MODULE
																																																												();
																																																										}
																																																									((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt) BgL_new1144z00_1836)))->BgL_modz00) = ((obj_t) BgL_auxz00_5403), BUNSPEC);
																																																								}
																																																								BgL_auxz00_5380
																																																									=
																																																									BgL_new1144z00_1836;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5380);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1610z00_1188;
																																																						obj_t
																																																							BgL_arg1611z00_1189;
																																																						BgL_arg1610z00_1188
																																																							=
																																																							CAR
																																																							(BgL_ez00_49);
																																																						BgL_arg1611z00_1189
																																																							=
																																																							CDR
																																																							(BgL_ez00_49);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_5412;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_5414;
																																																								obj_t
																																																									BgL_fz00_5413;
																																																								BgL_fz00_5413
																																																									=
																																																									BgL_arg1610z00_1188;
																																																								BgL_argsz00_5414
																																																									=
																																																									BgL_arg1611z00_1189;
																																																								BgL_argsz00_940
																																																									=
																																																									BgL_argsz00_5414;
																																																								BgL_fz00_939
																																																									=
																																																									BgL_fz00_5413;
																																																								goto
																																																									BgL_tagzd2157zd2_941;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5412);
																																																						}
																																																					}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd27739zd2_1193;
																																																		BgL_cdrzd27739zd2_1193
																																																			=
																																																			CDR
																																																			(BgL_cdrzd27534zd2_1163);
																																																		if (NULLP(CDR(BgL_cdrzd27739zd2_1193)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1615z00_1195;
																																																				obj_t
																																																					BgL_arg1616z00_1196;
																																																				BgL_arg1615z00_1195
																																																					=
																																																					CAR
																																																					(BgL_cdrzd27534zd2_1163);
																																																				BgL_arg1616z00_1196
																																																					=
																																																					CAR
																																																					(BgL_cdrzd27739zd2_1193);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_5422;
																																																					{
																																																						obj_t
																																																							BgL_gez00_5424;
																																																						obj_t
																																																							BgL_gvz00_5423;
																																																						BgL_gvz00_5423
																																																							=
																																																							BgL_arg1615z00_1195;
																																																						BgL_gez00_5424
																																																							=
																																																							BgL_arg1616z00_1196;
																																																						BgL_gez00_918
																																																							=
																																																							BgL_gez00_5424;
																																																						BgL_gvz00_917
																																																							=
																																																							BgL_gvz00_5423;
																																																						goto
																																																							BgL_tagzd2150zd2_919;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5422);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1617z00_1197;
																																																				obj_t
																																																					BgL_arg1618z00_1198;
																																																				BgL_arg1617z00_1197
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				BgL_arg1618z00_1198
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5428;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5430;
																																																						obj_t
																																																							BgL_fz00_5429;
																																																						BgL_fz00_5429
																																																							=
																																																							BgL_arg1617z00_1197;
																																																						BgL_argsz00_5430
																																																							=
																																																							BgL_arg1618z00_1198;
																																																						BgL_argsz00_940
																																																							=
																																																							BgL_argsz00_5430;
																																																						BgL_fz00_939
																																																							=
																																																							BgL_fz00_5429;
																																																						goto
																																																							BgL_tagzd2157zd2_941;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5428);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd27826zd2_1201;
																																																BgL_cdrzd27826zd2_1201
																																																	=
																																																	CDR
																																																	(BgL_cdrzd27534zd2_1163);
																																																if (NULLP(CDR(BgL_cdrzd27826zd2_1201)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1621z00_1203;
																																																		obj_t
																																																			BgL_arg1622z00_1204;
																																																		BgL_arg1621z00_1203
																																																			=
																																																			CAR
																																																			(BgL_cdrzd27534zd2_1163);
																																																		BgL_arg1622z00_1204
																																																			=
																																																			CAR
																																																			(BgL_cdrzd27826zd2_1201);
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_5438;
																																																			{
																																																				obj_t
																																																					BgL_gez00_5440;
																																																				obj_t
																																																					BgL_gvz00_5439;
																																																				BgL_gvz00_5439
																																																					=
																																																					BgL_arg1621z00_1203;
																																																				BgL_gez00_5440
																																																					=
																																																					BgL_arg1622z00_1204;
																																																				BgL_gez00_918
																																																					=
																																																					BgL_gez00_5440;
																																																				BgL_gvz00_917
																																																					=
																																																					BgL_gvz00_5439;
																																																				goto
																																																					BgL_tagzd2150zd2_919;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5438);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1623z00_1205;
																																																		obj_t
																																																			BgL_arg1624z00_1206;
																																																		BgL_arg1623z00_1205
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		BgL_arg1624z00_1206
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_5444;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_5446;
																																																				obj_t
																																																					BgL_fz00_5445;
																																																				BgL_fz00_5445
																																																					=
																																																					BgL_arg1623z00_1205;
																																																				BgL_argsz00_5446
																																																					=
																																																					BgL_arg1624z00_1206;
																																																				BgL_argsz00_940
																																																					=
																																																					BgL_argsz00_5446;
																																																				BgL_fz00_939
																																																					=
																																																					BgL_fz00_5445;
																																																				goto
																																																					BgL_tagzd2157zd2_941;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5444);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd27913zd2_1209;
																																														BgL_cdrzd27913zd2_1209
																																															=
																																															CDR
																																															(BgL_cdrzd27534zd2_1163);
																																														if (NULLP(CDR(BgL_cdrzd27913zd2_1209)))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1627z00_1211;
																																																obj_t
																																																	BgL_arg1628z00_1212;
																																																BgL_arg1627z00_1211
																																																	=
																																																	CAR
																																																	(BgL_cdrzd27534zd2_1163);
																																																BgL_arg1628z00_1212
																																																	=
																																																	CAR
																																																	(BgL_cdrzd27913zd2_1209);
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_5454;
																																																	{
																																																		obj_t
																																																			BgL_gez00_5456;
																																																		obj_t
																																																			BgL_gvz00_5455;
																																																		BgL_gvz00_5455
																																																			=
																																																			BgL_arg1627z00_1211;
																																																		BgL_gez00_5456
																																																			=
																																																			BgL_arg1628z00_1212;
																																																		BgL_gez00_918
																																																			=
																																																			BgL_gez00_5456;
																																																		BgL_gvz00_917
																																																			=
																																																			BgL_gvz00_5455;
																																																		goto
																																																			BgL_tagzd2150zd2_919;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5454);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1629z00_1213;
																																																obj_t
																																																	BgL_arg1630z00_1214;
																																																BgL_arg1629z00_1213
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																BgL_arg1630z00_1214
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_5460;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_5462;
																																																		obj_t
																																																			BgL_fz00_5461;
																																																		BgL_fz00_5461
																																																			=
																																																			BgL_arg1629z00_1213;
																																																		BgL_argsz00_5462
																																																			=
																																																			BgL_arg1630z00_1214;
																																																		BgL_argsz00_940
																																																			=
																																																			BgL_argsz00_5462;
																																																		BgL_fz00_939
																																																			=
																																																			BgL_fz00_5461;
																																																		goto
																																																			BgL_tagzd2157zd2_941;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5460);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd28000zd2_1218;
																																												BgL_cdrzd28000zd2_1218
																																													=
																																													CDR
																																													(BgL_cdrzd27534zd2_1163);
																																												if (NULLP(CDR(BgL_cdrzd28000zd2_1218)))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1635z00_1220;
																																														obj_t
																																															BgL_arg1636z00_1221;
																																														BgL_arg1635z00_1220
																																															=
																																															CAR
																																															(BgL_cdrzd27534zd2_1163);
																																														BgL_arg1636z00_1221
																																															=
																																															CAR
																																															(BgL_cdrzd28000zd2_1218);
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_5470;
																																															{
																																																obj_t
																																																	BgL_gez00_5472;
																																																obj_t
																																																	BgL_gvz00_5471;
																																																BgL_gvz00_5471
																																																	=
																																																	BgL_arg1635z00_1220;
																																																BgL_gez00_5472
																																																	=
																																																	BgL_arg1636z00_1221;
																																																BgL_gez00_918
																																																	=
																																																	BgL_gez00_5472;
																																																BgL_gvz00_917
																																																	=
																																																	BgL_gvz00_5471;
																																																goto
																																																	BgL_tagzd2150zd2_919;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5470);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1637z00_1222;
																																														obj_t
																																															BgL_arg1638z00_1223;
																																														BgL_arg1637z00_1222
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1638z00_1223
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5476;
																																															{
																																																obj_t
																																																	BgL_argsz00_5478;
																																																obj_t
																																																	BgL_fz00_5477;
																																																BgL_fz00_5477
																																																	=
																																																	BgL_arg1637z00_1222;
																																																BgL_argsz00_5478
																																																	=
																																																	BgL_arg1638z00_1223;
																																																BgL_argsz00_940
																																																	=
																																																	BgL_argsz00_5478;
																																																BgL_fz00_939
																																																	=
																																																	BgL_fz00_5477;
																																																goto
																																																	BgL_tagzd2157zd2_941;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5476);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1640z00_1225;
																																										BgL_arg1640z00_1225
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_5481;
																																											{
																																												obj_t
																																													BgL_argsz00_5483;
																																												obj_t
																																													BgL_fz00_5482;
																																												BgL_fz00_5482
																																													=
																																													BgL_arg1640z00_1225;
																																												BgL_argsz00_5483
																																													=
																																													BgL_cdrzd27534zd2_1163;
																																												BgL_argsz00_940
																																													=
																																													BgL_argsz00_5483;
																																												BgL_fz00_939
																																													=
																																													BgL_fz00_5482;
																																												goto
																																													BgL_tagzd2157zd2_941;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_5481);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_arg1642z00_1227;
																																								BgL_arg1642z00_1227
																																									=
																																									CAR
																																									(BgL_ez00_49);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_5486;
																																									{
																																										obj_t
																																											BgL_argsz00_5488;
																																										obj_t
																																											BgL_fz00_5487;
																																										BgL_fz00_5487
																																											=
																																											BgL_arg1642z00_1227;
																																										BgL_argsz00_5488
																																											=
																																											BgL_cdrzd27534zd2_1163;
																																										BgL_argsz00_940
																																											=
																																											BgL_argsz00_5488;
																																										BgL_fz00_939
																																											=
																																											BgL_fz00_5487;
																																										goto
																																											BgL_tagzd2157zd2_941;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_5486);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						if (
																																							(CAR
																																								(BgL_ez00_49)
																																								==
																																								BGl_symbol2688z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 319 */
																																								if (PAIRP(BgL_cdrzd27534zd2_1163))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_carzd28242zd2_1232;
																																										BgL_carzd28242zd2_1232
																																											=
																																											CAR
																																											(BgL_cdrzd27534zd2_1163);
																																										if (PAIRP(BgL_carzd28242zd2_1232))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (NULLP(CDR(BgL_carzd28242zd2_1232)))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1649z00_1235;
																																														obj_t
																																															BgL_arg1650z00_1236;
																																														BgL_arg1649z00_1235
																																															=
																																															CAR
																																															(BgL_carzd28242zd2_1232);
																																														BgL_arg1650z00_1236
																																															=
																																															CDR
																																															(BgL_cdrzd27534zd2_1163);
																																														{
																																															BgL_ev_bindzd2exitzd2_bglt
																																																BgL_auxz00_5503;
																																															BgL_vz00_920
																																																=
																																																BgL_arg1649z00_1235;
																																															BgL_bodyz00_921
																																																=
																																																BgL_arg1650z00_1236;
																																														BgL_tagzd2151zd2_922:
																																															{	/* Eval/evaluate.scm 461 */
																																																BgL_ev_varz00_bglt
																																																	BgL_varz00_1841;
																																																{	/* Eval/evaluate.scm 461 */
																																																	BgL_ev_varz00_bglt
																																																		BgL_new1146z00_1846;
																																																	{	/* Eval/evaluate.scm 461 */
																																																		BgL_ev_varz00_bglt
																																																			BgL_new1145z00_1847;
																																																		BgL_new1145z00_1847
																																																			=
																																																			(
																																																			(BgL_ev_varz00_bglt)
																																																			BREF
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_varz00_bgl))));
																																																		{	/* Eval/evaluate.scm 461 */
																																																			long
																																																				BgL_arg2087z00_1848;
																																																			{	/* Eval/evaluate.scm 461 */
																																																				long
																																																					BgL_res2452z00_2906;
																																																				BgL_res2452z00_2906
																																																					=
																																																					BGL_CLASS_INDEX
																																																					(BGl_ev_varz00zz__evaluate_typesz00);
																																																				BgL_arg2087z00_1848
																																																					=
																																																					BgL_res2452z00_2906;
																																																			}
																																																			{	/* Eval/evaluate.scm 461 */
																																																				BgL_objectz00_bglt
																																																					BgL_objz00_2907;
																																																				BgL_objz00_2907
																																																					=
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					BgL_new1145z00_1847);
																																																				BGL_OBJECT_CLASS_NUM_SET
																																																					(BgL_objz00_2907,
																																																					BgL_arg2087z00_1848);
																																																		}}
																																																		{	/* Eval/evaluate.scm 461 */
																																																			BgL_objectz00_bglt
																																																				BgL_auxz00_5508;
																																																			BgL_auxz00_5508
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1145z00_1847);
																																																			BGL_OBJECT_WIDENING_SET
																																																				(BgL_auxz00_5508,
																																																				BFALSE);
																																																		}
																																																		BgL_new1146z00_1846
																																																			=
																																																			BgL_new1145z00_1847;
																																																	}
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1146z00_1846))->BgL_namez00) = ((obj_t) BgL_vz00_920), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1146z00_1846))->BgL_effz00) = ((obj_t) BFALSE), BUNSPEC);
																																																	((((BgL_ev_varz00_bglt) CREF(BgL_new1146z00_1846))->BgL_typez00) = ((obj_t) BFALSE), BUNSPEC);
																																																	BgL_varz00_1841
																																																		=
																																																		BgL_new1146z00_1846;
																																																}
																																																{	/* Eval/evaluate.scm 462 */
																																																	BgL_ev_bindzd2exitzd2_bglt
																																																		BgL_new1148z00_1842;
																																																	{	/* Eval/evaluate.scm 462 */
																																																		BgL_ev_bindzd2exitzd2_bglt
																																																			BgL_new1147z00_1844;
																																																		BgL_new1147z00_1844
																																																			=
																																																			(
																																																			(BgL_ev_bindzd2exitzd2_bglt)
																																																			BREF
																																																			(GC_MALLOC
																																																				(sizeof
																																																					(struct
																																																						BgL_ev_bindzd2exitzd2_bgl))));
																																																		{	/* Eval/evaluate.scm 462 */
																																																			long
																																																				BgL_arg2086z00_1845;
																																																			{	/* Eval/evaluate.scm 462 */
																																																				long
																																																					BgL_res2453z00_2910;
																																																				BgL_res2453z00_2910
																																																					=
																																																					BGL_CLASS_INDEX
																																																					(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
																																																				BgL_arg2086z00_1845
																																																					=
																																																					BgL_res2453z00_2910;
																																																			}
																																																			{	/* Eval/evaluate.scm 462 */
																																																				BgL_objectz00_bglt
																																																					BgL_objz00_2911;
																																																				BgL_objz00_2911
																																																					=
																																																					(
																																																					(BgL_objectz00_bglt)
																																																					BgL_new1147z00_1844);
																																																				BGL_OBJECT_CLASS_NUM_SET
																																																					(BgL_objz00_2911,
																																																					BgL_arg2086z00_1845);
																																																		}}
																																																		{	/* Eval/evaluate.scm 462 */
																																																			BgL_objectz00_bglt
																																																				BgL_auxz00_5518;
																																																			BgL_auxz00_5518
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1147z00_1844);
																																																			BGL_OBJECT_WIDENING_SET
																																																				(BgL_auxz00_5518,
																																																				BFALSE);
																																																		}
																																																		BgL_new1148z00_1842
																																																			=
																																																			BgL_new1147z00_1844;
																																																	}
																																																	((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1148z00_1842))->BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_varz00_1841), BUNSPEC);
																																																	{
																																																		BgL_ev_exprz00_bglt
																																																			BgL_auxz00_5522;
																																																		{	/* Eval/evaluate.scm 464 */
																																																			obj_t
																																																				BgL_arg2085z00_1843;
																																																			BgL_arg2085z00_1843
																																																				=
																																																				MAKE_PAIR
																																																				(
																																																				((obj_t) BgL_varz00_1841), BgL_localsz00_50);
																																																			BgL_auxz00_5522
																																																				=
																																																				(
																																																				(BgL_ev_exprz00_bglt)
																																																				BGl_convzd2beginzd2zz__evaluatez00
																																																				(BgL_bodyz00_921,
																																																					BgL_arg2085z00_1843,
																																																					BgL_globalsz00_51,
																																																					BFALSE,
																																																					BgL_wherez00_53,
																																																					BgL_locz00_54,
																																																					((bool_t) 0)));
																																																		}
																																																		((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1148z00_1842))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5522), BUNSPEC);
																																																	}
																																																	BgL_auxz00_5503
																																																		=
																																																		BgL_new1148z00_1842;
																																															}}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5503);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1651z00_1237;
																																														obj_t
																																															BgL_arg1652z00_1238;
																																														BgL_arg1651z00_1237
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1652z00_1238
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5531;
																																															{
																																																obj_t
																																																	BgL_argsz00_5533;
																																																obj_t
																																																	BgL_fz00_5532;
																																																BgL_fz00_5532
																																																	=
																																																	BgL_arg1651z00_1237;
																																																BgL_argsz00_5533
																																																	=
																																																	BgL_arg1652z00_1238;
																																																BgL_argsz00_940
																																																	=
																																																	BgL_argsz00_5533;
																																																BgL_fz00_939
																																																	=
																																																	BgL_fz00_5532;
																																																goto
																																																	BgL_tagzd2157zd2_941;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5531);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1654z00_1240;
																																												obj_t
																																													BgL_arg1655z00_1241;
																																												BgL_arg1654z00_1240
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1655z00_1241
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_5537;
																																													{
																																														obj_t
																																															BgL_argsz00_5539;
																																														obj_t
																																															BgL_fz00_5538;
																																														BgL_fz00_5538
																																															=
																																															BgL_arg1654z00_1240;
																																														BgL_argsz00_5539
																																															=
																																															BgL_arg1655z00_1241;
																																														BgL_argsz00_940
																																															=
																																															BgL_argsz00_5539;
																																														BgL_fz00_939
																																															=
																																															BgL_fz00_5538;
																																														goto
																																															BgL_tagzd2157zd2_941;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_5537);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1656z00_1242;
																																										obj_t
																																											BgL_arg1657z00_1243;
																																										BgL_arg1656z00_1242
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										BgL_arg1657z00_1243
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_5543;
																																											{
																																												obj_t
																																													BgL_argsz00_5545;
																																												obj_t
																																													BgL_fz00_5544;
																																												BgL_fz00_5544
																																													=
																																													BgL_arg1656z00_1242;
																																												BgL_argsz00_5545
																																													=
																																													BgL_arg1657z00_1243;
																																												BgL_argsz00_940
																																													=
																																													BgL_argsz00_5545;
																																												BgL_fz00_939
																																													=
																																													BgL_fz00_5544;
																																												goto
																																													BgL_tagzd2157zd2_941;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_5543);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd28407zd2_1244;
																																								BgL_cdrzd28407zd2_1244
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								if ((CAR(BgL_ez00_49) == BGl_symbol2690z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (PAIRP(BgL_cdrzd28407zd2_1244))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1660z00_1247;
																																												obj_t
																																													BgL_arg1661z00_1248;
																																												BgL_arg1660z00_1247
																																													=
																																													CAR
																																													(BgL_cdrzd28407zd2_1244);
																																												BgL_arg1661z00_1248
																																													=
																																													CDR
																																													(BgL_cdrzd28407zd2_1244);
																																												{
																																													BgL_ev_unwindzd2protectzd2_bglt
																																														BgL_auxz00_5555;
																																													BgL_ez00_923
																																														=
																																														BgL_arg1660z00_1247;
																																													BgL_bodyz00_924
																																														=
																																														BgL_arg1661z00_1248;
																																												BgL_tagzd2152zd2_925:
																																													{	/* Eval/evaluate.scm 466 */
																																														BgL_ev_unwindzd2protectzd2_bglt
																																															BgL_new1150z00_1849;
																																														{	/* Eval/evaluate.scm 466 */
																																															BgL_ev_unwindzd2protectzd2_bglt
																																																BgL_new1149z00_1850;
																																															BgL_new1149z00_1850
																																																=
																																																(
																																																(BgL_ev_unwindzd2protectzd2_bglt)
																																																BREF
																																																(GC_MALLOC
																																																	(sizeof
																																																		(struct
																																																			BgL_ev_unwindzd2protectzd2_bgl))));
																																															{	/* Eval/evaluate.scm 466 */
																																																long
																																																	BgL_arg2089z00_1851;
																																																{	/* Eval/evaluate.scm 466 */
																																																	long
																																																		BgL_res2454z00_2914;
																																																	BgL_res2454z00_2914
																																																		=
																																																		BGL_CLASS_INDEX
																																																		(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
																																																	BgL_arg2089z00_1851
																																																		=
																																																		BgL_res2454z00_2914;
																																																}
																																																{	/* Eval/evaluate.scm 466 */
																																																	BgL_objectz00_bglt
																																																		BgL_objz00_2915;
																																																	BgL_objz00_2915
																																																		=
																																																		(
																																																		(BgL_objectz00_bglt)
																																																		BgL_new1149z00_1850);
																																																	BGL_OBJECT_CLASS_NUM_SET
																																																		(BgL_objz00_2915,
																																																		BgL_arg2089z00_1851);
																																															}}
																																															{	/* Eval/evaluate.scm 466 */
																																																BgL_objectz00_bglt
																																																	BgL_auxz00_5560;
																																																BgL_auxz00_5560
																																																	=
																																																	(
																																																	(BgL_objectz00_bglt)
																																																	BgL_new1149z00_1850);
																																																BGL_OBJECT_WIDENING_SET
																																																	(BgL_auxz00_5560,
																																																	BFALSE);
																																															}
																																															BgL_new1150z00_1849
																																																=
																																																BgL_new1149z00_1850;
																																														}
																																														{
																																															BgL_ev_exprz00_bglt
																																																BgL_auxz00_5563;
																																															{	/* Eval/evaluate.scm 280 */
																																																obj_t
																																																	BgL_arg2104z00_2918;
																																																{	/* Eval/evaluate.scm 129 */
																																																	obj_t
																																																		BgL__ortest_1067z00_2921;
																																																	BgL__ortest_1067z00_2921
																																																		=
																																																		BGl_getzd2sourcezd2locationz00zz__readerz00
																																																		(BgL_ez00_923);
																																																	if (CBOOL(BgL__ortest_1067z00_2921))
																																																		{	/* Eval/evaluate.scm 129 */
																																																			BgL_arg2104z00_2918
																																																				=
																																																				BgL__ortest_1067z00_2921;
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 129 */
																																																			BgL_arg2104z00_2918
																																																				=
																																																				BgL_locz00_54;
																																																		}
																																																}
																																																BgL_auxz00_5563
																																																	=
																																																	(
																																																	(BgL_ev_exprz00_bglt)
																																																	BGl_convz00zz__evaluatez00
																																																	(BgL_ez00_923,
																																																		BgL_localsz00_50,
																																																		BgL_globalsz00_51,
																																																		BFALSE,
																																																		BgL_wherez00_53,
																																																		BgL_arg2104z00_2918,
																																																		((bool_t) 0)));
																																															}
																																															((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1150z00_1849))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5563), BUNSPEC);
																																														}
																																														((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1150z00_1849))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_924, BgL_localsz00_50, BgL_globalsz00_51, BFALSE, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																														BgL_auxz00_5555
																																															=
																																															BgL_new1150z00_1849;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_5555);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1662z00_1249;
																																												BgL_arg1662z00_1249
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_5575;
																																													{
																																														obj_t
																																															BgL_argsz00_5577;
																																														obj_t
																																															BgL_fz00_5576;
																																														BgL_fz00_5576
																																															=
																																															BgL_arg1662z00_1249;
																																														BgL_argsz00_5577
																																															=
																																															BgL_cdrzd28407zd2_1244;
																																														BgL_argsz00_940
																																															=
																																															BgL_argsz00_5577;
																																														BgL_fz00_939
																																															=
																																															BgL_fz00_5576;
																																														goto
																																															BgL_tagzd2157zd2_941;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_5575);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										if ((CAR(BgL_ez00_49) == BGl_symbol2692z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd28407zd2_1244))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1666z00_1254;
																																														obj_t
																																															BgL_arg1667z00_1255;
																																														BgL_arg1666z00_1254
																																															=
																																															CAR
																																															(BgL_cdrzd28407zd2_1244);
																																														BgL_arg1667z00_1255
																																															=
																																															CDR
																																															(BgL_cdrzd28407zd2_1244);
																																														{
																																															BgL_ev_withzd2handlerzd2_bglt
																																																BgL_auxz00_5586;
																																															BgL_hz00_926
																																																=
																																																BgL_arg1666z00_1254;
																																															BgL_bodyz00_927
																																																=
																																																BgL_arg1667z00_1255;
																																														BgL_tagzd2153zd2_928:
																																															{	/* Eval/evaluate.scm 470 */
																																																BgL_ev_withzd2handlerzd2_bglt
																																																	BgL_new1152z00_1852;
																																																{	/* Eval/evaluate.scm 470 */
																																																	BgL_ev_withzd2handlerzd2_bglt
																																																		BgL_new1151z00_1853;
																																																	BgL_new1151z00_1853
																																																		=
																																																		(
																																																		(BgL_ev_withzd2handlerzd2_bglt)
																																																		BREF
																																																		(GC_MALLOC
																																																			(sizeof
																																																				(struct
																																																					BgL_ev_withzd2handlerzd2_bgl))));
																																																	{	/* Eval/evaluate.scm 470 */
																																																		long
																																																			BgL_arg2090z00_1854;
																																																		{	/* Eval/evaluate.scm 470 */
																																																			long
																																																				BgL_res2455z00_2925;
																																																			BgL_res2455z00_2925
																																																				=
																																																				BGL_CLASS_INDEX
																																																				(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
																																																			BgL_arg2090z00_1854
																																																				=
																																																				BgL_res2455z00_2925;
																																																		}
																																																		{	/* Eval/evaluate.scm 470 */
																																																			BgL_objectz00_bglt
																																																				BgL_objz00_2926;
																																																			BgL_objz00_2926
																																																				=
																																																				(
																																																				(BgL_objectz00_bglt)
																																																				BgL_new1151z00_1853);
																																																			BGL_OBJECT_CLASS_NUM_SET
																																																				(BgL_objz00_2926,
																																																				BgL_arg2090z00_1854);
																																																	}}
																																																	{	/* Eval/evaluate.scm 470 */
																																																		BgL_objectz00_bglt
																																																			BgL_auxz00_5591;
																																																		BgL_auxz00_5591
																																																			=
																																																			(
																																																			(BgL_objectz00_bglt)
																																																			BgL_new1151z00_1853);
																																																		BGL_OBJECT_WIDENING_SET
																																																			(BgL_auxz00_5591,
																																																			BFALSE);
																																																	}
																																																	BgL_new1152z00_1852
																																																		=
																																																		BgL_new1151z00_1853;
																																																}
																																																{
																																																	BgL_ev_exprz00_bglt
																																																		BgL_auxz00_5594;
																																																	{	/* Eval/evaluate.scm 280 */
																																																		obj_t
																																																			BgL_arg2104z00_2929;
																																																		{	/* Eval/evaluate.scm 129 */
																																																			obj_t
																																																				BgL__ortest_1067z00_2932;
																																																			BgL__ortest_1067z00_2932
																																																				=
																																																				BGl_getzd2sourcezd2locationz00zz__readerz00
																																																				(BgL_hz00_926);
																																																			if (CBOOL(BgL__ortest_1067z00_2932))
																																																				{	/* Eval/evaluate.scm 129 */
																																																					BgL_arg2104z00_2929
																																																						=
																																																						BgL__ortest_1067z00_2932;
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 129 */
																																																					BgL_arg2104z00_2929
																																																						=
																																																						BgL_locz00_54;
																																																				}
																																																		}
																																																		BgL_auxz00_5594
																																																			=
																																																			(
																																																			(BgL_ev_exprz00_bglt)
																																																			BGl_convz00zz__evaluatez00
																																																			(BgL_hz00_926,
																																																				BgL_localsz00_50,
																																																				BgL_globalsz00_51,
																																																				BFALSE,
																																																				BgL_wherez00_53,
																																																				BgL_arg2104z00_2929,
																																																				((bool_t) 0)));
																																																	}
																																																	((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1152z00_1852))->BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5594), BUNSPEC);
																																																}
																																																((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1152z00_1852))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_927, BgL_localsz00_50, BgL_globalsz00_51, BFALSE, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																																BgL_auxz00_5586
																																																	=
																																																	BgL_new1152z00_1852;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5586);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1668z00_1256;
																																														obj_t
																																															BgL_arg1669z00_1257;
																																														BgL_arg1668z00_1256
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1669z00_1257
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_5607;
																																															{
																																																obj_t
																																																	BgL_argsz00_5609;
																																																obj_t
																																																	BgL_fz00_5608;
																																																BgL_fz00_5608
																																																	=
																																																	BgL_arg1668z00_1256;
																																																BgL_argsz00_5609
																																																	=
																																																	BgL_arg1669z00_1257;
																																																BgL_argsz00_940
																																																	=
																																																	BgL_argsz00_5609;
																																																BgL_fz00_939
																																																	=
																																																	BgL_fz00_5608;
																																																goto
																																																	BgL_tagzd2157zd2_941;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_5607);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd28510zd2_1258;
																																												BgL_cdrzd28510zd2_1258
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												if ((CAR(BgL_ez00_49) == BGl_symbol2694z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 319 */
																																														if (PAIRP(BgL_cdrzd28510zd2_1258))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd28515zd2_1261;
																																																BgL_cdrzd28515zd2_1261
																																																	=
																																																	CDR
																																																	(BgL_cdrzd28510zd2_1258);
																																																if (PAIRP(BgL_cdrzd28515zd2_1261))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd28520zd2_1263;
																																																		BgL_cdrzd28520zd2_1263
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28515zd2_1261);
																																																		if ((CAR(BgL_cdrzd28515zd2_1261) == BGl_keyword2696z00zz__evaluatez00))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				if (PAIRP(BgL_cdrzd28520zd2_1263))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1675z00_1266;
																																																						obj_t
																																																							BgL_arg1676z00_1267;
																																																						obj_t
																																																							BgL_arg1677z00_1268;
																																																						BgL_arg1675z00_1266
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28510zd2_1258);
																																																						BgL_arg1676z00_1267
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28520zd2_1263);
																																																						BgL_arg1677z00_1268
																																																							=
																																																							CDR
																																																							(BgL_cdrzd28520zd2_1263);
																																																						{
																																																							BgL_ev_synchroniza7eza7_bglt
																																																								BgL_auxz00_5629;
																																																							BgL_mz00_929
																																																								=
																																																								BgL_arg1675z00_1266;
																																																							BgL_pz00_930
																																																								=
																																																								BgL_arg1676z00_1267;
																																																							BgL_bodyz00_931
																																																								=
																																																								BgL_arg1677z00_1268;
																																																						BgL_tagzd2154zd2_932:
																																																							{	/* Eval/evaluate.scm 474 */
																																																								BgL_ev_synchroniza7eza7_bglt
																																																									BgL_new1154z00_1855;
																																																								{	/* Eval/evaluate.scm 474 */
																																																									BgL_ev_synchroniza7eza7_bglt
																																																										BgL_new1153z00_1856;
																																																									BgL_new1153z00_1856
																																																										=
																																																										(
																																																										(BgL_ev_synchroniza7eza7_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_synchroniza7eza7_bgl))));
																																																									{	/* Eval/evaluate.scm 474 */
																																																										long
																																																											BgL_arg2091z00_1857;
																																																										{	/* Eval/evaluate.scm 474 */
																																																											long
																																																												BgL_res2456z00_2936;
																																																											BgL_res2456z00_2936
																																																												=
																																																												BGL_CLASS_INDEX
																																																												(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																											BgL_arg2091z00_1857
																																																												=
																																																												BgL_res2456z00_2936;
																																																										}
																																																										{	/* Eval/evaluate.scm 474 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_2937;
																																																											BgL_objz00_2937
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1153z00_1856);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_2937,
																																																												BgL_arg2091z00_1857);
																																																									}}
																																																									{	/* Eval/evaluate.scm 474 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5634;
																																																										BgL_auxz00_5634
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1153z00_1856);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5634,
																																																											BFALSE);
																																																									}
																																																									BgL_new1154z00_1855
																																																										=
																																																										BgL_new1153z00_1856;
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1154z00_1855))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_5638;
																																																									{	/* Eval/evaluate.scm 280 */
																																																										obj_t
																																																											BgL_arg2104z00_2940;
																																																										{	/* Eval/evaluate.scm 129 */
																																																											obj_t
																																																												BgL__ortest_1067z00_2943;
																																																											BgL__ortest_1067z00_2943
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BgL_mz00_929);
																																																											if (CBOOL(BgL__ortest_1067z00_2943))
																																																												{	/* Eval/evaluate.scm 129 */
																																																													BgL_arg2104z00_2940
																																																														=
																																																														BgL__ortest_1067z00_2943;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 129 */
																																																													BgL_arg2104z00_2940
																																																														=
																																																														BgL_locz00_54;
																																																												}
																																																										}
																																																										BgL_auxz00_5638
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BgL_mz00_929,
																																																												BgL_localsz00_50,
																																																												BgL_globalsz00_51,
																																																												BFALSE,
																																																												BgL_wherez00_53,
																																																												BgL_arg2104z00_2940,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1154z00_1855))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5638), BUNSPEC);
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_5645;
																																																									{	/* Eval/evaluate.scm 280 */
																																																										obj_t
																																																											BgL_arg2104z00_2947;
																																																										{	/* Eval/evaluate.scm 129 */
																																																											obj_t
																																																												BgL__ortest_1067z00_2950;
																																																											BgL__ortest_1067z00_2950
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BgL_pz00_930);
																																																											if (CBOOL(BgL__ortest_1067z00_2950))
																																																												{	/* Eval/evaluate.scm 129 */
																																																													BgL_arg2104z00_2947
																																																														=
																																																														BgL__ortest_1067z00_2950;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 129 */
																																																													BgL_arg2104z00_2947
																																																														=
																																																														BgL_locz00_54;
																																																												}
																																																										}
																																																										BgL_auxz00_5645
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BgL_pz00_930,
																																																												BgL_localsz00_50,
																																																												BgL_globalsz00_51,
																																																												BFALSE,
																																																												BgL_wherez00_53,
																																																												BgL_arg2104z00_2947,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1154z00_1855))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5645), BUNSPEC);
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1154z00_1855))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_931, BgL_localsz00_50, BgL_globalsz00_51, BFALSE, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																																								BgL_auxz00_5629
																																																									=
																																																									BgL_new1154z00_1855;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5629);
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1678z00_1270;
																																																						obj_t
																																																							BgL_arg1679z00_1271;
																																																						BgL_arg1678z00_1270
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28510zd2_1258);
																																																						BgL_arg1679z00_1271
																																																							=
																																																							CDR
																																																							(BgL_cdrzd28510zd2_1258);
																																																						{
																																																							BgL_ev_synchroniza7eza7_bglt
																																																								BgL_auxz00_5658;
																																																							BgL_mz00_933
																																																								=
																																																								BgL_arg1678z00_1270;
																																																							BgL_bodyz00_934
																																																								=
																																																								BgL_arg1679z00_1271;
																																																						BgL_tagzd2155zd2_935:
																																																							{	/* Eval/evaluate.scm 480 */
																																																								BgL_ev_synchroniza7eza7_bglt
																																																									BgL_new1156z00_1858;
																																																								{	/* Eval/evaluate.scm 480 */
																																																									BgL_ev_synchroniza7eza7_bglt
																																																										BgL_new1155z00_1859;
																																																									BgL_new1155z00_1859
																																																										=
																																																										(
																																																										(BgL_ev_synchroniza7eza7_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_synchroniza7eza7_bgl))));
																																																									{	/* Eval/evaluate.scm 480 */
																																																										long
																																																											BgL_arg2092z00_1860;
																																																										{	/* Eval/evaluate.scm 480 */
																																																											long
																																																												BgL_res2457z00_2954;
																																																											BgL_res2457z00_2954
																																																												=
																																																												BGL_CLASS_INDEX
																																																												(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
																																																											BgL_arg2092z00_1860
																																																												=
																																																												BgL_res2457z00_2954;
																																																										}
																																																										{	/* Eval/evaluate.scm 480 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_2955;
																																																											BgL_objz00_2955
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1155z00_1859);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_2955,
																																																												BgL_arg2092z00_1860);
																																																									}}
																																																									{	/* Eval/evaluate.scm 480 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5663;
																																																										BgL_auxz00_5663
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1155z00_1859);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5663,
																																																											BFALSE);
																																																									}
																																																									BgL_new1156z00_1858
																																																										=
																																																										BgL_new1155z00_1859;
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1156z00_1858))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_5667;
																																																									{	/* Eval/evaluate.scm 280 */
																																																										obj_t
																																																											BgL_arg2104z00_2958;
																																																										{	/* Eval/evaluate.scm 129 */
																																																											obj_t
																																																												BgL__ortest_1067z00_2961;
																																																											BgL__ortest_1067z00_2961
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BgL_mz00_933);
																																																											if (CBOOL(BgL__ortest_1067z00_2961))
																																																												{	/* Eval/evaluate.scm 129 */
																																																													BgL_arg2104z00_2958
																																																														=
																																																														BgL__ortest_1067z00_2961;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 129 */
																																																													BgL_arg2104z00_2958
																																																														=
																																																														BgL_locz00_54;
																																																												}
																																																										}
																																																										BgL_auxz00_5667
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BgL_mz00_933,
																																																												BgL_localsz00_50,
																																																												BgL_globalsz00_51,
																																																												BFALSE,
																																																												BgL_wherez00_53,
																																																												BgL_arg2104z00_2958,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1156z00_1858))->BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5667), BUNSPEC);
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_5674;
																																																									{	/* Eval/evaluate.scm 280 */
																																																										obj_t
																																																											BgL_arg2104z00_2965;
																																																										{	/* Eval/evaluate.scm 129 */
																																																											obj_t
																																																												BgL__ortest_1067z00_2968;
																																																											BgL__ortest_1067z00_2968
																																																												=
																																																												BGl_getzd2sourcezd2locationz00zz__readerz00
																																																												(BNIL);
																																																											if (CBOOL(BgL__ortest_1067z00_2968))
																																																												{	/* Eval/evaluate.scm 129 */
																																																													BgL_arg2104z00_2965
																																																														=
																																																														BgL__ortest_1067z00_2968;
																																																												}
																																																											else
																																																												{	/* Eval/evaluate.scm 129 */
																																																													BgL_arg2104z00_2965
																																																														=
																																																														BgL_locz00_54;
																																																												}
																																																										}
																																																										BgL_auxz00_5674
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_convz00zz__evaluatez00
																																																											(BNIL,
																																																												BgL_localsz00_50,
																																																												BgL_globalsz00_51,
																																																												BFALSE,
																																																												BgL_wherez00_53,
																																																												BgL_arg2104z00_2965,
																																																												((bool_t) 0)));
																																																									}
																																																									((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1156z00_1858))->BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5674), BUNSPEC);
																																																								}
																																																								((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1156z00_1858))->BgL_bodyz00) = ((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt) BGl_convzd2beginzd2zz__evaluatez00(BgL_bodyz00_934, BgL_localsz00_50, BgL_globalsz00_51, BFALSE, BgL_wherez00_53, BgL_locz00_54, ((bool_t) 0)))), BUNSPEC);
																																																								BgL_auxz00_5658
																																																									=
																																																									BgL_new1156z00_1858;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5658);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1680z00_1273;
																																																				obj_t
																																																					BgL_arg1681z00_1274;
																																																				BgL_arg1680z00_1273
																																																					=
																																																					CAR
																																																					(BgL_cdrzd28510zd2_1258);
																																																				BgL_arg1681z00_1274
																																																					=
																																																					CDR
																																																					(BgL_cdrzd28510zd2_1258);
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_5687;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_5689;
																																																						obj_t
																																																							BgL_mz00_5688;
																																																						BgL_mz00_5688
																																																							=
																																																							BgL_arg1680z00_1273;
																																																						BgL_bodyz00_5689
																																																							=
																																																							BgL_arg1681z00_1274;
																																																						BgL_bodyz00_934
																																																							=
																																																							BgL_bodyz00_5689;
																																																						BgL_mz00_933
																																																							=
																																																							BgL_mz00_5688;
																																																						goto
																																																							BgL_tagzd2155zd2_935;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5687);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1683z00_1277;
																																																		obj_t
																																																			BgL_arg1684z00_1278;
																																																		BgL_arg1683z00_1277
																																																			=
																																																			CAR
																																																			(BgL_cdrzd28510zd2_1258);
																																																		BgL_arg1684z00_1278
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28510zd2_1258);
																																																		{
																																																			BgL_ev_synchroniza7eza7_bglt
																																																				BgL_auxz00_5693;
																																																			{
																																																				obj_t
																																																					BgL_bodyz00_5695;
																																																				obj_t
																																																					BgL_mz00_5694;
																																																				BgL_mz00_5694
																																																					=
																																																					BgL_arg1683z00_1277;
																																																				BgL_bodyz00_5695
																																																					=
																																																					BgL_arg1684z00_1278;
																																																				BgL_bodyz00_934
																																																					=
																																																					BgL_bodyz00_5695;
																																																				BgL_mz00_933
																																																					=
																																																					BgL_mz00_5694;
																																																				goto
																																																					BgL_tagzd2155zd2_935;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5693);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1685z00_1279;
																																																BgL_arg1685z00_1279
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_5698;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_5700;
																																																		obj_t
																																																			BgL_fz00_5699;
																																																		BgL_fz00_5699
																																																			=
																																																			BgL_arg1685z00_1279;
																																																		BgL_argsz00_5700
																																																			=
																																																			BgL_cdrzd28510zd2_1258;
																																																		BgL_argsz00_940
																																																			=
																																																			BgL_argsz00_5700;
																																																		BgL_fz00_939
																																																			=
																																																			BgL_fz00_5699;
																																																		goto
																																																			BgL_tagzd2157zd2_941;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5698);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														if ((CAR(BgL_ez00_49) == BGl_symbol2686z00zz__evaluatez00))
																																															{	/* Eval/evaluate.scm 319 */
																																																if (PAIRP(BgL_cdrzd28510zd2_1258))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd28620zd2_1284;
																																																		BgL_cdrzd28620zd2_1284
																																																			=
																																																			CDR
																																																			(BgL_cdrzd28510zd2_1258);
																																																		if (PAIRP(BgL_cdrzd28620zd2_1284))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				if (NULLP(CDR(BgL_cdrzd28620zd2_1284)))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1691z00_1287;
																																																						obj_t
																																																							BgL_arg1692z00_1288;
																																																						BgL_arg1691z00_1287
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28510zd2_1258);
																																																						BgL_arg1692z00_1288
																																																							=
																																																							CAR
																																																							(BgL_cdrzd28620zd2_1284);
																																																						{	/* Eval/evaluate.scm 486 */
																																																							obj_t
																																																								BgL_arg2093z00_3429;
																																																							{	/* Eval/evaluate.scm 486 */
																																																								obj_t
																																																									BgL_arg2095z00_3430;
																																																								{	/* Eval/evaluate.scm 486 */
																																																									obj_t
																																																										BgL_arg2096z00_3431;
																																																									obj_t
																																																										BgL_arg2097z00_3432;
																																																									{	/* Eval/evaluate.scm 486 */
																																																										obj_t
																																																											BgL_res2537z00_3435;
																																																										{	/* Eval/evaluate.scm 486 */
																																																											obj_t
																																																												BgL_symbolz00_3433;
																																																											BgL_symbolz00_3433
																																																												=
																																																												BGl_symbol2698z00zz__evaluatez00;
																																																											{	/* Eval/evaluate.scm 486 */
																																																												obj_t
																																																													BgL_arg2274z00_3434;
																																																												BgL_arg2274z00_3434
																																																													=
																																																													SYMBOL_TO_STRING
																																																													(BgL_symbolz00_3433);
																																																												BgL_res2537z00_3435
																																																													=
																																																													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																													(BgL_arg2274z00_3434);
																																																											}
																																																										}
																																																										BgL_arg2096z00_3431
																																																											=
																																																											BgL_res2537z00_3435;
																																																									}
																																																									{	/* Eval/evaluate.scm 486 */
																																																										obj_t
																																																											BgL_res2538z00_3438;
																																																										{	/* Eval/evaluate.scm 486 */
																																																											obj_t
																																																												BgL_symbolz00_3436;
																																																											BgL_symbolz00_3436
																																																												=
																																																												BgL_wherez00_53;
																																																											{	/* Eval/evaluate.scm 486 */
																																																												obj_t
																																																													BgL_arg2274z00_3437;
																																																												BgL_arg2274z00_3437
																																																													=
																																																													SYMBOL_TO_STRING
																																																													(BgL_symbolz00_3436);
																																																												BgL_res2538z00_3438
																																																													=
																																																													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																													(BgL_arg2274z00_3437);
																																																											}
																																																										}
																																																										BgL_arg2097z00_3432
																																																											=
																																																											BgL_res2538z00_3438;
																																																									}
																																																									BgL_arg2095z00_3430
																																																										=
																																																										string_append
																																																										(BgL_arg2096z00_3431,
																																																										BgL_arg2097z00_3432);
																																																								}
																																																								BgL_arg2093z00_3429
																																																									=
																																																									string_to_symbol
																																																									(BSTRING_TO_STRING
																																																									(BgL_arg2095z00_3430));
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BGl_convzd2lambdazd2zz__evaluatez00
																																																								(BgL_globalsz00_51,
																																																									BgL_localsz00_50,
																																																									BgL_locz00_54,
																																																									BgL_ez00_49,
																																																									BgL_arg1691z00_1287,
																																																									BgL_arg1692z00_1288,
																																																									BgL_arg2093z00_3429));
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1693z00_1289;
																																																						obj_t
																																																							BgL_arg1694z00_1290;
																																																						BgL_arg1693z00_1289
																																																							=
																																																							CAR
																																																							(BgL_ez00_49);
																																																						BgL_arg1694z00_1290
																																																							=
																																																							CDR
																																																							(BgL_ez00_49);
																																																						{
																																																							BgL_ev_appz00_bglt
																																																								BgL_auxz00_5726;
																																																							{
																																																								obj_t
																																																									BgL_argsz00_5728;
																																																								obj_t
																																																									BgL_fz00_5727;
																																																								BgL_fz00_5727
																																																									=
																																																									BgL_arg1693z00_1289;
																																																								BgL_argsz00_5728
																																																									=
																																																									BgL_arg1694z00_1290;
																																																								BgL_argsz00_940
																																																									=
																																																									BgL_argsz00_5728;
																																																								BgL_fz00_939
																																																									=
																																																									BgL_fz00_5727;
																																																								goto
																																																									BgL_tagzd2157zd2_941;
																																																							}
																																																							return
																																																								(
																																																								(obj_t)
																																																								BgL_auxz00_5726);
																																																						}
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1696z00_1292;
																																																				obj_t
																																																					BgL_arg1697z00_1293;
																																																				BgL_arg1696z00_1292
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				BgL_arg1697z00_1293
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_5732;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_5734;
																																																						obj_t
																																																							BgL_fz00_5733;
																																																						BgL_fz00_5733
																																																							=
																																																							BgL_arg1696z00_1292;
																																																						BgL_argsz00_5734
																																																							=
																																																							BgL_arg1697z00_1293;
																																																						BgL_argsz00_940
																																																							=
																																																							BgL_argsz00_5734;
																																																						BgL_fz00_939
																																																							=
																																																							BgL_fz00_5733;
																																																						goto
																																																							BgL_tagzd2157zd2_941;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_5732);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1698z00_1294;
																																																		obj_t
																																																			BgL_arg1699z00_1295;
																																																		BgL_arg1698z00_1294
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		BgL_arg1699z00_1295
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_5738;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_5740;
																																																				obj_t
																																																					BgL_fz00_5739;
																																																				BgL_fz00_5739
																																																					=
																																																					BgL_arg1698z00_1294;
																																																				BgL_argsz00_5740
																																																					=
																																																					BgL_arg1699z00_1295;
																																																				BgL_argsz00_940
																																																					=
																																																					BgL_argsz00_5740;
																																																				BgL_fz00_939
																																																					=
																																																					BgL_fz00_5739;
																																																				goto
																																																					BgL_tagzd2157zd2_941;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_5738);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1700z00_1296;
																																																obj_t
																																																	BgL_arg1701z00_1297;
																																																BgL_arg1700z00_1296
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																BgL_arg1701z00_1297
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_5744;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_5746;
																																																		obj_t
																																																			BgL_fz00_5745;
																																																		BgL_fz00_5745
																																																			=
																																																			BgL_arg1700z00_1296;
																																																		BgL_argsz00_5746
																																																			=
																																																			BgL_arg1701z00_1297;
																																																		BgL_argsz00_940
																																																			=
																																																			BgL_argsz00_5746;
																																																		BgL_fz00_939
																																																			=
																																																			BgL_fz00_5745;
																																																		goto
																																																			BgL_tagzd2157zd2_941;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_5744);
																																																}
																																															}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
												else
													{	/* Eval/evaluate.scm 319 */
														if (
															(BgL_carzd23802zd2_1005 ==
																BGl_symbol2664z00zz__evaluatez00))
															{	/* Eval/evaluate.scm 319 */
																if (PAIRP(BgL_cdrzd2231zd2_947))
																	{	/* Eval/evaluate.scm 319 */
																		if (NULLP(CDR(BgL_cdrzd2231zd2_947)))
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1724z00_1319;

																				BgL_arg1724z00_1319 =
																					CAR(BgL_cdrzd2231zd2_947);
																				{
																					BgL_ev_trapz00_bglt BgL_auxz00_5756;

																					{
																						obj_t BgL_ez00_5757;

																						BgL_ez00_5757 = BgL_arg1724z00_1319;
																						BgL_ez00_876 = BgL_ez00_5757;
																						goto BgL_tagzd2135zd2_877;
																					}
																					return ((obj_t) BgL_auxz00_5756);
																				}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1725z00_1320;
																				obj_t BgL_arg1726z00_1321;

																				BgL_arg1725z00_1320 = CAR(BgL_ez00_49);
																				BgL_arg1726z00_1321 = CDR(BgL_ez00_49);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5761;

																					{
																						obj_t BgL_argsz00_5763;
																						obj_t BgL_fz00_5762;

																						BgL_fz00_5762 = BgL_arg1725z00_1320;
																						BgL_argsz00_5763 =
																							BgL_arg1726z00_1321;
																						BgL_argsz00_940 = BgL_argsz00_5763;
																						BgL_fz00_939 = BgL_fz00_5762;
																						goto BgL_tagzd2157zd2_941;
																					}
																					return ((obj_t) BgL_auxz00_5761);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		obj_t BgL_arg1728z00_1323;
																		obj_t BgL_arg1729z00_1324;

																		BgL_arg1728z00_1323 = CAR(BgL_ez00_49);
																		BgL_arg1729z00_1324 = CDR(BgL_ez00_49);
																		{
																			BgL_ev_appz00_bglt BgL_auxz00_5767;

																			{
																				obj_t BgL_argsz00_5769;
																				obj_t BgL_fz00_5768;

																				BgL_fz00_5768 = BgL_arg1728z00_1323;
																				BgL_argsz00_5769 = BgL_arg1729z00_1324;
																				BgL_argsz00_940 = BgL_argsz00_5769;
																				BgL_fz00_939 = BgL_fz00_5768;
																				goto BgL_tagzd2157zd2_941;
																			}
																			return ((obj_t) BgL_auxz00_5767);
																		}
																	}
															}
														else
															{	/* Eval/evaluate.scm 319 */
																obj_t BgL_cdrzd29319zd2_1325;

																BgL_cdrzd29319zd2_1325 = CDR(BgL_ez00_49);
																if (
																	(CAR(BgL_ez00_49) ==
																		BGl_symbol2666z00zz__evaluatez00))
																	{	/* Eval/evaluate.scm 319 */
																		if (PAIRP(BgL_cdrzd29319zd2_1325))
																			{	/* Eval/evaluate.scm 319 */
																				if (NULLP(CDR(BgL_cdrzd29319zd2_1325)))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1733z00_1329;

																						BgL_arg1733z00_1329 =
																							CAR(BgL_cdrzd29319zd2_1325);
																						{	/* Eval/evaluate.scm 358 */
																							BgL_ev_littz00_bglt
																								BgL_new1112z00_3470;
																							{	/* Eval/evaluate.scm 358 */
																								BgL_ev_littz00_bglt
																									BgL_new1111z00_3471;
																								BgL_new1111z00_3471 =
																									((BgL_ev_littz00_bglt)
																									BREF(GC_MALLOC(sizeof(struct
																												BgL_ev_littz00_bgl))));
																								{	/* Eval/evaluate.scm 358 */
																									long BgL_arg1996z00_3472;

																									{	/* Eval/evaluate.scm 358 */
																										long BgL_res2544z00_3474;

																										BgL_res2544z00_3474 =
																											BGL_CLASS_INDEX
																											(BGl_ev_littz00zz__evaluate_typesz00);
																										BgL_arg1996z00_3472 =
																											BgL_res2544z00_3474;
																									}
																									{	/* Eval/evaluate.scm 358 */
																										BgL_objectz00_bglt
																											BgL_objz00_3475;
																										BgL_objz00_3475 =
																											((BgL_objectz00_bglt)
																											BgL_new1111z00_3471);
																										BGL_OBJECT_CLASS_NUM_SET
																											(BgL_objz00_3475,
																											BgL_arg1996z00_3472);
																								}}
																								{	/* Eval/evaluate.scm 358 */
																									BgL_objectz00_bglt
																										BgL_auxz00_5785;
																									BgL_auxz00_5785 =
																										((BgL_objectz00_bglt)
																										BgL_new1111z00_3471);
																									BGL_OBJECT_WIDENING_SET
																										(BgL_auxz00_5785, BFALSE);
																								}
																								BgL_new1112z00_3470 =
																									BgL_new1111z00_3471;
																							}
																							((((BgL_ev_littz00_bglt)
																										CREF(BgL_new1112z00_3470))->
																									BgL_valuez00) =
																								((obj_t) BgL_arg1733z00_1329),
																								BUNSPEC);
																							return ((obj_t)
																								BgL_new1112z00_3470);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1734z00_1330;

																						BgL_arg1734z00_1330 =
																							CAR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5791;
																							{
																								obj_t BgL_argsz00_5793;
																								obj_t BgL_fz00_5792;

																								BgL_fz00_5792 =
																									BgL_arg1734z00_1330;
																								BgL_argsz00_5793 =
																									BgL_cdrzd29319zd2_1325;
																								BgL_argsz00_940 =
																									BgL_argsz00_5793;
																								BgL_fz00_939 = BgL_fz00_5792;
																								goto BgL_tagzd2157zd2_941;
																							}
																							return ((obj_t) BgL_auxz00_5791);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				obj_t BgL_arg1737z00_1333;

																				BgL_arg1737z00_1333 = CAR(BgL_ez00_49);
																				{
																					BgL_ev_appz00_bglt BgL_auxz00_5796;

																					{
																						obj_t BgL_argsz00_5798;
																						obj_t BgL_fz00_5797;

																						BgL_fz00_5797 = BgL_arg1737z00_1333;
																						BgL_argsz00_5798 =
																							BgL_cdrzd29319zd2_1325;
																						BgL_argsz00_940 = BgL_argsz00_5798;
																						BgL_fz00_939 = BgL_fz00_5797;
																						goto BgL_tagzd2157zd2_941;
																					}
																					return ((obj_t) BgL_auxz00_5796);
																				}
																			}
																	}
																else
																	{	/* Eval/evaluate.scm 319 */
																		if (
																			(CAR(BgL_ez00_49) ==
																				BGl_symbol2668z00zz__evaluatez00))
																			{	/* Eval/evaluate.scm 319 */
																				if (PAIRP(BgL_cdrzd29319zd2_1325))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_cdrzd29929zd2_1338;

																						BgL_cdrzd29929zd2_1338 =
																							CDR(BgL_cdrzd29319zd2_1325);
																						if (PAIRP(BgL_cdrzd29929zd2_1338))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_cdrzd29934zd2_1340;

																								BgL_cdrzd29934zd2_1340 =
																									CDR(BgL_cdrzd29929zd2_1338);
																								if (PAIRP
																									(BgL_cdrzd29934zd2_1340))
																									{	/* Eval/evaluate.scm 319 */
																										if (NULLP(CDR
																												(BgL_cdrzd29934zd2_1340)))
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_arg1744z00_1343;
																												obj_t
																													BgL_arg1745z00_1344;
																												obj_t
																													BgL_arg1746z00_1345;
																												BgL_arg1744z00_1343 =
																													CAR
																													(BgL_cdrzd29319zd2_1325);
																												BgL_arg1745z00_1344 =
																													CAR
																													(BgL_cdrzd29929zd2_1338);
																												BgL_arg1746z00_1345 =
																													CAR
																													(BgL_cdrzd29934zd2_1340);
																												{
																													BgL_ev_ifz00_bglt
																														BgL_auxz00_5817;
																													{
																														obj_t BgL_oz00_5820;
																														obj_t BgL_tz00_5819;
																														obj_t BgL_pz00_5818;

																														BgL_pz00_5818 =
																															BgL_arg1744z00_1343;
																														BgL_tz00_5819 =
																															BgL_arg1745z00_1344;
																														BgL_oz00_5820 =
																															BgL_arg1746z00_1345;
																														BgL_oz00_882 =
																															BgL_oz00_5820;
																														BgL_tz00_881 =
																															BgL_tz00_5819;
																														BgL_pz00_880 =
																															BgL_pz00_5818;
																														goto
																															BgL_tagzd2137zd2_883;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_5817);
																												}
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												obj_t
																													BgL_arg1748z00_1346;
																												obj_t
																													BgL_arg1749z00_1347;
																												BgL_arg1748z00_1346 =
																													CAR(BgL_ez00_49);
																												BgL_arg1749z00_1347 =
																													CDR(BgL_ez00_49);
																												{
																													BgL_ev_appz00_bglt
																														BgL_auxz00_5824;
																													{
																														obj_t
																															BgL_argsz00_5826;
																														obj_t BgL_fz00_5825;

																														BgL_fz00_5825 =
																															BgL_arg1748z00_1346;
																														BgL_argsz00_5826 =
																															BgL_arg1749z00_1347;
																														BgL_argsz00_940 =
																															BgL_argsz00_5826;
																														BgL_fz00_939 =
																															BgL_fz00_5825;
																														goto
																															BgL_tagzd2157zd2_941;
																													}
																													return
																														((obj_t)
																														BgL_auxz00_5824);
																												}
																											}
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										obj_t
																											BgL_cdrzd210232zd2_1349;
																										BgL_cdrzd210232zd2_1349 =
																											CDR(BgL_ez00_49);
																										{	/* Eval/evaluate.scm 319 */
																											obj_t
																												BgL_cdrzd210238zd2_1350;
																											BgL_cdrzd210238zd2_1350 =
																												CDR
																												(BgL_cdrzd210232zd2_1349);
																											if (NULLP(CDR
																													(BgL_cdrzd210238zd2_1350)))
																												{	/* Eval/evaluate.scm 319 */
																													obj_t
																														BgL_arg1752z00_1352;
																													obj_t
																														BgL_arg1753z00_1353;
																													BgL_arg1752z00_1352 =
																														CAR
																														(BgL_cdrzd210232zd2_1349);
																													BgL_arg1753z00_1353 =
																														CAR
																														(BgL_cdrzd210238zd2_1350);
																													{
																														BgL_ev_ifz00_bglt
																															BgL_auxz00_5835;
																														{
																															obj_t
																																BgL_tz00_5837;
																															obj_t
																																BgL_pz00_5836;
																															BgL_pz00_5836 =
																																BgL_arg1752z00_1352;
																															BgL_tz00_5837 =
																																BgL_arg1753z00_1353;
																															BgL_tz00_885 =
																																BgL_tz00_5837;
																															BgL_pz00_884 =
																																BgL_pz00_5836;
																															goto
																																BgL_tagzd2138zd2_886;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_5835);
																													}
																												}
																											else
																												{	/* Eval/evaluate.scm 319 */
																													obj_t
																														BgL_arg1754z00_1354;
																													BgL_arg1754z00_1354 =
																														CAR(BgL_ez00_49);
																													{
																														BgL_ev_appz00_bglt
																															BgL_auxz00_5840;
																														{
																															obj_t
																																BgL_argsz00_5842;
																															obj_t
																																BgL_fz00_5841;
																															BgL_fz00_5841 =
																																BgL_arg1754z00_1354;
																															BgL_argsz00_5842 =
																																BgL_cdrzd210232zd2_1349;
																															BgL_argsz00_940 =
																																BgL_argsz00_5842;
																															BgL_fz00_939 =
																																BgL_fz00_5841;
																															goto
																																BgL_tagzd2157zd2_941;
																														}
																														return
																															((obj_t)
																															BgL_auxz00_5840);
																													}
																												}
																										}
																									}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1757z00_1357;
																								obj_t BgL_arg1758z00_1358;

																								BgL_arg1757z00_1357 =
																									CAR(BgL_ez00_49);
																								BgL_arg1758z00_1358 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_appz00_bglt
																										BgL_auxz00_5846;
																									{
																										obj_t BgL_argsz00_5848;
																										obj_t BgL_fz00_5847;

																										BgL_fz00_5847 =
																											BgL_arg1757z00_1357;
																										BgL_argsz00_5848 =
																											BgL_arg1758z00_1358;
																										BgL_argsz00_940 =
																											BgL_argsz00_5848;
																										BgL_fz00_939 =
																											BgL_fz00_5847;
																										goto BgL_tagzd2157zd2_941;
																									}
																									return
																										((obj_t) BgL_auxz00_5846);
																								}
																							}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1759z00_1359;
																						obj_t BgL_arg1760z00_1360;

																						BgL_arg1759z00_1359 =
																							CAR(BgL_ez00_49);
																						BgL_arg1760z00_1360 =
																							CDR(BgL_ez00_49);
																						{
																							BgL_ev_appz00_bglt
																								BgL_auxz00_5852;
																							{
																								obj_t BgL_argsz00_5854;
																								obj_t BgL_fz00_5853;

																								BgL_fz00_5853 =
																									BgL_arg1759z00_1359;
																								BgL_argsz00_5854 =
																									BgL_arg1760z00_1360;
																								BgL_argsz00_940 =
																									BgL_argsz00_5854;
																								BgL_fz00_939 = BgL_fz00_5853;
																								goto BgL_tagzd2157zd2_941;
																							}
																							return ((obj_t) BgL_auxz00_5852);
																						}
																					}
																			}
																		else
																			{	/* Eval/evaluate.scm 319 */
																				if (
																					(CAR(BgL_ez00_49) ==
																						BGl_symbol2670z00zz__evaluatez00))
																					{	/* Eval/evaluate.scm 319 */
																						obj_t BgL_arg1762z00_1362;

																						BgL_arg1762z00_1362 =
																							CDR(BgL_ez00_49);
																						{
																							BgL_ev_orz00_bglt BgL_auxz00_5860;

																							{
																								obj_t BgL_argsz00_5861;

																								BgL_argsz00_5861 =
																									BgL_arg1762z00_1362;
																								BgL_argsz00_887 =
																									BgL_argsz00_5861;
																								goto BgL_tagzd2139zd2_888;
																							}
																							return ((obj_t) BgL_auxz00_5860);
																						}
																					}
																				else
																					{	/* Eval/evaluate.scm 319 */
																						if (
																							(CAR(BgL_ez00_49) ==
																								BGl_symbol2672z00zz__evaluatez00))
																							{	/* Eval/evaluate.scm 319 */
																								obj_t BgL_arg1764z00_1364;

																								BgL_arg1764z00_1364 =
																									CDR(BgL_ez00_49);
																								{
																									BgL_ev_andz00_bglt
																										BgL_auxz00_5867;
																									{
																										obj_t BgL_argsz00_5868;

																										BgL_argsz00_5868 =
																											BgL_arg1764z00_1364;
																										BgL_argsz00_889 =
																											BgL_argsz00_5868;
																										goto BgL_tagzd2140zd2_890;
																									}
																									return
																										((obj_t) BgL_auxz00_5867);
																								}
																							}
																						else
																							{	/* Eval/evaluate.scm 319 */
																								if (
																									(CAR(BgL_ez00_49) ==
																										BGl_symbol2674z00zz__evaluatez00))
																									{	/* Eval/evaluate.scm 319 */
																										return
																											BGl_convzd2beginzd2zz__evaluatez00
																											(CDR(BgL_ez00_49),
																											BgL_localsz00_50,
																											BgL_globalsz00_51,
																											BgL_tailzf3zf3_52,
																											BgL_wherez00_53,
																											BgL_locz00_54,
																											BgL_topzf3zf3_55);
																									}
																								else
																									{	/* Eval/evaluate.scm 319 */
																										obj_t
																											BgL_cdrzd211131zd2_1367;
																										BgL_cdrzd211131zd2_1367 =
																											CDR(BgL_ez00_49);
																										if ((CAR(BgL_ez00_49) ==
																												BGl_symbol2676z00zz__evaluatez00))
																											{	/* Eval/evaluate.scm 319 */
																												if (PAIRP
																													(BgL_cdrzd211131zd2_1367))
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1769z00_1370;
																														obj_t
																															BgL_arg1770z00_1371;
																														BgL_arg1769z00_1370
																															=
																															CAR
																															(BgL_cdrzd211131zd2_1367);
																														BgL_arg1770z00_1371
																															=
																															CDR
																															(BgL_cdrzd211131zd2_1367);
																														{
																															BgL_ev_letz00_bglt
																																BgL_auxz00_5883;
																															{
																																obj_t
																																	BgL_bodyz00_5885;
																																obj_t
																																	BgL_bindsz00_5884;
																																BgL_bindsz00_5884
																																	=
																																	BgL_arg1769z00_1370;
																																BgL_bodyz00_5885
																																	=
																																	BgL_arg1770z00_1371;
																																BgL_bodyz00_894
																																	=
																																	BgL_bodyz00_5885;
																																BgL_bindsz00_893
																																	=
																																	BgL_bindsz00_5884;
																																goto
																																	BgL_tagzd2142zd2_895;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5883);
																														}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_arg1771z00_1372;
																														BgL_arg1771z00_1372
																															=
																															CAR(BgL_ez00_49);
																														{
																															BgL_ev_appz00_bglt
																																BgL_auxz00_5888;
																															{
																																obj_t
																																	BgL_argsz00_5890;
																																obj_t
																																	BgL_fz00_5889;
																																BgL_fz00_5889 =
																																	BgL_arg1771z00_1372;
																																BgL_argsz00_5890
																																	=
																																	BgL_cdrzd211131zd2_1367;
																																BgL_argsz00_940
																																	=
																																	BgL_argsz00_5890;
																																BgL_fz00_939 =
																																	BgL_fz00_5889;
																																goto
																																	BgL_tagzd2157zd2_941;
																															}
																															return
																																((obj_t)
																																BgL_auxz00_5888);
																														}
																													}
																											}
																										else
																											{	/* Eval/evaluate.scm 319 */
																												if (
																													(CAR(BgL_ez00_49) ==
																														BGl_symbol2678z00zz__evaluatez00))
																													{	/* Eval/evaluate.scm 319 */
																														if (PAIRP
																															(BgL_cdrzd211131zd2_1367))
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1775z00_1377;
																																obj_t
																																	BgL_arg1776z00_1378;
																																BgL_arg1775z00_1377
																																	=
																																	CAR
																																	(BgL_cdrzd211131zd2_1367);
																																BgL_arg1776z00_1378
																																	=
																																	CDR
																																	(BgL_cdrzd211131zd2_1367);
																																{
																																	BgL_ev_letza2za2_bglt
																																		BgL_auxz00_5899;
																																	{
																																		obj_t
																																			BgL_bodyz00_5901;
																																		obj_t
																																			BgL_bindsz00_5900;
																																		BgL_bindsz00_5900
																																			=
																																			BgL_arg1775z00_1377;
																																		BgL_bodyz00_5901
																																			=
																																			BgL_arg1776z00_1378;
																																		BgL_bodyz00_897
																																			=
																																			BgL_bodyz00_5901;
																																		BgL_bindsz00_896
																																			=
																																			BgL_bindsz00_5900;
																																		goto
																																			BgL_tagzd2143zd2_898;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5899);
																																}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																obj_t
																																	BgL_arg1777z00_1379;
																																obj_t
																																	BgL_arg1778z00_1380;
																																BgL_arg1777z00_1379
																																	=
																																	CAR
																																	(BgL_ez00_49);
																																BgL_arg1778z00_1380
																																	=
																																	CDR
																																	(BgL_ez00_49);
																																{
																																	BgL_ev_appz00_bglt
																																		BgL_auxz00_5905;
																																	{
																																		obj_t
																																			BgL_argsz00_5907;
																																		obj_t
																																			BgL_fz00_5906;
																																		BgL_fz00_5906
																																			=
																																			BgL_arg1777z00_1379;
																																		BgL_argsz00_5907
																																			=
																																			BgL_arg1778z00_1380;
																																		BgL_argsz00_940
																																			=
																																			BgL_argsz00_5907;
																																		BgL_fz00_939
																																			=
																																			BgL_fz00_5906;
																																		goto
																																			BgL_tagzd2157zd2_941;
																																	}
																																	return
																																		((obj_t)
																																		BgL_auxz00_5905);
																																}
																															}
																													}
																												else
																													{	/* Eval/evaluate.scm 319 */
																														obj_t
																															BgL_cdrzd211525zd2_1381;
																														BgL_cdrzd211525zd2_1381
																															=
																															CDR(BgL_ez00_49);
																														if ((CAR
																																(BgL_ez00_49) ==
																																BGl_symbol2680z00zz__evaluatez00))
																															{	/* Eval/evaluate.scm 319 */
																																if (PAIRP
																																	(BgL_cdrzd211525zd2_1381))
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1781z00_1384;
																																		obj_t
																																			BgL_arg1782z00_1385;
																																		BgL_arg1781z00_1384
																																			=
																																			CAR
																																			(BgL_cdrzd211525zd2_1381);
																																		BgL_arg1782z00_1385
																																			=
																																			CDR
																																			(BgL_cdrzd211525zd2_1381);
																																		{
																																			BgL_ev_letrecz00_bglt
																																				BgL_auxz00_5917;
																																			{
																																				obj_t
																																					BgL_bodyz00_5919;
																																				obj_t
																																					BgL_bindsz00_5918;
																																				BgL_bindsz00_5918
																																					=
																																					BgL_arg1781z00_1384;
																																				BgL_bodyz00_5919
																																					=
																																					BgL_arg1782z00_1385;
																																				BgL_bodyz00_900
																																					=
																																					BgL_bodyz00_5919;
																																				BgL_bindsz00_899
																																					=
																																					BgL_bindsz00_5918;
																																				goto
																																					BgL_tagzd2144zd2_901;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5917);
																																		}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_arg1783z00_1386;
																																		BgL_arg1783z00_1386
																																			=
																																			CAR
																																			(BgL_ez00_49);
																																		{
																																			BgL_ev_appz00_bglt
																																				BgL_auxz00_5922;
																																			{
																																				obj_t
																																					BgL_argsz00_5924;
																																				obj_t
																																					BgL_fz00_5923;
																																				BgL_fz00_5923
																																					=
																																					BgL_arg1783z00_1386;
																																				BgL_argsz00_5924
																																					=
																																					BgL_cdrzd211525zd2_1381;
																																				BgL_argsz00_940
																																					=
																																					BgL_argsz00_5924;
																																				BgL_fz00_939
																																					=
																																					BgL_fz00_5923;
																																				goto
																																					BgL_tagzd2157zd2_941;
																																			}
																																			return
																																				((obj_t)
																																				BgL_auxz00_5922);
																																		}
																																	}
																															}
																														else
																															{	/* Eval/evaluate.scm 319 */
																																if (
																																	(CAR
																																		(BgL_ez00_49)
																																		==
																																		BGl_symbol2682z00zz__evaluatez00))
																																	{	/* Eval/evaluate.scm 319 */
																																		if (PAIRP
																																			(BgL_cdrzd211525zd2_1381))
																																			{	/* Eval/evaluate.scm 319 */
																																				obj_t
																																					BgL_carzd211699zd2_1391;
																																				obj_t
																																					BgL_cdrzd211700zd2_1392;
																																				BgL_carzd211699zd2_1391
																																					=
																																					CAR
																																					(BgL_cdrzd211525zd2_1381);
																																				BgL_cdrzd211700zd2_1392
																																					=
																																					CDR
																																					(BgL_cdrzd211525zd2_1381);
																																				if (PAIRP(BgL_carzd211699zd2_1391))
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd211704zd2_1394;
																																						BgL_cdrzd211704zd2_1394
																																							=
																																							CDR
																																							(BgL_carzd211699zd2_1391);
																																						if (
																																							(CAR
																																								(BgL_carzd211699zd2_1391)
																																								==
																																								BGl_symbol2660z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 319 */
																																								if (PAIRP(BgL_cdrzd211704zd2_1394))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_carzd211707zd2_1397;
																																										obj_t
																																											BgL_cdrzd211708zd2_1398;
																																										BgL_carzd211707zd2_1397
																																											=
																																											CAR
																																											(BgL_cdrzd211704zd2_1394);
																																										BgL_cdrzd211708zd2_1398
																																											=
																																											CDR
																																											(BgL_cdrzd211704zd2_1394);
																																										if (SYMBOLP(BgL_carzd211707zd2_1397))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd211708zd2_1398))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_carzd211712zd2_1401;
																																														BgL_carzd211712zd2_1401
																																															=
																																															CAR
																																															(BgL_cdrzd211708zd2_1398);
																																														if (SYMBOLP(BgL_carzd211712zd2_1401))
																																															{	/* Eval/evaluate.scm 319 */
																																																if (NULLP(CDR(BgL_cdrzd211708zd2_1398)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (PAIRP(BgL_cdrzd211700zd2_1392))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				if (NULLP(CDR(BgL_cdrzd211700zd2_1392)))
																																																					{	/* Eval/evaluate.scm 319 */
																																																						obj_t
																																																							BgL_arg1796z00_1406;
																																																						BgL_arg1796z00_1406
																																																							=
																																																							CAR
																																																							(BgL_cdrzd211700zd2_1392);
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_idz00_3573;
																																																							obj_t
																																																								BgL_modnamez00_3574;
																																																							BgL_idz00_3573
																																																								=
																																																								BgL_carzd211707zd2_1397;
																																																							BgL_modnamez00_3574
																																																								=
																																																								BgL_carzd211712zd2_1401;
																																																							{	/* Eval/evaluate.scm 426 */
																																																								BgL_ev_setglobalz00_bglt
																																																									BgL_new1136z00_3576;
																																																								{	/* Eval/evaluate.scm 426 */
																																																									BgL_ev_setglobalz00_bglt
																																																										BgL_new1135z00_3577;
																																																									BgL_new1135z00_3577
																																																										=
																																																										(
																																																										(BgL_ev_setglobalz00_bglt)
																																																										BREF
																																																										(GC_MALLOC
																																																											(sizeof
																																																												(struct
																																																													BgL_ev_setglobalz00_bgl))));
																																																									{	/* Eval/evaluate.scm 426 */
																																																										long
																																																											BgL_arg2067z00_3578;
																																																										{	/* Eval/evaluate.scm 426 */
																																																											long
																																																												BgL_res2562z00_3580;
																																																											BgL_res2562z00_3580
																																																												=
																																																												BGL_CLASS_INDEX
																																																												(BGl_ev_setglobalz00zz__evaluate_typesz00);
																																																											BgL_arg2067z00_3578
																																																												=
																																																												BgL_res2562z00_3580;
																																																										}
																																																										{	/* Eval/evaluate.scm 426 */
																																																											BgL_objectz00_bglt
																																																												BgL_objz00_3581;
																																																											BgL_objz00_3581
																																																												=
																																																												(
																																																												(BgL_objectz00_bglt)
																																																												BgL_new1135z00_3577);
																																																											BGL_OBJECT_CLASS_NUM_SET
																																																												(BgL_objz00_3581,
																																																												BgL_arg2067z00_3578);
																																																									}}
																																																									{	/* Eval/evaluate.scm 426 */
																																																										BgL_objectz00_bglt
																																																											BgL_auxz00_5963;
																																																										BgL_auxz00_5963
																																																											=
																																																											(
																																																											(BgL_objectz00_bglt)
																																																											BgL_new1135z00_3577);
																																																										BGL_OBJECT_WIDENING_SET
																																																											(BgL_auxz00_5963,
																																																											BFALSE);
																																																									}
																																																									BgL_new1136z00_3576
																																																										=
																																																										BgL_new1135z00_3577;
																																																								}
																																																								{
																																																									BgL_ev_exprz00_bglt
																																																										BgL_auxz00_5966;
																																																									{	/* Eval/evaluate.scm 280 */
																																																										obj_t
																																																											BgL_arg2104z00_3584;
																																																										BgL_arg2104z00_3584
																																																											=
																																																											BGl_getzd2locationzd2zz__evaluatez00
																																																											(BgL_arg1796z00_1406,
																																																											BgL_locz00_54);
																																																										BgL_auxz00_5966
																																																											=
																																																											(
																																																											(BgL_ev_exprz00_bglt)
																																																											BGl_uconvzf2loczf2zz__evaluatez00
																																																											(BgL_wherez00_53,
																																																												BgL_globalsz00_51,
																																																												BgL_localsz00_50,
																																																												BgL_arg1796z00_1406,
																																																												BgL_arg2104z00_3584));
																																																									}
																																																									((((BgL_ev_hookz00_bglt) CREF(((BgL_ev_hookz00_bglt) BgL_new1136z00_3576)))->BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_5966), BUNSPEC);
																																																								}
																																																								((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1136z00_3576))->BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
																																																								((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1136z00_3576))->BgL_namez00) = ((obj_t) BgL_idz00_3573), BUNSPEC);
																																																								((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1136z00_3576))->BgL_modz00) = ((obj_t) BGl_evalzd2findzd2modulez00zz__evmodulez00(BgL_modnamez00_3574)), BUNSPEC);
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_new1136z00_3576);
																																																							}
																																																						}
																																																					}
																																																				else
																																																					{	/* Eval/evaluate.scm 319 */
																																																						return
																																																							BGl_evcompilezd2errorzd2zz__evcompilez00
																																																							(BgL_locz00_54,
																																																							BGl_string2648z00zz__evaluatez00,
																																																							BGl_string2654z00zz__evaluatez00,
																																																							BgL_ez00_49);
																																																					}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				return
																																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																																					(BgL_locz00_54,
																																																					BGl_string2648z00zz__evaluatez00,
																																																					BGl_string2654z00zz__evaluatez00,
																																																					BgL_ez00_49);
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd211828zd2_1408;
																																																		BgL_cdrzd211828zd2_1408
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_cdrzd211832zd2_1409;
																																																			BgL_cdrzd211832zd2_1409
																																																				=
																																																				CDR
																																																				(BgL_cdrzd211828zd2_1408);
																																																			if (PAIRP(BgL_cdrzd211832zd2_1409))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					if (NULLP(CDR(BgL_cdrzd211832zd2_1409)))
																																																						{	/* Eval/evaluate.scm 319 */
																																																							obj_t
																																																								BgL_arg1800z00_1412;
																																																							obj_t
																																																								BgL_arg1801z00_1413;
																																																							BgL_arg1800z00_1412
																																																								=
																																																								CAR
																																																								(BgL_cdrzd211828zd2_1408);
																																																							BgL_arg1801z00_1413
																																																								=
																																																								CAR
																																																								(BgL_cdrzd211832zd2_1409);
																																																							{
																																																								BgL_ev_hookz00_bglt
																																																									BgL_auxz00_5988;
																																																								{
																																																									obj_t
																																																										BgL_ez00_5990;
																																																									obj_t
																																																										BgL_vz00_5989;
																																																									BgL_vz00_5989
																																																										=
																																																										BgL_arg1800z00_1412;
																																																									BgL_ez00_5990
																																																										=
																																																										BgL_arg1801z00_1413;
																																																									BgL_ez00_910
																																																										=
																																																										BgL_ez00_5990;
																																																									BgL_vz00_909
																																																										=
																																																										BgL_vz00_5989;
																																																									goto
																																																										BgL_tagzd2147zd2_911;
																																																								}
																																																								return
																																																									(
																																																									(obj_t)
																																																									BgL_auxz00_5988);
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate.scm 319 */
																																																							return
																																																								BGl_evcompilezd2errorzd2zz__evcompilez00
																																																								(BgL_locz00_54,
																																																								BGl_string2648z00zz__evaluatez00,
																																																								BGl_string2654z00zz__evaluatez00,
																																																								BgL_ez00_49);
																																																						}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2648z00zz__evaluatez00,
																																																						BGl_string2654z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd211889zd2_1416;
																																																BgL_cdrzd211889zd2_1416
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_cdrzd211893zd2_1417;
																																																	BgL_cdrzd211893zd2_1417
																																																		=
																																																		CDR
																																																		(BgL_cdrzd211889zd2_1416);
																																																	if (PAIRP(BgL_cdrzd211893zd2_1417))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			if (NULLP(CDR(BgL_cdrzd211893zd2_1417)))
																																																				{	/* Eval/evaluate.scm 319 */
																																																					obj_t
																																																						BgL_arg1806z00_1420;
																																																					obj_t
																																																						BgL_arg1807z00_1421;
																																																					BgL_arg1806z00_1420
																																																						=
																																																						CAR
																																																						(BgL_cdrzd211889zd2_1416);
																																																					BgL_arg1807z00_1421
																																																						=
																																																						CAR
																																																						(BgL_cdrzd211893zd2_1417);
																																																					{
																																																						BgL_ev_hookz00_bglt
																																																							BgL_auxz00_6003;
																																																						{
																																																							obj_t
																																																								BgL_ez00_6005;
																																																							obj_t
																																																								BgL_vz00_6004;
																																																							BgL_vz00_6004
																																																								=
																																																								BgL_arg1806z00_1420;
																																																							BgL_ez00_6005
																																																								=
																																																								BgL_arg1807z00_1421;
																																																							BgL_ez00_910
																																																								=
																																																								BgL_ez00_6005;
																																																							BgL_vz00_909
																																																								=
																																																								BgL_vz00_6004;
																																																							goto
																																																								BgL_tagzd2147zd2_911;
																																																						}
																																																						return
																																																							(
																																																							(obj_t)
																																																							BgL_auxz00_6003);
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate.scm 319 */
																																																					return
																																																						BGl_evcompilezd2errorzd2zz__evcompilez00
																																																						(BgL_locz00_54,
																																																						BGl_string2648z00zz__evaluatez00,
																																																						BGl_string2654z00zz__evaluatez00,
																																																						BgL_ez00_49);
																																																				}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2648z00zz__evaluatez00,
																																																				BGl_string2654z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd211950zd2_1423;
																																														BgL_cdrzd211950zd2_1423
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_cdrzd211954zd2_1424;
																																															BgL_cdrzd211954zd2_1424
																																																=
																																																CDR
																																																(BgL_cdrzd211950zd2_1423);
																																															if (PAIRP(BgL_cdrzd211954zd2_1424))
																																																{	/* Eval/evaluate.scm 319 */
																																																	if (NULLP(CDR(BgL_cdrzd211954zd2_1424)))
																																																		{	/* Eval/evaluate.scm 319 */
																																																			obj_t
																																																				BgL_arg1811z00_1427;
																																																			obj_t
																																																				BgL_arg1812z00_1428;
																																																			BgL_arg1811z00_1427
																																																				=
																																																				CAR
																																																				(BgL_cdrzd211950zd2_1423);
																																																			BgL_arg1812z00_1428
																																																				=
																																																				CAR
																																																				(BgL_cdrzd211954zd2_1424);
																																																			{
																																																				BgL_ev_hookz00_bglt
																																																					BgL_auxz00_6018;
																																																				{
																																																					obj_t
																																																						BgL_ez00_6020;
																																																					obj_t
																																																						BgL_vz00_6019;
																																																					BgL_vz00_6019
																																																						=
																																																						BgL_arg1811z00_1427;
																																																					BgL_ez00_6020
																																																						=
																																																						BgL_arg1812z00_1428;
																																																					BgL_ez00_910
																																																						=
																																																						BgL_ez00_6020;
																																																					BgL_vz00_909
																																																						=
																																																						BgL_vz00_6019;
																																																					goto
																																																						BgL_tagzd2147zd2_911;
																																																				}
																																																				return
																																																					(
																																																					(obj_t)
																																																					BgL_auxz00_6018);
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate.scm 319 */
																																																			return
																																																				BGl_evcompilezd2errorzd2zz__evcompilez00
																																																				(BgL_locz00_54,
																																																				BGl_string2648z00zz__evaluatez00,
																																																				BGl_string2654z00zz__evaluatez00,
																																																				BgL_ez00_49);
																																																		}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2648z00zz__evaluatez00,
																																																		BGl_string2654z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd212011zd2_1430;
																																												BgL_cdrzd212011zd2_1430
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{	/* Eval/evaluate.scm 319 */
																																													obj_t
																																														BgL_cdrzd212015zd2_1431;
																																													BgL_cdrzd212015zd2_1431
																																														=
																																														CDR
																																														(BgL_cdrzd212011zd2_1430);
																																													if (PAIRP(BgL_cdrzd212015zd2_1431))
																																														{	/* Eval/evaluate.scm 319 */
																																															if (NULLP(CDR(BgL_cdrzd212015zd2_1431)))
																																																{	/* Eval/evaluate.scm 319 */
																																																	obj_t
																																																		BgL_arg1818z00_1434;
																																																	obj_t
																																																		BgL_arg1819z00_1435;
																																																	BgL_arg1818z00_1434
																																																		=
																																																		CAR
																																																		(BgL_cdrzd212011zd2_1430);
																																																	BgL_arg1819z00_1435
																																																		=
																																																		CAR
																																																		(BgL_cdrzd212015zd2_1431);
																																																	{
																																																		BgL_ev_hookz00_bglt
																																																			BgL_auxz00_6033;
																																																		{
																																																			obj_t
																																																				BgL_ez00_6035;
																																																			obj_t
																																																				BgL_vz00_6034;
																																																			BgL_vz00_6034
																																																				=
																																																				BgL_arg1818z00_1434;
																																																			BgL_ez00_6035
																																																				=
																																																				BgL_arg1819z00_1435;
																																																			BgL_ez00_910
																																																				=
																																																				BgL_ez00_6035;
																																																			BgL_vz00_909
																																																				=
																																																				BgL_vz00_6034;
																																																			goto
																																																				BgL_tagzd2147zd2_911;
																																																		}
																																																		return
																																																			(
																																																			(obj_t)
																																																			BgL_auxz00_6033);
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate.scm 319 */
																																																	return
																																																		BGl_evcompilezd2errorzd2zz__evcompilez00
																																																		(BgL_locz00_54,
																																																		BGl_string2648z00zz__evaluatez00,
																																																		BGl_string2654z00zz__evaluatez00,
																																																		BgL_ez00_49);
																																																}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2648z00zz__evaluatez00,
																																																BGl_string2654z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd212072zd2_1437;
																																										BgL_cdrzd212072zd2_1437
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_cdrzd212076zd2_1438;
																																											BgL_cdrzd212076zd2_1438
																																												=
																																												CDR
																																												(BgL_cdrzd212072zd2_1437);
																																											if (PAIRP(BgL_cdrzd212076zd2_1438))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (NULLP(CDR(BgL_cdrzd212076zd2_1438)))
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_arg1823z00_1441;
																																															obj_t
																																																BgL_arg1824z00_1442;
																																															BgL_arg1823z00_1441
																																																=
																																																CAR
																																																(BgL_cdrzd212072zd2_1437);
																																															BgL_arg1824z00_1442
																																																=
																																																CAR
																																																(BgL_cdrzd212076zd2_1438);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_6048;
																																																{
																																																	obj_t
																																																		BgL_ez00_6050;
																																																	obj_t
																																																		BgL_vz00_6049;
																																																	BgL_vz00_6049
																																																		=
																																																		BgL_arg1823z00_1441;
																																																	BgL_ez00_6050
																																																		=
																																																		BgL_arg1824z00_1442;
																																																	BgL_ez00_910
																																																		=
																																																		BgL_ez00_6050;
																																																	BgL_vz00_909
																																																		=
																																																		BgL_vz00_6049;
																																																	goto
																																																		BgL_tagzd2147zd2_911;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_6048);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2648z00zz__evaluatez00,
																																																BGl_string2654z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2648z00zz__evaluatez00,
																																														BGl_string2654z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_cdrzd212120zd2_1444;
																																								BgL_cdrzd212120zd2_1444
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								{	/* Eval/evaluate.scm 319 */
																																									obj_t
																																										BgL_carzd212123zd2_1445;
																																									obj_t
																																										BgL_cdrzd212124zd2_1446;
																																									BgL_carzd212123zd2_1445
																																										=
																																										CAR
																																										(BgL_cdrzd212120zd2_1444);
																																									BgL_cdrzd212124zd2_1446
																																										=
																																										CDR
																																										(BgL_cdrzd212120zd2_1444);
																																									if ((CAR(BgL_carzd212123zd2_1445) == BGl_symbol2662z00zz__evaluatez00))
																																										{	/* Eval/evaluate.scm 319 */
																																											if (PAIRP(BgL_cdrzd212124zd2_1446))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (NULLP(CDR(BgL_cdrzd212124zd2_1446)))
																																														{
																																															obj_t
																																																BgL_e2z00_6067;
																																															obj_t
																																																BgL_lz00_6065;
																																															BgL_lz00_6065
																																																=
																																																CDR
																																																(BgL_carzd212123zd2_1445);
																																															BgL_e2z00_6067
																																																=
																																																CAR
																																																(BgL_cdrzd212124zd2_1446);
																																															BgL_e2z00_907
																																																=
																																																BgL_e2z00_6067;
																																															BgL_lz00_906
																																																=
																																																BgL_lz00_6065;
																																															goto
																																																BgL_tagzd2146zd2_908;
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2648z00zz__evaluatez00,
																																																BGl_string2654z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2648z00zz__evaluatez00,
																																														BGl_string2654z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_cdrzd212200zd2_1454;
																																											BgL_cdrzd212200zd2_1454
																																												=
																																												CDR
																																												(BgL_cdrzd212120zd2_1444);
																																											if (PAIRP(BgL_cdrzd212200zd2_1454))
																																												{	/* Eval/evaluate.scm 319 */
																																													if (NULLP(CDR(BgL_cdrzd212200zd2_1454)))
																																														{	/* Eval/evaluate.scm 319 */
																																															obj_t
																																																BgL_arg1834z00_1457;
																																															obj_t
																																																BgL_arg1835z00_1458;
																																															BgL_arg1834z00_1457
																																																=
																																																CAR
																																																(BgL_cdrzd212120zd2_1444);
																																															BgL_arg1835z00_1458
																																																=
																																																CAR
																																																(BgL_cdrzd212200zd2_1454);
																																															{
																																																BgL_ev_hookz00_bglt
																																																	BgL_auxz00_6079;
																																																{
																																																	obj_t
																																																		BgL_ez00_6081;
																																																	obj_t
																																																		BgL_vz00_6080;
																																																	BgL_vz00_6080
																																																		=
																																																		BgL_arg1834z00_1457;
																																																	BgL_ez00_6081
																																																		=
																																																		BgL_arg1835z00_1458;
																																																	BgL_ez00_910
																																																		=
																																																		BgL_ez00_6081;
																																																	BgL_vz00_909
																																																		=
																																																		BgL_vz00_6080;
																																																	goto
																																																		BgL_tagzd2147zd2_911;
																																																}
																																																return
																																																	(
																																																	(obj_t)
																																																	BgL_auxz00_6079);
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate.scm 319 */
																																															return
																																																BGl_evcompilezd2errorzd2zz__evcompilez00
																																																(BgL_locz00_54,
																																																BGl_string2648z00zz__evaluatez00,
																																																BGl_string2654z00zz__evaluatez00,
																																																BgL_ez00_49);
																																														}
																																												}
																																											else
																																												{	/* Eval/evaluate.scm 319 */
																																													return
																																														BGl_evcompilezd2errorzd2zz__evcompilez00
																																														(BgL_locz00_54,
																																														BGl_string2648z00zz__evaluatez00,
																																														BGl_string2654z00zz__evaluatez00,
																																														BgL_ez00_49);
																																												}
																																										}
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd212257zd2_1462;
																																						BgL_cdrzd212257zd2_1462
																																							=
																																							CDR
																																							(BgL_ez00_49);
																																						{	/* Eval/evaluate.scm 319 */
																																							obj_t
																																								BgL_cdrzd212261zd2_1463;
																																							BgL_cdrzd212261zd2_1463
																																								=
																																								CDR
																																								(BgL_cdrzd212257zd2_1462);
																																							if (PAIRP(BgL_cdrzd212261zd2_1463))
																																								{	/* Eval/evaluate.scm 319 */
																																									if (NULLP(CDR(BgL_cdrzd212261zd2_1463)))
																																										{	/* Eval/evaluate.scm 319 */
																																											obj_t
																																												BgL_arg1842z00_1466;
																																											obj_t
																																												BgL_arg1843z00_1467;
																																											BgL_arg1842z00_1466
																																												=
																																												CAR
																																												(BgL_cdrzd212257zd2_1462);
																																											BgL_arg1843z00_1467
																																												=
																																												CAR
																																												(BgL_cdrzd212261zd2_1463);
																																											{
																																												BgL_ev_hookz00_bglt
																																													BgL_auxz00_6094;
																																												{
																																													obj_t
																																														BgL_ez00_6096;
																																													obj_t
																																														BgL_vz00_6095;
																																													BgL_vz00_6095
																																														=
																																														BgL_arg1842z00_1466;
																																													BgL_ez00_6096
																																														=
																																														BgL_arg1843z00_1467;
																																													BgL_ez00_910
																																														=
																																														BgL_ez00_6096;
																																													BgL_vz00_909
																																														=
																																														BgL_vz00_6095;
																																													goto
																																														BgL_tagzd2147zd2_911;
																																												}
																																												return
																																													(
																																													(obj_t)
																																													BgL_auxz00_6094);
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate.scm 319 */
																																											return
																																												BGl_evcompilezd2errorzd2zz__evcompilez00
																																												(BgL_locz00_54,
																																												BGl_string2648z00zz__evaluatez00,
																																												BGl_string2654z00zz__evaluatez00,
																																												BgL_ez00_49);
																																										}
																																								}
																																							else
																																								{	/* Eval/evaluate.scm 319 */
																																									return
																																										BGl_evcompilezd2errorzd2zz__evcompilez00
																																										(BgL_locz00_54,
																																										BGl_string2648z00zz__evaluatez00,
																																										BGl_string2654z00zz__evaluatez00,
																																										BgL_ez00_49);
																																								}
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				return
																																					BGl_evcompilezd2errorzd2zz__evcompilez00
																																					(BgL_locz00_54,
																																					BGl_string2648z00zz__evaluatez00,
																																					BGl_string2654z00zz__evaluatez00,
																																					BgL_ez00_49);
																																			}
																																	}
																																else
																																	{	/* Eval/evaluate.scm 319 */
																																		obj_t
																																			BgL_cdrzd212382zd2_1469;
																																		BgL_cdrzd212382zd2_1469
																																			=
																																			CDR
																																			(BgL_ez00_49);
																																		if ((CAR
																																				(BgL_ez00_49)
																																				==
																																				BGl_symbol2684z00zz__evaluatez00))
																																			{	/* Eval/evaluate.scm 319 */
																																				if (PAIRP(BgL_cdrzd212382zd2_1469))
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd212387zd2_1472;
																																						BgL_cdrzd212387zd2_1472
																																							=
																																							CDR
																																							(BgL_cdrzd212382zd2_1469);
																																						if (PAIRP(BgL_cdrzd212387zd2_1472))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_carzd212391zd2_1474;
																																								BgL_carzd212391zd2_1474
																																									=
																																									CAR
																																									(BgL_cdrzd212387zd2_1472);
																																								if (PAIRP(BgL_carzd212391zd2_1474))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd212396zd2_1476;
																																										BgL_cdrzd212396zd2_1476
																																											=
																																											CDR
																																											(BgL_carzd212391zd2_1474);
																																										if ((CAR(BgL_carzd212391zd2_1474) == BGl_symbol2686z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd212396zd2_1476))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd212400zd2_1479;
																																														BgL_cdrzd212400zd2_1479
																																															=
																																															CDR
																																															(BgL_cdrzd212396zd2_1476);
																																														if (PAIRP(BgL_cdrzd212400zd2_1479))
																																															{	/* Eval/evaluate.scm 319 */
																																																if (NULLP(CDR(BgL_cdrzd212400zd2_1479)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd212387zd2_1472)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1854z00_1483;
																																																				obj_t
																																																					BgL_arg1855z00_1484;
																																																				obj_t
																																																					BgL_arg1856z00_1485;
																																																				BgL_arg1854z00_1483
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212382zd2_1469);
																																																				BgL_arg1855z00_1484
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212396zd2_1476);
																																																				BgL_arg1856z00_1485
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212400zd2_1479);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_6131;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_6134;
																																																						obj_t
																																																							BgL_formalsz00_6133;
																																																						obj_t
																																																							BgL_gvz00_6132;
																																																						BgL_gvz00_6132
																																																							=
																																																							BgL_arg1854z00_1483;
																																																						BgL_formalsz00_6133
																																																							=
																																																							BgL_arg1855z00_1484;
																																																						BgL_bodyz00_6134
																																																							=
																																																							BgL_arg1856z00_1485;
																																																						BgL_bodyz00_915
																																																							=
																																																							BgL_bodyz00_6134;
																																																						BgL_formalsz00_914
																																																							=
																																																							BgL_formalsz00_6133;
																																																						BgL_gvz00_913
																																																							=
																																																							BgL_gvz00_6132;
																																																						goto
																																																							BgL_tagzd2149zd2_916;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6131);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1857z00_1486;
																																																				BgL_arg1857z00_1486
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6137;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6139;
																																																						obj_t
																																																							BgL_fz00_6138;
																																																						BgL_fz00_6138
																																																							=
																																																							BgL_arg1857z00_1486;
																																																						BgL_argsz00_6139
																																																							=
																																																							BgL_cdrzd212382zd2_1469;
																																																						BgL_argsz00_940
																																																							=
																																																							BgL_argsz00_6139;
																																																						BgL_fz00_939
																																																							=
																																																							BgL_fz00_6138;
																																																						goto
																																																							BgL_tagzd2157zd2_941;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6137);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_cdrzd212500zd2_1490;
																																																		BgL_cdrzd212500zd2_1490
																																																			=
																																																			CDR
																																																			(BgL_cdrzd212382zd2_1469);
																																																		if (NULLP(CDR(BgL_cdrzd212500zd2_1490)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1861z00_1492;
																																																				obj_t
																																																					BgL_arg1862z00_1493;
																																																				BgL_arg1861z00_1492
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212382zd2_1469);
																																																				BgL_arg1862z00_1493
																																																					=
																																																					CAR
																																																					(BgL_cdrzd212500zd2_1490);
																																																				{
																																																					BgL_ev_defglobalz00_bglt
																																																						BgL_auxz00_6147;
																																																					{
																																																						obj_t
																																																							BgL_gez00_6149;
																																																						obj_t
																																																							BgL_gvz00_6148;
																																																						BgL_gvz00_6148
																																																							=
																																																							BgL_arg1861z00_1492;
																																																						BgL_gez00_6149
																																																							=
																																																							BgL_arg1862z00_1493;
																																																						BgL_gez00_918
																																																							=
																																																							BgL_gez00_6149;
																																																						BgL_gvz00_917
																																																							=
																																																							BgL_gvz00_6148;
																																																						goto
																																																							BgL_tagzd2150zd2_919;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6147);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1863z00_1494;
																																																				obj_t
																																																					BgL_arg1864z00_1495;
																																																				BgL_arg1863z00_1494
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				BgL_arg1864z00_1495
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6153;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6155;
																																																						obj_t
																																																							BgL_fz00_6154;
																																																						BgL_fz00_6154
																																																							=
																																																							BgL_arg1863z00_1494;
																																																						BgL_argsz00_6155
																																																							=
																																																							BgL_arg1864z00_1495;
																																																						BgL_argsz00_940
																																																							=
																																																							BgL_argsz00_6155;
																																																						BgL_fz00_939
																																																							=
																																																							BgL_fz00_6154;
																																																						goto
																																																							BgL_tagzd2157zd2_941;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6153);
																																																				}
																																																			}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd212587zd2_1499;
																																																BgL_cdrzd212587zd2_1499
																																																	=
																																																	CDR
																																																	(BgL_cdrzd212382zd2_1469);
																																																if (NULLP(CDR(BgL_cdrzd212587zd2_1499)))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1869z00_1501;
																																																		obj_t
																																																			BgL_arg1870z00_1502;
																																																		BgL_arg1869z00_1501
																																																			=
																																																			CAR
																																																			(BgL_cdrzd212382zd2_1469);
																																																		BgL_arg1870z00_1502
																																																			=
																																																			CAR
																																																			(BgL_cdrzd212587zd2_1499);
																																																		{
																																																			BgL_ev_defglobalz00_bglt
																																																				BgL_auxz00_6163;
																																																			{
																																																				obj_t
																																																					BgL_gez00_6165;
																																																				obj_t
																																																					BgL_gvz00_6164;
																																																				BgL_gvz00_6164
																																																					=
																																																					BgL_arg1869z00_1501;
																																																				BgL_gez00_6165
																																																					=
																																																					BgL_arg1870z00_1502;
																																																				BgL_gez00_918
																																																					=
																																																					BgL_gez00_6165;
																																																				BgL_gvz00_917
																																																					=
																																																					BgL_gvz00_6164;
																																																				goto
																																																					BgL_tagzd2150zd2_919;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6163);
																																																		}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1871z00_1503;
																																																		obj_t
																																																			BgL_arg1872z00_1504;
																																																		BgL_arg1871z00_1503
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		BgL_arg1872z00_1504
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6169;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6171;
																																																				obj_t
																																																					BgL_fz00_6170;
																																																				BgL_fz00_6170
																																																					=
																																																					BgL_arg1871z00_1503;
																																																				BgL_argsz00_6171
																																																					=
																																																					BgL_arg1872z00_1504;
																																																				BgL_argsz00_940
																																																					=
																																																					BgL_argsz00_6171;
																																																				BgL_fz00_939
																																																					=
																																																					BgL_fz00_6170;
																																																				goto
																																																					BgL_tagzd2157zd2_941;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6169);
																																																		}
																																																	}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd212674zd2_1507;
																																														BgL_cdrzd212674zd2_1507
																																															=
																																															CDR
																																															(BgL_cdrzd212382zd2_1469);
																																														if (NULLP(CDR(BgL_cdrzd212674zd2_1507)))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1875z00_1509;
																																																obj_t
																																																	BgL_arg1876z00_1510;
																																																BgL_arg1875z00_1509
																																																	=
																																																	CAR
																																																	(BgL_cdrzd212382zd2_1469);
																																																BgL_arg1876z00_1510
																																																	=
																																																	CAR
																																																	(BgL_cdrzd212674zd2_1507);
																																																{
																																																	BgL_ev_defglobalz00_bglt
																																																		BgL_auxz00_6179;
																																																	{
																																																		obj_t
																																																			BgL_gez00_6181;
																																																		obj_t
																																																			BgL_gvz00_6180;
																																																		BgL_gvz00_6180
																																																			=
																																																			BgL_arg1875z00_1509;
																																																		BgL_gez00_6181
																																																			=
																																																			BgL_arg1876z00_1510;
																																																		BgL_gez00_918
																																																			=
																																																			BgL_gez00_6181;
																																																		BgL_gvz00_917
																																																			=
																																																			BgL_gvz00_6180;
																																																		goto
																																																			BgL_tagzd2150zd2_919;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6179);
																																																}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1877z00_1511;
																																																obj_t
																																																	BgL_arg1878z00_1512;
																																																BgL_arg1877z00_1511
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																BgL_arg1878z00_1512
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6185;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6187;
																																																		obj_t
																																																			BgL_fz00_6186;
																																																		BgL_fz00_6186
																																																			=
																																																			BgL_arg1877z00_1511;
																																																		BgL_argsz00_6187
																																																			=
																																																			BgL_arg1878z00_1512;
																																																		BgL_argsz00_940
																																																			=
																																																			BgL_argsz00_6187;
																																																		BgL_fz00_939
																																																			=
																																																			BgL_fz00_6186;
																																																		goto
																																																			BgL_tagzd2157zd2_941;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6185);
																																																}
																																															}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_cdrzd212761zd2_1515;
																																												BgL_cdrzd212761zd2_1515
																																													=
																																													CDR
																																													(BgL_cdrzd212382zd2_1469);
																																												if (NULLP(CDR(BgL_cdrzd212761zd2_1515)))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1881z00_1517;
																																														obj_t
																																															BgL_arg1882z00_1518;
																																														BgL_arg1881z00_1517
																																															=
																																															CAR
																																															(BgL_cdrzd212382zd2_1469);
																																														BgL_arg1882z00_1518
																																															=
																																															CAR
																																															(BgL_cdrzd212761zd2_1515);
																																														{
																																															BgL_ev_defglobalz00_bglt
																																																BgL_auxz00_6195;
																																															{
																																																obj_t
																																																	BgL_gez00_6197;
																																																obj_t
																																																	BgL_gvz00_6196;
																																																BgL_gvz00_6196
																																																	=
																																																	BgL_arg1881z00_1517;
																																																BgL_gez00_6197
																																																	=
																																																	BgL_arg1882z00_1518;
																																																BgL_gez00_918
																																																	=
																																																	BgL_gez00_6197;
																																																BgL_gvz00_917
																																																	=
																																																	BgL_gvz00_6196;
																																																goto
																																																	BgL_tagzd2150zd2_919;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6195);
																																														}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1883z00_1519;
																																														obj_t
																																															BgL_arg1884z00_1520;
																																														BgL_arg1883z00_1519
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1884z00_1520
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6201;
																																															{
																																																obj_t
																																																	BgL_argsz00_6203;
																																																obj_t
																																																	BgL_fz00_6202;
																																																BgL_fz00_6202
																																																	=
																																																	BgL_arg1883z00_1519;
																																																BgL_argsz00_6203
																																																	=
																																																	BgL_arg1884z00_1520;
																																																BgL_argsz00_940
																																																	=
																																																	BgL_argsz00_6203;
																																																BgL_fz00_939
																																																	=
																																																	BgL_fz00_6202;
																																																goto
																																																	BgL_tagzd2157zd2_941;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6201);
																																														}
																																													}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd212848zd2_1524;
																																										BgL_cdrzd212848zd2_1524
																																											=
																																											CDR
																																											(BgL_cdrzd212382zd2_1469);
																																										if (NULLP(CDR(BgL_cdrzd212848zd2_1524)))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1888z00_1526;
																																												obj_t
																																													BgL_arg1889z00_1527;
																																												BgL_arg1888z00_1526
																																													=
																																													CAR
																																													(BgL_cdrzd212382zd2_1469);
																																												BgL_arg1889z00_1527
																																													=
																																													CAR
																																													(BgL_cdrzd212848zd2_1524);
																																												{
																																													BgL_ev_defglobalz00_bglt
																																														BgL_auxz00_6211;
																																													{
																																														obj_t
																																															BgL_gez00_6213;
																																														obj_t
																																															BgL_gvz00_6212;
																																														BgL_gvz00_6212
																																															=
																																															BgL_arg1888z00_1526;
																																														BgL_gez00_6213
																																															=
																																															BgL_arg1889z00_1527;
																																														BgL_gez00_918
																																															=
																																															BgL_gez00_6213;
																																														BgL_gvz00_917
																																															=
																																															BgL_gvz00_6212;
																																														goto
																																															BgL_tagzd2150zd2_919;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6211);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1890z00_1528;
																																												obj_t
																																													BgL_arg1891z00_1529;
																																												BgL_arg1890z00_1528
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1891z00_1529
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6217;
																																													{
																																														obj_t
																																															BgL_argsz00_6219;
																																														obj_t
																																															BgL_fz00_6218;
																																														BgL_fz00_6218
																																															=
																																															BgL_arg1890z00_1528;
																																														BgL_argsz00_6219
																																															=
																																															BgL_arg1891z00_1529;
																																														BgL_argsz00_940
																																															=
																																															BgL_argsz00_6219;
																																														BgL_fz00_939
																																															=
																																															BgL_fz00_6218;
																																														goto
																																															BgL_tagzd2157zd2_941;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6217);
																																												}
																																											}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_arg1893z00_1531;
																																								BgL_arg1893z00_1531
																																									=
																																									CAR
																																									(BgL_ez00_49);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6222;
																																									{
																																										obj_t
																																											BgL_argsz00_6224;
																																										obj_t
																																											BgL_fz00_6223;
																																										BgL_fz00_6223
																																											=
																																											BgL_arg1893z00_1531;
																																										BgL_argsz00_6224
																																											=
																																											BgL_cdrzd212382zd2_1469;
																																										BgL_argsz00_940
																																											=
																																											BgL_argsz00_6224;
																																										BgL_fz00_939
																																											=
																																											BgL_fz00_6223;
																																										goto
																																											BgL_tagzd2157zd2_941;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6222);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_arg1895z00_1533;
																																						BgL_arg1895z00_1533
																																							=
																																							CAR
																																							(BgL_ez00_49);
																																						{
																																							BgL_ev_appz00_bglt
																																								BgL_auxz00_6227;
																																							{
																																								obj_t
																																									BgL_argsz00_6229;
																																								obj_t
																																									BgL_fz00_6228;
																																								BgL_fz00_6228
																																									=
																																									BgL_arg1895z00_1533;
																																								BgL_argsz00_6229
																																									=
																																									BgL_cdrzd212382zd2_1469;
																																								BgL_argsz00_940
																																									=
																																									BgL_argsz00_6229;
																																								BgL_fz00_939
																																									=
																																									BgL_fz00_6228;
																																								goto
																																									BgL_tagzd2157zd2_941;
																																							}
																																							return
																																								(
																																								(obj_t)
																																								BgL_auxz00_6227);
																																						}
																																					}
																																			}
																																		else
																																			{	/* Eval/evaluate.scm 319 */
																																				if (
																																					(CAR
																																						(BgL_ez00_49)
																																						==
																																						BGl_symbol2688z00zz__evaluatez00))
																																					{	/* Eval/evaluate.scm 319 */
																																						if (PAIRP(BgL_cdrzd212382zd2_1469))
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_carzd213090zd2_1538;
																																								BgL_carzd213090zd2_1538
																																									=
																																									CAR
																																									(BgL_cdrzd212382zd2_1469);
																																								if (PAIRP(BgL_carzd213090zd2_1538))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (NULLP(CDR(BgL_carzd213090zd2_1538)))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1901z00_1541;
																																												obj_t
																																													BgL_arg1902z00_1542;
																																												BgL_arg1901z00_1541
																																													=
																																													CAR
																																													(BgL_carzd213090zd2_1538);
																																												BgL_arg1902z00_1542
																																													=
																																													CDR
																																													(BgL_cdrzd212382zd2_1469);
																																												{
																																													BgL_ev_bindzd2exitzd2_bglt
																																														BgL_auxz00_6244;
																																													{
																																														obj_t
																																															BgL_bodyz00_6246;
																																														obj_t
																																															BgL_vz00_6245;
																																														BgL_vz00_6245
																																															=
																																															BgL_arg1901z00_1541;
																																														BgL_bodyz00_6246
																																															=
																																															BgL_arg1902z00_1542;
																																														BgL_bodyz00_921
																																															=
																																															BgL_bodyz00_6246;
																																														BgL_vz00_920
																																															=
																																															BgL_vz00_6245;
																																														goto
																																															BgL_tagzd2151zd2_922;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6244);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1903z00_1543;
																																												obj_t
																																													BgL_arg1904z00_1544;
																																												BgL_arg1903z00_1543
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1904z00_1544
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6250;
																																													{
																																														obj_t
																																															BgL_argsz00_6252;
																																														obj_t
																																															BgL_fz00_6251;
																																														BgL_fz00_6251
																																															=
																																															BgL_arg1903z00_1543;
																																														BgL_argsz00_6252
																																															=
																																															BgL_arg1904z00_1544;
																																														BgL_argsz00_940
																																															=
																																															BgL_argsz00_6252;
																																														BgL_fz00_939
																																															=
																																															BgL_fz00_6251;
																																														goto
																																															BgL_tagzd2157zd2_941;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6250);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1906z00_1546;
																																										obj_t
																																											BgL_arg1907z00_1547;
																																										BgL_arg1906z00_1546
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										BgL_arg1907z00_1547
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6256;
																																											{
																																												obj_t
																																													BgL_argsz00_6258;
																																												obj_t
																																													BgL_fz00_6257;
																																												BgL_fz00_6257
																																													=
																																													BgL_arg1906z00_1546;
																																												BgL_argsz00_6258
																																													=
																																													BgL_arg1907z00_1547;
																																												BgL_argsz00_940
																																													=
																																													BgL_argsz00_6258;
																																												BgL_fz00_939
																																													=
																																													BgL_fz00_6257;
																																												goto
																																													BgL_tagzd2157zd2_941;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6256);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								obj_t
																																									BgL_arg1908z00_1548;
																																								obj_t
																																									BgL_arg1910z00_1549;
																																								BgL_arg1908z00_1548
																																									=
																																									CAR
																																									(BgL_ez00_49);
																																								BgL_arg1910z00_1549
																																									=
																																									CDR
																																									(BgL_ez00_49);
																																								{
																																									BgL_ev_appz00_bglt
																																										BgL_auxz00_6262;
																																									{
																																										obj_t
																																											BgL_argsz00_6264;
																																										obj_t
																																											BgL_fz00_6263;
																																										BgL_fz00_6263
																																											=
																																											BgL_arg1908z00_1548;
																																										BgL_argsz00_6264
																																											=
																																											BgL_arg1910z00_1549;
																																										BgL_argsz00_940
																																											=
																																											BgL_argsz00_6264;
																																										BgL_fz00_939
																																											=
																																											BgL_fz00_6263;
																																										goto
																																											BgL_tagzd2157zd2_941;
																																									}
																																									return
																																										(
																																										(obj_t)
																																										BgL_auxz00_6262);
																																								}
																																							}
																																					}
																																				else
																																					{	/* Eval/evaluate.scm 319 */
																																						obj_t
																																							BgL_cdrzd213255zd2_1550;
																																						BgL_cdrzd213255zd2_1550
																																							=
																																							CDR
																																							(BgL_ez00_49);
																																						if (
																																							(CAR
																																								(BgL_ez00_49)
																																								==
																																								BGl_symbol2690z00zz__evaluatez00))
																																							{	/* Eval/evaluate.scm 319 */
																																								if (PAIRP(BgL_cdrzd213255zd2_1550))
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1913z00_1553;
																																										obj_t
																																											BgL_arg1914z00_1554;
																																										BgL_arg1913z00_1553
																																											=
																																											CAR
																																											(BgL_cdrzd213255zd2_1550);
																																										BgL_arg1914z00_1554
																																											=
																																											CDR
																																											(BgL_cdrzd213255zd2_1550);
																																										{
																																											BgL_ev_unwindzd2protectzd2_bglt
																																												BgL_auxz00_6274;
																																											{
																																												obj_t
																																													BgL_bodyz00_6276;
																																												obj_t
																																													BgL_ez00_6275;
																																												BgL_ez00_6275
																																													=
																																													BgL_arg1913z00_1553;
																																												BgL_bodyz00_6276
																																													=
																																													BgL_arg1914z00_1554;
																																												BgL_bodyz00_924
																																													=
																																													BgL_bodyz00_6276;
																																												BgL_ez00_923
																																													=
																																													BgL_ez00_6275;
																																												goto
																																													BgL_tagzd2152zd2_925;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6274);
																																										}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_arg1915z00_1555;
																																										BgL_arg1915z00_1555
																																											=
																																											CAR
																																											(BgL_ez00_49);
																																										{
																																											BgL_ev_appz00_bglt
																																												BgL_auxz00_6279;
																																											{
																																												obj_t
																																													BgL_argsz00_6281;
																																												obj_t
																																													BgL_fz00_6280;
																																												BgL_fz00_6280
																																													=
																																													BgL_arg1915z00_1555;
																																												BgL_argsz00_6281
																																													=
																																													BgL_cdrzd213255zd2_1550;
																																												BgL_argsz00_940
																																													=
																																													BgL_argsz00_6281;
																																												BgL_fz00_939
																																													=
																																													BgL_fz00_6280;
																																												goto
																																													BgL_tagzd2157zd2_941;
																																											}
																																											return
																																												(
																																												(obj_t)
																																												BgL_auxz00_6279);
																																										}
																																									}
																																							}
																																						else
																																							{	/* Eval/evaluate.scm 319 */
																																								if ((CAR(BgL_ez00_49) == BGl_symbol2692z00zz__evaluatez00))
																																									{	/* Eval/evaluate.scm 319 */
																																										if (PAIRP(BgL_cdrzd213255zd2_1550))
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1919z00_1560;
																																												obj_t
																																													BgL_arg1920z00_1561;
																																												BgL_arg1919z00_1560
																																													=
																																													CAR
																																													(BgL_cdrzd213255zd2_1550);
																																												BgL_arg1920z00_1561
																																													=
																																													CDR
																																													(BgL_cdrzd213255zd2_1550);
																																												{
																																													BgL_ev_withzd2handlerzd2_bglt
																																														BgL_auxz00_6290;
																																													{
																																														obj_t
																																															BgL_bodyz00_6292;
																																														obj_t
																																															BgL_hz00_6291;
																																														BgL_hz00_6291
																																															=
																																															BgL_arg1919z00_1560;
																																														BgL_bodyz00_6292
																																															=
																																															BgL_arg1920z00_1561;
																																														BgL_bodyz00_927
																																															=
																																															BgL_bodyz00_6292;
																																														BgL_hz00_926
																																															=
																																															BgL_hz00_6291;
																																														goto
																																															BgL_tagzd2153zd2_928;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6290);
																																												}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												obj_t
																																													BgL_arg1921z00_1562;
																																												obj_t
																																													BgL_arg1922z00_1563;
																																												BgL_arg1921z00_1562
																																													=
																																													CAR
																																													(BgL_ez00_49);
																																												BgL_arg1922z00_1563
																																													=
																																													CDR
																																													(BgL_ez00_49);
																																												{
																																													BgL_ev_appz00_bglt
																																														BgL_auxz00_6296;
																																													{
																																														obj_t
																																															BgL_argsz00_6298;
																																														obj_t
																																															BgL_fz00_6297;
																																														BgL_fz00_6297
																																															=
																																															BgL_arg1921z00_1562;
																																														BgL_argsz00_6298
																																															=
																																															BgL_arg1922z00_1563;
																																														BgL_argsz00_940
																																															=
																																															BgL_argsz00_6298;
																																														BgL_fz00_939
																																															=
																																															BgL_fz00_6297;
																																														goto
																																															BgL_tagzd2157zd2_941;
																																													}
																																													return
																																														(
																																														(obj_t)
																																														BgL_auxz00_6296);
																																												}
																																											}
																																									}
																																								else
																																									{	/* Eval/evaluate.scm 319 */
																																										obj_t
																																											BgL_cdrzd213358zd2_1564;
																																										BgL_cdrzd213358zd2_1564
																																											=
																																											CDR
																																											(BgL_ez00_49);
																																										if ((CAR(BgL_ez00_49) == BGl_symbol2694z00zz__evaluatez00))
																																											{	/* Eval/evaluate.scm 319 */
																																												if (PAIRP(BgL_cdrzd213358zd2_1564))
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_cdrzd213363zd2_1567;
																																														BgL_cdrzd213363zd2_1567
																																															=
																																															CDR
																																															(BgL_cdrzd213358zd2_1564);
																																														if (PAIRP(BgL_cdrzd213363zd2_1567))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd213368zd2_1569;
																																																BgL_cdrzd213368zd2_1569
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213363zd2_1567);
																																																if ((CAR(BgL_cdrzd213363zd2_1567) == BGl_keyword2696z00zz__evaluatez00))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (PAIRP(BgL_cdrzd213368zd2_1569))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1928z00_1572;
																																																				obj_t
																																																					BgL_arg1929z00_1573;
																																																				obj_t
																																																					BgL_arg1930z00_1574;
																																																				BgL_arg1928z00_1572
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213358zd2_1564);
																																																				BgL_arg1929z00_1573
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213368zd2_1569);
																																																				BgL_arg1930z00_1574
																																																					=
																																																					CDR
																																																					(BgL_cdrzd213368zd2_1569);
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_6318;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_6321;
																																																						obj_t
																																																							BgL_pz00_6320;
																																																						obj_t
																																																							BgL_mz00_6319;
																																																						BgL_mz00_6319
																																																							=
																																																							BgL_arg1928z00_1572;
																																																						BgL_pz00_6320
																																																							=
																																																							BgL_arg1929z00_1573;
																																																						BgL_bodyz00_6321
																																																							=
																																																							BgL_arg1930z00_1574;
																																																						BgL_bodyz00_931
																																																							=
																																																							BgL_bodyz00_6321;
																																																						BgL_pz00_930
																																																							=
																																																							BgL_pz00_6320;
																																																						BgL_mz00_929
																																																							=
																																																							BgL_mz00_6319;
																																																						goto
																																																							BgL_tagzd2154zd2_932;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6318);
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1931z00_1576;
																																																				obj_t
																																																					BgL_arg1932z00_1577;
																																																				BgL_arg1931z00_1576
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213358zd2_1564);
																																																				BgL_arg1932z00_1577
																																																					=
																																																					CDR
																																																					(BgL_cdrzd213358zd2_1564);
																																																				{
																																																					BgL_ev_synchroniza7eza7_bglt
																																																						BgL_auxz00_6325;
																																																					{
																																																						obj_t
																																																							BgL_bodyz00_6327;
																																																						obj_t
																																																							BgL_mz00_6326;
																																																						BgL_mz00_6326
																																																							=
																																																							BgL_arg1931z00_1576;
																																																						BgL_bodyz00_6327
																																																							=
																																																							BgL_arg1932z00_1577;
																																																						BgL_bodyz00_934
																																																							=
																																																							BgL_bodyz00_6327;
																																																						BgL_mz00_933
																																																							=
																																																							BgL_mz00_6326;
																																																						goto
																																																							BgL_tagzd2155zd2_935;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6325);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1933z00_1579;
																																																		obj_t
																																																			BgL_arg1934z00_1580;
																																																		BgL_arg1933z00_1579
																																																			=
																																																			CAR
																																																			(BgL_cdrzd213358zd2_1564);
																																																		BgL_arg1934z00_1580
																																																			=
																																																			CDR
																																																			(BgL_cdrzd213358zd2_1564);
																																																		{
																																																			BgL_ev_synchroniza7eza7_bglt
																																																				BgL_auxz00_6331;
																																																			{
																																																				obj_t
																																																					BgL_bodyz00_6333;
																																																				obj_t
																																																					BgL_mz00_6332;
																																																				BgL_mz00_6332
																																																					=
																																																					BgL_arg1933z00_1579;
																																																				BgL_bodyz00_6333
																																																					=
																																																					BgL_arg1934z00_1580;
																																																				BgL_bodyz00_934
																																																					=
																																																					BgL_bodyz00_6333;
																																																				BgL_mz00_933
																																																					=
																																																					BgL_mz00_6332;
																																																				goto
																																																					BgL_tagzd2155zd2_935;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6331);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1937z00_1583;
																																																obj_t
																																																	BgL_arg1938z00_1584;
																																																BgL_arg1937z00_1583
																																																	=
																																																	CAR
																																																	(BgL_cdrzd213358zd2_1564);
																																																BgL_arg1938z00_1584
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213358zd2_1564);
																																																{
																																																	BgL_ev_synchroniza7eza7_bglt
																																																		BgL_auxz00_6337;
																																																	{
																																																		obj_t
																																																			BgL_bodyz00_6339;
																																																		obj_t
																																																			BgL_mz00_6338;
																																																		BgL_mz00_6338
																																																			=
																																																			BgL_arg1937z00_1583;
																																																		BgL_bodyz00_6339
																																																			=
																																																			BgL_arg1938z00_1584;
																																																		BgL_bodyz00_934
																																																			=
																																																			BgL_bodyz00_6339;
																																																		BgL_mz00_933
																																																			=
																																																			BgL_mz00_6338;
																																																		goto
																																																			BgL_tagzd2155zd2_935;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6337);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1939z00_1585;
																																														BgL_arg1939z00_1585
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6342;
																																															{
																																																obj_t
																																																	BgL_argsz00_6344;
																																																obj_t
																																																	BgL_fz00_6343;
																																																BgL_fz00_6343
																																																	=
																																																	BgL_arg1939z00_1585;
																																																BgL_argsz00_6344
																																																	=
																																																	BgL_cdrzd213358zd2_1564;
																																																BgL_argsz00_940
																																																	=
																																																	BgL_argsz00_6344;
																																																BgL_fz00_939
																																																	=
																																																	BgL_fz00_6343;
																																																goto
																																																	BgL_tagzd2157zd2_941;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6342);
																																														}
																																													}
																																											}
																																										else
																																											{	/* Eval/evaluate.scm 319 */
																																												if ((CAR(BgL_ez00_49) == BGl_symbol2686z00zz__evaluatez00))
																																													{	/* Eval/evaluate.scm 319 */
																																														if (PAIRP(BgL_cdrzd213358zd2_1564))
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_cdrzd213468zd2_1590;
																																																BgL_cdrzd213468zd2_1590
																																																	=
																																																	CDR
																																																	(BgL_cdrzd213358zd2_1564);
																																																if (PAIRP(BgL_cdrzd213468zd2_1590))
																																																	{	/* Eval/evaluate.scm 319 */
																																																		if (NULLP(CDR(BgL_cdrzd213468zd2_1590)))
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1945z00_1593;
																																																				obj_t
																																																					BgL_arg1946z00_1594;
																																																				BgL_arg1945z00_1593
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213358zd2_1564);
																																																				BgL_arg1946z00_1594
																																																					=
																																																					CAR
																																																					(BgL_cdrzd213468zd2_1590);
																																																				{	/* Eval/evaluate.scm 486 */
																																																					obj_t
																																																						BgL_arg2093z00_3809;
																																																					{	/* Eval/evaluate.scm 486 */
																																																						obj_t
																																																							BgL_arg2095z00_3810;
																																																						{	/* Eval/evaluate.scm 486 */
																																																							obj_t
																																																								BgL_arg2096z00_3811;
																																																							obj_t
																																																								BgL_arg2097z00_3812;
																																																							{	/* Eval/evaluate.scm 486 */
																																																								obj_t
																																																									BgL_res2602z00_3815;
																																																								{	/* Eval/evaluate.scm 486 */
																																																									obj_t
																																																										BgL_symbolz00_3813;
																																																									BgL_symbolz00_3813
																																																										=
																																																										BGl_symbol2698z00zz__evaluatez00;
																																																									{	/* Eval/evaluate.scm 486 */
																																																										obj_t
																																																											BgL_arg2274z00_3814;
																																																										BgL_arg2274z00_3814
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(BgL_symbolz00_3813);
																																																										BgL_res2602z00_3815
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2274z00_3814);
																																																									}
																																																								}
																																																								BgL_arg2096z00_3811
																																																									=
																																																									BgL_res2602z00_3815;
																																																							}
																																																							{	/* Eval/evaluate.scm 486 */
																																																								obj_t
																																																									BgL_res2603z00_3818;
																																																								{	/* Eval/evaluate.scm 486 */
																																																									obj_t
																																																										BgL_symbolz00_3816;
																																																									BgL_symbolz00_3816
																																																										=
																																																										BgL_wherez00_53;
																																																									{	/* Eval/evaluate.scm 486 */
																																																										obj_t
																																																											BgL_arg2274z00_3817;
																																																										BgL_arg2274z00_3817
																																																											=
																																																											SYMBOL_TO_STRING
																																																											(BgL_symbolz00_3816);
																																																										BgL_res2603z00_3818
																																																											=
																																																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																																																											(BgL_arg2274z00_3817);
																																																									}
																																																								}
																																																								BgL_arg2097z00_3812
																																																									=
																																																									BgL_res2603z00_3818;
																																																							}
																																																							BgL_arg2095z00_3810
																																																								=
																																																								string_append
																																																								(BgL_arg2096z00_3811,
																																																								BgL_arg2097z00_3812);
																																																						}
																																																						BgL_arg2093z00_3809
																																																							=
																																																							string_to_symbol
																																																							(BSTRING_TO_STRING
																																																							(BgL_arg2095z00_3810));
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BGl_convzd2lambdazd2zz__evaluatez00
																																																						(BgL_globalsz00_51,
																																																							BgL_localsz00_50,
																																																							BgL_locz00_54,
																																																							BgL_ez00_49,
																																																							BgL_arg1945z00_1593,
																																																							BgL_arg1946z00_1594,
																																																							BgL_arg2093z00_3809));
																																																				}
																																																			}
																																																		else
																																																			{	/* Eval/evaluate.scm 319 */
																																																				obj_t
																																																					BgL_arg1947z00_1595;
																																																				obj_t
																																																					BgL_arg1948z00_1596;
																																																				BgL_arg1947z00_1595
																																																					=
																																																					CAR
																																																					(BgL_ez00_49);
																																																				BgL_arg1948z00_1596
																																																					=
																																																					CDR
																																																					(BgL_ez00_49);
																																																				{
																																																					BgL_ev_appz00_bglt
																																																						BgL_auxz00_6370;
																																																					{
																																																						obj_t
																																																							BgL_argsz00_6372;
																																																						obj_t
																																																							BgL_fz00_6371;
																																																						BgL_fz00_6371
																																																							=
																																																							BgL_arg1947z00_1595;
																																																						BgL_argsz00_6372
																																																							=
																																																							BgL_arg1948z00_1596;
																																																						BgL_argsz00_940
																																																							=
																																																							BgL_argsz00_6372;
																																																						BgL_fz00_939
																																																							=
																																																							BgL_fz00_6371;
																																																						goto
																																																							BgL_tagzd2157zd2_941;
																																																					}
																																																					return
																																																						(
																																																						(obj_t)
																																																						BgL_auxz00_6370);
																																																				}
																																																			}
																																																	}
																																																else
																																																	{	/* Eval/evaluate.scm 319 */
																																																		obj_t
																																																			BgL_arg1950z00_1598;
																																																		obj_t
																																																			BgL_arg1951z00_1599;
																																																		BgL_arg1950z00_1598
																																																			=
																																																			CAR
																																																			(BgL_ez00_49);
																																																		BgL_arg1951z00_1599
																																																			=
																																																			CDR
																																																			(BgL_ez00_49);
																																																		{
																																																			BgL_ev_appz00_bglt
																																																				BgL_auxz00_6376;
																																																			{
																																																				obj_t
																																																					BgL_argsz00_6378;
																																																				obj_t
																																																					BgL_fz00_6377;
																																																				BgL_fz00_6377
																																																					=
																																																					BgL_arg1950z00_1598;
																																																				BgL_argsz00_6378
																																																					=
																																																					BgL_arg1951z00_1599;
																																																				BgL_argsz00_940
																																																					=
																																																					BgL_argsz00_6378;
																																																				BgL_fz00_939
																																																					=
																																																					BgL_fz00_6377;
																																																				goto
																																																					BgL_tagzd2157zd2_941;
																																																			}
																																																			return
																																																				(
																																																				(obj_t)
																																																				BgL_auxz00_6376);
																																																		}
																																																	}
																																															}
																																														else
																																															{	/* Eval/evaluate.scm 319 */
																																																obj_t
																																																	BgL_arg1952z00_1600;
																																																obj_t
																																																	BgL_arg1953z00_1601;
																																																BgL_arg1952z00_1600
																																																	=
																																																	CAR
																																																	(BgL_ez00_49);
																																																BgL_arg1953z00_1601
																																																	=
																																																	CDR
																																																	(BgL_ez00_49);
																																																{
																																																	BgL_ev_appz00_bglt
																																																		BgL_auxz00_6382;
																																																	{
																																																		obj_t
																																																			BgL_argsz00_6384;
																																																		obj_t
																																																			BgL_fz00_6383;
																																																		BgL_fz00_6383
																																																			=
																																																			BgL_arg1952z00_1600;
																																																		BgL_argsz00_6384
																																																			=
																																																			BgL_arg1953z00_1601;
																																																		BgL_argsz00_940
																																																			=
																																																			BgL_argsz00_6384;
																																																		BgL_fz00_939
																																																			=
																																																			BgL_fz00_6383;
																																																		goto
																																																			BgL_tagzd2157zd2_941;
																																																	}
																																																	return
																																																		(
																																																		(obj_t)
																																																		BgL_auxz00_6382);
																																																}
																																															}
																																													}
																																												else
																																													{	/* Eval/evaluate.scm 319 */
																																														obj_t
																																															BgL_arg1954z00_1602;
																																														obj_t
																																															BgL_arg1955z00_1603;
																																														BgL_arg1954z00_1602
																																															=
																																															CAR
																																															(BgL_ez00_49);
																																														BgL_arg1955z00_1603
																																															=
																																															CDR
																																															(BgL_ez00_49);
																																														{
																																															BgL_ev_appz00_bglt
																																																BgL_auxz00_6388;
																																															{
																																																obj_t
																																																	BgL_argsz00_6390;
																																																obj_t
																																																	BgL_fz00_6389;
																																																BgL_fz00_6389
																																																	=
																																																	BgL_arg1954z00_1602;
																																																BgL_argsz00_6390
																																																	=
																																																	BgL_arg1955z00_1603;
																																																BgL_argsz00_940
																																																	=
																																																	BgL_argsz00_6390;
																																																BgL_fz00_939
																																																	=
																																																	BgL_fz00_6389;
																																																goto
																																																	BgL_tagzd2157zd2_941;
																																															}
																																															return
																																																(
																																																(obj_t)
																																																BgL_auxz00_6388);
																																														}
																																													}
																																											}
																																									}
																																							}
																																					}
																																			}
																																	}
																															}
																													}
																											}
																									}
																							}
																					}
																			}
																	}
															}
													}
											}
									}
							}
					}
				else
					{	/* Eval/evaluate.scm 319 */
						BgL_xz00_864 = BgL_ez00_49;
						if (SYMBOLP(BgL_xz00_864))
							{	/* Eval/evaluate.scm 322 */
								obj_t BgL__ortest_1098z00_1624;

								BgL__ortest_1098z00_1624 =
									BGl_convzd2varzd2zz__evaluatez00(BgL_xz00_864,
									BgL_localsz00_50);
								if (CBOOL(BgL__ortest_1098z00_1624))
									{	/* Eval/evaluate.scm 322 */
										return BgL__ortest_1098z00_1624;
									}
								else
									{	/* Eval/evaluate.scm 323 */
										BgL_ev_globalz00_bglt BgL_new1100z00_1625;

										{	/* Eval/evaluate.scm 323 */
											BgL_ev_globalz00_bglt BgL_new1099z00_1627;

											BgL_new1099z00_1627 =
												((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
															BgL_ev_globalz00_bgl))));
											{	/* Eval/evaluate.scm 323 */
												long BgL_arg1978z00_1628;

												{	/* Eval/evaluate.scm 323 */
													long BgL_res2400z00_2517;

													BgL_res2400z00_2517 =
														BGL_CLASS_INDEX
														(BGl_ev_globalz00zz__evaluate_typesz00);
													BgL_arg1978z00_1628 = BgL_res2400z00_2517;
												}
												{	/* Eval/evaluate.scm 323 */
													BgL_objectz00_bglt BgL_objz00_2518;

													BgL_objz00_2518 =
														((BgL_objectz00_bglt) BgL_new1099z00_1627);
													BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2518,
														BgL_arg1978z00_1628);
											}}
											{	/* Eval/evaluate.scm 323 */
												BgL_objectz00_bglt BgL_auxz00_6401;

												BgL_auxz00_6401 =
													((BgL_objectz00_bglt) BgL_new1099z00_1627);
												BGL_OBJECT_WIDENING_SET(BgL_auxz00_6401, BFALSE);
											}
											BgL_new1100z00_1625 = BgL_new1099z00_1627;
										}
										((((BgL_ev_globalz00_bglt) CREF(BgL_new1100z00_1625))->
												BgL_locz00) = ((obj_t) BgL_locz00_54), BUNSPEC);
										((((BgL_ev_globalz00_bglt) CREF(BgL_new1100z00_1625))->
												BgL_namez00) = ((obj_t) BgL_xz00_864), BUNSPEC);
										{
											obj_t BgL_auxz00_6406;

											if (BGl_evmodulezf3zf3zz__evmodulez00(BgL_globalsz00_51))
												{	/* Eval/evaluate.scm 326 */
													BgL_auxz00_6406 = BgL_globalsz00_51;
												}
											else
												{	/* Eval/evaluate.scm 326 */
													BgL_auxz00_6406 = BGL_MODULE();
												}
											((((BgL_ev_globalz00_bglt) CREF(BgL_new1100z00_1625))->
													BgL_modz00) = ((obj_t) BgL_auxz00_6406), BUNSPEC);
										}
										return ((obj_t) BgL_new1100z00_1625);
									}
							}
						else
							{	/* Eval/evaluate.scm 327 */
								BgL_ev_littz00_bglt BgL_new1102z00_1629;

								{	/* Eval/evaluate.scm 327 */
									BgL_ev_littz00_bglt BgL_new1101z00_1630;

									BgL_new1101z00_1630 =
										((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_littz00_bgl))));
									{	/* Eval/evaluate.scm 327 */
										long BgL_arg1979z00_1631;

										{	/* Eval/evaluate.scm 327 */
											long BgL_res2401z00_2521;

											BgL_res2401z00_2521 =
												BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
											BgL_arg1979z00_1631 = BgL_res2401z00_2521;
										}
										{	/* Eval/evaluate.scm 327 */
											BgL_objectz00_bglt BgL_objz00_2522;

											BgL_objz00_2522 =
												((BgL_objectz00_bglt) BgL_new1101z00_1630);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2522,
												BgL_arg1979z00_1631);
									}}
									{	/* Eval/evaluate.scm 327 */
										BgL_objectz00_bglt BgL_auxz00_6416;

										BgL_auxz00_6416 =
											((BgL_objectz00_bglt) BgL_new1101z00_1630);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_6416, BFALSE);
									}
									BgL_new1102z00_1629 = BgL_new1101z00_1630;
								}
								((((BgL_ev_littz00_bglt) CREF(BgL_new1102z00_1629))->
										BgL_valuez00) = ((obj_t) BgL_xz00_864), BUNSPEC);
								return ((obj_t) BgL_new1102z00_1629);
							}
					}
			}
		}
	}



/* loop */
	obj_t BGl_loopz00zz__evaluatez00(obj_t BgL_wherez00_4075,
		obj_t BgL_globalsz00_4074, obj_t BgL_localsz00_4073, obj_t BgL_locz00_4072,
		obj_t BgL_esz00_1885)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 283 */
			if (NULLP(BgL_esz00_1885))
				{	/* Eval/evaluate.scm 284 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 286 */
					obj_t BgL_ez00_1888;

					BgL_ez00_1888 = CAR(BgL_esz00_1885);
					{	/* Eval/evaluate.scm 287 */
						obj_t BgL_arg2108z00_1889;
						obj_t BgL_arg2109z00_1890;

						{	/* Eval/evaluate.scm 287 */
							obj_t BgL_arg2110z00_1891;

							{	/* Eval/evaluate.scm 135 */
								obj_t BgL__ortest_1068z00_2462;

								BgL__ortest_1068z00_2462 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_ez00_1888);
								if (CBOOL(BgL__ortest_1068z00_2462))
									{	/* Eval/evaluate.scm 135 */
										BgL_arg2110z00_1891 = BgL__ortest_1068z00_2462;
									}
								else
									{	/* Eval/evaluate.scm 136 */
										obj_t BgL__ortest_1069z00_2463;

										BgL__ortest_1069z00_2463 =
											BGl_getzd2sourcezd2locationz00zz__readerz00
											(BgL_esz00_1885);
										if (CBOOL(BgL__ortest_1069z00_2463))
											{	/* Eval/evaluate.scm 136 */
												BgL_arg2110z00_1891 = BgL__ortest_1069z00_2463;
											}
										else
											{	/* Eval/evaluate.scm 136 */
												BgL_arg2110z00_1891 = BgL_locz00_4072;
											}
									}
							}
							BgL_arg2108z00_1889 =
								BGl_convz00zz__evaluatez00(BgL_ez00_1888, BgL_localsz00_4073,
								BgL_globalsz00_4074, BFALSE, BgL_wherez00_4075,
								BgL_arg2110z00_1891, ((bool_t) 0));
						}
						BgL_arg2109z00_1890 =
							BGl_loopz00zz__evaluatez00(BgL_wherez00_4075, BgL_globalsz00_4074,
							BgL_localsz00_4073, BgL_locz00_4072, CDR(BgL_esz00_1885));
						return MAKE_PAIR(BgL_arg2108z00_1889, BgL_arg2109z00_1890);
					}
				}
		}
	}



/* conv-vals */
	obj_t BGl_convzd2valszd2zz__evaluatez00(obj_t BgL_wherez00_4077,
		obj_t BgL_globalsz00_4076, obj_t BgL_lz00_2757, obj_t BgL_varsz00_2758,
		obj_t BgL_localsz00_2759, obj_t BgL_locz00_2760)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 399 */
			if (NULLP(BgL_lz00_2757))
				{	/* Eval/evaluate.scm 395 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate.scm 397 */
					obj_t BgL_locz00_2772;

					{	/* Eval/evaluate.scm 397 */
						obj_t BgL_arg2045z00_2773;

						BgL_arg2045z00_2773 = CAR(BgL_lz00_2757);
						{	/* Eval/evaluate.scm 129 */
							obj_t BgL__ortest_1067z00_2786;

							BgL__ortest_1067z00_2786 =
								BGl_getzd2sourcezd2locationz00zz__readerz00
								(BgL_arg2045z00_2773);
							if (CBOOL(BgL__ortest_1067z00_2786))
								{	/* Eval/evaluate.scm 129 */
									BgL_locz00_2772 = BgL__ortest_1067z00_2786;
								}
							else
								{	/* Eval/evaluate.scm 129 */
									BgL_locz00_2772 = BgL_locz00_2760;
								}
						}
					}
					{	/* Eval/evaluate.scm 398 */
						obj_t BgL_arg2038z00_2774;
						obj_t BgL_arg2039z00_2775;

						{	/* Eval/evaluate.scm 398 */
							obj_t BgL_arg2040z00_2776;

							{	/* Eval/evaluate.scm 398 */
								obj_t BgL_pairz00_2787;

								BgL_pairz00_2787 = BgL_lz00_2757;
								BgL_arg2040z00_2776 = CAR(CDR(CAR(BgL_pairz00_2787)));
							}
							BgL_arg2038z00_2774 =
								BGl_convz00zz__evaluatez00(BgL_arg2040z00_2776,
								BgL_localsz00_2759, BgL_globalsz00_4076, BFALSE,
								BgL_wherez00_4077, BgL_locz00_2772, ((bool_t) 0));
						}
						{	/* Eval/evaluate.scm 399 */
							obj_t BgL_arg2041z00_2777;
							obj_t BgL_arg2042z00_2778;
							obj_t BgL_arg2043z00_2779;

							BgL_arg2041z00_2777 = CDR(BgL_lz00_2757);
							BgL_arg2042z00_2778 = CDR(BgL_varsz00_2758);
							BgL_arg2043z00_2779 =
								MAKE_PAIR(CAR(BgL_varsz00_2758), BgL_localsz00_2759);
							BgL_arg2039z00_2775 =
								BGl_convzd2valszd2zz__evaluatez00(BgL_wherez00_4077,
								BgL_globalsz00_4076, BgL_arg2041z00_2777, BgL_arg2042z00_2778,
								BgL_arg2043z00_2779, BgL_locz00_2772);
						}
						return MAKE_PAIR(BgL_arg2038z00_2774, BgL_arg2039z00_2775);
					}
				}
		}
	}



/* conv-lambda */
	BgL_ev_absz00_bglt BGl_convzd2lambdazd2zz__evaluatez00(obj_t
		BgL_globalsz00_4081, obj_t BgL_localsz00_4080, obj_t BgL_locz00_4079,
		obj_t BgL_ez00_4078, obj_t BgL_formalsz00_1894, obj_t BgL_bodyz00_1895,
		obj_t BgL_wherez00_1896)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 301 */
			{
				obj_t BgL_lz00_1925;

				{	/* Eval/evaluate.scm 303 */
					obj_t BgL_varsz00_1899;

					BgL_lz00_1925 =
						BGl_dssslzd2formalszd2ze3schemezd2typedzd2formalsze3zz__dssslz00
						(BgL_formalsz00_1894, BGl_errorzd2envzd2zz__errorz00, ((bool_t) 1));
					{
						obj_t BgL_rz00_1929;
						obj_t BgL_flatz00_1930;
						long BgL_arityz00_1931;

						BgL_rz00_1929 = BgL_lz00_1925;
						BgL_flatz00_1930 = BNIL;
						BgL_arityz00_1931 = ((long) 0);
					BgL_zc3anonymousza32126ze3z83_1932:
						if (NULLP(BgL_rz00_1929))
							{	/* Eval/evaluate.scm 296 */
								obj_t BgL_val0_1181z00_1934;

								BgL_val0_1181z00_1934 = bgl_reverse_bang(BgL_flatz00_1930);
								{	/* Eval/evaluate.scm 296 */
									int BgL_res2388z00_2468;

									{	/* Eval/evaluate.scm 296 */
										int BgL_auxz00_6453;

										BgL_auxz00_6453 = (int) (((long) 2));
										BgL_res2388z00_2468 =
											BGL_MVALUES_NUMBER_SET(BgL_auxz00_6453);
									} BgL_res2388z00_2468;
								}
								{	/* Eval/evaluate.scm 296 */
									obj_t BgL_auxz00_6458;
									int BgL_auxz00_6456;

									BgL_auxz00_6458 = BINT(BgL_arityz00_1931);
									BgL_auxz00_6456 = (int) (((long) 1));
									BGL_MVALUES_VAL_SET(BgL_auxz00_6456, BgL_auxz00_6458);
								}
								BgL_varsz00_1899 = BgL_val0_1181z00_1934;
							}
						else
							{	/* Eval/evaluate.scm 295 */
								if (PAIRP(BgL_rz00_1929))
									{	/* Eval/evaluate.scm 300 */
										obj_t BgL_arg2129z00_1937;
										obj_t BgL_arg2130z00_1938;
										long BgL_arg2131z00_1939;

										BgL_arg2129z00_1937 = CDR(BgL_rz00_1929);
										BgL_arg2130z00_1938 =
											MAKE_PAIR(BGl_untypezd2identzd2zz__evaluatez00(CAR
												(BgL_rz00_1929)), BgL_flatz00_1930);
										BgL_arg2131z00_1939 = (BgL_arityz00_1931 + ((long) 1));
										{
											long BgL_arityz00_6470;
											obj_t BgL_flatz00_6469;
											obj_t BgL_rz00_6468;

											BgL_rz00_6468 = BgL_arg2129z00_1937;
											BgL_flatz00_6469 = BgL_arg2130z00_1938;
											BgL_arityz00_6470 = BgL_arg2131z00_1939;
											BgL_arityz00_1931 = BgL_arityz00_6470;
											BgL_flatz00_1930 = BgL_flatz00_6469;
											BgL_rz00_1929 = BgL_rz00_6468;
											goto BgL_zc3anonymousza32126ze3z83_1932;
										}
									}
								else
									{	/* Eval/evaluate.scm 298 */
										obj_t BgL_val0_1183z00_1942;
										long BgL_val1_1184z00_1943;

										{	/* Eval/evaluate.scm 298 */
											obj_t BgL_arg2134z00_1944;

											BgL_arg2134z00_1944 =
												MAKE_PAIR(BGl_untypezd2identzd2zz__evaluatez00
												(BgL_rz00_1929), BgL_flatz00_1930);
											BgL_val0_1183z00_1942 =
												bgl_reverse_bang(BgL_arg2134z00_1944);
										}
										BgL_val1_1184z00_1943 = (((long) -1) - BgL_arityz00_1931);
										{	/* Eval/evaluate.scm 298 */
											int BgL_res2392z00_2482;

											{	/* Eval/evaluate.scm 298 */
												int BgL_auxz00_6475;

												BgL_auxz00_6475 = (int) (((long) 2));
												BgL_res2392z00_2482 =
													BGL_MVALUES_NUMBER_SET(BgL_auxz00_6475);
											} BgL_res2392z00_2482;
										}
										{	/* Eval/evaluate.scm 298 */
											obj_t BgL_auxz00_6480;
											int BgL_auxz00_6478;

											BgL_auxz00_6480 = BINT(BgL_val1_1184z00_1943);
											BgL_auxz00_6478 = (int) (((long) 1));
											BGL_MVALUES_VAL_SET(BgL_auxz00_6478, BgL_auxz00_6480);
										}
										BgL_varsz00_1899 = BgL_val0_1183z00_1942;
					}}}
					{	/* Eval/evaluate.scm 305 */
						obj_t BgL_arityz00_1900;

						{	/* Eval/evaluate.scm 305 */
							int BgL_auxz00_6484;

							BgL_auxz00_6484 = (int) (((long) 1));
							BgL_arityz00_1900 = BGL_MVALUES_VAL(BgL_auxz00_6484);
						}
						{	/* Eval/evaluate.scm 305 */
							obj_t BgL_varsz00_1901;
							obj_t BgL_bodyz00_1902;
							obj_t BgL_nlocz00_1903;

							if (NULLP(BgL_varsz00_1899))
								{	/* Eval/evaluate.scm 305 */
									BgL_varsz00_1901 = BNIL;
								}
							else
								{	/* Eval/evaluate.scm 305 */
									obj_t BgL_head1187z00_1910;

									{	/* Eval/evaluate.scm 305 */
										obj_t BgL_res2394z00_2490;

										BgL_res2394z00_2490 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1187z00_1910 = BgL_res2394z00_2490;
									}
									{
										obj_t BgL_l1185z00_1912;
										obj_t BgL_tail1188z00_1913;

										BgL_l1185z00_1912 = BgL_varsz00_1899;
										BgL_tail1188z00_1913 = BgL_head1187z00_1910;
									BgL_zc3anonymousza32117ze3z83_1914:
										if (NULLP(BgL_l1185z00_1912))
											{	/* Eval/evaluate.scm 305 */
												BgL_varsz00_1901 = CDR(BgL_head1187z00_1910);
											}
										else
											{	/* Eval/evaluate.scm 305 */
												obj_t BgL_newtail1189z00_1916;

												{	/* Eval/evaluate.scm 305 */
													BgL_ev_varz00_bglt BgL_arg2122z00_1918;

													{	/* Eval/evaluate.scm 305 */
														obj_t BgL_vz00_1919;

														BgL_vz00_1919 = CAR(BgL_l1185z00_1912);
														{	/* Eval/evaluate.scm 306 */
															BgL_ev_varz00_bglt BgL_new1094z00_1920;

															{	/* Eval/evaluate.scm 306 */
																BgL_ev_varz00_bglt BgL_new1093z00_1921;

																BgL_new1093z00_1921 =
																	((BgL_ev_varz00_bglt)
																	BREF(GC_MALLOC(sizeof(struct
																				BgL_ev_varz00_bgl))));
																{	/* Eval/evaluate.scm 306 */
																	long BgL_arg2123z00_1922;

																	{	/* Eval/evaluate.scm 306 */
																		long BgL_res2396z00_2496;

																		BgL_res2396z00_2496 =
																			BGL_CLASS_INDEX
																			(BGl_ev_varz00zz__evaluate_typesz00);
																		BgL_arg2123z00_1922 = BgL_res2396z00_2496;
																	}
																	{	/* Eval/evaluate.scm 306 */
																		BgL_objectz00_bglt BgL_objz00_2497;

																		BgL_objz00_2497 =
																			((BgL_objectz00_bglt)
																			BgL_new1093z00_1921);
																		BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2497,
																			BgL_arg2123z00_1922);
																}}
																{	/* Eval/evaluate.scm 306 */
																	BgL_objectz00_bglt BgL_auxz00_6498;

																	BgL_auxz00_6498 =
																		((BgL_objectz00_bglt) BgL_new1093z00_1921);
																	BGL_OBJECT_WIDENING_SET(BgL_auxz00_6498,
																		BFALSE);
																}
																BgL_new1094z00_1920 = BgL_new1093z00_1921;
															}
															{
																obj_t BgL_auxz00_6501;

																{	/* Eval/evaluate.scm 307 */
																	obj_t BgL_pairz00_2499;

																	BgL_pairz00_2499 = BgL_vz00_1919;
																	BgL_auxz00_6501 = CAR(BgL_pairz00_2499);
																}
																((((BgL_ev_varz00_bglt)
																			CREF(BgL_new1094z00_1920))->BgL_namez00) =
																	((obj_t) BgL_auxz00_6501), BUNSPEC);
															}
															((((BgL_ev_varz00_bglt)
																		CREF(BgL_new1094z00_1920))->BgL_effz00) =
																((obj_t) BFALSE), BUNSPEC);
															{
																obj_t BgL_auxz00_6505;

																{	/* Eval/evaluate.scm 308 */
																	obj_t BgL_pairz00_2500;

																	BgL_pairz00_2500 = BgL_vz00_1919;
																	BgL_auxz00_6505 = CDR(BgL_pairz00_2500);
																}
																((((BgL_ev_varz00_bglt)
																			CREF(BgL_new1094z00_1920))->BgL_typez00) =
																	((obj_t) BgL_auxz00_6505), BUNSPEC);
															}
															BgL_arg2122z00_1918 = BgL_new1094z00_1920;
													}}
													{	/* Eval/evaluate.scm 305 */
														obj_t BgL_res2397z00_2503;

														{	/* Eval/evaluate.scm 305 */
															obj_t BgL_obj1z00_2501;

															BgL_obj1z00_2501 = ((obj_t) BgL_arg2122z00_1918);
															BgL_res2397z00_2503 =
																MAKE_PAIR(BgL_obj1z00_2501, BNIL);
														}
														BgL_newtail1189z00_1916 = BgL_res2397z00_2503;
												}}
												SET_CDR(BgL_tail1188z00_1913, BgL_newtail1189z00_1916);
												{
													obj_t BgL_tail1188z00_6513;
													obj_t BgL_l1185z00_6511;

													BgL_l1185z00_6511 = CDR(BgL_l1185z00_1912);
													BgL_tail1188z00_6513 = BgL_newtail1189z00_1916;
													BgL_tail1188z00_1913 = BgL_tail1188z00_6513;
													BgL_l1185z00_1912 = BgL_l1185z00_6511;
													goto BgL_zc3anonymousza32117ze3z83_1914;
												}
											}
									}
								}
							BgL_bodyz00_1902 =
								BGl_makezd2dssslzd2functionzd2preludezd2zz__dssslz00
								(BgL_ez00_4078, BgL_formalsz00_1894, BgL_bodyz00_1895,
								BGl_errorzd2envzd2zz__errorz00);
							{	/* Eval/evaluate.scm 129 */
								obj_t BgL__ortest_1067z00_2509;

								BgL__ortest_1067z00_2509 =
									BGl_getzd2sourcezd2locationz00zz__readerz00(BgL_bodyz00_1895);
								if (CBOOL(BgL__ortest_1067z00_2509))
									{	/* Eval/evaluate.scm 129 */
										BgL_nlocz00_1903 = BgL__ortest_1067z00_2509;
									}
								else
									{	/* Eval/evaluate.scm 129 */
										BgL_nlocz00_1903 = BgL_locz00_4079;
									}
							}
							{	/* Eval/evaluate.scm 312 */
								BgL_ev_absz00_bglt BgL_new1097z00_1904;

								{	/* Eval/evaluate.scm 312 */
									BgL_ev_absz00_bglt BgL_new1096z00_1906;

									BgL_new1096z00_1906 =
										((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
													BgL_ev_absz00_bgl))));
									{	/* Eval/evaluate.scm 312 */
										long BgL_arg2115z00_1907;

										{	/* Eval/evaluate.scm 312 */
											long BgL_res2398z00_2511;

											BgL_res2398z00_2511 =
												BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
											BgL_arg2115z00_1907 = BgL_res2398z00_2511;
										}
										{	/* Eval/evaluate.scm 312 */
											BgL_objectz00_bglt BgL_objz00_2512;

											BgL_objz00_2512 =
												((BgL_objectz00_bglt) BgL_new1096z00_1906);
											BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2512,
												BgL_arg2115z00_1907);
									}}
									{	/* Eval/evaluate.scm 312 */
										BgL_objectz00_bglt BgL_auxz00_6522;

										BgL_auxz00_6522 =
											((BgL_objectz00_bglt) BgL_new1096z00_1906);
										BGL_OBJECT_WIDENING_SET(BgL_auxz00_6522, BFALSE);
									}
									BgL_new1097z00_1904 = BgL_new1096z00_1906;
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1904))->
										BgL_locz00) = ((obj_t) BgL_locz00_4079), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1904))->
										BgL_wherez00) = ((obj_t) BgL_wherez00_1896), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1904))->
										BgL_arityz00) = ((obj_t) BgL_arityz00_1900), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1904))->
										BgL_varsz00) = ((obj_t) BgL_varsz00_1901), BUNSPEC);
								{
									BgL_ev_exprz00_bglt BgL_auxz00_6529;

									{	/* Eval/evaluate.scm 317 */
										obj_t BgL_arg2114z00_1905;

										BgL_arg2114z00_1905 =
											BGl_appendzd221011zd2zz__evaluatez00(BgL_varsz00_1901,
											BgL_localsz00_4080);
										BgL_auxz00_6529 =
											((BgL_ev_exprz00_bglt)
											BGl_convz00zz__evaluatez00(BgL_bodyz00_1902,
												BgL_arg2114z00_1905, BgL_globalsz00_4081, BTRUE,
												BgL_wherez00_1896, BgL_nlocz00_1903, ((bool_t) 0)));
									}
									((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1904))->
											BgL_bodyz00) =
										((BgL_ev_exprz00_bglt) BgL_auxz00_6529), BUNSPEC);
								}
								((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1904))->
										BgL_siza7eza7) = ((int) (int) (((long) 0))), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1904))->
										BgL_bindz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1904))->
										BgL_freez00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1904))->
										BgL_innerz00) = ((obj_t) BNIL), BUNSPEC);
								((((BgL_ev_absz00_bglt) CREF(BgL_new1097z00_1904))->
										BgL_boxesz00) = ((obj_t) BNIL), BUNSPEC);
								return BgL_new1097z00_1904;
							}
						}
					}
				}
			}
		}
	}



/* uconv/loc */
	obj_t BGl_uconvzf2loczf2zz__evaluatez00(obj_t BgL_wherez00_4088,
		obj_t BgL_globalsz00_4087, obj_t BgL_localsz00_4086, obj_t BgL_ez00_1876,
		obj_t BgL_locz00_1877)
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 277 */
			return
				BGl_convz00zz__evaluatez00(BgL_ez00_1876, BgL_localsz00_4086,
				BgL_globalsz00_4087, BFALSE, BgL_wherez00_4088, BgL_locz00_1877,
				((bool_t) 0));
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluatez00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 77607588),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 304399560),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 237624134),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					247617611), BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 162479995),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667), BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_avarz00(((long) 483789130),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(((long)
					121298760), BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_compz00(((long)
					444000678), BSTRING_TO_STRING(BGl_string2700z00zz__evaluatez00));
		}
	}

#ifdef __cplusplus
}
#endif
