/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_comp.scm -indent -o objs/obj_u/Eval/evaluate_comp.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_symbol6121z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6123z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6125z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6127z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33120ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32124ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32972ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33847ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32956ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62zc3anonymousza33032ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33105ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33016ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5890z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5892z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5894z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5896z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33937ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62run5898z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_letza21735z12zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33597ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34013ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33970ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33881ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33687ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32796ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62compzd2ev_litt1723zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34103ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33123ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32070ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32305ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33034ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33793ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33955ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33108ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32055ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33972ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32992ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32976ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33778ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33689ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33230ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33214ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32145ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33795ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33957ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32413ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33215ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33126ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33037ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_compz00();
	extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62main5889z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34034ze3ze1zz__evaluate_compz00(obj_t);
	extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32090ze3ze1zz__evaluate_compz00(obj_t);
	extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32325ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32236ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32309ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5891z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5893z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5895z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5897z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5899z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33500ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32996ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_z62zc3anonymousza34052ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza34109ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33993ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33977ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33799ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t make_vector(int, obj_t);
	static obj_t BGl_z62zc3anonymousza33340ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32522ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33162ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33324ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34037ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32077ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long,
		obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza33341ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32450ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_prog21731zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32418ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32702ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32362ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32168ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33432ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33505ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_reset_profilez00zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza33149ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33611ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33344ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32453ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33450ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33523ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32527ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33167ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34058ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32187ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32098ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33541ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33525ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33096ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_goto1749zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_let1733zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33720ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33631ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33437ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33705ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32490ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32563ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32385ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza34078ze3ze1zz__evaluate_compz00(obj_t);
	extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
	extern int bgl_debug();
	static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33471ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33633ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33544ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32653ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33455ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33366ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33439ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33188ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33099ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_global1717zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t,
		obj_t, obj_t, long, obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_get_profilez00zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza33650ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33707ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33618ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
	extern long bgl_list_length(obj_t);
	static obj_t BGl_z62compzd2ev_synchroniza7e1745z17zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33473ze3ze1zz__evaluate_compz00(obj_t);
	static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
	extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33563ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33725ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33920ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33831ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32940ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33904ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33653ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32924ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33297ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33337ze3z83zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33000ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_app1751zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33492ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33565ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32747ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static obj_t BGl_z62run5900z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5902z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5904z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62run5906z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5908z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33922ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33906ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33817ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32111ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
	static obj_t BGl_z62run5910z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5912z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5914z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5916z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5918z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_symbol6001z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6004z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_and1729zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol6007z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6009z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62run5920z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62run5922z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5924z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5926z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5928z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32960ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32944ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32928ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol6011z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6013z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6015z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6017z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6019z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33020ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33004ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5930z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5932z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5934z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5936z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5938z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33674ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33747ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33585ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33569ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol6021z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6023z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6025z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6027z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6029z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32203ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62run5940z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62run5942z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5944z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5946z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5948z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33780ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33926ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol6031z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6033z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62compzd2ev_abs1753zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol6035z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6037z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6039z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33111ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32220ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62compzd2ev_letrec1737zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62run5950z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5952z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5954z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5956z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5958z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33765ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33676ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33749ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33498ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_symbol6041z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6043z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6045z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6047z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t
		BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long,
		obj_t, obj_t);
	static obj_t BGl_symbol6049z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza34003ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62run5960z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5962z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5964z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5966z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33960ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33871ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32980ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5968z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32964ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_if1725zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5901z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32948ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32697ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5903z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_trap1711zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5905z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62main5907z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol6051z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62main5909z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol6053z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6055z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6057z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6059z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33040ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33024ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33008ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62run5970z62zz__evaluate_compz00(obj_t, obj_t);
	static bool_t BGl_zc3lexintzc3zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62run5972z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62run5974z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33945ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33856ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33767ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5911z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5913z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5915z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5917z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol6061z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62main5919z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol6063z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6065z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol6067z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33130ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol6069z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33114ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34005ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33873ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5921z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5923z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5925z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62main5927z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol6071z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62main5929z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol6073z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33220ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32224ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32208ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33890ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33785ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_z62zc3anonymousza33858ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5931z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5933z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5935z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5937z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5939z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32330ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza33043ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32047ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32984ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33697ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32968ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62main5941z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5943z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5945z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5947z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5949z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_defglobal1721zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_setglobal1719zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32242ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33117ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32137ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33028ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_unwindzd2prote1741z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33892ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_z62main5951z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t BGl_z62main5953z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5955z62zz__evaluate_compz00(obj_t, obj_t);
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	static obj_t BGl_z62main5957z62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62main5959z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32332ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t BGl_z62main5961z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5963z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5965z62zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62main5967z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5969z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32600ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32244ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t bgl_reverse_bang(obj_t);
	static obj_t BGl_z62main5971z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62main5973z62zz__evaluate_compz00(obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
	static obj_t BGl_z62zc3anonymousza33241ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32172ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33895ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32988ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33331ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32602ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32335ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33137ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza34028ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32157ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_recz00zz__evaluate_compz00(obj_t, obj_t, long);
	static bool_t BGl_recz72z72zz__evaluate_compz00(obj_t);
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33332ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32247ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_ozd2ze3sz31zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33511ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32442ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33244ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32191ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32264ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32175ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33139ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33987ze3ze1zz__evaluate_compz00(obj_t);
	extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza34063ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32605ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33513ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33335ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t
		BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
	static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
	extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33989ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_Ez00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_or1727zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33620ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33604ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32284ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32268ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33710ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza33370ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62compzd2ev_var1713zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33443ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32390ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33265ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33087ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32358ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33460ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33533ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33606ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza34084ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33517ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32448ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t string_lt(obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33550ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5979z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	static obj_t BGl_symbol5981z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5983z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33462ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33624ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33284ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol5989z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33179ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	static obj_t BGl_z62zc3anonymousza33641ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33552ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_symbol5997z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_symbol5999z00zz__evaluate_compz00 = BUNSPEC;
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza32289ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_zc3exitza33325ze3z83zz__evaluate_compz00(obj_t, obj_t, obj_t,
		long, obj_t);
	static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32751ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33448ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza34088ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
	static obj_t BGl_z62zc3anonymousza33481ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static obj_t BGl_z62compzd2ev_labels1747zb0zz__evaluate_compz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33911ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33660ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33733ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33466ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33377ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33539ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32486ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32559ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32932ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33807ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33718ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32649ze3ze1zz__evaluate_compz00(obj_t);
	extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
	static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
	static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
	static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
	static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
	static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t,
		BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33840ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33662ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33735ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32917ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33557ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62zc3anonymousza33809ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62comp1708z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33842ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33680ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33826ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33575ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33648ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32595ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62compzd2ev_setlocal1715zb0zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32031ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
	static obj_t BGl_z62compzd2ev_bindzd2exit1739z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33770ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza32952ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33592ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza32936ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33487ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t,
		obj_t, obj_t, obj_t, long);
	static obj_t BGl_z62zc3anonymousza33012ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
	static obj_t BGl_z62zc3anonymousza33828ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33577ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33739ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_symbol6104z00zz__evaluate_compz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza33102ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33594ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33667ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33489ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62compzd2ev_withzd2handler1743z62zz__evaluate_compz00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza33862ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t BGl_z62zc3anonymousza33935ze3ze1zz__evaluate_compz00(obj_t);
	static obj_t BGl_z62zc3anonymousza33757ze3ze1zz__evaluate_compz00(obj_t,
		obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_zc3lexintzd2envz11zz__evaluate_compz00,
		BgL_bgl_za762za7c3lexintza7a1za76131z00,
		BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string5990z00zz__evaluate_compz00,
		BgL_bgl_string5990za700za7za7_6132za7, "at", 2);
	      DEFINE_STRING(BGl_string5991z00zz__evaluate_compz00,
		BgL_bgl_string5991za700za7za7_6133za7, "", 0);
	      DEFINE_STRING(BGl_string5992z00zz__evaluate_compz00,
		BgL_bgl_string5992za700za7za7_6134za7,
		"/tmp/bigloo/runtime/Eval/evaluate_comp.scm", 42);
	      DEFINE_STRING(BGl_string5993z00zz__evaluate_compz00,
		BgL_bgl_string5993za700za7za7_6135za7, "&compile", 8);
	      DEFINE_STRING(BGl_string5994z00zz__evaluate_compz00,
		BgL_bgl_string5994za700za7za7_6136za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string5995z00zz__evaluate_compz00,
		BgL_bgl_string5995za700za7za7_6137za7, "expecting ~a, got ~a", 20);
	      DEFINE_STRING(BGl_string5996z00zz__evaluate_compz00,
		BgL_bgl_string5996za700za7za7_6138za7, "wrong number of argument", 24);
	      DEFINE_STRING(BGl_string5998z00zz__evaluate_compz00,
		BgL_bgl_string5998za700za7za7_6139za7, "mcell", 5);
	extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
	extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
	extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_compilezd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compileza762za7za7_6140z00,
		BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
	   
		 
		DEFINE_STRING(BGl_string6102z00zz__evaluate_compz00,
		BgL_bgl_string6102za700za7za7_6141za7, "internal error", 14);
	      DEFINE_STRING(BGl_string6103z00zz__evaluate_compz00,
		BgL_bgl_string6103za700za7za7_6142za7, "must be dead code", 17);
	extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string6105z00zz__evaluate_compz00,
		BgL_bgl_string6105za700za7za7_6143za7, "notyet", 6);
	      DEFINE_STRING(BGl_string6106z00zz__evaluate_compz00,
		BgL_bgl_string6106za700za7za7_6144za7, "synchronize", 11);
	      DEFINE_STRING(BGl_string6107z00zz__evaluate_compz00,
		BgL_bgl_string6107za700za7za7_6145za7, "mutex", 5);
	      DEFINE_STRING(BGl_string6108z00zz__evaluate_compz00,
		BgL_bgl_string6108za700za7za7_6146za7, "set!", 4);
	      DEFINE_STRING(BGl_string6109z00zz__evaluate_compz00,
		BgL_bgl_string6109za700za7za7_6147za7, "read-only variable", 18);
	      DEFINE_STRING(BGl_string6110z00zz__evaluate_compz00,
		BgL_bgl_string6110za700za7za7_6148za7,
		"\nRedefinition of compiled variable -- ", 38);
	      DEFINE_STRING(BGl_string6111z00zz__evaluate_compz00,
		BgL_bgl_string6111za700za7za7_6149za7, "Unbound variable", 16);
	      DEFINE_STRING(BGl_string6112z00zz__evaluate_compz00,
		BgL_bgl_string6112za700za7za7_6150za7, "Uninitialized variable", 22);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_findzd2statezd2envz00zz__evaluate_compz00,
		BgL_bgl_za762findza7d2stateza76151za7,
		BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string6122z00zz__evaluate_compz00,
		BgL_bgl_string6122za700za7za7_6152za7, "get_sp", 6);
	      DEFINE_STRING(BGl_string6124z00zz__evaluate_compz00,
		BgL_bgl_string6124za700za7za7_6153za7, "reset_profile", 13);
	      DEFINE_STRING(BGl_string6126z00zz__evaluate_compz00,
		BgL_bgl_string6126za700za7za7_6154za7, "get_profile", 11);
	      DEFINE_STRING(BGl_string6128z00zz__evaluate_compz00,
		BgL_bgl_string6128za700za7za7_6155za7, "reset_stack", 11);
	      DEFINE_STRING(BGl_string6129z00zz__evaluate_compz00,
		BgL_bgl_string6129za700za7za7_6156za7, "internal error: unknown command",
		31);
	      DEFINE_STRING(BGl_string6130z00zz__evaluate_compz00,
		BgL_bgl_string6130za700za7za7_6157za7, "__evaluate_comp", 15);
	extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6075z00zz__evaluate_compz00,
		BgL_bgl_za762comp1708za762za7za76158z00,
		BGl_z62comp1708z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6079z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_tra6159z00,
		BGl_z62compzd2ev_trap1711zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6081z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_var6160z00,
		BGl_z62compzd2ev_var1713zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6082z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set6161z00,
		BGl_z62compzd2ev_setlocal1715zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6083z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_glo6162z00,
		BGl_z62compzd2ev_global1717zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6084z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_set6163z00,
		BGl_z62compzd2ev_setglobal1719zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6085z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_def6164z00,
		BGl_z62compzd2ev_defglobal1721zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6086z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lit6165z00,
		BGl_z62compzd2ev_litt1723zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6087z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_if16166z00,
		BGl_z62compzd2ev_if1725zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6088z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_or16167z00,
		BGl_z62compzd2ev_or1727zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6089z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_and6168z00,
		BGl_z62compzd2ev_and1729zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6090z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_pro6169z00,
		BGl_z62compzd2ev_prog21731zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6091z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let6170z00,
		BGl_z62compzd2ev_let1733zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6092z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let6171z00,
		BGl_z62compzd2ev_letza21735z12zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6093z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_let6172z00,
		BGl_z62compzd2ev_letrec1737zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6094z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_bin6173z00,
		BGl_z62compzd2ev_bindzd2exit1739z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6095z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_unw6174z00,
		BGl_z62compzd2ev_unwindzd2prote1741z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6096z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_wit6175z00,
		BGl_z62compzd2ev_withzd2handler1743z62zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6097z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_syn6176z00,
		BGl_z62compzd2ev_synchroniza7e1745z17zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6098z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_lab6177z00,
		BGl_z62compzd2ev_labels1747zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6099z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_got6178z00,
		BGl_z62compzd2ev_goto1749zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
	extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_GENERIC(BGl_compzd2envzd2zz__evaluate_compz00,
		BgL_bgl_za762compza762za7za7__ev6179z00, BGl_z62compz62zz__evaluate_compz00,
		0L, BUNSPEC, 2);
	extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;
	extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
	   
		 
		DEFINE_STRING(BGl_string6000z00zz__evaluate_compz00,
		BgL_bgl_string6000za700za7za7_6180za7, "internal", 8);
	      DEFINE_STRING(BGl_string6002z00zz__evaluate_compz00,
		BgL_bgl_string6002za700za7za7_6181za7, "impossible", 10);
	      DEFINE_STRING(BGl_string6003z00zz__evaluate_compz00,
		BgL_bgl_string6003za700za7za7_6182za7, "procedure", 9);
	      DEFINE_STRING(BGl_string6005z00zz__evaluate_compz00,
		BgL_bgl_string6005za700za7za7_6183za7, "user", 4);
	      DEFINE_STRING(BGl_string6006z00zz__evaluate_compz00,
		BgL_bgl_string6006za700za7za7_6184za7, "invalid byte code", 17);
	      DEFINE_STRING(BGl_string6008z00zz__evaluate_compz00,
		BgL_bgl_string6008za700za7za7_6185za7, "+", 1);
	      DEFINE_STRING(BGl_string6010z00zz__evaluate_compz00,
		BgL_bgl_string6010za700za7za7_6186za7, "number", 6);
	      DEFINE_STRING(BGl_string6012z00zz__evaluate_compz00,
		BgL_bgl_string6012za700za7za7_6187za7, "-", 1);
	      DEFINE_STRING(BGl_string6014z00zz__evaluate_compz00,
		BgL_bgl_string6014za700za7za7_6188za7, "*", 1);
	      DEFINE_STRING(BGl_string6016z00zz__evaluate_compz00,
		BgL_bgl_string6016za700za7za7_6189za7, "/", 1);
	      DEFINE_STRING(BGl_string6018z00zz__evaluate_compz00,
		BgL_bgl_string6018za700za7za7_6190za7, "<", 1);
	extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STRING(BGl_string6020z00zz__evaluate_compz00,
		BgL_bgl_string6020za700za7za7_6191za7, ">", 1);
	      DEFINE_STRING(BGl_string6022z00zz__evaluate_compz00,
		BgL_bgl_string6022za700za7za7_6192za7, "<=", 2);
	      DEFINE_STRING(BGl_string6024z00zz__evaluate_compz00,
		BgL_bgl_string6024za700za7za7_6193za7, ">=", 2);
	      DEFINE_STRING(BGl_string6026z00zz__evaluate_compz00,
		BgL_bgl_string6026za700za7za7_6194za7, "=", 1);
	      DEFINE_STRING(BGl_string6028z00zz__evaluate_compz00,
		BgL_bgl_string6028za700za7za7_6195za7, "+fx", 3);
	extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6100z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_app6196z00,
		BGl_z62compzd2ev_app1751zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6101z00zz__evaluate_compz00,
		BgL_bgl_za762compza7d2ev_abs6197z00,
		BGl_z62compzd2ev_abs1753zb0zz__evaluate_compz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string6030z00zz__evaluate_compz00,
		BgL_bgl_string6030za700za7za7_6198za7, "fixnum", 6);
	      DEFINE_STRING(BGl_string6032z00zz__evaluate_compz00,
		BgL_bgl_string6032za700za7za7_6199za7, "-fx", 3);
	      DEFINE_STRING(BGl_string6034z00zz__evaluate_compz00,
		BgL_bgl_string6034za700za7za7_6200za7, "*fx", 3);
	      DEFINE_STRING(BGl_string6036z00zz__evaluate_compz00,
		BgL_bgl_string6036za700za7za7_6201za7, "/fx", 3);
	      DEFINE_STRING(BGl_string6038z00zz__evaluate_compz00,
		BgL_bgl_string6038za700za7za7_6202za7, "<fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6113z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76203za7,
		BGl_z62zc3anonymousza33096ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6114z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76204za7,
		BGl_z62zc3anonymousza33099ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6115z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76205za7,
		BGl_z62zc3anonymousza33102ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string6040z00zz__evaluate_compz00,
		BgL_bgl_string6040za700za7za7_6206za7, ">fx", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6116z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76207za7,
		BGl_z62zc3anonymousza33105ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6117z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76208za7,
		BGl_z62zc3anonymousza33108ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string6042z00zz__evaluate_compz00,
		BgL_bgl_string6042za700za7za7_6209za7, "<=fx", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6118z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76210za7,
		BGl_z62zc3anonymousza33111ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6119z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76211za7,
		BGl_z62zc3anonymousza33114ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string6044z00zz__evaluate_compz00,
		BgL_bgl_string6044za700za7za7_6212za7, ">=fx", 4);
	      DEFINE_STRING(BGl_string6046z00zz__evaluate_compz00,
		BgL_bgl_string6046za700za7za7_6213za7, "=fx", 3);
	      DEFINE_STRING(BGl_string6048z00zz__evaluate_compz00,
		BgL_bgl_string6048za700za7za7_6214za7, "+fl", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc6120z00zz__evaluate_compz00,
		BgL_bgl_za762za7c3anonymousza76215za7,
		BGl_z62zc3anonymousza33117ze3ze1zz__evaluate_compz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string6050z00zz__evaluate_compz00,
		BgL_bgl_string6050za700za7za7_6216za7, "flonum", 6);
	      DEFINE_STRING(BGl_string6052z00zz__evaluate_compz00,
		BgL_bgl_string6052za700za7za7_6217za7, "-fl", 3);
	      DEFINE_STRING(BGl_string6054z00zz__evaluate_compz00,
		BgL_bgl_string6054za700za7za7_6218za7, "*fl", 3);
	      DEFINE_STRING(BGl_string6056z00zz__evaluate_compz00,
		BgL_bgl_string6056za700za7za7_6219za7, "/fl", 3);
	      DEFINE_STRING(BGl_string6058z00zz__evaluate_compz00,
		BgL_bgl_string6058za700za7za7_6220za7, "<fl", 3);
	extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
	extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
	   
		 
		DEFINE_STRING(BGl_string6060z00zz__evaluate_compz00,
		BgL_bgl_string6060za700za7za7_6221za7, ">fl", 3);
	      DEFINE_STRING(BGl_string6062z00zz__evaluate_compz00,
		BgL_bgl_string6062za700za7za7_6222za7, "<=fl", 4);
	      DEFINE_STRING(BGl_string6064z00zz__evaluate_compz00,
		BgL_bgl_string6064za700za7za7_6223za7, ">=fl", 4);
	      DEFINE_STRING(BGl_string6066z00zz__evaluate_compz00,
		BgL_bgl_string6066za700za7za7_6224za7, "=fl", 3);
	      DEFINE_STRING(BGl_string6068z00zz__evaluate_compz00,
		BgL_bgl_string6068za700za7za7_6225za7, "car", 3);
	      DEFINE_STRING(BGl_string6070z00zz__evaluate_compz00,
		BgL_bgl_string6070za700za7za7_6226za7, "pair", 4);
	      DEFINE_STRING(BGl_string6072z00zz__evaluate_compz00,
		BgL_bgl_string6072za700za7za7_6227za7, "cdr", 3);
	      DEFINE_STRING(BGl_string6074z00zz__evaluate_compz00,
		BgL_bgl_string6074za700za7za7_6228za7, "cadr", 4);
	      DEFINE_STRING(BGl_string6076z00zz__evaluate_compz00,
		BgL_bgl_string6076za700za7za7_6229za7, "comp1708", 8);
	      DEFINE_STRING(BGl_string6077z00zz__evaluate_compz00,
		BgL_bgl_string6077za700za7za7_6230za7, "internal error: not defined for",
		31);
	      DEFINE_STRING(BGl_string6078z00zz__evaluate_compz00,
		BgL_bgl_string6078za700za7za7_6231za7, "&comp", 5);
	      DEFINE_STRING(BGl_string6080z00zz__evaluate_compz00,
		BgL_bgl_string6080za700za7za7_6232za7, "comp", 4);
	extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
	extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
	extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
	extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
	extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
	extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
	extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;
	   
		 
		DEFINE_STRING(BGl_string5980z00zz__evaluate_compz00,
		BgL_bgl_string5980za700za7za7_6233za7, "all", 3);
	      DEFINE_STRING(BGl_string5982z00zz__evaluate_compz00,
		BgL_bgl_string5982za700za7za7_6234za7, "label-tag", 9);
	      DEFINE_STRING(BGl_string5984z00zz__evaluate_compz00,
		BgL_bgl_string5984za700za7za7_6235za7, "bounce", 6);
	      DEFINE_STRING(BGl_string5985z00zz__evaluate_compz00,
		BgL_bgl_string5985za700za7za7_6236za7, "non non non", 11);
	      DEFINE_STRING(BGl_string5986z00zz__evaluate_compz00,
		BgL_bgl_string5986za700za7za7_6237za7, " in ", 4);
	      DEFINE_STRING(BGl_string5987z00zz__evaluate_compz00,
		BgL_bgl_string5987za700za7za7_6238za7, "eval", 4);
	      DEFINE_STRING(BGl_string5988z00zz__evaluate_compz00,
		BgL_bgl_string5988za700za7za7_6239za7, "internal error: not found", 25);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long
		BgL_checksumz00_20543, char *BgL_fromz00_20544)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_compz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_compz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
					BGl_genericzd2initzd2zz__evaluate_compz00();
					BGl_methodzd2initzd2zz__evaluate_compz00();
					BGl_toplevelzd2initzd2zz__evaluate_compz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_symbol5979z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5980z00zz__evaluate_compz00);
			BGl_symbol5981z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5982z00zz__evaluate_compz00);
			BGl_symbol5983z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5984z00zz__evaluate_compz00);
			BGl_symbol5989z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5990z00zz__evaluate_compz00);
			BGl_symbol5997z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string5998z00zz__evaluate_compz00);
			BGl_symbol5999z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6000z00zz__evaluate_compz00);
			BGl_symbol6001z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6002z00zz__evaluate_compz00);
			BGl_symbol6004z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6005z00zz__evaluate_compz00);
			BGl_symbol6007z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6008z00zz__evaluate_compz00);
			BGl_symbol6009z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6010z00zz__evaluate_compz00);
			BGl_symbol6011z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6012z00zz__evaluate_compz00);
			BGl_symbol6013z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6014z00zz__evaluate_compz00);
			BGl_symbol6015z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6016z00zz__evaluate_compz00);
			BGl_symbol6017z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6018z00zz__evaluate_compz00);
			BGl_symbol6019z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6020z00zz__evaluate_compz00);
			BGl_symbol6021z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6022z00zz__evaluate_compz00);
			BGl_symbol6023z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6024z00zz__evaluate_compz00);
			BGl_symbol6025z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6026z00zz__evaluate_compz00);
			BGl_symbol6027z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6028z00zz__evaluate_compz00);
			BGl_symbol6029z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6030z00zz__evaluate_compz00);
			BGl_symbol6031z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6032z00zz__evaluate_compz00);
			BGl_symbol6033z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6034z00zz__evaluate_compz00);
			BGl_symbol6035z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6036z00zz__evaluate_compz00);
			BGl_symbol6037z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6038z00zz__evaluate_compz00);
			BGl_symbol6039z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6040z00zz__evaluate_compz00);
			BGl_symbol6041z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6042z00zz__evaluate_compz00);
			BGl_symbol6043z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6044z00zz__evaluate_compz00);
			BGl_symbol6045z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6046z00zz__evaluate_compz00);
			BGl_symbol6047z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6048z00zz__evaluate_compz00);
			BGl_symbol6049z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6050z00zz__evaluate_compz00);
			BGl_symbol6051z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6052z00zz__evaluate_compz00);
			BGl_symbol6053z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6054z00zz__evaluate_compz00);
			BGl_symbol6055z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6056z00zz__evaluate_compz00);
			BGl_symbol6057z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6058z00zz__evaluate_compz00);
			BGl_symbol6059z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6060z00zz__evaluate_compz00);
			BGl_symbol6061z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6062z00zz__evaluate_compz00);
			BGl_symbol6063z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6064z00zz__evaluate_compz00);
			BGl_symbol6065z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6066z00zz__evaluate_compz00);
			BGl_symbol6067z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6068z00zz__evaluate_compz00);
			BGl_symbol6069z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6070z00zz__evaluate_compz00);
			BGl_symbol6071z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6072z00zz__evaluate_compz00);
			BGl_symbol6073z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6074z00zz__evaluate_compz00);
			BGl_symbol6104z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6105z00zz__evaluate_compz00);
			BGl_symbol6121z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6122z00zz__evaluate_compz00);
			BGl_symbol6123z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6124z00zz__evaluate_compz00);
			BGl_symbol6125z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6126z00zz__evaluate_compz00);
			return (BGl_symbol6127z00zz__evaluate_compz00 =
				bstring_to_symbol(BGl_string6128z00zz__evaluate_compz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			{	/* Eval/evaluate_comp.scm 101 */
				BGL_LONGLONG_T BgL_arg1784z00_906;

				{	/* Eval/evaluate_comp.scm 101 */
					BGL_LONGLONG_T BgL_res4446z00_6219;

					BgL_res4446z00_6219 = LONG_TO_LLONG(((long) 0));
					BgL_arg1784z00_906 = BgL_res4446z00_6219;
				}
				{	/* Eval/evaluate_comp.scm 101 */
					obj_t BgL_list1785z00_907;

					{	/* Eval/evaluate_comp.scm 101 */
						obj_t BgL_arg1786z00_908;

						BgL_arg1786z00_908 =
							MAKE_PAIR(make_bllong(BgL_arg1784z00_906), BNIL);
						BgL_list1785z00_907 =
							MAKE_PAIR(BGl_symbol5979z00zz__evaluate_compz00,
							BgL_arg1786z00_908);
					}
					BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1785z00_907;
			}}
			BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = ((long) 8192);
			BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol5981z00zz__evaluate_compz00,
				(int) (((long) 0)));
			BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 =
				create_struct(BGl_symbol5983z00zz__evaluate_compz00,
				(int) (((long) 0)));
			return BUNSPEC;
		}
	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zz__evaluate_compz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		AN_OBJECT;
		{
			{
				obj_t BgL_headz00_909;

				BgL_headz00_909 = MAKE_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_6251;
					obj_t BgL_tailz00_6252;

					BgL_prevz00_6251 = BgL_headz00_909;
					BgL_tailz00_6252 = BgL_l1z00_1;
				BgL_loopz00_6250:
					if (PAIRP(BgL_tailz00_6252))
						{
							obj_t BgL_newzd2prevzd2_6258;

							BgL_newzd2prevzd2_6258 =
								MAKE_PAIR(CAR(BgL_tailz00_6252), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_6251, BgL_newzd2prevzd2_6258);
							{
								obj_t BgL_tailz00_20615;
								obj_t BgL_prevz00_20614;

								BgL_prevz00_20614 = BgL_newzd2prevzd2_6258;
								BgL_tailz00_20615 = CDR(BgL_tailz00_6252);
								BgL_tailz00_6252 = BgL_tailz00_20615;
								BgL_prevz00_6251 = BgL_prevz00_20614;
								goto BgL_loopz00_6250;
							}
						}
					else
						{
							BNIL;
						}
				}
				return CDR(BgL_headz00_909);
			}
		}
	}



/* reset_profile */
	obj_t BGl_reset_profilez00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 119 */
			{	/* Eval/evaluate_comp.scm 120 */
				BGL_LONGLONG_T BgL_arg1805z00_937;

				{	/* Eval/evaluate_comp.scm 120 */
					BGL_LONGLONG_T BgL_res4455z00_6269;

					BgL_res4455z00_6269 = LONG_TO_LLONG(((long) 0));
					BgL_arg1805z00_937 = BgL_res4455z00_6269;
				}
				{	/* Eval/evaluate_comp.scm 120 */
					obj_t BgL_list1806z00_938;

					{	/* Eval/evaluate_comp.scm 120 */
						obj_t BgL_arg1807z00_939;

						BgL_arg1807z00_939 =
							MAKE_PAIR(make_bllong(BgL_arg1805z00_937), BNIL);
						BgL_list1806z00_938 =
							MAKE_PAIR(BGl_symbol5979z00zz__evaluate_compz00,
							BgL_arg1807z00_939);
					}
					return (BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 =
						BgL_list1806z00_938, BUNSPEC);
				}
			}
		}
	}



/* <lexint */
	bool_t BGl_zc3lexintzc3zz__evaluate_compz00(obj_t BgL_t1z00_4,
		obj_t BgL_t2z00_5)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 122 */
			{	/* Eval/evaluate_comp.scm 129 */
				obj_t BgL_v1z00_941;
				obj_t BgL_v2z00_942;

				BgL_v1z00_941 = CAR(BgL_t1z00_4);
				BgL_v2z00_942 = CAR(BgL_t2z00_5);
				{	/* Eval/evaluate_comp.scm 130 */
					bool_t BgL_testz00_20624;

					if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_941))
						{	/* Eval/evaluate_comp.scm 130 */
							BgL_testz00_20624 =
								BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v2z00_942);
						}
					else
						{	/* Eval/evaluate_comp.scm 130 */
							BgL_testz00_20624 = ((bool_t) 0);
						}
					if (BgL_testz00_20624)
						{	/* Eval/evaluate_comp.scm 130 */
							return
								BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_941, BgL_v2z00_942);
						}
					else
						{	/* Eval/evaluate_comp.scm 130 */
							return
								string_lt(BGl_ozd2ze3sz31zz__evaluate_compz00(BgL_v1z00_941),
								BGl_ozd2ze3sz31zz__evaluate_compz00(BgL_v2z00_942));
						}
				}
			}
		}
	}



/* o->s */
	obj_t BGl_ozd2ze3sz31zz__evaluate_compz00(obj_t BgL_vz00_947)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 128 */
			if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_947))
				{	/* Ieee/fixnum.scm 355 */

					return
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
						(long) CINT(BgL_vz00_947), ((long) 10));
				}
			else
				{	/* Eval/evaluate_comp.scm 125 */
					if (SYMBOLP(BgL_vz00_947))
						{	/* Eval/evaluate_comp.scm 126 */
							obj_t BgL_res4458z00_6276;

							{	/* Eval/evaluate_comp.scm 126 */
								obj_t BgL_symbolz00_6274;

								BgL_symbolz00_6274 = BgL_vz00_947;
								{	/* Eval/evaluate_comp.scm 126 */
									obj_t BgL_arg4255z00_6275;

									BgL_arg4255z00_6275 = SYMBOL_TO_STRING(BgL_symbolz00_6274);
									BgL_res4458z00_6276 =
										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
										(BgL_arg4255z00_6275);
								}
							}
							return BgL_res4458z00_6276;
						}
					else
						{	/* Eval/evaluate_comp.scm 126 */
							if (STRINGP(BgL_vz00_947))
								{	/* Eval/evaluate_comp.scm 127 */
									return BgL_vz00_947;
								}
							else
								{	/* Eval/evaluate_comp.scm 127 */
									return BGl_string5985z00zz__evaluate_compz00;
								}
						}
				}
		}
	}



/* &<lexint */
	obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_18139,
		obj_t BgL_t1z00_18140, obj_t BgL_t2z00_18141)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 122 */
			return
				BBOOL(BGl_zc3lexintzc3zz__evaluate_compz00(BgL_t1z00_18140,
					BgL_t2z00_18141));
		}
	}



/* get_profile */
	obj_t BGl_get_profilez00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 134 */
			BGl_recz72z72zz__evaluate_compz00
				(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00);
			return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;
		}
	}



/* rec' */
	bool_t BGl_recz72z72zz__evaluate_compz00(obj_t BgL_tz00_956)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 135 */
			{	/* Eval/evaluate_comp.scm 136 */
				obj_t BgL_arg1818z00_958;
				obj_t BgL_arg1819z00_959;

				BgL_arg1818z00_958 = CDR(BgL_tz00_956);
				{	/* Eval/evaluate_comp.scm 136 */
					obj_t BgL_arg1820z00_960;

					{	/* Eval/evaluate_comp.scm 136 */
						obj_t BgL_pairz00_6285;

						BgL_pairz00_6285 = BgL_tz00_956;
						BgL_arg1820z00_960 = CDR(CDR(BgL_pairz00_6285));
					}
					BgL_arg1819z00_959 =
						BGl_sortz00zz__r4_vectors_6_8z00
						(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1820z00_960);
				}
				SET_CDR(BgL_arg1818z00_958, BgL_arg1819z00_959);
			}
			{	/* Eval/evaluate_comp.scm 137 */
				obj_t BgL_g1612z00_961;

				{	/* Eval/evaluate_comp.scm 137 */
					obj_t BgL_pairz00_6291;

					BgL_pairz00_6291 = BgL_tz00_956;
					BgL_g1612z00_961 = CDR(CDR(BgL_pairz00_6291));
				}
				{
					obj_t BgL_l1610z00_6311;

					BgL_l1610z00_6311 = BgL_g1612z00_961;
				BgL_zc3anonymousza31821ze3z83_6310:
					if (PAIRP(BgL_l1610z00_6311))
						{	/* Eval/evaluate_comp.scm 137 */
							BGl_recz72z72zz__evaluate_compz00(CAR(BgL_l1610z00_6311));
							{
								obj_t BgL_l1610z00_20656;

								BgL_l1610z00_20656 = CDR(BgL_l1610z00_6311);
								BgL_l1610z00_6311 = BgL_l1610z00_20656;
								goto BgL_zc3anonymousza31821ze3z83_6310;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 137 */
							return ((bool_t) 1);
						}
				}
			}
		}
	}



/* index */
	obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 143 */
			{
				obj_t BgL_lz00_6349;
				long BgL_nz00_6350;

				BgL_lz00_6349 = BgL_lz00_7;
				BgL_nz00_6350 = ((long) 0);
			BgL_walkz00_6348:
				if (NULLP(BgL_lz00_6349))
					{	/* Eval/evaluate_comp.scm 145 */
						return BFALSE;
					}
				else
					{	/* Eval/evaluate_comp.scm 145 */
						if ((BgL_xz00_6 == CAR(BgL_lz00_6349)))
							{	/* Eval/evaluate_comp.scm 146 */
								return BINT(BgL_nz00_6350);
							}
						else
							{
								long BgL_nz00_20666;
								obj_t BgL_lz00_20664;

								BgL_lz00_20664 = CDR(BgL_lz00_6349);
								BgL_nz00_20666 = (BgL_nz00_6350 + ((long) 1));
								BgL_nz00_6350 = BgL_nz00_20666;
								BgL_lz00_6349 = BgL_lz00_20664;
								goto BgL_walkz00_6348;
							}
					}
			}
		}
	}



/* _index */
	obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 150 */
			{	/* Eval/evaluate_comp.scm 151 */
				obj_t BgL__ortest_1075z00_980;

				BgL__ortest_1075z00_980 =
					BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9);
				if (CBOOL(BgL__ortest_1075z00_980))
					{	/* Eval/evaluate_comp.scm 151 */
						return BgL__ortest_1075z00_980;
					}
				else
					{	/* Eval/evaluate_comp.scm 151 */
						obj_t BgL_arg1830z00_981;

						{	/* Eval/evaluate_comp.scm 151 */
							obj_t BgL_arg1831z00_982;

							if (NULLP(BgL_lz00_9))
								{	/* Eval/evaluate_comp.scm 151 */
									BgL_arg1831z00_982 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 151 */
									obj_t BgL_head1615z00_988;

									{	/* Eval/evaluate_comp.scm 151 */
										obj_t BgL_arg1843z00_1000;

										{	/* Eval/evaluate_comp.scm 151 */
											obj_t BgL_arg1844z00_1001;

											BgL_arg1844z00_1001 = CAR(BgL_lz00_9);
											if (BGl_isazf3zf3zz__objectz00(BgL_arg1844z00_1001,
													BGl_ev_varz00zz__evaluate_typesz00))
												{	/* Eval/evaluate_comp.scm 176 */
													BgL_arg1843z00_1000 =
														(((BgL_ev_varz00_bglt) CREF(
																((BgL_ev_varz00_bglt) BgL_arg1844z00_1001)))->
														BgL_namez00);
												}
											else
												{	/* Eval/evaluate_comp.scm 176 */
													BgL_arg1843z00_1000 = BgL_arg1844z00_1001;
												}
										}
										{	/* Eval/evaluate_comp.scm 151 */
											obj_t BgL_res4471z00_6376;

											BgL_res4471z00_6376 =
												MAKE_PAIR(BgL_arg1843z00_1000, BNIL);
											BgL_head1615z00_988 = BgL_res4471z00_6376;
										}
									}
									{	/* Eval/evaluate_comp.scm 151 */
										obj_t BgL_g1618z00_989;

										BgL_g1618z00_989 = CDR(BgL_lz00_9);
										{
											obj_t BgL_l1613z00_6412;
											obj_t BgL_tail1616z00_6413;

											BgL_l1613z00_6412 = BgL_g1618z00_989;
											BgL_tail1616z00_6413 = BgL_head1615z00_988;
										BgL_zc3anonymousza31836ze3z83_6411:
											if (NULLP(BgL_l1613z00_6412))
												{	/* Eval/evaluate_comp.scm 151 */
													BgL_arg1831z00_982 = BgL_head1615z00_988;
												}
											else
												{	/* Eval/evaluate_comp.scm 151 */
													obj_t BgL_newtail1617z00_6420;

													{	/* Eval/evaluate_comp.scm 151 */
														obj_t BgL_arg1840z00_6421;

														BgL_arg1840z00_6421 =
															BGl_lnamez00zz__evaluate_compz00(CAR
															(BgL_l1613z00_6412));
														{	/* Eval/evaluate_comp.scm 151 */
															obj_t BgL_res4477z00_6429;

															BgL_res4477z00_6429 =
																MAKE_PAIR(BgL_arg1840z00_6421, BNIL);
															BgL_newtail1617z00_6420 = BgL_res4477z00_6429;
														}
													}
													SET_CDR(BgL_tail1616z00_6413,
														BgL_newtail1617z00_6420);
													{
														obj_t BgL_tail1616z00_20688;
														obj_t BgL_l1613z00_20686;

														BgL_l1613z00_20686 = CDR(BgL_l1613z00_6412);
														BgL_tail1616z00_20688 = BgL_newtail1617z00_6420;
														BgL_tail1616z00_6413 = BgL_tail1616z00_20688;
														BgL_l1613z00_6412 = BgL_l1613z00_20686;
														goto BgL_zc3anonymousza31836ze3z83_6411;
													}
												}
										}
									}
								}
							{	/* Eval/evaluate_comp.scm 151 */
								obj_t BgL_list1832z00_983;

								{	/* Eval/evaluate_comp.scm 151 */
									obj_t BgL_arg1833z00_984;

									{	/* Eval/evaluate_comp.scm 151 */
										obj_t BgL_arg1834z00_985;

										BgL_arg1834z00_985 = MAKE_PAIR(BgL_arg1831z00_982, BNIL);
										BgL_arg1833z00_984 =
											MAKE_PAIR(BGl_string5986z00zz__evaluate_compz00,
											BgL_arg1834z00_985);
									}
									BgL_list1832z00_983 =
										MAKE_PAIR(BgL_xz00_8, BgL_arg1833z00_984);
								}
								BgL_arg1830z00_981 = BgL_list1832z00_983;
							}
						}
						return
							BGl_errorz00zz__errorz00(BGl_string5987z00zz__evaluate_compz00,
							BGl_string5988z00zz__evaluate_compz00, BgL_arg1830z00_981);
					}
			}
		}
	}



/* lname */
	obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 175 */
			if (BGl_isazf3zf3zz__objectz00(BgL_vz00_16,
					BGl_ev_varz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 176 */
					return
						(((BgL_ev_varz00_bglt) CREF(
								((BgL_ev_varz00_bglt) BgL_vz00_16)))->BgL_namez00);
				}
			else
				{	/* Eval/evaluate_comp.scm 176 */
					return BgL_vz00_16;
				}
		}
	}



/* loc-type-error */
	obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17,
		obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 180 */
			if (PAIRP(BgL_locz00_20))
				{	/* Eval/evaluate_comp.scm 181 */
					obj_t BgL_cdrzd2177zd2_1027;

					BgL_cdrzd2177zd2_1027 = CDR(BgL_locz00_20);
					if ((CAR(BgL_locz00_20) == BGl_symbol5989z00zz__evaluate_compz00))
						{	/* Eval/evaluate_comp.scm 181 */
							if (PAIRP(BgL_cdrzd2177zd2_1027))
								{	/* Eval/evaluate_comp.scm 181 */
									obj_t BgL_cdrzd2181zd2_1030;

									BgL_cdrzd2181zd2_1030 = CDR(BgL_cdrzd2177zd2_1027);
									if (PAIRP(BgL_cdrzd2181zd2_1030))
										{	/* Eval/evaluate_comp.scm 181 */
											if (NULLP(CDR(BgL_cdrzd2181zd2_1030)))
												{	/* Eval/evaluate_comp.scm 181 */
													return
														BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19,
														CAR(BgL_cdrzd2177zd2_1027),
														CAR(BgL_cdrzd2181zd2_1030));
												}
											else
												{	/* Eval/evaluate_comp.scm 181 */
													return
														BGl_bigloozd2typezd2errorz00zz__errorz00
														(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 181 */
											return
												BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
												BgL_mz00_18, BgL_vz00_19);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 181 */
									return
										BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
										BgL_mz00_18, BgL_vz00_19);
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 181 */
							return
								BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17,
								BgL_mz00_18, BgL_vz00_19);
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 181 */
					return
						BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18,
						BgL_vz00_19);
				}
		}
	}



/* make-state */
	obj_t BGl_makezd2statezd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 193 */
			{	/* Eval/evaluate_comp.scm 194 */
				obj_t BgL_stkz00_1044;

				BgL_stkz00_1044 =
					make_vector(
					(int) (((long) 8192)), BGl_string5991z00zz__evaluate_compz00);
				VECTOR_SET(BgL_stkz00_1044, (int) (((long) 0)), BINT(((long) 2)));
				return BgL_stkz00_1044;
			}
		}
	}



/* find-state */
	BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 198 */
			{	/* Eval/evaluate_comp.scm 199 */
				obj_t BgL_sz00_1045;

				{	/* Eval/evaluate_comp.scm 199 */
					obj_t BgL_auxz00_20724;

					BgL_auxz00_20724 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_sz00_1045 = BGL_ENV_EVSTATE(BgL_auxz00_20724);
				}
				if (VECTORP(BgL_sz00_1045))
					{	/* Eval/evaluate_comp.scm 200 */
						return BgL_sz00_1045;
					}
				else
					{	/* Eval/evaluate_comp.scm 201 */
						obj_t BgL_statez00_1047;

						BgL_statez00_1047 = BGl_makezd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 202 */
							obj_t BgL_auxz00_20730;

							BgL_auxz00_20730 = BGL_CURRENT_DYNAMIC_ENV();
							BGL_ENV_EVSTATE_SET(BgL_auxz00_20730, BgL_statez00_1047);
						}
						return BgL_statez00_1047;
					}
			}
		}
	}



/* &find-state */
	obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_18142)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 198 */
			return BGl_findzd2statezd2zz__evaluate_compz00();
		}
	}



/* compile */
	BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_34)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 261 */
			return BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);
		}
	}



/* &compile */
	obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_18143,
		obj_t BgL_ez00_18144)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 261 */
			{	/* Eval/evaluate_comp.scm 262 */
				BgL_ev_exprz00_bglt BgL_auxz00_20735;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_18144,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 262 */
						BgL_auxz00_20735 = ((BgL_ev_exprz00_bglt) BgL_ez00_18144);
					}
				else
					{
						obj_t BgL_auxz00_20739;

						BgL_auxz00_20739 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string5992z00zz__evaluate_compz00, BINT(((long) 6594)),
							BGl_string5993z00zz__evaluate_compz00,
							BGl_string5994z00zz__evaluate_compz00, BgL_ez00_18144);
						FAILURE(BgL_auxz00_20739, BFALSE, BFALSE);
					}
				return BGl_compilez00zz__evaluate_compz00(BgL_auxz00_20735);
			}
		}
	}



/* global-fun-value */
	obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_ez00_43)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 320 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_ez00_43), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 322 */
					BgL_ev_globalz00_bglt BgL_i1091z00_1097;

					BgL_i1091z00_1097 = ((BgL_ev_globalz00_bglt) BgL_ez00_43);
					{	/* Eval/evaluate_comp.scm 323 */
						obj_t BgL_gz00_1098;

						BgL_gz00_1098 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1091z00_1097))->BgL_modz00),
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1091z00_1097))->BgL_namez00));
						if (CBOOL(BgL_gz00_1098))
							{	/* Eval/evaluate_comp.scm 324 */
								return VECTOR_REF(BgL_gz00_1098, (int) (((long) 2)));
							}
						else
							{	/* Eval/evaluate_comp.scm 324 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Eval/evaluate_comp.scm 321 */
					return BFALSE;
				}
		}
	}



/* push-boxes-args-on-sp */
	obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t
		BgL_sz00_82, obj_t BgL_argsz00_83, obj_t BgL_boxesz00_84, long BgL_spz00_85,
		obj_t BgL_locz00_86)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 604 */
			{
				obj_t BgL_lz00_1117;
				obj_t BgL_bsz00_1118;
				long BgL_spz00_1119;

				BgL_lz00_1117 = BgL_argsz00_83;
				BgL_bsz00_1118 = BgL_boxesz00_84;
				BgL_spz00_1119 = BgL_spz00_85;
			BgL_zc3anonymousza31927ze3z83_1120:
				if (NULLP(BgL_lz00_1117))
					{	/* Eval/evaluate_comp.scm 606 */
						if (NULLP(BgL_bsz00_1118))
							{	/* Eval/evaluate_comp.scm 607 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 610 */
								obj_t BgL_arg1930z00_1123;

								{	/* Eval/evaluate_comp.scm 610 */
									long BgL_arg1931z00_1124;
									long BgL_arg1932z00_1125;

									BgL_arg1931z00_1124 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1932z00_1125 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 609 */
										obj_t BgL_list1933z00_1126;

										{	/* Eval/evaluate_comp.scm 609 */
											obj_t BgL_arg1934z00_1127;

											BgL_arg1934z00_1127 =
												MAKE_PAIR(BINT(BgL_arg1932z00_1125), BNIL);
											BgL_list1933z00_1126 =
												MAKE_PAIR(BINT(BgL_arg1931z00_1124),
												BgL_arg1934z00_1127);
										}
										BgL_arg1930z00_1123 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string5995z00zz__evaluate_compz00,
											BgL_list1933z00_1126);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string5987z00zz__evaluate_compz00,
									BGl_string5996z00zz__evaluate_compz00, BgL_arg1930z00_1123);
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 606 */
						if (NULLP(BgL_bsz00_1118))
							{	/* Eval/evaluate_comp.scm 614 */
								obj_t BgL_arg1936z00_1129;

								{	/* Eval/evaluate_comp.scm 614 */
									long BgL_arg1937z00_1130;
									long BgL_arg1938z00_1131;

									BgL_arg1937z00_1130 = bgl_list_length(BgL_boxesz00_84);
									BgL_arg1938z00_1131 = bgl_list_length(BgL_argsz00_83);
									{	/* Eval/evaluate_comp.scm 613 */
										obj_t BgL_list1939z00_1132;

										{	/* Eval/evaluate_comp.scm 613 */
											obj_t BgL_arg1940z00_1133;

											BgL_arg1940z00_1133 =
												MAKE_PAIR(BINT(BgL_arg1938z00_1131), BNIL);
											BgL_list1939z00_1132 =
												MAKE_PAIR(BINT(BgL_arg1937z00_1130),
												BgL_arg1940z00_1133);
										}
										BgL_arg1936z00_1129 =
											BGl_formatz00zz__r4_output_6_10_3z00
											(BGl_string5995z00zz__evaluate_compz00,
											BgL_list1939z00_1132);
								}}
								return
									BGl_everrorz00zz__everrorz00(BgL_locz00_86,
									BGl_string5987z00zz__evaluate_compz00,
									BGl_string5996z00zz__evaluate_compz00, BgL_arg1936z00_1129);
							}
						else
							{	/* Eval/evaluate_comp.scm 611 */
								{	/* Eval/evaluate_comp.scm 617 */
									obj_t BgL_arg1941z00_1134;

									{	/* Eval/evaluate_comp.scm 617 */
										obj_t BgL_vz00_1135;

										{	/* Eval/evaluate_comp.scm 617 */
											obj_t BgL_fun1943z00_1137;

											BgL_fun1943z00_1137 = CAR(BgL_lz00_1117);
											BgL_vz00_1135 =
												PROCEDURE_ENTRY(BgL_fun1943z00_1137)
												(BgL_fun1943z00_1137, BgL_sz00_82, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 618 */
											bool_t BgL_testz00_20782;

											{	/* Eval/evaluate_comp.scm 618 */
												obj_t BgL_pairz00_6504;

												BgL_pairz00_6504 = BgL_bsz00_1118;
												BgL_testz00_20782 = CBOOL(CAR(BgL_pairz00_6504));
											}
											if (BgL_testz00_20782)
												{	/* Eval/evaluate_comp.scm 189 */
													obj_t BgL_newz00_6506;

													BgL_newz00_6506 =
														create_struct(BGl_symbol5997z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 189 */
														int BgL_auxz00_20787;

														BgL_auxz00_20787 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_6506, BgL_auxz00_20787,
															BgL_vz00_1135);
													}
													BgL_arg1941z00_1134 = BgL_newz00_6506;
												}
											else
												{	/* Eval/evaluate_comp.scm 618 */
													BgL_arg1941z00_1134 = BgL_vz00_1135;
												}
										}
									}
									VECTOR_SET(BgL_sz00_82,
										(int) (BgL_spz00_1119), BgL_arg1941z00_1134);
								}
								{
									long BgL_spz00_20796;
									obj_t BgL_bsz00_20794;
									obj_t BgL_lz00_20792;

									BgL_lz00_20792 = CDR(BgL_lz00_1117);
									BgL_bsz00_20794 = CDR(BgL_bsz00_1118);
									BgL_spz00_20796 = (BgL_spz00_1119 + ((long) 1));
									BgL_spz00_1119 = BgL_spz00_20796;
									BgL_bsz00_1118 = BgL_bsz00_20794;
									BgL_lz00_1117 = BgL_lz00_20792;
									goto BgL_zc3anonymousza31927ze3z83_1120;
								}
							}
					}
			}
		}
	}



/* sub-stk */
	obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_88,
		obj_t BgL_l2z00_89)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 626 */
		BGl_subzd2stkzd2zz__evaluate_compz00:
			if (NULLP(BgL_l1z00_88))
				{	/* Eval/evaluate_comp.scm 627 */
					return BgL_l2z00_89;
				}
			else
				{	/* Eval/evaluate_comp.scm 627 */
					if ((CAR(BgL_l1z00_88) == CAR(BgL_l2z00_89)))
						{
							obj_t BgL_l2z00_20806;
							obj_t BgL_l1z00_20804;

							BgL_l1z00_20804 = CDR(BgL_l1z00_88);
							BgL_l2z00_20806 = CDR(BgL_l2z00_89);
							BgL_l2z00_89 = BgL_l2z00_20806;
							BgL_l1z00_88 = BgL_l1z00_20804;
							goto BGl_subzd2stkzd2zz__evaluate_compz00;
						}
					else
						{	/* Eval/evaluate_comp.scm 628 */
							return
								BGl_errorz00zz__errorz00(BGl_string5987z00zz__evaluate_compz00,
								BGl_symbol5999z00zz__evaluate_compz00,
								BGl_symbol6001z00zz__evaluate_compz00);
						}
				}
		}
	}



/* catch-trampoline */
	obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_93,
		obj_t BgL_sz00_94, obj_t BgL_bpz00_95)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 650 */
			{	/* Eval/evaluate_comp.scm 651 */
				obj_t BgL_savedzd2bpzd2_1155;

				BgL_savedzd2bpzd2_1155 = VECTOR_REF(BgL_sz00_94, (int) (((long) 0)));
				VECTOR_SET(BgL_sz00_94, (int) (((long) 0)), BgL_bpz00_95);
				{
					obj_t BgL_fz00_1157;

					BgL_fz00_1157 = BgL_fz00_93;
				BgL_zc3anonymousza31959ze3z83_1158:
					{	/* Eval/evaluate_comp.scm 654 */
						obj_t BgL_rz00_1159;

						BgL_rz00_1159 =
							PROCEDURE_ENTRY(BgL_fz00_1157) (BgL_fz00_1157, BgL_sz00_94, BEOA);
						{	/* Eval/evaluate_comp.scm 655 */
							bool_t BgL_testz00_20817;

							if (PROCEDUREP(BgL_rz00_1159))
								{	/* Eval/evaluate_comp.scm 655 */
									obj_t BgL_arg1962z00_1162;

									BgL_arg1962z00_1162 = PROCEDURE_ATTR(BgL_rz00_1159);
									if (STRUCTP(BgL_arg1962z00_1162))
										{	/* Eval/evaluate_comp.scm 635 */
											BgL_testz00_20817 =
												(STRUCT_KEY(BgL_arg1962z00_1162) ==
												BGl_symbol5983z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 635 */
											BgL_testz00_20817 = ((bool_t) 0);
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 655 */
									BgL_testz00_20817 = ((bool_t) 0);
								}
							if (BgL_testz00_20817)
								{
									obj_t BgL_fz00_20825;

									BgL_fz00_20825 = BgL_rz00_1159;
									BgL_fz00_1157 = BgL_fz00_20825;
									goto BgL_zc3anonymousza31959ze3z83_1158;
								}
							else
								{	/* Eval/evaluate_comp.scm 655 */
									VECTOR_SET(BgL_sz00_94,
										(int) (((long) 0)), BgL_savedzd2bpzd2_1155);
									return BgL_rz00_1159;
								}
						}
					}
				}
			}
		}
	}



/* comp-with-push */
	obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_117,
		obj_t BgL_stkz00_118)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 669 */
			if (NULLP(BgL_eza2za2_117))
				{	/* Eval/evaluate_comp.scm 671 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 673 */
					obj_t BgL_arg1972z00_1174;
					obj_t BgL_arg1973z00_1175;

					{	/* Eval/evaluate_comp.scm 673 */
						obj_t BgL_arg1974z00_1176;

						BgL_arg1974z00_1176 = CAR(BgL_eza2za2_117);
						BgL_arg1972z00_1174 =
							BGl_compz00zz__evaluate_compz00(
							((BgL_ev_exprz00_bglt) BgL_arg1974z00_1176), BgL_stkz00_118);
					}
					{	/* Eval/evaluate_comp.scm 674 */
						obj_t BgL_arg1975z00_1177;
						obj_t BgL_arg1977z00_1178;

						BgL_arg1975z00_1177 = CDR(BgL_eza2za2_117);
						{	/* Eval/evaluate_comp.scm 674 */
							obj_t BgL_arg1978z00_1179;

							BgL_arg1978z00_1179 = MAKE_PAIR(BFALSE, BNIL);
							BgL_arg1977z00_1178 =
								BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_118,
								BgL_arg1978z00_1179);
						}
						BgL_arg1973z00_1175 =
							BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1975z00_1177,
							BgL_arg1977z00_1178);
					}
					return MAKE_PAIR(BgL_arg1972z00_1174, BgL_arg1973z00_1175);
				}
		}
	}



/* rec */
	obj_t BGl_recz00zz__evaluate_compz00(obj_t BgL_stkz00_20521,
		obj_t BgL_lz00_1181, long BgL_iz00_1182)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 677 */
			if (NULLP(BgL_lz00_1181))
				{	/* Eval/evaluate_comp.scm 678 */
					return BNIL;
				}
			else
				{	/* Eval/evaluate_comp.scm 678 */
					if ((BgL_iz00_1182 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 679 */
							return
								BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1181,
								BgL_stkz00_20521);
						}
					else
						{	/* Eval/evaluate_comp.scm 680 */
							obj_t BgL_arg1982z00_1186;
							obj_t BgL_arg1983z00_1187;

							{	/* Eval/evaluate_comp.scm 680 */
								obj_t BgL_arg1984z00_1188;

								BgL_arg1984z00_1188 = CAR(BgL_lz00_1181);
								BgL_arg1982z00_1186 =
									BGl_compz00zz__evaluate_compz00(
									((BgL_ev_exprz00_bglt) BgL_arg1984z00_1188),
									BgL_stkz00_20521);
							}
							BgL_arg1983z00_1187 =
								BGl_recz00zz__evaluate_compz00(BgL_stkz00_20521,
								CDR(BgL_lz00_1181), (BgL_iz00_1182 - ((long) 1)));
							return MAKE_PAIR(BgL_arg1982z00_1186, BgL_arg1983z00_1187);
						}
				}
		}
	}



/* subr-call-with-push */
	obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_122,
		obj_t BgL_fz00_123, obj_t BgL_argsz00_124, obj_t BgL_bpz00_125,
		long BgL_siza7eza7_126)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 683 */
			{	/* Eval/evaluate_comp.scm 685 */
				obj_t BgL_argsz00_1192;

				if (NULLP(BgL_argsz00_124))
					{	/* Eval/evaluate_comp.scm 685 */
						BgL_argsz00_1192 = BNIL;
					}
				else
					{	/* Eval/evaluate_comp.scm 685 */
						obj_t BgL_head1665z00_1197;

						{	/* Eval/evaluate_comp.scm 685 */
							obj_t BgL_res4510z00_6625;

							BgL_res4510z00_6625 = MAKE_PAIR(BNIL, BNIL);
							BgL_head1665z00_1197 = BgL_res4510z00_6625;
						}
						{
							obj_t BgL_l1663z00_6659;
							obj_t BgL_tail1666z00_6660;

							BgL_l1663z00_6659 = BgL_argsz00_124;
							BgL_tail1666z00_6660 = BgL_head1665z00_1197;
						BgL_zc3anonymousza31989ze3z83_6658:
							if (NULLP(BgL_l1663z00_6659))
								{	/* Eval/evaluate_comp.scm 685 */
									BgL_argsz00_1192 = CDR(BgL_head1665z00_1197);
								}
							else
								{	/* Eval/evaluate_comp.scm 685 */
									obj_t BgL_newtail1667z00_6667;

									{	/* Eval/evaluate_comp.scm 685 */
										obj_t BgL_arg1993z00_6668;

										{	/* Eval/evaluate_comp.scm 685 */
											obj_t BgL_az00_6669;

											BgL_az00_6669 = CAR(BgL_l1663z00_6659);
											BgL_arg1993z00_6668 =
												PROCEDURE_ENTRY(BgL_az00_6669) (BgL_az00_6669,
												BgL_sz00_122, BEOA);
										}
										{	/* Eval/evaluate_comp.scm 685 */
											obj_t BgL_res4516z00_6677;

											BgL_res4516z00_6677 =
												MAKE_PAIR(BgL_arg1993z00_6668, BNIL);
											BgL_newtail1667z00_6667 = BgL_res4516z00_6677;
										}
									}
									SET_CDR(BgL_tail1666z00_6660, BgL_newtail1667z00_6667);
									{
										obj_t BgL_tail1666z00_20865;
										obj_t BgL_l1663z00_20863;

										BgL_l1663z00_20863 = CDR(BgL_l1663z00_6659);
										BgL_tail1666z00_20865 = BgL_newtail1667z00_6667;
										BgL_tail1666z00_6660 = BgL_tail1666z00_20865;
										BgL_l1663z00_6659 = BgL_l1663z00_20863;
										goto BgL_zc3anonymousza31989ze3z83_6658;
									}
								}
						}
					}
				{	/* Eval/evaluate_comp.scm 686 */
					long BgL_arg1987z00_1193;

					BgL_arg1987z00_1193 =
						((long) CINT(BgL_bpz00_125) + BgL_siza7eza7_126);
					VECTOR_SET(BgL_sz00_122,
						(int) (((long) 0)), BINT(BgL_arg1987z00_1193));
				}
				{	/* Eval/evaluate_comp.scm 687 */
					obj_t BgL_za2za2resza2za2z00_1194;

					BgL_za2za2resza2za2z00_1194 = apply(BgL_fz00_123, BgL_argsz00_1192);
					VECTOR_SET(BgL_sz00_122, (int) (((long) 0)), BgL_bpz00_125);
					return BgL_za2za2resza2za2z00_1194;
				}
			}
		}
	}



/* push-nargs-on-sp */
	obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t
		BgL_arityz00_130, obj_t BgL_sz00_131, obj_t BgL_argsz00_132,
		obj_t BgL_spz00_133)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 696 */
			{	/* Eval/evaluate_comp.scm 697 */
				long BgL_g1145z00_1218;

				BgL_g1145z00_1218 = (((long) -1) - (long) CINT(BgL_arityz00_130));
				{
					obj_t BgL_lz00_1220;
					obj_t BgL_spz00_1221;
					long BgL_nz00_1222;

					BgL_lz00_1220 = BgL_argsz00_132;
					BgL_spz00_1221 = BgL_spz00_133;
					BgL_nz00_1222 = BgL_g1145z00_1218;
				BgL_zc3anonymousza32000ze3z83_1223:
					if ((BgL_nz00_1222 == ((long) 0)))
						{
							obj_t BgL_lz00_6788;
							obj_t BgL_rz00_6789;

							BgL_lz00_6788 = BgL_lz00_1220;
							BgL_rz00_6789 = BNIL;
						BgL_rec2z00_6787:
							if (NULLP(BgL_lz00_6788))
								{	/* Eval/evaluate_comp.scm 700 */
									return
										VECTOR_SET(BgL_sz00_131,
										CINT(BgL_spz00_1221), bgl_reverse_bang(BgL_rz00_6789));
								}
							else
								{	/* Eval/evaluate_comp.scm 702 */
									obj_t BgL_arg2005z00_6798;
									obj_t BgL_arg2006z00_6799;

									BgL_arg2005z00_6798 = CDR(BgL_lz00_6788);
									{	/* Eval/evaluate_comp.scm 702 */
										obj_t BgL_arg2007z00_6800;

										{	/* Eval/evaluate_comp.scm 702 */
											obj_t BgL_fun2008z00_6801;

											BgL_fun2008z00_6801 = CAR(BgL_lz00_6788);
											BgL_arg2007z00_6800 =
												PROCEDURE_ENTRY(BgL_fun2008z00_6801)
												(BgL_fun2008z00_6801, BgL_sz00_131, BEOA);
										}
										BgL_arg2006z00_6799 =
											MAKE_PAIR(BgL_arg2007z00_6800, BgL_rz00_6789);
									}
									{
										obj_t BgL_rz00_20892;
										obj_t BgL_lz00_20891;

										BgL_lz00_20891 = BgL_arg2005z00_6798;
										BgL_rz00_20892 = BgL_arg2006z00_6799;
										BgL_rz00_6789 = BgL_rz00_20892;
										BgL_lz00_6788 = BgL_lz00_20891;
										goto BgL_rec2z00_6787;
									}
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 698 */
							{	/* Eval/evaluate_comp.scm 703 */
								obj_t BgL_arg2009z00_1237;

								{	/* Eval/evaluate_comp.scm 703 */
									obj_t BgL_fun2010z00_1238;

									BgL_fun2010z00_1238 = CAR(BgL_lz00_1220);
									BgL_arg2009z00_1237 =
										PROCEDURE_ENTRY(BgL_fun2010z00_1238) (BgL_fun2010z00_1238,
										BgL_sz00_131, BEOA);
								}
								VECTOR_SET(BgL_sz00_131,
									CINT(BgL_spz00_1221), BgL_arg2009z00_1237);
							}
							{	/* Eval/evaluate_comp.scm 704 */
								obj_t BgL_arg2011z00_1239;
								long BgL_arg2012z00_1240;
								long BgL_arg2013z00_1241;

								BgL_arg2011z00_1239 = CDR(BgL_lz00_1220);
								BgL_arg2012z00_1240 =
									((long) CINT(BgL_spz00_1221) + ((long) 1));
								BgL_arg2013z00_1241 = (BgL_nz00_1222 - ((long) 1));
								{
									long BgL_nz00_20907;
									obj_t BgL_spz00_20905;
									obj_t BgL_lz00_20904;

									BgL_lz00_20904 = BgL_arg2011z00_1239;
									BgL_spz00_20905 = BINT(BgL_arg2012z00_1240);
									BgL_nz00_20907 = BgL_arg2013z00_1241;
									BgL_nz00_1222 = BgL_nz00_20907;
									BgL_spz00_1221 = BgL_spz00_20905;
									BgL_lz00_1220 = BgL_lz00_20904;
									goto BgL_zc3anonymousza32000ze3z83_1223;
								}
							}
						}
				}
			}
		}
	}



/* need-shift */
	bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_134,
		obj_t BgL_stkz00_135)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 748 */
			{
				obj_t BgL_lz00_1244;
				obj_t BgL_stkz00_1245;

				BgL_lz00_1244 = BgL_argsz00_134;
				BgL_stkz00_1245 = BgL_stkz00_135;
			BgL_zc3anonymousza32014ze3z83_1246:
				{	/* Eval/evaluate_comp.scm 752 */
					bool_t BgL_testz00_20908;

					if (NULLP(BgL_lz00_1244))
						{	/* Eval/evaluate_comp.scm 752 */
							BgL_testz00_20908 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 752 */
							BgL_testz00_20908 = NULLP(BgL_stkz00_1245);
						}
					if (BgL_testz00_20908)
						{	/* Eval/evaluate_comp.scm 752 */
							return ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_comp.scm 754 */
							bool_t BgL_testz00_20912;

							{	/* Eval/evaluate_comp.scm 754 */
								obj_t BgL_g1670z00_1251;

								BgL_g1670z00_1251 = CDR(BgL_lz00_1244);
								{
									obj_t BgL_l1668z00_1253;

									{	/* Eval/evaluate_comp.scm 754 */
										obj_t BgL_auxz00_20914;

										BgL_l1668z00_1253 = BgL_g1670z00_1251;
									BgL_zc3anonymousza32020ze3z83_1254:
										if (NULLP(BgL_l1668z00_1253))
											{	/* Eval/evaluate_comp.scm 754 */
												BgL_auxz00_20914 = BFALSE;
											}
										else
											{	/* Eval/evaluate_comp.scm 754 */
												obj_t BgL__ortest_1671z00_1256;

												{	/* Eval/evaluate_comp.scm 754 */
													obj_t BgL_ez00_1258;

													BgL_ez00_1258 = CAR(BgL_l1668z00_1253);
													{	/* Eval/evaluate_comp.scm 754 */
														obj_t BgL_arg2024z00_1259;
														obj_t BgL_arg2026z00_1260;

														BgL_arg2024z00_1259 = CAR(BgL_stkz00_1245);
														BgL_arg2026z00_1260 =
															BGl_usez00zz__evaluate_usez00(
															((BgL_ev_exprz00_bglt) BgL_ez00_1258), BNIL);
														BgL__ortest_1671z00_1256 =
															BGl_memqz00zz__r4_pairs_and_lists_6_3z00
															(BgL_arg2024z00_1259, BgL_arg2026z00_1260);
													}
												}
												if (CBOOL(BgL__ortest_1671z00_1256))
													{	/* Eval/evaluate_comp.scm 754 */
														BgL_auxz00_20914 = BgL__ortest_1671z00_1256;
													}
												else
													{
														obj_t BgL_l1668z00_20924;

														BgL_l1668z00_20924 = CDR(BgL_l1668z00_1253);
														BgL_l1668z00_1253 = BgL_l1668z00_20924;
														goto BgL_zc3anonymousza32020ze3z83_1254;
													}
											}
										BgL_testz00_20912 = CBOOL(BgL_auxz00_20914);
									}
								}
							}
							if (BgL_testz00_20912)
								{	/* Eval/evaluate_comp.scm 754 */
									return ((bool_t) 1);
								}
							else
								{
									obj_t BgL_stkz00_20929;
									obj_t BgL_lz00_20927;

									BgL_lz00_20927 = CDR(BgL_lz00_1244);
									BgL_stkz00_20929 = CDR(BgL_stkz00_1245);
									BgL_stkz00_1245 = BgL_stkz00_20929;
									BgL_lz00_1244 = BgL_lz00_20927;
									goto BgL_zc3anonymousza32014ze3z83_1246;
								}
						}
				}
			}
		}
	}



/* comp-old-call */
	obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_ez00_136, obj_t BgL_stkz00_137)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 758 */
			{	/* Eval/evaluate_comp.scm 760 */
				long BgL_siza7eza7_1265;
				long BgL_nbargsz00_1266;
				obj_t BgL_fz00_1267;
				obj_t BgL_symbzd2funzd2_1268;

				BgL_siza7eza7_1265 = bgl_list_length(BgL_stkz00_137);
				BgL_nbargsz00_1266 =
					bgl_list_length(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00));
				BgL_fz00_1267 =
					BGl_compz00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_funz00),
					BgL_stkz00_137);
				BgL_symbzd2funzd2_1268 =
					BGl_uncompilez00zz__evaluate_uncompz00((((BgL_ev_appz00_bglt)
							CREF(BgL_ez00_136))->BgL_funz00));
				if (CBOOL((((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_tailzf3zf3)))
					{	/* Eval/evaluate_comp.scm 762 */
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
								BgL_stkz00_137))
							{	/* Eval/evaluate_comp.scm 769 */
								bool_t BgL_testz00_20944;

								{	/* Eval/evaluate_comp.scm 769 */
									int BgL_arg2075z00_1347;

									BgL_arg2075z00_1347 = bgl_debug();
									BgL_testz00_20944 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2075z00_1347),
										BINT(((long) 0)));
								}
								if (BgL_testz00_20944)
									{	/* Eval/evaluate_comp.scm 769 */
										obj_t BgL_argsz00_1272;

										BgL_argsz00_1272 =
											BGl_compzd2withzd2pushz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
											BgL_stkz00_137);
										{	/* Eval/evaluate_comp.scm 769 */
											obj_t BgL_zc3anonymousza32031ze3z83_18146;

											BgL_zc3anonymousza32031ze3z83_18146 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32031ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 6)));
											PROCEDURE_SET(BgL_zc3anonymousza32031ze3z83_18146,
												(int) (((long) 0)), BgL_fz00_1267);
											PROCEDURE_SET(BgL_zc3anonymousza32031ze3z83_18146,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza32031ze3z83_18146,
												(int) (((long) 2)), BgL_symbzd2funzd2_1268);
											PROCEDURE_SET(BgL_zc3anonymousza32031ze3z83_18146,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1266));
											PROCEDURE_SET(BgL_zc3anonymousza32031ze3z83_18146,
												(int) (((long) 4)), BgL_argsz00_1272);
											PROCEDURE_SET(BgL_zc3anonymousza32031ze3z83_18146,
												(int) (((long) 5)), BINT(BgL_siza7eza7_1265));
											return BgL_zc3anonymousza32031ze3z83_18146;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 769 */
										obj_t BgL_argsz00_1311;

										BgL_argsz00_1311 =
											BGl_compzd2withzd2pushz00zz__evaluate_compz00(
											(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
											BgL_stkz00_137);
										{	/* Eval/evaluate_comp.scm 769 */
											obj_t BgL_zc3anonymousza32055ze3z83_18148;

											BgL_zc3anonymousza32055ze3z83_18148 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32055ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 6)));
											PROCEDURE_SET(BgL_zc3anonymousza32055ze3z83_18148,
												(int) (((long) 0)), BgL_fz00_1267);
											PROCEDURE_SET(BgL_zc3anonymousza32055ze3z83_18148,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza32055ze3z83_18148,
												(int) (((long) 2)), BgL_symbzd2funzd2_1268);
											PROCEDURE_SET(BgL_zc3anonymousza32055ze3z83_18148,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1266));
											PROCEDURE_SET(BgL_zc3anonymousza32055ze3z83_18148,
												(int) (((long) 4)), BgL_argsz00_1311);
											PROCEDURE_SET(BgL_zc3anonymousza32055ze3z83_18148,
												(int) (((long) 5)), BINT(BgL_siza7eza7_1265));
											return BgL_zc3anonymousza32055ze3z83_18148;
										}
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 777 */
								bool_t BgL_testz00_20989;

								{	/* Eval/evaluate_comp.scm 777 */
									int BgL_arg2119z00_1418;

									BgL_arg2119z00_1418 = bgl_debug();
									BgL_testz00_20989 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2119z00_1418),
										BINT(((long) 0)));
								}
								if (BgL_testz00_20989)
									{	/* Eval/evaluate_comp.scm 777 */
										obj_t BgL_argsz00_1349;

										BgL_argsz00_1349 =
											BGl_recz00zz__evaluate_compz00(BgL_stkz00_137,
											(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
											BgL_siza7eza7_1265);
										{	/* Eval/evaluate_comp.scm 777 */
											obj_t BgL_zc3anonymousza32077ze3z83_18150;

											BgL_zc3anonymousza32077ze3z83_18150 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32077ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 5)));
											PROCEDURE_SET(BgL_zc3anonymousza32077ze3z83_18150,
												(int) (((long) 0)), BgL_fz00_1267);
											PROCEDURE_SET(BgL_zc3anonymousza32077ze3z83_18150,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza32077ze3z83_18150,
												(int) (((long) 2)), BgL_symbzd2funzd2_1268);
											PROCEDURE_SET(BgL_zc3anonymousza32077ze3z83_18150,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1266));
											PROCEDURE_SET(BgL_zc3anonymousza32077ze3z83_18150,
												(int) (((long) 4)), BgL_argsz00_1349);
											return BgL_zc3anonymousza32077ze3z83_18150;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 777 */
										obj_t BgL_argsz00_1385;

										BgL_argsz00_1385 =
											BGl_recz00zz__evaluate_compz00(BgL_stkz00_137,
											(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
											BgL_siza7eza7_1265);
										{	/* Eval/evaluate_comp.scm 777 */
											obj_t BgL_zc3anonymousza32098ze3z83_18152;

											BgL_zc3anonymousza32098ze3z83_18152 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza32098ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 5)));
											PROCEDURE_SET(BgL_zc3anonymousza32098ze3z83_18152,
												(int) (((long) 0)), BgL_fz00_1267);
											PROCEDURE_SET(BgL_zc3anonymousza32098ze3z83_18152,
												(int) (((long) 1)), ((obj_t) BgL_ez00_136));
											PROCEDURE_SET(BgL_zc3anonymousza32098ze3z83_18152,
												(int) (((long) 2)), BgL_symbzd2funzd2_1268);
											PROCEDURE_SET(BgL_zc3anonymousza32098ze3z83_18152,
												(int) (((long) 3)), BINT(BgL_nbargsz00_1266));
											PROCEDURE_SET(BgL_zc3anonymousza32098ze3z83_18152,
												(int) (((long) 4)), BgL_argsz00_1385);
											return BgL_zc3anonymousza32098ze3z83_18152;
										}
									}
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 763 */
						bool_t BgL_testz00_21028;

						{	/* Eval/evaluate_comp.scm 763 */
							int BgL_arg2163z00_1490;

							BgL_arg2163z00_1490 = bgl_debug();
							BgL_testz00_21028 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2163z00_1490),
								BINT(((long) 0)));
						}
						if (BgL_testz00_21028)
							{	/* Eval/evaluate_comp.scm 763 */
								obj_t BgL_argsz00_1421;

								BgL_argsz00_1421 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
									BgL_stkz00_137);
								{	/* Eval/evaluate_comp.scm 763 */
									obj_t BgL_zc3anonymousza32124ze3z83_18154;

									BgL_zc3anonymousza32124ze3z83_18154 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32124ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3anonymousza32124ze3z83_18154,
										(int) (((long) 0)), BgL_fz00_1267);
									PROCEDURE_SET(BgL_zc3anonymousza32124ze3z83_18154,
										(int) (((long) 1)), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3anonymousza32124ze3z83_18154,
										(int) (((long) 2)), BgL_symbzd2funzd2_1268);
									PROCEDURE_SET(BgL_zc3anonymousza32124ze3z83_18154,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1266));
									PROCEDURE_SET(BgL_zc3anonymousza32124ze3z83_18154,
										(int) (((long) 4)), BgL_argsz00_1421);
									PROCEDURE_SET(BgL_zc3anonymousza32124ze3z83_18154,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1265));
									return BgL_zc3anonymousza32124ze3z83_18154;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 763 */
								obj_t BgL_argsz00_1457;

								BgL_argsz00_1457 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_136))->BgL_argsz00),
									BgL_stkz00_137);
								{	/* Eval/evaluate_comp.scm 763 */
									obj_t BgL_zc3anonymousza32145ze3z83_18156;

									BgL_zc3anonymousza32145ze3z83_18156 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza32145ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_zc3anonymousza32145ze3z83_18156,
										(int) (((long) 0)), BgL_fz00_1267);
									PROCEDURE_SET(BgL_zc3anonymousza32145ze3z83_18156,
										(int) (((long) 1)), ((obj_t) BgL_ez00_136));
									PROCEDURE_SET(BgL_zc3anonymousza32145ze3z83_18156,
										(int) (((long) 2)), BgL_symbzd2funzd2_1268);
									PROCEDURE_SET(BgL_zc3anonymousza32145ze3z83_18156,
										(int) (((long) 3)), BINT(BgL_nbargsz00_1266));
									PROCEDURE_SET(BgL_zc3anonymousza32145ze3z83_18156,
										(int) (((long) 4)), BgL_argsz00_1457);
									PROCEDURE_SET(BgL_zc3anonymousza32145ze3z83_18156,
										(int) (((long) 5)), BINT(BgL_siza7eza7_1265));
									return BgL_zc3anonymousza32145ze3z83_18156;
								}
							}
					}
			}
		}
	}



/* &<anonymous:2031> */
	obj_t BGl_z62zc3anonymousza32031ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18157, obj_t BgL_sz00_18164)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 769 */
			{	/* Eval/evaluate_comp.scm 769 */
				obj_t BgL_fz00_18158;
				BgL_ev_appz00_bglt BgL_i1153z00_18159;
				obj_t BgL_symbzd2funzd2_18160;
				long BgL_nbargsz00_18161;
				obj_t BgL_argsz00_18162;
				long BgL_siza7eza7_18163;

				BgL_fz00_18158 = PROCEDURE_REF(BgL_envz00_18157, (int) (((long) 0)));
				BgL_i1153z00_18159 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_18157, (int) (((long) 1))));
				BgL_symbzd2funzd2_18160 =
					PROCEDURE_REF(BgL_envz00_18157, (int) (((long) 2)));
				BgL_nbargsz00_18161 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18157, (int) (((long) 3))));
				BgL_argsz00_18162 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18157, (int) (((long) 4))));
				BgL_siza7eza7_18163 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18157, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1273;

					BgL_sz00_1273 = BgL_sz00_18164;
					{	/* Eval/evaluate_comp.scm 769 */
						obj_t BgL_bpz00_1275;

						BgL_bpz00_1275 = VECTOR_REF(BgL_sz00_1273, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 769 */
							obj_t BgL_fz00_1276;

							BgL_fz00_1276 =
								PROCEDURE_ENTRY(BgL_fz00_18158) (BgL_fz00_18158, BgL_sz00_1273,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1276))
								{	/* Eval/evaluate_comp.scm 769 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 769 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1153z00_18159))->
											BgL_locz00), BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_1276);
								}
							{	/* Eval/evaluate_comp.scm 769 */
								obj_t BgL_ufz00_1279;

								BgL_ufz00_1279 = PROCEDURE_ATTR(BgL_fz00_1276);
								{	/* Eval/evaluate_comp.scm 769 */
									bool_t BgL_testz00_21100;

									if (STRUCTP(BgL_ufz00_1279))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21100 =
												(STRUCT_KEY(BgL_ufz00_1279) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21100 = ((bool_t) 0);
										}
									if (BgL_testz00_21100)
										{	/* Eval/evaluate_comp.scm 769 */
											obj_t BgL_arityz00_1281;
											obj_t BgL_runz00_1282;
											obj_t BgL_sfz00_1283;

											BgL_arityz00_1281 =
												STRUCT_REF(BgL_ufz00_1279, (int) (((long) 0)));
											BgL_runz00_1282 =
												STRUCT_REF(BgL_ufz00_1279, (int) (((long) 1)));
											BgL_sfz00_1283 =
												STRUCT_REF(BgL_ufz00_1279, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 769 */
												long BgL_spz00_1284;

												BgL_spz00_1284 =
													((long) CINT(BgL_bpz00_1275) + BgL_siza7eza7_18163);
												if (
													((long) CINT(BgL_arityz00_1281) ==
														BgL_nbargsz00_18161))
													{	/* Eval/evaluate_comp.scm 769 */
														{
															obj_t BgL_lz00_6863;
															long BgL_spz00_6864;

															BgL_lz00_6863 = BgL_argsz00_18162;
															BgL_spz00_6864 = BgL_spz00_1284;
														BgL_recz00_6862:
															if (NULLP(BgL_lz00_6863))
																{	/* Eval/evaluate_comp.scm 692 */
																	((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 692 */
																	{	/* Eval/evaluate_comp.scm 693 */
																		obj_t BgL_arg1996z00_6871;

																		{	/* Eval/evaluate_comp.scm 693 */
																			obj_t BgL_fun1997z00_6872;

																			BgL_fun1997z00_6872 = CAR(BgL_lz00_6863);
																			BgL_arg1996z00_6871 =
																				PROCEDURE_ENTRY(BgL_fun1997z00_6872)
																				(BgL_fun1997z00_6872, BgL_sz00_1273,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1273,
																			(int) (BgL_spz00_6864),
																			BgL_arg1996z00_6871);
																	}
																	{
																		long BgL_spz00_21127;
																		obj_t BgL_lz00_21125;

																		BgL_lz00_21125 = CDR(BgL_lz00_6863);
																		BgL_spz00_21127 =
																			(BgL_spz00_6864 + ((long) 1));
																		BgL_spz00_6864 = BgL_spz00_21127;
																		BgL_lz00_6863 = BgL_lz00_21125;
																		goto BgL_recz00_6862;
																	}
																}
														}
														{	/* Eval/evaluate_comp.scm 773 */
															long BgL_arg2036z00_1286;

															BgL_arg2036z00_1286 =
																(BgL_spz00_1284 + BgL_nbargsz00_18161);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_sz00_1273, BgL_bpz00_1275, BgL_sz00_1273,
																BINT(BgL_spz00_1284),
																BINT(BgL_arg2036z00_1286));
													}}
												else
													{	/* Eval/evaluate_comp.scm 769 */
														bool_t BgL_testz00_21133;

														if (((long) CINT(BgL_arityz00_1281) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 769 */
																BgL_testz00_21133 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 769 */
																BgL_testz00_21133 =
																	(
																	(long) CINT(BgL_arityz00_1281) <
																	(((long) -1) - BgL_nbargsz00_18161));
															}
														if (BgL_testz00_21133)
															{	/* Eval/evaluate_comp.scm 769 */
																BGl_evarityzd2errorzd2zz__everrorz00(
																	(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1153z00_18159))->BgL_locz00),
																	STRUCT_REF(BgL_ufz00_1279,
																		(int) (((long) 3))),
																	(int) (BgL_nbargsz00_18161),
																	CINT(BgL_arityz00_1281));
															}
														else
															{	/* Eval/evaluate_comp.scm 769 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1281, BgL_sz00_1273,
																	BgL_argsz00_18162, BINT(BgL_spz00_1284));
																{	/* Eval/evaluate_comp.scm 775 */
																	long BgL_arg2040z00_1290;

																	BgL_arg2040z00_1290 =
																		(BgL_spz00_1284 +
																		(((long) 0) -
																			(long) CINT(BgL_arityz00_1281)));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_sz00_1273, BgL_bpz00_1275,
																		BgL_sz00_1273, BINT(BgL_spz00_1284),
																		BINT(BgL_arg2040z00_1290));
													}}}
												{	/* Eval/evaluate_comp.scm 769 */
													obj_t BgL_z12denvz12_1294;

													BgL_z12denvz12_1294 = BGL_CURRENT_DYNAMIC_ENV();
													{	/* Eval/evaluate_comp.scm 769 */
														obj_t BgL_auxz00_21155;

														BgL_auxz00_21155 =
															(((BgL_ev_appz00_bglt) CREF(BgL_i1153z00_18159))->
															BgL_locz00);
														BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1294,
															BgL_auxz00_21155);
													}
													{	/* Eval/evaluate_comp.scm 769 */
														bool_t BgL_testz00_21158;

														{	/* Eval/evaluate_comp.scm 667 */
															int BgL_arg1970z00_6911;

															BgL_arg1970z00_6911 =
																VECTOR_LENGTH(BgL_sz00_1273);
															BgL_testz00_21158 =
																(
																((long) CINT(BgL_bpz00_1275) +
																	(long) CINT(BgL_sfz00_1283)) <
																(long) (BgL_arg1970z00_6911));
														}
														if (BgL_testz00_21158)
															{	/* Eval/evaluate_comp.scm 769 */
																return BgL_runz00_1282;
															}
														else
															{	/* Eval/evaluate_comp.scm 769 */
																obj_t BgL_nsz00_1297;

																BgL_nsz00_1297 =
																	BGl_makezd2statezd2zz__evaluate_compz00();
																{	/* Eval/evaluate_comp.scm 769 */
																	long BgL_arg2046z00_1299;

																	BgL_arg2046z00_1299 =
																		(
																		(long) CINT(BgL_bpz00_1275) +
																		BgL_nbargsz00_18161);
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_nsz00_1297, BINT(((long) 2)),
																		BgL_sz00_1273, BgL_bpz00_1275,
																		BINT(BgL_arg2046z00_1299));
																}
																VECTOR_SET(BgL_nsz00_1297,
																	(int) (((long) 1)), BgL_sz00_1273);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1294,
																	BgL_nsz00_1297);
																{	/* Eval/evaluate_comp.scm 769 */
																	obj_t BgL_exitd1160z00_1300;

																	BgL_exitd1160z00_1300 =
																		BGL_EXITD_TOP_AS_OBJ();
																	{	/* Eval/evaluate_comp.scm 769 */
																		obj_t BgL_zc3anonymousza32047ze3z83_18145;

																		BgL_zc3anonymousza32047ze3z83_18145 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32047ze3ze1zz__evaluate_compz00,
																			(int) (((long) 0)), (int) (((long) 2)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32047ze3z83_18145,
																			(int) (((long) 0)), BgL_z12denvz12_1294);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32047ze3z83_18145,
																			(int) (((long) 1)), BgL_sz00_1273);
																		BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																			(BgL_exitd1160z00_1300,
																			BgL_zc3anonymousza32047ze3z83_18145);
																		{	/* Eval/evaluate_comp.scm 769 */
																			obj_t BgL_tmp1162z00_1302;

																			{	/* Eval/evaluate_comp.scm 651 */
																				obj_t BgL_savedzd2bpzd2_6929;

																				BgL_savedzd2bpzd2_6929 =
																					VECTOR_REF(BgL_nsz00_1297,
																					(int) (((long) 0)));
																				VECTOR_SET(BgL_nsz00_1297,
																					(int) (((long) 0)), BINT(((long) 2)));
																				{
																					obj_t BgL_fz00_6936;

																					BgL_fz00_6936 = BgL_runz00_1282;
																				BgL_recz00_6935:
																					{	/* Eval/evaluate_comp.scm 654 */
																						obj_t BgL_rz00_6937;

																						BgL_rz00_6937 =
																							PROCEDURE_ENTRY(BgL_fz00_6936)
																							(BgL_fz00_6936, BgL_nsz00_1297,
																							BEOA);
																						{	/* Eval/evaluate_comp.scm 655 */
																							bool_t BgL_testz00_21192;

																							if (PROCEDUREP(BgL_rz00_6937))
																								{	/* Eval/evaluate_comp.scm 655 */
																									obj_t BgL_arg1962z00_6942;

																									BgL_arg1962z00_6942 =
																										PROCEDURE_ATTR
																										(BgL_rz00_6937);
																									if (STRUCTP
																										(BgL_arg1962z00_6942))
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_21192 =
																												(STRUCT_KEY
																												(BgL_arg1962z00_6942) ==
																												BGl_symbol5983z00zz__evaluate_compz00);
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_21192 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									BgL_testz00_21192 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_21192)
																								{
																									obj_t BgL_fz00_21200;

																									BgL_fz00_21200 =
																										BgL_rz00_6937;
																									BgL_fz00_6936 =
																										BgL_fz00_21200;
																									goto BgL_recz00_6935;
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									VECTOR_SET(BgL_nsz00_1297,
																										(int) (((long) 0)),
																										BgL_savedzd2bpzd2_6929);
																									BgL_tmp1162z00_1302 =
																										BgL_rz00_6937;
																			}}}}}
																			BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																				(BgL_exitd1160z00_1300);
																			BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1294,
																				BgL_sz00_1273);
																			return BgL_tmp1162z00_1302;
																		}
																	}
																}
															}
													}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 769 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1276,
													(int) (BgL_nbargsz00_18161)))
												{	/* Eval/evaluate_comp.scm 769 */
													{	/* Eval/evaluate_comp.scm 769 */
														obj_t BgL_auxz00_21210;
														obj_t BgL_auxz00_21208;

														BgL_auxz00_21210 =
															(((BgL_ev_appz00_bglt) CREF(BgL_i1153z00_18159))->
															BgL_locz00);
														BgL_auxz00_21208 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_21208,
															BgL_auxz00_21210);
													}
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1273, BgL_fz00_1276, BgL_argsz00_18162,
														BgL_bpz00_1275, BgL_siza7eza7_18163);
												}
											else
												{	/* Eval/evaluate_comp.scm 769 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1153z00_18159))->
															BgL_locz00), BgL_symbzd2funzd2_18160,
														(int) (BgL_nbargsz00_18161),
														PROCEDURE_ARITY(BgL_fz00_1276));
		}}}}}}}}}
	}



/* &<anonymous:2047> */
	obj_t BGl_z62zc3anonymousza32047ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18165)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 769 */
			{	/* Eval/evaluate_comp.scm 769 */
				obj_t BgL_z12denvz12_18166;
				obj_t BgL_sz00_18167;

				BgL_z12denvz12_18166 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18165, (int) (((long) 0))));
				BgL_sz00_18167 = PROCEDURE_REF(BgL_envz00_18165, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18166, BgL_sz00_18167);
				}
			}
		}
	}



/* &<anonymous:2055> */
	obj_t BGl_z62zc3anonymousza32055ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18168, obj_t BgL_sz00_18175)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 769 */
			{	/* Eval/evaluate_comp.scm 769 */
				obj_t BgL_fz00_18169;
				BgL_ev_appz00_bglt BgL_i1153z00_18170;
				obj_t BgL_symbzd2funzd2_18171;
				long BgL_nbargsz00_18172;
				obj_t BgL_argsz00_18173;
				long BgL_siza7eza7_18174;

				BgL_fz00_18169 = PROCEDURE_REF(BgL_envz00_18168, (int) (((long) 0)));
				BgL_i1153z00_18170 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_18168, (int) (((long) 1))));
				BgL_symbzd2funzd2_18171 =
					PROCEDURE_REF(BgL_envz00_18168, (int) (((long) 2)));
				BgL_nbargsz00_18172 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18168, (int) (((long) 3))));
				BgL_argsz00_18173 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18168, (int) (((long) 4))));
				BgL_siza7eza7_18174 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18168, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1312;

					BgL_sz00_1312 = BgL_sz00_18175;
					{	/* Eval/evaluate_comp.scm 769 */
						obj_t BgL_bpz00_1314;

						BgL_bpz00_1314 = VECTOR_REF(BgL_sz00_1312, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 769 */
							obj_t BgL_fz00_1315;

							BgL_fz00_1315 =
								PROCEDURE_ENTRY(BgL_fz00_18169) (BgL_fz00_18169, BgL_sz00_1312,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1315))
								{	/* Eval/evaluate_comp.scm 769 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 769 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1153z00_18170))->
											BgL_locz00), BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_1315);
								}
							{	/* Eval/evaluate_comp.scm 769 */
								obj_t BgL_ufz00_1318;

								BgL_ufz00_1318 = PROCEDURE_ATTR(BgL_fz00_1315);
								{	/* Eval/evaluate_comp.scm 769 */
									bool_t BgL_testz00_21251;

									if (STRUCTP(BgL_ufz00_1318))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21251 =
												(STRUCT_KEY(BgL_ufz00_1318) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21251 = ((bool_t) 0);
										}
									if (BgL_testz00_21251)
										{	/* Eval/evaluate_comp.scm 769 */
											obj_t BgL_arityz00_1320;
											obj_t BgL_runz00_1321;
											obj_t BgL_sfz00_1322;

											BgL_arityz00_1320 =
												STRUCT_REF(BgL_ufz00_1318, (int) (((long) 0)));
											BgL_runz00_1321 =
												STRUCT_REF(BgL_ufz00_1318, (int) (((long) 1)));
											BgL_sfz00_1322 =
												STRUCT_REF(BgL_ufz00_1318, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 769 */
												long BgL_spz00_1323;

												BgL_spz00_1323 =
													((long) CINT(BgL_bpz00_1314) + BgL_siza7eza7_18174);
												if (
													((long) CINT(BgL_arityz00_1320) ==
														BgL_nbargsz00_18172))
													{	/* Eval/evaluate_comp.scm 769 */
														{
															obj_t BgL_lz00_6986;
															long BgL_spz00_6987;

															BgL_lz00_6986 = BgL_argsz00_18173;
															BgL_spz00_6987 = BgL_spz00_1323;
														BgL_recz00_6985:
															if (NULLP(BgL_lz00_6986))
																{	/* Eval/evaluate_comp.scm 692 */
																	((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 692 */
																	{	/* Eval/evaluate_comp.scm 693 */
																		obj_t BgL_arg1996z00_6994;

																		{	/* Eval/evaluate_comp.scm 693 */
																			obj_t BgL_fun1997z00_6995;

																			BgL_fun1997z00_6995 = CAR(BgL_lz00_6986);
																			BgL_arg1996z00_6994 =
																				PROCEDURE_ENTRY(BgL_fun1997z00_6995)
																				(BgL_fun1997z00_6995, BgL_sz00_1312,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1312,
																			(int) (BgL_spz00_6987),
																			BgL_arg1996z00_6994);
																	}
																	{
																		long BgL_spz00_21278;
																		obj_t BgL_lz00_21276;

																		BgL_lz00_21276 = CDR(BgL_lz00_6986);
																		BgL_spz00_21278 =
																			(BgL_spz00_6987 + ((long) 1));
																		BgL_spz00_6987 = BgL_spz00_21278;
																		BgL_lz00_6986 = BgL_lz00_21276;
																		goto BgL_recz00_6985;
																	}
																}
														}
														{	/* Eval/evaluate_comp.scm 773 */
															long BgL_arg2060z00_1325;

															BgL_arg2060z00_1325 =
																(BgL_spz00_1323 + BgL_nbargsz00_18172);
															BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																(BgL_sz00_1312, BgL_bpz00_1314, BgL_sz00_1312,
																BINT(BgL_spz00_1323),
																BINT(BgL_arg2060z00_1325));
													}}
												else
													{	/* Eval/evaluate_comp.scm 769 */
														bool_t BgL_testz00_21284;

														if (((long) CINT(BgL_arityz00_1320) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 769 */
																BgL_testz00_21284 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 769 */
																BgL_testz00_21284 =
																	(
																	(long) CINT(BgL_arityz00_1320) <
																	(((long) -1) - BgL_nbargsz00_18172));
															}
														if (BgL_testz00_21284)
															{	/* Eval/evaluate_comp.scm 769 */
																BGl_evarityzd2errorzd2zz__everrorz00(
																	(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1153z00_18170))->BgL_locz00),
																	STRUCT_REF(BgL_ufz00_1318,
																		(int) (((long) 3))),
																	(int) (BgL_nbargsz00_18172),
																	CINT(BgL_arityz00_1320));
															}
														else
															{	/* Eval/evaluate_comp.scm 769 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1320, BgL_sz00_1312,
																	BgL_argsz00_18173, BINT(BgL_spz00_1323));
																{	/* Eval/evaluate_comp.scm 775 */
																	long BgL_arg2064z00_1329;

																	BgL_arg2064z00_1329 =
																		(BgL_spz00_1323 +
																		(((long) 0) -
																			(long) CINT(BgL_arityz00_1320)));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_sz00_1312, BgL_bpz00_1314,
																		BgL_sz00_1312, BINT(BgL_spz00_1323),
																		BINT(BgL_arg2064z00_1329));
													}}}
												{	/* Eval/evaluate_comp.scm 769 */
													obj_t BgL_z12denvz12_1333;

													BgL_z12denvz12_1333 = BGL_CURRENT_DYNAMIC_ENV();
													{	/* Eval/evaluate_comp.scm 769 */
														bool_t BgL_testz00_21306;

														{	/* Eval/evaluate_comp.scm 667 */
															int BgL_arg1970z00_7034;

															BgL_arg1970z00_7034 =
																VECTOR_LENGTH(BgL_sz00_1312);
															BgL_testz00_21306 =
																(
																((long) CINT(BgL_bpz00_1314) +
																	(long) CINT(BgL_sfz00_1322)) <
																(long) (BgL_arg1970z00_7034));
														}
														if (BgL_testz00_21306)
															{	/* Eval/evaluate_comp.scm 769 */
																return BgL_runz00_1321;
															}
														else
															{	/* Eval/evaluate_comp.scm 769 */
																obj_t BgL_nsz00_1335;

																BgL_nsz00_1335 =
																	BGl_makezd2statezd2zz__evaluate_compz00();
																{	/* Eval/evaluate_comp.scm 769 */
																	long BgL_arg2069z00_1337;

																	BgL_arg2069z00_1337 =
																		(
																		(long) CINT(BgL_bpz00_1314) +
																		BgL_nbargsz00_18172);
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_nsz00_1335, BINT(((long) 2)),
																		BgL_sz00_1312, BgL_bpz00_1314,
																		BINT(BgL_arg2069z00_1337));
																}
																VECTOR_SET(BgL_nsz00_1335,
																	(int) (((long) 1)), BgL_sz00_1312);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1333,
																	BgL_nsz00_1335);
																{	/* Eval/evaluate_comp.scm 769 */
																	obj_t BgL_exitd1163z00_1338;

																	BgL_exitd1163z00_1338 =
																		BGL_EXITD_TOP_AS_OBJ();
																	{	/* Eval/evaluate_comp.scm 769 */
																		obj_t BgL_zc3anonymousza32070ze3z83_18147;

																		BgL_zc3anonymousza32070ze3z83_18147 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32070ze3ze1zz__evaluate_compz00,
																			(int) (((long) 0)), (int) (((long) 2)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32070ze3z83_18147,
																			(int) (((long) 0)), BgL_z12denvz12_1333);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32070ze3z83_18147,
																			(int) (((long) 1)), BgL_sz00_1312);
																		BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																			(BgL_exitd1163z00_1338,
																			BgL_zc3anonymousza32070ze3z83_18147);
																		{	/* Eval/evaluate_comp.scm 769 */
																			obj_t BgL_tmp1165z00_1340;

																			{	/* Eval/evaluate_comp.scm 651 */
																				obj_t BgL_savedzd2bpzd2_7052;

																				BgL_savedzd2bpzd2_7052 =
																					VECTOR_REF(BgL_nsz00_1335,
																					(int) (((long) 0)));
																				VECTOR_SET(BgL_nsz00_1335,
																					(int) (((long) 0)), BINT(((long) 2)));
																				{
																					obj_t BgL_fz00_7059;

																					BgL_fz00_7059 = BgL_runz00_1321;
																				BgL_recz00_7058:
																					{	/* Eval/evaluate_comp.scm 654 */
																						obj_t BgL_rz00_7060;

																						BgL_rz00_7060 =
																							PROCEDURE_ENTRY(BgL_fz00_7059)
																							(BgL_fz00_7059, BgL_nsz00_1335,
																							BEOA);
																						{	/* Eval/evaluate_comp.scm 655 */
																							bool_t BgL_testz00_21340;

																							if (PROCEDUREP(BgL_rz00_7060))
																								{	/* Eval/evaluate_comp.scm 655 */
																									obj_t BgL_arg1962z00_7065;

																									BgL_arg1962z00_7065 =
																										PROCEDURE_ATTR
																										(BgL_rz00_7060);
																									if (STRUCTP
																										(BgL_arg1962z00_7065))
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_21340 =
																												(STRUCT_KEY
																												(BgL_arg1962z00_7065) ==
																												BGl_symbol5983z00zz__evaluate_compz00);
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_21340 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									BgL_testz00_21340 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_21340)
																								{
																									obj_t BgL_fz00_21348;

																									BgL_fz00_21348 =
																										BgL_rz00_7060;
																									BgL_fz00_7059 =
																										BgL_fz00_21348;
																									goto BgL_recz00_7058;
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									VECTOR_SET(BgL_nsz00_1335,
																										(int) (((long) 0)),
																										BgL_savedzd2bpzd2_7052);
																									BgL_tmp1165z00_1340 =
																										BgL_rz00_7060;
																			}}}}}
																			BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																				(BgL_exitd1163z00_1338);
																			BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1333,
																				BgL_sz00_1312);
																			return BgL_tmp1165z00_1340;
																		}
																	}
																}
															}
													}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 769 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1315,
													(int) (BgL_nbargsz00_18172)))
												{	/* Eval/evaluate_comp.scm 769 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1312, BgL_fz00_1315, BgL_argsz00_18173,
														BgL_bpz00_1314, BgL_siza7eza7_18174);
												}
											else
												{	/* Eval/evaluate_comp.scm 769 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1153z00_18170))->
															BgL_locz00), BgL_symbzd2funzd2_18171,
														(int) (BgL_nbargsz00_18172),
														PROCEDURE_ARITY(BgL_fz00_1315));
		}}}}}}}}}
	}



/* &<anonymous:2070> */
	obj_t BGl_z62zc3anonymousza32070ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18176)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 769 */
			{	/* Eval/evaluate_comp.scm 769 */
				obj_t BgL_z12denvz12_18177;
				obj_t BgL_sz00_18178;

				BgL_z12denvz12_18177 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18176, (int) (((long) 0))));
				BgL_sz00_18178 = PROCEDURE_REF(BgL_envz00_18176, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18177, BgL_sz00_18178);
				}
			}
		}
	}



/* &<anonymous:2077> */
	obj_t BGl_z62zc3anonymousza32077ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18179, obj_t BgL_sz00_18185)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 777 */
			{	/* Eval/evaluate_comp.scm 777 */
				obj_t BgL_fz00_18180;
				BgL_ev_appz00_bglt BgL_i1153z00_18181;
				obj_t BgL_symbzd2funzd2_18182;
				long BgL_nbargsz00_18183;
				obj_t BgL_argsz00_18184;

				BgL_fz00_18180 = PROCEDURE_REF(BgL_envz00_18179, (int) (((long) 0)));
				BgL_i1153z00_18181 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_18179, (int) (((long) 1))));
				BgL_symbzd2funzd2_18182 =
					PROCEDURE_REF(BgL_envz00_18179, (int) (((long) 2)));
				BgL_nbargsz00_18183 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18179, (int) (((long) 3))));
				BgL_argsz00_18184 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18179, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1350;

					BgL_sz00_1350 = BgL_sz00_18185;
					{	/* Eval/evaluate_comp.scm 777 */
						obj_t BgL_bpz00_1352;

						BgL_bpz00_1352 = VECTOR_REF(BgL_sz00_1350, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 777 */
							obj_t BgL_fz00_1353;

							BgL_fz00_1353 =
								PROCEDURE_ENTRY(BgL_fz00_18180) (BgL_fz00_18180, BgL_sz00_1350,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1353))
								{	/* Eval/evaluate_comp.scm 777 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 777 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1153z00_18181))->
											BgL_locz00), BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_1353);
								}
							{	/* Eval/evaluate_comp.scm 777 */
								obj_t BgL_ufz00_1356;

								BgL_ufz00_1356 = PROCEDURE_ATTR(BgL_fz00_1353);
								{	/* Eval/evaluate_comp.scm 777 */
									bool_t BgL_testz00_21391;

									if (STRUCTP(BgL_ufz00_1356))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21391 =
												(STRUCT_KEY(BgL_ufz00_1356) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21391 = ((bool_t) 0);
										}
									if (BgL_testz00_21391)
										{	/* Eval/evaluate_comp.scm 777 */
											obj_t BgL_arityz00_1358;
											obj_t BgL_runz00_1359;
											obj_t BgL_sfz00_1360;

											BgL_arityz00_1358 =
												STRUCT_REF(BgL_ufz00_1356, (int) (((long) 0)));
											BgL_runz00_1359 =
												STRUCT_REF(BgL_ufz00_1356, (int) (((long) 1)));
											BgL_sfz00_1360 =
												STRUCT_REF(BgL_ufz00_1356, (int) (((long) 2)));
											if (
												((long) CINT(BgL_arityz00_1358) == BgL_nbargsz00_18183))
												{
													obj_t BgL_lz00_7108;
													obj_t BgL_spz00_7109;

													{	/* Eval/evaluate_comp.scm 691 */
														bool_t BgL_auxz00_21405;

														BgL_lz00_7108 = BgL_argsz00_18184;
														BgL_spz00_7109 = BgL_bpz00_1352;
													BgL_recz00_7107:
														if (NULLP(BgL_lz00_7108))
															{	/* Eval/evaluate_comp.scm 692 */
																BgL_auxz00_21405 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 692 */
																{	/* Eval/evaluate_comp.scm 693 */
																	obj_t BgL_arg1996z00_7116;

																	{	/* Eval/evaluate_comp.scm 693 */
																		obj_t BgL_fun1997z00_7117;

																		BgL_fun1997z00_7117 = CAR(BgL_lz00_7108);
																		BgL_arg1996z00_7116 =
																			PROCEDURE_ENTRY(BgL_fun1997z00_7117)
																			(BgL_fun1997z00_7117, BgL_sz00_1350,
																			BEOA);
																	}
																	VECTOR_SET(BgL_sz00_1350,
																		CINT(BgL_spz00_7109), BgL_arg1996z00_7116);
																}
																{	/* Eval/evaluate_comp.scm 694 */
																	obj_t BgL_arg1998z00_7118;
																	long BgL_arg1999z00_7119;

																	BgL_arg1998z00_7118 = CDR(BgL_lz00_7108);
																	BgL_arg1999z00_7119 =
																		((long) CINT(BgL_spz00_7109) + ((long) 1));
																	{
																		obj_t BgL_spz00_21419;
																		obj_t BgL_lz00_21418;

																		BgL_lz00_21418 = BgL_arg1998z00_7118;
																		BgL_spz00_21419 = BINT(BgL_arg1999z00_7119);
																		BgL_spz00_7109 = BgL_spz00_21419;
																		BgL_lz00_7108 = BgL_lz00_21418;
																		goto BgL_recz00_7107;
																	}
																}
															}
														BBOOL(BgL_auxz00_21405);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 777 */
													bool_t BgL_testz00_21422;

													if (((long) CINT(BgL_arityz00_1358) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 777 */
															BgL_testz00_21422 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 777 */
															BgL_testz00_21422 =
																(
																(long) CINT(BgL_arityz00_1358) <
																(((long) -1) - BgL_nbargsz00_18183));
														}
													if (BgL_testz00_21422)
														{	/* Eval/evaluate_comp.scm 777 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		CREF(BgL_i1153z00_18181))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_1356, (int) (((long) 3))),
																(int) (BgL_nbargsz00_18183),
																CINT(BgL_arityz00_1358));
														}
													else
														{	/* Eval/evaluate_comp.scm 777 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_1358, BgL_sz00_1350,
																BgL_argsz00_18184, BgL_bpz00_1352);
														}
												}
											{	/* Eval/evaluate_comp.scm 777 */
												obj_t BgL_z12denvz12_1368;

												BgL_z12denvz12_1368 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 777 */
													obj_t BgL_auxz00_21437;

													BgL_auxz00_21437 =
														(((BgL_ev_appz00_bglt) CREF(BgL_i1153z00_18181))->
														BgL_locz00);
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1368,
														BgL_auxz00_21437);
												}
												{	/* Eval/evaluate_comp.scm 777 */
													bool_t BgL_testz00_21440;

													{	/* Eval/evaluate_comp.scm 667 */
														int BgL_arg1970z00_7147;

														BgL_arg1970z00_7147 = VECTOR_LENGTH(BgL_sz00_1350);
														BgL_testz00_21440 =
															(
															((long) CINT(BgL_bpz00_1352) +
																(long) CINT(BgL_sfz00_1360)) <
															(long) (BgL_arg1970z00_7147));
													}
													if (BgL_testz00_21440)
														{	/* Eval/evaluate_comp.scm 777 */
															return BgL_runz00_1359;
														}
													else
														{	/* Eval/evaluate_comp.scm 777 */
															obj_t BgL_nsz00_1371;

															BgL_nsz00_1371 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 777 */
																long BgL_arg2089z00_1373;

																BgL_arg2089z00_1373 =
																	(
																	(long) CINT(BgL_bpz00_1352) +
																	BgL_nbargsz00_18183);
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1371, BINT(((long) 2)),
																	BgL_sz00_1350, BgL_bpz00_1352,
																	BINT(BgL_arg2089z00_1373));
															}
															VECTOR_SET(BgL_nsz00_1371,
																(int) (((long) 1)), BgL_sz00_1350);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1368,
																BgL_nsz00_1371);
															{	/* Eval/evaluate_comp.scm 777 */
																obj_t BgL_exitd1166z00_1374;

																BgL_exitd1166z00_1374 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 777 */
																	obj_t BgL_zc3anonymousza32090ze3z83_18149;

																	BgL_zc3anonymousza32090ze3z83_18149 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32090ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32090ze3z83_18149,
																		(int) (((long) 0)), BgL_z12denvz12_1368);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32090ze3z83_18149,
																		(int) (((long) 1)), BgL_sz00_1350);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1166z00_1374,
																		BgL_zc3anonymousza32090ze3z83_18149);
																	{	/* Eval/evaluate_comp.scm 777 */
																		obj_t BgL_tmp1168z00_1376;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_7165;

																			BgL_savedzd2bpzd2_7165 =
																				VECTOR_REF(BgL_nsz00_1371,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_1371,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_7172;

																				BgL_fz00_7172 = BgL_runz00_1359;
																			BgL_recz00_7171:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_7173;

																					BgL_rz00_7173 =
																						PROCEDURE_ENTRY(BgL_fz00_7172)
																						(BgL_fz00_7172, BgL_nsz00_1371,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_21474;

																						if (PROCEDUREP(BgL_rz00_7173))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1962z00_7178;

																								BgL_arg1962z00_7178 =
																									PROCEDURE_ATTR(BgL_rz00_7173);
																								if (STRUCTP
																									(BgL_arg1962z00_7178))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_21474 =
																											(STRUCT_KEY
																											(BgL_arg1962z00_7178) ==
																											BGl_symbol5983z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_21474 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_21474 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_21474)
																							{
																								obj_t BgL_fz00_21482;

																								BgL_fz00_21482 = BgL_rz00_7173;
																								BgL_fz00_7172 = BgL_fz00_21482;
																								goto BgL_recz00_7171;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_1371,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_7165);
																								BgL_tmp1168z00_1376 =
																									BgL_rz00_7173;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1166z00_1374);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1368,
																			BgL_sz00_1350);
																		return BgL_tmp1168z00_1376;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 777 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1353,
													(int) (BgL_nbargsz00_18183)))
												{	/* Eval/evaluate_comp.scm 777 */
													{	/* Eval/evaluate_comp.scm 777 */
														obj_t BgL_auxz00_21492;
														obj_t BgL_auxz00_21490;

														BgL_auxz00_21492 =
															(((BgL_ev_appz00_bglt) CREF(BgL_i1153z00_18181))->
															BgL_locz00);
														BgL_auxz00_21490 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_21490,
															BgL_auxz00_21492);
													}
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1350, BgL_fz00_1353, BgL_argsz00_18184,
														BgL_bpz00_1352, BgL_nbargsz00_18183);
												}
											else
												{	/* Eval/evaluate_comp.scm 777 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1153z00_18181))->
															BgL_locz00), BgL_symbzd2funzd2_18182,
														(int) (BgL_nbargsz00_18183),
														PROCEDURE_ARITY(BgL_fz00_1353));
		}}}}}}}}}
	}



/* &<anonymous:2090> */
	obj_t BGl_z62zc3anonymousza32090ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18186)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 777 */
			{	/* Eval/evaluate_comp.scm 777 */
				obj_t BgL_z12denvz12_18187;
				obj_t BgL_sz00_18188;

				BgL_z12denvz12_18187 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18186, (int) (((long) 0))));
				BgL_sz00_18188 = PROCEDURE_REF(BgL_envz00_18186, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18187, BgL_sz00_18188);
				}
			}
		}
	}



/* &<anonymous:2098> */
	obj_t BGl_z62zc3anonymousza32098ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18189, obj_t BgL_sz00_18195)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 777 */
			{	/* Eval/evaluate_comp.scm 777 */
				obj_t BgL_fz00_18190;
				BgL_ev_appz00_bglt BgL_i1153z00_18191;
				obj_t BgL_symbzd2funzd2_18192;
				long BgL_nbargsz00_18193;
				obj_t BgL_argsz00_18194;

				BgL_fz00_18190 = PROCEDURE_REF(BgL_envz00_18189, (int) (((long) 0)));
				BgL_i1153z00_18191 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_18189, (int) (((long) 1))));
				BgL_symbzd2funzd2_18192 =
					PROCEDURE_REF(BgL_envz00_18189, (int) (((long) 2)));
				BgL_nbargsz00_18193 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18189, (int) (((long) 3))));
				BgL_argsz00_18194 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18189, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1386;

					BgL_sz00_1386 = BgL_sz00_18195;
					{	/* Eval/evaluate_comp.scm 777 */
						obj_t BgL_bpz00_1388;

						BgL_bpz00_1388 = VECTOR_REF(BgL_sz00_1386, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 777 */
							obj_t BgL_fz00_1389;

							BgL_fz00_1389 =
								PROCEDURE_ENTRY(BgL_fz00_18190) (BgL_fz00_18190, BgL_sz00_1386,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1389))
								{	/* Eval/evaluate_comp.scm 777 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 777 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1153z00_18191))->
											BgL_locz00), BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_1389);
								}
							{	/* Eval/evaluate_comp.scm 777 */
								obj_t BgL_ufz00_1392;

								BgL_ufz00_1392 = PROCEDURE_ATTR(BgL_fz00_1389);
								{	/* Eval/evaluate_comp.scm 777 */
									bool_t BgL_testz00_21530;

									if (STRUCTP(BgL_ufz00_1392))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21530 =
												(STRUCT_KEY(BgL_ufz00_1392) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21530 = ((bool_t) 0);
										}
									if (BgL_testz00_21530)
										{	/* Eval/evaluate_comp.scm 777 */
											obj_t BgL_arityz00_1394;
											obj_t BgL_runz00_1395;
											obj_t BgL_sfz00_1396;

											BgL_arityz00_1394 =
												STRUCT_REF(BgL_ufz00_1392, (int) (((long) 0)));
											BgL_runz00_1395 =
												STRUCT_REF(BgL_ufz00_1392, (int) (((long) 1)));
											BgL_sfz00_1396 =
												STRUCT_REF(BgL_ufz00_1392, (int) (((long) 2)));
											if (
												((long) CINT(BgL_arityz00_1394) == BgL_nbargsz00_18193))
												{
													obj_t BgL_lz00_7222;
													obj_t BgL_spz00_7223;

													{	/* Eval/evaluate_comp.scm 691 */
														bool_t BgL_auxz00_21544;

														BgL_lz00_7222 = BgL_argsz00_18194;
														BgL_spz00_7223 = BgL_bpz00_1388;
													BgL_recz00_7221:
														if (NULLP(BgL_lz00_7222))
															{	/* Eval/evaluate_comp.scm 692 */
																BgL_auxz00_21544 = ((bool_t) 0);
															}
														else
															{	/* Eval/evaluate_comp.scm 692 */
																{	/* Eval/evaluate_comp.scm 693 */
																	obj_t BgL_arg1996z00_7230;

																	{	/* Eval/evaluate_comp.scm 693 */
																		obj_t BgL_fun1997z00_7231;

																		BgL_fun1997z00_7231 = CAR(BgL_lz00_7222);
																		BgL_arg1996z00_7230 =
																			PROCEDURE_ENTRY(BgL_fun1997z00_7231)
																			(BgL_fun1997z00_7231, BgL_sz00_1386,
																			BEOA);
																	}
																	VECTOR_SET(BgL_sz00_1386,
																		CINT(BgL_spz00_7223), BgL_arg1996z00_7230);
																}
																{	/* Eval/evaluate_comp.scm 694 */
																	obj_t BgL_arg1998z00_7232;
																	long BgL_arg1999z00_7233;

																	BgL_arg1998z00_7232 = CDR(BgL_lz00_7222);
																	BgL_arg1999z00_7233 =
																		((long) CINT(BgL_spz00_7223) + ((long) 1));
																	{
																		obj_t BgL_spz00_21558;
																		obj_t BgL_lz00_21557;

																		BgL_lz00_21557 = BgL_arg1998z00_7232;
																		BgL_spz00_21558 = BINT(BgL_arg1999z00_7233);
																		BgL_spz00_7223 = BgL_spz00_21558;
																		BgL_lz00_7222 = BgL_lz00_21557;
																		goto BgL_recz00_7221;
																	}
																}
															}
														BBOOL(BgL_auxz00_21544);
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 777 */
													bool_t BgL_testz00_21561;

													if (((long) CINT(BgL_arityz00_1394) >= ((long) 0)))
														{	/* Eval/evaluate_comp.scm 777 */
															BgL_testz00_21561 = ((bool_t) 1);
														}
													else
														{	/* Eval/evaluate_comp.scm 777 */
															BgL_testz00_21561 =
																(
																(long) CINT(BgL_arityz00_1394) <
																(((long) -1) - BgL_nbargsz00_18193));
														}
													if (BgL_testz00_21561)
														{	/* Eval/evaluate_comp.scm 777 */
															BGl_evarityzd2errorzd2zz__everrorz00(
																(((BgL_ev_appz00_bglt)
																		CREF(BgL_i1153z00_18191))->BgL_locz00),
																STRUCT_REF(BgL_ufz00_1392, (int) (((long) 3))),
																(int) (BgL_nbargsz00_18193),
																CINT(BgL_arityz00_1394));
														}
													else
														{	/* Eval/evaluate_comp.scm 777 */
															BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																(BgL_arityz00_1394, BgL_sz00_1386,
																BgL_argsz00_18194, BgL_bpz00_1388);
														}
												}
											{	/* Eval/evaluate_comp.scm 777 */
												obj_t BgL_z12denvz12_1404;

												BgL_z12denvz12_1404 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 777 */
													bool_t BgL_testz00_21576;

													{	/* Eval/evaluate_comp.scm 667 */
														int BgL_arg1970z00_7261;

														BgL_arg1970z00_7261 = VECTOR_LENGTH(BgL_sz00_1386);
														BgL_testz00_21576 =
															(
															((long) CINT(BgL_bpz00_1388) +
																(long) CINT(BgL_sfz00_1396)) <
															(long) (BgL_arg1970z00_7261));
													}
													if (BgL_testz00_21576)
														{	/* Eval/evaluate_comp.scm 777 */
															return BgL_runz00_1395;
														}
													else
														{	/* Eval/evaluate_comp.scm 777 */
															obj_t BgL_nsz00_1406;

															BgL_nsz00_1406 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 777 */
																long BgL_arg2110z00_1408;

																BgL_arg2110z00_1408 =
																	(
																	(long) CINT(BgL_bpz00_1388) +
																	BgL_nbargsz00_18193);
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1406, BINT(((long) 2)),
																	BgL_sz00_1386, BgL_bpz00_1388,
																	BINT(BgL_arg2110z00_1408));
															}
															VECTOR_SET(BgL_nsz00_1406,
																(int) (((long) 1)), BgL_sz00_1386);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1404,
																BgL_nsz00_1406);
															{	/* Eval/evaluate_comp.scm 777 */
																obj_t BgL_exitd1169z00_1409;

																BgL_exitd1169z00_1409 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 777 */
																	obj_t BgL_zc3anonymousza32111ze3z83_18151;

																	BgL_zc3anonymousza32111ze3z83_18151 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32111ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32111ze3z83_18151,
																		(int) (((long) 0)), BgL_z12denvz12_1404);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32111ze3z83_18151,
																		(int) (((long) 1)), BgL_sz00_1386);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1169z00_1409,
																		BgL_zc3anonymousza32111ze3z83_18151);
																	{	/* Eval/evaluate_comp.scm 777 */
																		obj_t BgL_tmp1171z00_1411;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_7279;

																			BgL_savedzd2bpzd2_7279 =
																				VECTOR_REF(BgL_nsz00_1406,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_1406,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_7286;

																				BgL_fz00_7286 = BgL_runz00_1395;
																			BgL_recz00_7285:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_7287;

																					BgL_rz00_7287 =
																						PROCEDURE_ENTRY(BgL_fz00_7286)
																						(BgL_fz00_7286, BgL_nsz00_1406,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_21610;

																						if (PROCEDUREP(BgL_rz00_7287))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1962z00_7292;

																								BgL_arg1962z00_7292 =
																									PROCEDURE_ATTR(BgL_rz00_7287);
																								if (STRUCTP
																									(BgL_arg1962z00_7292))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_21610 =
																											(STRUCT_KEY
																											(BgL_arg1962z00_7292) ==
																											BGl_symbol5983z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_21610 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_21610 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_21610)
																							{
																								obj_t BgL_fz00_21618;

																								BgL_fz00_21618 = BgL_rz00_7287;
																								BgL_fz00_7286 = BgL_fz00_21618;
																								goto BgL_recz00_7285;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_1406,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_7279);
																								BgL_tmp1171z00_1411 =
																									BgL_rz00_7287;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1169z00_1409);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1404,
																			BgL_sz00_1386);
																		return BgL_tmp1171z00_1411;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 777 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1389,
													(int) (BgL_nbargsz00_18193)))
												{	/* Eval/evaluate_comp.scm 777 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1386, BgL_fz00_1389, BgL_argsz00_18194,
														BgL_bpz00_1388, BgL_nbargsz00_18193);
												}
											else
												{	/* Eval/evaluate_comp.scm 777 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1153z00_18191))->
															BgL_locz00), BgL_symbzd2funzd2_18192,
														(int) (BgL_nbargsz00_18193),
														PROCEDURE_ARITY(BgL_fz00_1389));
		}}}}}}}}}
	}



/* &<anonymous:2111> */
	obj_t BGl_z62zc3anonymousza32111ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18196)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 777 */
			{	/* Eval/evaluate_comp.scm 777 */
				obj_t BgL_z12denvz12_18197;
				obj_t BgL_sz00_18198;

				BgL_z12denvz12_18197 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18196, (int) (((long) 0))));
				BgL_sz00_18198 = PROCEDURE_REF(BgL_envz00_18196, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18197, BgL_sz00_18198);
				}
			}
		}
	}



/* &<anonymous:2124> */
	obj_t BGl_z62zc3anonymousza32124ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18199, obj_t BgL_sz00_18206)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 763 */
			{	/* Eval/evaluate_comp.scm 763 */
				obj_t BgL_fz00_18200;
				BgL_ev_appz00_bglt BgL_i1153z00_18201;
				obj_t BgL_symbzd2funzd2_18202;
				long BgL_nbargsz00_18203;
				obj_t BgL_argsz00_18204;
				long BgL_siza7eza7_18205;

				BgL_fz00_18200 = PROCEDURE_REF(BgL_envz00_18199, (int) (((long) 0)));
				BgL_i1153z00_18201 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_18199, (int) (((long) 1))));
				BgL_symbzd2funzd2_18202 =
					PROCEDURE_REF(BgL_envz00_18199, (int) (((long) 2)));
				BgL_nbargsz00_18203 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18199, (int) (((long) 3))));
				BgL_argsz00_18204 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18199, (int) (((long) 4))));
				BgL_siza7eza7_18205 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18199, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1422;

					BgL_sz00_1422 = BgL_sz00_18206;
					{	/* Eval/evaluate_comp.scm 763 */
						obj_t BgL_bpz00_1424;

						BgL_bpz00_1424 = VECTOR_REF(BgL_sz00_1422, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 763 */
							obj_t BgL_fz00_1425;

							BgL_fz00_1425 =
								PROCEDURE_ENTRY(BgL_fz00_18200) (BgL_fz00_18200, BgL_sz00_1422,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1425))
								{	/* Eval/evaluate_comp.scm 763 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 763 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1153z00_18201))->
											BgL_locz00), BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_1425);
								}
							{	/* Eval/evaluate_comp.scm 763 */
								obj_t BgL_ufz00_1428;

								BgL_ufz00_1428 = PROCEDURE_ATTR(BgL_fz00_1425);
								{	/* Eval/evaluate_comp.scm 763 */
									bool_t BgL_testz00_21664;

									if (STRUCTP(BgL_ufz00_1428))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21664 =
												(STRUCT_KEY(BgL_ufz00_1428) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21664 = ((bool_t) 0);
										}
									if (BgL_testz00_21664)
										{	/* Eval/evaluate_comp.scm 763 */
											obj_t BgL_arityz00_1430;
											obj_t BgL_runz00_1431;
											obj_t BgL_sfz00_1432;

											BgL_arityz00_1430 =
												STRUCT_REF(BgL_ufz00_1428, (int) (((long) 0)));
											BgL_runz00_1431 =
												STRUCT_REF(BgL_ufz00_1428, (int) (((long) 1)));
											BgL_sfz00_1432 =
												STRUCT_REF(BgL_ufz00_1428, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 763 */
												long BgL_spz00_1433;

												BgL_spz00_1433 =
													((long) CINT(BgL_bpz00_1424) + BgL_siza7eza7_18205);
												if (
													((long) CINT(BgL_arityz00_1430) ==
														BgL_nbargsz00_18203))
													{
														obj_t BgL_lz00_7335;
														long BgL_spz00_7336;

														{	/* Eval/evaluate_comp.scm 691 */
															bool_t BgL_auxz00_21680;

															BgL_lz00_7335 = BgL_argsz00_18204;
															BgL_spz00_7336 = BgL_spz00_1433;
														BgL_recz00_7334:
															if (NULLP(BgL_lz00_7335))
																{	/* Eval/evaluate_comp.scm 692 */
																	BgL_auxz00_21680 = ((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 692 */
																	{	/* Eval/evaluate_comp.scm 693 */
																		obj_t BgL_arg1996z00_7343;

																		{	/* Eval/evaluate_comp.scm 693 */
																			obj_t BgL_fun1997z00_7344;

																			BgL_fun1997z00_7344 = CAR(BgL_lz00_7335);
																			BgL_arg1996z00_7343 =
																				PROCEDURE_ENTRY(BgL_fun1997z00_7344)
																				(BgL_fun1997z00_7344, BgL_sz00_1422,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1422,
																			(int) (BgL_spz00_7336),
																			BgL_arg1996z00_7343);
																	}
																	{
																		long BgL_spz00_21692;
																		obj_t BgL_lz00_21690;

																		BgL_lz00_21690 = CDR(BgL_lz00_7335);
																		BgL_spz00_21692 =
																			(BgL_spz00_7336 + ((long) 1));
																		BgL_spz00_7336 = BgL_spz00_21692;
																		BgL_lz00_7335 = BgL_lz00_21690;
																		goto BgL_recz00_7334;
																	}
																}
															BBOOL(BgL_auxz00_21680);
														}
													}
												else
													{	/* Eval/evaluate_comp.scm 763 */
														bool_t BgL_testz00_21695;

														if (((long) CINT(BgL_arityz00_1430) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 763 */
																BgL_testz00_21695 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 763 */
																BgL_testz00_21695 =
																	(
																	(long) CINT(BgL_arityz00_1430) <
																	(((long) -1) - BgL_nbargsz00_18203));
															}
														if (BgL_testz00_21695)
															{	/* Eval/evaluate_comp.scm 763 */
																BGl_evarityzd2errorzd2zz__everrorz00(
																	(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1153z00_18201))->BgL_locz00),
																	STRUCT_REF(BgL_ufz00_1428,
																		(int) (((long) 3))),
																	(int) (BgL_nbargsz00_18203),
																	CINT(BgL_arityz00_1430));
															}
														else
															{	/* Eval/evaluate_comp.scm 763 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1430, BgL_sz00_1422,
																	BgL_argsz00_18204, BINT(BgL_spz00_1433));
															}
													}
												{	/* Eval/evaluate_comp.scm 763 */
													obj_t BgL_z12denvz12_1440;

													BgL_z12denvz12_1440 = BGL_CURRENT_DYNAMIC_ENV();
													{	/* Eval/evaluate_comp.scm 763 */
														obj_t BgL_auxz00_21711;

														BgL_auxz00_21711 =
															(((BgL_ev_appz00_bglt) CREF(BgL_i1153z00_18201))->
															BgL_locz00);
														BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1440,
															BgL_auxz00_21711);
													}
													{	/* Eval/evaluate_comp.scm 763 */
														bool_t BgL_testz00_21714;

														{	/* Eval/evaluate_comp.scm 667 */
															int BgL_arg1970z00_7374;

															BgL_arg1970z00_7374 =
																VECTOR_LENGTH(BgL_sz00_1422);
															BgL_testz00_21714 =
																(
																(BgL_spz00_1433 +
																	(long) CINT(BgL_sfz00_1432)) <
																(long) (BgL_arg1970z00_7374));
														}
														if (BgL_testz00_21714)
															{	/* Eval/evaluate_comp.scm 763 */
																return
																	BGl_catchzd2trampolinezd2zz__evaluate_compz00
																	(BgL_runz00_1431, BgL_sz00_1422,
																	BINT(BgL_spz00_1433));
															}
														else
															{	/* Eval/evaluate_comp.scm 763 */
																obj_t BgL_nsz00_1443;

																BgL_nsz00_1443 =
																	BGl_makezd2statezd2zz__evaluate_compz00();
																{	/* Eval/evaluate_comp.scm 763 */
																	long BgL_arg2136z00_1445;

																	BgL_arg2136z00_1445 =
																		(BgL_spz00_1433 + BgL_nbargsz00_18203);
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_nsz00_1443, BINT(((long) 2)),
																		BgL_sz00_1422, BINT(BgL_spz00_1433),
																		BINT(BgL_arg2136z00_1445));
																}
																VECTOR_SET(BgL_nsz00_1443,
																	(int) (((long) 1)), BgL_sz00_1422);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1440,
																	BgL_nsz00_1443);
																{	/* Eval/evaluate_comp.scm 763 */
																	obj_t BgL_exitd1154z00_1446;

																	BgL_exitd1154z00_1446 =
																		BGL_EXITD_TOP_AS_OBJ();
																	{	/* Eval/evaluate_comp.scm 763 */
																		obj_t BgL_zc3anonymousza32137ze3z83_18153;

																		BgL_zc3anonymousza32137ze3z83_18153 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32137ze3ze1zz__evaluate_compz00,
																			(int) (((long) 0)), (int) (((long) 2)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32137ze3z83_18153,
																			(int) (((long) 0)), BgL_z12denvz12_1440);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32137ze3z83_18153,
																			(int) (((long) 1)), BgL_sz00_1422);
																		BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																			(BgL_exitd1154z00_1446,
																			BgL_zc3anonymousza32137ze3z83_18153);
																		{	/* Eval/evaluate_comp.scm 763 */
																			obj_t BgL_tmp1156z00_1448;

																			{	/* Eval/evaluate_comp.scm 651 */
																				obj_t BgL_savedzd2bpzd2_7391;

																				BgL_savedzd2bpzd2_7391 =
																					VECTOR_REF(BgL_nsz00_1443,
																					(int) (((long) 0)));
																				VECTOR_SET(BgL_nsz00_1443,
																					(int) (((long) 0)), BINT(((long) 2)));
																				{
																					obj_t BgL_fz00_7398;

																					BgL_fz00_7398 = BgL_runz00_1431;
																				BgL_recz00_7397:
																					{	/* Eval/evaluate_comp.scm 654 */
																						obj_t BgL_rz00_7399;

																						BgL_rz00_7399 =
																							PROCEDURE_ENTRY(BgL_fz00_7398)
																							(BgL_fz00_7398, BgL_nsz00_1443,
																							BEOA);
																						{	/* Eval/evaluate_comp.scm 655 */
																							bool_t BgL_testz00_21749;

																							if (PROCEDUREP(BgL_rz00_7399))
																								{	/* Eval/evaluate_comp.scm 655 */
																									obj_t BgL_arg1962z00_7404;

																									BgL_arg1962z00_7404 =
																										PROCEDURE_ATTR
																										(BgL_rz00_7399);
																									if (STRUCTP
																										(BgL_arg1962z00_7404))
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_21749 =
																												(STRUCT_KEY
																												(BgL_arg1962z00_7404) ==
																												BGl_symbol5983z00zz__evaluate_compz00);
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_21749 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									BgL_testz00_21749 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_21749)
																								{
																									obj_t BgL_fz00_21757;

																									BgL_fz00_21757 =
																										BgL_rz00_7399;
																									BgL_fz00_7398 =
																										BgL_fz00_21757;
																									goto BgL_recz00_7397;
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									VECTOR_SET(BgL_nsz00_1443,
																										(int) (((long) 0)),
																										BgL_savedzd2bpzd2_7391);
																									BgL_tmp1156z00_1448 =
																										BgL_rz00_7399;
																			}}}}}
																			BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																				(BgL_exitd1154z00_1446);
																			BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1440,
																				BgL_sz00_1422);
																			return BgL_tmp1156z00_1448;
																		}
																	}
																}
															}
													}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 763 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1425,
													(int) (BgL_nbargsz00_18203)))
												{	/* Eval/evaluate_comp.scm 763 */
													{	/* Eval/evaluate_comp.scm 763 */
														obj_t BgL_auxz00_21767;
														obj_t BgL_auxz00_21765;

														BgL_auxz00_21767 =
															(((BgL_ev_appz00_bglt) CREF(BgL_i1153z00_18201))->
															BgL_locz00);
														BgL_auxz00_21765 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_21765,
															BgL_auxz00_21767);
													}
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1422, BgL_fz00_1425, BgL_argsz00_18204,
														BgL_bpz00_1424, BgL_siza7eza7_18205);
												}
											else
												{	/* Eval/evaluate_comp.scm 763 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1153z00_18201))->
															BgL_locz00), BgL_symbzd2funzd2_18202,
														(int) (BgL_nbargsz00_18203),
														PROCEDURE_ARITY(BgL_fz00_1425));
		}}}}}}}}}
	}



/* &<anonymous:2137> */
	obj_t BGl_z62zc3anonymousza32137ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18207)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 763 */
			{	/* Eval/evaluate_comp.scm 763 */
				obj_t BgL_z12denvz12_18208;
				obj_t BgL_sz00_18209;

				BgL_z12denvz12_18208 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18207, (int) (((long) 0))));
				BgL_sz00_18209 = PROCEDURE_REF(BgL_envz00_18207, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18208, BgL_sz00_18209);
				}
			}
		}
	}



/* &<anonymous:2145> */
	obj_t BGl_z62zc3anonymousza32145ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18210, obj_t BgL_sz00_18217)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 763 */
			{	/* Eval/evaluate_comp.scm 763 */
				obj_t BgL_fz00_18211;
				BgL_ev_appz00_bglt BgL_i1153z00_18212;
				obj_t BgL_symbzd2funzd2_18213;
				long BgL_nbargsz00_18214;
				obj_t BgL_argsz00_18215;
				long BgL_siza7eza7_18216;

				BgL_fz00_18211 = PROCEDURE_REF(BgL_envz00_18210, (int) (((long) 0)));
				BgL_i1153z00_18212 =
					((BgL_ev_appz00_bglt)
					PROCEDURE_REF(BgL_envz00_18210, (int) (((long) 1))));
				BgL_symbzd2funzd2_18213 =
					PROCEDURE_REF(BgL_envz00_18210, (int) (((long) 2)));
				BgL_nbargsz00_18214 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18210, (int) (((long) 3))));
				BgL_argsz00_18215 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18210, (int) (((long) 4))));
				BgL_siza7eza7_18216 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18210, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1458;

					BgL_sz00_1458 = BgL_sz00_18217;
					{	/* Eval/evaluate_comp.scm 763 */
						obj_t BgL_bpz00_1460;

						BgL_bpz00_1460 = VECTOR_REF(BgL_sz00_1458, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 763 */
							obj_t BgL_fz00_1461;

							BgL_fz00_1461 =
								PROCEDURE_ENTRY(BgL_fz00_18211) (BgL_fz00_18211, BgL_sz00_1458,
								BEOA);
							if (PROCEDUREP(BgL_fz00_1461))
								{	/* Eval/evaluate_comp.scm 763 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 763 */
									BGl_evtypezd2errorzd2zz__everrorz00(
										(((BgL_ev_appz00_bglt) CREF(BgL_i1153z00_18212))->
											BgL_locz00), BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_1461);
								}
							{	/* Eval/evaluate_comp.scm 763 */
								obj_t BgL_ufz00_1464;

								BgL_ufz00_1464 = PROCEDURE_ATTR(BgL_fz00_1461);
								{	/* Eval/evaluate_comp.scm 763 */
									bool_t BgL_testz00_21808;

									if (STRUCTP(BgL_ufz00_1464))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21808 =
												(STRUCT_KEY(BgL_ufz00_1464) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_21808 = ((bool_t) 0);
										}
									if (BgL_testz00_21808)
										{	/* Eval/evaluate_comp.scm 763 */
											obj_t BgL_arityz00_1466;
											obj_t BgL_runz00_1467;
											obj_t BgL_sfz00_1468;

											BgL_arityz00_1466 =
												STRUCT_REF(BgL_ufz00_1464, (int) (((long) 0)));
											BgL_runz00_1467 =
												STRUCT_REF(BgL_ufz00_1464, (int) (((long) 1)));
											BgL_sfz00_1468 =
												STRUCT_REF(BgL_ufz00_1464, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 763 */
												long BgL_spz00_1469;

												BgL_spz00_1469 =
													((long) CINT(BgL_bpz00_1460) + BgL_siza7eza7_18216);
												if (
													((long) CINT(BgL_arityz00_1466) ==
														BgL_nbargsz00_18214))
													{
														obj_t BgL_lz00_7448;
														long BgL_spz00_7449;

														{	/* Eval/evaluate_comp.scm 691 */
															bool_t BgL_auxz00_21824;

															BgL_lz00_7448 = BgL_argsz00_18215;
															BgL_spz00_7449 = BgL_spz00_1469;
														BgL_recz00_7447:
															if (NULLP(BgL_lz00_7448))
																{	/* Eval/evaluate_comp.scm 692 */
																	BgL_auxz00_21824 = ((bool_t) 0);
																}
															else
																{	/* Eval/evaluate_comp.scm 692 */
																	{	/* Eval/evaluate_comp.scm 693 */
																		obj_t BgL_arg1996z00_7456;

																		{	/* Eval/evaluate_comp.scm 693 */
																			obj_t BgL_fun1997z00_7457;

																			BgL_fun1997z00_7457 = CAR(BgL_lz00_7448);
																			BgL_arg1996z00_7456 =
																				PROCEDURE_ENTRY(BgL_fun1997z00_7457)
																				(BgL_fun1997z00_7457, BgL_sz00_1458,
																				BEOA);
																		}
																		VECTOR_SET(BgL_sz00_1458,
																			(int) (BgL_spz00_7449),
																			BgL_arg1996z00_7456);
																	}
																	{
																		long BgL_spz00_21836;
																		obj_t BgL_lz00_21834;

																		BgL_lz00_21834 = CDR(BgL_lz00_7448);
																		BgL_spz00_21836 =
																			(BgL_spz00_7449 + ((long) 1));
																		BgL_spz00_7449 = BgL_spz00_21836;
																		BgL_lz00_7448 = BgL_lz00_21834;
																		goto BgL_recz00_7447;
																	}
																}
															BBOOL(BgL_auxz00_21824);
														}
													}
												else
													{	/* Eval/evaluate_comp.scm 763 */
														bool_t BgL_testz00_21839;

														if (((long) CINT(BgL_arityz00_1466) >= ((long) 0)))
															{	/* Eval/evaluate_comp.scm 763 */
																BgL_testz00_21839 = ((bool_t) 1);
															}
														else
															{	/* Eval/evaluate_comp.scm 763 */
																BgL_testz00_21839 =
																	(
																	(long) CINT(BgL_arityz00_1466) <
																	(((long) -1) - BgL_nbargsz00_18214));
															}
														if (BgL_testz00_21839)
															{	/* Eval/evaluate_comp.scm 763 */
																BGl_evarityzd2errorzd2zz__everrorz00(
																	(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1153z00_18212))->BgL_locz00),
																	STRUCT_REF(BgL_ufz00_1464,
																		(int) (((long) 3))),
																	(int) (BgL_nbargsz00_18214),
																	CINT(BgL_arityz00_1466));
															}
														else
															{	/* Eval/evaluate_comp.scm 763 */
																BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00
																	(BgL_arityz00_1466, BgL_sz00_1458,
																	BgL_argsz00_18215, BINT(BgL_spz00_1469));
															}
													}
												{	/* Eval/evaluate_comp.scm 763 */
													obj_t BgL_z12denvz12_1476;

													BgL_z12denvz12_1476 = BGL_CURRENT_DYNAMIC_ENV();
													{	/* Eval/evaluate_comp.scm 763 */
														bool_t BgL_testz00_21855;

														{	/* Eval/evaluate_comp.scm 667 */
															int BgL_arg1970z00_7487;

															BgL_arg1970z00_7487 =
																VECTOR_LENGTH(BgL_sz00_1458);
															BgL_testz00_21855 =
																(
																(BgL_spz00_1469 +
																	(long) CINT(BgL_sfz00_1468)) <
																(long) (BgL_arg1970z00_7487));
														}
														if (BgL_testz00_21855)
															{	/* Eval/evaluate_comp.scm 763 */
																return
																	BGl_catchzd2trampolinezd2zz__evaluate_compz00
																	(BgL_runz00_1467, BgL_sz00_1458,
																	BINT(BgL_spz00_1469));
															}
														else
															{	/* Eval/evaluate_comp.scm 763 */
																obj_t BgL_nsz00_1478;

																BgL_nsz00_1478 =
																	BGl_makezd2statezd2zz__evaluate_compz00();
																{	/* Eval/evaluate_comp.scm 763 */
																	long BgL_arg2156z00_1480;

																	BgL_arg2156z00_1480 =
																		(BgL_spz00_1469 + BgL_nbargsz00_18214);
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_nsz00_1478, BINT(((long) 2)),
																		BgL_sz00_1458, BINT(BgL_spz00_1469),
																		BINT(BgL_arg2156z00_1480));
																}
																VECTOR_SET(BgL_nsz00_1478,
																	(int) (((long) 1)), BgL_sz00_1458);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1476,
																	BgL_nsz00_1478);
																{	/* Eval/evaluate_comp.scm 763 */
																	obj_t BgL_exitd1157z00_1481;

																	BgL_exitd1157z00_1481 =
																		BGL_EXITD_TOP_AS_OBJ();
																	{	/* Eval/evaluate_comp.scm 763 */
																		obj_t BgL_zc3anonymousza32157ze3z83_18155;

																		BgL_zc3anonymousza32157ze3z83_18155 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32157ze3ze1zz__evaluate_compz00,
																			(int) (((long) 0)), (int) (((long) 2)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32157ze3z83_18155,
																			(int) (((long) 0)), BgL_z12denvz12_1476);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32157ze3z83_18155,
																			(int) (((long) 1)), BgL_sz00_1458);
																		BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																			(BgL_exitd1157z00_1481,
																			BgL_zc3anonymousza32157ze3z83_18155);
																		{	/* Eval/evaluate_comp.scm 763 */
																			obj_t BgL_tmp1159z00_1483;

																			{	/* Eval/evaluate_comp.scm 651 */
																				obj_t BgL_savedzd2bpzd2_7504;

																				BgL_savedzd2bpzd2_7504 =
																					VECTOR_REF(BgL_nsz00_1478,
																					(int) (((long) 0)));
																				VECTOR_SET(BgL_nsz00_1478,
																					(int) (((long) 0)), BINT(((long) 2)));
																				{
																					obj_t BgL_fz00_7511;

																					BgL_fz00_7511 = BgL_runz00_1467;
																				BgL_recz00_7510:
																					{	/* Eval/evaluate_comp.scm 654 */
																						obj_t BgL_rz00_7512;

																						BgL_rz00_7512 =
																							PROCEDURE_ENTRY(BgL_fz00_7511)
																							(BgL_fz00_7511, BgL_nsz00_1478,
																							BEOA);
																						{	/* Eval/evaluate_comp.scm 655 */
																							bool_t BgL_testz00_21890;

																							if (PROCEDUREP(BgL_rz00_7512))
																								{	/* Eval/evaluate_comp.scm 655 */
																									obj_t BgL_arg1962z00_7517;

																									BgL_arg1962z00_7517 =
																										PROCEDURE_ATTR
																										(BgL_rz00_7512);
																									if (STRUCTP
																										(BgL_arg1962z00_7517))
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_21890 =
																												(STRUCT_KEY
																												(BgL_arg1962z00_7517) ==
																												BGl_symbol5983z00zz__evaluate_compz00);
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_21890 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									BgL_testz00_21890 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_21890)
																								{
																									obj_t BgL_fz00_21898;

																									BgL_fz00_21898 =
																										BgL_rz00_7512;
																									BgL_fz00_7511 =
																										BgL_fz00_21898;
																									goto BgL_recz00_7510;
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									VECTOR_SET(BgL_nsz00_1478,
																										(int) (((long) 0)),
																										BgL_savedzd2bpzd2_7504);
																									BgL_tmp1159z00_1483 =
																										BgL_rz00_7512;
																			}}}}}
																			BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																				(BgL_exitd1157z00_1481);
																			BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1476,
																				BgL_sz00_1458);
																			return BgL_tmp1159z00_1483;
																		}
																	}
																}
															}
													}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 763 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1461,
													(int) (BgL_nbargsz00_18214)))
												{	/* Eval/evaluate_comp.scm 763 */
													return
														BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00
														(BgL_sz00_1458, BgL_fz00_1461, BgL_argsz00_18215,
														BgL_bpz00_1460, BgL_siza7eza7_18216);
												}
											else
												{	/* Eval/evaluate_comp.scm 763 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_i1153z00_18212))->
															BgL_locz00), BgL_symbzd2funzd2_18213,
														(int) (BgL_nbargsz00_18214),
														PROCEDURE_ARITY(BgL_fz00_1461));
		}}}}}}}}}
	}



/* &<anonymous:2157> */
	obj_t BGl_z62zc3anonymousza32157ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18218)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 763 */
			{	/* Eval/evaluate_comp.scm 763 */
				obj_t BgL_z12denvz12_18219;
				obj_t BgL_sz00_18220;

				BgL_z12denvz12_18219 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18218, (int) (((long) 0))));
				BgL_sz00_18220 = PROCEDURE_REF(BgL_envz00_18218, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18219, BgL_sz00_18220);
				}
			}
		}
	}



/* comp-call0 */
	obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_138,
		BgL_ev_exprz00_bglt BgL_vfunz00_139, obj_t BgL_symbzd2funzd2_140,
		obj_t BgL_funz00_141, obj_t BgL_tailzf3zf3_142, obj_t BgL_stkz00_143,
		long BgL_siza7eza7_144)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_cfunz00_1494;

				BgL_cfunz00_1494 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_139,
					((long) 0), BgL_locz00_138, BgL_symbzd2funzd2_140);
				if (CBOOL(BgL_cfunz00_1494))
					{	/* Eval/evaluate_comp.scm 879 */
						bool_t BgL_testz00_21920;

						{	/* Eval/evaluate_comp.scm 879 */
							int BgL_arg2173z00_1507;

							BgL_arg2173z00_1507 = bgl_debug();
							BgL_testz00_21920 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2173z00_1507),
								BINT(((long) 0)));
						}
						if (BgL_testz00_21920)
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32168ze3z83_18221;

								BgL_zc3anonymousza32168ze3z83_18221 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32168ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza32168ze3z83_18221,
									(int) (((long) 0)), BINT(BgL_siza7eza7_144));
								PROCEDURE_SET(BgL_zc3anonymousza32168ze3z83_18221,
									(int) (((long) 1)), BgL_locz00_138);
								PROCEDURE_SET(BgL_zc3anonymousza32168ze3z83_18221,
									(int) (((long) 2)), BgL_cfunz00_1494);
								return BgL_zc3anonymousza32168ze3z83_18221;
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32172ze3z83_18222;

								BgL_zc3anonymousza32172ze3z83_18222 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32172ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza32172ze3z83_18222,
									(int) (((long) 0)), BINT(BgL_siza7eza7_144));
								PROCEDURE_SET(BgL_zc3anonymousza32172ze3z83_18222,
									(int) (((long) 1)), BgL_cfunz00_1494);
								return BgL_zc3anonymousza32172ze3z83_18222;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 879 */
						if (CBOOL(BgL_tailzf3zf3_142))
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_21945;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2206z00_1576;

									BgL_arg2206z00_1576 = bgl_debug();
									BgL_testz00_21945 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2206z00_1576),
										BINT(((long) 0)));
								}
								if (BgL_testz00_21945)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32175ze3z83_18224;

										BgL_zc3anonymousza32175ze3z83_18224 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32175ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza32175ze3z83_18224,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza32175ze3z83_18224,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza32175ze3z83_18224,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza32175ze3z83_18224,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza32175ze3z83_18224;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32191ze3z83_18226;

										BgL_zc3anonymousza32191ze3z83_18226 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32191ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza32191ze3z83_18226,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza32191ze3z83_18226,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza32191ze3z83_18226,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza32191ze3z83_18226,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza32191ze3z83_18226;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_21974;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2240z00_1645;

									BgL_arg2240z00_1645 = bgl_debug();
									BgL_testz00_21974 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2240z00_1645),
										BINT(((long) 0)));
								}
								if (BgL_testz00_21974)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32208ze3z83_18228;

										BgL_zc3anonymousza32208ze3z83_18228 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32208ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza32208ze3z83_18228,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza32208ze3z83_18228,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza32208ze3z83_18228,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza32208ze3z83_18228,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza32208ze3z83_18228;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32224ze3z83_18230;

										BgL_zc3anonymousza32224ze3z83_18230 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32224ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 4)));
										PROCEDURE_SET(BgL_zc3anonymousza32224ze3z83_18230,
											(int) (((long) 0)), BgL_funz00_141);
										PROCEDURE_SET(BgL_zc3anonymousza32224ze3z83_18230,
											(int) (((long) 1)), BgL_locz00_138);
										PROCEDURE_SET(BgL_zc3anonymousza32224ze3z83_18230,
											(int) (((long) 2)), BgL_symbzd2funzd2_140);
										PROCEDURE_SET(BgL_zc3anonymousza32224ze3z83_18230,
											(int) (((long) 3)), BINT(BgL_siza7eza7_144));
										return BgL_zc3anonymousza32224ze3z83_18230;
									}
							}
					}
			}
		}
	}



/* &<anonymous:2168> */
	obj_t BGl_z62zc3anonymousza32168ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18231, obj_t BgL_sz00_18235)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				long BgL_siza7eza7_18232;
				obj_t BgL_locz00_18233;
				obj_t BgL_cfunz00_18234;

				BgL_siza7eza7_18232 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18231, (int) (((long) 0))));
				BgL_locz00_18233 = PROCEDURE_REF(BgL_envz00_18231, (int) (((long) 1)));
				BgL_cfunz00_18234 = PROCEDURE_REF(BgL_envz00_18231, (int) (((long) 2)));
				{
					obj_t BgL_sz00_1496;

					BgL_sz00_1496 = BgL_sz00_18235;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1498;

						BgL_bpz00_1498 = VECTOR_REF(BgL_sz00_1496, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */

							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_1499;

								BgL_nbpz00_1499 =
									((long) CINT(BgL_bpz00_1498) + BgL_siza7eza7_18232);
								VECTOR_SET(BgL_sz00_1496,
									(int) (((long) 0)), BINT(BgL_nbpz00_1499));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_auxz00_22017;

									BgL_auxz00_22017 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_22017,
										BgL_locz00_18233);
								}
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_1501;

									BgL_rz00_1501 =
										PROCEDURE_ENTRY(BgL_cfunz00_18234) (BgL_cfunz00_18234,
										BEOA);
									VECTOR_SET(BgL_sz00_1496, (int) (((long) 0)), BgL_bpz00_1498);
									return BgL_rz00_1501;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2172> */
	obj_t BGl_z62zc3anonymousza32172ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18236, obj_t BgL_sz00_18239)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				long BgL_siza7eza7_18237;
				obj_t BgL_cfunz00_18238;

				BgL_siza7eza7_18237 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18236, (int) (((long) 0))));
				BgL_cfunz00_18238 = PROCEDURE_REF(BgL_envz00_18236, (int) (((long) 1)));
				{
					obj_t BgL_sz00_1502;

					BgL_sz00_1502 = BgL_sz00_18239;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1504;

						BgL_bpz00_1504 = VECTOR_REF(BgL_sz00_1502, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */

							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_1505;

								BgL_nbpz00_1505 =
									((long) CINT(BgL_bpz00_1504) + BgL_siza7eza7_18237);
								VECTOR_SET(BgL_sz00_1502,
									(int) (((long) 0)), BINT(BgL_nbpz00_1505));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_1506;

									BgL_rz00_1506 =
										PROCEDURE_ENTRY(BgL_cfunz00_18238) (BgL_cfunz00_18238,
										BEOA);
									VECTOR_SET(BgL_sz00_1502, (int) (((long) 0)), BgL_bpz00_1504);
									return BgL_rz00_1506;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2175> */
	obj_t BGl_z62zc3anonymousza32175ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18240, obj_t BgL_sz00_18245)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18241;
				obj_t BgL_locz00_18242;
				obj_t BgL_symbzd2funzd2_18243;
				long BgL_siza7eza7_18244;

				BgL_funz00_18241 = PROCEDURE_REF(BgL_envz00_18240, (int) (((long) 0)));
				BgL_locz00_18242 = PROCEDURE_REF(BgL_envz00_18240, (int) (((long) 1)));
				BgL_symbzd2funzd2_18243 =
					PROCEDURE_REF(BgL_envz00_18240, (int) (((long) 2)));
				BgL_siza7eza7_18244 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18240, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1509;

					BgL_sz00_1509 = BgL_sz00_18245;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1511;

						BgL_bpz00_1511 = VECTOR_REF(BgL_sz00_1509, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1512;

							BgL_fz00_1512 =
								PROCEDURE_ENTRY(BgL_funz00_18241) (BgL_funz00_18241,
								BgL_sz00_1509, BEOA);
							if (PROCEDUREP(BgL_fz00_1512))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18242,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_1512);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1514;

								BgL_ufz00_1514 = PROCEDURE_ATTR(BgL_fz00_1512);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_22061;

									if (STRUCTP(BgL_ufz00_1514))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22061 =
												(STRUCT_KEY(BgL_ufz00_1514) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22061 = ((bool_t) 0);
										}
									if (BgL_testz00_22061)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1516;
											obj_t BgL_runz00_1517;
											obj_t BgL_sfz00_1518;

											BgL_arityz00_1516 =
												STRUCT_REF(BgL_ufz00_1514, (int) (((long) 0)));
											BgL_runz00_1517 =
												STRUCT_REF(BgL_ufz00_1514, (int) (((long) 1)));
											BgL_sfz00_1518 =
												STRUCT_REF(BgL_ufz00_1514, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1516) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 879 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_1516))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_1516))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2180z00_1524;

																		BgL_arg2180z00_1524 =
																			(
																			(long) CINT(BgL_bpz00_1511) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1509,
																			(int) (BgL_arg2180z00_1524), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18242,
																		STRUCT_REF(BgL_ufz00_1514,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_1516));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18242, STRUCT_REF(BgL_ufz00_1514,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_1516));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_1528;

												BgL_z12denvz12_1528 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1528,
													BgL_locz00_18242);
												{	/* Eval/evaluate_comp.scm 879 */
													bool_t BgL_testz00_22095;

													{	/* Eval/evaluate_comp.scm 667 */
														int BgL_arg1970z00_7604;

														BgL_arg1970z00_7604 = VECTOR_LENGTH(BgL_sz00_1509);
														BgL_testz00_22095 =
															(
															((long) CINT(BgL_bpz00_1511) +
																(long) CINT(BgL_sfz00_1518)) <
															(long) (BgL_arg1970z00_7604));
													}
													if (BgL_testz00_22095)
														{	/* Eval/evaluate_comp.scm 879 */
															return BgL_runz00_1517;
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_1530;

															BgL_nsz00_1530 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2186z00_1532;

																BgL_arg2186z00_1532 =
																	((long) CINT(BgL_bpz00_1511) + ((long) 0));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1530, BINT(((long) 2)),
																	BgL_sz00_1509, BgL_bpz00_1511,
																	BINT(BgL_arg2186z00_1532));
															}
															VECTOR_SET(BgL_nsz00_1530,
																(int) (((long) 1)), BgL_sz00_1509);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1528,
																BgL_nsz00_1530);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1189z00_1533;

																BgL_exitd1189z00_1533 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32187ze3z83_18223;

																	BgL_zc3anonymousza32187ze3z83_18223 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32187ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32187ze3z83_18223,
																		(int) (((long) 0)), BgL_z12denvz12_1528);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32187ze3z83_18223,
																		(int) (((long) 1)), BgL_sz00_1509);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1189z00_1533,
																		BgL_zc3anonymousza32187ze3z83_18223);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1191z00_1535;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_7622;

																			BgL_savedzd2bpzd2_7622 =
																				VECTOR_REF(BgL_nsz00_1530,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_1530,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_7629;

																				BgL_fz00_7629 = BgL_runz00_1517;
																			BgL_recz00_7628:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_7630;

																					BgL_rz00_7630 =
																						PROCEDURE_ENTRY(BgL_fz00_7629)
																						(BgL_fz00_7629, BgL_nsz00_1530,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_22129;

																						if (PROCEDUREP(BgL_rz00_7630))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1962z00_7635;

																								BgL_arg1962z00_7635 =
																									PROCEDURE_ATTR(BgL_rz00_7630);
																								if (STRUCTP
																									(BgL_arg1962z00_7635))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_22129 =
																											(STRUCT_KEY
																											(BgL_arg1962z00_7635) ==
																											BGl_symbol5983z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_22129 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_22129 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_22129)
																							{
																								obj_t BgL_fz00_22137;

																								BgL_fz00_22137 = BgL_rz00_7630;
																								BgL_fz00_7629 = BgL_fz00_22137;
																								goto BgL_recz00_7628;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_1530,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_7622);
																								BgL_tmp1191z00_1535 =
																									BgL_rz00_7630;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1189z00_1533);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1528,
																			BgL_sz00_1509);
																		return BgL_tmp1191z00_1535;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1512,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1539;

													BgL_nbpz00_1539 =
														((long) CINT(BgL_bpz00_1511) + BgL_siza7eza7_18244);
													VECTOR_SET(BgL_sz00_1509,
														(int) (((long) 0)), BINT(BgL_nbpz00_1539));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_22150;

														BgL_auxz00_22150 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_22150,
															BgL_locz00_18242);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1541;

														BgL_rz00_1541 =
															PROCEDURE_ENTRY(BgL_fz00_1512) (BgL_fz00_1512,
															BEOA);
														VECTOR_SET(BgL_sz00_1509, (int) (((long) 0)),
															BgL_bpz00_1511);
														return BgL_rz00_1541;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18242, BgL_symbzd2funzd2_18243,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1512));
		}}}}}}}}}
	}



/* &<anonymous:2187> */
	obj_t BGl_z62zc3anonymousza32187ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18246)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18247;
				obj_t BgL_sz00_18248;

				BgL_z12denvz12_18247 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18246, (int) (((long) 0))));
				BgL_sz00_18248 = PROCEDURE_REF(BgL_envz00_18246, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18247, BgL_sz00_18248);
				}
			}
		}
	}



/* &<anonymous:2191> */
	obj_t BGl_z62zc3anonymousza32191ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18249, obj_t BgL_sz00_18254)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18250;
				obj_t BgL_locz00_18251;
				obj_t BgL_symbzd2funzd2_18252;
				long BgL_siza7eza7_18253;

				BgL_funz00_18250 = PROCEDURE_REF(BgL_envz00_18249, (int) (((long) 0)));
				BgL_locz00_18251 = PROCEDURE_REF(BgL_envz00_18249, (int) (((long) 1)));
				BgL_symbzd2funzd2_18252 =
					PROCEDURE_REF(BgL_envz00_18249, (int) (((long) 2)));
				BgL_siza7eza7_18253 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18249, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1543;

					BgL_sz00_1543 = BgL_sz00_18254;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1545;

						BgL_bpz00_1545 = VECTOR_REF(BgL_sz00_1543, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1546;

							BgL_fz00_1546 =
								PROCEDURE_ENTRY(BgL_funz00_18250) (BgL_funz00_18250,
								BgL_sz00_1543, BEOA);
							if (PROCEDUREP(BgL_fz00_1546))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18251,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_1546);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1548;

								BgL_ufz00_1548 = PROCEDURE_ATTR(BgL_fz00_1546);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_22186;

									if (STRUCTP(BgL_ufz00_1548))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22186 =
												(STRUCT_KEY(BgL_ufz00_1548) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22186 = ((bool_t) 0);
										}
									if (BgL_testz00_22186)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1550;
											obj_t BgL_runz00_1551;
											obj_t BgL_sfz00_1552;

											BgL_arityz00_1550 =
												STRUCT_REF(BgL_ufz00_1548, (int) (((long) 0)));
											BgL_runz00_1551 =
												STRUCT_REF(BgL_ufz00_1548, (int) (((long) 1)));
											BgL_sfz00_1552 =
												STRUCT_REF(BgL_ufz00_1548, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1550) == ((long) 0)))
												{	/* Eval/evaluate_comp.scm 879 */
													BUNSPEC;
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_1550))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_1550))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2197z00_1558;

																		BgL_arg2197z00_1558 =
																			(
																			(long) CINT(BgL_bpz00_1545) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1543,
																			(int) (BgL_arg2197z00_1558), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18251,
																		STRUCT_REF(BgL_ufz00_1548,
																			(int) (((long) 3))), (int) (((long) 0)),
																		CINT(BgL_arityz00_1550));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18251, STRUCT_REF(BgL_ufz00_1548,
																	(int) (((long) 3))), (int) (((long) 0)),
																CINT(BgL_arityz00_1550));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_1562;

												BgL_z12denvz12_1562 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 879 */
													bool_t BgL_testz00_22219;

													{	/* Eval/evaluate_comp.scm 667 */
														int BgL_arg1970z00_7709;

														BgL_arg1970z00_7709 = VECTOR_LENGTH(BgL_sz00_1543);
														BgL_testz00_22219 =
															(
															((long) CINT(BgL_bpz00_1545) +
																(long) CINT(BgL_sfz00_1552)) <
															(long) (BgL_arg1970z00_7709));
													}
													if (BgL_testz00_22219)
														{	/* Eval/evaluate_comp.scm 879 */
															return BgL_runz00_1551;
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_1564;

															BgL_nsz00_1564 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2202z00_1566;

																BgL_arg2202z00_1566 =
																	((long) CINT(BgL_bpz00_1545) + ((long) 0));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1564, BINT(((long) 2)),
																	BgL_sz00_1543, BgL_bpz00_1545,
																	BINT(BgL_arg2202z00_1566));
															}
															VECTOR_SET(BgL_nsz00_1564,
																(int) (((long) 1)), BgL_sz00_1543);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1562,
																BgL_nsz00_1564);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1194z00_1567;

																BgL_exitd1194z00_1567 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32203ze3z83_18225;

																	BgL_zc3anonymousza32203ze3z83_18225 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32203ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32203ze3z83_18225,
																		(int) (((long) 0)), BgL_z12denvz12_1562);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32203ze3z83_18225,
																		(int) (((long) 1)), BgL_sz00_1543);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1194z00_1567,
																		BgL_zc3anonymousza32203ze3z83_18225);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1196z00_1569;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_7727;

																			BgL_savedzd2bpzd2_7727 =
																				VECTOR_REF(BgL_nsz00_1564,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_1564,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_7734;

																				BgL_fz00_7734 = BgL_runz00_1551;
																			BgL_recz00_7733:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_7735;

																					BgL_rz00_7735 =
																						PROCEDURE_ENTRY(BgL_fz00_7734)
																						(BgL_fz00_7734, BgL_nsz00_1564,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_22253;

																						if (PROCEDUREP(BgL_rz00_7735))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1962z00_7740;

																								BgL_arg1962z00_7740 =
																									PROCEDURE_ATTR(BgL_rz00_7735);
																								if (STRUCTP
																									(BgL_arg1962z00_7740))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_22253 =
																											(STRUCT_KEY
																											(BgL_arg1962z00_7740) ==
																											BGl_symbol5983z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_22253 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_22253 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_22253)
																							{
																								obj_t BgL_fz00_22261;

																								BgL_fz00_22261 = BgL_rz00_7735;
																								BgL_fz00_7734 = BgL_fz00_22261;
																								goto BgL_recz00_7733;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_1564,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_7727);
																								BgL_tmp1196z00_1569 =
																									BgL_rz00_7735;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1194z00_1567);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1562,
																			BgL_sz00_1543);
																		return BgL_tmp1196z00_1569;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1546,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1573;

													BgL_nbpz00_1573 =
														((long) CINT(BgL_bpz00_1545) + BgL_siza7eza7_18253);
													VECTOR_SET(BgL_sz00_1543,
														(int) (((long) 0)), BINT(BgL_nbpz00_1573));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1574;

														BgL_rz00_1574 =
															PROCEDURE_ENTRY(BgL_fz00_1546) (BgL_fz00_1546,
															BEOA);
														VECTOR_SET(BgL_sz00_1543, (int) (((long) 0)),
															BgL_bpz00_1545);
														return BgL_rz00_1574;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18251, BgL_symbzd2funzd2_18252,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1546));
		}}}}}}}}}
	}



/* &<anonymous:2203> */
	obj_t BGl_z62zc3anonymousza32203ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18255)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18256;
				obj_t BgL_sz00_18257;

				BgL_z12denvz12_18256 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18255, (int) (((long) 0))));
				BgL_sz00_18257 = PROCEDURE_REF(BgL_envz00_18255, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18256, BgL_sz00_18257);
				}
			}
		}
	}



/* &<anonymous:2208> */
	obj_t BGl_z62zc3anonymousza32208ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18258, obj_t BgL_sz00_18263)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18259;
				obj_t BgL_locz00_18260;
				obj_t BgL_symbzd2funzd2_18261;
				long BgL_siza7eza7_18262;

				BgL_funz00_18259 = PROCEDURE_REF(BgL_envz00_18258, (int) (((long) 0)));
				BgL_locz00_18260 = PROCEDURE_REF(BgL_envz00_18258, (int) (((long) 1)));
				BgL_symbzd2funzd2_18261 =
					PROCEDURE_REF(BgL_envz00_18258, (int) (((long) 2)));
				BgL_siza7eza7_18262 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18258, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1578;

					BgL_sz00_1578 = BgL_sz00_18263;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1580;

						BgL_bpz00_1580 = VECTOR_REF(BgL_sz00_1578, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1581;

							BgL_fz00_1581 =
								PROCEDURE_ENTRY(BgL_funz00_18259) (BgL_funz00_18259,
								BgL_sz00_1578, BEOA);
							if (PROCEDUREP(BgL_fz00_1581))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18260,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_1581);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1583;

								BgL_ufz00_1583 = PROCEDURE_ATTR(BgL_fz00_1581);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_22307;

									if (STRUCTP(BgL_ufz00_1583))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22307 =
												(STRUCT_KEY(BgL_ufz00_1583) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22307 = ((bool_t) 0);
										}
									if (BgL_testz00_22307)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1585;
											obj_t BgL_runz00_1586;
											obj_t BgL_sfz00_1587;

											BgL_arityz00_1585 =
												STRUCT_REF(BgL_ufz00_1583, (int) (((long) 0)));
											BgL_runz00_1586 =
												STRUCT_REF(BgL_ufz00_1583, (int) (((long) 1)));
											BgL_sfz00_1587 =
												STRUCT_REF(BgL_ufz00_1583, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_1588;

												BgL_spz00_1588 =
													((long) CINT(BgL_bpz00_1580) + BgL_siza7eza7_18262);
												if (((long) CINT(BgL_arityz00_1585) == ((long) 0)))
													{	/* Eval/evaluate_comp.scm 879 */
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_1585))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_1585))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2214z00_1593;

																			BgL_arg2214z00_1593 =
																				(BgL_spz00_1588 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1578,
																				(int) (BgL_arg2214z00_1593), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18260,
																			STRUCT_REF(BgL_ufz00_1583,
																				(int) (((long) 3))), (int) (((long) 0)),
																			CINT(BgL_arityz00_1585));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18260, STRUCT_REF(BgL_ufz00_1583,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_1585));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_1597;

													BgL_z12denvz12_1597 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1597,
														BgL_locz00_18260);
													{	/* Eval/evaluate_comp.scm 879 */
														bool_t BgL_testz00_22342;

														{	/* Eval/evaluate_comp.scm 667 */
															int BgL_arg1970z00_7813;

															BgL_arg1970z00_7813 =
																VECTOR_LENGTH(BgL_sz00_1578);
															BgL_testz00_22342 =
																(
																(BgL_spz00_1588 +
																	(long) CINT(BgL_sfz00_1587)) <
																(long) (BgL_arg1970z00_7813));
														}
														if (BgL_testz00_22342)
															{	/* Eval/evaluate_comp.scm 879 */
																return
																	BGl_catchzd2trampolinezd2zz__evaluate_compz00
																	(BgL_runz00_1586, BgL_sz00_1578,
																	BINT(BgL_spz00_1588));
															}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_nsz00_1599;

																BgL_nsz00_1599 =
																	BGl_makezd2statezd2zz__evaluate_compz00();
																{	/* Eval/evaluate_comp.scm 879 */
																	long BgL_arg2219z00_1601;

																	BgL_arg2219z00_1601 =
																		(BgL_spz00_1588 + ((long) 0));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_nsz00_1599, BINT(((long) 2)),
																		BgL_sz00_1578, BINT(BgL_spz00_1588),
																		BINT(BgL_arg2219z00_1601));
																}
																VECTOR_SET(BgL_nsz00_1599,
																	(int) (((long) 1)), BgL_sz00_1578);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1597,
																	BgL_nsz00_1599);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_exitd1199z00_1602;

																	BgL_exitd1199z00_1602 =
																		BGL_EXITD_TOP_AS_OBJ();
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_zc3anonymousza32220ze3z83_18227;

																		BgL_zc3anonymousza32220ze3z83_18227 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32220ze3ze1zz__evaluate_compz00,
																			(int) (((long) 0)), (int) (((long) 2)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32220ze3z83_18227,
																			(int) (((long) 0)), BgL_z12denvz12_1597);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32220ze3z83_18227,
																			(int) (((long) 1)), BgL_sz00_1578);
																		BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																			(BgL_exitd1199z00_1602,
																			BgL_zc3anonymousza32220ze3z83_18227);
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_tmp1201z00_1604;

																			{	/* Eval/evaluate_comp.scm 651 */
																				obj_t BgL_savedzd2bpzd2_7830;

																				BgL_savedzd2bpzd2_7830 =
																					VECTOR_REF(BgL_nsz00_1599,
																					(int) (((long) 0)));
																				VECTOR_SET(BgL_nsz00_1599,
																					(int) (((long) 0)), BINT(((long) 2)));
																				{
																					obj_t BgL_fz00_7837;

																					BgL_fz00_7837 = BgL_runz00_1586;
																				BgL_recz00_7836:
																					{	/* Eval/evaluate_comp.scm 654 */
																						obj_t BgL_rz00_7838;

																						BgL_rz00_7838 =
																							PROCEDURE_ENTRY(BgL_fz00_7837)
																							(BgL_fz00_7837, BgL_nsz00_1599,
																							BEOA);
																						{	/* Eval/evaluate_comp.scm 655 */
																							bool_t BgL_testz00_22377;

																							if (PROCEDUREP(BgL_rz00_7838))
																								{	/* Eval/evaluate_comp.scm 655 */
																									obj_t BgL_arg1962z00_7843;

																									BgL_arg1962z00_7843 =
																										PROCEDURE_ATTR
																										(BgL_rz00_7838);
																									if (STRUCTP
																										(BgL_arg1962z00_7843))
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_22377 =
																												(STRUCT_KEY
																												(BgL_arg1962z00_7843) ==
																												BGl_symbol5983z00zz__evaluate_compz00);
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_22377 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									BgL_testz00_22377 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_22377)
																								{
																									obj_t BgL_fz00_22385;

																									BgL_fz00_22385 =
																										BgL_rz00_7838;
																									BgL_fz00_7837 =
																										BgL_fz00_22385;
																									goto BgL_recz00_7836;
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									VECTOR_SET(BgL_nsz00_1599,
																										(int) (((long) 0)),
																										BgL_savedzd2bpzd2_7830);
																									BgL_tmp1201z00_1604 =
																										BgL_rz00_7838;
																			}}}}}
																			BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																				(BgL_exitd1199z00_1602);
																			BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1597,
																				BgL_sz00_1578);
																			return BgL_tmp1201z00_1604;
																		}
																	}
																}
															}
													}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1581,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1608;

													BgL_nbpz00_1608 =
														((long) CINT(BgL_bpz00_1580) + BgL_siza7eza7_18262);
													VECTOR_SET(BgL_sz00_1578,
														(int) (((long) 0)), BINT(BgL_nbpz00_1608));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_22398;

														BgL_auxz00_22398 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_22398,
															BgL_locz00_18260);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1610;

														BgL_rz00_1610 =
															PROCEDURE_ENTRY(BgL_fz00_1581) (BgL_fz00_1581,
															BEOA);
														VECTOR_SET(BgL_sz00_1578, (int) (((long) 0)),
															BgL_bpz00_1580);
														return BgL_rz00_1610;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18260, BgL_symbzd2funzd2_18261,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1581));
		}}}}}}}}}
	}



/* &<anonymous:2220> */
	obj_t BGl_z62zc3anonymousza32220ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18264)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18265;
				obj_t BgL_sz00_18266;

				BgL_z12denvz12_18265 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18264, (int) (((long) 0))));
				BgL_sz00_18266 = PROCEDURE_REF(BgL_envz00_18264, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18265, BgL_sz00_18266);
				}
			}
		}
	}



/* &<anonymous:2224> */
	obj_t BGl_z62zc3anonymousza32224ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18267, obj_t BgL_sz00_18272)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18268;
				obj_t BgL_locz00_18269;
				obj_t BgL_symbzd2funzd2_18270;
				long BgL_siza7eza7_18271;

				BgL_funz00_18268 = PROCEDURE_REF(BgL_envz00_18267, (int) (((long) 0)));
				BgL_locz00_18269 = PROCEDURE_REF(BgL_envz00_18267, (int) (((long) 1)));
				BgL_symbzd2funzd2_18270 =
					PROCEDURE_REF(BgL_envz00_18267, (int) (((long) 2)));
				BgL_siza7eza7_18271 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18267, (int) (((long) 3))));
				{
					obj_t BgL_sz00_1612;

					BgL_sz00_1612 = BgL_sz00_18272;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1614;

						BgL_bpz00_1614 = VECTOR_REF(BgL_sz00_1612, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1615;

							BgL_fz00_1615 =
								PROCEDURE_ENTRY(BgL_funz00_18268) (BgL_funz00_18268,
								BgL_sz00_1612, BEOA);
							if (PROCEDUREP(BgL_fz00_1615))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18269,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_1615);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1617;

								BgL_ufz00_1617 = PROCEDURE_ATTR(BgL_fz00_1615);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_22434;

									if (STRUCTP(BgL_ufz00_1617))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22434 =
												(STRUCT_KEY(BgL_ufz00_1617) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22434 = ((bool_t) 0);
										}
									if (BgL_testz00_22434)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1619;
											obj_t BgL_runz00_1620;
											obj_t BgL_sfz00_1621;

											BgL_arityz00_1619 =
												STRUCT_REF(BgL_ufz00_1617, (int) (((long) 0)));
											BgL_runz00_1620 =
												STRUCT_REF(BgL_ufz00_1617, (int) (((long) 1)));
											BgL_sfz00_1621 =
												STRUCT_REF(BgL_ufz00_1617, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_1622;

												BgL_spz00_1622 =
													((long) CINT(BgL_bpz00_1614) + BgL_siza7eza7_18271);
												if (((long) CINT(BgL_arityz00_1619) == ((long) 0)))
													{	/* Eval/evaluate_comp.scm 879 */
														BUNSPEC;
													}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_1619))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_1619))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2229z00_1627;

																			BgL_arg2229z00_1627 =
																				(BgL_spz00_1622 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1612,
																				(int) (BgL_arg2229z00_1627), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18269,
																			STRUCT_REF(BgL_ufz00_1617,
																				(int) (((long) 3))), (int) (((long) 0)),
																			CINT(BgL_arityz00_1619));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18269, STRUCT_REF(BgL_ufz00_1617,
																		(int) (((long) 3))), (int) (((long) 0)),
																	CINT(BgL_arityz00_1619));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_1631;

													BgL_z12denvz12_1631 = BGL_CURRENT_DYNAMIC_ENV();
													{	/* Eval/evaluate_comp.scm 879 */
														bool_t BgL_testz00_22468;

														{	/* Eval/evaluate_comp.scm 667 */
															int BgL_arg1970z00_7917;

															BgL_arg1970z00_7917 =
																VECTOR_LENGTH(BgL_sz00_1612);
															BgL_testz00_22468 =
																(
																(BgL_spz00_1622 +
																	(long) CINT(BgL_sfz00_1621)) <
																(long) (BgL_arg1970z00_7917));
														}
														if (BgL_testz00_22468)
															{	/* Eval/evaluate_comp.scm 879 */
																return
																	BGl_catchzd2trampolinezd2zz__evaluate_compz00
																	(BgL_runz00_1620, BgL_sz00_1612,
																	BINT(BgL_spz00_1622));
															}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_nsz00_1633;

																BgL_nsz00_1633 =
																	BGl_makezd2statezd2zz__evaluate_compz00();
																{	/* Eval/evaluate_comp.scm 879 */
																	long BgL_arg2235z00_1635;

																	BgL_arg2235z00_1635 =
																		(BgL_spz00_1622 + ((long) 0));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_nsz00_1633, BINT(((long) 2)),
																		BgL_sz00_1612, BINT(BgL_spz00_1622),
																		BINT(BgL_arg2235z00_1635));
																}
																VECTOR_SET(BgL_nsz00_1633,
																	(int) (((long) 1)), BgL_sz00_1612);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1631,
																	BgL_nsz00_1633);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_exitd1204z00_1636;

																	BgL_exitd1204z00_1636 =
																		BGL_EXITD_TOP_AS_OBJ();
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_zc3anonymousza32236ze3z83_18229;

																		BgL_zc3anonymousza32236ze3z83_18229 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32236ze3ze1zz__evaluate_compz00,
																			(int) (((long) 0)), (int) (((long) 2)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32236ze3z83_18229,
																			(int) (((long) 0)), BgL_z12denvz12_1631);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32236ze3z83_18229,
																			(int) (((long) 1)), BgL_sz00_1612);
																		BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																			(BgL_exitd1204z00_1636,
																			BgL_zc3anonymousza32236ze3z83_18229);
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_tmp1206z00_1638;

																			{	/* Eval/evaluate_comp.scm 651 */
																				obj_t BgL_savedzd2bpzd2_7934;

																				BgL_savedzd2bpzd2_7934 =
																					VECTOR_REF(BgL_nsz00_1633,
																					(int) (((long) 0)));
																				VECTOR_SET(BgL_nsz00_1633,
																					(int) (((long) 0)), BINT(((long) 2)));
																				{
																					obj_t BgL_fz00_7941;

																					BgL_fz00_7941 = BgL_runz00_1620;
																				BgL_recz00_7940:
																					{	/* Eval/evaluate_comp.scm 654 */
																						obj_t BgL_rz00_7942;

																						BgL_rz00_7942 =
																							PROCEDURE_ENTRY(BgL_fz00_7941)
																							(BgL_fz00_7941, BgL_nsz00_1633,
																							BEOA);
																						{	/* Eval/evaluate_comp.scm 655 */
																							bool_t BgL_testz00_22503;

																							if (PROCEDUREP(BgL_rz00_7942))
																								{	/* Eval/evaluate_comp.scm 655 */
																									obj_t BgL_arg1962z00_7947;

																									BgL_arg1962z00_7947 =
																										PROCEDURE_ATTR
																										(BgL_rz00_7942);
																									if (STRUCTP
																										(BgL_arg1962z00_7947))
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_22503 =
																												(STRUCT_KEY
																												(BgL_arg1962z00_7947) ==
																												BGl_symbol5983z00zz__evaluate_compz00);
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_22503 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									BgL_testz00_22503 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_22503)
																								{
																									obj_t BgL_fz00_22511;

																									BgL_fz00_22511 =
																										BgL_rz00_7942;
																									BgL_fz00_7941 =
																										BgL_fz00_22511;
																									goto BgL_recz00_7940;
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									VECTOR_SET(BgL_nsz00_1633,
																										(int) (((long) 0)),
																										BgL_savedzd2bpzd2_7934);
																									BgL_tmp1206z00_1638 =
																										BgL_rz00_7942;
																			}}}}}
																			BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																				(BgL_exitd1204z00_1636);
																			BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1631,
																				BgL_sz00_1612);
																			return BgL_tmp1206z00_1638;
																		}
																	}
																}
															}
													}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1615,
													(int) (((long) 0))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1642;

													BgL_nbpz00_1642 =
														((long) CINT(BgL_bpz00_1614) + BgL_siza7eza7_18271);
													VECTOR_SET(BgL_sz00_1612,
														(int) (((long) 0)), BINT(BgL_nbpz00_1642));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1643;

														BgL_rz00_1643 =
															PROCEDURE_ENTRY(BgL_fz00_1615) (BgL_fz00_1615,
															BEOA);
														VECTOR_SET(BgL_sz00_1612, (int) (((long) 0)),
															BgL_bpz00_1614);
														return BgL_rz00_1643;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18269, BgL_symbzd2funzd2_18270,
														(int) (((long) 0)), PROCEDURE_ARITY(BgL_fz00_1615));
		}}}}}}}}}
	}



/* &<anonymous:2236> */
	obj_t BGl_z62zc3anonymousza32236ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18273)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18274;
				obj_t BgL_sz00_18275;

				BgL_z12denvz12_18274 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18273, (int) (((long) 0))));
				BgL_sz00_18275 = PROCEDURE_REF(BgL_envz00_18273, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18274, BgL_sz00_18275);
				}
			}
		}
	}



/* comp-call1 */
	obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_145,
		BgL_ev_exprz00_bglt BgL_vfunz00_146, obj_t BgL_symbzd2funzd2_147,
		obj_t BgL_funz00_148, obj_t BgL_tailzf3zf3_149, obj_t BgL_stkz00_150,
		long BgL_siza7eza7_151, obj_t BgL_a1z00_152)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_cfunz00_1646;

				BgL_cfunz00_1646 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_146,
					((long) 1), BgL_locz00_145, BgL_symbzd2funzd2_147);
				if (CBOOL(BgL_cfunz00_1646))
					{	/* Eval/evaluate_comp.scm 879 */
						bool_t BgL_testz00_22541;

						{	/* Eval/evaluate_comp.scm 879 */
							int BgL_arg2245z00_1661;

							BgL_arg2245z00_1661 = bgl_debug();
							BgL_testz00_22541 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2245z00_1661),
								BINT(((long) 0)));
						}
						if (BgL_testz00_22541)
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32242ze3z83_18276;

								BgL_zc3anonymousza32242ze3z83_18276 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32242ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza32242ze3z83_18276,
									(int) (((long) 0)), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3anonymousza32242ze3z83_18276,
									(int) (((long) 1)), BINT(BgL_siza7eza7_151));
								PROCEDURE_SET(BgL_zc3anonymousza32242ze3z83_18276,
									(int) (((long) 2)), BgL_locz00_145);
								PROCEDURE_SET(BgL_zc3anonymousza32242ze3z83_18276,
									(int) (((long) 3)), BgL_cfunz00_1646);
								return BgL_zc3anonymousza32242ze3z83_18276;
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32244ze3z83_18277;

								BgL_zc3anonymousza32244ze3z83_18277 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32244ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza32244ze3z83_18277,
									(int) (((long) 0)), BgL_a1z00_152);
								PROCEDURE_SET(BgL_zc3anonymousza32244ze3z83_18277,
									(int) (((long) 1)), BINT(BgL_siza7eza7_151));
								PROCEDURE_SET(BgL_zc3anonymousza32244ze3z83_18277,
									(int) (((long) 2)), BgL_cfunz00_1646);
								return BgL_zc3anonymousza32244ze3z83_18277;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 879 */
						if (CBOOL(BgL_tailzf3zf3_149))
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_22570;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2287z00_1742;

									BgL_arg2287z00_1742 = bgl_debug();
									BgL_testz00_22570 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2287z00_1742),
										BINT(((long) 0)));
								}
								if (BgL_testz00_22570)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32247ze3z83_18279;

										BgL_zc3anonymousza32247ze3z83_18279 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32247ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza32247ze3z83_18279,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza32247ze3z83_18279,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza32247ze3z83_18279,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza32247ze3z83_18279,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza32247ze3z83_18279,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza32247ze3z83_18279;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32268ze3z83_18281;

										BgL_zc3anonymousza32268ze3z83_18281 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32268ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza32268ze3z83_18281,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza32268ze3z83_18281,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza32268ze3z83_18281,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza32268ze3z83_18281,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza32268ze3z83_18281,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza32268ze3z83_18281;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_22603;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2328z00_1823;

									BgL_arg2328z00_1823 = bgl_debug();
									BgL_testz00_22603 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2328z00_1823),
										BINT(((long) 0)));
								}
								if (BgL_testz00_22603)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32289ze3z83_18283;

										BgL_zc3anonymousza32289ze3z83_18283 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32289ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza32289ze3z83_18283,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza32289ze3z83_18283,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza32289ze3z83_18283,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza32289ze3z83_18283,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza32289ze3z83_18283,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza32289ze3z83_18283;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32309ze3z83_18285;

										BgL_zc3anonymousza32309ze3z83_18285 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32309ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 5)));
										PROCEDURE_SET(BgL_zc3anonymousza32309ze3z83_18285,
											(int) (((long) 0)), BgL_funz00_148);
										PROCEDURE_SET(BgL_zc3anonymousza32309ze3z83_18285,
											(int) (((long) 1)), BgL_a1z00_152);
										PROCEDURE_SET(BgL_zc3anonymousza32309ze3z83_18285,
											(int) (((long) 2)), BgL_locz00_145);
										PROCEDURE_SET(BgL_zc3anonymousza32309ze3z83_18285,
											(int) (((long) 3)), BgL_symbzd2funzd2_147);
										PROCEDURE_SET(BgL_zc3anonymousza32309ze3z83_18285,
											(int) (((long) 4)), BINT(BgL_siza7eza7_151));
										return BgL_zc3anonymousza32309ze3z83_18285;
									}
							}
					}
			}
		}
	}



/* &<anonymous:2242> */
	obj_t BGl_z62zc3anonymousza32242ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18286, obj_t BgL_sz00_18291)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_a1z00_18287;
				long BgL_siza7eza7_18288;
				obj_t BgL_locz00_18289;
				obj_t BgL_cfunz00_18290;

				BgL_a1z00_18287 = PROCEDURE_REF(BgL_envz00_18286, (int) (((long) 0)));
				BgL_siza7eza7_18288 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18286, (int) (((long) 1))));
				BgL_locz00_18289 = PROCEDURE_REF(BgL_envz00_18286, (int) (((long) 2)));
				BgL_cfunz00_18290 = PROCEDURE_REF(BgL_envz00_18286, (int) (((long) 3)));
				{
					obj_t BgL_sz00_1648;

					BgL_sz00_1648 = BgL_sz00_18291;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1650;

						BgL_bpz00_1650 = VECTOR_REF(BgL_sz00_1648, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_a1z00_1651;

							BgL_a1z00_1651 =
								PROCEDURE_ENTRY(BgL_a1z00_18287) (BgL_a1z00_18287,
								BgL_sz00_1648, BEOA);
							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_1652;

								BgL_nbpz00_1652 =
									((long) CINT(BgL_bpz00_1650) + BgL_siza7eza7_18288);
								VECTOR_SET(BgL_sz00_1648,
									(int) (((long) 0)), BINT(BgL_nbpz00_1652));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_auxz00_22656;

									BgL_auxz00_22656 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_22656,
										BgL_locz00_18289);
								}
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_1654;

									BgL_rz00_1654 =
										PROCEDURE_ENTRY(BgL_cfunz00_18290) (BgL_cfunz00_18290,
										BgL_a1z00_1651, BEOA);
									VECTOR_SET(BgL_sz00_1648, (int) (((long) 0)), BgL_bpz00_1650);
									return BgL_rz00_1654;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2244> */
	obj_t BGl_z62zc3anonymousza32244ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18292, obj_t BgL_sz00_18296)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_a1z00_18293;
				long BgL_siza7eza7_18294;
				obj_t BgL_cfunz00_18295;

				BgL_a1z00_18293 = PROCEDURE_REF(BgL_envz00_18292, (int) (((long) 0)));
				BgL_siza7eza7_18294 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18292, (int) (((long) 1))));
				BgL_cfunz00_18295 = PROCEDURE_REF(BgL_envz00_18292, (int) (((long) 2)));
				{
					obj_t BgL_sz00_1655;

					BgL_sz00_1655 = BgL_sz00_18296;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1657;

						BgL_bpz00_1657 = VECTOR_REF(BgL_sz00_1655, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_a1z00_1658;

							BgL_a1z00_1658 =
								PROCEDURE_ENTRY(BgL_a1z00_18293) (BgL_a1z00_18293,
								BgL_sz00_1655, BEOA);
							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_1659;

								BgL_nbpz00_1659 =
									((long) CINT(BgL_bpz00_1657) + BgL_siza7eza7_18294);
								VECTOR_SET(BgL_sz00_1655,
									(int) (((long) 0)), BINT(BgL_nbpz00_1659));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_1660;

									BgL_rz00_1660 =
										PROCEDURE_ENTRY(BgL_cfunz00_18295) (BgL_cfunz00_18295,
										BgL_a1z00_1658, BEOA);
									VECTOR_SET(BgL_sz00_1655, (int) (((long) 0)), BgL_bpz00_1657);
									return BgL_rz00_1660;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2247> */
	obj_t BGl_z62zc3anonymousza32247ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18297, obj_t BgL_sz00_18303)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18298;
				obj_t BgL_a1z00_18299;
				obj_t BgL_locz00_18300;
				obj_t BgL_symbzd2funzd2_18301;
				long BgL_siza7eza7_18302;

				BgL_funz00_18298 = PROCEDURE_REF(BgL_envz00_18297, (int) (((long) 0)));
				BgL_a1z00_18299 = PROCEDURE_REF(BgL_envz00_18297, (int) (((long) 1)));
				BgL_locz00_18300 = PROCEDURE_REF(BgL_envz00_18297, (int) (((long) 2)));
				BgL_symbzd2funzd2_18301 =
					PROCEDURE_REF(BgL_envz00_18297, (int) (((long) 3)));
				BgL_siza7eza7_18302 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18297, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1663;

					BgL_sz00_1663 = BgL_sz00_18303;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1665;

						BgL_bpz00_1665 = VECTOR_REF(BgL_sz00_1663, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1666;
							obj_t BgL_a1z00_1667;

							BgL_fz00_1666 =
								PROCEDURE_ENTRY(BgL_funz00_18298) (BgL_funz00_18298,
								BgL_sz00_1663, BEOA);
							BgL_a1z00_1667 =
								PROCEDURE_ENTRY(BgL_a1z00_18299) (BgL_a1z00_18299,
								BgL_sz00_1663, BEOA);
							if (PROCEDUREP(BgL_fz00_1666))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18300,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_1666);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1669;

								BgL_ufz00_1669 = PROCEDURE_ATTR(BgL_fz00_1666);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_22714;

									if (STRUCTP(BgL_ufz00_1669))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22714 =
												(STRUCT_KEY(BgL_ufz00_1669) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22714 = ((bool_t) 0);
										}
									if (BgL_testz00_22714)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1671;
											obj_t BgL_runz00_1672;
											obj_t BgL_sfz00_1673;

											BgL_arityz00_1671 =
												STRUCT_REF(BgL_ufz00_1669, (int) (((long) 0)));
											BgL_runz00_1672 =
												STRUCT_REF(BgL_ufz00_1669, (int) (((long) 1)));
											BgL_sfz00_1673 =
												STRUCT_REF(BgL_ufz00_1669, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1671) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_arg2251z00_1676;

													BgL_arg2251z00_1676 =
														((long) CINT(BgL_bpz00_1665) + ((long) 0));
													VECTOR_SET(BgL_sz00_1663,
														(int) (BgL_arg2251z00_1676), BgL_a1z00_1667);
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_1671))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_1671))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2253z00_1680;
																		obj_t BgL_arg2254z00_1681;

																		BgL_arg2253z00_1680 =
																			(
																			(long) CINT(BgL_bpz00_1665) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2255z00_1682;

																			BgL_list2255z00_1682 =
																				MAKE_PAIR(BgL_a1z00_1667, BNIL);
																			BgL_arg2254z00_1681 =
																				BgL_list2255z00_1682;
																		}
																		VECTOR_SET(BgL_sz00_1663,
																			(int) (BgL_arg2253z00_1680),
																			BgL_arg2254z00_1681);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2256z00_1683;

																		BgL_arg2256z00_1683 =
																			(
																			(long) CINT(BgL_bpz00_1665) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1663,
																			(int) (BgL_arg2256z00_1683),
																			BgL_a1z00_1667);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2257z00_1684;

																		BgL_arg2257z00_1684 =
																			(
																			(long) CINT(BgL_bpz00_1665) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1663,
																			(int) (BgL_arg2257z00_1684), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18300,
																		STRUCT_REF(BgL_ufz00_1669,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_1671));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18300, STRUCT_REF(BgL_ufz00_1669,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_1671));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_1688;

												BgL_z12denvz12_1688 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1688,
													BgL_locz00_18300);
												{	/* Eval/evaluate_comp.scm 879 */
													bool_t BgL_testz00_22761;

													{	/* Eval/evaluate_comp.scm 667 */
														int BgL_arg1970z00_8063;

														BgL_arg1970z00_8063 = VECTOR_LENGTH(BgL_sz00_1663);
														BgL_testz00_22761 =
															(
															((long) CINT(BgL_bpz00_1665) +
																(long) CINT(BgL_sfz00_1673)) <
															(long) (BgL_arg1970z00_8063));
													}
													if (BgL_testz00_22761)
														{	/* Eval/evaluate_comp.scm 879 */
															return BgL_runz00_1672;
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_1690;

															BgL_nsz00_1690 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2263z00_1692;

																BgL_arg2263z00_1692 =
																	((long) CINT(BgL_bpz00_1665) + ((long) 1));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1690, BINT(((long) 2)),
																	BgL_sz00_1663, BgL_bpz00_1665,
																	BINT(BgL_arg2263z00_1692));
															}
															VECTOR_SET(BgL_nsz00_1690,
																(int) (((long) 1)), BgL_sz00_1663);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1688,
																BgL_nsz00_1690);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1209z00_1693;

																BgL_exitd1209z00_1693 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32264ze3z83_18278;

																	BgL_zc3anonymousza32264ze3z83_18278 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32264ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32264ze3z83_18278,
																		(int) (((long) 0)), BgL_z12denvz12_1688);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32264ze3z83_18278,
																		(int) (((long) 1)), BgL_sz00_1663);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1209z00_1693,
																		BgL_zc3anonymousza32264ze3z83_18278);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1211z00_1695;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_8081;

																			BgL_savedzd2bpzd2_8081 =
																				VECTOR_REF(BgL_nsz00_1690,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_1690,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_8088;

																				BgL_fz00_8088 = BgL_runz00_1672;
																			BgL_recz00_8087:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_8089;

																					BgL_rz00_8089 =
																						PROCEDURE_ENTRY(BgL_fz00_8088)
																						(BgL_fz00_8088, BgL_nsz00_1690,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_22795;

																						if (PROCEDUREP(BgL_rz00_8089))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1962z00_8094;

																								BgL_arg1962z00_8094 =
																									PROCEDURE_ATTR(BgL_rz00_8089);
																								if (STRUCTP
																									(BgL_arg1962z00_8094))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_22795 =
																											(STRUCT_KEY
																											(BgL_arg1962z00_8094) ==
																											BGl_symbol5983z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_22795 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_22795 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_22795)
																							{
																								obj_t BgL_fz00_22803;

																								BgL_fz00_22803 = BgL_rz00_8089;
																								BgL_fz00_8088 = BgL_fz00_22803;
																								goto BgL_recz00_8087;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_1690,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_8081);
																								BgL_tmp1211z00_1695 =
																									BgL_rz00_8089;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1209z00_1693);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1688,
																			BgL_sz00_1663);
																		return BgL_tmp1211z00_1695;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1666,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1699;

													BgL_nbpz00_1699 =
														((long) CINT(BgL_bpz00_1665) + BgL_siza7eza7_18302);
													VECTOR_SET(BgL_sz00_1663,
														(int) (((long) 0)), BINT(BgL_nbpz00_1699));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_22816;

														BgL_auxz00_22816 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_22816,
															BgL_locz00_18300);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1701;

														BgL_rz00_1701 =
															PROCEDURE_ENTRY(BgL_fz00_1666) (BgL_fz00_1666,
															BgL_a1z00_1667, BEOA);
														VECTOR_SET(BgL_sz00_1663, (int) (((long) 0)),
															BgL_bpz00_1665);
														return BgL_rz00_1701;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18300, BgL_symbzd2funzd2_18301,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1666));
		}}}}}}}}}
	}



/* &<anonymous:2264> */
	obj_t BGl_z62zc3anonymousza32264ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18304)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18305;
				obj_t BgL_sz00_18306;

				BgL_z12denvz12_18305 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18304, (int) (((long) 0))));
				BgL_sz00_18306 = PROCEDURE_REF(BgL_envz00_18304, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18305, BgL_sz00_18306);
				}
			}
		}
	}



/* &<anonymous:2268> */
	obj_t BGl_z62zc3anonymousza32268ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18307, obj_t BgL_sz00_18313)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18308;
				obj_t BgL_a1z00_18309;
				obj_t BgL_locz00_18310;
				obj_t BgL_symbzd2funzd2_18311;
				long BgL_siza7eza7_18312;

				BgL_funz00_18308 = PROCEDURE_REF(BgL_envz00_18307, (int) (((long) 0)));
				BgL_a1z00_18309 = PROCEDURE_REF(BgL_envz00_18307, (int) (((long) 1)));
				BgL_locz00_18310 = PROCEDURE_REF(BgL_envz00_18307, (int) (((long) 2)));
				BgL_symbzd2funzd2_18311 =
					PROCEDURE_REF(BgL_envz00_18307, (int) (((long) 3)));
				BgL_siza7eza7_18312 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18307, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1703;

					BgL_sz00_1703 = BgL_sz00_18313;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1705;

						BgL_bpz00_1705 = VECTOR_REF(BgL_sz00_1703, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1706;
							obj_t BgL_a1z00_1707;

							BgL_fz00_1706 =
								PROCEDURE_ENTRY(BgL_funz00_18308) (BgL_funz00_18308,
								BgL_sz00_1703, BEOA);
							BgL_a1z00_1707 =
								PROCEDURE_ENTRY(BgL_a1z00_18309) (BgL_a1z00_18309,
								BgL_sz00_1703, BEOA);
							if (PROCEDUREP(BgL_fz00_1706))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18310,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_1706);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1709;

								BgL_ufz00_1709 = PROCEDURE_ATTR(BgL_fz00_1706);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_22859;

									if (STRUCTP(BgL_ufz00_1709))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22859 =
												(STRUCT_KEY(BgL_ufz00_1709) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_22859 = ((bool_t) 0);
										}
									if (BgL_testz00_22859)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1711;
											obj_t BgL_runz00_1712;
											obj_t BgL_sfz00_1713;

											BgL_arityz00_1711 =
												STRUCT_REF(BgL_ufz00_1709, (int) (((long) 0)));
											BgL_runz00_1712 =
												STRUCT_REF(BgL_ufz00_1709, (int) (((long) 1)));
											BgL_sfz00_1713 =
												STRUCT_REF(BgL_ufz00_1709, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1711) == ((long) 1)))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_arg2272z00_1716;

													BgL_arg2272z00_1716 =
														((long) CINT(BgL_bpz00_1705) + ((long) 0));
													VECTOR_SET(BgL_sz00_1703,
														(int) (BgL_arg2272z00_1716), BgL_a1z00_1707);
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_1711))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_1711))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2274z00_1720;
																		obj_t BgL_arg2275z00_1721;

																		BgL_arg2274z00_1720 =
																			(
																			(long) CINT(BgL_bpz00_1705) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2276z00_1722;

																			BgL_list2276z00_1722 =
																				MAKE_PAIR(BgL_a1z00_1707, BNIL);
																			BgL_arg2275z00_1721 =
																				BgL_list2276z00_1722;
																		}
																		VECTOR_SET(BgL_sz00_1703,
																			(int) (BgL_arg2274z00_1720),
																			BgL_arg2275z00_1721);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2277z00_1723;

																		BgL_arg2277z00_1723 =
																			(
																			(long) CINT(BgL_bpz00_1705) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1703,
																			(int) (BgL_arg2277z00_1723),
																			BgL_a1z00_1707);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2278z00_1724;

																		BgL_arg2278z00_1724 =
																			(
																			(long) CINT(BgL_bpz00_1705) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1703,
																			(int) (BgL_arg2278z00_1724), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18310,
																		STRUCT_REF(BgL_ufz00_1709,
																			(int) (((long) 3))), (int) (((long) 1)),
																		CINT(BgL_arityz00_1711));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18310, STRUCT_REF(BgL_ufz00_1709,
																	(int) (((long) 3))), (int) (((long) 1)),
																CINT(BgL_arityz00_1711));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_1728;

												BgL_z12denvz12_1728 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 879 */
													bool_t BgL_testz00_22905;

													{	/* Eval/evaluate_comp.scm 667 */
														int BgL_arg1970z00_8188;

														BgL_arg1970z00_8188 = VECTOR_LENGTH(BgL_sz00_1703);
														BgL_testz00_22905 =
															(
															((long) CINT(BgL_bpz00_1705) +
																(long) CINT(BgL_sfz00_1713)) <
															(long) (BgL_arg1970z00_8188));
													}
													if (BgL_testz00_22905)
														{	/* Eval/evaluate_comp.scm 879 */
															return BgL_runz00_1712;
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_1730;

															BgL_nsz00_1730 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2283z00_1732;

																BgL_arg2283z00_1732 =
																	((long) CINT(BgL_bpz00_1705) + ((long) 1));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1730, BINT(((long) 2)),
																	BgL_sz00_1703, BgL_bpz00_1705,
																	BINT(BgL_arg2283z00_1732));
															}
															VECTOR_SET(BgL_nsz00_1730,
																(int) (((long) 1)), BgL_sz00_1703);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1728,
																BgL_nsz00_1730);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1214z00_1733;

																BgL_exitd1214z00_1733 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32284ze3z83_18280;

																	BgL_zc3anonymousza32284ze3z83_18280 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32284ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32284ze3z83_18280,
																		(int) (((long) 0)), BgL_z12denvz12_1728);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32284ze3z83_18280,
																		(int) (((long) 1)), BgL_sz00_1703);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1214z00_1733,
																		BgL_zc3anonymousza32284ze3z83_18280);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1216z00_1735;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_8206;

																			BgL_savedzd2bpzd2_8206 =
																				VECTOR_REF(BgL_nsz00_1730,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_1730,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_8213;

																				BgL_fz00_8213 = BgL_runz00_1712;
																			BgL_recz00_8212:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_8214;

																					BgL_rz00_8214 =
																						PROCEDURE_ENTRY(BgL_fz00_8213)
																						(BgL_fz00_8213, BgL_nsz00_1730,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_22939;

																						if (PROCEDUREP(BgL_rz00_8214))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1962z00_8219;

																								BgL_arg1962z00_8219 =
																									PROCEDURE_ATTR(BgL_rz00_8214);
																								if (STRUCTP
																									(BgL_arg1962z00_8219))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_22939 =
																											(STRUCT_KEY
																											(BgL_arg1962z00_8219) ==
																											BGl_symbol5983z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_22939 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_22939 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_22939)
																							{
																								obj_t BgL_fz00_22947;

																								BgL_fz00_22947 = BgL_rz00_8214;
																								BgL_fz00_8213 = BgL_fz00_22947;
																								goto BgL_recz00_8212;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_1730,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_8206);
																								BgL_tmp1216z00_1735 =
																									BgL_rz00_8214;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1214z00_1733);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1728,
																			BgL_sz00_1703);
																		return BgL_tmp1216z00_1735;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1706,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1739;

													BgL_nbpz00_1739 =
														((long) CINT(BgL_bpz00_1705) + BgL_siza7eza7_18312);
													VECTOR_SET(BgL_sz00_1703,
														(int) (((long) 0)), BINT(BgL_nbpz00_1739));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1740;

														BgL_rz00_1740 =
															PROCEDURE_ENTRY(BgL_fz00_1706) (BgL_fz00_1706,
															BgL_a1z00_1707, BEOA);
														VECTOR_SET(BgL_sz00_1703, (int) (((long) 0)),
															BgL_bpz00_1705);
														return BgL_rz00_1740;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18310, BgL_symbzd2funzd2_18311,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1706));
		}}}}}}}}}
	}



/* &<anonymous:2284> */
	obj_t BGl_z62zc3anonymousza32284ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18314)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18315;
				obj_t BgL_sz00_18316;

				BgL_z12denvz12_18315 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18314, (int) (((long) 0))));
				BgL_sz00_18316 = PROCEDURE_REF(BgL_envz00_18314, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18315, BgL_sz00_18316);
				}
			}
		}
	}



/* &<anonymous:2289> */
	obj_t BGl_z62zc3anonymousza32289ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18317, obj_t BgL_sz00_18323)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18318;
				obj_t BgL_a1z00_18319;
				obj_t BgL_locz00_18320;
				obj_t BgL_symbzd2funzd2_18321;
				long BgL_siza7eza7_18322;

				BgL_funz00_18318 = PROCEDURE_REF(BgL_envz00_18317, (int) (((long) 0)));
				BgL_a1z00_18319 = PROCEDURE_REF(BgL_envz00_18317, (int) (((long) 1)));
				BgL_locz00_18320 = PROCEDURE_REF(BgL_envz00_18317, (int) (((long) 2)));
				BgL_symbzd2funzd2_18321 =
					PROCEDURE_REF(BgL_envz00_18317, (int) (((long) 3)));
				BgL_siza7eza7_18322 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18317, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1744;

					BgL_sz00_1744 = BgL_sz00_18323;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1746;

						BgL_bpz00_1746 = VECTOR_REF(BgL_sz00_1744, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1747;
							obj_t BgL_a1z00_1748;

							BgL_fz00_1747 =
								PROCEDURE_ENTRY(BgL_funz00_18318) (BgL_funz00_18318,
								BgL_sz00_1744, BEOA);
							BgL_a1z00_1748 =
								PROCEDURE_ENTRY(BgL_a1z00_18319) (BgL_a1z00_18319,
								BgL_sz00_1744, BEOA);
							if (PROCEDUREP(BgL_fz00_1747))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18320,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_1747);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1750;

								BgL_ufz00_1750 = PROCEDURE_ATTR(BgL_fz00_1747);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_23000;

									if (STRUCTP(BgL_ufz00_1750))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23000 =
												(STRUCT_KEY(BgL_ufz00_1750) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23000 = ((bool_t) 0);
										}
									if (BgL_testz00_23000)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1752;
											obj_t BgL_runz00_1753;
											obj_t BgL_sfz00_1754;

											BgL_arityz00_1752 =
												STRUCT_REF(BgL_ufz00_1750, (int) (((long) 0)));
											BgL_runz00_1753 =
												STRUCT_REF(BgL_ufz00_1750, (int) (((long) 1)));
											BgL_sfz00_1754 =
												STRUCT_REF(BgL_ufz00_1750, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_1755;

												BgL_spz00_1755 =
													((long) CINT(BgL_bpz00_1746) + BgL_siza7eza7_18322);
												if (((long) CINT(BgL_arityz00_1752) == ((long) 1)))
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2293z00_1757;

														BgL_arg2293z00_1757 = (BgL_spz00_1755 + ((long) 0));
														VECTOR_SET(BgL_sz00_1744,
															(int) (BgL_arg2293z00_1757), BgL_a1z00_1748);
													}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_1752))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_1752))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2295z00_1761;
																			obj_t BgL_arg2296z00_1762;

																			BgL_arg2295z00_1761 =
																				(BgL_spz00_1755 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2297z00_1763;

																				BgL_list2297z00_1763 =
																					MAKE_PAIR(BgL_a1z00_1748, BNIL);
																				BgL_arg2296z00_1762 =
																					BgL_list2297z00_1763;
																			}
																			VECTOR_SET(BgL_sz00_1744,
																				(int) (BgL_arg2295z00_1761),
																				BgL_arg2296z00_1762);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2298z00_1764;

																			BgL_arg2298z00_1764 =
																				(BgL_spz00_1755 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1744,
																				(int) (BgL_arg2298z00_1764),
																				BgL_a1z00_1748);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2299z00_1765;

																			BgL_arg2299z00_1765 =
																				(BgL_spz00_1755 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1744,
																				(int) (BgL_arg2299z00_1765), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18320,
																			STRUCT_REF(BgL_ufz00_1750,
																				(int) (((long) 3))), (int) (((long) 1)),
																			CINT(BgL_arityz00_1752));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18320, STRUCT_REF(BgL_ufz00_1750,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_1752));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_1769;

													BgL_z12denvz12_1769 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1769,
														BgL_locz00_18320);
													{	/* Eval/evaluate_comp.scm 879 */
														bool_t BgL_testz00_23045;

														{	/* Eval/evaluate_comp.scm 667 */
															int BgL_arg1970z00_8312;

															BgL_arg1970z00_8312 =
																VECTOR_LENGTH(BgL_sz00_1744);
															BgL_testz00_23045 =
																(
																(BgL_spz00_1755 +
																	(long) CINT(BgL_sfz00_1754)) <
																(long) (BgL_arg1970z00_8312));
														}
														if (BgL_testz00_23045)
															{	/* Eval/evaluate_comp.scm 879 */
																return
																	BGl_catchzd2trampolinezd2zz__evaluate_compz00
																	(BgL_runz00_1753, BgL_sz00_1744,
																	BINT(BgL_spz00_1755));
															}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_nsz00_1771;

																BgL_nsz00_1771 =
																	BGl_makezd2statezd2zz__evaluate_compz00();
																{	/* Eval/evaluate_comp.scm 879 */
																	long BgL_arg2304z00_1773;

																	BgL_arg2304z00_1773 =
																		(BgL_spz00_1755 + ((long) 1));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_nsz00_1771, BINT(((long) 2)),
																		BgL_sz00_1744, BINT(BgL_spz00_1755),
																		BINT(BgL_arg2304z00_1773));
																}
																VECTOR_SET(BgL_nsz00_1771,
																	(int) (((long) 1)), BgL_sz00_1744);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1769,
																	BgL_nsz00_1771);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_exitd1219z00_1774;

																	BgL_exitd1219z00_1774 =
																		BGL_EXITD_TOP_AS_OBJ();
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_zc3anonymousza32305ze3z83_18282;

																		BgL_zc3anonymousza32305ze3z83_18282 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32305ze3ze1zz__evaluate_compz00,
																			(int) (((long) 0)), (int) (((long) 2)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32305ze3z83_18282,
																			(int) (((long) 0)), BgL_z12denvz12_1769);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32305ze3z83_18282,
																			(int) (((long) 1)), BgL_sz00_1744);
																		BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																			(BgL_exitd1219z00_1774,
																			BgL_zc3anonymousza32305ze3z83_18282);
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_tmp1221z00_1776;

																			{	/* Eval/evaluate_comp.scm 651 */
																				obj_t BgL_savedzd2bpzd2_8329;

																				BgL_savedzd2bpzd2_8329 =
																					VECTOR_REF(BgL_nsz00_1771,
																					(int) (((long) 0)));
																				VECTOR_SET(BgL_nsz00_1771,
																					(int) (((long) 0)), BINT(((long) 2)));
																				{
																					obj_t BgL_fz00_8336;

																					BgL_fz00_8336 = BgL_runz00_1753;
																				BgL_recz00_8335:
																					{	/* Eval/evaluate_comp.scm 654 */
																						obj_t BgL_rz00_8337;

																						BgL_rz00_8337 =
																							PROCEDURE_ENTRY(BgL_fz00_8336)
																							(BgL_fz00_8336, BgL_nsz00_1771,
																							BEOA);
																						{	/* Eval/evaluate_comp.scm 655 */
																							bool_t BgL_testz00_23080;

																							if (PROCEDUREP(BgL_rz00_8337))
																								{	/* Eval/evaluate_comp.scm 655 */
																									obj_t BgL_arg1962z00_8342;

																									BgL_arg1962z00_8342 =
																										PROCEDURE_ATTR
																										(BgL_rz00_8337);
																									if (STRUCTP
																										(BgL_arg1962z00_8342))
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_23080 =
																												(STRUCT_KEY
																												(BgL_arg1962z00_8342) ==
																												BGl_symbol5983z00zz__evaluate_compz00);
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_23080 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									BgL_testz00_23080 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_23080)
																								{
																									obj_t BgL_fz00_23088;

																									BgL_fz00_23088 =
																										BgL_rz00_8337;
																									BgL_fz00_8336 =
																										BgL_fz00_23088;
																									goto BgL_recz00_8335;
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									VECTOR_SET(BgL_nsz00_1771,
																										(int) (((long) 0)),
																										BgL_savedzd2bpzd2_8329);
																									BgL_tmp1221z00_1776 =
																										BgL_rz00_8337;
																			}}}}}
																			BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																				(BgL_exitd1219z00_1774);
																			BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1769,
																				BgL_sz00_1744);
																			return BgL_tmp1221z00_1776;
																		}
																	}
																}
															}
													}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1747,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1780;

													BgL_nbpz00_1780 =
														((long) CINT(BgL_bpz00_1746) + BgL_siza7eza7_18322);
													VECTOR_SET(BgL_sz00_1744,
														(int) (((long) 0)), BINT(BgL_nbpz00_1780));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_23101;

														BgL_auxz00_23101 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_23101,
															BgL_locz00_18320);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1782;

														BgL_rz00_1782 =
															PROCEDURE_ENTRY(BgL_fz00_1747) (BgL_fz00_1747,
															BgL_a1z00_1748, BEOA);
														VECTOR_SET(BgL_sz00_1744, (int) (((long) 0)),
															BgL_bpz00_1746);
														return BgL_rz00_1782;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18320, BgL_symbzd2funzd2_18321,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1747));
		}}}}}}}}}
	}



/* &<anonymous:2305> */
	obj_t BGl_z62zc3anonymousza32305ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18324)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18325;
				obj_t BgL_sz00_18326;

				BgL_z12denvz12_18325 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18324, (int) (((long) 0))));
				BgL_sz00_18326 = PROCEDURE_REF(BgL_envz00_18324, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18325, BgL_sz00_18326);
				}
			}
		}
	}



/* &<anonymous:2309> */
	obj_t BGl_z62zc3anonymousza32309ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18327, obj_t BgL_sz00_18333)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18328;
				obj_t BgL_a1z00_18329;
				obj_t BgL_locz00_18330;
				obj_t BgL_symbzd2funzd2_18331;
				long BgL_siza7eza7_18332;

				BgL_funz00_18328 = PROCEDURE_REF(BgL_envz00_18327, (int) (((long) 0)));
				BgL_a1z00_18329 = PROCEDURE_REF(BgL_envz00_18327, (int) (((long) 1)));
				BgL_locz00_18330 = PROCEDURE_REF(BgL_envz00_18327, (int) (((long) 2)));
				BgL_symbzd2funzd2_18331 =
					PROCEDURE_REF(BgL_envz00_18327, (int) (((long) 3)));
				BgL_siza7eza7_18332 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18327, (int) (((long) 4))));
				{
					obj_t BgL_sz00_1784;

					BgL_sz00_1784 = BgL_sz00_18333;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1786;

						BgL_bpz00_1786 = VECTOR_REF(BgL_sz00_1784, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1787;
							obj_t BgL_a1z00_1788;

							BgL_fz00_1787 =
								PROCEDURE_ENTRY(BgL_funz00_18328) (BgL_funz00_18328,
								BgL_sz00_1784, BEOA);
							BgL_a1z00_1788 =
								PROCEDURE_ENTRY(BgL_a1z00_18329) (BgL_a1z00_18329,
								BgL_sz00_1784, BEOA);
							if (PROCEDUREP(BgL_fz00_1787))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18330,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_1787);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1790;

								BgL_ufz00_1790 = PROCEDURE_ATTR(BgL_fz00_1787);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_23144;

									if (STRUCTP(BgL_ufz00_1790))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23144 =
												(STRUCT_KEY(BgL_ufz00_1790) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23144 = ((bool_t) 0);
										}
									if (BgL_testz00_23144)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1792;
											obj_t BgL_runz00_1793;
											obj_t BgL_sfz00_1794;

											BgL_arityz00_1792 =
												STRUCT_REF(BgL_ufz00_1790, (int) (((long) 0)));
											BgL_runz00_1793 =
												STRUCT_REF(BgL_ufz00_1790, (int) (((long) 1)));
											BgL_sfz00_1794 =
												STRUCT_REF(BgL_ufz00_1790, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_1795;

												BgL_spz00_1795 =
													((long) CINT(BgL_bpz00_1786) + BgL_siza7eza7_18332);
												if (((long) CINT(BgL_arityz00_1792) == ((long) 1)))
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2313z00_1797;

														BgL_arg2313z00_1797 = (BgL_spz00_1795 + ((long) 0));
														VECTOR_SET(BgL_sz00_1784,
															(int) (BgL_arg2313z00_1797), BgL_a1z00_1788);
													}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_1792))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_1792))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2315z00_1801;
																			obj_t BgL_arg2316z00_1802;

																			BgL_arg2315z00_1801 =
																				(BgL_spz00_1795 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2317z00_1803;

																				BgL_list2317z00_1803 =
																					MAKE_PAIR(BgL_a1z00_1788, BNIL);
																				BgL_arg2316z00_1802 =
																					BgL_list2317z00_1803;
																			}
																			VECTOR_SET(BgL_sz00_1784,
																				(int) (BgL_arg2315z00_1801),
																				BgL_arg2316z00_1802);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2318z00_1804;

																			BgL_arg2318z00_1804 =
																				(BgL_spz00_1795 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1784,
																				(int) (BgL_arg2318z00_1804),
																				BgL_a1z00_1788);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2319z00_1805;

																			BgL_arg2319z00_1805 =
																				(BgL_spz00_1795 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1784,
																				(int) (BgL_arg2319z00_1805), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18330,
																			STRUCT_REF(BgL_ufz00_1790,
																				(int) (((long) 3))), (int) (((long) 1)),
																			CINT(BgL_arityz00_1792));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18330, STRUCT_REF(BgL_ufz00_1790,
																		(int) (((long) 3))), (int) (((long) 1)),
																	CINT(BgL_arityz00_1792));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_1809;

													BgL_z12denvz12_1809 = BGL_CURRENT_DYNAMIC_ENV();
													{	/* Eval/evaluate_comp.scm 879 */
														bool_t BgL_testz00_23188;

														{	/* Eval/evaluate_comp.scm 667 */
															int BgL_arg1970z00_8436;

															BgL_arg1970z00_8436 =
																VECTOR_LENGTH(BgL_sz00_1784);
															BgL_testz00_23188 =
																(
																(BgL_spz00_1795 +
																	(long) CINT(BgL_sfz00_1794)) <
																(long) (BgL_arg1970z00_8436));
														}
														if (BgL_testz00_23188)
															{	/* Eval/evaluate_comp.scm 879 */
																return
																	BGl_catchzd2trampolinezd2zz__evaluate_compz00
																	(BgL_runz00_1793, BgL_sz00_1784,
																	BINT(BgL_spz00_1795));
															}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_nsz00_1811;

																BgL_nsz00_1811 =
																	BGl_makezd2statezd2zz__evaluate_compz00();
																{	/* Eval/evaluate_comp.scm 879 */
																	long BgL_arg2324z00_1813;

																	BgL_arg2324z00_1813 =
																		(BgL_spz00_1795 + ((long) 1));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_nsz00_1811, BINT(((long) 2)),
																		BgL_sz00_1784, BINT(BgL_spz00_1795),
																		BINT(BgL_arg2324z00_1813));
																}
																VECTOR_SET(BgL_nsz00_1811,
																	(int) (((long) 1)), BgL_sz00_1784);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1809,
																	BgL_nsz00_1811);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_exitd1224z00_1814;

																	BgL_exitd1224z00_1814 =
																		BGL_EXITD_TOP_AS_OBJ();
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_zc3anonymousza32325ze3z83_18284;

																		BgL_zc3anonymousza32325ze3z83_18284 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32325ze3ze1zz__evaluate_compz00,
																			(int) (((long) 0)), (int) (((long) 2)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32325ze3z83_18284,
																			(int) (((long) 0)), BgL_z12denvz12_1809);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32325ze3z83_18284,
																			(int) (((long) 1)), BgL_sz00_1784);
																		BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																			(BgL_exitd1224z00_1814,
																			BgL_zc3anonymousza32325ze3z83_18284);
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_tmp1226z00_1816;

																			{	/* Eval/evaluate_comp.scm 651 */
																				obj_t BgL_savedzd2bpzd2_8453;

																				BgL_savedzd2bpzd2_8453 =
																					VECTOR_REF(BgL_nsz00_1811,
																					(int) (((long) 0)));
																				VECTOR_SET(BgL_nsz00_1811,
																					(int) (((long) 0)), BINT(((long) 2)));
																				{
																					obj_t BgL_fz00_8460;

																					BgL_fz00_8460 = BgL_runz00_1793;
																				BgL_recz00_8459:
																					{	/* Eval/evaluate_comp.scm 654 */
																						obj_t BgL_rz00_8461;

																						BgL_rz00_8461 =
																							PROCEDURE_ENTRY(BgL_fz00_8460)
																							(BgL_fz00_8460, BgL_nsz00_1811,
																							BEOA);
																						{	/* Eval/evaluate_comp.scm 655 */
																							bool_t BgL_testz00_23223;

																							if (PROCEDUREP(BgL_rz00_8461))
																								{	/* Eval/evaluate_comp.scm 655 */
																									obj_t BgL_arg1962z00_8466;

																									BgL_arg1962z00_8466 =
																										PROCEDURE_ATTR
																										(BgL_rz00_8461);
																									if (STRUCTP
																										(BgL_arg1962z00_8466))
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_23223 =
																												(STRUCT_KEY
																												(BgL_arg1962z00_8466) ==
																												BGl_symbol5983z00zz__evaluate_compz00);
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_23223 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									BgL_testz00_23223 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_23223)
																								{
																									obj_t BgL_fz00_23231;

																									BgL_fz00_23231 =
																										BgL_rz00_8461;
																									BgL_fz00_8460 =
																										BgL_fz00_23231;
																									goto BgL_recz00_8459;
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									VECTOR_SET(BgL_nsz00_1811,
																										(int) (((long) 0)),
																										BgL_savedzd2bpzd2_8453);
																									BgL_tmp1226z00_1816 =
																										BgL_rz00_8461;
																			}}}}}
																			BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																				(BgL_exitd1224z00_1814);
																			BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1809,
																				BgL_sz00_1784);
																			return BgL_tmp1226z00_1816;
																		}
																	}
																}
															}
													}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1787,
													(int) (((long) 1))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1820;

													BgL_nbpz00_1820 =
														((long) CINT(BgL_bpz00_1786) + BgL_siza7eza7_18332);
													VECTOR_SET(BgL_sz00_1784,
														(int) (((long) 0)), BINT(BgL_nbpz00_1820));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1821;

														BgL_rz00_1821 =
															PROCEDURE_ENTRY(BgL_fz00_1787) (BgL_fz00_1787,
															BgL_a1z00_1788, BEOA);
														VECTOR_SET(BgL_sz00_1784, (int) (((long) 0)),
															BgL_bpz00_1786);
														return BgL_rz00_1821;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18330, BgL_symbzd2funzd2_18331,
														(int) (((long) 1)), PROCEDURE_ARITY(BgL_fz00_1787));
		}}}}}}}}}
	}



/* &<anonymous:2325> */
	obj_t BGl_z62zc3anonymousza32325ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18334)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18335;
				obj_t BgL_sz00_18336;

				BgL_z12denvz12_18335 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18334, (int) (((long) 0))));
				BgL_sz00_18336 = PROCEDURE_REF(BgL_envz00_18334, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18335, BgL_sz00_18336);
				}
			}
		}
	}



/* comp-call2 */
	obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_153,
		BgL_ev_exprz00_bglt BgL_vfunz00_154, obj_t BgL_symbzd2funzd2_155,
		obj_t BgL_funz00_156, obj_t BgL_tailzf3zf3_157, obj_t BgL_stkz00_158,
		long BgL_siza7eza7_159, obj_t BgL_a1z00_160, obj_t BgL_a2z00_161)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_cfunz00_1824;

				BgL_cfunz00_1824 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_154,
					((long) 2), BgL_locz00_153, BgL_symbzd2funzd2_155);
				if (CBOOL(BgL_cfunz00_1824))
					{	/* Eval/evaluate_comp.scm 879 */
						bool_t BgL_testz00_23262;

						{	/* Eval/evaluate_comp.scm 879 */
							int BgL_arg2333z00_1841;

							BgL_arg2333z00_1841 = bgl_debug();
							BgL_testz00_23262 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2333z00_1841),
								BINT(((long) 0)));
						}
						if (BgL_testz00_23262)
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32330ze3z83_18337;

								BgL_zc3anonymousza32330ze3z83_18337 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32330ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32330ze3z83_18337,
									(int) (((long) 0)), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32330ze3z83_18337,
									(int) (((long) 1)), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3anonymousza32330ze3z83_18337,
									(int) (((long) 2)), BINT(BgL_siza7eza7_159));
								PROCEDURE_SET(BgL_zc3anonymousza32330ze3z83_18337,
									(int) (((long) 3)), BgL_locz00_153);
								PROCEDURE_SET(BgL_zc3anonymousza32330ze3z83_18337,
									(int) (((long) 4)), BgL_cfunz00_1824);
								return BgL_zc3anonymousza32330ze3z83_18337;
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32332ze3z83_18338;

								BgL_zc3anonymousza32332ze3z83_18338 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32332ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_zc3anonymousza32332ze3z83_18338,
									(int) (((long) 0)), BgL_a1z00_160);
								PROCEDURE_SET(BgL_zc3anonymousza32332ze3z83_18338,
									(int) (((long) 1)), BgL_a2z00_161);
								PROCEDURE_SET(BgL_zc3anonymousza32332ze3z83_18338,
									(int) (((long) 2)), BINT(BgL_siza7eza7_159));
								PROCEDURE_SET(BgL_zc3anonymousza32332ze3z83_18338,
									(int) (((long) 3)), BgL_cfunz00_1824);
								return BgL_zc3anonymousza32332ze3z83_18338;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 879 */
						if (CBOOL(BgL_tailzf3zf3_157))
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_23295;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2388z00_1938;

									BgL_arg2388z00_1938 = bgl_debug();
									BgL_testz00_23295 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2388z00_1938),
										BINT(((long) 0)));
								}
								if (BgL_testz00_23295)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32335ze3z83_18340;

										BgL_zc3anonymousza32335ze3z83_18340 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32335ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32335ze3z83_18340,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32335ze3z83_18340,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32335ze3z83_18340,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32335ze3z83_18340,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32335ze3z83_18340,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32335ze3z83_18340,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32335ze3z83_18340;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32362ze3z83_18342;

										BgL_zc3anonymousza32362ze3z83_18342 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32362ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_18342,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_18342,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_18342,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_18342,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_18342,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32362ze3z83_18342,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32362ze3z83_18342;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_23332;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2446z00_2035;

									BgL_arg2446z00_2035 = bgl_debug();
									BgL_testz00_23332 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2446z00_2035),
										BINT(((long) 0)));
								}
								if (BgL_testz00_23332)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32390ze3z83_18344;

										BgL_zc3anonymousza32390ze3z83_18344 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32390ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32390ze3z83_18344,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32390ze3z83_18344,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32390ze3z83_18344,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32390ze3z83_18344,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32390ze3z83_18344,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32390ze3z83_18344,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32390ze3z83_18344;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32418ze3z83_18346;

										BgL_zc3anonymousza32418ze3z83_18346 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32418ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 6)));
										PROCEDURE_SET(BgL_zc3anonymousza32418ze3z83_18346,
											(int) (((long) 0)), BgL_funz00_156);
										PROCEDURE_SET(BgL_zc3anonymousza32418ze3z83_18346,
											(int) (((long) 1)), BgL_a1z00_160);
										PROCEDURE_SET(BgL_zc3anonymousza32418ze3z83_18346,
											(int) (((long) 2)), BgL_a2z00_161);
										PROCEDURE_SET(BgL_zc3anonymousza32418ze3z83_18346,
											(int) (((long) 3)), BgL_locz00_153);
										PROCEDURE_SET(BgL_zc3anonymousza32418ze3z83_18346,
											(int) (((long) 4)), BgL_symbzd2funzd2_155);
										PROCEDURE_SET(BgL_zc3anonymousza32418ze3z83_18346,
											(int) (((long) 5)), BINT(BgL_siza7eza7_159));
										return BgL_zc3anonymousza32418ze3z83_18346;
									}
							}
					}
			}
		}
	}



/* &<anonymous:2330> */
	obj_t BGl_z62zc3anonymousza32330ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18347, obj_t BgL_sz00_18353)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_a1z00_18348;
				obj_t BgL_a2z00_18349;
				long BgL_siza7eza7_18350;
				obj_t BgL_locz00_18351;
				obj_t BgL_cfunz00_18352;

				BgL_a1z00_18348 = PROCEDURE_REF(BgL_envz00_18347, (int) (((long) 0)));
				BgL_a2z00_18349 = PROCEDURE_REF(BgL_envz00_18347, (int) (((long) 1)));
				BgL_siza7eza7_18350 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18347, (int) (((long) 2))));
				BgL_locz00_18351 = PROCEDURE_REF(BgL_envz00_18347, (int) (((long) 3)));
				BgL_cfunz00_18352 = PROCEDURE_REF(BgL_envz00_18347, (int) (((long) 4)));
				{
					obj_t BgL_sz00_1826;

					BgL_sz00_1826 = BgL_sz00_18353;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1828;

						BgL_bpz00_1828 = VECTOR_REF(BgL_sz00_1826, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_a1z00_1829;
							obj_t BgL_a2z00_1830;

							BgL_a1z00_1829 =
								PROCEDURE_ENTRY(BgL_a1z00_18348) (BgL_a1z00_18348,
								BgL_sz00_1826, BEOA);
							BgL_a2z00_1830 =
								PROCEDURE_ENTRY(BgL_a2z00_18349) (BgL_a2z00_18349,
								BgL_sz00_1826, BEOA);
							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_1831;

								BgL_nbpz00_1831 =
									((long) CINT(BgL_bpz00_1828) + BgL_siza7eza7_18350);
								VECTOR_SET(BgL_sz00_1826,
									(int) (((long) 0)), BINT(BgL_nbpz00_1831));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_auxz00_23395;

									BgL_auxz00_23395 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_23395,
										BgL_locz00_18351);
								}
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_1833;

									BgL_rz00_1833 =
										PROCEDURE_ENTRY(BgL_cfunz00_18352) (BgL_cfunz00_18352,
										BgL_a1z00_1829, BgL_a2z00_1830, BEOA);
									VECTOR_SET(BgL_sz00_1826, (int) (((long) 0)), BgL_bpz00_1828);
									return BgL_rz00_1833;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2332> */
	obj_t BGl_z62zc3anonymousza32332ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18354, obj_t BgL_sz00_18359)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_a1z00_18355;
				obj_t BgL_a2z00_18356;
				long BgL_siza7eza7_18357;
				obj_t BgL_cfunz00_18358;

				BgL_a1z00_18355 = PROCEDURE_REF(BgL_envz00_18354, (int) (((long) 0)));
				BgL_a2z00_18356 = PROCEDURE_REF(BgL_envz00_18354, (int) (((long) 1)));
				BgL_siza7eza7_18357 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18354, (int) (((long) 2))));
				BgL_cfunz00_18358 = PROCEDURE_REF(BgL_envz00_18354, (int) (((long) 3)));
				{
					obj_t BgL_sz00_1834;

					BgL_sz00_1834 = BgL_sz00_18359;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1836;

						BgL_bpz00_1836 = VECTOR_REF(BgL_sz00_1834, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_a1z00_1837;
							obj_t BgL_a2z00_1838;

							BgL_a1z00_1837 =
								PROCEDURE_ENTRY(BgL_a1z00_18355) (BgL_a1z00_18355,
								BgL_sz00_1834, BEOA);
							BgL_a2z00_1838 =
								PROCEDURE_ENTRY(BgL_a2z00_18356) (BgL_a2z00_18356,
								BgL_sz00_1834, BEOA);
							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_1839;

								BgL_nbpz00_1839 =
									((long) CINT(BgL_bpz00_1836) + BgL_siza7eza7_18357);
								VECTOR_SET(BgL_sz00_1834,
									(int) (((long) 0)), BINT(BgL_nbpz00_1839));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_1840;

									BgL_rz00_1840 =
										PROCEDURE_ENTRY(BgL_cfunz00_18358) (BgL_cfunz00_18358,
										BgL_a1z00_1837, BgL_a2z00_1838, BEOA);
									VECTOR_SET(BgL_sz00_1834, (int) (((long) 0)), BgL_bpz00_1836);
									return BgL_rz00_1840;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2335> */
	obj_t BGl_z62zc3anonymousza32335ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18360, obj_t BgL_sz00_18367)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18361;
				obj_t BgL_a1z00_18362;
				obj_t BgL_a2z00_18363;
				obj_t BgL_locz00_18364;
				obj_t BgL_symbzd2funzd2_18365;
				long BgL_siza7eza7_18366;

				BgL_funz00_18361 = PROCEDURE_REF(BgL_envz00_18360, (int) (((long) 0)));
				BgL_a1z00_18362 = PROCEDURE_REF(BgL_envz00_18360, (int) (((long) 1)));
				BgL_a2z00_18363 = PROCEDURE_REF(BgL_envz00_18360, (int) (((long) 2)));
				BgL_locz00_18364 = PROCEDURE_REF(BgL_envz00_18360, (int) (((long) 3)));
				BgL_symbzd2funzd2_18365 =
					PROCEDURE_REF(BgL_envz00_18360, (int) (((long) 4)));
				BgL_siza7eza7_18366 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18360, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1843;

					BgL_sz00_1843 = BgL_sz00_18367;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1845;

						BgL_bpz00_1845 = VECTOR_REF(BgL_sz00_1843, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1846;
							obj_t BgL_a1z00_1847;
							obj_t BgL_a2z00_1848;

							BgL_fz00_1846 =
								PROCEDURE_ENTRY(BgL_funz00_18361) (BgL_funz00_18361,
								BgL_sz00_1843, BEOA);
							BgL_a1z00_1847 =
								PROCEDURE_ENTRY(BgL_a1z00_18362) (BgL_a1z00_18362,
								BgL_sz00_1843, BEOA);
							BgL_a2z00_1848 =
								PROCEDURE_ENTRY(BgL_a2z00_18363) (BgL_a2z00_18363,
								BgL_sz00_1843, BEOA);
							if (PROCEDUREP(BgL_fz00_1846))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18364,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_1846);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1850;

								BgL_ufz00_1850 = PROCEDURE_ATTR(BgL_fz00_1846);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_23467;

									if (STRUCTP(BgL_ufz00_1850))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23467 =
												(STRUCT_KEY(BgL_ufz00_1850) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23467 = ((bool_t) 0);
										}
									if (BgL_testz00_23467)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1852;
											obj_t BgL_runz00_1853;
											obj_t BgL_sfz00_1854;

											BgL_arityz00_1852 =
												STRUCT_REF(BgL_ufz00_1850, (int) (((long) 0)));
											BgL_runz00_1853 =
												STRUCT_REF(BgL_ufz00_1850, (int) (((long) 1)));
											BgL_sfz00_1854 =
												STRUCT_REF(BgL_ufz00_1850, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1852) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 879 */
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2339z00_1857;

														BgL_arg2339z00_1857 =
															((long) CINT(BgL_bpz00_1845) + ((long) 0));
														VECTOR_SET(BgL_sz00_1843,
															(int) (BgL_arg2339z00_1857), BgL_a1z00_1847);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2340z00_1858;

														BgL_arg2340z00_1858 =
															((long) CINT(BgL_bpz00_1845) + ((long) 1));
														VECTOR_SET(BgL_sz00_1843,
															(int) (BgL_arg2340z00_1858), BgL_a2z00_1848);
												}}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_1852))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_1852))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2342z00_1862;
																		obj_t BgL_arg2343z00_1863;

																		BgL_arg2342z00_1862 =
																			(
																			(long) CINT(BgL_bpz00_1845) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2344z00_1864;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2345z00_1865;

																				BgL_arg2345z00_1865 =
																					MAKE_PAIR(BgL_a2z00_1848, BNIL);
																				BgL_list2344z00_1864 =
																					MAKE_PAIR(BgL_a1z00_1847,
																					BgL_arg2345z00_1865);
																			}
																			BgL_arg2343z00_1863 =
																				BgL_list2344z00_1864;
																		}
																		VECTOR_SET(BgL_sz00_1843,
																			(int) (BgL_arg2342z00_1862),
																			BgL_arg2343z00_1863);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2346z00_1866;

																		BgL_arg2346z00_1866 =
																			(
																			(long) CINT(BgL_bpz00_1845) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1843,
																			(int) (BgL_arg2346z00_1866),
																			BgL_a1z00_1847);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2347z00_1867;
																		obj_t BgL_arg2348z00_1868;

																		BgL_arg2347z00_1867 =
																			(
																			(long) CINT(BgL_bpz00_1845) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2349z00_1869;

																			BgL_list2349z00_1869 =
																				MAKE_PAIR(BgL_a2z00_1848, BNIL);
																			BgL_arg2348z00_1868 =
																				BgL_list2349z00_1869;
																		}
																		VECTOR_SET(BgL_sz00_1843,
																			(int) (BgL_arg2347z00_1867),
																			BgL_arg2348z00_1868);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2350z00_1870;

																		BgL_arg2350z00_1870 =
																			(
																			(long) CINT(BgL_bpz00_1845) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1843,
																			(int) (BgL_arg2350z00_1870),
																			BgL_a1z00_1847);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2351z00_1871;

																		BgL_arg2351z00_1871 =
																			(
																			(long) CINT(BgL_bpz00_1845) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1843,
																			(int) (BgL_arg2351z00_1871),
																			BgL_a2z00_1848);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2352z00_1872;

																		BgL_arg2352z00_1872 =
																			(
																			(long) CINT(BgL_bpz00_1845) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1843,
																			(int) (BgL_arg2352z00_1872), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18364,
																		STRUCT_REF(BgL_ufz00_1850,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_1852));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18364, STRUCT_REF(BgL_ufz00_1850,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_1852));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_1876;

												BgL_z12denvz12_1876 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1876,
													BgL_locz00_18364);
												{	/* Eval/evaluate_comp.scm 879 */
													bool_t BgL_testz00_23532;

													{	/* Eval/evaluate_comp.scm 667 */
														int BgL_arg1970z00_8608;

														BgL_arg1970z00_8608 = VECTOR_LENGTH(BgL_sz00_1843);
														BgL_testz00_23532 =
															(
															((long) CINT(BgL_bpz00_1845) +
																(long) CINT(BgL_sfz00_1854)) <
															(long) (BgL_arg1970z00_8608));
													}
													if (BgL_testz00_23532)
														{	/* Eval/evaluate_comp.scm 879 */
															return BgL_runz00_1853;
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_1878;

															BgL_nsz00_1878 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2357z00_1880;

																BgL_arg2357z00_1880 =
																	((long) CINT(BgL_bpz00_1845) + ((long) 2));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1878, BINT(((long) 2)),
																	BgL_sz00_1843, BgL_bpz00_1845,
																	BINT(BgL_arg2357z00_1880));
															}
															VECTOR_SET(BgL_nsz00_1878,
																(int) (((long) 1)), BgL_sz00_1843);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1876,
																BgL_nsz00_1878);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1229z00_1881;

																BgL_exitd1229z00_1881 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32358ze3z83_18339;

																	BgL_zc3anonymousza32358ze3z83_18339 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32358ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32358ze3z83_18339,
																		(int) (((long) 0)), BgL_z12denvz12_1876);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32358ze3z83_18339,
																		(int) (((long) 1)), BgL_sz00_1843);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1229z00_1881,
																		BgL_zc3anonymousza32358ze3z83_18339);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1231z00_1883;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_8626;

																			BgL_savedzd2bpzd2_8626 =
																				VECTOR_REF(BgL_nsz00_1878,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_1878,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_8633;

																				BgL_fz00_8633 = BgL_runz00_1853;
																			BgL_recz00_8632:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_8634;

																					BgL_rz00_8634 =
																						PROCEDURE_ENTRY(BgL_fz00_8633)
																						(BgL_fz00_8633, BgL_nsz00_1878,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_23566;

																						if (PROCEDUREP(BgL_rz00_8634))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1962z00_8639;

																								BgL_arg1962z00_8639 =
																									PROCEDURE_ATTR(BgL_rz00_8634);
																								if (STRUCTP
																									(BgL_arg1962z00_8639))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_23566 =
																											(STRUCT_KEY
																											(BgL_arg1962z00_8639) ==
																											BGl_symbol5983z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_23566 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_23566 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_23566)
																							{
																								obj_t BgL_fz00_23574;

																								BgL_fz00_23574 = BgL_rz00_8634;
																								BgL_fz00_8633 = BgL_fz00_23574;
																								goto BgL_recz00_8632;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_1878,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_8626);
																								BgL_tmp1231z00_1883 =
																									BgL_rz00_8634;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1229z00_1881);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1876,
																			BgL_sz00_1843);
																		return BgL_tmp1231z00_1883;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1846,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1887;

													BgL_nbpz00_1887 =
														((long) CINT(BgL_bpz00_1845) + BgL_siza7eza7_18366);
													VECTOR_SET(BgL_sz00_1843,
														(int) (((long) 0)), BINT(BgL_nbpz00_1887));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_23587;

														BgL_auxz00_23587 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_23587,
															BgL_locz00_18364);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1889;

														BgL_rz00_1889 =
															PROCEDURE_ENTRY(BgL_fz00_1846) (BgL_fz00_1846,
															BgL_a1z00_1847, BgL_a2z00_1848, BEOA);
														VECTOR_SET(BgL_sz00_1843, (int) (((long) 0)),
															BgL_bpz00_1845);
														return BgL_rz00_1889;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18364, BgL_symbzd2funzd2_18365,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_1846));
		}}}}}}}}}
	}



/* &<anonymous:2358> */
	obj_t BGl_z62zc3anonymousza32358ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18368)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18369;
				obj_t BgL_sz00_18370;

				BgL_z12denvz12_18369 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18368, (int) (((long) 0))));
				BgL_sz00_18370 = PROCEDURE_REF(BgL_envz00_18368, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18369, BgL_sz00_18370);
				}
			}
		}
	}



/* &<anonymous:2362> */
	obj_t BGl_z62zc3anonymousza32362ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18371, obj_t BgL_sz00_18378)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18372;
				obj_t BgL_a1z00_18373;
				obj_t BgL_a2z00_18374;
				obj_t BgL_locz00_18375;
				obj_t BgL_symbzd2funzd2_18376;
				long BgL_siza7eza7_18377;

				BgL_funz00_18372 = PROCEDURE_REF(BgL_envz00_18371, (int) (((long) 0)));
				BgL_a1z00_18373 = PROCEDURE_REF(BgL_envz00_18371, (int) (((long) 1)));
				BgL_a2z00_18374 = PROCEDURE_REF(BgL_envz00_18371, (int) (((long) 2)));
				BgL_locz00_18375 = PROCEDURE_REF(BgL_envz00_18371, (int) (((long) 3)));
				BgL_symbzd2funzd2_18376 =
					PROCEDURE_REF(BgL_envz00_18371, (int) (((long) 4)));
				BgL_siza7eza7_18377 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18371, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1891;

					BgL_sz00_1891 = BgL_sz00_18378;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1893;

						BgL_bpz00_1893 = VECTOR_REF(BgL_sz00_1891, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1894;
							obj_t BgL_a1z00_1895;
							obj_t BgL_a2z00_1896;

							BgL_fz00_1894 =
								PROCEDURE_ENTRY(BgL_funz00_18372) (BgL_funz00_18372,
								BgL_sz00_1891, BEOA);
							BgL_a1z00_1895 =
								PROCEDURE_ENTRY(BgL_a1z00_18373) (BgL_a1z00_18373,
								BgL_sz00_1891, BEOA);
							BgL_a2z00_1896 =
								PROCEDURE_ENTRY(BgL_a2z00_18374) (BgL_a2z00_18374,
								BgL_sz00_1891, BEOA);
							if (PROCEDUREP(BgL_fz00_1894))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18375,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_1894);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1898;

								BgL_ufz00_1898 = PROCEDURE_ATTR(BgL_fz00_1894);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_23637;

									if (STRUCTP(BgL_ufz00_1898))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23637 =
												(STRUCT_KEY(BgL_ufz00_1898) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23637 = ((bool_t) 0);
										}
									if (BgL_testz00_23637)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1900;
											obj_t BgL_runz00_1901;
											obj_t BgL_sfz00_1902;

											BgL_arityz00_1900 =
												STRUCT_REF(BgL_ufz00_1898, (int) (((long) 0)));
											BgL_runz00_1901 =
												STRUCT_REF(BgL_ufz00_1898, (int) (((long) 1)));
											BgL_sfz00_1902 =
												STRUCT_REF(BgL_ufz00_1898, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_1900) == ((long) 2)))
												{	/* Eval/evaluate_comp.scm 879 */
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2366z00_1905;

														BgL_arg2366z00_1905 =
															((long) CINT(BgL_bpz00_1893) + ((long) 0));
														VECTOR_SET(BgL_sz00_1891,
															(int) (BgL_arg2366z00_1905), BgL_a1z00_1895);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2367z00_1906;

														BgL_arg2367z00_1906 =
															((long) CINT(BgL_bpz00_1893) + ((long) 1));
														VECTOR_SET(BgL_sz00_1891,
															(int) (BgL_arg2367z00_1906), BgL_a2z00_1896);
												}}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_1900))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_1900))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2369z00_1910;
																		obj_t BgL_arg2370z00_1911;

																		BgL_arg2369z00_1910 =
																			(
																			(long) CINT(BgL_bpz00_1893) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2371z00_1912;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2372z00_1913;

																				BgL_arg2372z00_1913 =
																					MAKE_PAIR(BgL_a2z00_1896, BNIL);
																				BgL_list2371z00_1912 =
																					MAKE_PAIR(BgL_a1z00_1895,
																					BgL_arg2372z00_1913);
																			}
																			BgL_arg2370z00_1911 =
																				BgL_list2371z00_1912;
																		}
																		VECTOR_SET(BgL_sz00_1891,
																			(int) (BgL_arg2369z00_1910),
																			BgL_arg2370z00_1911);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2373z00_1914;

																		BgL_arg2373z00_1914 =
																			(
																			(long) CINT(BgL_bpz00_1893) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1891,
																			(int) (BgL_arg2373z00_1914),
																			BgL_a1z00_1895);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2374z00_1915;
																		obj_t BgL_arg2375z00_1916;

																		BgL_arg2374z00_1915 =
																			(
																			(long) CINT(BgL_bpz00_1893) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2376z00_1917;

																			BgL_list2376z00_1917 =
																				MAKE_PAIR(BgL_a2z00_1896, BNIL);
																			BgL_arg2375z00_1916 =
																				BgL_list2376z00_1917;
																		}
																		VECTOR_SET(BgL_sz00_1891,
																			(int) (BgL_arg2374z00_1915),
																			BgL_arg2375z00_1916);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2377z00_1918;

																		BgL_arg2377z00_1918 =
																			(
																			(long) CINT(BgL_bpz00_1893) + ((long) 0));
																		VECTOR_SET(BgL_sz00_1891,
																			(int) (BgL_arg2377z00_1918),
																			BgL_a1z00_1895);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2378z00_1919;

																		BgL_arg2378z00_1919 =
																			(
																			(long) CINT(BgL_bpz00_1893) + ((long) 1));
																		VECTOR_SET(BgL_sz00_1891,
																			(int) (BgL_arg2378z00_1919),
																			BgL_a2z00_1896);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2379z00_1920;

																		BgL_arg2379z00_1920 =
																			(
																			(long) CINT(BgL_bpz00_1893) + ((long) 2));
																		VECTOR_SET(BgL_sz00_1891,
																			(int) (BgL_arg2379z00_1920), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18375,
																		STRUCT_REF(BgL_ufz00_1898,
																			(int) (((long) 3))), (int) (((long) 2)),
																		CINT(BgL_arityz00_1900));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18375, STRUCT_REF(BgL_ufz00_1898,
																	(int) (((long) 3))), (int) (((long) 2)),
																CINT(BgL_arityz00_1900));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_1924;

												BgL_z12denvz12_1924 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 879 */
													bool_t BgL_testz00_23701;

													{	/* Eval/evaluate_comp.scm 667 */
														int BgL_arg1970z00_8759;

														BgL_arg1970z00_8759 = VECTOR_LENGTH(BgL_sz00_1891);
														BgL_testz00_23701 =
															(
															((long) CINT(BgL_bpz00_1893) +
																(long) CINT(BgL_sfz00_1902)) <
															(long) (BgL_arg1970z00_8759));
													}
													if (BgL_testz00_23701)
														{	/* Eval/evaluate_comp.scm 879 */
															return BgL_runz00_1901;
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_1926;

															BgL_nsz00_1926 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2384z00_1928;

																BgL_arg2384z00_1928 =
																	((long) CINT(BgL_bpz00_1893) + ((long) 2));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_1926, BINT(((long) 2)),
																	BgL_sz00_1891, BgL_bpz00_1893,
																	BINT(BgL_arg2384z00_1928));
															}
															VECTOR_SET(BgL_nsz00_1926,
																(int) (((long) 1)), BgL_sz00_1891);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1924,
																BgL_nsz00_1926);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1234z00_1929;

																BgL_exitd1234z00_1929 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32385ze3z83_18341;

																	BgL_zc3anonymousza32385ze3z83_18341 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32385ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32385ze3z83_18341,
																		(int) (((long) 0)), BgL_z12denvz12_1924);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32385ze3z83_18341,
																		(int) (((long) 1)), BgL_sz00_1891);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1234z00_1929,
																		BgL_zc3anonymousza32385ze3z83_18341);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1236z00_1931;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_8777;

																			BgL_savedzd2bpzd2_8777 =
																				VECTOR_REF(BgL_nsz00_1926,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_1926,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_8784;

																				BgL_fz00_8784 = BgL_runz00_1901;
																			BgL_recz00_8783:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_8785;

																					BgL_rz00_8785 =
																						PROCEDURE_ENTRY(BgL_fz00_8784)
																						(BgL_fz00_8784, BgL_nsz00_1926,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_23735;

																						if (PROCEDUREP(BgL_rz00_8785))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1962z00_8790;

																								BgL_arg1962z00_8790 =
																									PROCEDURE_ATTR(BgL_rz00_8785);
																								if (STRUCTP
																									(BgL_arg1962z00_8790))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_23735 =
																											(STRUCT_KEY
																											(BgL_arg1962z00_8790) ==
																											BGl_symbol5983z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_23735 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_23735 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_23735)
																							{
																								obj_t BgL_fz00_23743;

																								BgL_fz00_23743 = BgL_rz00_8785;
																								BgL_fz00_8784 = BgL_fz00_23743;
																								goto BgL_recz00_8783;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_1926,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_8777);
																								BgL_tmp1236z00_1931 =
																									BgL_rz00_8785;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1234z00_1929);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1924,
																			BgL_sz00_1891);
																		return BgL_tmp1236z00_1931;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1894,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1935;

													BgL_nbpz00_1935 =
														((long) CINT(BgL_bpz00_1893) + BgL_siza7eza7_18377);
													VECTOR_SET(BgL_sz00_1891,
														(int) (((long) 0)), BINT(BgL_nbpz00_1935));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1936;

														BgL_rz00_1936 =
															PROCEDURE_ENTRY(BgL_fz00_1894) (BgL_fz00_1894,
															BgL_a1z00_1895, BgL_a2z00_1896, BEOA);
														VECTOR_SET(BgL_sz00_1891, (int) (((long) 0)),
															BgL_bpz00_1893);
														return BgL_rz00_1936;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18375, BgL_symbzd2funzd2_18376,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_1894));
		}}}}}}}}}
	}



/* &<anonymous:2385> */
	obj_t BGl_z62zc3anonymousza32385ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18379)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18380;
				obj_t BgL_sz00_18381;

				BgL_z12denvz12_18380 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18379, (int) (((long) 0))));
				BgL_sz00_18381 = PROCEDURE_REF(BgL_envz00_18379, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18380, BgL_sz00_18381);
				}
			}
		}
	}



/* &<anonymous:2390> */
	obj_t BGl_z62zc3anonymousza32390ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18382, obj_t BgL_sz00_18389)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18383;
				obj_t BgL_a1z00_18384;
				obj_t BgL_a2z00_18385;
				obj_t BgL_locz00_18386;
				obj_t BgL_symbzd2funzd2_18387;
				long BgL_siza7eza7_18388;

				BgL_funz00_18383 = PROCEDURE_REF(BgL_envz00_18382, (int) (((long) 0)));
				BgL_a1z00_18384 = PROCEDURE_REF(BgL_envz00_18382, (int) (((long) 1)));
				BgL_a2z00_18385 = PROCEDURE_REF(BgL_envz00_18382, (int) (((long) 2)));
				BgL_locz00_18386 = PROCEDURE_REF(BgL_envz00_18382, (int) (((long) 3)));
				BgL_symbzd2funzd2_18387 =
					PROCEDURE_REF(BgL_envz00_18382, (int) (((long) 4)));
				BgL_siza7eza7_18388 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18382, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1940;

					BgL_sz00_1940 = BgL_sz00_18389;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1942;

						BgL_bpz00_1942 = VECTOR_REF(BgL_sz00_1940, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1943;
							obj_t BgL_a1z00_1944;
							obj_t BgL_a2z00_1945;

							BgL_fz00_1943 =
								PROCEDURE_ENTRY(BgL_funz00_18383) (BgL_funz00_18383,
								BgL_sz00_1940, BEOA);
							BgL_a1z00_1944 =
								PROCEDURE_ENTRY(BgL_a1z00_18384) (BgL_a1z00_18384,
								BgL_sz00_1940, BEOA);
							BgL_a2z00_1945 =
								PROCEDURE_ENTRY(BgL_a2z00_18385) (BgL_a2z00_18385,
								BgL_sz00_1940, BEOA);
							if (PROCEDUREP(BgL_fz00_1943))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18386,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_1943);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1947;

								BgL_ufz00_1947 = PROCEDURE_ATTR(BgL_fz00_1943);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_23803;

									if (STRUCTP(BgL_ufz00_1947))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23803 =
												(STRUCT_KEY(BgL_ufz00_1947) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23803 = ((bool_t) 0);
										}
									if (BgL_testz00_23803)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1949;
											obj_t BgL_runz00_1950;
											obj_t BgL_sfz00_1951;

											BgL_arityz00_1949 =
												STRUCT_REF(BgL_ufz00_1947, (int) (((long) 0)));
											BgL_runz00_1950 =
												STRUCT_REF(BgL_ufz00_1947, (int) (((long) 1)));
											BgL_sfz00_1951 =
												STRUCT_REF(BgL_ufz00_1947, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_1952;

												BgL_spz00_1952 =
													((long) CINT(BgL_bpz00_1942) + BgL_siza7eza7_18388);
												if (((long) CINT(BgL_arityz00_1949) == ((long) 2)))
													{	/* Eval/evaluate_comp.scm 879 */
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2394z00_1954;

															BgL_arg2394z00_1954 =
																(BgL_spz00_1952 + ((long) 0));
															VECTOR_SET(BgL_sz00_1940,
																(int) (BgL_arg2394z00_1954), BgL_a1z00_1944);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2395z00_1955;

															BgL_arg2395z00_1955 =
																(BgL_spz00_1952 + ((long) 1));
															VECTOR_SET(BgL_sz00_1940,
																(int) (BgL_arg2395z00_1955), BgL_a2z00_1945);
													}}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_1949))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_1949))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2397z00_1959;
																			obj_t BgL_arg2398z00_1960;

																			BgL_arg2397z00_1959 =
																				(BgL_spz00_1952 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2399z00_1961;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2400z00_1962;

																					BgL_arg2400z00_1962 =
																						MAKE_PAIR(BgL_a2z00_1945, BNIL);
																					BgL_list2399z00_1961 =
																						MAKE_PAIR(BgL_a1z00_1944,
																						BgL_arg2400z00_1962);
																				}
																				BgL_arg2398z00_1960 =
																					BgL_list2399z00_1961;
																			}
																			VECTOR_SET(BgL_sz00_1940,
																				(int) (BgL_arg2397z00_1959),
																				BgL_arg2398z00_1960);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2401z00_1963;

																			BgL_arg2401z00_1963 =
																				(BgL_spz00_1952 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1940,
																				(int) (BgL_arg2401z00_1963),
																				BgL_a1z00_1944);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2402z00_1964;
																			obj_t BgL_arg2403z00_1965;

																			BgL_arg2402z00_1964 =
																				(BgL_spz00_1952 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2404z00_1966;

																				BgL_list2404z00_1966 =
																					MAKE_PAIR(BgL_a2z00_1945, BNIL);
																				BgL_arg2403z00_1965 =
																					BgL_list2404z00_1966;
																			}
																			VECTOR_SET(BgL_sz00_1940,
																				(int) (BgL_arg2402z00_1964),
																				BgL_arg2403z00_1965);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2405z00_1967;

																			BgL_arg2405z00_1967 =
																				(BgL_spz00_1952 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1940,
																				(int) (BgL_arg2405z00_1967),
																				BgL_a1z00_1944);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2406z00_1968;

																			BgL_arg2406z00_1968 =
																				(BgL_spz00_1952 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1940,
																				(int) (BgL_arg2406z00_1968),
																				BgL_a2z00_1945);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2407z00_1969;

																			BgL_arg2407z00_1969 =
																				(BgL_spz00_1952 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1940,
																				(int) (BgL_arg2407z00_1969), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18386,
																			STRUCT_REF(BgL_ufz00_1947,
																				(int) (((long) 3))), (int) (((long) 2)),
																			CINT(BgL_arityz00_1949));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18386, STRUCT_REF(BgL_ufz00_1947,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_1949));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_1973;

													BgL_z12denvz12_1973 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_1973,
														BgL_locz00_18386);
													{	/* Eval/evaluate_comp.scm 879 */
														bool_t BgL_testz00_23862;

														{	/* Eval/evaluate_comp.scm 667 */
															int BgL_arg1970z00_8909;

															BgL_arg1970z00_8909 =
																VECTOR_LENGTH(BgL_sz00_1940);
															BgL_testz00_23862 =
																(
																(BgL_spz00_1952 +
																	(long) CINT(BgL_sfz00_1951)) <
																(long) (BgL_arg1970z00_8909));
														}
														if (BgL_testz00_23862)
															{	/* Eval/evaluate_comp.scm 879 */
																return
																	BGl_catchzd2trampolinezd2zz__evaluate_compz00
																	(BgL_runz00_1950, BgL_sz00_1940,
																	BINT(BgL_spz00_1952));
															}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_nsz00_1975;

																BgL_nsz00_1975 =
																	BGl_makezd2statezd2zz__evaluate_compz00();
																{	/* Eval/evaluate_comp.scm 879 */
																	long BgL_arg2412z00_1977;

																	BgL_arg2412z00_1977 =
																		(BgL_spz00_1952 + ((long) 2));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_nsz00_1975, BINT(((long) 2)),
																		BgL_sz00_1940, BINT(BgL_spz00_1952),
																		BINT(BgL_arg2412z00_1977));
																}
																VECTOR_SET(BgL_nsz00_1975,
																	(int) (((long) 1)), BgL_sz00_1940);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1973,
																	BgL_nsz00_1975);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_exitd1239z00_1978;

																	BgL_exitd1239z00_1978 =
																		BGL_EXITD_TOP_AS_OBJ();
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_zc3anonymousza32413ze3z83_18343;

																		BgL_zc3anonymousza32413ze3z83_18343 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32413ze3ze1zz__evaluate_compz00,
																			(int) (((long) 0)), (int) (((long) 2)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32413ze3z83_18343,
																			(int) (((long) 0)), BgL_z12denvz12_1973);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32413ze3z83_18343,
																			(int) (((long) 1)), BgL_sz00_1940);
																		BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																			(BgL_exitd1239z00_1978,
																			BgL_zc3anonymousza32413ze3z83_18343);
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_tmp1241z00_1980;

																			{	/* Eval/evaluate_comp.scm 651 */
																				obj_t BgL_savedzd2bpzd2_8926;

																				BgL_savedzd2bpzd2_8926 =
																					VECTOR_REF(BgL_nsz00_1975,
																					(int) (((long) 0)));
																				VECTOR_SET(BgL_nsz00_1975,
																					(int) (((long) 0)), BINT(((long) 2)));
																				{
																					obj_t BgL_fz00_8933;

																					BgL_fz00_8933 = BgL_runz00_1950;
																				BgL_recz00_8932:
																					{	/* Eval/evaluate_comp.scm 654 */
																						obj_t BgL_rz00_8934;

																						BgL_rz00_8934 =
																							PROCEDURE_ENTRY(BgL_fz00_8933)
																							(BgL_fz00_8933, BgL_nsz00_1975,
																							BEOA);
																						{	/* Eval/evaluate_comp.scm 655 */
																							bool_t BgL_testz00_23897;

																							if (PROCEDUREP(BgL_rz00_8934))
																								{	/* Eval/evaluate_comp.scm 655 */
																									obj_t BgL_arg1962z00_8939;

																									BgL_arg1962z00_8939 =
																										PROCEDURE_ATTR
																										(BgL_rz00_8934);
																									if (STRUCTP
																										(BgL_arg1962z00_8939))
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_23897 =
																												(STRUCT_KEY
																												(BgL_arg1962z00_8939) ==
																												BGl_symbol5983z00zz__evaluate_compz00);
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_23897 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									BgL_testz00_23897 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_23897)
																								{
																									obj_t BgL_fz00_23905;

																									BgL_fz00_23905 =
																										BgL_rz00_8934;
																									BgL_fz00_8933 =
																										BgL_fz00_23905;
																									goto BgL_recz00_8932;
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									VECTOR_SET(BgL_nsz00_1975,
																										(int) (((long) 0)),
																										BgL_savedzd2bpzd2_8926);
																									BgL_tmp1241z00_1980 =
																										BgL_rz00_8934;
																			}}}}}
																			BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																				(BgL_exitd1239z00_1978);
																			BGL_ENV_EVSTATE_SET(BgL_z12denvz12_1973,
																				BgL_sz00_1940);
																			return BgL_tmp1241z00_1980;
																		}
																	}
																}
															}
													}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1943,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_1984;

													BgL_nbpz00_1984 =
														((long) CINT(BgL_bpz00_1942) + BgL_siza7eza7_18388);
													VECTOR_SET(BgL_sz00_1940,
														(int) (((long) 0)), BINT(BgL_nbpz00_1984));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_23918;

														BgL_auxz00_23918 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_23918,
															BgL_locz00_18386);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_1986;

														BgL_rz00_1986 =
															PROCEDURE_ENTRY(BgL_fz00_1943) (BgL_fz00_1943,
															BgL_a1z00_1944, BgL_a2z00_1945, BEOA);
														VECTOR_SET(BgL_sz00_1940, (int) (((long) 0)),
															BgL_bpz00_1942);
														return BgL_rz00_1986;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18386, BgL_symbzd2funzd2_18387,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_1943));
		}}}}}}}}}
	}



/* &<anonymous:2413> */
	obj_t BGl_z62zc3anonymousza32413ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18390)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18391;
				obj_t BgL_sz00_18392;

				BgL_z12denvz12_18391 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18390, (int) (((long) 0))));
				BgL_sz00_18392 = PROCEDURE_REF(BgL_envz00_18390, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18391, BgL_sz00_18392);
				}
			}
		}
	}



/* &<anonymous:2418> */
	obj_t BGl_z62zc3anonymousza32418ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18393, obj_t BgL_sz00_18400)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18394;
				obj_t BgL_a1z00_18395;
				obj_t BgL_a2z00_18396;
				obj_t BgL_locz00_18397;
				obj_t BgL_symbzd2funzd2_18398;
				long BgL_siza7eza7_18399;

				BgL_funz00_18394 = PROCEDURE_REF(BgL_envz00_18393, (int) (((long) 0)));
				BgL_a1z00_18395 = PROCEDURE_REF(BgL_envz00_18393, (int) (((long) 1)));
				BgL_a2z00_18396 = PROCEDURE_REF(BgL_envz00_18393, (int) (((long) 2)));
				BgL_locz00_18397 = PROCEDURE_REF(BgL_envz00_18393, (int) (((long) 3)));
				BgL_symbzd2funzd2_18398 =
					PROCEDURE_REF(BgL_envz00_18393, (int) (((long) 4)));
				BgL_siza7eza7_18399 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18393, (int) (((long) 5))));
				{
					obj_t BgL_sz00_1988;

					BgL_sz00_1988 = BgL_sz00_18400;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_1990;

						BgL_bpz00_1990 = VECTOR_REF(BgL_sz00_1988, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_1991;
							obj_t BgL_a1z00_1992;
							obj_t BgL_a2z00_1993;

							BgL_fz00_1991 =
								PROCEDURE_ENTRY(BgL_funz00_18394) (BgL_funz00_18394,
								BgL_sz00_1988, BEOA);
							BgL_a1z00_1992 =
								PROCEDURE_ENTRY(BgL_a1z00_18395) (BgL_a1z00_18395,
								BgL_sz00_1988, BEOA);
							BgL_a2z00_1993 =
								PROCEDURE_ENTRY(BgL_a2z00_18396) (BgL_a2z00_18396,
								BgL_sz00_1988, BEOA);
							if (PROCEDUREP(BgL_fz00_1991))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18397,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_1991);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_1995;

								BgL_ufz00_1995 = PROCEDURE_ATTR(BgL_fz00_1991);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_23968;

									if (STRUCTP(BgL_ufz00_1995))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23968 =
												(STRUCT_KEY(BgL_ufz00_1995) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_23968 = ((bool_t) 0);
										}
									if (BgL_testz00_23968)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_1997;
											obj_t BgL_runz00_1998;
											obj_t BgL_sfz00_1999;

											BgL_arityz00_1997 =
												STRUCT_REF(BgL_ufz00_1995, (int) (((long) 0)));
											BgL_runz00_1998 =
												STRUCT_REF(BgL_ufz00_1995, (int) (((long) 1)));
											BgL_sfz00_1999 =
												STRUCT_REF(BgL_ufz00_1995, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_2000;

												BgL_spz00_2000 =
													((long) CINT(BgL_bpz00_1990) + BgL_siza7eza7_18399);
												if (((long) CINT(BgL_arityz00_1997) == ((long) 2)))
													{	/* Eval/evaluate_comp.scm 879 */
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2422z00_2002;

															BgL_arg2422z00_2002 =
																(BgL_spz00_2000 + ((long) 0));
															VECTOR_SET(BgL_sz00_1988,
																(int) (BgL_arg2422z00_2002), BgL_a1z00_1992);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2423z00_2003;

															BgL_arg2423z00_2003 =
																(BgL_spz00_2000 + ((long) 1));
															VECTOR_SET(BgL_sz00_1988,
																(int) (BgL_arg2423z00_2003), BgL_a2z00_1993);
													}}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_1997))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_1997))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2425z00_2007;
																			obj_t BgL_arg2426z00_2008;

																			BgL_arg2425z00_2007 =
																				(BgL_spz00_2000 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2427z00_2009;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2428z00_2010;

																					BgL_arg2428z00_2010 =
																						MAKE_PAIR(BgL_a2z00_1993, BNIL);
																					BgL_list2427z00_2009 =
																						MAKE_PAIR(BgL_a1z00_1992,
																						BgL_arg2428z00_2010);
																				}
																				BgL_arg2426z00_2008 =
																					BgL_list2427z00_2009;
																			}
																			VECTOR_SET(BgL_sz00_1988,
																				(int) (BgL_arg2425z00_2007),
																				BgL_arg2426z00_2008);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2429z00_2011;

																			BgL_arg2429z00_2011 =
																				(BgL_spz00_2000 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1988,
																				(int) (BgL_arg2429z00_2011),
																				BgL_a1z00_1992);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2430z00_2012;
																			obj_t BgL_arg2432z00_2013;

																			BgL_arg2430z00_2012 =
																				(BgL_spz00_2000 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2433z00_2014;

																				BgL_list2433z00_2014 =
																					MAKE_PAIR(BgL_a2z00_1993, BNIL);
																				BgL_arg2432z00_2013 =
																					BgL_list2433z00_2014;
																			}
																			VECTOR_SET(BgL_sz00_1988,
																				(int) (BgL_arg2430z00_2012),
																				BgL_arg2432z00_2013);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2434z00_2015;

																			BgL_arg2434z00_2015 =
																				(BgL_spz00_2000 + ((long) 0));
																			VECTOR_SET(BgL_sz00_1988,
																				(int) (BgL_arg2434z00_2015),
																				BgL_a1z00_1992);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2435z00_2016;

																			BgL_arg2435z00_2016 =
																				(BgL_spz00_2000 + ((long) 1));
																			VECTOR_SET(BgL_sz00_1988,
																				(int) (BgL_arg2435z00_2016),
																				BgL_a2z00_1993);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2436z00_2017;

																			BgL_arg2436z00_2017 =
																				(BgL_spz00_2000 + ((long) 2));
																			VECTOR_SET(BgL_sz00_1988,
																				(int) (BgL_arg2436z00_2017), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18397,
																			STRUCT_REF(BgL_ufz00_1995,
																				(int) (((long) 3))), (int) (((long) 2)),
																			CINT(BgL_arityz00_1997));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18397, STRUCT_REF(BgL_ufz00_1995,
																		(int) (((long) 3))), (int) (((long) 2)),
																	CINT(BgL_arityz00_1997));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_2021;

													BgL_z12denvz12_2021 = BGL_CURRENT_DYNAMIC_ENV();
													{	/* Eval/evaluate_comp.scm 879 */
														bool_t BgL_testz00_24026;

														{	/* Eval/evaluate_comp.scm 667 */
															int BgL_arg1970z00_9059;

															BgL_arg1970z00_9059 =
																VECTOR_LENGTH(BgL_sz00_1988);
															BgL_testz00_24026 =
																(
																(BgL_spz00_2000 +
																	(long) CINT(BgL_sfz00_1999)) <
																(long) (BgL_arg1970z00_9059));
														}
														if (BgL_testz00_24026)
															{	/* Eval/evaluate_comp.scm 879 */
																return
																	BGl_catchzd2trampolinezd2zz__evaluate_compz00
																	(BgL_runz00_1998, BgL_sz00_1988,
																	BINT(BgL_spz00_2000));
															}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_nsz00_2023;

																BgL_nsz00_2023 =
																	BGl_makezd2statezd2zz__evaluate_compz00();
																{	/* Eval/evaluate_comp.scm 879 */
																	long BgL_arg2441z00_2025;

																	BgL_arg2441z00_2025 =
																		(BgL_spz00_2000 + ((long) 2));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_nsz00_2023, BINT(((long) 2)),
																		BgL_sz00_1988, BINT(BgL_spz00_2000),
																		BINT(BgL_arg2441z00_2025));
																}
																VECTOR_SET(BgL_nsz00_2023,
																	(int) (((long) 1)), BgL_sz00_1988);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2021,
																	BgL_nsz00_2023);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_exitd1244z00_2026;

																	BgL_exitd1244z00_2026 =
																		BGL_EXITD_TOP_AS_OBJ();
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_zc3anonymousza32442ze3z83_18345;

																		BgL_zc3anonymousza32442ze3z83_18345 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32442ze3ze1zz__evaluate_compz00,
																			(int) (((long) 0)), (int) (((long) 2)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32442ze3z83_18345,
																			(int) (((long) 0)), BgL_z12denvz12_2021);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32442ze3z83_18345,
																			(int) (((long) 1)), BgL_sz00_1988);
																		BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																			(BgL_exitd1244z00_2026,
																			BgL_zc3anonymousza32442ze3z83_18345);
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_tmp1246z00_2028;

																			{	/* Eval/evaluate_comp.scm 651 */
																				obj_t BgL_savedzd2bpzd2_9076;

																				BgL_savedzd2bpzd2_9076 =
																					VECTOR_REF(BgL_nsz00_2023,
																					(int) (((long) 0)));
																				VECTOR_SET(BgL_nsz00_2023,
																					(int) (((long) 0)), BINT(((long) 2)));
																				{
																					obj_t BgL_fz00_9083;

																					BgL_fz00_9083 = BgL_runz00_1998;
																				BgL_recz00_9082:
																					{	/* Eval/evaluate_comp.scm 654 */
																						obj_t BgL_rz00_9084;

																						BgL_rz00_9084 =
																							PROCEDURE_ENTRY(BgL_fz00_9083)
																							(BgL_fz00_9083, BgL_nsz00_2023,
																							BEOA);
																						{	/* Eval/evaluate_comp.scm 655 */
																							bool_t BgL_testz00_24061;

																							if (PROCEDUREP(BgL_rz00_9084))
																								{	/* Eval/evaluate_comp.scm 655 */
																									obj_t BgL_arg1962z00_9089;

																									BgL_arg1962z00_9089 =
																										PROCEDURE_ATTR
																										(BgL_rz00_9084);
																									if (STRUCTP
																										(BgL_arg1962z00_9089))
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_24061 =
																												(STRUCT_KEY
																												(BgL_arg1962z00_9089) ==
																												BGl_symbol5983z00zz__evaluate_compz00);
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_24061 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									BgL_testz00_24061 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_24061)
																								{
																									obj_t BgL_fz00_24069;

																									BgL_fz00_24069 =
																										BgL_rz00_9084;
																									BgL_fz00_9083 =
																										BgL_fz00_24069;
																									goto BgL_recz00_9082;
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									VECTOR_SET(BgL_nsz00_2023,
																										(int) (((long) 0)),
																										BgL_savedzd2bpzd2_9076);
																									BgL_tmp1246z00_2028 =
																										BgL_rz00_9084;
																			}}}}}
																			BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																				(BgL_exitd1244z00_2026);
																			BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2021,
																				BgL_sz00_1988);
																			return BgL_tmp1246z00_2028;
																		}
																	}
																}
															}
													}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_1991,
													(int) (((long) 2))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_2032;

													BgL_nbpz00_2032 =
														((long) CINT(BgL_bpz00_1990) + BgL_siza7eza7_18399);
													VECTOR_SET(BgL_sz00_1988,
														(int) (((long) 0)), BINT(BgL_nbpz00_2032));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_2033;

														BgL_rz00_2033 =
															PROCEDURE_ENTRY(BgL_fz00_1991) (BgL_fz00_1991,
															BgL_a1z00_1992, BgL_a2z00_1993, BEOA);
														VECTOR_SET(BgL_sz00_1988, (int) (((long) 0)),
															BgL_bpz00_1990);
														return BgL_rz00_2033;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18397, BgL_symbzd2funzd2_18398,
														(int) (((long) 2)), PROCEDURE_ARITY(BgL_fz00_1991));
		}}}}}}}}}
	}



/* &<anonymous:2442> */
	obj_t BGl_z62zc3anonymousza32442ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18401)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18402;
				obj_t BgL_sz00_18403;

				BgL_z12denvz12_18402 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18401, (int) (((long) 0))));
				BgL_sz00_18403 = PROCEDURE_REF(BgL_envz00_18401, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18402, BgL_sz00_18403);
				}
			}
		}
	}



/* comp-call3 */
	obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_162,
		BgL_ev_exprz00_bglt BgL_vfunz00_163, obj_t BgL_symbzd2funzd2_164,
		obj_t BgL_funz00_165, obj_t BgL_tailzf3zf3_166, obj_t BgL_stkz00_167,
		long BgL_siza7eza7_168, obj_t BgL_a1z00_169, obj_t BgL_a2z00_170,
		obj_t BgL_a3z00_171)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_cfunz00_2036;

				BgL_cfunz00_2036 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_163,
					((long) 3), BgL_locz00_162, BgL_symbzd2funzd2_164);
				if (CBOOL(BgL_cfunz00_2036))
					{	/* Eval/evaluate_comp.scm 879 */
						bool_t BgL_testz00_24101;

						{	/* Eval/evaluate_comp.scm 879 */
							int BgL_arg2451z00_2055;

							BgL_arg2451z00_2055 = bgl_debug();
							BgL_testz00_24101 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2451z00_2055),
								BINT(((long) 0)));
						}
						if (BgL_testz00_24101)
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32448ze3z83_18404;

								BgL_zc3anonymousza32448ze3z83_18404 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32448ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32448ze3z83_18404,
									(int) (((long) 0)), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32448ze3z83_18404,
									(int) (((long) 1)), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32448ze3z83_18404,
									(int) (((long) 2)), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3anonymousza32448ze3z83_18404,
									(int) (((long) 3)), BINT(BgL_siza7eza7_168));
								PROCEDURE_SET(BgL_zc3anonymousza32448ze3z83_18404,
									(int) (((long) 4)), BgL_locz00_162);
								PROCEDURE_SET(BgL_zc3anonymousza32448ze3z83_18404,
									(int) (((long) 5)), BgL_cfunz00_2036);
								return BgL_zc3anonymousza32448ze3z83_18404;
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32450ze3z83_18405;

								BgL_zc3anonymousza32450ze3z83_18405 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32450ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_zc3anonymousza32450ze3z83_18405,
									(int) (((long) 0)), BgL_a1z00_169);
								PROCEDURE_SET(BgL_zc3anonymousza32450ze3z83_18405,
									(int) (((long) 1)), BgL_a2z00_170);
								PROCEDURE_SET(BgL_zc3anonymousza32450ze3z83_18405,
									(int) (((long) 2)), BgL_a3z00_171);
								PROCEDURE_SET(BgL_zc3anonymousza32450ze3z83_18405,
									(int) (((long) 3)), BINT(BgL_siza7eza7_168));
								PROCEDURE_SET(BgL_zc3anonymousza32450ze3z83_18405,
									(int) (((long) 4)), BgL_cfunz00_2036);
								return BgL_zc3anonymousza32450ze3z83_18405;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 879 */
						if (CBOOL(BgL_tailzf3zf3_166))
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_24138;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2525z00_2172;

									BgL_arg2525z00_2172 = bgl_debug();
									BgL_testz00_24138 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2525z00_2172),
										BINT(((long) 0)));
								}
								if (BgL_testz00_24138)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32453ze3z83_18407;

										BgL_zc3anonymousza32453ze3z83_18407 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32453ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32453ze3z83_18407,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32453ze3z83_18407,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32453ze3z83_18407,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32453ze3z83_18407,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32453ze3z83_18407,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32453ze3z83_18407,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32453ze3z83_18407,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32453ze3z83_18407;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32490ze3z83_18409;

										BgL_zc3anonymousza32490ze3z83_18409 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32490ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32490ze3z83_18409,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32490ze3z83_18409,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32490ze3z83_18409,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32490ze3z83_18409,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32490ze3z83_18409,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32490ze3z83_18409,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32490ze3z83_18409,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32490ze3z83_18409;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_24179;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2598z00_2289;

									BgL_arg2598z00_2289 = bgl_debug();
									BgL_testz00_24179 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2598z00_2289),
										BINT(((long) 0)));
								}
								if (BgL_testz00_24179)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32527ze3z83_18411;

										BgL_zc3anonymousza32527ze3z83_18411 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32527ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32527ze3z83_18411,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32527ze3z83_18411,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32527ze3z83_18411,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32527ze3z83_18411,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32527ze3z83_18411,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32527ze3z83_18411,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32527ze3z83_18411,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32527ze3z83_18411;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32563ze3z83_18413;

										BgL_zc3anonymousza32563ze3z83_18413 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32563ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 7)));
										PROCEDURE_SET(BgL_zc3anonymousza32563ze3z83_18413,
											(int) (((long) 0)), BgL_funz00_165);
										PROCEDURE_SET(BgL_zc3anonymousza32563ze3z83_18413,
											(int) (((long) 1)), BgL_a1z00_169);
										PROCEDURE_SET(BgL_zc3anonymousza32563ze3z83_18413,
											(int) (((long) 2)), BgL_a2z00_170);
										PROCEDURE_SET(BgL_zc3anonymousza32563ze3z83_18413,
											(int) (((long) 3)), BgL_a3z00_171);
										PROCEDURE_SET(BgL_zc3anonymousza32563ze3z83_18413,
											(int) (((long) 4)), BgL_locz00_162);
										PROCEDURE_SET(BgL_zc3anonymousza32563ze3z83_18413,
											(int) (((long) 5)), BgL_symbzd2funzd2_164);
										PROCEDURE_SET(BgL_zc3anonymousza32563ze3z83_18413,
											(int) (((long) 6)), BINT(BgL_siza7eza7_168));
										return BgL_zc3anonymousza32563ze3z83_18413;
									}
							}
					}
			}
		}
	}



/* &<anonymous:2448> */
	obj_t BGl_z62zc3anonymousza32448ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18414, obj_t BgL_sz00_18421)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_a1z00_18415;
				obj_t BgL_a2z00_18416;
				obj_t BgL_a3z00_18417;
				long BgL_siza7eza7_18418;
				obj_t BgL_locz00_18419;
				obj_t BgL_cfunz00_18420;

				BgL_a1z00_18415 = PROCEDURE_REF(BgL_envz00_18414, (int) (((long) 0)));
				BgL_a2z00_18416 = PROCEDURE_REF(BgL_envz00_18414, (int) (((long) 1)));
				BgL_a3z00_18417 = PROCEDURE_REF(BgL_envz00_18414, (int) (((long) 2)));
				BgL_siza7eza7_18418 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18414, (int) (((long) 3))));
				BgL_locz00_18419 = PROCEDURE_REF(BgL_envz00_18414, (int) (((long) 4)));
				BgL_cfunz00_18420 = PROCEDURE_REF(BgL_envz00_18414, (int) (((long) 5)));
				{
					obj_t BgL_sz00_2038;

					BgL_sz00_2038 = BgL_sz00_18421;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2040;

						BgL_bpz00_2040 = VECTOR_REF(BgL_sz00_2038, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_a1z00_2041;
							obj_t BgL_a2z00_2042;
							obj_t BgL_a3z00_2043;

							BgL_a1z00_2041 =
								PROCEDURE_ENTRY(BgL_a1z00_18415) (BgL_a1z00_18415,
								BgL_sz00_2038, BEOA);
							BgL_a2z00_2042 =
								PROCEDURE_ENTRY(BgL_a2z00_18416) (BgL_a2z00_18416,
								BgL_sz00_2038, BEOA);
							BgL_a3z00_2043 =
								PROCEDURE_ENTRY(BgL_a3z00_18417) (BgL_a3z00_18417,
								BgL_sz00_2038, BEOA);
							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_2044;

								BgL_nbpz00_2044 =
									((long) CINT(BgL_bpz00_2040) + BgL_siza7eza7_18418);
								VECTOR_SET(BgL_sz00_2038,
									(int) (((long) 0)), BINT(BgL_nbpz00_2044));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_auxz00_24252;

									BgL_auxz00_24252 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_24252,
										BgL_locz00_18419);
								}
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_2046;

									BgL_rz00_2046 =
										PROCEDURE_ENTRY(BgL_cfunz00_18420) (BgL_cfunz00_18420,
										BgL_a1z00_2041, BgL_a2z00_2042, BgL_a3z00_2043, BEOA);
									VECTOR_SET(BgL_sz00_2038, (int) (((long) 0)), BgL_bpz00_2040);
									return BgL_rz00_2046;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2450> */
	obj_t BGl_z62zc3anonymousza32450ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18422, obj_t BgL_sz00_18428)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_a1z00_18423;
				obj_t BgL_a2z00_18424;
				obj_t BgL_a3z00_18425;
				long BgL_siza7eza7_18426;
				obj_t BgL_cfunz00_18427;

				BgL_a1z00_18423 = PROCEDURE_REF(BgL_envz00_18422, (int) (((long) 0)));
				BgL_a2z00_18424 = PROCEDURE_REF(BgL_envz00_18422, (int) (((long) 1)));
				BgL_a3z00_18425 = PROCEDURE_REF(BgL_envz00_18422, (int) (((long) 2)));
				BgL_siza7eza7_18426 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18422, (int) (((long) 3))));
				BgL_cfunz00_18427 = PROCEDURE_REF(BgL_envz00_18422, (int) (((long) 4)));
				{
					obj_t BgL_sz00_2047;

					BgL_sz00_2047 = BgL_sz00_18428;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2049;

						BgL_bpz00_2049 = VECTOR_REF(BgL_sz00_2047, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_a1z00_2050;
							obj_t BgL_a2z00_2051;
							obj_t BgL_a3z00_2052;

							BgL_a1z00_2050 =
								PROCEDURE_ENTRY(BgL_a1z00_18423) (BgL_a1z00_18423,
								BgL_sz00_2047, BEOA);
							BgL_a2z00_2051 =
								PROCEDURE_ENTRY(BgL_a2z00_18424) (BgL_a2z00_18424,
								BgL_sz00_2047, BEOA);
							BgL_a3z00_2052 =
								PROCEDURE_ENTRY(BgL_a3z00_18425) (BgL_a3z00_18425,
								BgL_sz00_2047, BEOA);
							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_2053;

								BgL_nbpz00_2053 =
									((long) CINT(BgL_bpz00_2049) + BgL_siza7eza7_18426);
								VECTOR_SET(BgL_sz00_2047,
									(int) (((long) 0)), BINT(BgL_nbpz00_2053));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_2054;

									BgL_rz00_2054 =
										PROCEDURE_ENTRY(BgL_cfunz00_18427) (BgL_cfunz00_18427,
										BgL_a1z00_2050, BgL_a2z00_2051, BgL_a3z00_2052, BEOA);
									VECTOR_SET(BgL_sz00_2047, (int) (((long) 0)), BgL_bpz00_2049);
									return BgL_rz00_2054;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2453> */
	obj_t BGl_z62zc3anonymousza32453ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18429, obj_t BgL_sz00_18437)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18430;
				obj_t BgL_a1z00_18431;
				obj_t BgL_a2z00_18432;
				obj_t BgL_a3z00_18433;
				obj_t BgL_locz00_18434;
				obj_t BgL_symbzd2funzd2_18435;
				long BgL_siza7eza7_18436;

				BgL_funz00_18430 = PROCEDURE_REF(BgL_envz00_18429, (int) (((long) 0)));
				BgL_a1z00_18431 = PROCEDURE_REF(BgL_envz00_18429, (int) (((long) 1)));
				BgL_a2z00_18432 = PROCEDURE_REF(BgL_envz00_18429, (int) (((long) 2)));
				BgL_a3z00_18433 = PROCEDURE_REF(BgL_envz00_18429, (int) (((long) 3)));
				BgL_locz00_18434 = PROCEDURE_REF(BgL_envz00_18429, (int) (((long) 4)));
				BgL_symbzd2funzd2_18435 =
					PROCEDURE_REF(BgL_envz00_18429, (int) (((long) 5)));
				BgL_siza7eza7_18436 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18429, (int) (((long) 6))));
				{
					obj_t BgL_sz00_2057;

					BgL_sz00_2057 = BgL_sz00_18437;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2059;

						BgL_bpz00_2059 = VECTOR_REF(BgL_sz00_2057, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_2060;
							obj_t BgL_a1z00_2061;
							obj_t BgL_a2z00_2062;
							obj_t BgL_a3z00_2063;

							BgL_fz00_2060 =
								PROCEDURE_ENTRY(BgL_funz00_18430) (BgL_funz00_18430,
								BgL_sz00_2057, BEOA);
							BgL_a1z00_2061 =
								PROCEDURE_ENTRY(BgL_a1z00_18431) (BgL_a1z00_18431,
								BgL_sz00_2057, BEOA);
							BgL_a2z00_2062 =
								PROCEDURE_ENTRY(BgL_a2z00_18432) (BgL_a2z00_18432,
								BgL_sz00_2057, BEOA);
							BgL_a3z00_2063 =
								PROCEDURE_ENTRY(BgL_a3z00_18433) (BgL_a3z00_18433,
								BgL_sz00_2057, BEOA);
							if (PROCEDUREP(BgL_fz00_2060))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18434,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_2060);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_2065;

								BgL_ufz00_2065 = PROCEDURE_ATTR(BgL_fz00_2060);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_24338;

									if (STRUCTP(BgL_ufz00_2065))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_24338 =
												(STRUCT_KEY(BgL_ufz00_2065) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_24338 = ((bool_t) 0);
										}
									if (BgL_testz00_24338)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_2067;
											obj_t BgL_runz00_2068;
											obj_t BgL_sfz00_2069;

											BgL_arityz00_2067 =
												STRUCT_REF(BgL_ufz00_2065, (int) (((long) 0)));
											BgL_runz00_2068 =
												STRUCT_REF(BgL_ufz00_2065, (int) (((long) 1)));
											BgL_sfz00_2069 =
												STRUCT_REF(BgL_ufz00_2065, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_2067) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 879 */
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2457z00_2072;

														BgL_arg2457z00_2072 =
															((long) CINT(BgL_bpz00_2059) + ((long) 0));
														VECTOR_SET(BgL_sz00_2057,
															(int) (BgL_arg2457z00_2072), BgL_a1z00_2061);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2458z00_2073;

														BgL_arg2458z00_2073 =
															((long) CINT(BgL_bpz00_2059) + ((long) 1));
														VECTOR_SET(BgL_sz00_2057,
															(int) (BgL_arg2458z00_2073), BgL_a2z00_2062);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2459z00_2074;

														BgL_arg2459z00_2074 =
															((long) CINT(BgL_bpz00_2059) + ((long) 2));
														VECTOR_SET(BgL_sz00_2057,
															(int) (BgL_arg2459z00_2074), BgL_a3z00_2063);
												}}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_2067))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_2067))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2461z00_2078;
																		obj_t BgL_arg2462z00_2079;

																		BgL_arg2461z00_2078 =
																			(
																			(long) CINT(BgL_bpz00_2059) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2463z00_2080;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2464z00_2081;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2465z00_2082;

																					BgL_arg2465z00_2082 =
																						MAKE_PAIR(BgL_a3z00_2063, BNIL);
																					BgL_arg2464z00_2081 =
																						MAKE_PAIR(BgL_a2z00_2062,
																						BgL_arg2465z00_2082);
																				}
																				BgL_list2463z00_2080 =
																					MAKE_PAIR(BgL_a1z00_2061,
																					BgL_arg2464z00_2081);
																			}
																			BgL_arg2462z00_2079 =
																				BgL_list2463z00_2080;
																		}
																		VECTOR_SET(BgL_sz00_2057,
																			(int) (BgL_arg2461z00_2078),
																			BgL_arg2462z00_2079);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2466z00_2083;

																		BgL_arg2466z00_2083 =
																			(
																			(long) CINT(BgL_bpz00_2059) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2057,
																			(int) (BgL_arg2466z00_2083),
																			BgL_a1z00_2061);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2467z00_2084;
																		obj_t BgL_arg2468z00_2085;

																		BgL_arg2467z00_2084 =
																			(
																			(long) CINT(BgL_bpz00_2059) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2469z00_2086;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2470z00_2087;

																				BgL_arg2470z00_2087 =
																					MAKE_PAIR(BgL_a3z00_2063, BNIL);
																				BgL_list2469z00_2086 =
																					MAKE_PAIR(BgL_a2z00_2062,
																					BgL_arg2470z00_2087);
																			}
																			BgL_arg2468z00_2085 =
																				BgL_list2469z00_2086;
																		}
																		VECTOR_SET(BgL_sz00_2057,
																			(int) (BgL_arg2467z00_2084),
																			BgL_arg2468z00_2085);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2471z00_2088;

																		BgL_arg2471z00_2088 =
																			(
																			(long) CINT(BgL_bpz00_2059) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2057,
																			(int) (BgL_arg2471z00_2088),
																			BgL_a1z00_2061);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2472z00_2089;

																		BgL_arg2472z00_2089 =
																			(
																			(long) CINT(BgL_bpz00_2059) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2057,
																			(int) (BgL_arg2472z00_2089),
																			BgL_a2z00_2062);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2473z00_2090;
																		obj_t BgL_arg2474z00_2091;

																		BgL_arg2473z00_2090 =
																			(
																			(long) CINT(BgL_bpz00_2059) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2475z00_2092;

																			BgL_list2475z00_2092 =
																				MAKE_PAIR(BgL_a3z00_2063, BNIL);
																			BgL_arg2474z00_2091 =
																				BgL_list2475z00_2092;
																		}
																		VECTOR_SET(BgL_sz00_2057,
																			(int) (BgL_arg2473z00_2090),
																			BgL_arg2474z00_2091);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2476z00_2093;

																		BgL_arg2476z00_2093 =
																			(
																			(long) CINT(BgL_bpz00_2059) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2057,
																			(int) (BgL_arg2476z00_2093),
																			BgL_a1z00_2061);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2477z00_2094;

																		BgL_arg2477z00_2094 =
																			(
																			(long) CINT(BgL_bpz00_2059) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2057,
																			(int) (BgL_arg2477z00_2094),
																			BgL_a2z00_2062);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2478z00_2095;

																		BgL_arg2478z00_2095 =
																			(
																			(long) CINT(BgL_bpz00_2059) + ((long) 2));
																		VECTOR_SET(BgL_sz00_2057,
																			(int) (BgL_arg2478z00_2095),
																			BgL_a3z00_2063);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2479z00_2096;

																		BgL_arg2479z00_2096 =
																			(
																			(long) CINT(BgL_bpz00_2059) + ((long) 3));
																		VECTOR_SET(BgL_sz00_2057,
																			(int) (BgL_arg2479z00_2096), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18434,
																		STRUCT_REF(BgL_ufz00_2065,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_2067));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18434, STRUCT_REF(BgL_ufz00_2065,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_2067));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_2100;

												BgL_z12denvz12_2100 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2100,
													BgL_locz00_18434);
												{	/* Eval/evaluate_comp.scm 879 */
													bool_t BgL_testz00_24426;

													{	/* Eval/evaluate_comp.scm 667 */
														int BgL_arg1970z00_9263;

														BgL_arg1970z00_9263 = VECTOR_LENGTH(BgL_sz00_2057);
														BgL_testz00_24426 =
															(
															((long) CINT(BgL_bpz00_2059) +
																(long) CINT(BgL_sfz00_2069)) <
															(long) (BgL_arg1970z00_9263));
													}
													if (BgL_testz00_24426)
														{	/* Eval/evaluate_comp.scm 879 */
															return BgL_runz00_2068;
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_2102;

															BgL_nsz00_2102 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2485z00_2104;

																BgL_arg2485z00_2104 =
																	((long) CINT(BgL_bpz00_2059) + ((long) 3));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_2102, BINT(((long) 2)),
																	BgL_sz00_2057, BgL_bpz00_2059,
																	BINT(BgL_arg2485z00_2104));
															}
															VECTOR_SET(BgL_nsz00_2102,
																(int) (((long) 1)), BgL_sz00_2057);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2100,
																BgL_nsz00_2102);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1249z00_2105;

																BgL_exitd1249z00_2105 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32486ze3z83_18406;

																	BgL_zc3anonymousza32486ze3z83_18406 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32486ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32486ze3z83_18406,
																		(int) (((long) 0)), BgL_z12denvz12_2100);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32486ze3z83_18406,
																		(int) (((long) 1)), BgL_sz00_2057);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1249z00_2105,
																		BgL_zc3anonymousza32486ze3z83_18406);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1251z00_2107;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_9281;

																			BgL_savedzd2bpzd2_9281 =
																				VECTOR_REF(BgL_nsz00_2102,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_2102,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_9288;

																				BgL_fz00_9288 = BgL_runz00_2068;
																			BgL_recz00_9287:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_9289;

																					BgL_rz00_9289 =
																						PROCEDURE_ENTRY(BgL_fz00_9288)
																						(BgL_fz00_9288, BgL_nsz00_2102,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_24460;

																						if (PROCEDUREP(BgL_rz00_9289))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1962z00_9294;

																								BgL_arg1962z00_9294 =
																									PROCEDURE_ATTR(BgL_rz00_9289);
																								if (STRUCTP
																									(BgL_arg1962z00_9294))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_24460 =
																											(STRUCT_KEY
																											(BgL_arg1962z00_9294) ==
																											BGl_symbol5983z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_24460 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_24460 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_24460)
																							{
																								obj_t BgL_fz00_24468;

																								BgL_fz00_24468 = BgL_rz00_9289;
																								BgL_fz00_9288 = BgL_fz00_24468;
																								goto BgL_recz00_9287;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_2102,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_9281);
																								BgL_tmp1251z00_2107 =
																									BgL_rz00_9289;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1249z00_2105);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2100,
																			BgL_sz00_2057);
																		return BgL_tmp1251z00_2107;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2060,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_2111;

													BgL_nbpz00_2111 =
														((long) CINT(BgL_bpz00_2059) + BgL_siza7eza7_18436);
													VECTOR_SET(BgL_sz00_2057,
														(int) (((long) 0)), BINT(BgL_nbpz00_2111));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_24481;

														BgL_auxz00_24481 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_24481,
															BgL_locz00_18434);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_2113;

														BgL_rz00_2113 =
															PROCEDURE_ENTRY(BgL_fz00_2060) (BgL_fz00_2060,
															BgL_a1z00_2061, BgL_a2z00_2062, BgL_a3z00_2063,
															BEOA);
														VECTOR_SET(BgL_sz00_2057, (int) (((long) 0)),
															BgL_bpz00_2059);
														return BgL_rz00_2113;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18434, BgL_symbzd2funzd2_18435,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_2060));
		}}}}}}}}}
	}



/* &<anonymous:2486> */
	obj_t BGl_z62zc3anonymousza32486ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18438)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18439;
				obj_t BgL_sz00_18440;

				BgL_z12denvz12_18439 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18438, (int) (((long) 0))));
				BgL_sz00_18440 = PROCEDURE_REF(BgL_envz00_18438, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18439, BgL_sz00_18440);
				}
			}
		}
	}



/* &<anonymous:2490> */
	obj_t BGl_z62zc3anonymousza32490ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18441, obj_t BgL_sz00_18449)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18442;
				obj_t BgL_a1z00_18443;
				obj_t BgL_a2z00_18444;
				obj_t BgL_a3z00_18445;
				obj_t BgL_locz00_18446;
				obj_t BgL_symbzd2funzd2_18447;
				long BgL_siza7eza7_18448;

				BgL_funz00_18442 = PROCEDURE_REF(BgL_envz00_18441, (int) (((long) 0)));
				BgL_a1z00_18443 = PROCEDURE_REF(BgL_envz00_18441, (int) (((long) 1)));
				BgL_a2z00_18444 = PROCEDURE_REF(BgL_envz00_18441, (int) (((long) 2)));
				BgL_a3z00_18445 = PROCEDURE_REF(BgL_envz00_18441, (int) (((long) 3)));
				BgL_locz00_18446 = PROCEDURE_REF(BgL_envz00_18441, (int) (((long) 4)));
				BgL_symbzd2funzd2_18447 =
					PROCEDURE_REF(BgL_envz00_18441, (int) (((long) 5)));
				BgL_siza7eza7_18448 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18441, (int) (((long) 6))));
				{
					obj_t BgL_sz00_2115;

					BgL_sz00_2115 = BgL_sz00_18449;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2117;

						BgL_bpz00_2117 = VECTOR_REF(BgL_sz00_2115, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_2118;
							obj_t BgL_a1z00_2119;
							obj_t BgL_a2z00_2120;
							obj_t BgL_a3z00_2121;

							BgL_fz00_2118 =
								PROCEDURE_ENTRY(BgL_funz00_18442) (BgL_funz00_18442,
								BgL_sz00_2115, BEOA);
							BgL_a1z00_2119 =
								PROCEDURE_ENTRY(BgL_a1z00_18443) (BgL_a1z00_18443,
								BgL_sz00_2115, BEOA);
							BgL_a2z00_2120 =
								PROCEDURE_ENTRY(BgL_a2z00_18444) (BgL_a2z00_18444,
								BgL_sz00_2115, BEOA);
							BgL_a3z00_2121 =
								PROCEDURE_ENTRY(BgL_a3z00_18445) (BgL_a3z00_18445,
								BgL_sz00_2115, BEOA);
							if (PROCEDUREP(BgL_fz00_2118))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18446,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_2118);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_2123;

								BgL_ufz00_2123 = PROCEDURE_ATTR(BgL_fz00_2118);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_24538;

									if (STRUCTP(BgL_ufz00_2123))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_24538 =
												(STRUCT_KEY(BgL_ufz00_2123) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_24538 = ((bool_t) 0);
										}
									if (BgL_testz00_24538)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_2125;
											obj_t BgL_runz00_2126;
											obj_t BgL_sfz00_2127;

											BgL_arityz00_2125 =
												STRUCT_REF(BgL_ufz00_2123, (int) (((long) 0)));
											BgL_runz00_2126 =
												STRUCT_REF(BgL_ufz00_2123, (int) (((long) 1)));
											BgL_sfz00_2127 =
												STRUCT_REF(BgL_ufz00_2123, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_2125) == ((long) 3)))
												{	/* Eval/evaluate_comp.scm 879 */
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2494z00_2130;

														BgL_arg2494z00_2130 =
															((long) CINT(BgL_bpz00_2117) + ((long) 0));
														VECTOR_SET(BgL_sz00_2115,
															(int) (BgL_arg2494z00_2130), BgL_a1z00_2119);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2495z00_2131;

														BgL_arg2495z00_2131 =
															((long) CINT(BgL_bpz00_2117) + ((long) 1));
														VECTOR_SET(BgL_sz00_2115,
															(int) (BgL_arg2495z00_2131), BgL_a2z00_2120);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2496z00_2132;

														BgL_arg2496z00_2132 =
															((long) CINT(BgL_bpz00_2117) + ((long) 2));
														VECTOR_SET(BgL_sz00_2115,
															(int) (BgL_arg2496z00_2132), BgL_a3z00_2121);
												}}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_2125))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_2125))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2498z00_2136;
																		obj_t BgL_arg2499z00_2137;

																		BgL_arg2498z00_2136 =
																			(
																			(long) CINT(BgL_bpz00_2117) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2500z00_2138;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2501z00_2139;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2502z00_2140;

																					BgL_arg2502z00_2140 =
																						MAKE_PAIR(BgL_a3z00_2121, BNIL);
																					BgL_arg2501z00_2139 =
																						MAKE_PAIR(BgL_a2z00_2120,
																						BgL_arg2502z00_2140);
																				}
																				BgL_list2500z00_2138 =
																					MAKE_PAIR(BgL_a1z00_2119,
																					BgL_arg2501z00_2139);
																			}
																			BgL_arg2499z00_2137 =
																				BgL_list2500z00_2138;
																		}
																		VECTOR_SET(BgL_sz00_2115,
																			(int) (BgL_arg2498z00_2136),
																			BgL_arg2499z00_2137);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2503z00_2141;

																		BgL_arg2503z00_2141 =
																			(
																			(long) CINT(BgL_bpz00_2117) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2115,
																			(int) (BgL_arg2503z00_2141),
																			BgL_a1z00_2119);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2504z00_2142;
																		obj_t BgL_arg2505z00_2143;

																		BgL_arg2504z00_2142 =
																			(
																			(long) CINT(BgL_bpz00_2117) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2506z00_2144;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2507z00_2145;

																				BgL_arg2507z00_2145 =
																					MAKE_PAIR(BgL_a3z00_2121, BNIL);
																				BgL_list2506z00_2144 =
																					MAKE_PAIR(BgL_a2z00_2120,
																					BgL_arg2507z00_2145);
																			}
																			BgL_arg2505z00_2143 =
																				BgL_list2506z00_2144;
																		}
																		VECTOR_SET(BgL_sz00_2115,
																			(int) (BgL_arg2504z00_2142),
																			BgL_arg2505z00_2143);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2508z00_2146;

																		BgL_arg2508z00_2146 =
																			(
																			(long) CINT(BgL_bpz00_2117) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2115,
																			(int) (BgL_arg2508z00_2146),
																			BgL_a1z00_2119);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2509z00_2147;

																		BgL_arg2509z00_2147 =
																			(
																			(long) CINT(BgL_bpz00_2117) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2115,
																			(int) (BgL_arg2509z00_2147),
																			BgL_a2z00_2120);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2510z00_2148;
																		obj_t BgL_arg2511z00_2149;

																		BgL_arg2510z00_2148 =
																			(
																			(long) CINT(BgL_bpz00_2117) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2512z00_2150;

																			BgL_list2512z00_2150 =
																				MAKE_PAIR(BgL_a3z00_2121, BNIL);
																			BgL_arg2511z00_2149 =
																				BgL_list2512z00_2150;
																		}
																		VECTOR_SET(BgL_sz00_2115,
																			(int) (BgL_arg2510z00_2148),
																			BgL_arg2511z00_2149);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2513z00_2151;

																		BgL_arg2513z00_2151 =
																			(
																			(long) CINT(BgL_bpz00_2117) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2115,
																			(int) (BgL_arg2513z00_2151),
																			BgL_a1z00_2119);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2514z00_2152;

																		BgL_arg2514z00_2152 =
																			(
																			(long) CINT(BgL_bpz00_2117) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2115,
																			(int) (BgL_arg2514z00_2152),
																			BgL_a2z00_2120);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2515z00_2153;

																		BgL_arg2515z00_2153 =
																			(
																			(long) CINT(BgL_bpz00_2117) + ((long) 2));
																		VECTOR_SET(BgL_sz00_2115,
																			(int) (BgL_arg2515z00_2153),
																			BgL_a3z00_2121);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2516z00_2154;

																		BgL_arg2516z00_2154 =
																			(
																			(long) CINT(BgL_bpz00_2117) + ((long) 3));
																		VECTOR_SET(BgL_sz00_2115,
																			(int) (BgL_arg2516z00_2154), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18446,
																		STRUCT_REF(BgL_ufz00_2123,
																			(int) (((long) 3))), (int) (((long) 3)),
																		CINT(BgL_arityz00_2125));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18446, STRUCT_REF(BgL_ufz00_2123,
																	(int) (((long) 3))), (int) (((long) 3)),
																CINT(BgL_arityz00_2125));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_2158;

												BgL_z12denvz12_2158 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 879 */
													bool_t BgL_testz00_24625;

													{	/* Eval/evaluate_comp.scm 667 */
														int BgL_arg1970z00_9446;

														BgL_arg1970z00_9446 = VECTOR_LENGTH(BgL_sz00_2115);
														BgL_testz00_24625 =
															(
															((long) CINT(BgL_bpz00_2117) +
																(long) CINT(BgL_sfz00_2127)) <
															(long) (BgL_arg1970z00_9446));
													}
													if (BgL_testz00_24625)
														{	/* Eval/evaluate_comp.scm 879 */
															return BgL_runz00_2126;
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_2160;

															BgL_nsz00_2160 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2521z00_2162;

																BgL_arg2521z00_2162 =
																	((long) CINT(BgL_bpz00_2117) + ((long) 3));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_2160, BINT(((long) 2)),
																	BgL_sz00_2115, BgL_bpz00_2117,
																	BINT(BgL_arg2521z00_2162));
															}
															VECTOR_SET(BgL_nsz00_2160,
																(int) (((long) 1)), BgL_sz00_2115);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2158,
																BgL_nsz00_2160);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1254z00_2163;

																BgL_exitd1254z00_2163 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32522ze3z83_18408;

																	BgL_zc3anonymousza32522ze3z83_18408 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32522ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32522ze3z83_18408,
																		(int) (((long) 0)), BgL_z12denvz12_2158);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32522ze3z83_18408,
																		(int) (((long) 1)), BgL_sz00_2115);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1254z00_2163,
																		BgL_zc3anonymousza32522ze3z83_18408);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1256z00_2165;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_9464;

																			BgL_savedzd2bpzd2_9464 =
																				VECTOR_REF(BgL_nsz00_2160,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_2160,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_9471;

																				BgL_fz00_9471 = BgL_runz00_2126;
																			BgL_recz00_9470:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_9472;

																					BgL_rz00_9472 =
																						PROCEDURE_ENTRY(BgL_fz00_9471)
																						(BgL_fz00_9471, BgL_nsz00_2160,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_24659;

																						if (PROCEDUREP(BgL_rz00_9472))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1962z00_9477;

																								BgL_arg1962z00_9477 =
																									PROCEDURE_ATTR(BgL_rz00_9472);
																								if (STRUCTP
																									(BgL_arg1962z00_9477))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_24659 =
																											(STRUCT_KEY
																											(BgL_arg1962z00_9477) ==
																											BGl_symbol5983z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_24659 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_24659 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_24659)
																							{
																								obj_t BgL_fz00_24667;

																								BgL_fz00_24667 = BgL_rz00_9472;
																								BgL_fz00_9471 = BgL_fz00_24667;
																								goto BgL_recz00_9470;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_2160,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_9464);
																								BgL_tmp1256z00_2165 =
																									BgL_rz00_9472;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1254z00_2163);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2158,
																			BgL_sz00_2115);
																		return BgL_tmp1256z00_2165;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2118,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_2169;

													BgL_nbpz00_2169 =
														((long) CINT(BgL_bpz00_2117) + BgL_siza7eza7_18448);
													VECTOR_SET(BgL_sz00_2115,
														(int) (((long) 0)), BINT(BgL_nbpz00_2169));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_2170;

														BgL_rz00_2170 =
															PROCEDURE_ENTRY(BgL_fz00_2118) (BgL_fz00_2118,
															BgL_a1z00_2119, BgL_a2z00_2120, BgL_a3z00_2121,
															BEOA);
														VECTOR_SET(BgL_sz00_2115, (int) (((long) 0)),
															BgL_bpz00_2117);
														return BgL_rz00_2170;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18446, BgL_symbzd2funzd2_18447,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_2118));
		}}}}}}}}}
	}



/* &<anonymous:2522> */
	obj_t BGl_z62zc3anonymousza32522ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18450)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18451;
				obj_t BgL_sz00_18452;

				BgL_z12denvz12_18451 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18450, (int) (((long) 0))));
				BgL_sz00_18452 = PROCEDURE_REF(BgL_envz00_18450, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18451, BgL_sz00_18452);
				}
			}
		}
	}



/* &<anonymous:2527> */
	obj_t BGl_z62zc3anonymousza32527ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18453, obj_t BgL_sz00_18461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18454;
				obj_t BgL_a1z00_18455;
				obj_t BgL_a2z00_18456;
				obj_t BgL_a3z00_18457;
				obj_t BgL_locz00_18458;
				obj_t BgL_symbzd2funzd2_18459;
				long BgL_siza7eza7_18460;

				BgL_funz00_18454 = PROCEDURE_REF(BgL_envz00_18453, (int) (((long) 0)));
				BgL_a1z00_18455 = PROCEDURE_REF(BgL_envz00_18453, (int) (((long) 1)));
				BgL_a2z00_18456 = PROCEDURE_REF(BgL_envz00_18453, (int) (((long) 2)));
				BgL_a3z00_18457 = PROCEDURE_REF(BgL_envz00_18453, (int) (((long) 3)));
				BgL_locz00_18458 = PROCEDURE_REF(BgL_envz00_18453, (int) (((long) 4)));
				BgL_symbzd2funzd2_18459 =
					PROCEDURE_REF(BgL_envz00_18453, (int) (((long) 5)));
				BgL_siza7eza7_18460 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18453, (int) (((long) 6))));
				{
					obj_t BgL_sz00_2174;

					BgL_sz00_2174 = BgL_sz00_18461;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2176;

						BgL_bpz00_2176 = VECTOR_REF(BgL_sz00_2174, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_2177;
							obj_t BgL_a1z00_2178;
							obj_t BgL_a2z00_2179;
							obj_t BgL_a3z00_2180;

							BgL_fz00_2177 =
								PROCEDURE_ENTRY(BgL_funz00_18454) (BgL_funz00_18454,
								BgL_sz00_2174, BEOA);
							BgL_a1z00_2178 =
								PROCEDURE_ENTRY(BgL_a1z00_18455) (BgL_a1z00_18455,
								BgL_sz00_2174, BEOA);
							BgL_a2z00_2179 =
								PROCEDURE_ENTRY(BgL_a2z00_18456) (BgL_a2z00_18456,
								BgL_sz00_2174, BEOA);
							BgL_a3z00_2180 =
								PROCEDURE_ENTRY(BgL_a3z00_18457) (BgL_a3z00_18457,
								BgL_sz00_2174, BEOA);
							if (PROCEDUREP(BgL_fz00_2177))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18458,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_2177);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_2182;

								BgL_ufz00_2182 = PROCEDURE_ATTR(BgL_fz00_2177);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_24734;

									if (STRUCTP(BgL_ufz00_2182))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_24734 =
												(STRUCT_KEY(BgL_ufz00_2182) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_24734 = ((bool_t) 0);
										}
									if (BgL_testz00_24734)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_2184;
											obj_t BgL_runz00_2185;
											obj_t BgL_sfz00_2186;

											BgL_arityz00_2184 =
												STRUCT_REF(BgL_ufz00_2182, (int) (((long) 0)));
											BgL_runz00_2185 =
												STRUCT_REF(BgL_ufz00_2182, (int) (((long) 1)));
											BgL_sfz00_2186 =
												STRUCT_REF(BgL_ufz00_2182, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_2187;

												BgL_spz00_2187 =
													((long) CINT(BgL_bpz00_2176) + BgL_siza7eza7_18460);
												if (((long) CINT(BgL_arityz00_2184) == ((long) 3)))
													{	/* Eval/evaluate_comp.scm 879 */
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2531z00_2189;

															BgL_arg2531z00_2189 =
																(BgL_spz00_2187 + ((long) 0));
															VECTOR_SET(BgL_sz00_2174,
																(int) (BgL_arg2531z00_2189), BgL_a1z00_2178);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2532z00_2190;

															BgL_arg2532z00_2190 =
																(BgL_spz00_2187 + ((long) 1));
															VECTOR_SET(BgL_sz00_2174,
																(int) (BgL_arg2532z00_2190), BgL_a2z00_2179);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2533z00_2191;

															BgL_arg2533z00_2191 =
																(BgL_spz00_2187 + ((long) 2));
															VECTOR_SET(BgL_sz00_2174,
																(int) (BgL_arg2533z00_2191), BgL_a3z00_2180);
													}}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_2184))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_2184))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2535z00_2195;
																			obj_t BgL_arg2536z00_2196;

																			BgL_arg2535z00_2195 =
																				(BgL_spz00_2187 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2537z00_2197;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2538z00_2198;

																					{	/* Eval/evaluate_comp.scm 879 */
																						obj_t BgL_arg2539z00_2199;

																						BgL_arg2539z00_2199 =
																							MAKE_PAIR(BgL_a3z00_2180, BNIL);
																						BgL_arg2538z00_2198 =
																							MAKE_PAIR(BgL_a2z00_2179,
																							BgL_arg2539z00_2199);
																					}
																					BgL_list2537z00_2197 =
																						MAKE_PAIR(BgL_a1z00_2178,
																						BgL_arg2538z00_2198);
																				}
																				BgL_arg2536z00_2196 =
																					BgL_list2537z00_2197;
																			}
																			VECTOR_SET(BgL_sz00_2174,
																				(int) (BgL_arg2535z00_2195),
																				BgL_arg2536z00_2196);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2540z00_2200;

																			BgL_arg2540z00_2200 =
																				(BgL_spz00_2187 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2174,
																				(int) (BgL_arg2540z00_2200),
																				BgL_a1z00_2178);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2541z00_2201;
																			obj_t BgL_arg2542z00_2202;

																			BgL_arg2541z00_2201 =
																				(BgL_spz00_2187 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2543z00_2203;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2544z00_2204;

																					BgL_arg2544z00_2204 =
																						MAKE_PAIR(BgL_a3z00_2180, BNIL);
																					BgL_list2543z00_2203 =
																						MAKE_PAIR(BgL_a2z00_2179,
																						BgL_arg2544z00_2204);
																				}
																				BgL_arg2542z00_2202 =
																					BgL_list2543z00_2203;
																			}
																			VECTOR_SET(BgL_sz00_2174,
																				(int) (BgL_arg2541z00_2201),
																				BgL_arg2542z00_2202);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2545z00_2205;

																			BgL_arg2545z00_2205 =
																				(BgL_spz00_2187 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2174,
																				(int) (BgL_arg2545z00_2205),
																				BgL_a1z00_2178);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2546z00_2206;

																			BgL_arg2546z00_2206 =
																				(BgL_spz00_2187 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2174,
																				(int) (BgL_arg2546z00_2206),
																				BgL_a2z00_2179);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2547z00_2207;
																			obj_t BgL_arg2548z00_2208;

																			BgL_arg2547z00_2207 =
																				(BgL_spz00_2187 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2549z00_2209;

																				BgL_list2549z00_2209 =
																					MAKE_PAIR(BgL_a3z00_2180, BNIL);
																				BgL_arg2548z00_2208 =
																					BgL_list2549z00_2209;
																			}
																			VECTOR_SET(BgL_sz00_2174,
																				(int) (BgL_arg2547z00_2207),
																				BgL_arg2548z00_2208);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2550z00_2210;

																			BgL_arg2550z00_2210 =
																				(BgL_spz00_2187 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2174,
																				(int) (BgL_arg2550z00_2210),
																				BgL_a1z00_2178);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2551z00_2211;

																			BgL_arg2551z00_2211 =
																				(BgL_spz00_2187 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2174,
																				(int) (BgL_arg2551z00_2211),
																				BgL_a2z00_2179);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2552z00_2212;

																			BgL_arg2552z00_2212 =
																				(BgL_spz00_2187 + ((long) 2));
																			VECTOR_SET(BgL_sz00_2174,
																				(int) (BgL_arg2552z00_2212),
																				BgL_a3z00_2180);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2553z00_2213;

																			BgL_arg2553z00_2213 =
																				(BgL_spz00_2187 + ((long) 3));
																			VECTOR_SET(BgL_sz00_2174,
																				(int) (BgL_arg2553z00_2213), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18458,
																			STRUCT_REF(BgL_ufz00_2182,
																				(int) (((long) 3))), (int) (((long) 3)),
																			CINT(BgL_arityz00_2184));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18458, STRUCT_REF(BgL_ufz00_2182,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_2184));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_2217;

													BgL_z12denvz12_2217 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2217,
														BgL_locz00_18458);
													{	/* Eval/evaluate_comp.scm 879 */
														bool_t BgL_testz00_24811;

														{	/* Eval/evaluate_comp.scm 667 */
															int BgL_arg1970z00_9628;

															BgL_arg1970z00_9628 =
																VECTOR_LENGTH(BgL_sz00_2174);
															BgL_testz00_24811 =
																(
																(BgL_spz00_2187 +
																	(long) CINT(BgL_sfz00_2186)) <
																(long) (BgL_arg1970z00_9628));
														}
														if (BgL_testz00_24811)
															{	/* Eval/evaluate_comp.scm 879 */
																return
																	BGl_catchzd2trampolinezd2zz__evaluate_compz00
																	(BgL_runz00_2185, BgL_sz00_2174,
																	BINT(BgL_spz00_2187));
															}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_nsz00_2219;

																BgL_nsz00_2219 =
																	BGl_makezd2statezd2zz__evaluate_compz00();
																{	/* Eval/evaluate_comp.scm 879 */
																	long BgL_arg2558z00_2221;

																	BgL_arg2558z00_2221 =
																		(BgL_spz00_2187 + ((long) 3));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_nsz00_2219, BINT(((long) 2)),
																		BgL_sz00_2174, BINT(BgL_spz00_2187),
																		BINT(BgL_arg2558z00_2221));
																}
																VECTOR_SET(BgL_nsz00_2219,
																	(int) (((long) 1)), BgL_sz00_2174);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2217,
																	BgL_nsz00_2219);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_exitd1259z00_2222;

																	BgL_exitd1259z00_2222 =
																		BGL_EXITD_TOP_AS_OBJ();
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_zc3anonymousza32559ze3z83_18410;

																		BgL_zc3anonymousza32559ze3z83_18410 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32559ze3ze1zz__evaluate_compz00,
																			(int) (((long) 0)), (int) (((long) 2)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32559ze3z83_18410,
																			(int) (((long) 0)), BgL_z12denvz12_2217);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32559ze3z83_18410,
																			(int) (((long) 1)), BgL_sz00_2174);
																		BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																			(BgL_exitd1259z00_2222,
																			BgL_zc3anonymousza32559ze3z83_18410);
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_tmp1261z00_2224;

																			{	/* Eval/evaluate_comp.scm 651 */
																				obj_t BgL_savedzd2bpzd2_9645;

																				BgL_savedzd2bpzd2_9645 =
																					VECTOR_REF(BgL_nsz00_2219,
																					(int) (((long) 0)));
																				VECTOR_SET(BgL_nsz00_2219,
																					(int) (((long) 0)), BINT(((long) 2)));
																				{
																					obj_t BgL_fz00_9652;

																					BgL_fz00_9652 = BgL_runz00_2185;
																				BgL_recz00_9651:
																					{	/* Eval/evaluate_comp.scm 654 */
																						obj_t BgL_rz00_9653;

																						BgL_rz00_9653 =
																							PROCEDURE_ENTRY(BgL_fz00_9652)
																							(BgL_fz00_9652, BgL_nsz00_2219,
																							BEOA);
																						{	/* Eval/evaluate_comp.scm 655 */
																							bool_t BgL_testz00_24846;

																							if (PROCEDUREP(BgL_rz00_9653))
																								{	/* Eval/evaluate_comp.scm 655 */
																									obj_t BgL_arg1962z00_9658;

																									BgL_arg1962z00_9658 =
																										PROCEDURE_ATTR
																										(BgL_rz00_9653);
																									if (STRUCTP
																										(BgL_arg1962z00_9658))
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_24846 =
																												(STRUCT_KEY
																												(BgL_arg1962z00_9658) ==
																												BGl_symbol5983z00zz__evaluate_compz00);
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_24846 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									BgL_testz00_24846 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_24846)
																								{
																									obj_t BgL_fz00_24854;

																									BgL_fz00_24854 =
																										BgL_rz00_9653;
																									BgL_fz00_9652 =
																										BgL_fz00_24854;
																									goto BgL_recz00_9651;
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									VECTOR_SET(BgL_nsz00_2219,
																										(int) (((long) 0)),
																										BgL_savedzd2bpzd2_9645);
																									BgL_tmp1261z00_2224 =
																										BgL_rz00_9653;
																			}}}}}
																			BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																				(BgL_exitd1259z00_2222);
																			BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2217,
																				BgL_sz00_2174);
																			return BgL_tmp1261z00_2224;
																		}
																	}
																}
															}
													}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2177,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_2228;

													BgL_nbpz00_2228 =
														((long) CINT(BgL_bpz00_2176) + BgL_siza7eza7_18460);
													VECTOR_SET(BgL_sz00_2174,
														(int) (((long) 0)), BINT(BgL_nbpz00_2228));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_24867;

														BgL_auxz00_24867 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_24867,
															BgL_locz00_18458);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_2230;

														BgL_rz00_2230 =
															PROCEDURE_ENTRY(BgL_fz00_2177) (BgL_fz00_2177,
															BgL_a1z00_2178, BgL_a2z00_2179, BgL_a3z00_2180,
															BEOA);
														VECTOR_SET(BgL_sz00_2174, (int) (((long) 0)),
															BgL_bpz00_2176);
														return BgL_rz00_2230;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18458, BgL_symbzd2funzd2_18459,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_2177));
		}}}}}}}}}
	}



/* &<anonymous:2559> */
	obj_t BGl_z62zc3anonymousza32559ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18462)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18463;
				obj_t BgL_sz00_18464;

				BgL_z12denvz12_18463 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18462, (int) (((long) 0))));
				BgL_sz00_18464 = PROCEDURE_REF(BgL_envz00_18462, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18463, BgL_sz00_18464);
				}
			}
		}
	}



/* &<anonymous:2563> */
	obj_t BGl_z62zc3anonymousza32563ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18465, obj_t BgL_sz00_18473)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18466;
				obj_t BgL_a1z00_18467;
				obj_t BgL_a2z00_18468;
				obj_t BgL_a3z00_18469;
				obj_t BgL_locz00_18470;
				obj_t BgL_symbzd2funzd2_18471;
				long BgL_siza7eza7_18472;

				BgL_funz00_18466 = PROCEDURE_REF(BgL_envz00_18465, (int) (((long) 0)));
				BgL_a1z00_18467 = PROCEDURE_REF(BgL_envz00_18465, (int) (((long) 1)));
				BgL_a2z00_18468 = PROCEDURE_REF(BgL_envz00_18465, (int) (((long) 2)));
				BgL_a3z00_18469 = PROCEDURE_REF(BgL_envz00_18465, (int) (((long) 3)));
				BgL_locz00_18470 = PROCEDURE_REF(BgL_envz00_18465, (int) (((long) 4)));
				BgL_symbzd2funzd2_18471 =
					PROCEDURE_REF(BgL_envz00_18465, (int) (((long) 5)));
				BgL_siza7eza7_18472 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18465, (int) (((long) 6))));
				{
					obj_t BgL_sz00_2232;

					BgL_sz00_2232 = BgL_sz00_18473;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2234;

						BgL_bpz00_2234 = VECTOR_REF(BgL_sz00_2232, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_2235;
							obj_t BgL_a1z00_2236;
							obj_t BgL_a2z00_2237;
							obj_t BgL_a3z00_2238;

							BgL_fz00_2235 =
								PROCEDURE_ENTRY(BgL_funz00_18466) (BgL_funz00_18466,
								BgL_sz00_2232, BEOA);
							BgL_a1z00_2236 =
								PROCEDURE_ENTRY(BgL_a1z00_18467) (BgL_a1z00_18467,
								BgL_sz00_2232, BEOA);
							BgL_a2z00_2237 =
								PROCEDURE_ENTRY(BgL_a2z00_18468) (BgL_a2z00_18468,
								BgL_sz00_2232, BEOA);
							BgL_a3z00_2238 =
								PROCEDURE_ENTRY(BgL_a3z00_18469) (BgL_a3z00_18469,
								BgL_sz00_2232, BEOA);
							if (PROCEDUREP(BgL_fz00_2235))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18470,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_2235);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_2240;

								BgL_ufz00_2240 = PROCEDURE_ATTR(BgL_fz00_2235);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_24924;

									if (STRUCTP(BgL_ufz00_2240))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_24924 =
												(STRUCT_KEY(BgL_ufz00_2240) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_24924 = ((bool_t) 0);
										}
									if (BgL_testz00_24924)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_2242;
											obj_t BgL_runz00_2243;
											obj_t BgL_sfz00_2244;

											BgL_arityz00_2242 =
												STRUCT_REF(BgL_ufz00_2240, (int) (((long) 0)));
											BgL_runz00_2243 =
												STRUCT_REF(BgL_ufz00_2240, (int) (((long) 1)));
											BgL_sfz00_2244 =
												STRUCT_REF(BgL_ufz00_2240, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_2245;

												BgL_spz00_2245 =
													((long) CINT(BgL_bpz00_2234) + BgL_siza7eza7_18472);
												if (((long) CINT(BgL_arityz00_2242) == ((long) 3)))
													{	/* Eval/evaluate_comp.scm 879 */
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2567z00_2247;

															BgL_arg2567z00_2247 =
																(BgL_spz00_2245 + ((long) 0));
															VECTOR_SET(BgL_sz00_2232,
																(int) (BgL_arg2567z00_2247), BgL_a1z00_2236);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2568z00_2248;

															BgL_arg2568z00_2248 =
																(BgL_spz00_2245 + ((long) 1));
															VECTOR_SET(BgL_sz00_2232,
																(int) (BgL_arg2568z00_2248), BgL_a2z00_2237);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2569z00_2249;

															BgL_arg2569z00_2249 =
																(BgL_spz00_2245 + ((long) 2));
															VECTOR_SET(BgL_sz00_2232,
																(int) (BgL_arg2569z00_2249), BgL_a3z00_2238);
													}}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_2242))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_2242))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2571z00_2253;
																			obj_t BgL_arg2572z00_2254;

																			BgL_arg2571z00_2253 =
																				(BgL_spz00_2245 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2573z00_2255;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2574z00_2256;

																					{	/* Eval/evaluate_comp.scm 879 */
																						obj_t BgL_arg2575z00_2257;

																						BgL_arg2575z00_2257 =
																							MAKE_PAIR(BgL_a3z00_2238, BNIL);
																						BgL_arg2574z00_2256 =
																							MAKE_PAIR(BgL_a2z00_2237,
																							BgL_arg2575z00_2257);
																					}
																					BgL_list2573z00_2255 =
																						MAKE_PAIR(BgL_a1z00_2236,
																						BgL_arg2574z00_2256);
																				}
																				BgL_arg2572z00_2254 =
																					BgL_list2573z00_2255;
																			}
																			VECTOR_SET(BgL_sz00_2232,
																				(int) (BgL_arg2571z00_2253),
																				BgL_arg2572z00_2254);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2576z00_2258;

																			BgL_arg2576z00_2258 =
																				(BgL_spz00_2245 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2232,
																				(int) (BgL_arg2576z00_2258),
																				BgL_a1z00_2236);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2577z00_2259;
																			obj_t BgL_arg2578z00_2260;

																			BgL_arg2577z00_2259 =
																				(BgL_spz00_2245 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2579z00_2261;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2580z00_2262;

																					BgL_arg2580z00_2262 =
																						MAKE_PAIR(BgL_a3z00_2238, BNIL);
																					BgL_list2579z00_2261 =
																						MAKE_PAIR(BgL_a2z00_2237,
																						BgL_arg2580z00_2262);
																				}
																				BgL_arg2578z00_2260 =
																					BgL_list2579z00_2261;
																			}
																			VECTOR_SET(BgL_sz00_2232,
																				(int) (BgL_arg2577z00_2259),
																				BgL_arg2578z00_2260);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2581z00_2263;

																			BgL_arg2581z00_2263 =
																				(BgL_spz00_2245 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2232,
																				(int) (BgL_arg2581z00_2263),
																				BgL_a1z00_2236);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2582z00_2264;

																			BgL_arg2582z00_2264 =
																				(BgL_spz00_2245 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2232,
																				(int) (BgL_arg2582z00_2264),
																				BgL_a2z00_2237);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2583z00_2265;
																			obj_t BgL_arg2584z00_2266;

																			BgL_arg2583z00_2265 =
																				(BgL_spz00_2245 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2585z00_2267;

																				BgL_list2585z00_2267 =
																					MAKE_PAIR(BgL_a3z00_2238, BNIL);
																				BgL_arg2584z00_2266 =
																					BgL_list2585z00_2267;
																			}
																			VECTOR_SET(BgL_sz00_2232,
																				(int) (BgL_arg2583z00_2265),
																				BgL_arg2584z00_2266);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2586z00_2268;

																			BgL_arg2586z00_2268 =
																				(BgL_spz00_2245 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2232,
																				(int) (BgL_arg2586z00_2268),
																				BgL_a1z00_2236);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2587z00_2269;

																			BgL_arg2587z00_2269 =
																				(BgL_spz00_2245 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2232,
																				(int) (BgL_arg2587z00_2269),
																				BgL_a2z00_2237);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2588z00_2270;

																			BgL_arg2588z00_2270 =
																				(BgL_spz00_2245 + ((long) 2));
																			VECTOR_SET(BgL_sz00_2232,
																				(int) (BgL_arg2588z00_2270),
																				BgL_a3z00_2238);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2589z00_2271;

																			BgL_arg2589z00_2271 =
																				(BgL_spz00_2245 + ((long) 3));
																			VECTOR_SET(BgL_sz00_2232,
																				(int) (BgL_arg2589z00_2271), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18470,
																			STRUCT_REF(BgL_ufz00_2240,
																				(int) (((long) 3))), (int) (((long) 3)),
																			CINT(BgL_arityz00_2242));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18470, STRUCT_REF(BgL_ufz00_2240,
																		(int) (((long) 3))), (int) (((long) 3)),
																	CINT(BgL_arityz00_2242));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_2275;

													BgL_z12denvz12_2275 = BGL_CURRENT_DYNAMIC_ENV();
													{	/* Eval/evaluate_comp.scm 879 */
														bool_t BgL_testz00_25000;

														{	/* Eval/evaluate_comp.scm 667 */
															int BgL_arg1970z00_9810;

															BgL_arg1970z00_9810 =
																VECTOR_LENGTH(BgL_sz00_2232);
															BgL_testz00_25000 =
																(
																(BgL_spz00_2245 +
																	(long) CINT(BgL_sfz00_2244)) <
																(long) (BgL_arg1970z00_9810));
														}
														if (BgL_testz00_25000)
															{	/* Eval/evaluate_comp.scm 879 */
																return
																	BGl_catchzd2trampolinezd2zz__evaluate_compz00
																	(BgL_runz00_2243, BgL_sz00_2232,
																	BINT(BgL_spz00_2245));
															}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_nsz00_2277;

																BgL_nsz00_2277 =
																	BGl_makezd2statezd2zz__evaluate_compz00();
																{	/* Eval/evaluate_comp.scm 879 */
																	long BgL_arg2594z00_2279;

																	BgL_arg2594z00_2279 =
																		(BgL_spz00_2245 + ((long) 3));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_nsz00_2277, BINT(((long) 2)),
																		BgL_sz00_2232, BINT(BgL_spz00_2245),
																		BINT(BgL_arg2594z00_2279));
																}
																VECTOR_SET(BgL_nsz00_2277,
																	(int) (((long) 1)), BgL_sz00_2232);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2275,
																	BgL_nsz00_2277);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_exitd1264z00_2280;

																	BgL_exitd1264z00_2280 =
																		BGL_EXITD_TOP_AS_OBJ();
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_zc3anonymousza32595ze3z83_18412;

																		BgL_zc3anonymousza32595ze3z83_18412 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32595ze3ze1zz__evaluate_compz00,
																			(int) (((long) 0)), (int) (((long) 2)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32595ze3z83_18412,
																			(int) (((long) 0)), BgL_z12denvz12_2275);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32595ze3z83_18412,
																			(int) (((long) 1)), BgL_sz00_2232);
																		BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																			(BgL_exitd1264z00_2280,
																			BgL_zc3anonymousza32595ze3z83_18412);
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_tmp1266z00_2282;

																			{	/* Eval/evaluate_comp.scm 651 */
																				obj_t BgL_savedzd2bpzd2_9827;

																				BgL_savedzd2bpzd2_9827 =
																					VECTOR_REF(BgL_nsz00_2277,
																					(int) (((long) 0)));
																				VECTOR_SET(BgL_nsz00_2277,
																					(int) (((long) 0)), BINT(((long) 2)));
																				{
																					obj_t BgL_fz00_9834;

																					BgL_fz00_9834 = BgL_runz00_2243;
																				BgL_recz00_9833:
																					{	/* Eval/evaluate_comp.scm 654 */
																						obj_t BgL_rz00_9835;

																						BgL_rz00_9835 =
																							PROCEDURE_ENTRY(BgL_fz00_9834)
																							(BgL_fz00_9834, BgL_nsz00_2277,
																							BEOA);
																						{	/* Eval/evaluate_comp.scm 655 */
																							bool_t BgL_testz00_25035;

																							if (PROCEDUREP(BgL_rz00_9835))
																								{	/* Eval/evaluate_comp.scm 655 */
																									obj_t BgL_arg1962z00_9840;

																									BgL_arg1962z00_9840 =
																										PROCEDURE_ATTR
																										(BgL_rz00_9835);
																									if (STRUCTP
																										(BgL_arg1962z00_9840))
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_25035 =
																												(STRUCT_KEY
																												(BgL_arg1962z00_9840) ==
																												BGl_symbol5983z00zz__evaluate_compz00);
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_25035 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									BgL_testz00_25035 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_25035)
																								{
																									obj_t BgL_fz00_25043;

																									BgL_fz00_25043 =
																										BgL_rz00_9835;
																									BgL_fz00_9834 =
																										BgL_fz00_25043;
																									goto BgL_recz00_9833;
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									VECTOR_SET(BgL_nsz00_2277,
																										(int) (((long) 0)),
																										BgL_savedzd2bpzd2_9827);
																									BgL_tmp1266z00_2282 =
																										BgL_rz00_9835;
																			}}}}}
																			BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																				(BgL_exitd1264z00_2280);
																			BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2275,
																				BgL_sz00_2232);
																			return BgL_tmp1266z00_2282;
																		}
																	}
																}
															}
													}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2235,
													(int) (((long) 3))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_2286;

													BgL_nbpz00_2286 =
														((long) CINT(BgL_bpz00_2234) + BgL_siza7eza7_18472);
													VECTOR_SET(BgL_sz00_2232,
														(int) (((long) 0)), BINT(BgL_nbpz00_2286));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_2287;

														BgL_rz00_2287 =
															PROCEDURE_ENTRY(BgL_fz00_2235) (BgL_fz00_2235,
															BgL_a1z00_2236, BgL_a2z00_2237, BgL_a3z00_2238,
															BEOA);
														VECTOR_SET(BgL_sz00_2232, (int) (((long) 0)),
															BgL_bpz00_2234);
														return BgL_rz00_2287;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18470, BgL_symbzd2funzd2_18471,
														(int) (((long) 3)), PROCEDURE_ARITY(BgL_fz00_2235));
		}}}}}}}}}
	}



/* &<anonymous:2595> */
	obj_t BGl_z62zc3anonymousza32595ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18474)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18475;
				obj_t BgL_sz00_18476;

				BgL_z12denvz12_18475 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18474, (int) (((long) 0))));
				BgL_sz00_18476 = PROCEDURE_REF(BgL_envz00_18474, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18475, BgL_sz00_18476);
				}
			}
		}
	}



/* comp-call4 */
	obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_172,
		BgL_ev_exprz00_bglt BgL_vfunz00_173, obj_t BgL_symbzd2funzd2_174,
		obj_t BgL_funz00_175, obj_t BgL_tailzf3zf3_176, obj_t BgL_stkz00_177,
		long BgL_siza7eza7_178, obj_t BgL_a1z00_179, obj_t BgL_a2z00_180,
		obj_t BgL_a3z00_181, obj_t BgL_a4z00_182)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_cfunz00_2290;

				BgL_cfunz00_2290 =
					BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_173,
					((long) 4), BgL_locz00_172, BgL_symbzd2funzd2_174);
				if (CBOOL(BgL_cfunz00_2290))
					{	/* Eval/evaluate_comp.scm 879 */
						bool_t BgL_testz00_25076;

						{	/* Eval/evaluate_comp.scm 879 */
							int BgL_arg2603z00_2311;

							BgL_arg2603z00_2311 = bgl_debug();
							BgL_testz00_25076 =
								BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2603z00_2311),
								BINT(((long) 0)));
						}
						if (BgL_testz00_25076)
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32600ze3z83_18477;

								BgL_zc3anonymousza32600ze3z83_18477 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32600ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 7)));
								PROCEDURE_SET(BgL_zc3anonymousza32600ze3z83_18477,
									(int) (((long) 0)), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32600ze3z83_18477,
									(int) (((long) 1)), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32600ze3z83_18477,
									(int) (((long) 2)), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3anonymousza32600ze3z83_18477,
									(int) (((long) 3)), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3anonymousza32600ze3z83_18477,
									(int) (((long) 4)), BINT(BgL_siza7eza7_178));
								PROCEDURE_SET(BgL_zc3anonymousza32600ze3z83_18477,
									(int) (((long) 5)), BgL_locz00_172);
								PROCEDURE_SET(BgL_zc3anonymousza32600ze3z83_18477,
									(int) (((long) 6)), BgL_cfunz00_2290);
								return BgL_zc3anonymousza32600ze3z83_18477;
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_zc3anonymousza32602ze3z83_18478;

								BgL_zc3anonymousza32602ze3z83_18478 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32602ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 6)));
								PROCEDURE_SET(BgL_zc3anonymousza32602ze3z83_18478,
									(int) (((long) 0)), BgL_a1z00_179);
								PROCEDURE_SET(BgL_zc3anonymousza32602ze3z83_18478,
									(int) (((long) 1)), BgL_a2z00_180);
								PROCEDURE_SET(BgL_zc3anonymousza32602ze3z83_18478,
									(int) (((long) 2)), BgL_a3z00_181);
								PROCEDURE_SET(BgL_zc3anonymousza32602ze3z83_18478,
									(int) (((long) 3)), BgL_a4z00_182);
								PROCEDURE_SET(BgL_zc3anonymousza32602ze3z83_18478,
									(int) (((long) 4)), BINT(BgL_siza7eza7_178));
								PROCEDURE_SET(BgL_zc3anonymousza32602ze3z83_18478,
									(int) (((long) 5)), BgL_cfunz00_2290);
								return BgL_zc3anonymousza32602ze3z83_18478;
							}
					}
				else
					{	/* Eval/evaluate_comp.scm 879 */
						if (CBOOL(BgL_tailzf3zf3_176))
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_25117;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2700z00_2452;

									BgL_arg2700z00_2452 = bgl_debug();
									BgL_testz00_25117 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2700z00_2452),
										BINT(((long) 0)));
								}
								if (BgL_testz00_25117)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32605ze3z83_18480;

										BgL_zc3anonymousza32605ze3z83_18480 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32605ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32605ze3z83_18480,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32605ze3z83_18480,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32605ze3z83_18480,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32605ze3z83_18480,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32605ze3z83_18480,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32605ze3z83_18480,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32605ze3z83_18480,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32605ze3z83_18480,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32605ze3z83_18480;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32653ze3z83_18482;

										BgL_zc3anonymousza32653ze3z83_18482 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32653ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32653ze3z83_18482,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32653ze3z83_18482,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32653ze3z83_18482,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32653ze3z83_18482,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32653ze3z83_18482,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32653ze3z83_18482,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32653ze3z83_18482,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32653ze3z83_18482,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32653ze3z83_18482;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 879 */
								bool_t BgL_testz00_25162;

								{	/* Eval/evaluate_comp.scm 879 */
									int BgL_arg2799z00_2593;

									BgL_arg2799z00_2593 = bgl_debug();
									BgL_testz00_25162 =
										BGl_2ze3ze3zz__r4_numbers_6_5z00(BINT(BgL_arg2799z00_2593),
										BINT(((long) 0)));
								}
								if (BgL_testz00_25162)
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32702ze3z83_18484;

										BgL_zc3anonymousza32702ze3z83_18484 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32702ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32702ze3z83_18484,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32702ze3z83_18484,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32702ze3z83_18484,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32702ze3z83_18484,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32702ze3z83_18484,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32702ze3z83_18484,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32702ze3z83_18484,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32702ze3z83_18484,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32702ze3z83_18484;
									}
								else
									{	/* Eval/evaluate_comp.scm 879 */
										obj_t BgL_zc3anonymousza32751ze3z83_18486;

										BgL_zc3anonymousza32751ze3z83_18486 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3anonymousza32751ze3ze1zz__evaluate_compz00,
											(int) (((long) 1)), (int) (((long) 8)));
										PROCEDURE_SET(BgL_zc3anonymousza32751ze3z83_18486,
											(int) (((long) 0)), BgL_funz00_175);
										PROCEDURE_SET(BgL_zc3anonymousza32751ze3z83_18486,
											(int) (((long) 1)), BgL_a1z00_179);
										PROCEDURE_SET(BgL_zc3anonymousza32751ze3z83_18486,
											(int) (((long) 2)), BgL_a2z00_180);
										PROCEDURE_SET(BgL_zc3anonymousza32751ze3z83_18486,
											(int) (((long) 3)), BgL_a3z00_181);
										PROCEDURE_SET(BgL_zc3anonymousza32751ze3z83_18486,
											(int) (((long) 4)), BgL_a4z00_182);
										PROCEDURE_SET(BgL_zc3anonymousza32751ze3z83_18486,
											(int) (((long) 5)), BgL_locz00_172);
										PROCEDURE_SET(BgL_zc3anonymousza32751ze3z83_18486,
											(int) (((long) 6)), BgL_symbzd2funzd2_174);
										PROCEDURE_SET(BgL_zc3anonymousza32751ze3z83_18486,
											(int) (((long) 7)), BINT(BgL_siza7eza7_178));
										return BgL_zc3anonymousza32751ze3z83_18486;
									}
							}
					}
			}
		}
	}



/* &<anonymous:2600> */
	obj_t BGl_z62zc3anonymousza32600ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18487, obj_t BgL_sz00_18495)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_a1z00_18488;
				obj_t BgL_a2z00_18489;
				obj_t BgL_a3z00_18490;
				obj_t BgL_a4z00_18491;
				long BgL_siza7eza7_18492;
				obj_t BgL_locz00_18493;
				obj_t BgL_cfunz00_18494;

				BgL_a1z00_18488 = PROCEDURE_REF(BgL_envz00_18487, (int) (((long) 0)));
				BgL_a2z00_18489 = PROCEDURE_REF(BgL_envz00_18487, (int) (((long) 1)));
				BgL_a3z00_18490 = PROCEDURE_REF(BgL_envz00_18487, (int) (((long) 2)));
				BgL_a4z00_18491 = PROCEDURE_REF(BgL_envz00_18487, (int) (((long) 3)));
				BgL_siza7eza7_18492 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18487, (int) (((long) 4))));
				BgL_locz00_18493 = PROCEDURE_REF(BgL_envz00_18487, (int) (((long) 5)));
				BgL_cfunz00_18494 = PROCEDURE_REF(BgL_envz00_18487, (int) (((long) 6)));
				{
					obj_t BgL_sz00_2292;

					BgL_sz00_2292 = BgL_sz00_18495;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2294;

						BgL_bpz00_2294 = VECTOR_REF(BgL_sz00_2292, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_a1z00_2295;
							obj_t BgL_a2z00_2296;
							obj_t BgL_a3z00_2297;
							obj_t BgL_a4z00_2298;

							BgL_a1z00_2295 =
								PROCEDURE_ENTRY(BgL_a1z00_18488) (BgL_a1z00_18488,
								BgL_sz00_2292, BEOA);
							BgL_a2z00_2296 =
								PROCEDURE_ENTRY(BgL_a2z00_18489) (BgL_a2z00_18489,
								BgL_sz00_2292, BEOA);
							BgL_a3z00_2297 =
								PROCEDURE_ENTRY(BgL_a3z00_18490) (BgL_a3z00_18490,
								BgL_sz00_2292, BEOA);
							BgL_a4z00_2298 =
								PROCEDURE_ENTRY(BgL_a4z00_18491) (BgL_a4z00_18491,
								BgL_sz00_2292, BEOA);
							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_2299;

								BgL_nbpz00_2299 =
									((long) CINT(BgL_bpz00_2294) + BgL_siza7eza7_18492);
								VECTOR_SET(BgL_sz00_2292,
									(int) (((long) 0)), BINT(BgL_nbpz00_2299));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_auxz00_25245;

									BgL_auxz00_25245 = BGL_CURRENT_DYNAMIC_ENV();
									BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_25245,
										BgL_locz00_18493);
								}
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_2301;

									BgL_rz00_2301 =
										PROCEDURE_ENTRY(BgL_cfunz00_18494) (BgL_cfunz00_18494,
										BgL_a1z00_2295, BgL_a2z00_2296, BgL_a3z00_2297,
										BgL_a4z00_2298, BEOA);
									VECTOR_SET(BgL_sz00_2292, (int) (((long) 0)), BgL_bpz00_2294);
									return BgL_rz00_2301;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2602> */
	obj_t BGl_z62zc3anonymousza32602ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18496, obj_t BgL_sz00_18503)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_a1z00_18497;
				obj_t BgL_a2z00_18498;
				obj_t BgL_a3z00_18499;
				obj_t BgL_a4z00_18500;
				long BgL_siza7eza7_18501;
				obj_t BgL_cfunz00_18502;

				BgL_a1z00_18497 = PROCEDURE_REF(BgL_envz00_18496, (int) (((long) 0)));
				BgL_a2z00_18498 = PROCEDURE_REF(BgL_envz00_18496, (int) (((long) 1)));
				BgL_a3z00_18499 = PROCEDURE_REF(BgL_envz00_18496, (int) (((long) 2)));
				BgL_a4z00_18500 = PROCEDURE_REF(BgL_envz00_18496, (int) (((long) 3)));
				BgL_siza7eza7_18501 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18496, (int) (((long) 4))));
				BgL_cfunz00_18502 = PROCEDURE_REF(BgL_envz00_18496, (int) (((long) 5)));
				{
					obj_t BgL_sz00_2302;

					BgL_sz00_2302 = BgL_sz00_18503;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2304;

						BgL_bpz00_2304 = VECTOR_REF(BgL_sz00_2302, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_a1z00_2305;
							obj_t BgL_a2z00_2306;
							obj_t BgL_a3z00_2307;
							obj_t BgL_a4z00_2308;

							BgL_a1z00_2305 =
								PROCEDURE_ENTRY(BgL_a1z00_18497) (BgL_a1z00_18497,
								BgL_sz00_2302, BEOA);
							BgL_a2z00_2306 =
								PROCEDURE_ENTRY(BgL_a2z00_18498) (BgL_a2z00_18498,
								BgL_sz00_2302, BEOA);
							BgL_a3z00_2307 =
								PROCEDURE_ENTRY(BgL_a3z00_18499) (BgL_a3z00_18499,
								BgL_sz00_2302, BEOA);
							BgL_a4z00_2308 =
								PROCEDURE_ENTRY(BgL_a4z00_18500) (BgL_a4z00_18500,
								BgL_sz00_2302, BEOA);
							{	/* Eval/evaluate_comp.scm 879 */
								long BgL_nbpz00_2309;

								BgL_nbpz00_2309 =
									((long) CINT(BgL_bpz00_2304) + BgL_siza7eza7_18501);
								VECTOR_SET(BgL_sz00_2302,
									(int) (((long) 0)), BINT(BgL_nbpz00_2309));
								{	/* Eval/evaluate_comp.scm 879 */
									obj_t BgL_rz00_2310;

									BgL_rz00_2310 =
										PROCEDURE_ENTRY(BgL_cfunz00_18502) (BgL_cfunz00_18502,
										BgL_a1z00_2305, BgL_a2z00_2306, BgL_a3z00_2307,
										BgL_a4z00_2308, BEOA);
									VECTOR_SET(BgL_sz00_2302, (int) (((long) 0)), BgL_bpz00_2304);
									return BgL_rz00_2310;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:2605> */
	obj_t BGl_z62zc3anonymousza32605ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18504, obj_t BgL_sz00_18513)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18505;
				obj_t BgL_a1z00_18506;
				obj_t BgL_a2z00_18507;
				obj_t BgL_a3z00_18508;
				obj_t BgL_a4z00_18509;
				obj_t BgL_locz00_18510;
				obj_t BgL_symbzd2funzd2_18511;
				long BgL_siza7eza7_18512;

				BgL_funz00_18505 = PROCEDURE_REF(BgL_envz00_18504, (int) (((long) 0)));
				BgL_a1z00_18506 = PROCEDURE_REF(BgL_envz00_18504, (int) (((long) 1)));
				BgL_a2z00_18507 = PROCEDURE_REF(BgL_envz00_18504, (int) (((long) 2)));
				BgL_a3z00_18508 = PROCEDURE_REF(BgL_envz00_18504, (int) (((long) 3)));
				BgL_a4z00_18509 = PROCEDURE_REF(BgL_envz00_18504, (int) (((long) 4)));
				BgL_locz00_18510 = PROCEDURE_REF(BgL_envz00_18504, (int) (((long) 5)));
				BgL_symbzd2funzd2_18511 =
					PROCEDURE_REF(BgL_envz00_18504, (int) (((long) 6)));
				BgL_siza7eza7_18512 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18504, (int) (((long) 7))));
				{
					obj_t BgL_sz00_2313;

					BgL_sz00_2313 = BgL_sz00_18513;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2315;

						BgL_bpz00_2315 = VECTOR_REF(BgL_sz00_2313, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_2316;
							obj_t BgL_a1z00_2317;
							obj_t BgL_a2z00_2318;
							obj_t BgL_a3z00_2319;
							obj_t BgL_a4z00_2320;

							BgL_fz00_2316 =
								PROCEDURE_ENTRY(BgL_funz00_18505) (BgL_funz00_18505,
								BgL_sz00_2313, BEOA);
							BgL_a1z00_2317 =
								PROCEDURE_ENTRY(BgL_a1z00_18506) (BgL_a1z00_18506,
								BgL_sz00_2313, BEOA);
							BgL_a2z00_2318 =
								PROCEDURE_ENTRY(BgL_a2z00_18507) (BgL_a2z00_18507,
								BgL_sz00_2313, BEOA);
							BgL_a3z00_2319 =
								PROCEDURE_ENTRY(BgL_a3z00_18508) (BgL_a3z00_18508,
								BgL_sz00_2313, BEOA);
							BgL_a4z00_2320 =
								PROCEDURE_ENTRY(BgL_a4z00_18509) (BgL_a4z00_18509,
								BgL_sz00_2313, BEOA);
							if (PROCEDUREP(BgL_fz00_2316))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18510,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_2316);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_2322;

								BgL_ufz00_2322 = PROCEDURE_ATTR(BgL_fz00_2316);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_25345;

									if (STRUCTP(BgL_ufz00_2322))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_25345 =
												(STRUCT_KEY(BgL_ufz00_2322) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_25345 = ((bool_t) 0);
										}
									if (BgL_testz00_25345)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_2324;
											obj_t BgL_runz00_2325;
											obj_t BgL_sfz00_2326;

											BgL_arityz00_2324 =
												STRUCT_REF(BgL_ufz00_2322, (int) (((long) 0)));
											BgL_runz00_2325 =
												STRUCT_REF(BgL_ufz00_2322, (int) (((long) 1)));
											BgL_sfz00_2326 =
												STRUCT_REF(BgL_ufz00_2322, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_2324) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 879 */
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2609z00_2329;

														BgL_arg2609z00_2329 =
															((long) CINT(BgL_bpz00_2315) + ((long) 0));
														VECTOR_SET(BgL_sz00_2313,
															(int) (BgL_arg2609z00_2329), BgL_a1z00_2317);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2610z00_2330;

														BgL_arg2610z00_2330 =
															((long) CINT(BgL_bpz00_2315) + ((long) 1));
														VECTOR_SET(BgL_sz00_2313,
															(int) (BgL_arg2610z00_2330), BgL_a2z00_2318);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2611z00_2331;

														BgL_arg2611z00_2331 =
															((long) CINT(BgL_bpz00_2315) + ((long) 2));
														VECTOR_SET(BgL_sz00_2313,
															(int) (BgL_arg2611z00_2331), BgL_a3z00_2319);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2612z00_2332;

														BgL_arg2612z00_2332 =
															((long) CINT(BgL_bpz00_2315) + ((long) 3));
														VECTOR_SET(BgL_sz00_2313,
															(int) (BgL_arg2612z00_2332), BgL_a4z00_2320);
												}}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_2324))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_2324))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2614z00_2336;
																		obj_t BgL_arg2615z00_2337;

																		BgL_arg2614z00_2336 =
																			(
																			(long) CINT(BgL_bpz00_2315) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2616z00_2338;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2617z00_2339;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2618z00_2340;

																					{	/* Eval/evaluate_comp.scm 879 */
																						obj_t BgL_arg2619z00_2341;

																						BgL_arg2619z00_2341 =
																							MAKE_PAIR(BgL_a4z00_2320, BNIL);
																						BgL_arg2618z00_2340 =
																							MAKE_PAIR(BgL_a3z00_2319,
																							BgL_arg2619z00_2341);
																					}
																					BgL_arg2617z00_2339 =
																						MAKE_PAIR(BgL_a2z00_2318,
																						BgL_arg2618z00_2340);
																				}
																				BgL_list2616z00_2338 =
																					MAKE_PAIR(BgL_a1z00_2317,
																					BgL_arg2617z00_2339);
																			}
																			BgL_arg2615z00_2337 =
																				BgL_list2616z00_2338;
																		}
																		VECTOR_SET(BgL_sz00_2313,
																			(int) (BgL_arg2614z00_2336),
																			BgL_arg2615z00_2337);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2620z00_2342;

																		BgL_arg2620z00_2342 =
																			(
																			(long) CINT(BgL_bpz00_2315) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2313,
																			(int) (BgL_arg2620z00_2342),
																			BgL_a1z00_2317);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2622z00_2343;
																		obj_t BgL_arg2623z00_2344;

																		BgL_arg2622z00_2343 =
																			(
																			(long) CINT(BgL_bpz00_2315) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2624z00_2345;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2625z00_2346;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2626z00_2347;

																					BgL_arg2626z00_2347 =
																						MAKE_PAIR(BgL_a4z00_2320, BNIL);
																					BgL_arg2625z00_2346 =
																						MAKE_PAIR(BgL_a3z00_2319,
																						BgL_arg2626z00_2347);
																				}
																				BgL_list2624z00_2345 =
																					MAKE_PAIR(BgL_a2z00_2318,
																					BgL_arg2625z00_2346);
																			}
																			BgL_arg2623z00_2344 =
																				BgL_list2624z00_2345;
																		}
																		VECTOR_SET(BgL_sz00_2313,
																			(int) (BgL_arg2622z00_2343),
																			BgL_arg2623z00_2344);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2627z00_2348;

																		BgL_arg2627z00_2348 =
																			(
																			(long) CINT(BgL_bpz00_2315) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2313,
																			(int) (BgL_arg2627z00_2348),
																			BgL_a1z00_2317);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2628z00_2349;

																		BgL_arg2628z00_2349 =
																			(
																			(long) CINT(BgL_bpz00_2315) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2313,
																			(int) (BgL_arg2628z00_2349),
																			BgL_a2z00_2318);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2629z00_2350;
																		obj_t BgL_arg2630z00_2351;

																		BgL_arg2629z00_2350 =
																			(
																			(long) CINT(BgL_bpz00_2315) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2631z00_2352;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2632z00_2353;

																				BgL_arg2632z00_2353 =
																					MAKE_PAIR(BgL_a4z00_2320, BNIL);
																				BgL_list2631z00_2352 =
																					MAKE_PAIR(BgL_a3z00_2319,
																					BgL_arg2632z00_2353);
																			}
																			BgL_arg2630z00_2351 =
																				BgL_list2631z00_2352;
																		}
																		VECTOR_SET(BgL_sz00_2313,
																			(int) (BgL_arg2629z00_2350),
																			BgL_arg2630z00_2351);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2633z00_2354;

																		BgL_arg2633z00_2354 =
																			(
																			(long) CINT(BgL_bpz00_2315) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2313,
																			(int) (BgL_arg2633z00_2354),
																			BgL_a1z00_2317);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2634z00_2355;

																		BgL_arg2634z00_2355 =
																			(
																			(long) CINT(BgL_bpz00_2315) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2313,
																			(int) (BgL_arg2634z00_2355),
																			BgL_a2z00_2318);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2635z00_2356;

																		BgL_arg2635z00_2356 =
																			(
																			(long) CINT(BgL_bpz00_2315) + ((long) 2));
																		VECTOR_SET(BgL_sz00_2313,
																			(int) (BgL_arg2635z00_2356),
																			BgL_a3z00_2319);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2636z00_2357;
																		obj_t BgL_arg2637z00_2358;

																		BgL_arg2636z00_2357 =
																			(
																			(long) CINT(BgL_bpz00_2315) + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2638z00_2359;

																			BgL_list2638z00_2359 =
																				MAKE_PAIR(BgL_a4z00_2320, BNIL);
																			BgL_arg2637z00_2358 =
																				BgL_list2638z00_2359;
																		}
																		VECTOR_SET(BgL_sz00_2313,
																			(int) (BgL_arg2636z00_2357),
																			BgL_arg2637z00_2358);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2639z00_2360;

																		BgL_arg2639z00_2360 =
																			(
																			(long) CINT(BgL_bpz00_2315) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2313,
																			(int) (BgL_arg2639z00_2360),
																			BgL_a1z00_2317);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2640z00_2361;

																		BgL_arg2640z00_2361 =
																			(
																			(long) CINT(BgL_bpz00_2315) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2313,
																			(int) (BgL_arg2640z00_2361),
																			BgL_a2z00_2318);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2641z00_2362;

																		BgL_arg2641z00_2362 =
																			(
																			(long) CINT(BgL_bpz00_2315) + ((long) 2));
																		VECTOR_SET(BgL_sz00_2313,
																			(int) (BgL_arg2641z00_2362),
																			BgL_a3z00_2319);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2642z00_2363;

																		BgL_arg2642z00_2363 =
																			(
																			(long) CINT(BgL_bpz00_2315) + ((long) 3));
																		VECTOR_SET(BgL_sz00_2313,
																			(int) (BgL_arg2642z00_2363),
																			BgL_a4z00_2320);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2643z00_2364;

																		BgL_arg2643z00_2364 =
																			(
																			(long) CINT(BgL_bpz00_2315) + ((long) 4));
																		VECTOR_SET(BgL_sz00_2313,
																			(int) (BgL_arg2643z00_2364), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18510,
																		STRUCT_REF(BgL_ufz00_2322,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_2324));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18510, STRUCT_REF(BgL_ufz00_2322,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_2324));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_2368;

												BgL_z12denvz12_2368 = BGL_CURRENT_DYNAMIC_ENV();
												BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2368,
													BgL_locz00_18510);
												{	/* Eval/evaluate_comp.scm 879 */
													bool_t BgL_testz00_25461;

													{	/* Eval/evaluate_comp.scm 667 */
														int BgL_arg1970z00_10052;

														BgL_arg1970z00_10052 = VECTOR_LENGTH(BgL_sz00_2313);
														BgL_testz00_25461 =
															(
															((long) CINT(BgL_bpz00_2315) +
																(long) CINT(BgL_sfz00_2326)) <
															(long) (BgL_arg1970z00_10052));
													}
													if (BgL_testz00_25461)
														{	/* Eval/evaluate_comp.scm 879 */
															return BgL_runz00_2325;
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_2370;

															BgL_nsz00_2370 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2648z00_2372;

																BgL_arg2648z00_2372 =
																	((long) CINT(BgL_bpz00_2315) + ((long) 4));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_2370, BINT(((long) 2)),
																	BgL_sz00_2313, BgL_bpz00_2315,
																	BINT(BgL_arg2648z00_2372));
															}
															VECTOR_SET(BgL_nsz00_2370,
																(int) (((long) 1)), BgL_sz00_2313);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2368,
																BgL_nsz00_2370);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1269z00_2373;

																BgL_exitd1269z00_2373 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32649ze3z83_18479;

																	BgL_zc3anonymousza32649ze3z83_18479 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32649ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32649ze3z83_18479,
																		(int) (((long) 0)), BgL_z12denvz12_2368);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32649ze3z83_18479,
																		(int) (((long) 1)), BgL_sz00_2313);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1269z00_2373,
																		BgL_zc3anonymousza32649ze3z83_18479);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1271z00_2375;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_10070;

																			BgL_savedzd2bpzd2_10070 =
																				VECTOR_REF(BgL_nsz00_2370,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_2370,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_10077;

																				BgL_fz00_10077 = BgL_runz00_2325;
																			BgL_recz00_10076:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_10078;

																					BgL_rz00_10078 =
																						PROCEDURE_ENTRY(BgL_fz00_10077)
																						(BgL_fz00_10077, BgL_nsz00_2370,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_25495;

																						if (PROCEDUREP(BgL_rz00_10078))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1962z00_10083;

																								BgL_arg1962z00_10083 =
																									PROCEDURE_ATTR
																									(BgL_rz00_10078);
																								if (STRUCTP
																									(BgL_arg1962z00_10083))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_25495 =
																											(STRUCT_KEY
																											(BgL_arg1962z00_10083) ==
																											BGl_symbol5983z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_25495 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_25495 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_25495)
																							{
																								obj_t BgL_fz00_25503;

																								BgL_fz00_25503 = BgL_rz00_10078;
																								BgL_fz00_10077 = BgL_fz00_25503;
																								goto BgL_recz00_10076;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_2370,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_10070);
																								BgL_tmp1271z00_2375 =
																									BgL_rz00_10078;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1269z00_2373);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2368,
																			BgL_sz00_2313);
																		return BgL_tmp1271z00_2375;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2316,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_2379;

													BgL_nbpz00_2379 =
														((long) CINT(BgL_bpz00_2315) + BgL_siza7eza7_18512);
													VECTOR_SET(BgL_sz00_2313,
														(int) (((long) 0)), BINT(BgL_nbpz00_2379));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_25516;

														BgL_auxz00_25516 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_25516,
															BgL_locz00_18510);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_2381;

														BgL_rz00_2381 =
															PROCEDURE_ENTRY(BgL_fz00_2316) (BgL_fz00_2316,
															BgL_a1z00_2317, BgL_a2z00_2318, BgL_a3z00_2319,
															BgL_a4z00_2320, BEOA);
														VECTOR_SET(BgL_sz00_2313, (int) (((long) 0)),
															BgL_bpz00_2315);
														return BgL_rz00_2381;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18510, BgL_symbzd2funzd2_18511,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_2316));
		}}}}}}}}}
	}



/* &<anonymous:2649> */
	obj_t BGl_z62zc3anonymousza32649ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18514)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18515;
				obj_t BgL_sz00_18516;

				BgL_z12denvz12_18515 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18514, (int) (((long) 0))));
				BgL_sz00_18516 = PROCEDURE_REF(BgL_envz00_18514, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18515, BgL_sz00_18516);
				}
			}
		}
	}



/* &<anonymous:2653> */
	obj_t BGl_z62zc3anonymousza32653ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18517, obj_t BgL_sz00_18526)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18518;
				obj_t BgL_a1z00_18519;
				obj_t BgL_a2z00_18520;
				obj_t BgL_a3z00_18521;
				obj_t BgL_a4z00_18522;
				obj_t BgL_locz00_18523;
				obj_t BgL_symbzd2funzd2_18524;
				long BgL_siza7eza7_18525;

				BgL_funz00_18518 = PROCEDURE_REF(BgL_envz00_18517, (int) (((long) 0)));
				BgL_a1z00_18519 = PROCEDURE_REF(BgL_envz00_18517, (int) (((long) 1)));
				BgL_a2z00_18520 = PROCEDURE_REF(BgL_envz00_18517, (int) (((long) 2)));
				BgL_a3z00_18521 = PROCEDURE_REF(BgL_envz00_18517, (int) (((long) 3)));
				BgL_a4z00_18522 = PROCEDURE_REF(BgL_envz00_18517, (int) (((long) 4)));
				BgL_locz00_18523 = PROCEDURE_REF(BgL_envz00_18517, (int) (((long) 5)));
				BgL_symbzd2funzd2_18524 =
					PROCEDURE_REF(BgL_envz00_18517, (int) (((long) 6)));
				BgL_siza7eza7_18525 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18517, (int) (((long) 7))));
				{
					obj_t BgL_sz00_2383;

					BgL_sz00_2383 = BgL_sz00_18526;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2385;

						BgL_bpz00_2385 = VECTOR_REF(BgL_sz00_2383, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_2386;
							obj_t BgL_a1z00_2387;
							obj_t BgL_a2z00_2388;
							obj_t BgL_a3z00_2389;
							obj_t BgL_a4z00_2390;

							BgL_fz00_2386 =
								PROCEDURE_ENTRY(BgL_funz00_18518) (BgL_funz00_18518,
								BgL_sz00_2383, BEOA);
							BgL_a1z00_2387 =
								PROCEDURE_ENTRY(BgL_a1z00_18519) (BgL_a1z00_18519,
								BgL_sz00_2383, BEOA);
							BgL_a2z00_2388 =
								PROCEDURE_ENTRY(BgL_a2z00_18520) (BgL_a2z00_18520,
								BgL_sz00_2383, BEOA);
							BgL_a3z00_2389 =
								PROCEDURE_ENTRY(BgL_a3z00_18521) (BgL_a3z00_18521,
								BgL_sz00_2383, BEOA);
							BgL_a4z00_2390 =
								PROCEDURE_ENTRY(BgL_a4z00_18522) (BgL_a4z00_18522,
								BgL_sz00_2383, BEOA);
							if (PROCEDUREP(BgL_fz00_2386))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18523,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_2386);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_2392;

								BgL_ufz00_2392 = PROCEDURE_ATTR(BgL_fz00_2386);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_25580;

									if (STRUCTP(BgL_ufz00_2392))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_25580 =
												(STRUCT_KEY(BgL_ufz00_2392) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_25580 = ((bool_t) 0);
										}
									if (BgL_testz00_25580)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_2394;
											obj_t BgL_runz00_2395;
											obj_t BgL_sfz00_2396;

											BgL_arityz00_2394 =
												STRUCT_REF(BgL_ufz00_2392, (int) (((long) 0)));
											BgL_runz00_2395 =
												STRUCT_REF(BgL_ufz00_2392, (int) (((long) 1)));
											BgL_sfz00_2396 =
												STRUCT_REF(BgL_ufz00_2392, (int) (((long) 2)));
											if (((long) CINT(BgL_arityz00_2394) == ((long) 4)))
												{	/* Eval/evaluate_comp.scm 879 */
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2657z00_2399;

														BgL_arg2657z00_2399 =
															((long) CINT(BgL_bpz00_2385) + ((long) 0));
														VECTOR_SET(BgL_sz00_2383,
															(int) (BgL_arg2657z00_2399), BgL_a1z00_2387);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2658z00_2400;

														BgL_arg2658z00_2400 =
															((long) CINT(BgL_bpz00_2385) + ((long) 1));
														VECTOR_SET(BgL_sz00_2383,
															(int) (BgL_arg2658z00_2400), BgL_a2z00_2388);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2659z00_2401;

														BgL_arg2659z00_2401 =
															((long) CINT(BgL_bpz00_2385) + ((long) 2));
														VECTOR_SET(BgL_sz00_2383,
															(int) (BgL_arg2659z00_2401), BgL_a3z00_2389);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														long BgL_arg2660z00_2402;

														BgL_arg2660z00_2402 =
															((long) CINT(BgL_bpz00_2385) + ((long) 3));
														VECTOR_SET(BgL_sz00_2383,
															(int) (BgL_arg2660z00_2402), BgL_a4z00_2390);
												}}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													if (INTEGERP(BgL_arityz00_2394))
														{	/* Eval/evaluate_comp.scm 879 */
															switch ((long) CINT(BgL_arityz00_2394))
																{
																case ((long) -1):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2662z00_2406;
																		obj_t BgL_arg2663z00_2407;

																		BgL_arg2662z00_2406 =
																			(
																			(long) CINT(BgL_bpz00_2385) + ((long) 0));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2664z00_2408;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2665z00_2409;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2666z00_2410;

																					{	/* Eval/evaluate_comp.scm 879 */
																						obj_t BgL_arg2667z00_2411;

																						BgL_arg2667z00_2411 =
																							MAKE_PAIR(BgL_a4z00_2390, BNIL);
																						BgL_arg2666z00_2410 =
																							MAKE_PAIR(BgL_a3z00_2389,
																							BgL_arg2667z00_2411);
																					}
																					BgL_arg2665z00_2409 =
																						MAKE_PAIR(BgL_a2z00_2388,
																						BgL_arg2666z00_2410);
																				}
																				BgL_list2664z00_2408 =
																					MAKE_PAIR(BgL_a1z00_2387,
																					BgL_arg2665z00_2409);
																			}
																			BgL_arg2663z00_2407 =
																				BgL_list2664z00_2408;
																		}
																		VECTOR_SET(BgL_sz00_2383,
																			(int) (BgL_arg2662z00_2406),
																			BgL_arg2663z00_2407);
																	} break;
																case ((long) -2):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2668z00_2412;

																		BgL_arg2668z00_2412 =
																			(
																			(long) CINT(BgL_bpz00_2385) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2383,
																			(int) (BgL_arg2668z00_2412),
																			BgL_a1z00_2387);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2669z00_2413;
																		obj_t BgL_arg2670z00_2414;

																		BgL_arg2669z00_2413 =
																			(
																			(long) CINT(BgL_bpz00_2385) + ((long) 1));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2671z00_2415;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2672z00_2416;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2673z00_2417;

																					BgL_arg2673z00_2417 =
																						MAKE_PAIR(BgL_a4z00_2390, BNIL);
																					BgL_arg2672z00_2416 =
																						MAKE_PAIR(BgL_a3z00_2389,
																						BgL_arg2673z00_2417);
																				}
																				BgL_list2671z00_2415 =
																					MAKE_PAIR(BgL_a2z00_2388,
																					BgL_arg2672z00_2416);
																			}
																			BgL_arg2670z00_2414 =
																				BgL_list2671z00_2415;
																		}
																		VECTOR_SET(BgL_sz00_2383,
																			(int) (BgL_arg2669z00_2413),
																			BgL_arg2670z00_2414);
																	} break;
																case ((long) -3):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2674z00_2418;

																		BgL_arg2674z00_2418 =
																			(
																			(long) CINT(BgL_bpz00_2385) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2383,
																			(int) (BgL_arg2674z00_2418),
																			BgL_a1z00_2387);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2675z00_2419;

																		BgL_arg2675z00_2419 =
																			(
																			(long) CINT(BgL_bpz00_2385) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2383,
																			(int) (BgL_arg2675z00_2419),
																			BgL_a2z00_2388);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2676z00_2420;
																		obj_t BgL_arg2677z00_2421;

																		BgL_arg2676z00_2420 =
																			(
																			(long) CINT(BgL_bpz00_2385) + ((long) 2));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2678z00_2422;

																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_arg2679z00_2423;

																				BgL_arg2679z00_2423 =
																					MAKE_PAIR(BgL_a4z00_2390, BNIL);
																				BgL_list2678z00_2422 =
																					MAKE_PAIR(BgL_a3z00_2389,
																					BgL_arg2679z00_2423);
																			}
																			BgL_arg2677z00_2421 =
																				BgL_list2678z00_2422;
																		}
																		VECTOR_SET(BgL_sz00_2383,
																			(int) (BgL_arg2676z00_2420),
																			BgL_arg2677z00_2421);
																	} break;
																case ((long) -4):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2680z00_2424;

																		BgL_arg2680z00_2424 =
																			(
																			(long) CINT(BgL_bpz00_2385) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2383,
																			(int) (BgL_arg2680z00_2424),
																			BgL_a1z00_2387);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2681z00_2425;

																		BgL_arg2681z00_2425 =
																			(
																			(long) CINT(BgL_bpz00_2385) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2383,
																			(int) (BgL_arg2681z00_2425),
																			BgL_a2z00_2388);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2682z00_2426;

																		BgL_arg2682z00_2426 =
																			(
																			(long) CINT(BgL_bpz00_2385) + ((long) 2));
																		VECTOR_SET(BgL_sz00_2383,
																			(int) (BgL_arg2682z00_2426),
																			BgL_a3z00_2389);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2683z00_2427;
																		obj_t BgL_arg2684z00_2428;

																		BgL_arg2683z00_2427 =
																			(
																			(long) CINT(BgL_bpz00_2385) + ((long) 3));
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_list2685z00_2429;

																			BgL_list2685z00_2429 =
																				MAKE_PAIR(BgL_a4z00_2390, BNIL);
																			BgL_arg2684z00_2428 =
																				BgL_list2685z00_2429;
																		}
																		VECTOR_SET(BgL_sz00_2383,
																			(int) (BgL_arg2683z00_2427),
																			BgL_arg2684z00_2428);
																	} break;
																case ((long) -5):

																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2686z00_2430;

																		BgL_arg2686z00_2430 =
																			(
																			(long) CINT(BgL_bpz00_2385) + ((long) 0));
																		VECTOR_SET(BgL_sz00_2383,
																			(int) (BgL_arg2686z00_2430),
																			BgL_a1z00_2387);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2687z00_2431;

																		BgL_arg2687z00_2431 =
																			(
																			(long) CINT(BgL_bpz00_2385) + ((long) 1));
																		VECTOR_SET(BgL_sz00_2383,
																			(int) (BgL_arg2687z00_2431),
																			BgL_a2z00_2388);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2688z00_2432;

																		BgL_arg2688z00_2432 =
																			(
																			(long) CINT(BgL_bpz00_2385) + ((long) 2));
																		VECTOR_SET(BgL_sz00_2383,
																			(int) (BgL_arg2688z00_2432),
																			BgL_a3z00_2389);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2689z00_2433;

																		BgL_arg2689z00_2433 =
																			(
																			(long) CINT(BgL_bpz00_2385) + ((long) 3));
																		VECTOR_SET(BgL_sz00_2383,
																			(int) (BgL_arg2689z00_2433),
																			BgL_a4z00_2390);
																	}
																	{	/* Eval/evaluate_comp.scm 879 */
																		long BgL_arg2690z00_2434;

																		BgL_arg2690z00_2434 =
																			(
																			(long) CINT(BgL_bpz00_2385) + ((long) 4));
																		VECTOR_SET(BgL_sz00_2383,
																			(int) (BgL_arg2690z00_2434), BNIL);
																	} break;
																default:
																	BGl_evarityzd2errorzd2zz__everrorz00
																		(BgL_locz00_18523,
																		STRUCT_REF(BgL_ufz00_2392,
																			(int) (((long) 3))), (int) (((long) 4)),
																		CINT(BgL_arityz00_2394));
														}}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															BGl_evarityzd2errorzd2zz__everrorz00
																(BgL_locz00_18523, STRUCT_REF(BgL_ufz00_2392,
																	(int) (((long) 3))), (int) (((long) 4)),
																CINT(BgL_arityz00_2394));
												}}
											{	/* Eval/evaluate_comp.scm 879 */
												obj_t BgL_z12denvz12_2438;

												BgL_z12denvz12_2438 = BGL_CURRENT_DYNAMIC_ENV();
												{	/* Eval/evaluate_comp.scm 879 */
													bool_t BgL_testz00_25695;

													{	/* Eval/evaluate_comp.scm 667 */
														int BgL_arg1970z00_10273;

														BgL_arg1970z00_10273 = VECTOR_LENGTH(BgL_sz00_2383);
														BgL_testz00_25695 =
															(
															((long) CINT(BgL_bpz00_2385) +
																(long) CINT(BgL_sfz00_2396)) <
															(long) (BgL_arg1970z00_10273));
													}
													if (BgL_testz00_25695)
														{	/* Eval/evaluate_comp.scm 879 */
															return BgL_runz00_2395;
														}
													else
														{	/* Eval/evaluate_comp.scm 879 */
															obj_t BgL_nsz00_2440;

															BgL_nsz00_2440 =
																BGl_makezd2statezd2zz__evaluate_compz00();
															{	/* Eval/evaluate_comp.scm 879 */
																long BgL_arg2696z00_2442;

																BgL_arg2696z00_2442 =
																	((long) CINT(BgL_bpz00_2385) + ((long) 4));
																BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																	(BgL_nsz00_2440, BINT(((long) 2)),
																	BgL_sz00_2383, BgL_bpz00_2385,
																	BINT(BgL_arg2696z00_2442));
															}
															VECTOR_SET(BgL_nsz00_2440,
																(int) (((long) 1)), BgL_sz00_2383);
															BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2438,
																BgL_nsz00_2440);
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_exitd1274z00_2443;

																BgL_exitd1274z00_2443 = BGL_EXITD_TOP_AS_OBJ();
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_zc3anonymousza32697ze3z83_18481;

																	BgL_zc3anonymousza32697ze3z83_18481 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza32697ze3ze1zz__evaluate_compz00,
																		(int) (((long) 0)), (int) (((long) 2)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32697ze3z83_18481,
																		(int) (((long) 0)), BgL_z12denvz12_2438);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza32697ze3z83_18481,
																		(int) (((long) 1)), BgL_sz00_2383);
																	BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																		(BgL_exitd1274z00_2443,
																		BgL_zc3anonymousza32697ze3z83_18481);
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_tmp1276z00_2445;

																		{	/* Eval/evaluate_comp.scm 651 */
																			obj_t BgL_savedzd2bpzd2_10291;

																			BgL_savedzd2bpzd2_10291 =
																				VECTOR_REF(BgL_nsz00_2440,
																				(int) (((long) 0)));
																			VECTOR_SET(BgL_nsz00_2440,
																				(int) (((long) 0)), BINT(((long) 2)));
																			{
																				obj_t BgL_fz00_10298;

																				BgL_fz00_10298 = BgL_runz00_2395;
																			BgL_recz00_10297:
																				{	/* Eval/evaluate_comp.scm 654 */
																					obj_t BgL_rz00_10299;

																					BgL_rz00_10299 =
																						PROCEDURE_ENTRY(BgL_fz00_10298)
																						(BgL_fz00_10298, BgL_nsz00_2440,
																						BEOA);
																					{	/* Eval/evaluate_comp.scm 655 */
																						bool_t BgL_testz00_25729;

																						if (PROCEDUREP(BgL_rz00_10299))
																							{	/* Eval/evaluate_comp.scm 655 */
																								obj_t BgL_arg1962z00_10304;

																								BgL_arg1962z00_10304 =
																									PROCEDURE_ATTR
																									(BgL_rz00_10299);
																								if (STRUCTP
																									(BgL_arg1962z00_10304))
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_25729 =
																											(STRUCT_KEY
																											(BgL_arg1962z00_10304) ==
																											BGl_symbol5983z00zz__evaluate_compz00);
																									}
																								else
																									{	/* Eval/evaluate_comp.scm 635 */
																										BgL_testz00_25729 =
																											((bool_t) 0);
																									}
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								BgL_testz00_25729 =
																									((bool_t) 0);
																							}
																						if (BgL_testz00_25729)
																							{
																								obj_t BgL_fz00_25737;

																								BgL_fz00_25737 = BgL_rz00_10299;
																								BgL_fz00_10298 = BgL_fz00_25737;
																								goto BgL_recz00_10297;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 655 */
																								VECTOR_SET(BgL_nsz00_2440,
																									(int) (((long) 0)),
																									BgL_savedzd2bpzd2_10291);
																								BgL_tmp1276z00_2445 =
																									BgL_rz00_10299;
																		}}}}}
																		BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																			(BgL_exitd1274z00_2443);
																		BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2438,
																			BgL_sz00_2383);
																		return BgL_tmp1276z00_2445;
																	}
																}
															}
														}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2386,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_2449;

													BgL_nbpz00_2449 =
														((long) CINT(BgL_bpz00_2385) + BgL_siza7eza7_18525);
													VECTOR_SET(BgL_sz00_2383,
														(int) (((long) 0)), BINT(BgL_nbpz00_2449));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_2450;

														BgL_rz00_2450 =
															PROCEDURE_ENTRY(BgL_fz00_2386) (BgL_fz00_2386,
															BgL_a1z00_2387, BgL_a2z00_2388, BgL_a3z00_2389,
															BgL_a4z00_2390, BEOA);
														VECTOR_SET(BgL_sz00_2383, (int) (((long) 0)),
															BgL_bpz00_2385);
														return BgL_rz00_2450;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18523, BgL_symbzd2funzd2_18524,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_2386));
		}}}}}}}}}
	}



/* &<anonymous:2697> */
	obj_t BGl_z62zc3anonymousza32697ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18527)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18528;
				obj_t BgL_sz00_18529;

				BgL_z12denvz12_18528 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18527, (int) (((long) 0))));
				BgL_sz00_18529 = PROCEDURE_REF(BgL_envz00_18527, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18528, BgL_sz00_18529);
				}
			}
		}
	}



/* &<anonymous:2702> */
	obj_t BGl_z62zc3anonymousza32702ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18530, obj_t BgL_sz00_18539)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18531;
				obj_t BgL_a1z00_18532;
				obj_t BgL_a2z00_18533;
				obj_t BgL_a3z00_18534;
				obj_t BgL_a4z00_18535;
				obj_t BgL_locz00_18536;
				obj_t BgL_symbzd2funzd2_18537;
				long BgL_siza7eza7_18538;

				BgL_funz00_18531 = PROCEDURE_REF(BgL_envz00_18530, (int) (((long) 0)));
				BgL_a1z00_18532 = PROCEDURE_REF(BgL_envz00_18530, (int) (((long) 1)));
				BgL_a2z00_18533 = PROCEDURE_REF(BgL_envz00_18530, (int) (((long) 2)));
				BgL_a3z00_18534 = PROCEDURE_REF(BgL_envz00_18530, (int) (((long) 3)));
				BgL_a4z00_18535 = PROCEDURE_REF(BgL_envz00_18530, (int) (((long) 4)));
				BgL_locz00_18536 = PROCEDURE_REF(BgL_envz00_18530, (int) (((long) 5)));
				BgL_symbzd2funzd2_18537 =
					PROCEDURE_REF(BgL_envz00_18530, (int) (((long) 6)));
				BgL_siza7eza7_18538 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18530, (int) (((long) 7))));
				{
					obj_t BgL_sz00_2454;

					BgL_sz00_2454 = BgL_sz00_18539;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2456;

						BgL_bpz00_2456 = VECTOR_REF(BgL_sz00_2454, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_2457;
							obj_t BgL_a1z00_2458;
							obj_t BgL_a2z00_2459;
							obj_t BgL_a3z00_2460;
							obj_t BgL_a4z00_2461;

							BgL_fz00_2457 =
								PROCEDURE_ENTRY(BgL_funz00_18531) (BgL_funz00_18531,
								BgL_sz00_2454, BEOA);
							BgL_a1z00_2458 =
								PROCEDURE_ENTRY(BgL_a1z00_18532) (BgL_a1z00_18532,
								BgL_sz00_2454, BEOA);
							BgL_a2z00_2459 =
								PROCEDURE_ENTRY(BgL_a2z00_18533) (BgL_a2z00_18533,
								BgL_sz00_2454, BEOA);
							BgL_a3z00_2460 =
								PROCEDURE_ENTRY(BgL_a3z00_18534) (BgL_a3z00_18534,
								BgL_sz00_2454, BEOA);
							BgL_a4z00_2461 =
								PROCEDURE_ENTRY(BgL_a4z00_18535) (BgL_a4z00_18535,
								BgL_sz00_2454, BEOA);
							if (PROCEDUREP(BgL_fz00_2457))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18536,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_2457);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_2463;

								BgL_ufz00_2463 = PROCEDURE_ATTR(BgL_fz00_2457);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_25811;

									if (STRUCTP(BgL_ufz00_2463))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_25811 =
												(STRUCT_KEY(BgL_ufz00_2463) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_25811 = ((bool_t) 0);
										}
									if (BgL_testz00_25811)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_2465;
											obj_t BgL_runz00_2466;
											obj_t BgL_sfz00_2467;

											BgL_arityz00_2465 =
												STRUCT_REF(BgL_ufz00_2463, (int) (((long) 0)));
											BgL_runz00_2466 =
												STRUCT_REF(BgL_ufz00_2463, (int) (((long) 1)));
											BgL_sfz00_2467 =
												STRUCT_REF(BgL_ufz00_2463, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_2468;

												BgL_spz00_2468 =
													((long) CINT(BgL_bpz00_2456) + BgL_siza7eza7_18538);
												if (((long) CINT(BgL_arityz00_2465) == ((long) 4)))
													{	/* Eval/evaluate_comp.scm 879 */
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2706z00_2470;

															BgL_arg2706z00_2470 =
																(BgL_spz00_2468 + ((long) 0));
															VECTOR_SET(BgL_sz00_2454,
																(int) (BgL_arg2706z00_2470), BgL_a1z00_2458);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2707z00_2471;

															BgL_arg2707z00_2471 =
																(BgL_spz00_2468 + ((long) 1));
															VECTOR_SET(BgL_sz00_2454,
																(int) (BgL_arg2707z00_2471), BgL_a2z00_2459);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2708z00_2472;

															BgL_arg2708z00_2472 =
																(BgL_spz00_2468 + ((long) 2));
															VECTOR_SET(BgL_sz00_2454,
																(int) (BgL_arg2708z00_2472), BgL_a3z00_2460);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2709z00_2473;

															BgL_arg2709z00_2473 =
																(BgL_spz00_2468 + ((long) 3));
															VECTOR_SET(BgL_sz00_2454,
																(int) (BgL_arg2709z00_2473), BgL_a4z00_2461);
													}}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_2465))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_2465))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2711z00_2477;
																			obj_t BgL_arg2712z00_2478;

																			BgL_arg2711z00_2477 =
																				(BgL_spz00_2468 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2713z00_2479;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2714z00_2480;

																					{	/* Eval/evaluate_comp.scm 879 */
																						obj_t BgL_arg2716z00_2481;

																						{	/* Eval/evaluate_comp.scm 879 */
																							obj_t BgL_arg2717z00_2482;

																							BgL_arg2717z00_2482 =
																								MAKE_PAIR(BgL_a4z00_2461, BNIL);
																							BgL_arg2716z00_2481 =
																								MAKE_PAIR(BgL_a3z00_2460,
																								BgL_arg2717z00_2482);
																						}
																						BgL_arg2714z00_2480 =
																							MAKE_PAIR(BgL_a2z00_2459,
																							BgL_arg2716z00_2481);
																					}
																					BgL_list2713z00_2479 =
																						MAKE_PAIR(BgL_a1z00_2458,
																						BgL_arg2714z00_2480);
																				}
																				BgL_arg2712z00_2478 =
																					BgL_list2713z00_2479;
																			}
																			VECTOR_SET(BgL_sz00_2454,
																				(int) (BgL_arg2711z00_2477),
																				BgL_arg2712z00_2478);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2718z00_2483;

																			BgL_arg2718z00_2483 =
																				(BgL_spz00_2468 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2454,
																				(int) (BgL_arg2718z00_2483),
																				BgL_a1z00_2458);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2719z00_2484;
																			obj_t BgL_arg2720z00_2485;

																			BgL_arg2719z00_2484 =
																				(BgL_spz00_2468 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2721z00_2486;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2722z00_2487;

																					{	/* Eval/evaluate_comp.scm 879 */
																						obj_t BgL_arg2724z00_2488;

																						BgL_arg2724z00_2488 =
																							MAKE_PAIR(BgL_a4z00_2461, BNIL);
																						BgL_arg2722z00_2487 =
																							MAKE_PAIR(BgL_a3z00_2460,
																							BgL_arg2724z00_2488);
																					}
																					BgL_list2721z00_2486 =
																						MAKE_PAIR(BgL_a2z00_2459,
																						BgL_arg2722z00_2487);
																				}
																				BgL_arg2720z00_2485 =
																					BgL_list2721z00_2486;
																			}
																			VECTOR_SET(BgL_sz00_2454,
																				(int) (BgL_arg2719z00_2484),
																				BgL_arg2720z00_2485);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2725z00_2489;

																			BgL_arg2725z00_2489 =
																				(BgL_spz00_2468 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2454,
																				(int) (BgL_arg2725z00_2489),
																				BgL_a1z00_2458);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2726z00_2490;

																			BgL_arg2726z00_2490 =
																				(BgL_spz00_2468 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2454,
																				(int) (BgL_arg2726z00_2490),
																				BgL_a2z00_2459);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2727z00_2491;
																			obj_t BgL_arg2728z00_2492;

																			BgL_arg2727z00_2491 =
																				(BgL_spz00_2468 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2729z00_2493;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2730z00_2494;

																					BgL_arg2730z00_2494 =
																						MAKE_PAIR(BgL_a4z00_2461, BNIL);
																					BgL_list2729z00_2493 =
																						MAKE_PAIR(BgL_a3z00_2460,
																						BgL_arg2730z00_2494);
																				}
																				BgL_arg2728z00_2492 =
																					BgL_list2729z00_2493;
																			}
																			VECTOR_SET(BgL_sz00_2454,
																				(int) (BgL_arg2727z00_2491),
																				BgL_arg2728z00_2492);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2731z00_2495;

																			BgL_arg2731z00_2495 =
																				(BgL_spz00_2468 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2454,
																				(int) (BgL_arg2731z00_2495),
																				BgL_a1z00_2458);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2732z00_2496;

																			BgL_arg2732z00_2496 =
																				(BgL_spz00_2468 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2454,
																				(int) (BgL_arg2732z00_2496),
																				BgL_a2z00_2459);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2733z00_2497;

																			BgL_arg2733z00_2497 =
																				(BgL_spz00_2468 + ((long) 2));
																			VECTOR_SET(BgL_sz00_2454,
																				(int) (BgL_arg2733z00_2497),
																				BgL_a3z00_2460);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2734z00_2498;
																			obj_t BgL_arg2735z00_2499;

																			BgL_arg2734z00_2498 =
																				(BgL_spz00_2468 + ((long) 3));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2736z00_2500;

																				BgL_list2736z00_2500 =
																					MAKE_PAIR(BgL_a4z00_2461, BNIL);
																				BgL_arg2735z00_2499 =
																					BgL_list2736z00_2500;
																			}
																			VECTOR_SET(BgL_sz00_2454,
																				(int) (BgL_arg2734z00_2498),
																				BgL_arg2735z00_2499);
																		} break;
																	case ((long) -5):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2737z00_2501;

																			BgL_arg2737z00_2501 =
																				(BgL_spz00_2468 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2454,
																				(int) (BgL_arg2737z00_2501),
																				BgL_a1z00_2458);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2738z00_2502;

																			BgL_arg2738z00_2502 =
																				(BgL_spz00_2468 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2454,
																				(int) (BgL_arg2738z00_2502),
																				BgL_a2z00_2459);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2739z00_2503;

																			BgL_arg2739z00_2503 =
																				(BgL_spz00_2468 + ((long) 2));
																			VECTOR_SET(BgL_sz00_2454,
																				(int) (BgL_arg2739z00_2503),
																				BgL_a3z00_2460);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2740z00_2504;

																			BgL_arg2740z00_2504 =
																				(BgL_spz00_2468 + ((long) 3));
																			VECTOR_SET(BgL_sz00_2454,
																				(int) (BgL_arg2740z00_2504),
																				BgL_a4z00_2461);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2741z00_2505;

																			BgL_arg2741z00_2505 =
																				(BgL_spz00_2468 + ((long) 4));
																			VECTOR_SET(BgL_sz00_2454,
																				(int) (BgL_arg2741z00_2505), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18536,
																			STRUCT_REF(BgL_ufz00_2463,
																				(int) (((long) 3))), (int) (((long) 4)),
																			CINT(BgL_arityz00_2465));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18536, STRUCT_REF(BgL_ufz00_2463,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_2465));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_2509;

													BgL_z12denvz12_2509 = BGL_CURRENT_DYNAMIC_ENV();
													BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_2509,
														BgL_locz00_18536);
													{	/* Eval/evaluate_comp.scm 879 */
														bool_t BgL_testz00_25910;

														{	/* Eval/evaluate_comp.scm 667 */
															int BgL_arg1970z00_10493;

															BgL_arg1970z00_10493 =
																VECTOR_LENGTH(BgL_sz00_2454);
															BgL_testz00_25910 =
																(
																(BgL_spz00_2468 +
																	(long) CINT(BgL_sfz00_2467)) <
																(long) (BgL_arg1970z00_10493));
														}
														if (BgL_testz00_25910)
															{	/* Eval/evaluate_comp.scm 879 */
																return
																	BGl_catchzd2trampolinezd2zz__evaluate_compz00
																	(BgL_runz00_2466, BgL_sz00_2454,
																	BINT(BgL_spz00_2468));
															}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_nsz00_2511;

																BgL_nsz00_2511 =
																	BGl_makezd2statezd2zz__evaluate_compz00();
																{	/* Eval/evaluate_comp.scm 879 */
																	long BgL_arg2746z00_2513;

																	BgL_arg2746z00_2513 =
																		(BgL_spz00_2468 + ((long) 4));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_nsz00_2511, BINT(((long) 2)),
																		BgL_sz00_2454, BINT(BgL_spz00_2468),
																		BINT(BgL_arg2746z00_2513));
																}
																VECTOR_SET(BgL_nsz00_2511,
																	(int) (((long) 1)), BgL_sz00_2454);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2509,
																	BgL_nsz00_2511);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_exitd1279z00_2514;

																	BgL_exitd1279z00_2514 =
																		BGL_EXITD_TOP_AS_OBJ();
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_zc3anonymousza32747ze3z83_18483;

																		BgL_zc3anonymousza32747ze3z83_18483 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32747ze3ze1zz__evaluate_compz00,
																			(int) (((long) 0)), (int) (((long) 2)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32747ze3z83_18483,
																			(int) (((long) 0)), BgL_z12denvz12_2509);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32747ze3z83_18483,
																			(int) (((long) 1)), BgL_sz00_2454);
																		BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																			(BgL_exitd1279z00_2514,
																			BgL_zc3anonymousza32747ze3z83_18483);
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_tmp1281z00_2516;

																			{	/* Eval/evaluate_comp.scm 651 */
																				obj_t BgL_savedzd2bpzd2_10510;

																				BgL_savedzd2bpzd2_10510 =
																					VECTOR_REF(BgL_nsz00_2511,
																					(int) (((long) 0)));
																				VECTOR_SET(BgL_nsz00_2511,
																					(int) (((long) 0)), BINT(((long) 2)));
																				{
																					obj_t BgL_fz00_10517;

																					BgL_fz00_10517 = BgL_runz00_2466;
																				BgL_recz00_10516:
																					{	/* Eval/evaluate_comp.scm 654 */
																						obj_t BgL_rz00_10518;

																						BgL_rz00_10518 =
																							PROCEDURE_ENTRY(BgL_fz00_10517)
																							(BgL_fz00_10517, BgL_nsz00_2511,
																							BEOA);
																						{	/* Eval/evaluate_comp.scm 655 */
																							bool_t BgL_testz00_25945;

																							if (PROCEDUREP(BgL_rz00_10518))
																								{	/* Eval/evaluate_comp.scm 655 */
																									obj_t BgL_arg1962z00_10523;

																									BgL_arg1962z00_10523 =
																										PROCEDURE_ATTR
																										(BgL_rz00_10518);
																									if (STRUCTP
																										(BgL_arg1962z00_10523))
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_25945 =
																												(STRUCT_KEY
																												(BgL_arg1962z00_10523)
																												==
																												BGl_symbol5983z00zz__evaluate_compz00);
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_25945 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									BgL_testz00_25945 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_25945)
																								{
																									obj_t BgL_fz00_25953;

																									BgL_fz00_25953 =
																										BgL_rz00_10518;
																									BgL_fz00_10517 =
																										BgL_fz00_25953;
																									goto BgL_recz00_10516;
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									VECTOR_SET(BgL_nsz00_2511,
																										(int) (((long) 0)),
																										BgL_savedzd2bpzd2_10510);
																									BgL_tmp1281z00_2516 =
																										BgL_rz00_10518;
																			}}}}}
																			BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																				(BgL_exitd1279z00_2514);
																			BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2509,
																				BgL_sz00_2454);
																			return BgL_tmp1281z00_2516;
																		}
																	}
																}
															}
													}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2457,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_2520;

													BgL_nbpz00_2520 =
														((long) CINT(BgL_bpz00_2456) + BgL_siza7eza7_18538);
													VECTOR_SET(BgL_sz00_2454,
														(int) (((long) 0)), BINT(BgL_nbpz00_2520));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_auxz00_25966;

														BgL_auxz00_25966 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_SET_TRACE_LOCATION(BgL_auxz00_25966,
															BgL_locz00_18536);
													}
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_2522;

														BgL_rz00_2522 =
															PROCEDURE_ENTRY(BgL_fz00_2457) (BgL_fz00_2457,
															BgL_a1z00_2458, BgL_a2z00_2459, BgL_a3z00_2460,
															BgL_a4z00_2461, BEOA);
														VECTOR_SET(BgL_sz00_2454, (int) (((long) 0)),
															BgL_bpz00_2456);
														return BgL_rz00_2522;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18536, BgL_symbzd2funzd2_18537,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_2457));
		}}}}}}}}}
	}



/* &<anonymous:2747> */
	obj_t BGl_z62zc3anonymousza32747ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18540)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18541;
				obj_t BgL_sz00_18542;

				BgL_z12denvz12_18541 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18540, (int) (((long) 0))));
				BgL_sz00_18542 = PROCEDURE_REF(BgL_envz00_18540, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18541, BgL_sz00_18542);
				}
			}
		}
	}



/* &<anonymous:2751> */
	obj_t BGl_z62zc3anonymousza32751ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18543, obj_t BgL_sz00_18552)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_funz00_18544;
				obj_t BgL_a1z00_18545;
				obj_t BgL_a2z00_18546;
				obj_t BgL_a3z00_18547;
				obj_t BgL_a4z00_18548;
				obj_t BgL_locz00_18549;
				obj_t BgL_symbzd2funzd2_18550;
				long BgL_siza7eza7_18551;

				BgL_funz00_18544 = PROCEDURE_REF(BgL_envz00_18543, (int) (((long) 0)));
				BgL_a1z00_18545 = PROCEDURE_REF(BgL_envz00_18543, (int) (((long) 1)));
				BgL_a2z00_18546 = PROCEDURE_REF(BgL_envz00_18543, (int) (((long) 2)));
				BgL_a3z00_18547 = PROCEDURE_REF(BgL_envz00_18543, (int) (((long) 3)));
				BgL_a4z00_18548 = PROCEDURE_REF(BgL_envz00_18543, (int) (((long) 4)));
				BgL_locz00_18549 = PROCEDURE_REF(BgL_envz00_18543, (int) (((long) 5)));
				BgL_symbzd2funzd2_18550 =
					PROCEDURE_REF(BgL_envz00_18543, (int) (((long) 6)));
				BgL_siza7eza7_18551 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_18543, (int) (((long) 7))));
				{
					obj_t BgL_sz00_2524;

					BgL_sz00_2524 = BgL_sz00_18552;
					{	/* Eval/evaluate_comp.scm 879 */
						obj_t BgL_bpz00_2526;

						BgL_bpz00_2526 = VECTOR_REF(BgL_sz00_2524, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 879 */
							obj_t BgL_fz00_2527;
							obj_t BgL_a1z00_2528;
							obj_t BgL_a2z00_2529;
							obj_t BgL_a3z00_2530;
							obj_t BgL_a4z00_2531;

							BgL_fz00_2527 =
								PROCEDURE_ENTRY(BgL_funz00_18544) (BgL_funz00_18544,
								BgL_sz00_2524, BEOA);
							BgL_a1z00_2528 =
								PROCEDURE_ENTRY(BgL_a1z00_18545) (BgL_a1z00_18545,
								BgL_sz00_2524, BEOA);
							BgL_a2z00_2529 =
								PROCEDURE_ENTRY(BgL_a2z00_18546) (BgL_a2z00_18546,
								BgL_sz00_2524, BEOA);
							BgL_a3z00_2530 =
								PROCEDURE_ENTRY(BgL_a3z00_18547) (BgL_a3z00_18547,
								BgL_sz00_2524, BEOA);
							BgL_a4z00_2531 =
								PROCEDURE_ENTRY(BgL_a4z00_18548) (BgL_a4z00_18548,
								BgL_sz00_2524, BEOA);
							if (PROCEDUREP(BgL_fz00_2527))
								{	/* Eval/evaluate_comp.scm 879 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 879 */
									BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_18549,
										BGl_string5987z00zz__evaluate_compz00,
										BGl_string6003z00zz__evaluate_compz00, BgL_fz00_2527);
								}
							{	/* Eval/evaluate_comp.scm 879 */
								obj_t BgL_ufz00_2533;

								BgL_ufz00_2533 = PROCEDURE_ATTR(BgL_fz00_2527);
								{	/* Eval/evaluate_comp.scm 879 */
									bool_t BgL_testz00_26030;

									if (STRUCTP(BgL_ufz00_2533))
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_26030 =
												(STRUCT_KEY(BgL_ufz00_2533) ==
												BGl_symbol6004z00zz__evaluate_compz00);
										}
									else
										{	/* Eval/evaluate_comp.scm 664 */
											BgL_testz00_26030 = ((bool_t) 0);
										}
									if (BgL_testz00_26030)
										{	/* Eval/evaluate_comp.scm 879 */
											obj_t BgL_arityz00_2535;
											obj_t BgL_runz00_2536;
											obj_t BgL_sfz00_2537;

											BgL_arityz00_2535 =
												STRUCT_REF(BgL_ufz00_2533, (int) (((long) 0)));
											BgL_runz00_2536 =
												STRUCT_REF(BgL_ufz00_2533, (int) (((long) 1)));
											BgL_sfz00_2537 =
												STRUCT_REF(BgL_ufz00_2533, (int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 879 */
												long BgL_spz00_2538;

												BgL_spz00_2538 =
													((long) CINT(BgL_bpz00_2526) + BgL_siza7eza7_18551);
												if (((long) CINT(BgL_arityz00_2535) == ((long) 4)))
													{	/* Eval/evaluate_comp.scm 879 */
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2755z00_2540;

															BgL_arg2755z00_2540 =
																(BgL_spz00_2538 + ((long) 0));
															VECTOR_SET(BgL_sz00_2524,
																(int) (BgL_arg2755z00_2540), BgL_a1z00_2528);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2756z00_2541;

															BgL_arg2756z00_2541 =
																(BgL_spz00_2538 + ((long) 1));
															VECTOR_SET(BgL_sz00_2524,
																(int) (BgL_arg2756z00_2541), BgL_a2z00_2529);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2757z00_2542;

															BgL_arg2757z00_2542 =
																(BgL_spz00_2538 + ((long) 2));
															VECTOR_SET(BgL_sz00_2524,
																(int) (BgL_arg2757z00_2542), BgL_a3z00_2530);
														}
														{	/* Eval/evaluate_comp.scm 879 */
															long BgL_arg2758z00_2543;

															BgL_arg2758z00_2543 =
																(BgL_spz00_2538 + ((long) 3));
															VECTOR_SET(BgL_sz00_2524,
																(int) (BgL_arg2758z00_2543), BgL_a4z00_2531);
													}}
												else
													{	/* Eval/evaluate_comp.scm 879 */
														if (INTEGERP(BgL_arityz00_2535))
															{	/* Eval/evaluate_comp.scm 879 */
																switch ((long) CINT(BgL_arityz00_2535))
																	{
																	case ((long) -1):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2760z00_2547;
																			obj_t BgL_arg2761z00_2548;

																			BgL_arg2760z00_2547 =
																				(BgL_spz00_2538 + ((long) 0));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2762z00_2549;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2763z00_2550;

																					{	/* Eval/evaluate_comp.scm 879 */
																						obj_t BgL_arg2764z00_2551;

																						{	/* Eval/evaluate_comp.scm 879 */
																							obj_t BgL_arg2765z00_2552;

																							BgL_arg2765z00_2552 =
																								MAKE_PAIR(BgL_a4z00_2531, BNIL);
																							BgL_arg2764z00_2551 =
																								MAKE_PAIR(BgL_a3z00_2530,
																								BgL_arg2765z00_2552);
																						}
																						BgL_arg2763z00_2550 =
																							MAKE_PAIR(BgL_a2z00_2529,
																							BgL_arg2764z00_2551);
																					}
																					BgL_list2762z00_2549 =
																						MAKE_PAIR(BgL_a1z00_2528,
																						BgL_arg2763z00_2550);
																				}
																				BgL_arg2761z00_2548 =
																					BgL_list2762z00_2549;
																			}
																			VECTOR_SET(BgL_sz00_2524,
																				(int) (BgL_arg2760z00_2547),
																				BgL_arg2761z00_2548);
																		} break;
																	case ((long) -2):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2766z00_2553;

																			BgL_arg2766z00_2553 =
																				(BgL_spz00_2538 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2524,
																				(int) (BgL_arg2766z00_2553),
																				BgL_a1z00_2528);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2767z00_2554;
																			obj_t BgL_arg2768z00_2555;

																			BgL_arg2767z00_2554 =
																				(BgL_spz00_2538 + ((long) 1));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2769z00_2556;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2770z00_2557;

																					{	/* Eval/evaluate_comp.scm 879 */
																						obj_t BgL_arg2771z00_2558;

																						BgL_arg2771z00_2558 =
																							MAKE_PAIR(BgL_a4z00_2531, BNIL);
																						BgL_arg2770z00_2557 =
																							MAKE_PAIR(BgL_a3z00_2530,
																							BgL_arg2771z00_2558);
																					}
																					BgL_list2769z00_2556 =
																						MAKE_PAIR(BgL_a2z00_2529,
																						BgL_arg2770z00_2557);
																				}
																				BgL_arg2768z00_2555 =
																					BgL_list2769z00_2556;
																			}
																			VECTOR_SET(BgL_sz00_2524,
																				(int) (BgL_arg2767z00_2554),
																				BgL_arg2768z00_2555);
																		} break;
																	case ((long) -3):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2772z00_2559;

																			BgL_arg2772z00_2559 =
																				(BgL_spz00_2538 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2524,
																				(int) (BgL_arg2772z00_2559),
																				BgL_a1z00_2528);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2773z00_2560;

																			BgL_arg2773z00_2560 =
																				(BgL_spz00_2538 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2524,
																				(int) (BgL_arg2773z00_2560),
																				BgL_a2z00_2529);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2774z00_2561;
																			obj_t BgL_arg2775z00_2562;

																			BgL_arg2774z00_2561 =
																				(BgL_spz00_2538 + ((long) 2));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2776z00_2563;

																				{	/* Eval/evaluate_comp.scm 879 */
																					obj_t BgL_arg2777z00_2564;

																					BgL_arg2777z00_2564 =
																						MAKE_PAIR(BgL_a4z00_2531, BNIL);
																					BgL_list2776z00_2563 =
																						MAKE_PAIR(BgL_a3z00_2530,
																						BgL_arg2777z00_2564);
																				}
																				BgL_arg2775z00_2562 =
																					BgL_list2776z00_2563;
																			}
																			VECTOR_SET(BgL_sz00_2524,
																				(int) (BgL_arg2774z00_2561),
																				BgL_arg2775z00_2562);
																		} break;
																	case ((long) -4):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2778z00_2565;

																			BgL_arg2778z00_2565 =
																				(BgL_spz00_2538 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2524,
																				(int) (BgL_arg2778z00_2565),
																				BgL_a1z00_2528);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2779z00_2566;

																			BgL_arg2779z00_2566 =
																				(BgL_spz00_2538 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2524,
																				(int) (BgL_arg2779z00_2566),
																				BgL_a2z00_2529);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2780z00_2567;

																			BgL_arg2780z00_2567 =
																				(BgL_spz00_2538 + ((long) 2));
																			VECTOR_SET(BgL_sz00_2524,
																				(int) (BgL_arg2780z00_2567),
																				BgL_a3z00_2530);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2782z00_2568;
																			obj_t BgL_arg2783z00_2569;

																			BgL_arg2782z00_2568 =
																				(BgL_spz00_2538 + ((long) 3));
																			{	/* Eval/evaluate_comp.scm 879 */
																				obj_t BgL_list2784z00_2570;

																				BgL_list2784z00_2570 =
																					MAKE_PAIR(BgL_a4z00_2531, BNIL);
																				BgL_arg2783z00_2569 =
																					BgL_list2784z00_2570;
																			}
																			VECTOR_SET(BgL_sz00_2524,
																				(int) (BgL_arg2782z00_2568),
																				BgL_arg2783z00_2569);
																		} break;
																	case ((long) -5):

																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2786z00_2571;

																			BgL_arg2786z00_2571 =
																				(BgL_spz00_2538 + ((long) 0));
																			VECTOR_SET(BgL_sz00_2524,
																				(int) (BgL_arg2786z00_2571),
																				BgL_a1z00_2528);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2787z00_2572;

																			BgL_arg2787z00_2572 =
																				(BgL_spz00_2538 + ((long) 1));
																			VECTOR_SET(BgL_sz00_2524,
																				(int) (BgL_arg2787z00_2572),
																				BgL_a2z00_2529);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2788z00_2573;

																			BgL_arg2788z00_2573 =
																				(BgL_spz00_2538 + ((long) 2));
																			VECTOR_SET(BgL_sz00_2524,
																				(int) (BgL_arg2788z00_2573),
																				BgL_a3z00_2530);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2789z00_2574;

																			BgL_arg2789z00_2574 =
																				(BgL_spz00_2538 + ((long) 3));
																			VECTOR_SET(BgL_sz00_2524,
																				(int) (BgL_arg2789z00_2574),
																				BgL_a4z00_2531);
																		}
																		{	/* Eval/evaluate_comp.scm 879 */
																			long BgL_arg2790z00_2575;

																			BgL_arg2790z00_2575 =
																				(BgL_spz00_2538 + ((long) 4));
																			VECTOR_SET(BgL_sz00_2524,
																				(int) (BgL_arg2790z00_2575), BNIL);
																		} break;
																	default:
																		BGl_evarityzd2errorzd2zz__everrorz00
																			(BgL_locz00_18549,
																			STRUCT_REF(BgL_ufz00_2533,
																				(int) (((long) 3))), (int) (((long) 4)),
																			CINT(BgL_arityz00_2535));
															}}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																BGl_evarityzd2errorzd2zz__everrorz00
																	(BgL_locz00_18549, STRUCT_REF(BgL_ufz00_2533,
																		(int) (((long) 3))), (int) (((long) 4)),
																	CINT(BgL_arityz00_2535));
													}}
												{	/* Eval/evaluate_comp.scm 879 */
													obj_t BgL_z12denvz12_2579;

													BgL_z12denvz12_2579 = BGL_CURRENT_DYNAMIC_ENV();
													{	/* Eval/evaluate_comp.scm 879 */
														bool_t BgL_testz00_26128;

														{	/* Eval/evaluate_comp.scm 667 */
															int BgL_arg1970z00_10713;

															BgL_arg1970z00_10713 =
																VECTOR_LENGTH(BgL_sz00_2524);
															BgL_testz00_26128 =
																(
																(BgL_spz00_2538 +
																	(long) CINT(BgL_sfz00_2537)) <
																(long) (BgL_arg1970z00_10713));
														}
														if (BgL_testz00_26128)
															{	/* Eval/evaluate_comp.scm 879 */
																return
																	BGl_catchzd2trampolinezd2zz__evaluate_compz00
																	(BgL_runz00_2536, BgL_sz00_2524,
																	BINT(BgL_spz00_2538));
															}
														else
															{	/* Eval/evaluate_comp.scm 879 */
																obj_t BgL_nsz00_2581;

																BgL_nsz00_2581 =
																	BGl_makezd2statezd2zz__evaluate_compz00();
																{	/* Eval/evaluate_comp.scm 879 */
																	long BgL_arg2795z00_2583;

																	BgL_arg2795z00_2583 =
																		(BgL_spz00_2538 + ((long) 4));
																	BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00
																		(BgL_nsz00_2581, BINT(((long) 2)),
																		BgL_sz00_2524, BINT(BgL_spz00_2538),
																		BINT(BgL_arg2795z00_2583));
																}
																VECTOR_SET(BgL_nsz00_2581,
																	(int) (((long) 1)), BgL_sz00_2524);
																BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2579,
																	BgL_nsz00_2581);
																{	/* Eval/evaluate_comp.scm 879 */
																	obj_t BgL_exitd1284z00_2584;

																	BgL_exitd1284z00_2584 =
																		BGL_EXITD_TOP_AS_OBJ();
																	{	/* Eval/evaluate_comp.scm 879 */
																		obj_t BgL_zc3anonymousza32796ze3z83_18485;

																		BgL_zc3anonymousza32796ze3z83_18485 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32796ze3ze1zz__evaluate_compz00,
																			(int) (((long) 0)), (int) (((long) 2)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32796ze3z83_18485,
																			(int) (((long) 0)), BgL_z12denvz12_2579);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32796ze3z83_18485,
																			(int) (((long) 1)), BgL_sz00_2524);
																		BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
																			(BgL_exitd1284z00_2584,
																			BgL_zc3anonymousza32796ze3z83_18485);
																		{	/* Eval/evaluate_comp.scm 879 */
																			obj_t BgL_tmp1286z00_2586;

																			{	/* Eval/evaluate_comp.scm 651 */
																				obj_t BgL_savedzd2bpzd2_10730;

																				BgL_savedzd2bpzd2_10730 =
																					VECTOR_REF(BgL_nsz00_2581,
																					(int) (((long) 0)));
																				VECTOR_SET(BgL_nsz00_2581,
																					(int) (((long) 0)), BINT(((long) 2)));
																				{
																					obj_t BgL_fz00_10737;

																					BgL_fz00_10737 = BgL_runz00_2536;
																				BgL_recz00_10736:
																					{	/* Eval/evaluate_comp.scm 654 */
																						obj_t BgL_rz00_10738;

																						BgL_rz00_10738 =
																							PROCEDURE_ENTRY(BgL_fz00_10737)
																							(BgL_fz00_10737, BgL_nsz00_2581,
																							BEOA);
																						{	/* Eval/evaluate_comp.scm 655 */
																							bool_t BgL_testz00_26163;

																							if (PROCEDUREP(BgL_rz00_10738))
																								{	/* Eval/evaluate_comp.scm 655 */
																									obj_t BgL_arg1962z00_10743;

																									BgL_arg1962z00_10743 =
																										PROCEDURE_ATTR
																										(BgL_rz00_10738);
																									if (STRUCTP
																										(BgL_arg1962z00_10743))
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_26163 =
																												(STRUCT_KEY
																												(BgL_arg1962z00_10743)
																												==
																												BGl_symbol5983z00zz__evaluate_compz00);
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 635 */
																											BgL_testz00_26163 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									BgL_testz00_26163 =
																										((bool_t) 0);
																								}
																							if (BgL_testz00_26163)
																								{
																									obj_t BgL_fz00_26171;

																									BgL_fz00_26171 =
																										BgL_rz00_10738;
																									BgL_fz00_10737 =
																										BgL_fz00_26171;
																									goto BgL_recz00_10736;
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 655 */
																									VECTOR_SET(BgL_nsz00_2581,
																										(int) (((long) 0)),
																										BgL_savedzd2bpzd2_10730);
																									BgL_tmp1286z00_2586 =
																										BgL_rz00_10738;
																			}}}}}
																			BGl_exitdzd2popzd2protectz12z12zz__bexitz00
																				(BgL_exitd1284z00_2584);
																			BGL_ENV_EVSTATE_SET(BgL_z12denvz12_2579,
																				BgL_sz00_2524);
																			return BgL_tmp1286z00_2586;
																		}
																	}
																}
															}
													}
												}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 879 */
											if (PROCEDURE_CORRECT_ARITYP(BgL_fz00_2527,
													(int) (((long) 4))))
												{	/* Eval/evaluate_comp.scm 879 */
													long BgL_nbpz00_2590;

													BgL_nbpz00_2590 =
														((long) CINT(BgL_bpz00_2526) + BgL_siza7eza7_18551);
													VECTOR_SET(BgL_sz00_2524,
														(int) (((long) 0)), BINT(BgL_nbpz00_2590));
													{	/* Eval/evaluate_comp.scm 879 */
														obj_t BgL_rz00_2591;

														BgL_rz00_2591 =
															PROCEDURE_ENTRY(BgL_fz00_2527) (BgL_fz00_2527,
															BgL_a1z00_2528, BgL_a2z00_2529, BgL_a3z00_2530,
															BgL_a4z00_2531, BEOA);
														VECTOR_SET(BgL_sz00_2524, (int) (((long) 0)),
															BgL_bpz00_2526);
														return BgL_rz00_2591;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 879 */
													return
														BGl_evarityzd2errorzd2zz__everrorz00
														(BgL_locz00_18549, BgL_symbzd2funzd2_18550,
														(int) (((long) 4)), PROCEDURE_ARITY(BgL_fz00_2527));
		}}}}}}}}}
	}



/* &<anonymous:2796> */
	obj_t BGl_z62zc3anonymousza32796ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18553)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 879 */
			{	/* Eval/evaluate_comp.scm 879 */
				obj_t BgL_z12denvz12_18554;
				obj_t BgL_sz00_18555;

				BgL_z12denvz12_18554 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18553, (int) (((long) 0))));
				BgL_sz00_18555 = PROCEDURE_REF(BgL_envz00_18553, (int) (((long) 1)));
				{

					return BGL_ENV_EVSTATE_SET(BgL_z12denvz12_18554, BgL_sz00_18555);
				}
			}
		}
	}



/* is-constant-fun? */
	obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt
		BgL_funz00_183, long BgL_nbargsz00_184, obj_t BgL_locz00_185,
		obj_t BgL_symbzd2funzd2_186)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 882 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_funz00_183), BGl_ev_globalz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 885 */
					BgL_ev_globalz00_bglt BgL_i1287z00_2595;

					BgL_i1287z00_2595 = ((BgL_ev_globalz00_bglt) BgL_funz00_183);
					{	/* Eval/evaluate_comp.scm 886 */
						obj_t BgL_gz00_2596;

						BgL_gz00_2596 =
							BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1287z00_2595))->BgL_modz00),
							(((BgL_ev_globalz00_bglt) CREF(BgL_i1287z00_2595))->BgL_namez00));
						if (CBOOL(BgL_gz00_2596))
							{	/* Eval/evaluate_comp.scm 888 */
								bool_t BgL_testz00_26211;

								{	/* Eval/evaluate_comp.scm 888 */
									int BgL_arg2804z00_2601;

									{	/* Eval/evaluate_comp.scm 888 */
										int BgL_res5092z00_10767;

										{	/* Eval/evaluate_comp.scm 888 */
											obj_t BgL_evalzd2globalzd2_10764;

											BgL_evalzd2globalzd2_10764 = BgL_gz00_2596;
											{	/* Eval/evaluate_comp.scm 888 */
												int BgL_kz00_10766;

												BgL_kz00_10766 = (int) (((long) 0));
												BgL_res5092z00_10767 =
													CINT(VECTOR_REF(BgL_evalzd2globalzd2_10764,
														BgL_kz00_10766));
										}}
										BgL_arg2804z00_2601 = BgL_res5092z00_10767;
									}
									BgL_testz00_26211 =
										((long) (BgL_arg2804z00_2601) == ((long) 0));
								}
								if (BgL_testz00_26211)
									{	/* Eval/evaluate_comp.scm 889 */
										obj_t BgL_valz00_2598;

										BgL_valz00_2598 =
											VECTOR_REF(BgL_gz00_2596, (int) (((long) 2)));
										{	/* Eval/evaluate_comp.scm 890 */
											bool_t BgL_testz00_26219;

											if (PROCEDUREP(BgL_valz00_2598))
												{	/* Eval/evaluate_comp.scm 890 */
													BgL_testz00_26219 =
														PROCEDURE_CORRECT_ARITYP(BgL_valz00_2598,
														(int) (BgL_nbargsz00_184));
												}
											else
												{	/* Eval/evaluate_comp.scm 890 */
													BgL_testz00_26219 = ((bool_t) 0);
												}
											if (BgL_testz00_26219)
												{	/* Eval/evaluate_comp.scm 890 */
													return BgL_valz00_2598;
												}
											else
												{	/* Eval/evaluate_comp.scm 890 */
													return BFALSE;
												}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 888 */
										return BFALSE;
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 887 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Eval/evaluate_comp.scm 893 */
					bool_t BgL_testz00_26224;

					if (BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_183), BGl_ev_littz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 894 */
							obj_t BgL_auxz00_26228;

							BgL_auxz00_26228 =
								(((BgL_ev_littz00_bglt) CREF(
										((BgL_ev_littz00_bglt) BgL_funz00_183)))->BgL_valuez00);
							BgL_testz00_26224 = PROCEDUREP(BgL_auxz00_26228);
						}
					else
						{	/* Eval/evaluate_comp.scm 893 */
							BgL_testz00_26224 = ((bool_t) 0);
						}
					if (BgL_testz00_26224)
						{	/* Eval/evaluate_comp.scm 895 */
							BgL_ev_littz00_bglt BgL_i1289z00_2605;

							BgL_i1289z00_2605 = ((BgL_ev_littz00_bglt) BgL_funz00_183);
							if (PROCEDURE_CORRECT_ARITYP(
									(((BgL_ev_littz00_bglt) CREF(BgL_i1289z00_2605))->
										BgL_valuez00), (int) (BgL_nbargsz00_184)))
								{	/* Eval/evaluate_comp.scm 896 */
									return
										(((BgL_ev_littz00_bglt) CREF(BgL_i1289z00_2605))->
										BgL_valuez00);
								}
							else
								{	/* Eval/evaluate_comp.scm 896 */
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_185,
										BgL_symbzd2funzd2_186, (int) (BgL_nbargsz00_184),
										PROCEDURE_ARITY((((BgL_ev_littz00_bglt)
													CREF(BgL_i1289z00_2605))->BgL_valuez00)));
						}}
					else
						{	/* Eval/evaluate_comp.scm 893 */
							return BFALSE;
						}
				}
		}
	}



/* compile-float-arith */
	obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t
		BgL_exprz00_187, obj_t BgL_stkz00_188)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 901 */
			if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
					BGl_ev_littz00zz__evaluate_typesz00))
				{	/* Eval/evaluate_comp.scm 906 */
					BgL_ev_littz00_bglt BgL_i1290z00_2615;

					BgL_i1290z00_2615 = ((BgL_ev_littz00_bglt) BgL_exprz00_187);
					if (INTEGERP(
							(((BgL_ev_littz00_bglt) CREF(BgL_i1290z00_2615))->BgL_valuez00)))
						{	/* Eval/evaluate_comp.scm 907 */
							obj_t BgL_v1672z00_2617;

							BgL_v1672z00_2617 = create_vector((int) (((long) 2)));
							{	/* Eval/evaluate_comp.scm 907 */
								double BgL_arg2817z00_2618;

								BgL_arg2817z00_2618 =
									(double) (
									(long) CINT(
										(((BgL_ev_littz00_bglt) CREF(BgL_i1290z00_2615))->
											BgL_valuez00)));
								{	/* Eval/evaluate_comp.scm 907 */
									int BgL_kz00_10783;
									obj_t BgL_objz00_10784;

									BgL_kz00_10783 = (int) (((long) 1));
									BgL_objz00_10784 = DOUBLE_TO_REAL(BgL_arg2817z00_2618);
									VECTOR_SET(BgL_v1672z00_2617, BgL_kz00_10783,
										BgL_objz00_10784);
							}}
							VECTOR_SET(BgL_v1672z00_2617,
								(int) (((long) 0)), BINT(((long) 1)));
							return BgL_v1672z00_2617;
						}
					else
						{	/* Eval/evaluate_comp.scm 908 */
							bool_t BgL_testz00_26259;

							{	/* Eval/evaluate_comp.scm 908 */
								obj_t BgL_auxz00_26260;

								BgL_auxz00_26260 =
									(((BgL_ev_littz00_bglt) CREF(BgL_i1290z00_2615))->
									BgL_valuez00);
								BgL_testz00_26259 = REALP(BgL_auxz00_26260);
							}
							if (BgL_testz00_26259)
								{	/* Eval/evaluate_comp.scm 908 */
									obj_t BgL_v1673z00_2621;

									BgL_v1673z00_2621 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1673z00_2621,
										(int) (((long) 1)),
										(((BgL_ev_littz00_bglt) CREF(BgL_i1290z00_2615))->
											BgL_valuez00));
									VECTOR_SET(BgL_v1673z00_2621, (int) (((long) 0)),
										BINT(((long) 1)));
									return BgL_v1673z00_2621;
								}
							else
								{	/* Eval/evaluate_comp.scm 909 */
									obj_t BgL_v1674z00_2623;

									BgL_v1674z00_2623 = create_vector((int) (((long) 2)));
									{	/* Eval/evaluate_comp.scm 909 */
										obj_t BgL_arg2821z00_2624;

										BgL_arg2821z00_2624 =
											BGl_compz00zz__evaluate_compz00(
											((BgL_ev_exprz00_bglt)
												((BgL_ev_littz00_bglt) BgL_exprz00_187)),
											BgL_stkz00_188);
										VECTOR_SET(BgL_v1674z00_2623, (int) (((long) 1)),
											BgL_arg2821z00_2624);
									}
									VECTOR_SET(BgL_v1674z00_2623,
										(int) (((long) 0)), BINT(((long) 0)));
									return BgL_v1674z00_2623;
								}
						}
				}
			else
				{	/* Eval/evaluate_comp.scm 905 */
					if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
							BGl_ev_varz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_comp.scm 911 */
							BgL_ev_varz00_bglt BgL_i1291z00_2628;

							BgL_i1291z00_2628 = ((BgL_ev_varz00_bglt) BgL_exprz00_187);
							if (CBOOL(
									(((BgL_ev_varz00_bglt) CREF(BgL_i1291z00_2628))->BgL_effz00)))
								{	/* Eval/evaluate_comp.scm 913 */
									obj_t BgL_v1675z00_2630;

									BgL_v1675z00_2630 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1675z00_2630,
										(int) (((long) 1)),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
											BgL_stkz00_188));
									VECTOR_SET(BgL_v1675z00_2630, (int) (((long) 0)),
										BINT(((long) 3)));
									return BgL_v1675z00_2630;
								}
							else
								{	/* Eval/evaluate_comp.scm 914 */
									obj_t BgL_v1676z00_2632;

									BgL_v1676z00_2632 = create_vector((int) (((long) 2)));
									VECTOR_SET(BgL_v1676z00_2632,
										(int) (((long) 1)),
										BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187,
											BgL_stkz00_188));
									VECTOR_SET(BgL_v1676z00_2632, (int) (((long) 0)),
										BINT(((long) 2)));
									return BgL_v1676z00_2632;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 910 */
							if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
									BGl_ev_globalz00zz__evaluate_typesz00))
								{	/* Eval/evaluate_comp.scm 916 */
									BgL_ev_globalz00_bglt BgL_i1292z00_2635;

									BgL_i1292z00_2635 = ((BgL_ev_globalz00_bglt) BgL_exprz00_187);
									{	/* Eval/evaluate_comp.scm 917 */
										obj_t BgL_gz00_2636;

										BgL_gz00_2636 =
											BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1292z00_2635))->
												BgL_modz00),
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1292z00_2635))->
												BgL_namez00));
										if (CBOOL(BgL_gz00_2636))
											{	/* Eval/evaluate_comp.scm 919 */
												bool_t BgL_testz00_26311;

												{	/* Eval/evaluate_comp.scm 919 */
													int BgL_arg2830z00_2640;

													{	/* Eval/evaluate_comp.scm 919 */
														int BgL_res5099z00_10817;

														{	/* Eval/evaluate_comp.scm 919 */
															obj_t BgL_evalzd2globalzd2_10814;

															BgL_evalzd2globalzd2_10814 = BgL_gz00_2636;
															{	/* Eval/evaluate_comp.scm 919 */
																int BgL_kz00_10816;

																BgL_kz00_10816 = (int) (((long) 0));
																BgL_res5099z00_10817 =
																	CINT(VECTOR_REF(BgL_evalzd2globalzd2_10814,
																		BgL_kz00_10816));
														}}
														BgL_arg2830z00_2640 = BgL_res5099z00_10817;
													}
													BgL_testz00_26311 =
														(BINT(BgL_arg2830z00_2640) == BINT(((long) 1)));
												}
												if (BgL_testz00_26311)
													{	/* Eval/evaluate_comp.scm 920 */
														obj_t BgL_v1677z00_2638;

														BgL_v1677z00_2638 =
															create_vector((int) (((long) 2)));
														VECTOR_SET(BgL_v1677z00_2638,
															(int) (((long) 1)), BgL_gz00_2636);
														VECTOR_SET(BgL_v1677z00_2638,
															(int) (((long) 0)), BINT(((long) 4)));
														return BgL_v1677z00_2638;
													}
												else
													{	/* Eval/evaluate_comp.scm 921 */
														obj_t BgL_v1678z00_2639;

														BgL_v1678z00_2639 =
															create_vector((int) (((long) 2)));
														VECTOR_SET(BgL_v1678z00_2639,
															(int) (((long) 1)), BgL_gz00_2636);
														VECTOR_SET(BgL_v1678z00_2639,
															(int) (((long) 0)), BINT(((long) 5)));
														return BgL_v1678z00_2639;
													}
											}
										else
											{	/* Eval/evaluate_comp.scm 922 */
												obj_t BgL_v1679z00_2641;

												BgL_v1679z00_2641 = create_vector((int) (((long) 2)));
												{	/* Eval/evaluate_comp.scm 922 */
													obj_t BgL_arg2831z00_2642;

													BgL_arg2831z00_2642 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt)
															((BgL_ev_globalz00_bglt) BgL_exprz00_187)),
														BgL_stkz00_188);
													VECTOR_SET(BgL_v1679z00_2641, (int) (((long) 1)),
														BgL_arg2831z00_2642);
												}
												VECTOR_SET(BgL_v1679z00_2641,
													(int) (((long) 0)), BINT(((long) 0)));
												return BgL_v1679z00_2641;
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 915 */
									if (BGl_isazf3zf3zz__objectz00(BgL_exprz00_187,
											BGl_ev_appz00zz__evaluate_typesz00))
										{	/* Eval/evaluate_comp.scm 924 */
											BgL_ev_appz00_bglt BgL_i1293z00_2646;

											BgL_i1293z00_2646 =
												((BgL_ev_appz00_bglt) BgL_exprz00_187);
											{	/* Eval/evaluate_comp.scm 925 */
												obj_t BgL_fvalz00_2647;

												BgL_fvalz00_2647 =
													BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
													(((BgL_ev_appz00_bglt) CREF(BgL_i1293z00_2646))->
														BgL_funz00));
												if ((BgL_fvalz00_2647 ==
														BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
													{	/* Eval/evaluate_comp.scm 928 */
														obj_t BgL_v1680z00_2649;

														BgL_v1680z00_2649 =
															create_vector((int) (((long) 3)));
														{	/* Eval/evaluate_comp.scm 928 */
															obj_t BgL_arg2836z00_2650;

															{	/* Eval/evaluate_comp.scm 928 */
																obj_t BgL_arg2837z00_2651;

																{	/* Eval/evaluate_comp.scm 928 */
																	obj_t BgL_pairz00_10836;

																	BgL_pairz00_10836 =
																		(((BgL_ev_appz00_bglt)
																			CREF(BgL_i1293z00_2646))->BgL_argsz00);
																	BgL_arg2837z00_2651 =
																		CAR(CDR(BgL_pairz00_10836));
																}
																BgL_arg2836z00_2650 =
																	BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																	(BgL_arg2837z00_2651, BgL_stkz00_188);
															}
															VECTOR_SET(BgL_v1680z00_2649,
																(int) (((long) 2)), BgL_arg2836z00_2650);
														}
														VECTOR_SET(BgL_v1680z00_2649,
															(int) (((long) 1)),
															BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
															(CAR((((BgL_ev_appz00_bglt)
																			CREF(BgL_i1293z00_2646))->BgL_argsz00)),
																BgL_stkz00_188));
														VECTOR_SET(BgL_v1680z00_2649, (int) (((long) 0)),
															BINT(((long) 6)));
														return BgL_v1680z00_2649;
													}
												else
													{	/* Eval/evaluate_comp.scm 927 */
														if (
															(BgL_fvalz00_2647 ==
																BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
															{	/* Eval/evaluate_comp.scm 930 */
																obj_t BgL_v1681z00_2657;

																BgL_v1681z00_2657 =
																	create_vector((int) (((long) 3)));
																{	/* Eval/evaluate_comp.scm 930 */
																	obj_t BgL_arg2843z00_2658;

																	{	/* Eval/evaluate_comp.scm 930 */
																		obj_t BgL_arg2844z00_2659;

																		{	/* Eval/evaluate_comp.scm 930 */
																			obj_t BgL_pairz00_10852;

																			BgL_pairz00_10852 =
																				(((BgL_ev_appz00_bglt)
																					CREF(BgL_i1293z00_2646))->
																				BgL_argsz00);
																			BgL_arg2844z00_2659 =
																				CAR(CDR(BgL_pairz00_10852));
																		}
																		BgL_arg2843z00_2658 =
																			BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																			(BgL_arg2844z00_2659, BgL_stkz00_188);
																	}
																	VECTOR_SET(BgL_v1681z00_2657,
																		(int) (((long) 2)), BgL_arg2843z00_2658);
																}
																VECTOR_SET(BgL_v1681z00_2657,
																	(int) (((long) 1)),
																	BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																	(CAR((((BgL_ev_appz00_bglt)
																					CREF(BgL_i1293z00_2646))->
																				BgL_argsz00)), BgL_stkz00_188));
																VECTOR_SET(BgL_v1681z00_2657,
																	(int) (((long) 0)), BINT(((long) 7)));
																return BgL_v1681z00_2657;
															}
														else
															{	/* Eval/evaluate_comp.scm 929 */
																if (
																	(BgL_fvalz00_2647 ==
																		BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																	{	/* Eval/evaluate_comp.scm 932 */
																		obj_t BgL_v1682z00_2665;

																		BgL_v1682z00_2665 =
																			create_vector((int) (((long) 3)));
																		{	/* Eval/evaluate_comp.scm 932 */
																			obj_t BgL_arg2850z00_2666;

																			{	/* Eval/evaluate_comp.scm 932 */
																				obj_t BgL_arg2851z00_2667;

																				{	/* Eval/evaluate_comp.scm 932 */
																					obj_t BgL_pairz00_10868;

																					BgL_pairz00_10868 =
																						(((BgL_ev_appz00_bglt)
																							CREF(BgL_i1293z00_2646))->
																						BgL_argsz00);
																					BgL_arg2851z00_2667 =
																						CAR(CDR(BgL_pairz00_10868));
																				}
																				BgL_arg2850z00_2666 =
																					BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																					(BgL_arg2851z00_2667, BgL_stkz00_188);
																			}
																			VECTOR_SET(BgL_v1682z00_2665,
																				(int) (((long) 2)),
																				BgL_arg2850z00_2666);
																		}
																		VECTOR_SET(BgL_v1682z00_2665,
																			(int) (((long) 1)),
																			BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																			(CAR((((BgL_ev_appz00_bglt)
																							CREF(BgL_i1293z00_2646))->
																						BgL_argsz00)), BgL_stkz00_188));
																		VECTOR_SET(BgL_v1682z00_2665,
																			(int) (((long) 0)), BINT(((long) 8)));
																		return BgL_v1682z00_2665;
																	}
																else
																	{	/* Eval/evaluate_comp.scm 931 */
																		if (
																			(BgL_fvalz00_2647 ==
																				BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																			{	/* Eval/evaluate_comp.scm 934 */
																				obj_t BgL_v1683z00_2673;

																				BgL_v1683z00_2673 =
																					create_vector((int) (((long) 3)));
																				{	/* Eval/evaluate_comp.scm 934 */
																					obj_t BgL_arg2857z00_2674;

																					{	/* Eval/evaluate_comp.scm 934 */
																						obj_t BgL_arg2858z00_2675;

																						{	/* Eval/evaluate_comp.scm 934 */
																							obj_t BgL_pairz00_10884;

																							BgL_pairz00_10884 =
																								(((BgL_ev_appz00_bglt)
																									CREF(BgL_i1293z00_2646))->
																								BgL_argsz00);
																							BgL_arg2858z00_2675 =
																								CAR(CDR(BgL_pairz00_10884));
																						}
																						BgL_arg2857z00_2674 =
																							BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																							(BgL_arg2858z00_2675,
																							BgL_stkz00_188);
																					}
																					VECTOR_SET(BgL_v1683z00_2673,
																						(int) (((long) 2)),
																						BgL_arg2857z00_2674);
																				}
																				VECTOR_SET(BgL_v1683z00_2673,
																					(int) (((long) 1)),
																					BGl_compilezd2floatzd2arithz00zz__evaluate_compz00
																					(CAR((((BgL_ev_appz00_bglt)
																									CREF(BgL_i1293z00_2646))->
																								BgL_argsz00)), BgL_stkz00_188));
																				VECTOR_SET(BgL_v1683z00_2673,
																					(int) (((long) 0)), BINT(((long) 9)));
																				return BgL_v1683z00_2673;
																			}
																		else
																			{	/* Eval/evaluate_comp.scm 933 */
																				if (
																					(BgL_fvalz00_2647 ==
																						BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
																					{	/* Eval/evaluate_comp.scm 936 */
																						obj_t BgL_v1684z00_2681;

																						BgL_v1684z00_2681 =
																							create_vector((int) (((long) 2)));
																						{	/* Eval/evaluate_comp.scm 936 */
																							obj_t BgL_arg2864z00_2682;

																							{	/* Eval/evaluate_comp.scm 936 */
																								obj_t BgL_arg2865z00_2683;

																								BgL_arg2865z00_2683 =
																									CAR(
																									(((BgL_ev_appz00_bglt)
																											CREF(BgL_i1293z00_2646))->
																										BgL_argsz00));
																								BgL_arg2864z00_2682 =
																									BGl_compz00zz__evaluate_compz00
																									(((BgL_ev_exprz00_bglt)
																										BgL_arg2865z00_2683),
																									BgL_stkz00_188);
																							}
																							VECTOR_SET(BgL_v1684z00_2681,
																								(int) (((long) 1)),
																								BgL_arg2864z00_2682);
																						}
																						VECTOR_SET(BgL_v1684z00_2681,
																							(int) (((long) 0)),
																							BINT(((long) 10)));
																						return BgL_v1684z00_2681;
																					}
																				else
																					{	/* Eval/evaluate_comp.scm 935 */
																						if (
																							(BgL_fvalz00_2647 ==
																								BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
																							{	/* Eval/evaluate_comp.scm 938 */
																								obj_t BgL_v1685z00_2686;

																								BgL_v1685z00_2686 =
																									create_vector(
																									(int) (((long) 3)));
																								{	/* Eval/evaluate_comp.scm 938 */
																									obj_t BgL_arg2868z00_2687;

																									{	/* Eval/evaluate_comp.scm 938 */
																										obj_t BgL_arg2869z00_2688;

																										{	/* Eval/evaluate_comp.scm 938 */
																											obj_t BgL_pairz00_10907;

																											BgL_pairz00_10907 =
																												(((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_i1293z00_2646))->
																												BgL_argsz00);
																											BgL_arg2869z00_2688 =
																												CAR(CDR
																												(BgL_pairz00_10907));
																										}
																										BgL_arg2868z00_2687 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2869z00_2688),
																											BgL_stkz00_188);
																									}
																									VECTOR_SET(BgL_v1685z00_2686,
																										(int) (((long) 2)),
																										BgL_arg2868z00_2687);
																								}
																								{	/* Eval/evaluate_comp.scm 938 */
																									obj_t BgL_arg2871z00_2690;

																									{	/* Eval/evaluate_comp.scm 938 */
																										obj_t BgL_arg2872z00_2691;

																										BgL_arg2872z00_2691 =
																											CAR(
																											(((BgL_ev_appz00_bglt)
																													CREF
																													(BgL_i1293z00_2646))->
																												BgL_argsz00));
																										BgL_arg2871z00_2690 =
																											BGl_compz00zz__evaluate_compz00
																											(((BgL_ev_exprz00_bglt)
																												BgL_arg2872z00_2691),
																											BgL_stkz00_188);
																									}
																									VECTOR_SET(BgL_v1685z00_2686,
																										(int) (((long) 1)),
																										BgL_arg2871z00_2690);
																								}
																								VECTOR_SET(BgL_v1685z00_2686,
																									(int) (((long) 0)),
																									BINT(((long) 11)));
																								return BgL_v1685z00_2686;
																							}
																						else
																							{	/* Eval/evaluate_comp.scm 940 */
																								obj_t BgL_v1686z00_2693;

																								BgL_v1686z00_2693 =
																									create_vector(
																									(int) (((long) 2)));
																								{	/* Eval/evaluate_comp.scm 940 */
																									obj_t BgL_arg2874z00_2694;

																									BgL_arg2874z00_2694 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt) (
																												(BgL_ev_appz00_bglt)
																												BgL_exprz00_187)),
																										BgL_stkz00_188);
																									VECTOR_SET(BgL_v1686z00_2693,
																										(int) (((long) 1)),
																										BgL_arg2874z00_2694);
																								}
																								VECTOR_SET(BgL_v1686z00_2693,
																									(int) (((long) 0)),
																									BINT(((long) 0)));
																								return BgL_v1686z00_2693;
																							}
																					}
																			}
																	}
															}
													}
											}
										}
									else
										{	/* Eval/evaluate_comp.scm 941 */
											obj_t BgL_v1687z00_2696;

											BgL_v1687z00_2696 = create_vector((int) (((long) 2)));
											{	/* Eval/evaluate_comp.scm 941 */
												obj_t BgL_arg2876z00_2697;

												BgL_arg2876z00_2697 =
													BGl_compz00zz__evaluate_compz00(
													((BgL_ev_exprz00_bglt) BgL_exprz00_187),
													BgL_stkz00_188);
												VECTOR_SET(BgL_v1687z00_2696, (int) (((long) 1)),
													BgL_arg2876z00_2697);
											}
											VECTOR_SET(BgL_v1687z00_2696,
												(int) (((long) 0)), BINT(((long) 0)));
											return BgL_v1687z00_2696;
										}
								}
						}
				}
		}
	}



/* eval-float-arith */
	double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_189,
		obj_t BgL_sz00_190)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 943 */
			return
				REAL_TO_DOUBLE(BGl_Ez00zz__evaluate_compz00(BgL_sz00_190,
					BgL_bcz00_189));
		}
	}



/* E */
	obj_t BGl_Ez00zz__evaluate_compz00(obj_t BgL_sz00_20520, obj_t BgL_bcz00_2702)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 958 */
			{	/* Eval/evaluate_comp.scm 945 */
				obj_t BgL_aux1295z00_2705;

				BgL_aux1295z00_2705 = VECTOR_REF(BgL_bcz00_2702, (int) (((long) 0)));
				if (INTEGERP(BgL_aux1295z00_2705))
					{	/* Eval/evaluate_comp.scm 945 */
						switch ((long) CINT(BgL_aux1295z00_2705))
							{
							case ((long) 0):

								{	/* Eval/evaluate_comp.scm 946 */
									obj_t BgL_fun2880z00_2707;

									BgL_fun2880z00_2707 =
										VECTOR_REF(BgL_bcz00_2702, (int) (((long) 1)));
									return
										PROCEDURE_ENTRY(BgL_fun2880z00_2707) (BgL_fun2880z00_2707,
										BgL_sz00_20520, BEOA);
								}
								break;
							case ((long) 1):

								return VECTOR_REF(BgL_bcz00_2702, (int) (((long) 1)));
								break;
							case ((long) 2):

								{	/* Eval/evaluate_comp.scm 948 */
									long BgL_arg2881z00_2708;

									{	/* Eval/evaluate_comp.scm 948 */
										obj_t BgL_arg2883z00_2709;
										obj_t BgL_arg2884z00_2710;

										BgL_arg2883z00_2709 =
											VECTOR_REF(BgL_sz00_20520, (int) (((long) 0)));
										BgL_arg2884z00_2710 =
											VECTOR_REF(BgL_bcz00_2702, (int) (((long) 1)));
										BgL_arg2881z00_2708 =
											(
											(long) CINT(BgL_arg2883z00_2709) +
											(long) CINT(BgL_arg2884z00_2710));
									}
									return
										VECTOR_REF(BgL_sz00_20520, (int) (BgL_arg2881z00_2708));
								} break;
							case ((long) 3):

								{	/* Eval/evaluate_comp.scm 949 */
									obj_t BgL_arg2885z00_2711;

									{	/* Eval/evaluate_comp.scm 949 */
										long BgL_arg2886z00_2712;

										{	/* Eval/evaluate_comp.scm 949 */
											obj_t BgL_arg2887z00_2713;
											obj_t BgL_arg2888z00_2714;

											BgL_arg2887z00_2713 =
												VECTOR_REF(BgL_sz00_20520, (int) (((long) 0)));
											BgL_arg2888z00_2714 =
												VECTOR_REF(BgL_sz00_20520, (int) (((long) 1)));
											BgL_arg2886z00_2712 =
												(
												(long) CINT(BgL_arg2887z00_2713) +
												(long) CINT(BgL_arg2888z00_2714));
										}
										BgL_arg2885z00_2711 =
											VECTOR_REF(BgL_sz00_20520, (int) (BgL_arg2886z00_2712));
									}
									return STRUCT_REF(BgL_arg2885z00_2711, (int) (((long) 0)));
								} break;
							case ((long) 4):

								{	/* Eval/evaluate_comp.scm 950 */
									obj_t BgL_arg2889z00_2715;

									{	/* Eval/evaluate_comp.scm 950 */
										obj_t BgL_arg2890z00_2716;

										BgL_arg2890z00_2716 =
											VECTOR_REF(BgL_bcz00_2702, (int) (((long) 1)));
										BgL_arg2889z00_2715 =
											VECTOR_REF(BgL_arg2890z00_2716, (int) (((long) 2)));
									}
									return __EVMEANING_ADDRESS_REF(BgL_arg2889z00_2715);
								}
								break;
							case ((long) 5):

								{	/* Eval/evaluate_comp.scm 951 */
									obj_t BgL_arg2891z00_2717;

									BgL_arg2891z00_2717 =
										VECTOR_REF(BgL_bcz00_2702, (int) (((long) 1)));
									return VECTOR_REF(BgL_arg2891z00_2717, (int) (((long) 2)));
								} break;
							case ((long) 6):

								{	/* Eval/evaluate_comp.scm 952 */
									obj_t BgL_arg2892z00_2718;
									obj_t BgL_arg2893z00_2719;

									BgL_arg2892z00_2718 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_20520,
										VECTOR_REF(BgL_bcz00_2702, (int) (((long) 1))));
									BgL_arg2893z00_2719 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_20520,
										VECTOR_REF(BgL_bcz00_2702, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2892z00_2718) +
											REAL_TO_DOUBLE(BgL_arg2893z00_2719)));
								}
								break;
							case ((long) 7):

								{	/* Eval/evaluate_comp.scm 953 */
									obj_t BgL_arg2896z00_2722;
									obj_t BgL_arg2897z00_2723;

									BgL_arg2896z00_2722 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_20520,
										VECTOR_REF(BgL_bcz00_2702, (int) (((long) 1))));
									BgL_arg2897z00_2723 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_20520,
										VECTOR_REF(BgL_bcz00_2702, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2896z00_2722) -
											REAL_TO_DOUBLE(BgL_arg2897z00_2723)));
								}
								break;
							case ((long) 8):

								{	/* Eval/evaluate_comp.scm 954 */
									obj_t BgL_arg2900z00_2726;
									obj_t BgL_arg2901z00_2727;

									BgL_arg2900z00_2726 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_20520,
										VECTOR_REF(BgL_bcz00_2702, (int) (((long) 1))));
									BgL_arg2901z00_2727 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_20520,
										VECTOR_REF(BgL_bcz00_2702, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2900z00_2726) *
											REAL_TO_DOUBLE(BgL_arg2901z00_2727)));
								}
								break;
							case ((long) 9):

								{	/* Eval/evaluate_comp.scm 955 */
									obj_t BgL_arg2904z00_2730;
									obj_t BgL_arg2905z00_2731;

									BgL_arg2904z00_2730 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_20520,
										VECTOR_REF(BgL_bcz00_2702, (int) (((long) 1))));
									BgL_arg2905z00_2731 =
										BGl_Ez00zz__evaluate_compz00(BgL_sz00_20520,
										VECTOR_REF(BgL_bcz00_2702, (int) (((long) 2))));
									return
										DOUBLE_TO_REAL(
										(REAL_TO_DOUBLE(BgL_arg2904z00_2730) /
											REAL_TO_DOUBLE(BgL_arg2905z00_2731)));
								}
								break;
							case ((long) 10):

								{	/* Eval/evaluate_comp.scm 956 */
									obj_t BgL_arg2909z00_2734;

									{	/* Eval/evaluate_comp.scm 956 */
										obj_t BgL_fun2910z00_2735;

										BgL_fun2910z00_2735 =
											VECTOR_REF(BgL_bcz00_2702, (int) (((long) 1)));
										BgL_arg2909z00_2734 =
											PROCEDURE_ENTRY(BgL_fun2910z00_2735) (BgL_fun2910z00_2735,
											BgL_sz00_20520, BEOA);
									}
									return
										DOUBLE_TO_REAL((double) ((long) CINT(BgL_arg2909z00_2734)));
								} break;
							case ((long) 11):

								{	/* Eval/evaluate_comp.scm 957 */
									obj_t BgL_arg2911z00_2736;
									obj_t BgL_arg2912z00_2737;

									{	/* Eval/evaluate_comp.scm 957 */
										obj_t BgL_fun2913z00_2738;

										BgL_fun2913z00_2738 =
											VECTOR_REF(BgL_bcz00_2702, (int) (((long) 1)));
										BgL_arg2911z00_2736 =
											PROCEDURE_ENTRY(BgL_fun2913z00_2738) (BgL_fun2913z00_2738,
											BgL_sz00_20520, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 957 */
										obj_t BgL_fun2914z00_2739;

										BgL_fun2914z00_2739 =
											VECTOR_REF(BgL_bcz00_2702, (int) (((long) 2)));
										BgL_arg2912z00_2737 =
											PROCEDURE_ENTRY(BgL_fun2914z00_2739) (BgL_fun2914z00_2739,
											BgL_sz00_20520, BEOA);
									}
									{	/* Eval/evaluate_comp.scm 957 */
										double BgL_auxz00_26575;

										{	/* Eval/evaluate_comp.scm 957 */
											long BgL_auxz00_26576;

											BgL_auxz00_26576 = (long) CINT(BgL_arg2912z00_2737);
											BgL_auxz00_26575 =
												BGL_F64VREF(BgL_arg2911z00_2736, BgL_auxz00_26576);
										}
										return DOUBLE_TO_REAL(BgL_auxz00_26575);
									}
								}
								break;
							default:
								return
									BGl_errorz00zz__errorz00
									(BGl_string5987z00zz__evaluate_compz00,
									BGl_string6006z00zz__evaluate_compz00,
									VECTOR_REF(BgL_bcz00_2702, (int) (((long) 0))));
					}}
				else
					{	/* Eval/evaluate_comp.scm 945 */
						return
							BGl_errorz00zz__errorz00(BGl_string5987z00zz__evaluate_compz00,
							BGl_string6006z00zz__evaluate_compz00, VECTOR_REF(BgL_bcz00_2702,
								(int) (((long) 0))));
		}}}
	}



/* arith-expression */
	obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt
		BgL_exprz00_191, obj_t BgL_stkz00_192)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 961 */
			{	/* Eval/evaluate_comp.scm 963 */
				obj_t BgL_fvalz00_2743;

				BgL_fvalz00_2743 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
					(((BgL_ev_appz00_bglt) CREF(BgL_exprz00_191))->BgL_funz00));
				{	/* Eval/evaluate_comp.scm 964 */
					bool_t BgL_testz00_26590;

					if (
						(BgL_fvalz00_2743 ==
							BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
						{	/* Eval/evaluate_comp.scm 964 */
							BgL_testz00_26590 = ((bool_t) 1);
						}
					else
						{	/* Eval/evaluate_comp.scm 964 */
							if (
								(BgL_fvalz00_2743 ==
									BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
								{	/* Eval/evaluate_comp.scm 964 */
									BgL_testz00_26590 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 964 */
									if (
										(BgL_fvalz00_2743 ==
											BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
										{	/* Eval/evaluate_comp.scm 964 */
											BgL_testz00_26590 = ((bool_t) 1);
										}
									else
										{	/* Eval/evaluate_comp.scm 964 */
											BgL_testz00_26590 =
												(BgL_fvalz00_2743 ==
												BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00);
										}
								}
						}
					if (BgL_testz00_26590)
						{	/* Eval/evaluate_comp.scm 965 */
							obj_t BgL_bcz00_2745;

							BgL_bcz00_2745 =
								BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
								((obj_t) BgL_exprz00_191), BgL_stkz00_192);
							{	/* Eval/evaluate_comp.scm 966 */
								obj_t BgL_zc3anonymousza32917ze3z83_18573;

								BgL_zc3anonymousza32917ze3z83_18573 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza32917ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3anonymousza32917ze3z83_18573,
									(int) (((long) 0)), BgL_bcz00_2745);
								return BgL_zc3anonymousza32917ze3z83_18573;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 964 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &<anonymous:2917> */
	obj_t BGl_z62zc3anonymousza32917ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18574, obj_t BgL_sz00_18576)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 966 */
			{	/* Eval/evaluate_comp.scm 966 */
				obj_t BgL_bcz00_18575;

				BgL_bcz00_18575 =
					((obj_t) PROCEDURE_REF(BgL_envz00_18574, (int) (((long) 0))));
				{
					obj_t BgL_sz00_2746;

					{	/* Eval/evaluate_comp.scm 966 */
						double BgL_auxz00_26608;

						BgL_sz00_2746 = BgL_sz00_18576;
						{	/* Eval/evaluate_comp.scm 966 */
							obj_t BgL_bpz00_11015;

							BgL_bpz00_11015 = VECTOR_REF(BgL_sz00_2746, (int) (((long) 0)));
							BgL_auxz00_26608 =
								BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_18575,
								BgL_sz00_2746);
						}
						return DOUBLE_TO_REAL(BgL_auxz00_26608);
					}
				}
			}
		}
	}



/* inline-call */
	obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_193,
		BgL_ev_exprz00_bglt BgL_funz00_194, obj_t BgL_argsz00_195,
		obj_t BgL_stkz00_196)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 992 */
			{	/* Eval/evaluate_comp.scm 993 */
				obj_t BgL_valz00_2753;

				BgL_valz00_2753 =
					BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_194);
				if (CBOOL(BgL_valz00_2753))
					{	/* Eval/evaluate_comp.scm 995 */
						long BgL_nz00_2754;

						BgL_nz00_2754 = bgl_list_length(BgL_argsz00_195);
						{	/* Eval/evaluate_comp.scm 996 */
							obj_t BgL__ortest_1301z00_2755;

							if ((BgL_nz00_2754 == ((long) 1)))
								{	/* Eval/evaluate_comp.scm 997 */
									obj_t BgL_a1z00_3046;

									BgL_a1z00_3046 = CAR(BgL_argsz00_195);
									if (
										(BgL_valz00_2753 ==
											BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
										{	/* Eval/evaluate_comp.scm 998 */
											obj_t BgL_a1z00_3048;

											BgL_a1z00_3048 =
												BGl_compz00zz__evaluate_compz00(
												((BgL_ev_exprz00_bglt) BgL_a1z00_3046), BgL_stkz00_196);
											{	/* Eval/evaluate_comp.scm 998 */
												obj_t BgL_zc3anonymousza33037ze3z83_18606;

												BgL_zc3anonymousza33037ze3z83_18606 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33037ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33037ze3z83_18606,
													(int) (((long) 0)), BgL_a1z00_3048);
												PROCEDURE_SET(BgL_zc3anonymousza33037ze3z83_18606,
													(int) (((long) 1)), BgL_locz00_193);
												BgL__ortest_1301z00_2755 =
													BgL_zc3anonymousza33037ze3z83_18606;
										}}
									else
										{	/* Eval/evaluate_comp.scm 998 */
											if (
												(BgL_valz00_2753 ==
													BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
												{	/* Eval/evaluate_comp.scm 998 */
													obj_t BgL_a1z00_3055;

													BgL_a1z00_3055 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_3046),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 998 */
														obj_t BgL_zc3anonymousza33040ze3z83_18607;

														BgL_zc3anonymousza33040ze3z83_18607 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza33040ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 2)));
														PROCEDURE_SET(BgL_zc3anonymousza33040ze3z83_18607,
															(int) (((long) 0)), BgL_a1z00_3055);
														PROCEDURE_SET(BgL_zc3anonymousza33040ze3z83_18607,
															(int) (((long) 1)), BgL_locz00_193);
														BgL__ortest_1301z00_2755 =
															BgL_zc3anonymousza33040ze3z83_18607;
												}}
											else
												{	/* Eval/evaluate_comp.scm 998 */
													if (
														(BgL_valz00_2753 ==
															BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
														{	/* Eval/evaluate_comp.scm 998 */
															obj_t BgL_a1z00_3062;

															BgL_a1z00_3062 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_3046),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 998 */
																obj_t BgL_zc3anonymousza33043ze3z83_18608;

																BgL_zc3anonymousza33043ze3z83_18608 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza33043ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 2)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza33043ze3z83_18608,
																	(int) (((long) 0)), BgL_a1z00_3062);
																PROCEDURE_SET
																	(BgL_zc3anonymousza33043ze3z83_18608,
																	(int) (((long) 1)), BgL_locz00_193);
																BgL__ortest_1301z00_2755 =
																	BgL_zc3anonymousza33043ze3z83_18608;
														}}
													else
														{	/* Eval/evaluate_comp.scm 998 */
															BgL__ortest_1301z00_2755 = BFALSE;
														}
												}
										}
								}
							else
								{	/* Eval/evaluate_comp.scm 996 */
									BgL__ortest_1301z00_2755 = BFALSE;
								}
							if (CBOOL(BgL__ortest_1301z00_2755))
								{	/* Eval/evaluate_comp.scm 996 */
									return BgL__ortest_1301z00_2755;
								}
							else
								{	/* Eval/evaluate_comp.scm 996 */
									if ((BgL_nz00_2754 == ((long) 2)))
										{	/* Eval/evaluate_comp.scm 1000 */
											obj_t BgL_a1z00_2757;
											obj_t BgL_a2z00_2758;

											BgL_a1z00_2757 = CAR(BgL_argsz00_195);
											{	/* Eval/evaluate_comp.scm 1000 */
												obj_t BgL_pairz00_11050;

												BgL_pairz00_11050 = BgL_argsz00_195;
												BgL_a2z00_2758 = CAR(CDR(BgL_pairz00_11050));
											}
											if (
												(BgL_valz00_2753 ==
													BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
												{	/* Eval/evaluate_comp.scm 1001 */
													obj_t BgL_a1z00_2760;
													obj_t BgL_a2z00_2761;

													BgL_a1z00_2760 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_a1z00_2757),
														BgL_stkz00_196);
													BgL_a2z00_2761 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_a2z00_2758),
														BgL_stkz00_196);
													{	/* Eval/evaluate_comp.scm 1001 */
														obj_t BgL_zc3anonymousza32924ze3z83_18577;

														BgL_zc3anonymousza32924ze3z83_18577 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza32924ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 3)));
														PROCEDURE_SET(BgL_zc3anonymousza32924ze3z83_18577,
															(int) (((long) 0)), BgL_a1z00_2760);
														PROCEDURE_SET(BgL_zc3anonymousza32924ze3z83_18577,
															(int) (((long) 1)), BgL_a2z00_2761);
														PROCEDURE_SET(BgL_zc3anonymousza32924ze3z83_18577,
															(int) (((long) 2)), BgL_locz00_193);
														return BgL_zc3anonymousza32924ze3z83_18577;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 1001 */
													if (
														(BgL_valz00_2753 ==
															BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
														{	/* Eval/evaluate_comp.scm 1001 */
															obj_t BgL_a1z00_2770;
															obj_t BgL_a2z00_2771;

															BgL_a1z00_2770 =
																BGl_compz00zz__evaluate_compz00(
																((BgL_ev_exprz00_bglt) BgL_a1z00_2757),
																BgL_stkz00_196);
															BgL_a2z00_2771 =
																BGl_compz00zz__evaluate_compz00((
																	(BgL_ev_exprz00_bglt) BgL_a2z00_2758),
																BgL_stkz00_196);
															{	/* Eval/evaluate_comp.scm 1001 */
																obj_t BgL_zc3anonymousza32928ze3z83_18578;

																BgL_zc3anonymousza32928ze3z83_18578 =
																	MAKE_FX_PROCEDURE
																	(BGl_z62zc3anonymousza32928ze3ze1zz__evaluate_compz00,
																	(int) (((long) 1)), (int) (((long) 3)));
																PROCEDURE_SET
																	(BgL_zc3anonymousza32928ze3z83_18578,
																	(int) (((long) 0)), BgL_a1z00_2770);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32928ze3z83_18578,
																	(int) (((long) 1)), BgL_a2z00_2771);
																PROCEDURE_SET
																	(BgL_zc3anonymousza32928ze3z83_18578,
																	(int) (((long) 2)), BgL_locz00_193);
																return BgL_zc3anonymousza32928ze3z83_18578;
															}
														}
													else
														{	/* Eval/evaluate_comp.scm 1001 */
															if (
																(BgL_valz00_2753 ==
																	BGl_za2zd2envz70zz__r4_numbers_6_5z00))
																{	/* Eval/evaluate_comp.scm 1001 */
																	obj_t BgL_a1z00_2780;
																	obj_t BgL_a2z00_2781;

																	BgL_a1z00_2780 =
																		BGl_compz00zz__evaluate_compz00(
																		((BgL_ev_exprz00_bglt) BgL_a1z00_2757),
																		BgL_stkz00_196);
																	BgL_a2z00_2781 =
																		BGl_compz00zz__evaluate_compz00((
																			(BgL_ev_exprz00_bglt) BgL_a2z00_2758),
																		BgL_stkz00_196);
																	{	/* Eval/evaluate_comp.scm 1001 */
																		obj_t BgL_zc3anonymousza32932ze3z83_18579;

																		BgL_zc3anonymousza32932ze3z83_18579 =
																			MAKE_FX_PROCEDURE
																			(BGl_z62zc3anonymousza32932ze3ze1zz__evaluate_compz00,
																			(int) (((long) 1)), (int) (((long) 3)));
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32932ze3z83_18579,
																			(int) (((long) 0)), BgL_a1z00_2780);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32932ze3z83_18579,
																			(int) (((long) 1)), BgL_a2z00_2781);
																		PROCEDURE_SET
																			(BgL_zc3anonymousza32932ze3z83_18579,
																			(int) (((long) 2)), BgL_locz00_193);
																		return BgL_zc3anonymousza32932ze3z83_18579;
																	}
																}
															else
																{	/* Eval/evaluate_comp.scm 1001 */
																	if (
																		(BgL_valz00_2753 ==
																			BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
																		{	/* Eval/evaluate_comp.scm 1001 */
																			obj_t BgL_a1z00_2790;
																			obj_t BgL_a2z00_2791;

																			BgL_a1z00_2790 =
																				BGl_compz00zz__evaluate_compz00(
																				((BgL_ev_exprz00_bglt) BgL_a1z00_2757),
																				BgL_stkz00_196);
																			BgL_a2z00_2791 =
																				BGl_compz00zz__evaluate_compz00((
																					(BgL_ev_exprz00_bglt) BgL_a2z00_2758),
																				BgL_stkz00_196);
																			{	/* Eval/evaluate_comp.scm 1001 */
																				obj_t
																					BgL_zc3anonymousza32936ze3z83_18580;
																				BgL_zc3anonymousza32936ze3z83_18580 =
																					MAKE_FX_PROCEDURE
																					(BGl_z62zc3anonymousza32936ze3ze1zz__evaluate_compz00,
																					(int) (((long) 1)),
																					(int) (((long) 3)));
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32936ze3z83_18580,
																					(int) (((long) 0)), BgL_a1z00_2790);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32936ze3z83_18580,
																					(int) (((long) 1)), BgL_a2z00_2791);
																				PROCEDURE_SET
																					(BgL_zc3anonymousza32936ze3z83_18580,
																					(int) (((long) 2)), BgL_locz00_193);
																				return
																					BgL_zc3anonymousza32936ze3z83_18580;
																			}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 1001 */
																			if (
																				(BgL_valz00_2753 ==
																					BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
																				{	/* Eval/evaluate_comp.scm 1001 */
																					obj_t BgL_a1z00_2800;
																					obj_t BgL_a2z00_2801;

																					BgL_a1z00_2800 =
																						BGl_compz00zz__evaluate_compz00(
																						((BgL_ev_exprz00_bglt)
																							BgL_a1z00_2757), BgL_stkz00_196);
																					BgL_a2z00_2801 =
																						BGl_compz00zz__evaluate_compz00((
																							(BgL_ev_exprz00_bglt)
																							BgL_a2z00_2758), BgL_stkz00_196);
																					{	/* Eval/evaluate_comp.scm 1001 */
																						obj_t
																							BgL_zc3anonymousza32940ze3z83_18581;
																						BgL_zc3anonymousza32940ze3z83_18581
																							=
																							MAKE_FX_PROCEDURE
																							(BGl_z62zc3anonymousza32940ze3ze1zz__evaluate_compz00,
																							(int) (((long) 1)),
																							(int) (((long) 3)));
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32940ze3z83_18581,
																							(int) (((long) 0)),
																							BgL_a1z00_2800);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32940ze3z83_18581,
																							(int) (((long) 1)),
																							BgL_a2z00_2801);
																						PROCEDURE_SET
																							(BgL_zc3anonymousza32940ze3z83_18581,
																							(int) (((long) 2)),
																							BgL_locz00_193);
																						return
																							BgL_zc3anonymousza32940ze3z83_18581;
																					}
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 1001 */
																					if (
																						(BgL_valz00_2753 ==
																							BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
																						{	/* Eval/evaluate_comp.scm 1001 */
																							obj_t BgL_a1z00_2810;
																							obj_t BgL_a2z00_2811;

																							BgL_a1z00_2810 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a1z00_2757),
																								BgL_stkz00_196);
																							BgL_a2z00_2811 =
																								BGl_compz00zz__evaluate_compz00(
																								((BgL_ev_exprz00_bglt)
																									BgL_a2z00_2758),
																								BgL_stkz00_196);
																							{	/* Eval/evaluate_comp.scm 1001 */
																								obj_t
																									BgL_zc3anonymousza32944ze3z83_18582;
																								BgL_zc3anonymousza32944ze3z83_18582
																									=
																									MAKE_FX_PROCEDURE
																									(BGl_z62zc3anonymousza32944ze3ze1zz__evaluate_compz00,
																									(int) (((long) 1)),
																									(int) (((long) 3)));
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32944ze3z83_18582,
																									(int) (((long) 0)),
																									BgL_a1z00_2810);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32944ze3z83_18582,
																									(int) (((long) 1)),
																									BgL_a2z00_2811);
																								PROCEDURE_SET
																									(BgL_zc3anonymousza32944ze3z83_18582,
																									(int) (((long) 2)),
																									BgL_locz00_193);
																								return
																									BgL_zc3anonymousza32944ze3z83_18582;
																							}
																						}
																					else
																						{	/* Eval/evaluate_comp.scm 1001 */
																							if (
																								(BgL_valz00_2753 ==
																									BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
																								{	/* Eval/evaluate_comp.scm 1001 */
																									obj_t BgL_a1z00_2820;
																									obj_t BgL_a2z00_2821;

																									BgL_a1z00_2820 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a1z00_2757),
																										BgL_stkz00_196);
																									BgL_a2z00_2821 =
																										BGl_compz00zz__evaluate_compz00
																										(((BgL_ev_exprz00_bglt)
																											BgL_a2z00_2758),
																										BgL_stkz00_196);
																									{	/* Eval/evaluate_comp.scm 1001 */
																										obj_t
																											BgL_zc3anonymousza32948ze3z83_18583;
																										BgL_zc3anonymousza32948ze3z83_18583
																											=
																											MAKE_FX_PROCEDURE
																											(BGl_z62zc3anonymousza32948ze3ze1zz__evaluate_compz00,
																											(int) (((long) 1)),
																											(int) (((long) 3)));
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32948ze3z83_18583,
																											(int) (((long) 0)),
																											BgL_a1z00_2820);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32948ze3z83_18583,
																											(int) (((long) 1)),
																											BgL_a2z00_2821);
																										PROCEDURE_SET
																											(BgL_zc3anonymousza32948ze3z83_18583,
																											(int) (((long) 2)),
																											BgL_locz00_193);
																										return
																											BgL_zc3anonymousza32948ze3z83_18583;
																									}
																								}
																							else
																								{	/* Eval/evaluate_comp.scm 1001 */
																									if (
																										(BgL_valz00_2753 ==
																											BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
																										{	/* Eval/evaluate_comp.scm 1001 */
																											obj_t BgL_a1z00_2830;
																											obj_t BgL_a2z00_2831;

																											BgL_a1z00_2830 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a1z00_2757),
																												BgL_stkz00_196);
																											BgL_a2z00_2831 =
																												BGl_compz00zz__evaluate_compz00
																												(((BgL_ev_exprz00_bglt)
																													BgL_a2z00_2758),
																												BgL_stkz00_196);
																											{	/* Eval/evaluate_comp.scm 1001 */
																												obj_t
																													BgL_zc3anonymousza32952ze3z83_18584;
																												BgL_zc3anonymousza32952ze3z83_18584
																													=
																													MAKE_FX_PROCEDURE
																													(BGl_z62zc3anonymousza32952ze3ze1zz__evaluate_compz00,
																													(int) (((long) 1)),
																													(int) (((long) 3)));
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32952ze3z83_18584,
																													(int) (((long) 0)),
																													BgL_a1z00_2830);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32952ze3z83_18584,
																													(int) (((long) 1)),
																													BgL_a2z00_2831);
																												PROCEDURE_SET
																													(BgL_zc3anonymousza32952ze3z83_18584,
																													(int) (((long) 2)),
																													BgL_locz00_193);
																												return
																													BgL_zc3anonymousza32952ze3z83_18584;
																											}
																										}
																									else
																										{	/* Eval/evaluate_comp.scm 1001 */
																											if (
																												(BgL_valz00_2753 ==
																													BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
																												{	/* Eval/evaluate_comp.scm 1001 */
																													obj_t BgL_a1z00_2840;
																													obj_t BgL_a2z00_2841;

																													BgL_a1z00_2840 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																													BgL_a2z00_2841 =
																														BGl_compz00zz__evaluate_compz00
																														(((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																													{	/* Eval/evaluate_comp.scm 1001 */
																														obj_t
																															BgL_zc3anonymousza32956ze3z83_18585;
																														BgL_zc3anonymousza32956ze3z83_18585
																															=
																															MAKE_FX_PROCEDURE
																															(BGl_z62zc3anonymousza32956ze3ze1zz__evaluate_compz00,
																															(int) (((long)
																																	1)),
																															(int) (((long)
																																	3)));
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32956ze3z83_18585,
																															(int) (((long)
																																	0)),
																															BgL_a1z00_2840);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32956ze3z83_18585,
																															(int) (((long)
																																	1)),
																															BgL_a2z00_2841);
																														PROCEDURE_SET
																															(BgL_zc3anonymousza32956ze3z83_18585,
																															(int) (((long)
																																	2)),
																															BgL_locz00_193);
																														return
																															BgL_zc3anonymousza32956ze3z83_18585;
																													}
																												}
																											else
																												{	/* Eval/evaluate_comp.scm 1001 */
																													if (
																														(BgL_valz00_2753 ==
																															BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
																														{	/* Eval/evaluate_comp.scm 1001 */
																															obj_t
																																BgL_a1z00_2850;
																															obj_t
																																BgL_a2z00_2851;
																															BgL_a1z00_2850 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																															BgL_a2z00_2851 =
																																BGl_compz00zz__evaluate_compz00
																																(((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																															{	/* Eval/evaluate_comp.scm 1001 */
																																obj_t
																																	BgL_zc3anonymousza32960ze3z83_18586;
																																BgL_zc3anonymousza32960ze3z83_18586
																																	=
																																	MAKE_FX_PROCEDURE
																																	(BGl_z62zc3anonymousza32960ze3ze1zz__evaluate_compz00,
																																	(int) (((long)
																																			1)),
																																	(int) (((long)
																																			3)));
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32960ze3z83_18586,
																																	(int) (((long)
																																			0)),
																																	BgL_a1z00_2850);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32960ze3z83_18586,
																																	(int) (((long)
																																			1)),
																																	BgL_a2z00_2851);
																																PROCEDURE_SET
																																	(BgL_zc3anonymousza32960ze3z83_18586,
																																	(int) (((long)
																																			2)),
																																	BgL_locz00_193);
																																return
																																	BgL_zc3anonymousza32960ze3z83_18586;
																															}
																														}
																													else
																														{	/* Eval/evaluate_comp.scm 1001 */
																															if (
																																(BgL_valz00_2753
																																	==
																																	BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
																																{	/* Eval/evaluate_comp.scm 1001 */
																																	obj_t
																																		BgL_a1z00_2860;
																																	obj_t
																																		BgL_a2z00_2861;
																																	BgL_a1z00_2860
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																																	BgL_a2z00_2861
																																		=
																																		BGl_compz00zz__evaluate_compz00
																																		(((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																																	{	/* Eval/evaluate_comp.scm 1001 */
																																		obj_t
																																			BgL_zc3anonymousza32964ze3z83_18587;
																																		BgL_zc3anonymousza32964ze3z83_18587
																																			=
																																			MAKE_FX_PROCEDURE
																																			(BGl_z62zc3anonymousza32964ze3ze1zz__evaluate_compz00,
																																			(int) ((
																																					(long)
																																					1)),
																																			(int) ((
																																					(long)
																																					3)));
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32964ze3z83_18587,
																																			(int) ((
																																					(long)
																																					0)),
																																			BgL_a1z00_2860);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32964ze3z83_18587,
																																			(int) ((
																																					(long)
																																					1)),
																																			BgL_a2z00_2861);
																																		PROCEDURE_SET
																																			(BgL_zc3anonymousza32964ze3z83_18587,
																																			(int) ((
																																					(long)
																																					2)),
																																			BgL_locz00_193);
																																		return
																																			BgL_zc3anonymousza32964ze3z83_18587;
																																	}
																																}
																															else
																																{	/* Eval/evaluate_comp.scm 1001 */
																																	if (
																																		(BgL_valz00_2753
																																			==
																																			BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
																																		{	/* Eval/evaluate_comp.scm 1001 */
																																			obj_t
																																				BgL_a1z00_2870;
																																			obj_t
																																				BgL_a2z00_2871;
																																			BgL_a1z00_2870
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																																			BgL_a2z00_2871
																																				=
																																				BGl_compz00zz__evaluate_compz00
																																				(((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																																			{	/* Eval/evaluate_comp.scm 1001 */
																																				obj_t
																																					BgL_zc3anonymousza32968ze3z83_18588;
																																				BgL_zc3anonymousza32968ze3z83_18588
																																					=
																																					MAKE_FX_PROCEDURE
																																					(BGl_z62zc3anonymousza32968ze3ze1zz__evaluate_compz00,
																																					(int)
																																					(((long) 1)), (int) (((long) 3)));
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32968ze3z83_18588,
																																					(int)
																																					(((long) 0)), BgL_a1z00_2870);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32968ze3z83_18588,
																																					(int)
																																					(((long) 1)), BgL_a2z00_2871);
																																				PROCEDURE_SET
																																					(BgL_zc3anonymousza32968ze3z83_18588,
																																					(int)
																																					(((long) 2)), BgL_locz00_193);
																																				return
																																					BgL_zc3anonymousza32968ze3z83_18588;
																																			}
																																		}
																																	else
																																		{	/* Eval/evaluate_comp.scm 1001 */
																																			if (
																																				(BgL_valz00_2753
																																					==
																																					BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
																																				{	/* Eval/evaluate_comp.scm 1001 */
																																					obj_t
																																						BgL_a1z00_2880;
																																					obj_t
																																						BgL_a2z00_2881;
																																					BgL_a1z00_2880
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																																					BgL_a2z00_2881
																																						=
																																						BGl_compz00zz__evaluate_compz00
																																						(((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																																					{	/* Eval/evaluate_comp.scm 1001 */
																																						obj_t
																																							BgL_zc3anonymousza32972ze3z83_18589;
																																						BgL_zc3anonymousza32972ze3z83_18589
																																							=
																																							MAKE_FX_PROCEDURE
																																							(BGl_z62zc3anonymousza32972ze3ze1zz__evaluate_compz00,
																																							(int)
																																							(((long) 1)), (int) (((long) 3)));
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32972ze3z83_18589,
																																							(int)
																																							(((long) 0)), BgL_a1z00_2880);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32972ze3z83_18589,
																																							(int)
																																							(((long) 1)), BgL_a2z00_2881);
																																						PROCEDURE_SET
																																							(BgL_zc3anonymousza32972ze3z83_18589,
																																							(int)
																																							(((long) 2)), BgL_locz00_193);
																																						return
																																							BgL_zc3anonymousza32972ze3z83_18589;
																																					}
																																				}
																																			else
																																				{	/* Eval/evaluate_comp.scm 1001 */
																																					if (
																																						(BgL_valz00_2753
																																							==
																																							BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
																																						{	/* Eval/evaluate_comp.scm 1001 */
																																							obj_t
																																								BgL_a1z00_2890;
																																							obj_t
																																								BgL_a2z00_2891;
																																							BgL_a1z00_2890
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																																							BgL_a2z00_2891
																																								=
																																								BGl_compz00zz__evaluate_compz00
																																								(
																																								((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																																							{	/* Eval/evaluate_comp.scm 1001 */
																																								obj_t
																																									BgL_zc3anonymousza32976ze3z83_18590;
																																								BgL_zc3anonymousza32976ze3z83_18590
																																									=
																																									MAKE_FX_PROCEDURE
																																									(BGl_z62zc3anonymousza32976ze3ze1zz__evaluate_compz00,
																																									(int)
																																									(((long) 1)), (int) (((long) 3)));
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32976ze3z83_18590,
																																									(int)
																																									(((long) 0)), BgL_a1z00_2890);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32976ze3z83_18590,
																																									(int)
																																									(((long) 1)), BgL_a2z00_2891);
																																								PROCEDURE_SET
																																									(BgL_zc3anonymousza32976ze3z83_18590,
																																									(int)
																																									(((long) 2)), BgL_locz00_193);
																																								return
																																									BgL_zc3anonymousza32976ze3z83_18590;
																																							}
																																						}
																																					else
																																						{	/* Eval/evaluate_comp.scm 1001 */
																																							if ((BgL_valz00_2753 == BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
																																								{	/* Eval/evaluate_comp.scm 1001 */
																																									obj_t
																																										BgL_a1z00_2900;
																																									obj_t
																																										BgL_a2z00_2901;
																																									BgL_a1z00_2900
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																																									BgL_a2z00_2901
																																										=
																																										BGl_compz00zz__evaluate_compz00
																																										(
																																										((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																																									{	/* Eval/evaluate_comp.scm 1001 */
																																										obj_t
																																											BgL_zc3anonymousza32980ze3z83_18591;
																																										BgL_zc3anonymousza32980ze3z83_18591
																																											=
																																											MAKE_FX_PROCEDURE
																																											(BGl_z62zc3anonymousza32980ze3ze1zz__evaluate_compz00,
																																											(int)
																																											(((long) 1)), (int) (((long) 3)));
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32980ze3z83_18591,
																																											(int)
																																											(((long) 0)), BgL_a1z00_2900);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32980ze3z83_18591,
																																											(int)
																																											(((long) 1)), BgL_a2z00_2901);
																																										PROCEDURE_SET
																																											(BgL_zc3anonymousza32980ze3z83_18591,
																																											(int)
																																											(((long) 2)), BgL_locz00_193);
																																										return
																																											BgL_zc3anonymousza32980ze3z83_18591;
																																									}
																																								}
																																							else
																																								{	/* Eval/evaluate_comp.scm 1001 */
																																									if ((BgL_valz00_2753 == BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
																																										{	/* Eval/evaluate_comp.scm 1001 */
																																											obj_t
																																												BgL_a1z00_2910;
																																											obj_t
																																												BgL_a2z00_2911;
																																											BgL_a1z00_2910
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																																											BgL_a2z00_2911
																																												=
																																												BGl_compz00zz__evaluate_compz00
																																												(
																																												((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																																											{	/* Eval/evaluate_comp.scm 1001 */
																																												obj_t
																																													BgL_zc3anonymousza32984ze3z83_18592;
																																												BgL_zc3anonymousza32984ze3z83_18592
																																													=
																																													MAKE_FX_PROCEDURE
																																													(BGl_z62zc3anonymousza32984ze3ze1zz__evaluate_compz00,
																																													(int)
																																													(((long) 1)), (int) (((long) 3)));
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32984ze3z83_18592,
																																													(int)
																																													(((long) 0)), BgL_a1z00_2910);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32984ze3z83_18592,
																																													(int)
																																													(((long) 1)), BgL_a2z00_2911);
																																												PROCEDURE_SET
																																													(BgL_zc3anonymousza32984ze3z83_18592,
																																													(int)
																																													(((long) 2)), BgL_locz00_193);
																																												return
																																													BgL_zc3anonymousza32984ze3z83_18592;
																																											}
																																										}
																																									else
																																										{	/* Eval/evaluate_comp.scm 1001 */
																																											if ((BgL_valz00_2753 == BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
																																												{	/* Eval/evaluate_comp.scm 1001 */
																																													obj_t
																																														BgL_a1z00_2920;
																																													obj_t
																																														BgL_a2z00_2921;
																																													BgL_a1z00_2920
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																																													BgL_a2z00_2921
																																														=
																																														BGl_compz00zz__evaluate_compz00
																																														(
																																														((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																																													{	/* Eval/evaluate_comp.scm 1001 */
																																														obj_t
																																															BgL_zc3anonymousza32988ze3z83_18593;
																																														BgL_zc3anonymousza32988ze3z83_18593
																																															=
																																															MAKE_FX_PROCEDURE
																																															(BGl_z62zc3anonymousza32988ze3ze1zz__evaluate_compz00,
																																															(int)
																																															(((long) 1)), (int) (((long) 3)));
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32988ze3z83_18593,
																																															(int)
																																															(((long) 0)), BgL_a1z00_2920);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32988ze3z83_18593,
																																															(int)
																																															(((long) 1)), BgL_a2z00_2921);
																																														PROCEDURE_SET
																																															(BgL_zc3anonymousza32988ze3z83_18593,
																																															(int)
																																															(((long) 2)), BgL_locz00_193);
																																														return
																																															BgL_zc3anonymousza32988ze3z83_18593;
																																													}
																																												}
																																											else
																																												{	/* Eval/evaluate_comp.scm 1001 */
																																													if ((BgL_valz00_2753 == BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
																																														{	/* Eval/evaluate_comp.scm 1001 */
																																															obj_t
																																																BgL_a1z00_2930;
																																															obj_t
																																																BgL_a2z00_2931;
																																															BgL_a1z00_2930
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																																															BgL_a2z00_2931
																																																=
																																																BGl_compz00zz__evaluate_compz00
																																																(
																																																((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																																															{	/* Eval/evaluate_comp.scm 1001 */
																																																obj_t
																																																	BgL_zc3anonymousza32992ze3z83_18594;
																																																BgL_zc3anonymousza32992ze3z83_18594
																																																	=
																																																	MAKE_FX_PROCEDURE
																																																	(BGl_z62zc3anonymousza32992ze3ze1zz__evaluate_compz00,
																																																	(int)
																																																	(((long) 1)), (int) (((long) 3)));
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32992ze3z83_18594,
																																																	(int)
																																																	(((long) 0)), BgL_a1z00_2930);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32992ze3z83_18594,
																																																	(int)
																																																	(((long) 1)), BgL_a2z00_2931);
																																																PROCEDURE_SET
																																																	(BgL_zc3anonymousza32992ze3z83_18594,
																																																	(int)
																																																	(((long) 2)), BgL_locz00_193);
																																																return
																																																	BgL_zc3anonymousza32992ze3z83_18594;
																																															}
																																														}
																																													else
																																														{	/* Eval/evaluate_comp.scm 1001 */
																																															if ((BgL_valz00_2753 == BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
																																																{	/* Eval/evaluate_comp.scm 1001 */
																																																	obj_t
																																																		BgL_a1z00_2940;
																																																	obj_t
																																																		BgL_a2z00_2941;
																																																	BgL_a1z00_2940
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																																																	BgL_a2z00_2941
																																																		=
																																																		BGl_compz00zz__evaluate_compz00
																																																		(
																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																																																	{	/* Eval/evaluate_comp.scm 1001 */
																																																		obj_t
																																																			BgL_zc3anonymousza32996ze3z83_18595;
																																																		BgL_zc3anonymousza32996ze3z83_18595
																																																			=
																																																			MAKE_FX_PROCEDURE
																																																			(BGl_z62zc3anonymousza32996ze3ze1zz__evaluate_compz00,
																																																			(int)
																																																			(((long) 1)), (int) (((long) 3)));
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32996ze3z83_18595,
																																																			(int)
																																																			(((long) 0)), BgL_a1z00_2940);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32996ze3z83_18595,
																																																			(int)
																																																			(((long) 1)), BgL_a2z00_2941);
																																																		PROCEDURE_SET
																																																			(BgL_zc3anonymousza32996ze3z83_18595,
																																																			(int)
																																																			(((long) 2)), BgL_locz00_193);
																																																		return
																																																			BgL_zc3anonymousza32996ze3z83_18595;
																																																	}
																																																}
																																															else
																																																{	/* Eval/evaluate_comp.scm 1001 */
																																																	if ((BgL_valz00_2753 == BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
																																																		{	/* Eval/evaluate_comp.scm 1001 */
																																																			obj_t
																																																				BgL_a1z00_2950;
																																																			obj_t
																																																				BgL_a2z00_2951;
																																																			BgL_a1z00_2950
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																																																			BgL_a2z00_2951
																																																				=
																																																				BGl_compz00zz__evaluate_compz00
																																																				(
																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																																																			{	/* Eval/evaluate_comp.scm 1001 */
																																																				obj_t
																																																					BgL_zc3anonymousza33000ze3z83_18596;
																																																				BgL_zc3anonymousza33000ze3z83_18596
																																																					=
																																																					MAKE_FX_PROCEDURE
																																																					(BGl_z62zc3anonymousza33000ze3ze1zz__evaluate_compz00,
																																																					(int)
																																																					(((long) 1)), (int) (((long) 3)));
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza33000ze3z83_18596,
																																																					(int)
																																																					(((long) 0)), BgL_a1z00_2950);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza33000ze3z83_18596,
																																																					(int)
																																																					(((long) 1)), BgL_a2z00_2951);
																																																				PROCEDURE_SET
																																																					(BgL_zc3anonymousza33000ze3z83_18596,
																																																					(int)
																																																					(((long) 2)), BgL_locz00_193);
																																																				return
																																																					BgL_zc3anonymousza33000ze3z83_18596;
																																																			}
																																																		}
																																																	else
																																																		{	/* Eval/evaluate_comp.scm 1001 */
																																																			if ((BgL_valz00_2753 == BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
																																																				{	/* Eval/evaluate_comp.scm 1001 */
																																																					obj_t
																																																						BgL_a1z00_2960;
																																																					obj_t
																																																						BgL_a2z00_2961;
																																																					BgL_a1z00_2960
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																																																					BgL_a2z00_2961
																																																						=
																																																						BGl_compz00zz__evaluate_compz00
																																																						(
																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																																																					{	/* Eval/evaluate_comp.scm 1001 */
																																																						obj_t
																																																							BgL_zc3anonymousza33004ze3z83_18597;
																																																						BgL_zc3anonymousza33004ze3z83_18597
																																																							=
																																																							MAKE_FX_PROCEDURE
																																																							(BGl_z62zc3anonymousza33004ze3ze1zz__evaluate_compz00,
																																																							(int)
																																																							(((long) 1)), (int) (((long) 3)));
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza33004ze3z83_18597,
																																																							(int)
																																																							(((long) 0)), BgL_a1z00_2960);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza33004ze3z83_18597,
																																																							(int)
																																																							(((long) 1)), BgL_a2z00_2961);
																																																						PROCEDURE_SET
																																																							(BgL_zc3anonymousza33004ze3z83_18597,
																																																							(int)
																																																							(((long) 2)), BgL_locz00_193);
																																																						return
																																																							BgL_zc3anonymousza33004ze3z83_18597;
																																																					}
																																																				}
																																																			else
																																																				{	/* Eval/evaluate_comp.scm 1001 */
																																																					if ((BgL_valz00_2753 == BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
																																																						{	/* Eval/evaluate_comp.scm 1001 */
																																																							obj_t
																																																								BgL_a1z00_2970;
																																																							obj_t
																																																								BgL_a2z00_2971;
																																																							BgL_a1z00_2970
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																																																							BgL_a2z00_2971
																																																								=
																																																								BGl_compz00zz__evaluate_compz00
																																																								(
																																																								((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																																																							{	/* Eval/evaluate_comp.scm 1001 */
																																																								obj_t
																																																									BgL_zc3anonymousza33008ze3z83_18598;
																																																								BgL_zc3anonymousza33008ze3z83_18598
																																																									=
																																																									MAKE_FX_PROCEDURE
																																																									(BGl_z62zc3anonymousza33008ze3ze1zz__evaluate_compz00,
																																																									(int)
																																																									(((long) 1)), (int) (((long) 3)));
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza33008ze3z83_18598,
																																																									(int)
																																																									(((long) 0)), BgL_a1z00_2970);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza33008ze3z83_18598,
																																																									(int)
																																																									(((long) 1)), BgL_a2z00_2971);
																																																								PROCEDURE_SET
																																																									(BgL_zc3anonymousza33008ze3z83_18598,
																																																									(int)
																																																									(((long) 2)), BgL_locz00_193);
																																																								return
																																																									BgL_zc3anonymousza33008ze3z83_18598;
																																																							}
																																																						}
																																																					else
																																																						{	/* Eval/evaluate_comp.scm 1001 */
																																																							if ((BgL_valz00_2753 == BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
																																																								{	/* Eval/evaluate_comp.scm 1001 */
																																																									obj_t
																																																										BgL_a1z00_2980;
																																																									obj_t
																																																										BgL_a2z00_2981;
																																																									BgL_a1z00_2980
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																																																									BgL_a2z00_2981
																																																										=
																																																										BGl_compz00zz__evaluate_compz00
																																																										(
																																																										((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																																																									{	/* Eval/evaluate_comp.scm 1001 */
																																																										obj_t
																																																											BgL_zc3anonymousza33012ze3z83_18599;
																																																										BgL_zc3anonymousza33012ze3z83_18599
																																																											=
																																																											MAKE_FX_PROCEDURE
																																																											(BGl_z62zc3anonymousza33012ze3ze1zz__evaluate_compz00,
																																																											(int)
																																																											(((long) 1)), (int) (((long) 3)));
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza33012ze3z83_18599,
																																																											(int)
																																																											(((long) 0)), BgL_a1z00_2980);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza33012ze3z83_18599,
																																																											(int)
																																																											(((long) 1)), BgL_a2z00_2981);
																																																										PROCEDURE_SET
																																																											(BgL_zc3anonymousza33012ze3z83_18599,
																																																											(int)
																																																											(((long) 2)), BgL_locz00_193);
																																																										return
																																																											BgL_zc3anonymousza33012ze3z83_18599;
																																																									}
																																																								}
																																																							else
																																																								{	/* Eval/evaluate_comp.scm 1001 */
																																																									if ((BgL_valz00_2753 == BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
																																																										{	/* Eval/evaluate_comp.scm 1001 */
																																																											obj_t
																																																												BgL_a1z00_2990;
																																																											obj_t
																																																												BgL_a2z00_2991;
																																																											BgL_a1z00_2990
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																																																											BgL_a2z00_2991
																																																												=
																																																												BGl_compz00zz__evaluate_compz00
																																																												(
																																																												((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																																																											{	/* Eval/evaluate_comp.scm 1001 */
																																																												obj_t
																																																													BgL_zc3anonymousza33016ze3z83_18600;
																																																												BgL_zc3anonymousza33016ze3z83_18600
																																																													=
																																																													MAKE_FX_PROCEDURE
																																																													(BGl_z62zc3anonymousza33016ze3ze1zz__evaluate_compz00,
																																																													(int)
																																																													(((long) 1)), (int) (((long) 3)));
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza33016ze3z83_18600,
																																																													(int)
																																																													(((long) 0)), BgL_a1z00_2990);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza33016ze3z83_18600,
																																																													(int)
																																																													(((long) 1)), BgL_a2z00_2991);
																																																												PROCEDURE_SET
																																																													(BgL_zc3anonymousza33016ze3z83_18600,
																																																													(int)
																																																													(((long) 2)), BgL_locz00_193);
																																																												return
																																																													BgL_zc3anonymousza33016ze3z83_18600;
																																																											}
																																																										}
																																																									else
																																																										{	/* Eval/evaluate_comp.scm 1001 */
																																																											if ((BgL_valz00_2753 == BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
																																																												{	/* Eval/evaluate_comp.scm 1001 */
																																																													obj_t
																																																														BgL_a1z00_3000;
																																																													obj_t
																																																														BgL_a2z00_3001;
																																																													BgL_a1z00_3000
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																																																													BgL_a2z00_3001
																																																														=
																																																														BGl_compz00zz__evaluate_compz00
																																																														(
																																																														((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																																																													{	/* Eval/evaluate_comp.scm 1001 */
																																																														obj_t
																																																															BgL_zc3anonymousza33020ze3z83_18601;
																																																														BgL_zc3anonymousza33020ze3z83_18601
																																																															=
																																																															MAKE_FX_PROCEDURE
																																																															(BGl_z62zc3anonymousza33020ze3ze1zz__evaluate_compz00,
																																																															(int)
																																																															(((long) 1)), (int) (((long) 3)));
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza33020ze3z83_18601,
																																																															(int)
																																																															(((long) 0)), BgL_a1z00_3000);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza33020ze3z83_18601,
																																																															(int)
																																																															(((long) 1)), BgL_a2z00_3001);
																																																														PROCEDURE_SET
																																																															(BgL_zc3anonymousza33020ze3z83_18601,
																																																															(int)
																																																															(((long) 2)), BgL_locz00_193);
																																																														return
																																																															BgL_zc3anonymousza33020ze3z83_18601;
																																																													}
																																																												}
																																																											else
																																																												{	/* Eval/evaluate_comp.scm 1001 */
																																																													if ((BgL_valz00_2753 == BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
																																																														{	/* Eval/evaluate_comp.scm 1001 */
																																																															obj_t
																																																																BgL_a1z00_3010;
																																																															obj_t
																																																																BgL_a2z00_3011;
																																																															BgL_a1z00_3010
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																																																															BgL_a2z00_3011
																																																																=
																																																																BGl_compz00zz__evaluate_compz00
																																																																(
																																																																((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																																																															{	/* Eval/evaluate_comp.scm 1001 */
																																																																obj_t
																																																																	BgL_zc3anonymousza33024ze3z83_18602;
																																																																BgL_zc3anonymousza33024ze3z83_18602
																																																																	=
																																																																	MAKE_FX_PROCEDURE
																																																																	(BGl_z62zc3anonymousza33024ze3ze1zz__evaluate_compz00,
																																																																	(int)
																																																																	(((long) 1)), (int) (((long) 3)));
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza33024ze3z83_18602,
																																																																	(int)
																																																																	(((long) 0)), BgL_a1z00_3010);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza33024ze3z83_18602,
																																																																	(int)
																																																																	(((long) 1)), BgL_a2z00_3011);
																																																																PROCEDURE_SET
																																																																	(BgL_zc3anonymousza33024ze3z83_18602,
																																																																	(int)
																																																																	(((long) 2)), BgL_locz00_193);
																																																																return
																																																																	BgL_zc3anonymousza33024ze3z83_18602;
																																																															}
																																																														}
																																																													else
																																																														{	/* Eval/evaluate_comp.scm 1001 */
																																																															if ((BgL_valz00_2753 == BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
																																																																{	/* Eval/evaluate_comp.scm 1001 */
																																																																	obj_t
																																																																		BgL_a1z00_3020;
																																																																	obj_t
																																																																		BgL_a2z00_3021;
																																																																	BgL_a1z00_3020
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																																																																	BgL_a2z00_3021
																																																																		=
																																																																		BGl_compz00zz__evaluate_compz00
																																																																		(
																																																																		((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																																																																	{	/* Eval/evaluate_comp.scm 1001 */
																																																																		obj_t
																																																																			BgL_zc3anonymousza33028ze3z83_18603;
																																																																		BgL_zc3anonymousza33028ze3z83_18603
																																																																			=
																																																																			MAKE_FX_PROCEDURE
																																																																			(BGl_z62zc3anonymousza33028ze3ze1zz__evaluate_compz00,
																																																																			(int)
																																																																			(((long) 1)), (int) (((long) 3)));
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza33028ze3z83_18603,
																																																																			(int)
																																																																			(((long) 0)), BgL_a1z00_3020);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza33028ze3z83_18603,
																																																																			(int)
																																																																			(((long) 1)), BgL_a2z00_3021);
																																																																		PROCEDURE_SET
																																																																			(BgL_zc3anonymousza33028ze3z83_18603,
																																																																			(int)
																																																																			(((long) 2)), BgL_locz00_193);
																																																																		return
																																																																			BgL_zc3anonymousza33028ze3z83_18603;
																																																																	}
																																																																}
																																																															else
																																																																{	/* Eval/evaluate_comp.scm 1001 */
																																																																	if ((BgL_valz00_2753 == BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
																																																																		{	/* Eval/evaluate_comp.scm 1001 */
																																																																			obj_t
																																																																				BgL_a1z00_3030;
																																																																			obj_t
																																																																				BgL_a2z00_3031;
																																																																			BgL_a1z00_3030
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																																																																			BgL_a2z00_3031
																																																																				=
																																																																				BGl_compz00zz__evaluate_compz00
																																																																				(
																																																																				((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																																																																			{	/* Eval/evaluate_comp.scm 1001 */
																																																																				obj_t
																																																																					BgL_zc3anonymousza33032ze3z83_18604;
																																																																				BgL_zc3anonymousza33032ze3z83_18604
																																																																					=
																																																																					MAKE_FX_PROCEDURE
																																																																					(BGl_z62zc3anonymousza33032ze3ze1zz__evaluate_compz00,
																																																																					(int)
																																																																					(((long) 1)), (int) (((long) 2)));
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza33032ze3z83_18604,
																																																																					(int)
																																																																					(((long) 0)), BgL_a1z00_3030);
																																																																				PROCEDURE_SET
																																																																					(BgL_zc3anonymousza33032ze3z83_18604,
																																																																					(int)
																																																																					(((long) 1)), BgL_a2z00_3031);
																																																																				return
																																																																					BgL_zc3anonymousza33032ze3z83_18604;
																																																																			}
																																																																		}
																																																																	else
																																																																		{	/* Eval/evaluate_comp.scm 1001 */
																																																																			if ((BgL_valz00_2753 == BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
																																																																				{	/* Eval/evaluate_comp.scm 1001 */
																																																																					obj_t
																																																																						BgL_a1z00_3038;
																																																																					obj_t
																																																																						BgL_a2z00_3039;
																																																																					BgL_a1z00_3038
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a1z00_2757), BgL_stkz00_196);
																																																																					BgL_a2z00_3039
																																																																						=
																																																																						BGl_compz00zz__evaluate_compz00
																																																																						(
																																																																						((BgL_ev_exprz00_bglt) BgL_a2z00_2758), BgL_stkz00_196);
																																																																					{	/* Eval/evaluate_comp.scm 1001 */
																																																																						obj_t
																																																																							BgL_zc3anonymousza33034ze3z83_18605;
																																																																						BgL_zc3anonymousza33034ze3z83_18605
																																																																							=
																																																																							MAKE_FX_PROCEDURE
																																																																							(BGl_z62zc3anonymousza33034ze3ze1zz__evaluate_compz00,
																																																																							(int)
																																																																							(((long) 1)), (int) (((long) 2)));
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza33034ze3z83_18605,
																																																																							(int)
																																																																							(((long) 0)), BgL_a1z00_3038);
																																																																						PROCEDURE_SET
																																																																							(BgL_zc3anonymousza33034ze3z83_18605,
																																																																							(int)
																																																																							(((long) 1)), BgL_a2z00_3039);
																																																																						return
																																																																							BgL_zc3anonymousza33034ze3z83_18605;
																																																																					}
																																																																				}
																																																																			else
																																																																				{	/* Eval/evaluate_comp.scm 1001 */
																																																																					return
																																																																						BFALSE;
																																																																				}
																																																																		}
																																																																}
																																																														}
																																																												}
																																																										}
																																																								}
																																																						}
																																																				}
																																																		}
																																																}
																																														}
																																												}
																																										}
																																								}
																																						}
																																				}
																																		}
																																}
																														}
																												}
																										}
																								}
																						}
																				}
																		}
																}
														}
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 999 */
											return BFALSE;
										}
								}
						}
					}
				else
					{	/* Eval/evaluate_comp.scm 994 */
						return BFALSE;
					}
			}
		}
	}



/* &<anonymous:2924> */
	obj_t BGl_z62zc3anonymousza32924ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18609, obj_t BgL_sz00_18613)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18610;
				obj_t BgL_a2z00_18611;
				obj_t BgL_locz00_18612;

				BgL_a1z00_18610 = PROCEDURE_REF(BgL_envz00_18609, (int) (((long) 0)));
				BgL_a2z00_18611 = PROCEDURE_REF(BgL_envz00_18609, (int) (((long) 1)));
				BgL_locz00_18612 = PROCEDURE_REF(BgL_envz00_18609, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2762;

					BgL_sz00_2762 = BgL_sz00_18613;
					{	/* Eval/evaluate_comp.scm 1001 */
						obj_t BgL_bpz00_2764;

						BgL_bpz00_2764 = VECTOR_REF(BgL_sz00_2762, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_a1z00_2765;
							obj_t BgL_a2z00_2766;

							BgL_a1z00_2765 =
								PROCEDURE_ENTRY(BgL_a1z00_18610) (BgL_a1z00_18610,
								BgL_sz00_2762, BEOA);
							BgL_a2z00_2766 =
								PROCEDURE_ENTRY(BgL_a2z00_18611) (BgL_a2z00_18611,
								BgL_sz00_2762, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2765))
								{	/* Eval/evaluate_comp.scm 1001 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1001 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6007z00zz__evaluate_compz00,
										BGl_symbol6009z00zz__evaluate_compz00, BgL_a1z00_2765,
										BgL_locz00_18612);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2766))
								{	/* Eval/evaluate_comp.scm 1001 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1001 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6007z00zz__evaluate_compz00,
										BGl_symbol6009z00zz__evaluate_compz00, BgL_a2z00_2766,
										BgL_locz00_18612);
								}
							return
								BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_2765,
								BgL_a2z00_2766);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2928> */
	obj_t BGl_z62zc3anonymousza32928ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18614, obj_t BgL_sz00_18618)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18615;
				obj_t BgL_a2z00_18616;
				obj_t BgL_locz00_18617;

				BgL_a1z00_18615 = PROCEDURE_REF(BgL_envz00_18614, (int) (((long) 0)));
				BgL_a2z00_18616 = PROCEDURE_REF(BgL_envz00_18614, (int) (((long) 1)));
				BgL_locz00_18617 = PROCEDURE_REF(BgL_envz00_18614, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2772;

					BgL_sz00_2772 = BgL_sz00_18618;
					{	/* Eval/evaluate_comp.scm 1001 */
						obj_t BgL_bpz00_2774;

						BgL_bpz00_2774 = VECTOR_REF(BgL_sz00_2772, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_a1z00_2775;
							obj_t BgL_a2z00_2776;

							BgL_a1z00_2775 =
								PROCEDURE_ENTRY(BgL_a1z00_18615) (BgL_a1z00_18615,
								BgL_sz00_2772, BEOA);
							BgL_a2z00_2776 =
								PROCEDURE_ENTRY(BgL_a2z00_18616) (BgL_a2z00_18616,
								BgL_sz00_2772, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2775))
								{	/* Eval/evaluate_comp.scm 1001 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1001 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6011z00zz__evaluate_compz00,
										BGl_symbol6009z00zz__evaluate_compz00, BgL_a1z00_2775,
										BgL_locz00_18617);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2776))
								{	/* Eval/evaluate_comp.scm 1001 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1001 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6011z00zz__evaluate_compz00,
										BGl_symbol6009z00zz__evaluate_compz00, BgL_a2z00_2776,
										BgL_locz00_18617);
								}
							return
								BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_2775,
								BgL_a2z00_2776);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2932> */
	obj_t BGl_z62zc3anonymousza32932ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18619, obj_t BgL_sz00_18623)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18620;
				obj_t BgL_a2z00_18621;
				obj_t BgL_locz00_18622;

				BgL_a1z00_18620 = PROCEDURE_REF(BgL_envz00_18619, (int) (((long) 0)));
				BgL_a2z00_18621 = PROCEDURE_REF(BgL_envz00_18619, (int) (((long) 1)));
				BgL_locz00_18622 = PROCEDURE_REF(BgL_envz00_18619, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2782;

					BgL_sz00_2782 = BgL_sz00_18623;
					{	/* Eval/evaluate_comp.scm 1001 */
						obj_t BgL_bpz00_2784;

						BgL_bpz00_2784 = VECTOR_REF(BgL_sz00_2782, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_a1z00_2785;
							obj_t BgL_a2z00_2786;

							BgL_a1z00_2785 =
								PROCEDURE_ENTRY(BgL_a1z00_18620) (BgL_a1z00_18620,
								BgL_sz00_2782, BEOA);
							BgL_a2z00_2786 =
								PROCEDURE_ENTRY(BgL_a2z00_18621) (BgL_a2z00_18621,
								BgL_sz00_2782, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2785))
								{	/* Eval/evaluate_comp.scm 1001 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1001 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6013z00zz__evaluate_compz00,
										BGl_symbol6009z00zz__evaluate_compz00, BgL_a1z00_2785,
										BgL_locz00_18622);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2786))
								{	/* Eval/evaluate_comp.scm 1001 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1001 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6013z00zz__evaluate_compz00,
										BGl_symbol6009z00zz__evaluate_compz00, BgL_a2z00_2786,
										BgL_locz00_18622);
								}
							return
								BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_2785,
								BgL_a2z00_2786);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2936> */
	obj_t BGl_z62zc3anonymousza32936ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18624, obj_t BgL_sz00_18628)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18625;
				obj_t BgL_a2z00_18626;
				obj_t BgL_locz00_18627;

				BgL_a1z00_18625 = PROCEDURE_REF(BgL_envz00_18624, (int) (((long) 0)));
				BgL_a2z00_18626 = PROCEDURE_REF(BgL_envz00_18624, (int) (((long) 1)));
				BgL_locz00_18627 = PROCEDURE_REF(BgL_envz00_18624, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2792;

					BgL_sz00_2792 = BgL_sz00_18628;
					{	/* Eval/evaluate_comp.scm 1001 */
						obj_t BgL_bpz00_2794;

						BgL_bpz00_2794 = VECTOR_REF(BgL_sz00_2792, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_a1z00_2795;
							obj_t BgL_a2z00_2796;

							BgL_a1z00_2795 =
								PROCEDURE_ENTRY(BgL_a1z00_18625) (BgL_a1z00_18625,
								BgL_sz00_2792, BEOA);
							BgL_a2z00_2796 =
								PROCEDURE_ENTRY(BgL_a2z00_18626) (BgL_a2z00_18626,
								BgL_sz00_2792, BEOA);
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2795))
								{	/* Eval/evaluate_comp.scm 1001 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1001 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6015z00zz__evaluate_compz00,
										BGl_symbol6009z00zz__evaluate_compz00, BgL_a1z00_2795,
										BgL_locz00_18627);
								}
							if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2796))
								{	/* Eval/evaluate_comp.scm 1001 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1001 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6015z00zz__evaluate_compz00,
										BGl_symbol6009z00zz__evaluate_compz00, BgL_a2z00_2796,
										BgL_locz00_18627);
								}
							return
								BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_2795,
								BgL_a2z00_2796);
						}
					}
				}
			}
		}
	}



/* &<anonymous:2940> */
	obj_t BGl_z62zc3anonymousza32940ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18629, obj_t BgL_sz00_18633)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18630;
				obj_t BgL_a2z00_18631;
				obj_t BgL_locz00_18632;

				BgL_a1z00_18630 = PROCEDURE_REF(BgL_envz00_18629, (int) (((long) 0)));
				BgL_a2z00_18631 = PROCEDURE_REF(BgL_envz00_18629, (int) (((long) 1)));
				BgL_locz00_18632 = PROCEDURE_REF(BgL_envz00_18629, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2802;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27189;

						BgL_sz00_2802 = BgL_sz00_18633;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2804;

							BgL_bpz00_2804 = VECTOR_REF(BgL_sz00_2802, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2805;
								obj_t BgL_a2z00_2806;

								BgL_a1z00_2805 =
									PROCEDURE_ENTRY(BgL_a1z00_18630) (BgL_a1z00_18630,
									BgL_sz00_2802, BEOA);
								BgL_a2z00_2806 =
									PROCEDURE_ENTRY(BgL_a2z00_18631) (BgL_a2z00_18631,
									BgL_sz00_2802, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2805))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6017z00zz__evaluate_compz00,
											BGl_symbol6009z00zz__evaluate_compz00, BgL_a1z00_2805,
											BgL_locz00_18632);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2806))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6017z00zz__evaluate_compz00,
											BGl_symbol6009z00zz__evaluate_compz00, BgL_a2z00_2806,
											BgL_locz00_18632);
									}
								BgL_auxz00_27189 =
									BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_2805,
									BgL_a2z00_2806);
							}
						}
						return BBOOL(BgL_auxz00_27189);
					}
				}
			}
		}
	}



/* &<anonymous:2944> */
	obj_t BGl_z62zc3anonymousza32944ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18634, obj_t BgL_sz00_18638)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18635;
				obj_t BgL_a2z00_18636;
				obj_t BgL_locz00_18637;

				BgL_a1z00_18635 = PROCEDURE_REF(BgL_envz00_18634, (int) (((long) 0)));
				BgL_a2z00_18636 = PROCEDURE_REF(BgL_envz00_18634, (int) (((long) 1)));
				BgL_locz00_18637 = PROCEDURE_REF(BgL_envz00_18634, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2812;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27214;

						BgL_sz00_2812 = BgL_sz00_18638;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2814;

							BgL_bpz00_2814 = VECTOR_REF(BgL_sz00_2812, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2815;
								obj_t BgL_a2z00_2816;

								BgL_a1z00_2815 =
									PROCEDURE_ENTRY(BgL_a1z00_18635) (BgL_a1z00_18635,
									BgL_sz00_2812, BEOA);
								BgL_a2z00_2816 =
									PROCEDURE_ENTRY(BgL_a2z00_18636) (BgL_a2z00_18636,
									BgL_sz00_2812, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2815))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6019z00zz__evaluate_compz00,
											BGl_symbol6009z00zz__evaluate_compz00, BgL_a1z00_2815,
											BgL_locz00_18637);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2816))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6019z00zz__evaluate_compz00,
											BGl_symbol6009z00zz__evaluate_compz00, BgL_a2z00_2816,
											BgL_locz00_18637);
									}
								BgL_auxz00_27214 =
									BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_2815,
									BgL_a2z00_2816);
							}
						}
						return BBOOL(BgL_auxz00_27214);
					}
				}
			}
		}
	}



/* &<anonymous:2948> */
	obj_t BGl_z62zc3anonymousza32948ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18639, obj_t BgL_sz00_18643)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18640;
				obj_t BgL_a2z00_18641;
				obj_t BgL_locz00_18642;

				BgL_a1z00_18640 = PROCEDURE_REF(BgL_envz00_18639, (int) (((long) 0)));
				BgL_a2z00_18641 = PROCEDURE_REF(BgL_envz00_18639, (int) (((long) 1)));
				BgL_locz00_18642 = PROCEDURE_REF(BgL_envz00_18639, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2822;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27239;

						BgL_sz00_2822 = BgL_sz00_18643;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2824;

							BgL_bpz00_2824 = VECTOR_REF(BgL_sz00_2822, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2825;
								obj_t BgL_a2z00_2826;

								BgL_a1z00_2825 =
									PROCEDURE_ENTRY(BgL_a1z00_18640) (BgL_a1z00_18640,
									BgL_sz00_2822, BEOA);
								BgL_a2z00_2826 =
									PROCEDURE_ENTRY(BgL_a2z00_18641) (BgL_a2z00_18641,
									BgL_sz00_2822, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2825))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6021z00zz__evaluate_compz00,
											BGl_symbol6009z00zz__evaluate_compz00, BgL_a1z00_2825,
											BgL_locz00_18642);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2826))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6021z00zz__evaluate_compz00,
											BGl_symbol6009z00zz__evaluate_compz00, BgL_a2z00_2826,
											BgL_locz00_18642);
									}
								BgL_auxz00_27239 =
									BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_2825,
									BgL_a2z00_2826);
							}
						}
						return BBOOL(BgL_auxz00_27239);
					}
				}
			}
		}
	}



/* &<anonymous:2952> */
	obj_t BGl_z62zc3anonymousza32952ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18644, obj_t BgL_sz00_18648)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18645;
				obj_t BgL_a2z00_18646;
				obj_t BgL_locz00_18647;

				BgL_a1z00_18645 = PROCEDURE_REF(BgL_envz00_18644, (int) (((long) 0)));
				BgL_a2z00_18646 = PROCEDURE_REF(BgL_envz00_18644, (int) (((long) 1)));
				BgL_locz00_18647 = PROCEDURE_REF(BgL_envz00_18644, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2832;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27264;

						BgL_sz00_2832 = BgL_sz00_18648;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2834;

							BgL_bpz00_2834 = VECTOR_REF(BgL_sz00_2832, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2835;
								obj_t BgL_a2z00_2836;

								BgL_a1z00_2835 =
									PROCEDURE_ENTRY(BgL_a1z00_18645) (BgL_a1z00_18645,
									BgL_sz00_2832, BEOA);
								BgL_a2z00_2836 =
									PROCEDURE_ENTRY(BgL_a2z00_18646) (BgL_a2z00_18646,
									BgL_sz00_2832, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2835))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6023z00zz__evaluate_compz00,
											BGl_symbol6009z00zz__evaluate_compz00, BgL_a1z00_2835,
											BgL_locz00_18647);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2836))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6023z00zz__evaluate_compz00,
											BGl_symbol6009z00zz__evaluate_compz00, BgL_a2z00_2836,
											BgL_locz00_18647);
									}
								BgL_auxz00_27264 =
									BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_2835,
									BgL_a2z00_2836);
							}
						}
						return BBOOL(BgL_auxz00_27264);
					}
				}
			}
		}
	}



/* &<anonymous:2956> */
	obj_t BGl_z62zc3anonymousza32956ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18649, obj_t BgL_sz00_18653)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18650;
				obj_t BgL_a2z00_18651;
				obj_t BgL_locz00_18652;

				BgL_a1z00_18650 = PROCEDURE_REF(BgL_envz00_18649, (int) (((long) 0)));
				BgL_a2z00_18651 = PROCEDURE_REF(BgL_envz00_18649, (int) (((long) 1)));
				BgL_locz00_18652 = PROCEDURE_REF(BgL_envz00_18649, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2842;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27289;

						BgL_sz00_2842 = BgL_sz00_18653;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2844;

							BgL_bpz00_2844 = VECTOR_REF(BgL_sz00_2842, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2845;
								obj_t BgL_a2z00_2846;

								BgL_a1z00_2845 =
									PROCEDURE_ENTRY(BgL_a1z00_18650) (BgL_a1z00_18650,
									BgL_sz00_2842, BEOA);
								BgL_a2z00_2846 =
									PROCEDURE_ENTRY(BgL_a2z00_18651) (BgL_a2z00_18651,
									BgL_sz00_2842, BEOA);
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_2845))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6025z00zz__evaluate_compz00,
											BGl_symbol6009z00zz__evaluate_compz00, BgL_a1z00_2845,
											BgL_locz00_18652);
									}
								if (BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_2846))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6025z00zz__evaluate_compz00,
											BGl_symbol6009z00zz__evaluate_compz00, BgL_a2z00_2846,
											BgL_locz00_18652);
									}
								BgL_auxz00_27289 =
									BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_2845,
									BgL_a2z00_2846);
							}
						}
						return BBOOL(BgL_auxz00_27289);
					}
				}
			}
		}
	}



/* &<anonymous:2960> */
	obj_t BGl_z62zc3anonymousza32960ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18654, obj_t BgL_sz00_18658)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18655;
				obj_t BgL_a2z00_18656;
				obj_t BgL_locz00_18657;

				BgL_a1z00_18655 = PROCEDURE_REF(BgL_envz00_18654, (int) (((long) 0)));
				BgL_a2z00_18656 = PROCEDURE_REF(BgL_envz00_18654, (int) (((long) 1)));
				BgL_locz00_18657 = PROCEDURE_REF(BgL_envz00_18654, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2852;

					{	/* Eval/evaluate_comp.scm 1001 */
						long BgL_auxz00_27314;

						BgL_sz00_2852 = BgL_sz00_18658;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2854;

							BgL_bpz00_2854 = VECTOR_REF(BgL_sz00_2852, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2855;
								obj_t BgL_a2z00_2856;

								BgL_a1z00_2855 =
									PROCEDURE_ENTRY(BgL_a1z00_18655) (BgL_a1z00_18655,
									BgL_sz00_2852, BEOA);
								BgL_a2z00_2856 =
									PROCEDURE_ENTRY(BgL_a2z00_18656) (BgL_a2z00_18656,
									BgL_sz00_2852, BEOA);
								if (INTEGERP(BgL_a1z00_2855))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6027z00zz__evaluate_compz00,
											BGl_symbol6029z00zz__evaluate_compz00, BgL_a1z00_2855,
											BgL_locz00_18657);
									}
								if (INTEGERP(BgL_a2z00_2856))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6027z00zz__evaluate_compz00,
											BGl_symbol6029z00zz__evaluate_compz00, BgL_a2z00_2856,
											BgL_locz00_18657);
									}
								BgL_auxz00_27314 =
									((long) CINT(BgL_a1z00_2855) + (long) CINT(BgL_a2z00_2856));
						}}
						return BINT(BgL_auxz00_27314);
					}
				}
			}
		}
	}



/* &<anonymous:2964> */
	obj_t BGl_z62zc3anonymousza32964ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18659, obj_t BgL_sz00_18663)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18660;
				obj_t BgL_a2z00_18661;
				obj_t BgL_locz00_18662;

				BgL_a1z00_18660 = PROCEDURE_REF(BgL_envz00_18659, (int) (((long) 0)));
				BgL_a2z00_18661 = PROCEDURE_REF(BgL_envz00_18659, (int) (((long) 1)));
				BgL_locz00_18662 = PROCEDURE_REF(BgL_envz00_18659, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2862;

					{	/* Eval/evaluate_comp.scm 1001 */
						long BgL_auxz00_27341;

						BgL_sz00_2862 = BgL_sz00_18663;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2864;

							BgL_bpz00_2864 = VECTOR_REF(BgL_sz00_2862, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2865;
								obj_t BgL_a2z00_2866;

								BgL_a1z00_2865 =
									PROCEDURE_ENTRY(BgL_a1z00_18660) (BgL_a1z00_18660,
									BgL_sz00_2862, BEOA);
								BgL_a2z00_2866 =
									PROCEDURE_ENTRY(BgL_a2z00_18661) (BgL_a2z00_18661,
									BgL_sz00_2862, BEOA);
								if (INTEGERP(BgL_a1z00_2865))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6031z00zz__evaluate_compz00,
											BGl_symbol6029z00zz__evaluate_compz00, BgL_a1z00_2865,
											BgL_locz00_18662);
									}
								if (INTEGERP(BgL_a2z00_2866))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6031z00zz__evaluate_compz00,
											BGl_symbol6029z00zz__evaluate_compz00, BgL_a2z00_2866,
											BgL_locz00_18662);
									}
								BgL_auxz00_27341 =
									((long) CINT(BgL_a1z00_2865) - (long) CINT(BgL_a2z00_2866));
						}}
						return BINT(BgL_auxz00_27341);
					}
				}
			}
		}
	}



/* &<anonymous:2968> */
	obj_t BGl_z62zc3anonymousza32968ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18664, obj_t BgL_sz00_18668)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18665;
				obj_t BgL_a2z00_18666;
				obj_t BgL_locz00_18667;

				BgL_a1z00_18665 = PROCEDURE_REF(BgL_envz00_18664, (int) (((long) 0)));
				BgL_a2z00_18666 = PROCEDURE_REF(BgL_envz00_18664, (int) (((long) 1)));
				BgL_locz00_18667 = PROCEDURE_REF(BgL_envz00_18664, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2872;

					{	/* Eval/evaluate_comp.scm 1001 */
						long BgL_auxz00_27368;

						BgL_sz00_2872 = BgL_sz00_18668;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2874;

							BgL_bpz00_2874 = VECTOR_REF(BgL_sz00_2872, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2875;
								obj_t BgL_a2z00_2876;

								BgL_a1z00_2875 =
									PROCEDURE_ENTRY(BgL_a1z00_18665) (BgL_a1z00_18665,
									BgL_sz00_2872, BEOA);
								BgL_a2z00_2876 =
									PROCEDURE_ENTRY(BgL_a2z00_18666) (BgL_a2z00_18666,
									BgL_sz00_2872, BEOA);
								if (INTEGERP(BgL_a1z00_2875))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6033z00zz__evaluate_compz00,
											BGl_symbol6029z00zz__evaluate_compz00, BgL_a1z00_2875,
											BgL_locz00_18667);
									}
								if (INTEGERP(BgL_a2z00_2876))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6033z00zz__evaluate_compz00,
											BGl_symbol6029z00zz__evaluate_compz00, BgL_a2z00_2876,
											BgL_locz00_18667);
									}
								BgL_auxz00_27368 =
									((long) CINT(BgL_a1z00_2875) * (long) CINT(BgL_a2z00_2876));
						}}
						return BINT(BgL_auxz00_27368);
					}
				}
			}
		}
	}



/* &<anonymous:2972> */
	obj_t BGl_z62zc3anonymousza32972ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18669, obj_t BgL_sz00_18673)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18670;
				obj_t BgL_a2z00_18671;
				obj_t BgL_locz00_18672;

				BgL_a1z00_18670 = PROCEDURE_REF(BgL_envz00_18669, (int) (((long) 0)));
				BgL_a2z00_18671 = PROCEDURE_REF(BgL_envz00_18669, (int) (((long) 1)));
				BgL_locz00_18672 = PROCEDURE_REF(BgL_envz00_18669, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2882;

					{	/* Eval/evaluate_comp.scm 1001 */
						long BgL_auxz00_27395;

						BgL_sz00_2882 = BgL_sz00_18673;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2884;

							BgL_bpz00_2884 = VECTOR_REF(BgL_sz00_2882, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2885;
								obj_t BgL_a2z00_2886;

								BgL_a1z00_2885 =
									PROCEDURE_ENTRY(BgL_a1z00_18670) (BgL_a1z00_18670,
									BgL_sz00_2882, BEOA);
								BgL_a2z00_2886 =
									PROCEDURE_ENTRY(BgL_a2z00_18671) (BgL_a2z00_18671,
									BgL_sz00_2882, BEOA);
								if (INTEGERP(BgL_a1z00_2885))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6035z00zz__evaluate_compz00,
											BGl_symbol6029z00zz__evaluate_compz00, BgL_a1z00_2885,
											BgL_locz00_18672);
									}
								if (INTEGERP(BgL_a2z00_2886))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6035z00zz__evaluate_compz00,
											BGl_symbol6029z00zz__evaluate_compz00, BgL_a2z00_2886,
											BgL_locz00_18672);
									}
								BgL_auxz00_27395 =
									((long) CINT(BgL_a1z00_2885) / (long) CINT(BgL_a2z00_2886));
						}}
						return BINT(BgL_auxz00_27395);
					}
				}
			}
		}
	}



/* &<anonymous:2976> */
	obj_t BGl_z62zc3anonymousza32976ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18674, obj_t BgL_sz00_18678)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18675;
				obj_t BgL_a2z00_18676;
				obj_t BgL_locz00_18677;

				BgL_a1z00_18675 = PROCEDURE_REF(BgL_envz00_18674, (int) (((long) 0)));
				BgL_a2z00_18676 = PROCEDURE_REF(BgL_envz00_18674, (int) (((long) 1)));
				BgL_locz00_18677 = PROCEDURE_REF(BgL_envz00_18674, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2892;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27422;

						BgL_sz00_2892 = BgL_sz00_18678;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2894;

							BgL_bpz00_2894 = VECTOR_REF(BgL_sz00_2892, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2895;
								obj_t BgL_a2z00_2896;

								BgL_a1z00_2895 =
									PROCEDURE_ENTRY(BgL_a1z00_18675) (BgL_a1z00_18675,
									BgL_sz00_2892, BEOA);
								BgL_a2z00_2896 =
									PROCEDURE_ENTRY(BgL_a2z00_18676) (BgL_a2z00_18676,
									BgL_sz00_2892, BEOA);
								if (INTEGERP(BgL_a1z00_2895))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6037z00zz__evaluate_compz00,
											BGl_symbol6029z00zz__evaluate_compz00, BgL_a1z00_2895,
											BgL_locz00_18677);
									}
								if (INTEGERP(BgL_a2z00_2896))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6037z00zz__evaluate_compz00,
											BGl_symbol6029z00zz__evaluate_compz00, BgL_a2z00_2896,
											BgL_locz00_18677);
									}
								BgL_auxz00_27422 =
									((long) CINT(BgL_a1z00_2895) < (long) CINT(BgL_a2z00_2896));
						}}
						return BBOOL(BgL_auxz00_27422);
					}
				}
			}
		}
	}



/* &<anonymous:2980> */
	obj_t BGl_z62zc3anonymousza32980ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18679, obj_t BgL_sz00_18683)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18680;
				obj_t BgL_a2z00_18681;
				obj_t BgL_locz00_18682;

				BgL_a1z00_18680 = PROCEDURE_REF(BgL_envz00_18679, (int) (((long) 0)));
				BgL_a2z00_18681 = PROCEDURE_REF(BgL_envz00_18679, (int) (((long) 1)));
				BgL_locz00_18682 = PROCEDURE_REF(BgL_envz00_18679, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2902;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27449;

						BgL_sz00_2902 = BgL_sz00_18683;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2904;

							BgL_bpz00_2904 = VECTOR_REF(BgL_sz00_2902, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2905;
								obj_t BgL_a2z00_2906;

								BgL_a1z00_2905 =
									PROCEDURE_ENTRY(BgL_a1z00_18680) (BgL_a1z00_18680,
									BgL_sz00_2902, BEOA);
								BgL_a2z00_2906 =
									PROCEDURE_ENTRY(BgL_a2z00_18681) (BgL_a2z00_18681,
									BgL_sz00_2902, BEOA);
								if (INTEGERP(BgL_a1z00_2905))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6039z00zz__evaluate_compz00,
											BGl_symbol6029z00zz__evaluate_compz00, BgL_a1z00_2905,
											BgL_locz00_18682);
									}
								if (INTEGERP(BgL_a2z00_2906))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6039z00zz__evaluate_compz00,
											BGl_symbol6029z00zz__evaluate_compz00, BgL_a2z00_2906,
											BgL_locz00_18682);
									}
								BgL_auxz00_27449 =
									((long) CINT(BgL_a1z00_2905) > (long) CINT(BgL_a2z00_2906));
						}}
						return BBOOL(BgL_auxz00_27449);
					}
				}
			}
		}
	}



/* &<anonymous:2984> */
	obj_t BGl_z62zc3anonymousza32984ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18684, obj_t BgL_sz00_18688)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18685;
				obj_t BgL_a2z00_18686;
				obj_t BgL_locz00_18687;

				BgL_a1z00_18685 = PROCEDURE_REF(BgL_envz00_18684, (int) (((long) 0)));
				BgL_a2z00_18686 = PROCEDURE_REF(BgL_envz00_18684, (int) (((long) 1)));
				BgL_locz00_18687 = PROCEDURE_REF(BgL_envz00_18684, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2912;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27476;

						BgL_sz00_2912 = BgL_sz00_18688;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2914;

							BgL_bpz00_2914 = VECTOR_REF(BgL_sz00_2912, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2915;
								obj_t BgL_a2z00_2916;

								BgL_a1z00_2915 =
									PROCEDURE_ENTRY(BgL_a1z00_18685) (BgL_a1z00_18685,
									BgL_sz00_2912, BEOA);
								BgL_a2z00_2916 =
									PROCEDURE_ENTRY(BgL_a2z00_18686) (BgL_a2z00_18686,
									BgL_sz00_2912, BEOA);
								if (INTEGERP(BgL_a1z00_2915))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6041z00zz__evaluate_compz00,
											BGl_symbol6029z00zz__evaluate_compz00, BgL_a1z00_2915,
											BgL_locz00_18687);
									}
								if (INTEGERP(BgL_a2z00_2916))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6041z00zz__evaluate_compz00,
											BGl_symbol6029z00zz__evaluate_compz00, BgL_a2z00_2916,
											BgL_locz00_18687);
									}
								BgL_auxz00_27476 =
									((long) CINT(BgL_a1z00_2915) <= (long) CINT(BgL_a2z00_2916));
						}}
						return BBOOL(BgL_auxz00_27476);
					}
				}
			}
		}
	}



/* &<anonymous:2988> */
	obj_t BGl_z62zc3anonymousza32988ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18689, obj_t BgL_sz00_18693)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18690;
				obj_t BgL_a2z00_18691;
				obj_t BgL_locz00_18692;

				BgL_a1z00_18690 = PROCEDURE_REF(BgL_envz00_18689, (int) (((long) 0)));
				BgL_a2z00_18691 = PROCEDURE_REF(BgL_envz00_18689, (int) (((long) 1)));
				BgL_locz00_18692 = PROCEDURE_REF(BgL_envz00_18689, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2922;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27503;

						BgL_sz00_2922 = BgL_sz00_18693;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2924;

							BgL_bpz00_2924 = VECTOR_REF(BgL_sz00_2922, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2925;
								obj_t BgL_a2z00_2926;

								BgL_a1z00_2925 =
									PROCEDURE_ENTRY(BgL_a1z00_18690) (BgL_a1z00_18690,
									BgL_sz00_2922, BEOA);
								BgL_a2z00_2926 =
									PROCEDURE_ENTRY(BgL_a2z00_18691) (BgL_a2z00_18691,
									BgL_sz00_2922, BEOA);
								if (INTEGERP(BgL_a1z00_2925))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6043z00zz__evaluate_compz00,
											BGl_symbol6029z00zz__evaluate_compz00, BgL_a1z00_2925,
											BgL_locz00_18692);
									}
								if (INTEGERP(BgL_a2z00_2926))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6043z00zz__evaluate_compz00,
											BGl_symbol6029z00zz__evaluate_compz00, BgL_a2z00_2926,
											BgL_locz00_18692);
									}
								BgL_auxz00_27503 =
									((long) CINT(BgL_a1z00_2925) >= (long) CINT(BgL_a2z00_2926));
						}}
						return BBOOL(BgL_auxz00_27503);
					}
				}
			}
		}
	}



/* &<anonymous:2992> */
	obj_t BGl_z62zc3anonymousza32992ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18694, obj_t BgL_sz00_18698)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18695;
				obj_t BgL_a2z00_18696;
				obj_t BgL_locz00_18697;

				BgL_a1z00_18695 = PROCEDURE_REF(BgL_envz00_18694, (int) (((long) 0)));
				BgL_a2z00_18696 = PROCEDURE_REF(BgL_envz00_18694, (int) (((long) 1)));
				BgL_locz00_18697 = PROCEDURE_REF(BgL_envz00_18694, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2932;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27530;

						BgL_sz00_2932 = BgL_sz00_18698;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2934;

							BgL_bpz00_2934 = VECTOR_REF(BgL_sz00_2932, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2935;
								obj_t BgL_a2z00_2936;

								BgL_a1z00_2935 =
									PROCEDURE_ENTRY(BgL_a1z00_18695) (BgL_a1z00_18695,
									BgL_sz00_2932, BEOA);
								BgL_a2z00_2936 =
									PROCEDURE_ENTRY(BgL_a2z00_18696) (BgL_a2z00_18696,
									BgL_sz00_2932, BEOA);
								if (INTEGERP(BgL_a1z00_2935))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6045z00zz__evaluate_compz00,
											BGl_symbol6029z00zz__evaluate_compz00, BgL_a1z00_2935,
											BgL_locz00_18697);
									}
								if (INTEGERP(BgL_a2z00_2936))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6045z00zz__evaluate_compz00,
											BGl_symbol6029z00zz__evaluate_compz00, BgL_a2z00_2936,
											BgL_locz00_18697);
									}
								BgL_auxz00_27530 =
									((long) CINT(BgL_a1z00_2935) == (long) CINT(BgL_a2z00_2936));
						}}
						return BBOOL(BgL_auxz00_27530);
					}
				}
			}
		}
	}



/* &<anonymous:2996> */
	obj_t BGl_z62zc3anonymousza32996ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18699, obj_t BgL_sz00_18703)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18700;
				obj_t BgL_a2z00_18701;
				obj_t BgL_locz00_18702;

				BgL_a1z00_18700 = PROCEDURE_REF(BgL_envz00_18699, (int) (((long) 0)));
				BgL_a2z00_18701 = PROCEDURE_REF(BgL_envz00_18699, (int) (((long) 1)));
				BgL_locz00_18702 = PROCEDURE_REF(BgL_envz00_18699, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2942;

					{	/* Eval/evaluate_comp.scm 1001 */
						double BgL_auxz00_27557;

						BgL_sz00_2942 = BgL_sz00_18703;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2944;

							BgL_bpz00_2944 = VECTOR_REF(BgL_sz00_2942, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2945;
								obj_t BgL_a2z00_2946;

								BgL_a1z00_2945 =
									PROCEDURE_ENTRY(BgL_a1z00_18700) (BgL_a1z00_18700,
									BgL_sz00_2942, BEOA);
								BgL_a2z00_2946 =
									PROCEDURE_ENTRY(BgL_a2z00_18701) (BgL_a2z00_18701,
									BgL_sz00_2942, BEOA);
								if (REALP(BgL_a1z00_2945))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6047z00zz__evaluate_compz00,
											BGl_symbol6049z00zz__evaluate_compz00, BgL_a1z00_2945,
											BgL_locz00_18702);
									}
								if (REALP(BgL_a2z00_2946))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6047z00zz__evaluate_compz00,
											BGl_symbol6049z00zz__evaluate_compz00, BgL_a2z00_2946,
											BgL_locz00_18702);
									}
								BgL_auxz00_27557 =
									(REAL_TO_DOUBLE(BgL_a1z00_2945) +
									REAL_TO_DOUBLE(BgL_a2z00_2946));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_27557);
					}
				}
			}
		}
	}



/* &<anonymous:3000> */
	obj_t BGl_z62zc3anonymousza33000ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18704, obj_t BgL_sz00_18708)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18705;
				obj_t BgL_a2z00_18706;
				obj_t BgL_locz00_18707;

				BgL_a1z00_18705 = PROCEDURE_REF(BgL_envz00_18704, (int) (((long) 0)));
				BgL_a2z00_18706 = PROCEDURE_REF(BgL_envz00_18704, (int) (((long) 1)));
				BgL_locz00_18707 = PROCEDURE_REF(BgL_envz00_18704, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2952;

					{	/* Eval/evaluate_comp.scm 1001 */
						double BgL_auxz00_27584;

						BgL_sz00_2952 = BgL_sz00_18708;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2954;

							BgL_bpz00_2954 = VECTOR_REF(BgL_sz00_2952, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2955;
								obj_t BgL_a2z00_2956;

								BgL_a1z00_2955 =
									PROCEDURE_ENTRY(BgL_a1z00_18705) (BgL_a1z00_18705,
									BgL_sz00_2952, BEOA);
								BgL_a2z00_2956 =
									PROCEDURE_ENTRY(BgL_a2z00_18706) (BgL_a2z00_18706,
									BgL_sz00_2952, BEOA);
								if (REALP(BgL_a1z00_2955))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6051z00zz__evaluate_compz00,
											BGl_symbol6049z00zz__evaluate_compz00, BgL_a1z00_2955,
											BgL_locz00_18707);
									}
								if (REALP(BgL_a2z00_2956))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6051z00zz__evaluate_compz00,
											BGl_symbol6049z00zz__evaluate_compz00, BgL_a2z00_2956,
											BgL_locz00_18707);
									}
								BgL_auxz00_27584 =
									(REAL_TO_DOUBLE(BgL_a1z00_2955) -
									REAL_TO_DOUBLE(BgL_a2z00_2956));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_27584);
					}
				}
			}
		}
	}



/* &<anonymous:3004> */
	obj_t BGl_z62zc3anonymousza33004ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18709, obj_t BgL_sz00_18713)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18710;
				obj_t BgL_a2z00_18711;
				obj_t BgL_locz00_18712;

				BgL_a1z00_18710 = PROCEDURE_REF(BgL_envz00_18709, (int) (((long) 0)));
				BgL_a2z00_18711 = PROCEDURE_REF(BgL_envz00_18709, (int) (((long) 1)));
				BgL_locz00_18712 = PROCEDURE_REF(BgL_envz00_18709, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2962;

					{	/* Eval/evaluate_comp.scm 1001 */
						double BgL_auxz00_27611;

						BgL_sz00_2962 = BgL_sz00_18713;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2964;

							BgL_bpz00_2964 = VECTOR_REF(BgL_sz00_2962, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2965;
								obj_t BgL_a2z00_2966;

								BgL_a1z00_2965 =
									PROCEDURE_ENTRY(BgL_a1z00_18710) (BgL_a1z00_18710,
									BgL_sz00_2962, BEOA);
								BgL_a2z00_2966 =
									PROCEDURE_ENTRY(BgL_a2z00_18711) (BgL_a2z00_18711,
									BgL_sz00_2962, BEOA);
								if (REALP(BgL_a1z00_2965))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6053z00zz__evaluate_compz00,
											BGl_symbol6049z00zz__evaluate_compz00, BgL_a1z00_2965,
											BgL_locz00_18712);
									}
								if (REALP(BgL_a2z00_2966))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6053z00zz__evaluate_compz00,
											BGl_symbol6049z00zz__evaluate_compz00, BgL_a2z00_2966,
											BgL_locz00_18712);
									}
								BgL_auxz00_27611 =
									(REAL_TO_DOUBLE(BgL_a1z00_2965) *
									REAL_TO_DOUBLE(BgL_a2z00_2966));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_27611);
					}
				}
			}
		}
	}



/* &<anonymous:3008> */
	obj_t BGl_z62zc3anonymousza33008ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18714, obj_t BgL_sz00_18718)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18715;
				obj_t BgL_a2z00_18716;
				obj_t BgL_locz00_18717;

				BgL_a1z00_18715 = PROCEDURE_REF(BgL_envz00_18714, (int) (((long) 0)));
				BgL_a2z00_18716 = PROCEDURE_REF(BgL_envz00_18714, (int) (((long) 1)));
				BgL_locz00_18717 = PROCEDURE_REF(BgL_envz00_18714, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2972;

					{	/* Eval/evaluate_comp.scm 1001 */
						double BgL_auxz00_27638;

						BgL_sz00_2972 = BgL_sz00_18718;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2974;

							BgL_bpz00_2974 = VECTOR_REF(BgL_sz00_2972, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2975;
								obj_t BgL_a2z00_2976;

								BgL_a1z00_2975 =
									PROCEDURE_ENTRY(BgL_a1z00_18715) (BgL_a1z00_18715,
									BgL_sz00_2972, BEOA);
								BgL_a2z00_2976 =
									PROCEDURE_ENTRY(BgL_a2z00_18716) (BgL_a2z00_18716,
									BgL_sz00_2972, BEOA);
								if (REALP(BgL_a1z00_2975))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6055z00zz__evaluate_compz00,
											BGl_symbol6049z00zz__evaluate_compz00, BgL_a1z00_2975,
											BgL_locz00_18717);
									}
								if (REALP(BgL_a2z00_2976))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6055z00zz__evaluate_compz00,
											BGl_symbol6049z00zz__evaluate_compz00, BgL_a2z00_2976,
											BgL_locz00_18717);
									}
								BgL_auxz00_27638 =
									(REAL_TO_DOUBLE(BgL_a1z00_2975) /
									REAL_TO_DOUBLE(BgL_a2z00_2976));
							}
						}
						return DOUBLE_TO_REAL(BgL_auxz00_27638);
					}
				}
			}
		}
	}



/* &<anonymous:3012> */
	obj_t BGl_z62zc3anonymousza33012ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18719, obj_t BgL_sz00_18723)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18720;
				obj_t BgL_a2z00_18721;
				obj_t BgL_locz00_18722;

				BgL_a1z00_18720 = PROCEDURE_REF(BgL_envz00_18719, (int) (((long) 0)));
				BgL_a2z00_18721 = PROCEDURE_REF(BgL_envz00_18719, (int) (((long) 1)));
				BgL_locz00_18722 = PROCEDURE_REF(BgL_envz00_18719, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2982;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27665;

						BgL_sz00_2982 = BgL_sz00_18723;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2984;

							BgL_bpz00_2984 = VECTOR_REF(BgL_sz00_2982, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2985;
								obj_t BgL_a2z00_2986;

								BgL_a1z00_2985 =
									PROCEDURE_ENTRY(BgL_a1z00_18720) (BgL_a1z00_18720,
									BgL_sz00_2982, BEOA);
								BgL_a2z00_2986 =
									PROCEDURE_ENTRY(BgL_a2z00_18721) (BgL_a2z00_18721,
									BgL_sz00_2982, BEOA);
								if (REALP(BgL_a1z00_2985))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6057z00zz__evaluate_compz00,
											BGl_symbol6049z00zz__evaluate_compz00, BgL_a1z00_2985,
											BgL_locz00_18722);
									}
								if (REALP(BgL_a2z00_2986))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6057z00zz__evaluate_compz00,
											BGl_symbol6049z00zz__evaluate_compz00, BgL_a2z00_2986,
											BgL_locz00_18722);
									}
								BgL_auxz00_27665 =
									(REAL_TO_DOUBLE(BgL_a1z00_2985) <
									REAL_TO_DOUBLE(BgL_a2z00_2986));
							}
						}
						return BBOOL(BgL_auxz00_27665);
					}
				}
			}
		}
	}



/* &<anonymous:3016> */
	obj_t BGl_z62zc3anonymousza33016ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18724, obj_t BgL_sz00_18728)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18725;
				obj_t BgL_a2z00_18726;
				obj_t BgL_locz00_18727;

				BgL_a1z00_18725 = PROCEDURE_REF(BgL_envz00_18724, (int) (((long) 0)));
				BgL_a2z00_18726 = PROCEDURE_REF(BgL_envz00_18724, (int) (((long) 1)));
				BgL_locz00_18727 = PROCEDURE_REF(BgL_envz00_18724, (int) (((long) 2)));
				{
					obj_t BgL_sz00_2992;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27692;

						BgL_sz00_2992 = BgL_sz00_18728;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_2994;

							BgL_bpz00_2994 = VECTOR_REF(BgL_sz00_2992, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_2995;
								obj_t BgL_a2z00_2996;

								BgL_a1z00_2995 =
									PROCEDURE_ENTRY(BgL_a1z00_18725) (BgL_a1z00_18725,
									BgL_sz00_2992, BEOA);
								BgL_a2z00_2996 =
									PROCEDURE_ENTRY(BgL_a2z00_18726) (BgL_a2z00_18726,
									BgL_sz00_2992, BEOA);
								if (REALP(BgL_a1z00_2995))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6059z00zz__evaluate_compz00,
											BGl_symbol6049z00zz__evaluate_compz00, BgL_a1z00_2995,
											BgL_locz00_18727);
									}
								if (REALP(BgL_a2z00_2996))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6059z00zz__evaluate_compz00,
											BGl_symbol6049z00zz__evaluate_compz00, BgL_a2z00_2996,
											BgL_locz00_18727);
									}
								BgL_auxz00_27692 =
									(REAL_TO_DOUBLE(BgL_a1z00_2995) >
									REAL_TO_DOUBLE(BgL_a2z00_2996));
							}
						}
						return BBOOL(BgL_auxz00_27692);
					}
				}
			}
		}
	}



/* &<anonymous:3020> */
	obj_t BGl_z62zc3anonymousza33020ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18729, obj_t BgL_sz00_18733)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18730;
				obj_t BgL_a2z00_18731;
				obj_t BgL_locz00_18732;

				BgL_a1z00_18730 = PROCEDURE_REF(BgL_envz00_18729, (int) (((long) 0)));
				BgL_a2z00_18731 = PROCEDURE_REF(BgL_envz00_18729, (int) (((long) 1)));
				BgL_locz00_18732 = PROCEDURE_REF(BgL_envz00_18729, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3002;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27719;

						BgL_sz00_3002 = BgL_sz00_18733;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_3004;

							BgL_bpz00_3004 = VECTOR_REF(BgL_sz00_3002, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_3005;
								obj_t BgL_a2z00_3006;

								BgL_a1z00_3005 =
									PROCEDURE_ENTRY(BgL_a1z00_18730) (BgL_a1z00_18730,
									BgL_sz00_3002, BEOA);
								BgL_a2z00_3006 =
									PROCEDURE_ENTRY(BgL_a2z00_18731) (BgL_a2z00_18731,
									BgL_sz00_3002, BEOA);
								if (REALP(BgL_a1z00_3005))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6061z00zz__evaluate_compz00,
											BGl_symbol6049z00zz__evaluate_compz00, BgL_a1z00_3005,
											BgL_locz00_18732);
									}
								if (REALP(BgL_a2z00_3006))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6061z00zz__evaluate_compz00,
											BGl_symbol6049z00zz__evaluate_compz00, BgL_a2z00_3006,
											BgL_locz00_18732);
									}
								BgL_auxz00_27719 =
									(REAL_TO_DOUBLE(BgL_a1z00_3005) <=
									REAL_TO_DOUBLE(BgL_a2z00_3006));
							}
						}
						return BBOOL(BgL_auxz00_27719);
					}
				}
			}
		}
	}



/* &<anonymous:3024> */
	obj_t BGl_z62zc3anonymousza33024ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18734, obj_t BgL_sz00_18738)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18735;
				obj_t BgL_a2z00_18736;
				obj_t BgL_locz00_18737;

				BgL_a1z00_18735 = PROCEDURE_REF(BgL_envz00_18734, (int) (((long) 0)));
				BgL_a2z00_18736 = PROCEDURE_REF(BgL_envz00_18734, (int) (((long) 1)));
				BgL_locz00_18737 = PROCEDURE_REF(BgL_envz00_18734, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3012;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27746;

						BgL_sz00_3012 = BgL_sz00_18738;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_3014;

							BgL_bpz00_3014 = VECTOR_REF(BgL_sz00_3012, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_3015;
								obj_t BgL_a2z00_3016;

								BgL_a1z00_3015 =
									PROCEDURE_ENTRY(BgL_a1z00_18735) (BgL_a1z00_18735,
									BgL_sz00_3012, BEOA);
								BgL_a2z00_3016 =
									PROCEDURE_ENTRY(BgL_a2z00_18736) (BgL_a2z00_18736,
									BgL_sz00_3012, BEOA);
								if (REALP(BgL_a1z00_3015))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6063z00zz__evaluate_compz00,
											BGl_symbol6049z00zz__evaluate_compz00, BgL_a1z00_3015,
											BgL_locz00_18737);
									}
								if (REALP(BgL_a2z00_3016))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6063z00zz__evaluate_compz00,
											BGl_symbol6049z00zz__evaluate_compz00, BgL_a2z00_3016,
											BgL_locz00_18737);
									}
								BgL_auxz00_27746 =
									(REAL_TO_DOUBLE(BgL_a1z00_3015) >=
									REAL_TO_DOUBLE(BgL_a2z00_3016));
							}
						}
						return BBOOL(BgL_auxz00_27746);
					}
				}
			}
		}
	}



/* &<anonymous:3028> */
	obj_t BGl_z62zc3anonymousza33028ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18739, obj_t BgL_sz00_18743)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18740;
				obj_t BgL_a2z00_18741;
				obj_t BgL_locz00_18742;

				BgL_a1z00_18740 = PROCEDURE_REF(BgL_envz00_18739, (int) (((long) 0)));
				BgL_a2z00_18741 = PROCEDURE_REF(BgL_envz00_18739, (int) (((long) 1)));
				BgL_locz00_18742 = PROCEDURE_REF(BgL_envz00_18739, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3022;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27773;

						BgL_sz00_3022 = BgL_sz00_18743;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_3024;

							BgL_bpz00_3024 = VECTOR_REF(BgL_sz00_3022, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_3025;
								obj_t BgL_a2z00_3026;

								BgL_a1z00_3025 =
									PROCEDURE_ENTRY(BgL_a1z00_18740) (BgL_a1z00_18740,
									BgL_sz00_3022, BEOA);
								BgL_a2z00_3026 =
									PROCEDURE_ENTRY(BgL_a2z00_18741) (BgL_a2z00_18741,
									BgL_sz00_3022, BEOA);
								if (REALP(BgL_a1z00_3025))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6065z00zz__evaluate_compz00,
											BGl_symbol6049z00zz__evaluate_compz00, BgL_a1z00_3025,
											BgL_locz00_18742);
									}
								if (REALP(BgL_a2z00_3026))
									{	/* Eval/evaluate_comp.scm 1001 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 1001 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6065z00zz__evaluate_compz00,
											BGl_symbol6049z00zz__evaluate_compz00, BgL_a2z00_3026,
											BgL_locz00_18742);
									}
								BgL_auxz00_27773 =
									(REAL_TO_DOUBLE(BgL_a1z00_3025) ==
									REAL_TO_DOUBLE(BgL_a2z00_3026));
							}
						}
						return BBOOL(BgL_auxz00_27773);
					}
				}
			}
		}
	}



/* &<anonymous:3032> */
	obj_t BGl_z62zc3anonymousza33032ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18744, obj_t BgL_sz00_18747)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18745;
				obj_t BgL_a2z00_18746;

				BgL_a1z00_18745 = PROCEDURE_REF(BgL_envz00_18744, (int) (((long) 0)));
				BgL_a2z00_18746 = PROCEDURE_REF(BgL_envz00_18744, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3032;

					{	/* Eval/evaluate_comp.scm 1001 */
						bool_t BgL_auxz00_27798;

						BgL_sz00_3032 = BgL_sz00_18747;
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_bpz00_11234;

							BgL_bpz00_11234 = VECTOR_REF(BgL_sz00_3032, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1001 */
								obj_t BgL_a1z00_11235;
								obj_t BgL_a2z00_11236;

								BgL_a1z00_11235 =
									PROCEDURE_ENTRY(BgL_a1z00_18745) (BgL_a1z00_18745,
									BgL_sz00_3032, BEOA);
								BgL_a2z00_11236 =
									PROCEDURE_ENTRY(BgL_a2z00_18746) (BgL_a2z00_18746,
									BgL_sz00_3032, BEOA);
								BgL_auxz00_27798 = (BgL_a1z00_11235 == BgL_a2z00_11236);
						}}
						return BBOOL(BgL_auxz00_27798);
					}
				}
			}
		}
	}



/* &<anonymous:3034> */
	obj_t BGl_z62zc3anonymousza33034ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18748, obj_t BgL_sz00_18751)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1001 */
			{	/* Eval/evaluate_comp.scm 1001 */
				obj_t BgL_a1z00_18749;
				obj_t BgL_a2z00_18750;

				BgL_a1z00_18749 = PROCEDURE_REF(BgL_envz00_18748, (int) (((long) 0)));
				BgL_a2z00_18750 = PROCEDURE_REF(BgL_envz00_18748, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3040;

					BgL_sz00_3040 = BgL_sz00_18751;
					{	/* Eval/evaluate_comp.scm 1001 */
						obj_t BgL_bpz00_11239;

						BgL_bpz00_11239 = VECTOR_REF(BgL_sz00_3040, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1001 */
							obj_t BgL_a1z00_11240;
							obj_t BgL_a2z00_11241;

							BgL_a1z00_11240 =
								PROCEDURE_ENTRY(BgL_a1z00_18749) (BgL_a1z00_18749,
								BgL_sz00_3040, BEOA);
							BgL_a2z00_11241 =
								PROCEDURE_ENTRY(BgL_a2z00_18750) (BgL_a2z00_18750,
								BgL_sz00_3040, BEOA);
							return MAKE_PAIR(BgL_a1z00_11240, BgL_a2z00_11241);
						}
					}
				}
			}
		}
	}



/* &<anonymous:3037> */
	obj_t BGl_z62zc3anonymousza33037ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18752, obj_t BgL_sz00_18755)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 998 */
			{	/* Eval/evaluate_comp.scm 998 */
				obj_t BgL_a1z00_18753;
				obj_t BgL_locz00_18754;

				BgL_a1z00_18753 = PROCEDURE_REF(BgL_envz00_18752, (int) (((long) 0)));
				BgL_locz00_18754 = PROCEDURE_REF(BgL_envz00_18752, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3049;

					BgL_sz00_3049 = BgL_sz00_18755;
					{	/* Eval/evaluate_comp.scm 998 */
						obj_t BgL_bpz00_3051;

						BgL_bpz00_3051 = VECTOR_REF(BgL_sz00_3049, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 998 */
							obj_t BgL_a1z00_3052;

							BgL_a1z00_3052 =
								PROCEDURE_ENTRY(BgL_a1z00_18753) (BgL_a1z00_18753,
								BgL_sz00_3049, BEOA);
							if (PAIRP(BgL_a1z00_3052))
								{	/* Eval/evaluate_comp.scm 998 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 998 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6067z00zz__evaluate_compz00,
										BGl_symbol6069z00zz__evaluate_compz00, BgL_a1z00_3052,
										BgL_locz00_18754);
								}
							return CAR(BgL_a1z00_3052);
						}
					}
				}
			}
		}
	}



/* &<anonymous:3040> */
	obj_t BGl_z62zc3anonymousza33040ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18756, obj_t BgL_sz00_18759)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 998 */
			{	/* Eval/evaluate_comp.scm 998 */
				obj_t BgL_a1z00_18757;
				obj_t BgL_locz00_18758;

				BgL_a1z00_18757 = PROCEDURE_REF(BgL_envz00_18756, (int) (((long) 0)));
				BgL_locz00_18758 = PROCEDURE_REF(BgL_envz00_18756, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3056;

					BgL_sz00_3056 = BgL_sz00_18759;
					{	/* Eval/evaluate_comp.scm 998 */
						obj_t BgL_bpz00_3058;

						BgL_bpz00_3058 = VECTOR_REF(BgL_sz00_3056, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 998 */
							obj_t BgL_a1z00_3059;

							BgL_a1z00_3059 =
								PROCEDURE_ENTRY(BgL_a1z00_18757) (BgL_a1z00_18757,
								BgL_sz00_3056, BEOA);
							if (PAIRP(BgL_a1z00_3059))
								{	/* Eval/evaluate_comp.scm 998 */
									BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 998 */
									BGl_loczd2typezd2errorz00zz__evaluate_compz00
										(BGl_symbol6071z00zz__evaluate_compz00,
										BGl_symbol6069z00zz__evaluate_compz00, BgL_a1z00_3059,
										BgL_locz00_18758);
								}
							return CDR(BgL_a1z00_3059);
						}
					}
				}
			}
		}
	}



/* &<anonymous:3043> */
	obj_t BGl_z62zc3anonymousza33043ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_18760, obj_t BgL_sz00_18763)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 998 */
			{	/* Eval/evaluate_comp.scm 998 */
				obj_t BgL_a1z00_18761;
				obj_t BgL_locz00_18762;

				BgL_a1z00_18761 = PROCEDURE_REF(BgL_envz00_18760, (int) (((long) 0)));
				BgL_locz00_18762 = PROCEDURE_REF(BgL_envz00_18760, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3063;

					BgL_sz00_3063 = BgL_sz00_18763;
					{	/* Eval/evaluate_comp.scm 998 */
						obj_t BgL_bpz00_3065;

						BgL_bpz00_3065 = VECTOR_REF(BgL_sz00_3063, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 998 */
							obj_t BgL_a1z00_3066;

							BgL_a1z00_3066 =
								PROCEDURE_ENTRY(BgL_a1z00_18761) (BgL_a1z00_18761,
								BgL_sz00_3063, BEOA);
							{	/* Eval/evaluate_comp.scm 998 */
								bool_t BgL_testz00_27864;

								if (PAIRP(BgL_a1z00_3066))
									{	/* Eval/evaluate_comp.scm 1007 */
										obj_t BgL_auxz00_27867;

										BgL_auxz00_27867 = CDR(BgL_a1z00_3066);
										BgL_testz00_27864 = PAIRP(BgL_auxz00_27867);
									}
								else
									{	/* Eval/evaluate_comp.scm 1007 */
										BgL_testz00_27864 = ((bool_t) 0);
									}
								if (BgL_testz00_27864)
									{	/* Eval/evaluate_comp.scm 998 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 998 */
										BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_symbol6073z00zz__evaluate_compz00,
											BGl_symbol6069z00zz__evaluate_compz00, BgL_a1z00_3066,
											BgL_locz00_18762);
									}
							}
							{	/* Eval/evaluate_comp.scm 998 */
								obj_t BgL_pairz00_11042;

								BgL_pairz00_11042 = BgL_a1z00_3066;
								return CAR(CDR(BgL_pairz00_11042));
							}
						}
					}
				}
			}
		}
	}



/* bind-frame */
	obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_202,
		obj_t BgL_wherez00_203, long BgL_spz00_204, long BgL_arityz00_205,
		obj_t BgL_valsz00_206, obj_t BgL_locz00_207)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1040 */
			if ((BgL_arityz00_205 < ((long) 0)))
				{	/* Eval/evaluate_comp.scm 1042 */
					long BgL_g1311z00_3072;

					BgL_g1311z00_3072 = (((long) -1) - BgL_arityz00_205);
					{
						long BgL_rz00_3074;
						long BgL_spz00_3075;
						obj_t BgL_lz00_3076;

						BgL_rz00_3074 = BgL_g1311z00_3072;
						BgL_spz00_3075 = BgL_spz00_204;
						BgL_lz00_3076 = BgL_valsz00_206;
					BgL_zc3anonymousza33048ze3z83_3077:
						if ((BgL_rz00_3074 == ((long) 0)))
							{	/* Eval/evaluate_comp.scm 1044 */
								return
									VECTOR_SET(BgL_sz00_202,
									(int) (BgL_spz00_3075), BgL_lz00_3076);
							}
						else
							{	/* Eval/evaluate_comp.scm 1044 */
								if (PAIRP(BgL_lz00_3076))
									{	/* Eval/evaluate_comp.scm 1046 */
										VECTOR_SET(BgL_sz00_202,
											(int) (BgL_spz00_3075), CAR(BgL_lz00_3076));
										{
											obj_t BgL_lz00_27889;
											long BgL_spz00_27887;
											long BgL_rz00_27885;

											BgL_rz00_27885 = (BgL_rz00_3074 - ((long) 1));
											BgL_spz00_27887 = (BgL_spz00_3075 + ((long) 1));
											BgL_lz00_27889 = CDR(BgL_lz00_3076);
											BgL_lz00_3076 = BgL_lz00_27889;
											BgL_spz00_3075 = BgL_spz00_27887;
											BgL_rz00_3074 = BgL_rz00_27885;
											goto BgL_zc3anonymousza33048ze3z83_3077;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1047 */
										long BgL_arg3055z00_3084;

										BgL_arg3055z00_3084 = bgl_list_length(BgL_valsz00_206);
										return
											BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_207,
											BgL_wherez00_203, (int) (BgL_arityz00_205),
											(int) (BgL_arg3055z00_3084));
				}}}}
			else
				{
					long BgL_rz00_3087;
					long BgL_spz00_3088;
					obj_t BgL_lz00_3089;

					BgL_rz00_3087 = BgL_arityz00_205;
					BgL_spz00_3088 = BgL_spz00_204;
					BgL_lz00_3089 = BgL_valsz00_206;
				BgL_zc3anonymousza33056ze3z83_3090:
					if ((BgL_rz00_3087 == ((long) 0)))
						{	/* Eval/evaluate_comp.scm 1053 */
							if (NULLP(BgL_lz00_3089))
								{	/* Eval/evaluate_comp.scm 1054 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 1055 */
									long BgL_arg3059z00_3093;

									BgL_arg3059z00_3093 = bgl_list_length(BgL_valsz00_206);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_207,
										BgL_wherez00_203, (int) (BgL_arityz00_205),
										(int) (BgL_arg3059z00_3093));
						}}
					else
						{	/* Eval/evaluate_comp.scm 1053 */
							if (PAIRP(BgL_lz00_3089))
								{	/* Eval/evaluate_comp.scm 1056 */
									VECTOR_SET(BgL_sz00_202,
										(int) (BgL_spz00_3088), CAR(BgL_lz00_3089));
									{
										obj_t BgL_lz00_27912;
										long BgL_spz00_27910;
										long BgL_rz00_27908;

										BgL_rz00_27908 = (BgL_rz00_3087 - ((long) 1));
										BgL_spz00_27910 = (BgL_spz00_3088 + ((long) 1));
										BgL_lz00_27912 = CDR(BgL_lz00_3089);
										BgL_lz00_3089 = BgL_lz00_27912;
										BgL_spz00_3088 = BgL_spz00_27910;
										BgL_rz00_3087 = BgL_rz00_27908;
										goto BgL_zc3anonymousza33056ze3z83_3090;
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 1057 */
									long BgL_arg3065z00_3099;

									BgL_arg3065z00_3099 = bgl_list_length(BgL_valsz00_206);
									return
										BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_207,
										BgL_wherez00_203, (int) (BgL_arityz00_205),
										(int) (BgL_arg3065z00_3099));
		}}}}
	}



/* make-boxes */
	bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_210,
		obj_t BgL_ibza2za2_211, obj_t BgL_bpz00_212)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1155 */
			{	/* Eval/evaluate_comp.scm 1156 */
				int BgL_nz00_3101;

				BgL_nz00_3101 = VECTOR_LENGTH(BgL_ibza2za2_211);
				{
					long BgL_iz00_3103;

					BgL_iz00_3103 = ((long) 0);
				BgL_zc3anonymousza33066ze3z83_3104:
					{	/* Eval/evaluate_comp.scm 1158 */
						long BgL_spz00_3105;

						{	/* Eval/evaluate_comp.scm 1158 */
							obj_t BgL_arg3071z00_3110;

							BgL_arg3071z00_3110 =
								VECTOR_REF(BgL_ibza2za2_211, (int) (BgL_iz00_3103));
							BgL_spz00_3105 =
								((long) CINT(BgL_bpz00_212) + (long) CINT(BgL_arg3071z00_3110));
						}
						{	/* Eval/evaluate_comp.scm 1159 */
							obj_t BgL_arg3067z00_3106;

							{	/* Eval/evaluate_comp.scm 1159 */
								obj_t BgL_arg3068z00_3107;

								BgL_arg3068z00_3107 =
									VECTOR_REF(BgL_sz00_210, (int) (BgL_spz00_3105));
								{	/* Eval/evaluate_comp.scm 189 */
									obj_t BgL_newz00_11313;

									BgL_newz00_11313 =
										create_struct(BGl_symbol5997z00zz__evaluate_compz00,
										(int) (((long) 1)));
									{	/* Eval/evaluate_comp.scm 189 */
										int BgL_auxz00_27928;

										BgL_auxz00_27928 = (int) (((long) 0));
										STRUCT_SET(BgL_newz00_11313, BgL_auxz00_27928,
											BgL_arg3068z00_3107);
									}
									BgL_arg3067z00_3106 = BgL_newz00_11313;
							}}
							VECTOR_SET(BgL_sz00_210,
								(int) (BgL_spz00_3105), BgL_arg3067z00_3106);
						}
						{	/* Eval/evaluate_comp.scm 1160 */
							long BgL_niz00_3108;

							BgL_niz00_3108 = (BgL_iz00_3103 + ((long) 1));
							if ((BgL_niz00_3108 < (long) (BgL_nz00_3101)))
								{
									long BgL_iz00_27937;

									BgL_iz00_27937 = BgL_niz00_3108;
									BgL_iz00_3103 = BgL_iz00_27937;
									goto BgL_zc3anonymousza33066ze3z83_3104;
								}
							else
								{	/* Eval/evaluate_comp.scm 1161 */
									return ((bool_t) 0);
								}
						}
					}
				}
			}
		}
	}



/* free-collect */
	obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_213,
		obj_t BgL_bpz00_214, obj_t BgL_iza2za2_215)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1163 */
			{	/* Eval/evaluate_comp.scm 1164 */
				int BgL_nz00_3112;

				BgL_nz00_3112 = VECTOR_LENGTH(BgL_iza2za2_215);
				{	/* Eval/evaluate_comp.scm 1164 */
					obj_t BgL_rz00_3113;

					BgL_rz00_3113 = make_vector(BgL_nz00_3112, BUNSPEC);
					{	/* Eval/evaluate_comp.scm 1164 */

						{
							long BgL_iz00_3115;

							BgL_iz00_3115 = ((long) 0);
						BgL_zc3anonymousza33072ze3z83_3116:
							if ((BgL_iz00_3115 >= (long) (BgL_nz00_3112)))
								{	/* Eval/evaluate_comp.scm 1166 */
									return BgL_rz00_3113;
								}
							else
								{	/* Eval/evaluate_comp.scm 1166 */
									{	/* Eval/evaluate_comp.scm 1169 */
										obj_t BgL_arg3074z00_3118;

										{	/* Eval/evaluate_comp.scm 1169 */
											long BgL_arg3075z00_3119;

											{	/* Eval/evaluate_comp.scm 1169 */
												obj_t BgL_arg3076z00_3120;

												BgL_arg3076z00_3120 =
													VECTOR_REF(BgL_iza2za2_215, (int) (BgL_iz00_3115));
												BgL_arg3075z00_3119 =
													(
													(long) CINT(BgL_bpz00_214) +
													(long) CINT(BgL_arg3076z00_3120));
											}
											BgL_arg3074z00_3118 =
												VECTOR_REF(BgL_sz00_213, (int) (BgL_arg3075z00_3119));
										}
										VECTOR_SET(BgL_rz00_3113,
											(int) (BgL_iz00_3115), BgL_arg3074z00_3118);
									}
									{
										long BgL_iz00_27952;

										BgL_iz00_27952 = (BgL_iz00_3115 + ((long) 1));
										BgL_iz00_3115 = BgL_iz00_27952;
										goto BgL_zc3anonymousza33072ze3z83_3116;
									}
								}
						}
					}
				}
			}
		}
	}



/* free-restore */
	bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_216,
		obj_t BgL_valza2za2_217, long BgL_spz00_218)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1172 */
			{	/* Eval/evaluate_comp.scm 1173 */
				long BgL_stopz00_3124;

				{	/* Eval/evaluate_comp.scm 1173 */
					int BgL_arg3085z00_3134;

					BgL_arg3085z00_3134 = VECTOR_LENGTH(BgL_valza2za2_217);
					BgL_stopz00_3124 = (BgL_spz00_218 + (long) (BgL_arg3085z00_3134));
				}
				{
					long BgL_iz00_11389;
					long BgL_spz00_11390;

					BgL_iz00_11389 = ((long) 0);
					BgL_spz00_11390 = BgL_spz00_218;
				BgL_recz00_11388:
					if ((BgL_spz00_11390 < BgL_stopz00_3124))
						{	/* Eval/evaluate_comp.scm 1175 */
							VECTOR_SET(BgL_sz00_216,
								(int) (BgL_spz00_11390),
								VECTOR_REF(BgL_valza2za2_217, (int) (BgL_iz00_11389)));
							{
								long BgL_spz00_27965;
								long BgL_iz00_27963;

								BgL_iz00_27963 = (BgL_iz00_11389 + ((long) 1));
								BgL_spz00_27965 = (BgL_spz00_11390 + ((long) 1));
								BgL_spz00_11390 = BgL_spz00_27965;
								BgL_iz00_11389 = BgL_iz00_27963;
								goto BgL_recz00_11388;
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 1175 */
							return ((bool_t) 0);
						}
				}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_proc6075z00zz__evaluate_compz00,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string6076z00zz__evaluate_compz00);
		}
	}



/* &comp1708 */
	obj_t BGl_z62comp1708z62zz__evaluate_compz00(obj_t BgL_envz00_18849,
		obj_t BgL_ez00_18850, obj_t BgL_stkz00_18851)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 264 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_3136;
				obj_t BgL_stkz00_3137;

				BgL_ez00_3136 = ((BgL_ev_exprz00_bglt) BgL_ez00_18850);
				BgL_stkz00_3137 = BgL_stkz00_18851;
				return
					BGl_errorz00zz__errorz00(BGl_string5987z00zz__evaluate_compz00,
					BGl_string6077z00zz__evaluate_compz00, ((obj_t) BgL_ez00_3136));
			}
		}
	}



/* comp */
	obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35,
		obj_t BgL_stkz00_36)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 264 */
			{	/* Eval/evaluate_comp.scm 264 */
				obj_t BgL_method1709z00_3140;

				{	/* Eval/evaluate_comp.scm 264 */
					obj_t BgL_res5206z00_11441;

					{	/* Eval/evaluate_comp.scm 264 */
						BgL_objectz00_bglt BgL_objz00_11413;

						BgL_objz00_11413 = ((BgL_objectz00_bglt) BgL_ez00_35);
						{	/* Eval/evaluate_comp.scm 264 */
							long BgL_objzd2classzd2numz00_11414;

							{	/* Eval/evaluate_comp.scm 264 */
								long BgL_res5200z00_11417;

								BgL_res5200z00_11417 = BGL_OBJECT_CLASS_NUM(BgL_objz00_11413);
								BgL_objzd2classzd2numz00_11414 = BgL_res5200z00_11417;
							}
							{	/* Eval/evaluate_comp.scm 264 */
								obj_t BgL_arg4440z00_11415;

								BgL_arg4440z00_11415 =
									PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00,
									(int) (((long) 1)));
								{	/* Eval/evaluate_comp.scm 264 */
									obj_t BgL_arrayz00_11418;
									int BgL_offsetz00_11419;

									BgL_arrayz00_11418 = BgL_arg4440z00_11415;
									BgL_offsetz00_11419 = (int) (BgL_objzd2classzd2numz00_11414);
									{	/* Eval/evaluate_comp.scm 264 */
										long BgL_offsetz00_11420;

										BgL_offsetz00_11420 =
											((long) (BgL_offsetz00_11419) - OBJECT_TYPE);
										{	/* Eval/evaluate_comp.scm 264 */
											long BgL_modz00_11421;

											{	/* Eval/evaluate_comp.scm 264 */
												int BgL_arg4442z00_11422;

												BgL_arg4442z00_11422 = (int) (((long) 16));
												{	/* Eval/evaluate_comp.scm 264 */
													long BgL_res5203z00_11432;

													{	/* Eval/evaluate_comp.scm 264 */
														long BgL_auxz00_27979;

														BgL_auxz00_27979 = (long) (BgL_arg4442z00_11422);
														BgL_res5203z00_11432 =
															(BgL_offsetz00_11420 / BgL_auxz00_27979);
													}
													BgL_modz00_11421 = BgL_res5203z00_11432;
											}}
											{	/* Eval/evaluate_comp.scm 264 */
												long BgL_restz00_11423;

												{	/* Eval/evaluate_comp.scm 264 */
													int BgL_arg4441z00_11424;

													BgL_arg4441z00_11424 = (int) (((long) 16));
													{	/* Eval/evaluate_comp.scm 264 */
														long BgL_res5205z00_11436;

														{	/* Eval/evaluate_comp.scm 264 */
															long BgL_auxz00_27983;

															BgL_auxz00_27983 = (long) (BgL_arg4441z00_11424);
															BgL_res5205z00_11436 =
																(BgL_offsetz00_11420 % BgL_auxz00_27983);
														}
														BgL_restz00_11423 = BgL_res5205z00_11436;
												}}
												{	/* Eval/evaluate_comp.scm 264 */

													BgL_res5206z00_11441 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_11418,
															(int) (BgL_modz00_11421)),
														(int) (BgL_restz00_11423));
					}}}}}}}}
					BgL_method1709z00_3140 = BgL_res5206z00_11441;
				}
				return
					PROCEDURE_ENTRY(BgL_method1709z00_3140) (BgL_method1709z00_3140,
					((obj_t) BgL_ez00_35), BgL_stkz00_36, BEOA);
			}
		}
	}



/* &comp */
	obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_18852,
		obj_t BgL_ez00_18853, obj_t BgL_stkz00_18854)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 264 */
			{	/* Eval/evaluate_comp.scm 264 */
				BgL_ev_exprz00_bglt BgL_auxz00_27996;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_18853,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_comp.scm 264 */
						BgL_auxz00_27996 = ((BgL_ev_exprz00_bglt) BgL_ez00_18853);
					}
				else
					{
						obj_t BgL_auxz00_28000;

						BgL_auxz00_28000 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string5992z00zz__evaluate_compz00, BINT(((long) 6610)),
							BGl_string6078z00zz__evaluate_compz00,
							BGl_string5994z00zz__evaluate_compz00, BgL_ez00_18853);
						FAILURE(BgL_auxz00_28000, BFALSE, BFALSE);
					}
				return
					BGl_compz00zz__evaluate_compz00(BgL_auxz00_27996, BgL_stkz00_18854);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_trapz00zz__evaluate_typesz00,
				BGl_proc6079z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_varz00zz__evaluate_typesz00, BGl_proc6081z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc6082z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc6083z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_setglobalz00zz__evaluate_typesz00,
				BGl_proc6084z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_defglobalz00zz__evaluate_typesz00,
				BGl_proc6085z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc6086z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc6087z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_orz00zz__evaluate_typesz00, BGl_proc6088z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_andz00zz__evaluate_typesz00, BGl_proc6089z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc6090z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letz00zz__evaluate_typesz00, BGl_proc6091z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc6092z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc6093z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc6094z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc6095z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc6096z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc6097z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc6098z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc6099z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_appz00zz__evaluate_typesz00, BGl_proc6100z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_compzd2envzd2zz__evaluate_compz00,
				BGl_ev_absz00zz__evaluate_typesz00, BGl_proc6101z00zz__evaluate_compz00,
				BGl_string6080z00zz__evaluate_compz00);
		}
	}



/* &comp-ev_abs1753 */
	obj_t BGl_z62compzd2ev_abs1753zb0zz__evaluate_compz00(obj_t BgL_envz00_19137,
		obj_t BgL_ez00_19138, obj_t BgL_stkz00_19139)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1143 */
			{
				BgL_ev_absz00_bglt BgL_ez00_3911;
				obj_t BgL_stkz00_3912;

				BgL_ez00_3911 = ((BgL_ev_absz00_bglt) BgL_ez00_19138);
				BgL_stkz00_3912 = BgL_stkz00_19139;
				{	/* Eval/evaluate_comp.scm 1145 */
					obj_t BgL_ifreesz00_3916;
					obj_t BgL_iboxesz00_3917;
					long BgL_siza7eza7_3918;
					long BgL_siza7ezd2framez75_3919;
					obj_t BgL_nstkz00_3920;

					{	/* Eval/evaluate_comp.scm 1145 */
						obj_t BgL_arg4116z00_5764;

						{	/* Eval/evaluate_comp.scm 1145 */
							obj_t BgL_l1688z00_5765;

							BgL_l1688z00_5765 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3911))->BgL_freez00);
							if (NULLP(BgL_l1688z00_5765))
								{	/* Eval/evaluate_comp.scm 1145 */
									BgL_arg4116z00_5764 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 1145 */
									obj_t BgL_head1690z00_5767;

									{	/* Eval/evaluate_comp.scm 1145 */
										obj_t BgL_res5345z00_12706;

										BgL_res5345z00_12706 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1690z00_5767 = BgL_res5345z00_12706;
									}
									{
										obj_t BgL_l1688z00_12740;
										obj_t BgL_tail1691z00_12741;

										BgL_l1688z00_12740 = BgL_l1688z00_5765;
										BgL_tail1691z00_12741 = BgL_head1690z00_5767;
									BgL_zc3anonymousza34118ze3z83_12739:
										if (NULLP(BgL_l1688z00_12740))
											{	/* Eval/evaluate_comp.scm 1145 */
												BgL_arg4116z00_5764 = CDR(BgL_head1690z00_5767);
											}
										else
											{	/* Eval/evaluate_comp.scm 1145 */
												obj_t BgL_newtail1692z00_12748;

												{	/* Eval/evaluate_comp.scm 1145 */
													obj_t BgL_arg4121z00_12749;

													BgL_arg4121z00_12749 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1688z00_12740), BgL_stkz00_3912);
													{	/* Eval/evaluate_comp.scm 1145 */
														obj_t BgL_res5351z00_12758;

														BgL_res5351z00_12758 =
															MAKE_PAIR(BgL_arg4121z00_12749, BNIL);
														BgL_newtail1692z00_12748 = BgL_res5351z00_12758;
													}
												}
												SET_CDR(BgL_tail1691z00_12741,
													BgL_newtail1692z00_12748);
												{
													obj_t BgL_tail1691z00_28040;
													obj_t BgL_l1688z00_28038;

													BgL_l1688z00_28038 = CDR(BgL_l1688z00_12740);
													BgL_tail1691z00_28040 = BgL_newtail1692z00_12748;
													BgL_tail1691z00_12741 = BgL_tail1691z00_28040;
													BgL_l1688z00_12740 = BgL_l1688z00_28038;
													goto BgL_zc3anonymousza34118ze3z83_12739;
												}
											}
									}
								}
						}
						BgL_ifreesz00_3916 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg4116z00_5764);
					}
					{	/* Eval/evaluate_comp.scm 1146 */
						obj_t BgL_arg4122z00_5778;

						{	/* Eval/evaluate_comp.scm 1146 */
							obj_t BgL_l1693z00_5779;

							BgL_l1693z00_5779 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3911))->BgL_boxesz00);
							if (NULLP(BgL_l1693z00_5779))
								{	/* Eval/evaluate_comp.scm 1146 */
									BgL_arg4122z00_5778 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 1146 */
									obj_t BgL_head1695z00_5781;

									{	/* Eval/evaluate_comp.scm 1146 */
										obj_t BgL_res5353z00_12766;

										BgL_res5353z00_12766 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1695z00_5781 = BgL_res5353z00_12766;
									}
									{
										obj_t BgL_l1693z00_5783;
										obj_t BgL_tail1696z00_5784;

										BgL_l1693z00_5783 = BgL_l1693z00_5779;
										BgL_tail1696z00_5784 = BgL_head1695z00_5781;
									BgL_zc3anonymousza34124ze3z83_5785:
										if (NULLP(BgL_l1693z00_5783))
											{	/* Eval/evaluate_comp.scm 1146 */
												BgL_arg4122z00_5778 = CDR(BgL_head1695z00_5781);
											}
										else
											{	/* Eval/evaluate_comp.scm 1146 */
												obj_t BgL_newtail1697z00_5787;

												{	/* Eval/evaluate_comp.scm 1146 */
													obj_t BgL_arg4127z00_5789;

													BgL_arg4127z00_5789 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1693z00_5783),
														(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3911))->
															BgL_varsz00));
													{	/* Eval/evaluate_comp.scm 1146 */
														obj_t BgL_res5355z00_12773;

														BgL_res5355z00_12773 =
															MAKE_PAIR(BgL_arg4127z00_5789, BNIL);
														BgL_newtail1697z00_5787 = BgL_res5355z00_12773;
													}
												}
												SET_CDR(BgL_tail1696z00_5784, BgL_newtail1697z00_5787);
												{
													obj_t BgL_tail1696z00_28056;
													obj_t BgL_l1693z00_28054;

													BgL_l1693z00_28054 = CDR(BgL_l1693z00_5783);
													BgL_tail1696z00_28056 = BgL_newtail1697z00_5787;
													BgL_tail1696z00_5784 = BgL_tail1696z00_28056;
													BgL_l1693z00_5783 = BgL_l1693z00_28054;
													goto BgL_zc3anonymousza34124ze3z83_5785;
												}
											}
									}
								}
						}
						BgL_iboxesz00_3917 =
							BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg4122z00_5778);
					}
					BgL_siza7eza7_3918 =
						bgl_list_length(
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3911))->BgL_varsz00));
					BgL_siza7ezd2framez75_3919 =
						(
						(long) (
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3911))->BgL_siza7eza7)) +
						bgl_list_length(
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3911))->BgL_freez00)));
					BgL_nstkz00_3920 =
						BGl_appendzd221011zd2zz__evaluate_compz00(
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3911))->BgL_varsz00),
						(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3911))->BgL_freez00));
					{	/* Eval/evaluate_comp.scm 1150 */
						obj_t BgL_bodyz00_3921;

						BgL_bodyz00_3921 =
							BGl_compz00zz__evaluate_compz00(
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3911))->BgL_bodyz00),
							BgL_nstkz00_3920);
						{

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_aux1347z00_3923;

								BgL_aux1347z00_3923 =
									(((BgL_ev_absz00_bglt) CREF(BgL_ez00_3911))->BgL_arityz00);
								if (INTEGERP(BgL_aux1347z00_3923))
									{	/* Eval/evaluate_comp.scm 1152 */
										switch ((long) CINT(BgL_aux1347z00_3923))
											{
											case ((long) 0):

												{	/* Eval/evaluate_comp.scm 1152 */
													bool_t BgL_testz00_28073;

													{	/* Eval/evaluate_comp.scm 1152 */
														int BgL_arg3478z00_4066;

														BgL_arg3478z00_4066 =
															VECTOR_LENGTH(BgL_ifreesz00_3916);
														BgL_testz00_28073 =
															((long) (BgL_arg3478z00_4066) == ((long) 0));
													}
													if (BgL_testz00_28073)
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28077;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg3453z00_3993;

																BgL_arg3453z00_3993 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28077 =
																	((long) (BgL_arg3453z00_3993) == ((long) 0));
															}
															if (BgL_testz00_28077)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33432ze3z83_18874;

																	BgL_zc3anonymousza33432ze3z83_18874 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33432ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33432ze3z83_18874,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33432ze3z83_18874,
																		(int) (((long) 1)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33432ze3z83_18874,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33432ze3z83_18874;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33443ze3z83_18869;

																	BgL_zc3anonymousza33443ze3z83_18869 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33443ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33443ze3z83_18869,
																		(int) (((long) 0)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33443ze3z83_18869,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33443ze3z83_18869,
																		(int) (((long) 2)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33443ze3z83_18869,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33443ze3z83_18869;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28105;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg3477z00_4065;

																BgL_arg3477z00_4065 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28105 =
																	((long) (BgL_arg3477z00_4065) == ((long) 0));
															}
															if (BgL_testz00_28105)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33455ze3z83_18864;

																	BgL_zc3anonymousza33455ze3z83_18864 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33455ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33455ze3z83_18864,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33455ze3z83_18864,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33455ze3z83_18864,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33455ze3z83_18864,
																		(int) (((long) 3)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33455ze3z83_18864,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33455ze3z83_18864;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33466ze3z83_18859;

																	BgL_zc3anonymousza33466ze3z83_18859 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33466ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33466ze3z83_18859,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33466ze3z83_18859,
																		(int) (((long) 1)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33466ze3z83_18859,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33466ze3z83_18859,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33466ze3z83_18859,
																		(int) (((long) 4)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33466ze3z83_18859,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33466ze3z83_18859;
																}
														}
												}
												break;
											case ((long) -1):

												{	/* Eval/evaluate_comp.scm 1152 */
													bool_t BgL_testz00_28143;

													{	/* Eval/evaluate_comp.scm 1152 */
														int BgL_arg3530z00_4216;

														BgL_arg3530z00_4216 =
															VECTOR_LENGTH(BgL_ifreesz00_3916);
														BgL_testz00_28143 =
															((long) (BgL_arg3530z00_4216) == ((long) 0));
													}
													if (BgL_testz00_28143)
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28147;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg3503z00_4139;

																BgL_arg3503z00_4139 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28147 =
																	((long) (BgL_arg3503z00_4139) == ((long) 0));
															}
															if (BgL_testz00_28147)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33481ze3z83_18894;

																	BgL_zc3anonymousza33481ze3z83_18894 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33481ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33481ze3z83_18894,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33481ze3z83_18894,
																		(int) (((long) 1)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33481ze3z83_18894,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33481ze3z83_18894;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33492ze3z83_18889;

																	BgL_zc3anonymousza33492ze3z83_18889 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33492ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33492ze3z83_18889,
																		(int) (((long) 0)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33492ze3z83_18889,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33492ze3z83_18889,
																		(int) (((long) 2)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33492ze3z83_18889,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33492ze3z83_18889;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28175;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg3529z00_4215;

																BgL_arg3529z00_4215 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28175 =
																	((long) (BgL_arg3529z00_4215) == ((long) 0));
															}
															if (BgL_testz00_28175)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33505ze3z83_18884;

																	BgL_zc3anonymousza33505ze3z83_18884 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33505ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33505ze3z83_18884,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33505ze3z83_18884,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33505ze3z83_18884,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33505ze3z83_18884,
																		(int) (((long) 3)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33505ze3z83_18884,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33505ze3z83_18884;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33517ze3z83_18879;

																	BgL_zc3anonymousza33517ze3z83_18879 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33517ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33517ze3z83_18879,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33517ze3z83_18879,
																		(int) (((long) 1)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33517ze3z83_18879,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33517ze3z83_18879,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33517ze3z83_18879,
																		(int) (((long) 4)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33517ze3z83_18879,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33517ze3z83_18879;
																}
														}
												}
												break;
											case ((long) 1):

												{	/* Eval/evaluate_comp.scm 1152 */
													bool_t BgL_testz00_28213;

													{	/* Eval/evaluate_comp.scm 1152 */
														int BgL_arg3582z00_4366;

														BgL_arg3582z00_4366 =
															VECTOR_LENGTH(BgL_ifreesz00_3916);
														BgL_testz00_28213 =
															((long) (BgL_arg3582z00_4366) == ((long) 0));
													}
													if (BgL_testz00_28213)
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28217;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg3555z00_4289;

																BgL_arg3555z00_4289 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28217 =
																	((long) (BgL_arg3555z00_4289) == ((long) 0));
															}
															if (BgL_testz00_28217)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33533ze3z83_18914;

																	BgL_zc3anonymousza33533ze3z83_18914 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33533ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33533ze3z83_18914,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33533ze3z83_18914,
																		(int) (((long) 1)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33533ze3z83_18914,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33533ze3z83_18914;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33544ze3z83_18909;

																	BgL_zc3anonymousza33544ze3z83_18909 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33544ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33544ze3z83_18909,
																		(int) (((long) 0)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33544ze3z83_18909,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33544ze3z83_18909,
																		(int) (((long) 2)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33544ze3z83_18909,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33544ze3z83_18909;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28245;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg3581z00_4365;

																BgL_arg3581z00_4365 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28245 =
																	((long) (BgL_arg3581z00_4365) == ((long) 0));
															}
															if (BgL_testz00_28245)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33557ze3z83_18904;

																	BgL_zc3anonymousza33557ze3z83_18904 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33557ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33557ze3z83_18904,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33557ze3z83_18904,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33557ze3z83_18904,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33557ze3z83_18904,
																		(int) (((long) 3)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33557ze3z83_18904,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33557ze3z83_18904;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33569ze3z83_18899;

																	BgL_zc3anonymousza33569ze3z83_18899 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33569ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33569ze3z83_18899,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33569ze3z83_18899,
																		(int) (((long) 1)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33569ze3z83_18899,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33569ze3z83_18899,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33569ze3z83_18899,
																		(int) (((long) 4)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33569ze3z83_18899,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33569ze3z83_18899;
																}
														}
												}
												break;
											case ((long) -2):

												{	/* Eval/evaluate_comp.scm 1152 */
													bool_t BgL_testz00_28283;

													{	/* Eval/evaluate_comp.scm 1152 */
														int BgL_arg3638z00_4524;

														BgL_arg3638z00_4524 =
															VECTOR_LENGTH(BgL_ifreesz00_3916);
														BgL_testz00_28283 =
															((long) (BgL_arg3638z00_4524) == ((long) 0));
													}
													if (BgL_testz00_28283)
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28287;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg3609z00_4443;

																BgL_arg3609z00_4443 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28287 =
																	((long) (BgL_arg3609z00_4443) == ((long) 0));
															}
															if (BgL_testz00_28287)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33585ze3z83_18934;

																	BgL_zc3anonymousza33585ze3z83_18934 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33585ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33585ze3z83_18934,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33585ze3z83_18934,
																		(int) (((long) 1)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33585ze3z83_18934,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33585ze3z83_18934;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33597ze3z83_18929;

																	BgL_zc3anonymousza33597ze3z83_18929 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33597ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33597ze3z83_18929,
																		(int) (((long) 0)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33597ze3z83_18929,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33597ze3z83_18929,
																		(int) (((long) 2)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33597ze3z83_18929,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33597ze3z83_18929;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28315;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg3637z00_4523;

																BgL_arg3637z00_4523 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28315 =
																	((long) (BgL_arg3637z00_4523) == ((long) 0));
															}
															if (BgL_testz00_28315)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33611ze3z83_18924;

																	BgL_zc3anonymousza33611ze3z83_18924 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33611ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33611ze3z83_18924,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33611ze3z83_18924,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33611ze3z83_18924,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33611ze3z83_18924,
																		(int) (((long) 3)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33611ze3z83_18924,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33611ze3z83_18924;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33624ze3z83_18919;

																	BgL_zc3anonymousza33624ze3z83_18919 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33624ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33624ze3z83_18919,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33624ze3z83_18919,
																		(int) (((long) 1)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33624ze3z83_18919,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33624ze3z83_18919,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33624ze3z83_18919,
																		(int) (((long) 4)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33624ze3z83_18919,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33624ze3z83_18919;
																}
														}
												}
												break;
											case ((long) 2):

												{	/* Eval/evaluate_comp.scm 1152 */
													bool_t BgL_testz00_28353;

													{	/* Eval/evaluate_comp.scm 1152 */
														int BgL_arg3694z00_4682;

														BgL_arg3694z00_4682 =
															VECTOR_LENGTH(BgL_ifreesz00_3916);
														BgL_testz00_28353 =
															((long) (BgL_arg3694z00_4682) == ((long) 0));
													}
													if (BgL_testz00_28353)
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28357;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg3665z00_4601;

																BgL_arg3665z00_4601 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28357 =
																	((long) (BgL_arg3665z00_4601) == ((long) 0));
															}
															if (BgL_testz00_28357)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33641ze3z83_18954;

																	BgL_zc3anonymousza33641ze3z83_18954 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33641ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33641ze3z83_18954,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33641ze3z83_18954,
																		(int) (((long) 1)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33641ze3z83_18954,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33641ze3z83_18954;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33653ze3z83_18949;

																	BgL_zc3anonymousza33653ze3z83_18949 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33653ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33653ze3z83_18949,
																		(int) (((long) 0)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33653ze3z83_18949,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33653ze3z83_18949,
																		(int) (((long) 2)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33653ze3z83_18949,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33653ze3z83_18949;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28385;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg3693z00_4681;

																BgL_arg3693z00_4681 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28385 =
																	((long) (BgL_arg3693z00_4681) == ((long) 0));
															}
															if (BgL_testz00_28385)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33667ze3z83_18944;

																	BgL_zc3anonymousza33667ze3z83_18944 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33667ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33667ze3z83_18944,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33667ze3z83_18944,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33667ze3z83_18944,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33667ze3z83_18944,
																		(int) (((long) 3)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33667ze3z83_18944,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33667ze3z83_18944;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33680ze3z83_18939;

																	BgL_zc3anonymousza33680ze3z83_18939 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33680ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33680ze3z83_18939,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33680ze3z83_18939,
																		(int) (((long) 1)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33680ze3z83_18939,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33680ze3z83_18939,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33680ze3z83_18939,
																		(int) (((long) 4)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33680ze3z83_18939,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33680ze3z83_18939;
																}
														}
												}
												break;
											case ((long) -3):

												{	/* Eval/evaluate_comp.scm 1152 */
													bool_t BgL_testz00_28423;

													{	/* Eval/evaluate_comp.scm 1152 */
														int BgL_arg3754z00_4848;

														BgL_arg3754z00_4848 =
															VECTOR_LENGTH(BgL_ifreesz00_3916);
														BgL_testz00_28423 =
															((long) (BgL_arg3754z00_4848) == ((long) 0));
													}
													if (BgL_testz00_28423)
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28427;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg3723z00_4763;

																BgL_arg3723z00_4763 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28427 =
																	((long) (BgL_arg3723z00_4763) == ((long) 0));
															}
															if (BgL_testz00_28427)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33697ze3z83_18974;

																	BgL_zc3anonymousza33697ze3z83_18974 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33697ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33697ze3z83_18974,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33697ze3z83_18974,
																		(int) (((long) 1)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33697ze3z83_18974,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33697ze3z83_18974;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33710ze3z83_18969;

																	BgL_zc3anonymousza33710ze3z83_18969 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33710ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33710ze3z83_18969,
																		(int) (((long) 0)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33710ze3z83_18969,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33710ze3z83_18969,
																		(int) (((long) 2)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33710ze3z83_18969,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33710ze3z83_18969;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28455;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg3753z00_4847;

																BgL_arg3753z00_4847 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28455 =
																	((long) (BgL_arg3753z00_4847) == ((long) 0));
															}
															if (BgL_testz00_28455)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33725ze3z83_18964;

																	BgL_zc3anonymousza33725ze3z83_18964 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33725ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33725ze3z83_18964,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33725ze3z83_18964,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33725ze3z83_18964,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33725ze3z83_18964,
																		(int) (((long) 3)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33725ze3z83_18964,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33725ze3z83_18964;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33739ze3z83_18959;

																	BgL_zc3anonymousza33739ze3z83_18959 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33739ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33739ze3z83_18959,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33739ze3z83_18959,
																		(int) (((long) 1)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33739ze3z83_18959,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33739ze3z83_18959,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33739ze3z83_18959,
																		(int) (((long) 4)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33739ze3z83_18959,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33739ze3z83_18959;
																}
														}
												}
												break;
											case ((long) 3):

												{	/* Eval/evaluate_comp.scm 1152 */
													bool_t BgL_testz00_28493;

													{	/* Eval/evaluate_comp.scm 1152 */
														int BgL_arg3814z00_5014;

														BgL_arg3814z00_5014 =
															VECTOR_LENGTH(BgL_ifreesz00_3916);
														BgL_testz00_28493 =
															((long) (BgL_arg3814z00_5014) == ((long) 0));
													}
													if (BgL_testz00_28493)
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28497;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg3783z00_4929;

																BgL_arg3783z00_4929 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28497 =
																	((long) (BgL_arg3783z00_4929) == ((long) 0));
															}
															if (BgL_testz00_28497)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33757ze3z83_18994;

																	BgL_zc3anonymousza33757ze3z83_18994 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33757ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33757ze3z83_18994,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33757ze3z83_18994,
																		(int) (((long) 1)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33757ze3z83_18994,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33757ze3z83_18994;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33770ze3z83_18989;

																	BgL_zc3anonymousza33770ze3z83_18989 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33770ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33770ze3z83_18989,
																		(int) (((long) 0)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33770ze3z83_18989,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33770ze3z83_18989,
																		(int) (((long) 2)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33770ze3z83_18989,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33770ze3z83_18989;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28525;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg3813z00_5013;

																BgL_arg3813z00_5013 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28525 =
																	((long) (BgL_arg3813z00_5013) == ((long) 0));
															}
															if (BgL_testz00_28525)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33785ze3z83_18984;

																	BgL_zc3anonymousza33785ze3z83_18984 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33785ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33785ze3z83_18984,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33785ze3z83_18984,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33785ze3z83_18984,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33785ze3z83_18984,
																		(int) (((long) 3)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33785ze3z83_18984,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33785ze3z83_18984;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33799ze3z83_18979;

																	BgL_zc3anonymousza33799ze3z83_18979 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33799ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33799ze3z83_18979,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33799ze3z83_18979,
																		(int) (((long) 1)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33799ze3z83_18979,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33799ze3z83_18979,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33799ze3z83_18979,
																		(int) (((long) 4)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33799ze3z83_18979,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33799ze3z83_18979;
																}
														}
												}
												break;
											case ((long) -4):

												{	/* Eval/evaluate_comp.scm 1152 */
													bool_t BgL_testz00_28563;

													{	/* Eval/evaluate_comp.scm 1152 */
														int BgL_arg3878z00_5188;

														BgL_arg3878z00_5188 =
															VECTOR_LENGTH(BgL_ifreesz00_3916);
														BgL_testz00_28563 =
															((long) (BgL_arg3878z00_5188) == ((long) 0));
													}
													if (BgL_testz00_28563)
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28567;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg3845z00_5099;

																BgL_arg3845z00_5099 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28567 =
																	((long) (BgL_arg3845z00_5099) == ((long) 0));
															}
															if (BgL_testz00_28567)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33817ze3z83_19014;

																	BgL_zc3anonymousza33817ze3z83_19014 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33817ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33817ze3z83_19014,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33817ze3z83_19014,
																		(int) (((long) 1)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33817ze3z83_19014,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33817ze3z83_19014;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33831ze3z83_19009;

																	BgL_zc3anonymousza33831ze3z83_19009 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33831ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33831ze3z83_19009,
																		(int) (((long) 0)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33831ze3z83_19009,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33831ze3z83_19009,
																		(int) (((long) 2)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33831ze3z83_19009,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33831ze3z83_19009;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28595;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg3877z00_5187;

																BgL_arg3877z00_5187 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28595 =
																	((long) (BgL_arg3877z00_5187) == ((long) 0));
															}
															if (BgL_testz00_28595)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33847ze3z83_19004;

																	BgL_zc3anonymousza33847ze3z83_19004 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33847ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33847ze3z83_19004,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33847ze3z83_19004,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33847ze3z83_19004,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33847ze3z83_19004,
																		(int) (((long) 3)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33847ze3z83_19004,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33847ze3z83_19004;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33862ze3z83_18999;

																	BgL_zc3anonymousza33862ze3z83_18999 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33862ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33862ze3z83_18999,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33862ze3z83_18999,
																		(int) (((long) 1)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33862ze3z83_18999,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33862ze3z83_18999,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33862ze3z83_18999,
																		(int) (((long) 4)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33862ze3z83_18999,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33862ze3z83_18999;
																}
														}
												}
												break;
											case ((long) 4):

												{	/* Eval/evaluate_comp.scm 1152 */
													bool_t BgL_testz00_28633;

													{	/* Eval/evaluate_comp.scm 1152 */
														int BgL_arg3942z00_5362;

														BgL_arg3942z00_5362 =
															VECTOR_LENGTH(BgL_ifreesz00_3916);
														BgL_testz00_28633 =
															((long) (BgL_arg3942z00_5362) == ((long) 0));
													}
													if (BgL_testz00_28633)
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28637;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg3909z00_5273;

																BgL_arg3909z00_5273 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28637 =
																	((long) (BgL_arg3909z00_5273) == ((long) 0));
															}
															if (BgL_testz00_28637)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33881ze3z83_19034;

																	BgL_zc3anonymousza33881ze3z83_19034 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33881ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33881ze3z83_19034,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33881ze3z83_19034,
																		(int) (((long) 1)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33881ze3z83_19034,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33881ze3z83_19034;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33895ze3z83_19029;

																	BgL_zc3anonymousza33895ze3z83_19029 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33895ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33895ze3z83_19029,
																		(int) (((long) 0)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33895ze3z83_19029,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33895ze3z83_19029,
																		(int) (((long) 2)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33895ze3z83_19029,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33895ze3z83_19029;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28665;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg3941z00_5361;

																BgL_arg3941z00_5361 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28665 =
																	((long) (BgL_arg3941z00_5361) == ((long) 0));
															}
															if (BgL_testz00_28665)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33911ze3z83_19024;

																	BgL_zc3anonymousza33911ze3z83_19024 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33911ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33911ze3z83_19024,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33911ze3z83_19024,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33911ze3z83_19024,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33911ze3z83_19024,
																		(int) (((long) 3)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33911ze3z83_19024,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33911ze3z83_19024;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33926ze3z83_19019;

																	BgL_zc3anonymousza33926ze3z83_19019 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33926ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33926ze3z83_19019,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33926ze3z83_19019,
																		(int) (((long) 1)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33926ze3z83_19019,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33926ze3z83_19019,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33926ze3z83_19019,
																		(int) (((long) 4)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33926ze3z83_19019,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33926ze3z83_19019;
																}
														}
												}
												break;
											case ((long) -5):

												{	/* Eval/evaluate_comp.scm 1152 */
													bool_t BgL_testz00_28703;

													{	/* Eval/evaluate_comp.scm 1152 */
														int BgL_arg4010z00_5544;

														BgL_arg4010z00_5544 =
															VECTOR_LENGTH(BgL_ifreesz00_3916);
														BgL_testz00_28703 =
															((long) (BgL_arg4010z00_5544) == ((long) 0));
													}
													if (BgL_testz00_28703)
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28707;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg3975z00_5451;

																BgL_arg3975z00_5451 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28707 =
																	((long) (BgL_arg3975z00_5451) == ((long) 0));
															}
															if (BgL_testz00_28707)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33945ze3z83_19054;

																	BgL_zc3anonymousza33945ze3z83_19054 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33945ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33945ze3z83_19054,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33945ze3z83_19054,
																		(int) (((long) 1)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33945ze3z83_19054,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33945ze3z83_19054;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33960ze3z83_19049;

																	BgL_zc3anonymousza33960ze3z83_19049 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33960ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33960ze3z83_19049,
																		(int) (((long) 0)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33960ze3z83_19049,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33960ze3z83_19049,
																		(int) (((long) 2)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33960ze3z83_19049,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33960ze3z83_19049;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28735;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg4009z00_5543;

																BgL_arg4009z00_5543 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28735 =
																	((long) (BgL_arg4009z00_5543) == ((long) 0));
															}
															if (BgL_testz00_28735)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33977ze3z83_19044;

																	BgL_zc3anonymousza33977ze3z83_19044 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33977ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33977ze3z83_19044,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33977ze3z83_19044,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33977ze3z83_19044,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33977ze3z83_19044,
																		(int) (((long) 3)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33977ze3z83_19044,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33977ze3z83_19044;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza33993ze3z83_19039;

																	BgL_zc3anonymousza33993ze3z83_19039 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza33993ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33993ze3z83_19039,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33993ze3z83_19039,
																		(int) (((long) 1)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33993ze3z83_19039,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33993ze3z83_19039,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33993ze3z83_19039,
																		(int) (((long) 4)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza33993ze3z83_19039,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza33993ze3z83_19039;
																}
														}
												}
												break;
											default:
											BgL_case_else1346z00_3922:
												{	/* Eval/evaluate_comp.scm 1152 */
													bool_t BgL_testz00_28773;

													{	/* Eval/evaluate_comp.scm 1152 */
														int BgL_arg4114z00_5762;

														BgL_arg4114z00_5762 =
															VECTOR_LENGTH(BgL_ifreesz00_3916);
														BgL_testz00_28773 =
															((long) (BgL_arg4114z00_5762) == ((long) 0));
													}
													if (BgL_testz00_28773)
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28777;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg4061z00_5651;

																BgL_arg4061z00_5651 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28777 =
																	((long) (BgL_arg4061z00_5651) == ((long) 0));
															}
															if (BgL_testz00_28777)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza34013ze3z83_19074;

																	BgL_zc3anonymousza34013ze3z83_19074 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34013ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 3)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34013ze3z83_19074,
																		(int) (((long) 0)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34013ze3z83_19074,
																		(int) (((long) 1)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34013ze3z83_19074,
																		(int) (((long) 2)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza34013ze3z83_19074;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza34037ze3z83_19069;

																	BgL_zc3anonymousza34037ze3z83_19069 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34037ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 4)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34037ze3z83_19069,
																		(int) (((long) 0)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34037ze3z83_19069,
																		(int) (((long) 1)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34037ze3z83_19069,
																		(int) (((long) 2)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34037ze3z83_19069,
																		(int) (((long) 3)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza34037ze3z83_19069;
																}
														}
													else
														{	/* Eval/evaluate_comp.scm 1152 */
															bool_t BgL_testz00_28805;

															{	/* Eval/evaluate_comp.scm 1152 */
																int BgL_arg4113z00_5761;

																BgL_arg4113z00_5761 =
																	VECTOR_LENGTH(BgL_iboxesz00_3917);
																BgL_testz00_28805 =
																	((long) (BgL_arg4113z00_5761) == ((long) 0));
															}
															if (BgL_testz00_28805)
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza34063ze3z83_19064;

																	BgL_zc3anonymousza34063ze3z83_19064 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34063ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 5)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34063ze3z83_19064,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34063ze3z83_19064,
																		(int) (((long) 1)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34063ze3z83_19064,
																		(int) (((long) 2)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34063ze3z83_19064,
																		(int) (((long) 3)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34063ze3z83_19064,
																		(int) (((long) 4)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza34063ze3z83_19064;
																}
															else
																{	/* Eval/evaluate_comp.scm 1152 */
																	obj_t BgL_zc3anonymousza34088ze3z83_19059;

																	BgL_zc3anonymousza34088ze3z83_19059 =
																		MAKE_FX_PROCEDURE
																		(BGl_z62zc3anonymousza34088ze3ze1zz__evaluate_compz00,
																		(int) (((long) 1)), (int) (((long) 6)));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34088ze3z83_19059,
																		(int) (((long) 0)), BgL_ifreesz00_3916);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34088ze3z83_19059,
																		(int) (((long) 1)), BgL_iboxesz00_3917);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34088ze3z83_19059,
																		(int) (((long) 2)),
																		BINT(BgL_siza7eza7_3918));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34088ze3z83_19059,
																		(int) (((long) 3)),
																		((obj_t) BgL_ez00_3911));
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34088ze3z83_19059,
																		(int) (((long) 4)), BgL_bodyz00_3921);
																	PROCEDURE_SET
																		(BgL_zc3anonymousza34088ze3z83_19059,
																		(int) (((long) 5)),
																		BINT(BgL_siza7ezd2framez75_3919));
																	return BgL_zc3anonymousza34088ze3z83_19059;
																}
														}
												}
											}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										goto BgL_case_else1346z00_3922;
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3945> */
	obj_t BGl_z62zc3anonymousza33945ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19140, obj_t BgL_sz00_19144)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_19141;
				obj_t BgL_bodyz00_19142;
				long BgL_siza7ezd2framez75_19143;

				BgL_i1321z00_19141 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19140, (int) (((long) 0))));
				BgL_bodyz00_19142 = PROCEDURE_REF(BgL_envz00_19140, (int) (((long) 1)));
				BgL_siza7ezd2framez75_19143 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19140, (int) (((long) 2))));
				{
					obj_t BgL_sz00_5365;

					BgL_sz00_5365 = BgL_sz00_19144;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5367;

						BgL_bpz00_5367 = VECTOR_REF(BgL_sz00_5365, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19051;

								BgL_runz00_19051 =
									MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_19051,
									(int) (((long) 0)), ((obj_t) BgL_i1321z00_19141));
								PROCEDURE_SET(BgL_runz00_19051,
									(int) (((long) 1)), BgL_bodyz00_19142);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19053;

									BgL_mainz00_19053 =
										MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_19053,
										(int) (((long) 0)), ((obj_t) BgL_i1321z00_19141));
									PROCEDURE_SET(BgL_mainz00_19053,
										(int) (((long) 1)), BgL_bodyz00_19142);
									PROCEDURE_SET(BgL_mainz00_19053,
										(int) (((long) 2)), BgL_runz00_19051);
									PROCEDURE_SET(BgL_mainz00_19053,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_19143));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_17405;

										BgL_objz00_17405 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19051, BgL_objz00_17405);
										BgL_objz00_17405;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3946z00_5370;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3947z00_5371;

											BgL_arg3947z00_5371 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19141))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_17409;

												BgL_newz00_17409 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_28881;

													BgL_auxz00_28881 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_17409, BgL_auxz00_28881,
														BgL_arg3947z00_5371);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_28886;
													int BgL_auxz00_28884;

													BgL_auxz00_28886 = BINT(BgL_siza7ezd2framez75_19143);
													BgL_auxz00_28884 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_17409, BgL_auxz00_28884,
														BgL_auxz00_28886);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_28889;

													BgL_auxz00_28889 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_17409, BgL_auxz00_28889,
														BgL_runz00_19051);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_28894;
													int BgL_auxz00_28892;

													BgL_auxz00_28894 = BINT(((long) -5));
													BgL_auxz00_28892 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_17409, BgL_auxz00_28892,
														BgL_auxz00_28894);
												}
												BgL_arg3946z00_5370 = BgL_newz00_17409;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19053, BgL_arg3946z00_5370);
										BgL_arg3946z00_5370;
									}
									return BgL_mainz00_19053;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main */
	obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_19145,
		obj_t BgL_az00_19150, obj_t BgL_bz00_19151, obj_t BgL_cz00_19152,
		obj_t BgL_dz00_19153, obj_t BgL_lastz00_19154)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19148;
				long BgL_siza7ezd2framez75_19149;

				BgL_runz00_19148 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19145, (int) (((long) 2))));
				BgL_siza7ezd2framez75_19149 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19145, (int) (((long) 3))));
				{
					obj_t BgL_az00_5372;
					obj_t BgL_bz00_5373;
					obj_t BgL_cz00_5374;
					obj_t BgL_dz00_5375;
					obj_t BgL_lastz00_5376;

					BgL_az00_5372 = BgL_az00_19150;
					BgL_bz00_5373 = BgL_bz00_19151;
					BgL_cz00_5374 = BgL_cz00_19152;
					BgL_dz00_5375 = BgL_dz00_19153;
					BgL_lastz00_5376 = BgL_lastz00_19154;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5378;

						BgL_sz00_5378 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5379;

							BgL_bpz00_5379 = VECTOR_REF(BgL_sz00_5378, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_28907;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_17311;

									BgL_arg1970z00_17311 = VECTOR_LENGTH(BgL_sz00_5378);
									BgL_testz00_28907 =
										(
										((long) CINT(BgL_bpz00_5379) +
											BgL_siza7ezd2framez75_19149) <
										(long) (BgL_arg1970z00_17311));
								}
								if (BgL_testz00_28907)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3950z00_5381;

											BgL_arg3950z00_5381 =
												((long) CINT(BgL_bpz00_5379) + ((long) 0));
											VECTOR_SET(BgL_sz00_5378,
												(int) (BgL_arg3950z00_5381), BgL_az00_5372);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3951z00_5382;

											BgL_arg3951z00_5382 =
												((long) CINT(BgL_bpz00_5379) + ((long) 1));
											VECTOR_SET(BgL_sz00_5378,
												(int) (BgL_arg3951z00_5382), BgL_bz00_5373);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3952z00_5383;

											BgL_arg3952z00_5383 =
												((long) CINT(BgL_bpz00_5379) + ((long) 2));
											VECTOR_SET(BgL_sz00_5378,
												(int) (BgL_arg3952z00_5383), BgL_cz00_5374);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3953z00_5384;

											BgL_arg3953z00_5384 =
												((long) CINT(BgL_bpz00_5379) + ((long) 3));
											VECTOR_SET(BgL_sz00_5378,
												(int) (BgL_arg3953z00_5384), BgL_dz00_5375);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3954z00_5385;

											BgL_arg3954z00_5385 =
												((long) CINT(BgL_bpz00_5379) + ((long) 4));
											VECTOR_SET(BgL_sz00_5378,
												(int) (BgL_arg3954z00_5385), BgL_lastz00_5376);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1564z00_5386;

											BgL_exitd1564z00_5386 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33955ze3z83_19052;

												BgL_zc3anonymousza33955ze3z83_19052 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33955ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33955ze3z83_19052,
													(int) (((long) 0)), BgL_sz00_5378);
												PROCEDURE_SET(BgL_zc3anonymousza33955ze3z83_19052,
													(int) (((long) 1)), BgL_bpz00_5379);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1564z00_5386,
													BgL_zc3anonymousza33955ze3z83_19052);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1566z00_5388;

													BgL_tmp1566z00_5388 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19148, BgL_sz00_5378, BgL_bpz00_5379);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1564z00_5386);
													VECTOR_SET(BgL_sz00_5378, (int) (((long) 0)),
														BgL_bpz00_5379);
													return BgL_tmp1566z00_5388;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5391;

										BgL_nsz00_5391 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5391,
											(int) (((long) 1)), BgL_sz00_5378);
										VECTOR_SET(BgL_nsz00_5391,
											(int) (((long) 2)), BgL_az00_5372);
										VECTOR_SET(BgL_nsz00_5391,
											(int) (((long) 3)), BgL_bz00_5373);
										VECTOR_SET(BgL_nsz00_5391,
											(int) (((long) 4)), BgL_cz00_5374);
										VECTOR_SET(BgL_nsz00_5391,
											(int) (((long) 5)), BgL_dz00_5375);
										VECTOR_SET(BgL_nsz00_5391,
											(int) (((long) 6)), BgL_lastz00_5376);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_28959;

											BgL_auxz00_28959 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_28959, BgL_nsz00_5391);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1567z00_5393;

											BgL_exitd1567z00_5393 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33957ze3z83_19050;

												BgL_zc3anonymousza33957ze3z83_19050 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33957ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33957ze3z83_19050,
													(int) (((long) 0)), BgL_sz00_5378);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1567z00_5393,
													BgL_zc3anonymousza33957ze3z83_19050);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1569z00_5395;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_17378;

														BgL_savedzd2bpzd2_17378 =
															VECTOR_REF(BgL_nsz00_5391, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5391,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_17385;

															BgL_fz00_17385 = BgL_runz00_19148;
														BgL_recz00_17384:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_17386;

																BgL_rz00_17386 =
																	PROCEDURE_ENTRY(BgL_fz00_17385)
																	(BgL_fz00_17385, BgL_nsz00_5391, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_28978;

																	if (PROCEDUREP(BgL_rz00_17386))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_17391;

																			BgL_arg1962z00_17391 =
																				PROCEDURE_ATTR(BgL_rz00_17386);
																			if (STRUCTP(BgL_arg1962z00_17391))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_28978 =
																						(STRUCT_KEY(BgL_arg1962z00_17391) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_28978 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_28978 = ((bool_t) 0);
																		}
																	if (BgL_testz00_28978)
																		{
																			obj_t BgL_fz00_28986;

																			BgL_fz00_28986 = BgL_rz00_17386;
																			BgL_fz00_17385 = BgL_fz00_28986;
																			goto BgL_recz00_17384;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5391,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_17378);
																			BgL_tmp1569z00_5395 = BgL_rz00_17386;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1567z00_5393);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_28990;

														BgL_auxz00_28990 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_28990,
															BgL_sz00_5378);
													}
													return BgL_tmp1569z00_5395;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3955> */
	obj_t BGl_z62zc3anonymousza33955ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19155)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19156;
				obj_t BgL_bpz00_19157;

				BgL_sz00_19156 = PROCEDURE_REF(BgL_envz00_19155, (int) (((long) 0)));
				BgL_bpz00_19157 = PROCEDURE_REF(BgL_envz00_19155, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19156, (int) (((long) 0)), BgL_bpz00_19157);
		}}}
	}



/* &run */
	obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_19158,
		obj_t BgL_sz00_19161)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_19159;
				obj_t BgL_bodyz00_19160;

				BgL_i1321z00_19159 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19158, (int) (((long) 0))));
				BgL_bodyz00_19160 = PROCEDURE_REF(BgL_envz00_19158, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5400;

					BgL_sz00_5400 = BgL_sz00_19161;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5402;

						BgL_bpz00_5402 = VECTOR_REF(BgL_sz00_5400, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_5403;
							obj_t BgL_wherez00_5404;
							obj_t BgL_locz00_5405;

							BgL_z12denvz12_5403 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5404 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19159))->BgL_wherez00);
							BgL_locz00_5405 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19159))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5403, BgL_wherez00_5404,
									BgL_locz00_5405);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_5406;

									BgL_za2za2resza2za2z00_5406 =
										PROCEDURE_ENTRY(BgL_bodyz00_19160) (BgL_bodyz00_19160,
										BgL_sz00_5400, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5403);
									return BgL_za2za2resza2za2z00_5406;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3957> */
	obj_t BGl_z62zc3anonymousza33957ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19162)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19163;

				BgL_sz00_19163 = PROCEDURE_REF(BgL_envz00_19162, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_29017;

						BgL_auxz00_29017 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_29017, BgL_sz00_19163);
					}
				}
			}
		}
	}



/* &<anonymous:3960> */
	obj_t BGl_z62zc3anonymousza33960ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19164, obj_t BgL_sz00_19169)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19165;
				BgL_ev_absz00_bglt BgL_i1321z00_19166;
				obj_t BgL_bodyz00_19167;
				long BgL_siza7ezd2framez75_19168;

				BgL_iboxesz00_19165 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19164, (int) (((long) 0))));
				BgL_i1321z00_19166 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19164, (int) (((long) 1))));
				BgL_bodyz00_19167 = PROCEDURE_REF(BgL_envz00_19164, (int) (((long) 2)));
				BgL_siza7ezd2framez75_19168 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19164, (int) (((long) 3))));
				{
					obj_t BgL_sz00_5408;

					BgL_sz00_5408 = BgL_sz00_19169;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5410;

						BgL_bpz00_5410 = VECTOR_REF(BgL_sz00_5408, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19046;

								BgL_runz00_19046 =
									MAKE_FX_PROCEDURE(BGl_z62run5890z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_19046,
									(int) (((long) 0)), BgL_iboxesz00_19165);
								PROCEDURE_SET(BgL_runz00_19046,
									(int) (((long) 1)), ((obj_t) BgL_i1321z00_19166));
								PROCEDURE_SET(BgL_runz00_19046,
									(int) (((long) 2)), BgL_bodyz00_19167);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19048;

									BgL_mainz00_19048 =
										MAKE_VA_PROCEDURE(BGl_z62main5889z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_19048,
										(int) (((long) 0)), BgL_iboxesz00_19165);
									PROCEDURE_SET(BgL_mainz00_19048,
										(int) (((long) 1)), ((obj_t) BgL_i1321z00_19166));
									PROCEDURE_SET(BgL_mainz00_19048,
										(int) (((long) 2)), BgL_bodyz00_19167);
									PROCEDURE_SET(BgL_mainz00_19048,
										(int) (((long) 3)), BgL_runz00_19046);
									PROCEDURE_SET(BgL_mainz00_19048,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_19168));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_17534;

										BgL_objz00_17534 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19046, BgL_objz00_17534);
										BgL_objz00_17534;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3961z00_5413;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3962z00_5414;

											BgL_arg3962z00_5414 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19166))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_17538;

												BgL_newz00_17538 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_29062;

													BgL_auxz00_29062 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_17538, BgL_auxz00_29062,
														BgL_arg3962z00_5414);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_29067;
													int BgL_auxz00_29065;

													BgL_auxz00_29067 = BINT(BgL_siza7ezd2framez75_19168);
													BgL_auxz00_29065 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_17538, BgL_auxz00_29065,
														BgL_auxz00_29067);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_29070;

													BgL_auxz00_29070 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_17538, BgL_auxz00_29070,
														BgL_runz00_19046);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_29075;
													int BgL_auxz00_29073;

													BgL_auxz00_29075 = BINT(((long) -5));
													BgL_auxz00_29073 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_17538, BgL_auxz00_29073,
														BgL_auxz00_29075);
												}
												BgL_arg3961z00_5413 = BgL_newz00_17538;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19048, BgL_arg3961z00_5413);
										BgL_arg3961z00_5413;
									}
									return BgL_mainz00_19048;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5889 */
	obj_t BGl_z62main5889z62zz__evaluate_compz00(obj_t BgL_envz00_19170,
		obj_t BgL_az00_19176, obj_t BgL_bz00_19177, obj_t BgL_cz00_19178,
		obj_t BgL_dz00_19179, obj_t BgL_lastz00_19180)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19174;
				long BgL_siza7ezd2framez75_19175;

				BgL_runz00_19174 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19170, (int) (((long) 3))));
				BgL_siza7ezd2framez75_19175 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19170, (int) (((long) 4))));
				{
					obj_t BgL_az00_5415;
					obj_t BgL_bz00_5416;
					obj_t BgL_cz00_5417;
					obj_t BgL_dz00_5418;
					obj_t BgL_lastz00_5419;

					BgL_az00_5415 = BgL_az00_19176;
					BgL_bz00_5416 = BgL_bz00_19177;
					BgL_cz00_5417 = BgL_cz00_19178;
					BgL_dz00_5418 = BgL_dz00_19179;
					BgL_lastz00_5419 = BgL_lastz00_19180;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5421;

						BgL_sz00_5421 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5422;

							BgL_bpz00_5422 = VECTOR_REF(BgL_sz00_5421, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_29088;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_17440;

									BgL_arg1970z00_17440 = VECTOR_LENGTH(BgL_sz00_5421);
									BgL_testz00_29088 =
										(
										((long) CINT(BgL_bpz00_5422) +
											BgL_siza7ezd2framez75_19175) <
										(long) (BgL_arg1970z00_17440));
								}
								if (BgL_testz00_29088)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3965z00_5424;

											BgL_arg3965z00_5424 =
												((long) CINT(BgL_bpz00_5422) + ((long) 0));
											VECTOR_SET(BgL_sz00_5421,
												(int) (BgL_arg3965z00_5424), BgL_az00_5415);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3966z00_5425;

											BgL_arg3966z00_5425 =
												((long) CINT(BgL_bpz00_5422) + ((long) 1));
											VECTOR_SET(BgL_sz00_5421,
												(int) (BgL_arg3966z00_5425), BgL_bz00_5416);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3967z00_5426;

											BgL_arg3967z00_5426 =
												((long) CINT(BgL_bpz00_5422) + ((long) 2));
											VECTOR_SET(BgL_sz00_5421,
												(int) (BgL_arg3967z00_5426), BgL_cz00_5417);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3968z00_5427;

											BgL_arg3968z00_5427 =
												((long) CINT(BgL_bpz00_5422) + ((long) 3));
											VECTOR_SET(BgL_sz00_5421,
												(int) (BgL_arg3968z00_5427), BgL_dz00_5418);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3969z00_5428;

											BgL_arg3969z00_5428 =
												((long) CINT(BgL_bpz00_5422) + ((long) 4));
											VECTOR_SET(BgL_sz00_5421,
												(int) (BgL_arg3969z00_5428), BgL_lastz00_5419);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1570z00_5429;

											BgL_exitd1570z00_5429 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33970ze3z83_19047;

												BgL_zc3anonymousza33970ze3z83_19047 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33970ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33970ze3z83_19047,
													(int) (((long) 0)), BgL_sz00_5421);
												PROCEDURE_SET(BgL_zc3anonymousza33970ze3z83_19047,
													(int) (((long) 1)), BgL_bpz00_5422);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1570z00_5429,
													BgL_zc3anonymousza33970ze3z83_19047);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1572z00_5431;

													BgL_tmp1572z00_5431 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19174, BgL_sz00_5421, BgL_bpz00_5422);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1570z00_5429);
													VECTOR_SET(BgL_sz00_5421, (int) (((long) 0)),
														BgL_bpz00_5422);
													return BgL_tmp1572z00_5431;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5434;

										BgL_nsz00_5434 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5434,
											(int) (((long) 1)), BgL_sz00_5421);
										VECTOR_SET(BgL_nsz00_5434,
											(int) (((long) 2)), BgL_az00_5415);
										VECTOR_SET(BgL_nsz00_5434,
											(int) (((long) 3)), BgL_bz00_5416);
										VECTOR_SET(BgL_nsz00_5434,
											(int) (((long) 4)), BgL_cz00_5417);
										VECTOR_SET(BgL_nsz00_5434,
											(int) (((long) 5)), BgL_dz00_5418);
										VECTOR_SET(BgL_nsz00_5434,
											(int) (((long) 6)), BgL_lastz00_5419);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_29140;

											BgL_auxz00_29140 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29140, BgL_nsz00_5434);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1573z00_5436;

											BgL_exitd1573z00_5436 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33972ze3z83_19045;

												BgL_zc3anonymousza33972ze3z83_19045 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33972ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33972ze3z83_19045,
													(int) (((long) 0)), BgL_sz00_5421);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1573z00_5436,
													BgL_zc3anonymousza33972ze3z83_19045);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1575z00_5438;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_17507;

														BgL_savedzd2bpzd2_17507 =
															VECTOR_REF(BgL_nsz00_5434, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5434,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_17514;

															BgL_fz00_17514 = BgL_runz00_19174;
														BgL_recz00_17513:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_17515;

																BgL_rz00_17515 =
																	PROCEDURE_ENTRY(BgL_fz00_17514)
																	(BgL_fz00_17514, BgL_nsz00_5434, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_29159;

																	if (PROCEDUREP(BgL_rz00_17515))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_17520;

																			BgL_arg1962z00_17520 =
																				PROCEDURE_ATTR(BgL_rz00_17515);
																			if (STRUCTP(BgL_arg1962z00_17520))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29159 =
																						(STRUCT_KEY(BgL_arg1962z00_17520) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29159 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_29159 = ((bool_t) 0);
																		}
																	if (BgL_testz00_29159)
																		{
																			obj_t BgL_fz00_29167;

																			BgL_fz00_29167 = BgL_rz00_17515;
																			BgL_fz00_17514 = BgL_fz00_29167;
																			goto BgL_recz00_17513;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5434,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_17507);
																			BgL_tmp1575z00_5438 = BgL_rz00_17515;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1573z00_5436);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_29171;

														BgL_auxz00_29171 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_29171,
															BgL_sz00_5421);
													}
													return BgL_tmp1575z00_5438;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3970> */
	obj_t BGl_z62zc3anonymousza33970ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19181)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19182;
				obj_t BgL_bpz00_19183;

				BgL_sz00_19182 = PROCEDURE_REF(BgL_envz00_19181, (int) (((long) 0)));
				BgL_bpz00_19183 = PROCEDURE_REF(BgL_envz00_19181, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19182, (int) (((long) 0)), BgL_bpz00_19183);
		}}}
	}



/* &run5890 */
	obj_t BGl_z62run5890z62zz__evaluate_compz00(obj_t BgL_envz00_19184,
		obj_t BgL_sz00_19188)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19185;
				BgL_ev_absz00_bglt BgL_i1321z00_19186;
				obj_t BgL_bodyz00_19187;

				BgL_iboxesz00_19185 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19184, (int) (((long) 0))));
				BgL_i1321z00_19186 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19184, (int) (((long) 1))));
				BgL_bodyz00_19187 = PROCEDURE_REF(BgL_envz00_19184, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5443;

					BgL_sz00_5443 = BgL_sz00_19188;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5445;

						BgL_bpz00_5445 = VECTOR_REF(BgL_sz00_5443, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5443,
							BgL_iboxesz00_19185, BgL_bpz00_5445);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_5446;
							obj_t BgL_wherez00_5447;
							obj_t BgL_locz00_5448;

							BgL_z12denvz12_5446 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5447 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19186))->BgL_wherez00);
							BgL_locz00_5448 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19186))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5446, BgL_wherez00_5447,
									BgL_locz00_5448);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_5449;

									BgL_za2za2resza2za2z00_5449 =
										PROCEDURE_ENTRY(BgL_bodyz00_19187) (BgL_bodyz00_19187,
										BgL_sz00_5443, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5446);
									return BgL_za2za2resza2za2z00_5449;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3972> */
	obj_t BGl_z62zc3anonymousza33972ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19189)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19190;

				BgL_sz00_19190 = PROCEDURE_REF(BgL_envz00_19189, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_29202;

						BgL_auxz00_29202 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_29202, BgL_sz00_19190);
					}
				}
			}
		}
	}



/* &<anonymous:3977> */
	obj_t BGl_z62zc3anonymousza33977ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19191, obj_t BgL_sz00_19197)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19192;
				long BgL_siza7eza7_19193;
				BgL_ev_absz00_bglt BgL_i1321z00_19194;
				obj_t BgL_bodyz00_19195;
				long BgL_siza7ezd2framez75_19196;

				BgL_ifreesz00_19192 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19191, (int) (((long) 0))));
				BgL_siza7eza7_19193 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19191, (int) (((long) 1))));
				BgL_i1321z00_19194 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19191, (int) (((long) 2))));
				BgL_bodyz00_19195 = PROCEDURE_REF(BgL_envz00_19191, (int) (((long) 3)));
				BgL_siza7ezd2framez75_19196 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19191, (int) (((long) 4))));
				{
					obj_t BgL_sz00_5453;

					BgL_sz00_5453 = BgL_sz00_19197;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5455;

						BgL_bpz00_5455 = VECTOR_REF(BgL_sz00_5453, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_5456;

							BgL_valza2za2_5456 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5453,
								BgL_bpz00_5455, BgL_ifreesz00_19192);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19041;

								BgL_runz00_19041 =
									MAKE_FX_PROCEDURE(BGl_z62run5892z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_19041,
									(int) (((long) 0)), BINT(BgL_siza7eza7_19193));
								PROCEDURE_SET(BgL_runz00_19041,
									(int) (((long) 1)), BgL_valza2za2_5456);
								PROCEDURE_SET(BgL_runz00_19041,
									(int) (((long) 2)), ((obj_t) BgL_i1321z00_19194));
								PROCEDURE_SET(BgL_runz00_19041,
									(int) (((long) 3)), BgL_bodyz00_19195);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19043;

									BgL_mainz00_19043 =
										MAKE_VA_PROCEDURE(BGl_z62main5891z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_19043,
										(int) (((long) 0)), BINT(BgL_siza7eza7_19193));
									PROCEDURE_SET(BgL_mainz00_19043,
										(int) (((long) 1)), BgL_valza2za2_5456);
									PROCEDURE_SET(BgL_mainz00_19043,
										(int) (((long) 2)), ((obj_t) BgL_i1321z00_19194));
									PROCEDURE_SET(BgL_mainz00_19043,
										(int) (((long) 3)), BgL_bodyz00_19195);
									PROCEDURE_SET(BgL_mainz00_19043,
										(int) (((long) 4)), BgL_runz00_19041);
									PROCEDURE_SET(BgL_mainz00_19043,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_19196));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_17670;

										BgL_objz00_17670 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19041, BgL_objz00_17670);
										BgL_objz00_17670;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3978z00_5459;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3979z00_5460;

											BgL_arg3979z00_5460 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19194))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_17674;

												BgL_newz00_17674 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_29257;

													BgL_auxz00_29257 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_17674, BgL_auxz00_29257,
														BgL_arg3979z00_5460);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_29262;
													int BgL_auxz00_29260;

													BgL_auxz00_29262 = BINT(BgL_siza7ezd2framez75_19196);
													BgL_auxz00_29260 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_17674, BgL_auxz00_29260,
														BgL_auxz00_29262);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_29265;

													BgL_auxz00_29265 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_17674, BgL_auxz00_29265,
														BgL_runz00_19041);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_29270;
													int BgL_auxz00_29268;

													BgL_auxz00_29270 = BINT(((long) -5));
													BgL_auxz00_29268 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_17674, BgL_auxz00_29268,
														BgL_auxz00_29270);
												}
												BgL_arg3978z00_5459 = BgL_newz00_17674;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19043, BgL_arg3978z00_5459);
										BgL_arg3978z00_5459;
									}
									return BgL_mainz00_19043;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5891 */
	obj_t BGl_z62main5891z62zz__evaluate_compz00(obj_t BgL_envz00_19198,
		obj_t BgL_az00_19205, obj_t BgL_bz00_19206, obj_t BgL_cz00_19207,
		obj_t BgL_dz00_19208, obj_t BgL_lastz00_19209)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19203;
				long BgL_siza7ezd2framez75_19204;

				BgL_runz00_19203 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19198, (int) (((long) 4))));
				BgL_siza7ezd2framez75_19204 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19198, (int) (((long) 5))));
				{
					obj_t BgL_az00_5461;
					obj_t BgL_bz00_5462;
					obj_t BgL_cz00_5463;
					obj_t BgL_dz00_5464;
					obj_t BgL_lastz00_5465;

					BgL_az00_5461 = BgL_az00_19205;
					BgL_bz00_5462 = BgL_bz00_19206;
					BgL_cz00_5463 = BgL_cz00_19207;
					BgL_dz00_5464 = BgL_dz00_19208;
					BgL_lastz00_5465 = BgL_lastz00_19209;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5467;

						BgL_sz00_5467 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5468;

							BgL_bpz00_5468 = VECTOR_REF(BgL_sz00_5467, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_29283;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_17576;

									BgL_arg1970z00_17576 = VECTOR_LENGTH(BgL_sz00_5467);
									BgL_testz00_29283 =
										(
										((long) CINT(BgL_bpz00_5468) +
											BgL_siza7ezd2framez75_19204) <
										(long) (BgL_arg1970z00_17576));
								}
								if (BgL_testz00_29283)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3982z00_5470;

											BgL_arg3982z00_5470 =
												((long) CINT(BgL_bpz00_5468) + ((long) 0));
											VECTOR_SET(BgL_sz00_5467,
												(int) (BgL_arg3982z00_5470), BgL_az00_5461);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3983z00_5471;

											BgL_arg3983z00_5471 =
												((long) CINT(BgL_bpz00_5468) + ((long) 1));
											VECTOR_SET(BgL_sz00_5467,
												(int) (BgL_arg3983z00_5471), BgL_bz00_5462);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3984z00_5472;

											BgL_arg3984z00_5472 =
												((long) CINT(BgL_bpz00_5468) + ((long) 2));
											VECTOR_SET(BgL_sz00_5467,
												(int) (BgL_arg3984z00_5472), BgL_cz00_5463);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3985z00_5473;

											BgL_arg3985z00_5473 =
												((long) CINT(BgL_bpz00_5468) + ((long) 3));
											VECTOR_SET(BgL_sz00_5467,
												(int) (BgL_arg3985z00_5473), BgL_dz00_5464);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3986z00_5474;

											BgL_arg3986z00_5474 =
												((long) CINT(BgL_bpz00_5468) + ((long) 4));
											VECTOR_SET(BgL_sz00_5467,
												(int) (BgL_arg3986z00_5474), BgL_lastz00_5465);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1576z00_5475;

											BgL_exitd1576z00_5475 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33987ze3z83_19042;

												BgL_zc3anonymousza33987ze3z83_19042 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33987ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33987ze3z83_19042,
													(int) (((long) 0)), BgL_sz00_5467);
												PROCEDURE_SET(BgL_zc3anonymousza33987ze3z83_19042,
													(int) (((long) 1)), BgL_bpz00_5468);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1576z00_5475,
													BgL_zc3anonymousza33987ze3z83_19042);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1578z00_5477;

													BgL_tmp1578z00_5477 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19203, BgL_sz00_5467, BgL_bpz00_5468);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1576z00_5475);
													VECTOR_SET(BgL_sz00_5467, (int) (((long) 0)),
														BgL_bpz00_5468);
													return BgL_tmp1578z00_5477;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5480;

										BgL_nsz00_5480 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5480,
											(int) (((long) 1)), BgL_sz00_5467);
										VECTOR_SET(BgL_nsz00_5480,
											(int) (((long) 2)), BgL_az00_5461);
										VECTOR_SET(BgL_nsz00_5480,
											(int) (((long) 3)), BgL_bz00_5462);
										VECTOR_SET(BgL_nsz00_5480,
											(int) (((long) 4)), BgL_cz00_5463);
										VECTOR_SET(BgL_nsz00_5480,
											(int) (((long) 5)), BgL_dz00_5464);
										VECTOR_SET(BgL_nsz00_5480,
											(int) (((long) 6)), BgL_lastz00_5465);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_29335;

											BgL_auxz00_29335 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29335, BgL_nsz00_5480);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1579z00_5482;

											BgL_exitd1579z00_5482 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33989ze3z83_19040;

												BgL_zc3anonymousza33989ze3z83_19040 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33989ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33989ze3z83_19040,
													(int) (((long) 0)), BgL_sz00_5467);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1579z00_5482,
													BgL_zc3anonymousza33989ze3z83_19040);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1581z00_5484;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_17643;

														BgL_savedzd2bpzd2_17643 =
															VECTOR_REF(BgL_nsz00_5480, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5480,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_17650;

															BgL_fz00_17650 = BgL_runz00_19203;
														BgL_recz00_17649:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_17651;

																BgL_rz00_17651 =
																	PROCEDURE_ENTRY(BgL_fz00_17650)
																	(BgL_fz00_17650, BgL_nsz00_5480, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_29354;

																	if (PROCEDUREP(BgL_rz00_17651))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_17656;

																			BgL_arg1962z00_17656 =
																				PROCEDURE_ATTR(BgL_rz00_17651);
																			if (STRUCTP(BgL_arg1962z00_17656))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29354 =
																						(STRUCT_KEY(BgL_arg1962z00_17656) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29354 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_29354 = ((bool_t) 0);
																		}
																	if (BgL_testz00_29354)
																		{
																			obj_t BgL_fz00_29362;

																			BgL_fz00_29362 = BgL_rz00_17651;
																			BgL_fz00_17650 = BgL_fz00_29362;
																			goto BgL_recz00_17649;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5480,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_17643);
																			BgL_tmp1581z00_5484 = BgL_rz00_17651;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1579z00_5482);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_29366;

														BgL_auxz00_29366 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_29366,
															BgL_sz00_5467);
													}
													return BgL_tmp1581z00_5484;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3987> */
	obj_t BGl_z62zc3anonymousza33987ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19210)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19211;
				obj_t BgL_bpz00_19212;

				BgL_sz00_19211 = PROCEDURE_REF(BgL_envz00_19210, (int) (((long) 0)));
				BgL_bpz00_19212 = PROCEDURE_REF(BgL_envz00_19210, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19211, (int) (((long) 0)), BgL_bpz00_19212);
		}}}
	}



/* &run5892 */
	obj_t BGl_z62run5892z62zz__evaluate_compz00(obj_t BgL_envz00_19213,
		obj_t BgL_sz00_19218)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_19214;
				obj_t BgL_valza2za2_19215;
				BgL_ev_absz00_bglt BgL_i1321z00_19216;
				obj_t BgL_bodyz00_19217;

				BgL_siza7eza7_19214 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19213, (int) (((long) 0))));
				BgL_valza2za2_19215 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19213, (int) (((long) 1))));
				BgL_i1321z00_19216 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19213, (int) (((long) 2))));
				BgL_bodyz00_19217 = PROCEDURE_REF(BgL_envz00_19213, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5489;

					BgL_sz00_5489 = BgL_sz00_19218;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5491;

						BgL_bpz00_5491 = VECTOR_REF(BgL_sz00_5489, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5489,
							BgL_valza2za2_19215,
							((long) CINT(BgL_bpz00_5491) + BgL_siza7eza7_19214));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_5493;
							obj_t BgL_wherez00_5494;
							obj_t BgL_locz00_5495;

							BgL_z12denvz12_5493 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5494 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19216))->BgL_wherez00);
							BgL_locz00_5495 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19216))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5493, BgL_wherez00_5494,
									BgL_locz00_5495);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_5496;

									BgL_za2za2resza2za2z00_5496 =
										PROCEDURE_ENTRY(BgL_bodyz00_19217) (BgL_bodyz00_19217,
										BgL_sz00_5489, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5493);
									return BgL_za2za2resza2za2z00_5496;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3989> */
	obj_t BGl_z62zc3anonymousza33989ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19219)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19220;

				BgL_sz00_19220 = PROCEDURE_REF(BgL_envz00_19219, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_29402;

						BgL_auxz00_29402 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_29402, BgL_sz00_19220);
					}
				}
			}
		}
	}



/* &<anonymous:3993> */
	obj_t BGl_z62zc3anonymousza33993ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19221, obj_t BgL_sz00_19228)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19222;
				obj_t BgL_iboxesz00_19223;
				long BgL_siza7eza7_19224;
				BgL_ev_absz00_bglt BgL_i1321z00_19225;
				obj_t BgL_bodyz00_19226;
				long BgL_siza7ezd2framez75_19227;

				BgL_ifreesz00_19222 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19221, (int) (((long) 0))));
				BgL_iboxesz00_19223 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19221, (int) (((long) 1))));
				BgL_siza7eza7_19224 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19221, (int) (((long) 2))));
				BgL_i1321z00_19225 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19221, (int) (((long) 3))));
				BgL_bodyz00_19226 = PROCEDURE_REF(BgL_envz00_19221, (int) (((long) 4)));
				BgL_siza7ezd2framez75_19227 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19221, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5498;

					BgL_sz00_5498 = BgL_sz00_19228;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5500;

						BgL_bpz00_5500 = VECTOR_REF(BgL_sz00_5498, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_5501;

							BgL_valza2za2_5501 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5498,
								BgL_bpz00_5500, BgL_ifreesz00_19222);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19036;

								BgL_runz00_19036 =
									MAKE_FX_PROCEDURE(BGl_z62run5894z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_19036,
									(int) (((long) 0)), BgL_iboxesz00_19223);
								PROCEDURE_SET(BgL_runz00_19036,
									(int) (((long) 1)), BINT(BgL_siza7eza7_19224));
								PROCEDURE_SET(BgL_runz00_19036,
									(int) (((long) 2)), BgL_valza2za2_5501);
								PROCEDURE_SET(BgL_runz00_19036,
									(int) (((long) 3)), ((obj_t) BgL_i1321z00_19225));
								PROCEDURE_SET(BgL_runz00_19036,
									(int) (((long) 4)), BgL_bodyz00_19226);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19038;

									BgL_mainz00_19038 =
										MAKE_VA_PROCEDURE(BGl_z62main5893z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_19038,
										(int) (((long) 0)), BgL_iboxesz00_19223);
									PROCEDURE_SET(BgL_mainz00_19038,
										(int) (((long) 1)), BINT(BgL_siza7eza7_19224));
									PROCEDURE_SET(BgL_mainz00_19038,
										(int) (((long) 2)), BgL_valza2za2_5501);
									PROCEDURE_SET(BgL_mainz00_19038,
										(int) (((long) 3)), ((obj_t) BgL_i1321z00_19225));
									PROCEDURE_SET(BgL_mainz00_19038,
										(int) (((long) 4)), BgL_bodyz00_19226);
									PROCEDURE_SET(BgL_mainz00_19038,
										(int) (((long) 5)), BgL_runz00_19036);
									PROCEDURE_SET(BgL_mainz00_19038,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_19227));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_17802;

										BgL_objz00_17802 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19036, BgL_objz00_17802);
										BgL_objz00_17802;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3994z00_5504;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3995z00_5505;

											BgL_arg3995z00_5505 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19225))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_17806;

												BgL_newz00_17806 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_29464;

													BgL_auxz00_29464 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_17806, BgL_auxz00_29464,
														BgL_arg3995z00_5505);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_29469;
													int BgL_auxz00_29467;

													BgL_auxz00_29469 = BINT(BgL_siza7ezd2framez75_19227);
													BgL_auxz00_29467 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_17806, BgL_auxz00_29467,
														BgL_auxz00_29469);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_29472;

													BgL_auxz00_29472 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_17806, BgL_auxz00_29472,
														BgL_runz00_19036);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_29477;
													int BgL_auxz00_29475;

													BgL_auxz00_29477 = BINT(((long) -5));
													BgL_auxz00_29475 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_17806, BgL_auxz00_29475,
														BgL_auxz00_29477);
												}
												BgL_arg3994z00_5504 = BgL_newz00_17806;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19038, BgL_arg3994z00_5504);
										BgL_arg3994z00_5504;
									}
									return BgL_mainz00_19038;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5893 */
	obj_t BGl_z62main5893z62zz__evaluate_compz00(obj_t BgL_envz00_19229,
		obj_t BgL_az00_19237, obj_t BgL_bz00_19238, obj_t BgL_cz00_19239,
		obj_t BgL_dz00_19240, obj_t BgL_lastz00_19241)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19235;
				long BgL_siza7ezd2framez75_19236;

				BgL_runz00_19235 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19229, (int) (((long) 5))));
				BgL_siza7ezd2framez75_19236 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19229, (int) (((long) 6))));
				{
					obj_t BgL_az00_5506;
					obj_t BgL_bz00_5507;
					obj_t BgL_cz00_5508;
					obj_t BgL_dz00_5509;
					obj_t BgL_lastz00_5510;

					BgL_az00_5506 = BgL_az00_19237;
					BgL_bz00_5507 = BgL_bz00_19238;
					BgL_cz00_5508 = BgL_cz00_19239;
					BgL_dz00_5509 = BgL_dz00_19240;
					BgL_lastz00_5510 = BgL_lastz00_19241;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5512;

						BgL_sz00_5512 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5513;

							BgL_bpz00_5513 = VECTOR_REF(BgL_sz00_5512, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_29490;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_17708;

									BgL_arg1970z00_17708 = VECTOR_LENGTH(BgL_sz00_5512);
									BgL_testz00_29490 =
										(
										((long) CINT(BgL_bpz00_5513) +
											BgL_siza7ezd2framez75_19236) <
										(long) (BgL_arg1970z00_17708));
								}
								if (BgL_testz00_29490)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3998z00_5515;

											BgL_arg3998z00_5515 =
												((long) CINT(BgL_bpz00_5513) + ((long) 0));
											VECTOR_SET(BgL_sz00_5512,
												(int) (BgL_arg3998z00_5515), BgL_az00_5506);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3999z00_5516;

											BgL_arg3999z00_5516 =
												((long) CINT(BgL_bpz00_5513) + ((long) 1));
											VECTOR_SET(BgL_sz00_5512,
												(int) (BgL_arg3999z00_5516), BgL_bz00_5507);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4000z00_5517;

											BgL_arg4000z00_5517 =
												((long) CINT(BgL_bpz00_5513) + ((long) 2));
											VECTOR_SET(BgL_sz00_5512,
												(int) (BgL_arg4000z00_5517), BgL_cz00_5508);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4001z00_5518;

											BgL_arg4001z00_5518 =
												((long) CINT(BgL_bpz00_5513) + ((long) 3));
											VECTOR_SET(BgL_sz00_5512,
												(int) (BgL_arg4001z00_5518), BgL_dz00_5509);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4002z00_5519;

											BgL_arg4002z00_5519 =
												((long) CINT(BgL_bpz00_5513) + ((long) 4));
											VECTOR_SET(BgL_sz00_5512,
												(int) (BgL_arg4002z00_5519), BgL_lastz00_5510);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1582z00_5520;

											BgL_exitd1582z00_5520 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34003ze3z83_19037;

												BgL_zc3anonymousza34003ze3z83_19037 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34003ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34003ze3z83_19037,
													(int) (((long) 0)), BgL_sz00_5512);
												PROCEDURE_SET(BgL_zc3anonymousza34003ze3z83_19037,
													(int) (((long) 1)), BgL_bpz00_5513);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1582z00_5520,
													BgL_zc3anonymousza34003ze3z83_19037);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1584z00_5522;

													BgL_tmp1584z00_5522 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19235, BgL_sz00_5512, BgL_bpz00_5513);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1582z00_5520);
													VECTOR_SET(BgL_sz00_5512, (int) (((long) 0)),
														BgL_bpz00_5513);
													return BgL_tmp1584z00_5522;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5525;

										BgL_nsz00_5525 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5525,
											(int) (((long) 1)), BgL_sz00_5512);
										VECTOR_SET(BgL_nsz00_5525,
											(int) (((long) 2)), BgL_az00_5506);
										VECTOR_SET(BgL_nsz00_5525,
											(int) (((long) 3)), BgL_bz00_5507);
										VECTOR_SET(BgL_nsz00_5525,
											(int) (((long) 4)), BgL_cz00_5508);
										VECTOR_SET(BgL_nsz00_5525,
											(int) (((long) 5)), BgL_dz00_5509);
										VECTOR_SET(BgL_nsz00_5525,
											(int) (((long) 6)), BgL_lastz00_5510);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_29542;

											BgL_auxz00_29542 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29542, BgL_nsz00_5525);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1585z00_5527;

											BgL_exitd1585z00_5527 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34005ze3z83_19035;

												BgL_zc3anonymousza34005ze3z83_19035 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34005ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34005ze3z83_19035,
													(int) (((long) 0)), BgL_sz00_5512);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1585z00_5527,
													BgL_zc3anonymousza34005ze3z83_19035);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1587z00_5529;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_17775;

														BgL_savedzd2bpzd2_17775 =
															VECTOR_REF(BgL_nsz00_5525, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5525,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_17782;

															BgL_fz00_17782 = BgL_runz00_19235;
														BgL_recz00_17781:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_17783;

																BgL_rz00_17783 =
																	PROCEDURE_ENTRY(BgL_fz00_17782)
																	(BgL_fz00_17782, BgL_nsz00_5525, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_29561;

																	if (PROCEDUREP(BgL_rz00_17783))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_17788;

																			BgL_arg1962z00_17788 =
																				PROCEDURE_ATTR(BgL_rz00_17783);
																			if (STRUCTP(BgL_arg1962z00_17788))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29561 =
																						(STRUCT_KEY(BgL_arg1962z00_17788) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29561 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_29561 = ((bool_t) 0);
																		}
																	if (BgL_testz00_29561)
																		{
																			obj_t BgL_fz00_29569;

																			BgL_fz00_29569 = BgL_rz00_17783;
																			BgL_fz00_17782 = BgL_fz00_29569;
																			goto BgL_recz00_17781;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5525,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_17775);
																			BgL_tmp1587z00_5529 = BgL_rz00_17783;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1585z00_5527);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_29573;

														BgL_auxz00_29573 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_29573,
															BgL_sz00_5512);
													}
													return BgL_tmp1587z00_5529;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4003> */
	obj_t BGl_z62zc3anonymousza34003ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19242)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19243;
				obj_t BgL_bpz00_19244;

				BgL_sz00_19243 = PROCEDURE_REF(BgL_envz00_19242, (int) (((long) 0)));
				BgL_bpz00_19244 = PROCEDURE_REF(BgL_envz00_19242, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19243, (int) (((long) 0)), BgL_bpz00_19244);
		}}}
	}



/* &run5894 */
	obj_t BGl_z62run5894z62zz__evaluate_compz00(obj_t BgL_envz00_19245,
		obj_t BgL_sz00_19251)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19246;
				long BgL_siza7eza7_19247;
				obj_t BgL_valza2za2_19248;
				BgL_ev_absz00_bglt BgL_i1321z00_19249;
				obj_t BgL_bodyz00_19250;

				BgL_iboxesz00_19246 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19245, (int) (((long) 0))));
				BgL_siza7eza7_19247 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19245, (int) (((long) 1))));
				BgL_valza2za2_19248 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19245, (int) (((long) 2))));
				BgL_i1321z00_19249 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19245, (int) (((long) 3))));
				BgL_bodyz00_19250 = PROCEDURE_REF(BgL_envz00_19245, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5534;

					BgL_sz00_5534 = BgL_sz00_19251;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5536;

						BgL_bpz00_5536 = VECTOR_REF(BgL_sz00_5534, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5534,
							BgL_iboxesz00_19246, BgL_bpz00_5536);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5534,
							BgL_valza2za2_19248,
							((long) CINT(BgL_bpz00_5536) + BgL_siza7eza7_19247));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_5538;
							obj_t BgL_wherez00_5539;
							obj_t BgL_locz00_5540;

							BgL_z12denvz12_5538 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5539 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19249))->BgL_wherez00);
							BgL_locz00_5540 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19249))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5538, BgL_wherez00_5539,
									BgL_locz00_5540);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_5541;

									BgL_za2za2resza2za2z00_5541 =
										PROCEDURE_ENTRY(BgL_bodyz00_19250) (BgL_bodyz00_19250,
										BgL_sz00_5534, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5538);
									return BgL_za2za2resza2za2z00_5541;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4005> */
	obj_t BGl_z62zc3anonymousza34005ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19252)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19253;

				BgL_sz00_19253 = PROCEDURE_REF(BgL_envz00_19252, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_29613;

						BgL_auxz00_29613 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_29613, BgL_sz00_19253);
					}
				}
			}
		}
	}



/* &<anonymous:3881> */
	obj_t BGl_z62zc3anonymousza33881ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19254, obj_t BgL_sz00_19258)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_19255;
				obj_t BgL_bodyz00_19256;
				long BgL_siza7ezd2framez75_19257;

				BgL_i1321z00_19255 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19254, (int) (((long) 0))));
				BgL_bodyz00_19256 = PROCEDURE_REF(BgL_envz00_19254, (int) (((long) 1)));
				BgL_siza7ezd2framez75_19257 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19254, (int) (((long) 2))));
				{
					obj_t BgL_sz00_5191;

					BgL_sz00_5191 = BgL_sz00_19258;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5193;

						BgL_bpz00_5193 = VECTOR_REF(BgL_sz00_5191, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19031;

								BgL_runz00_19031 =
									MAKE_FX_PROCEDURE(BGl_z62run5896z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_19031,
									(int) (((long) 0)), ((obj_t) BgL_i1321z00_19255));
								PROCEDURE_SET(BgL_runz00_19031,
									(int) (((long) 1)), BgL_bodyz00_19256);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19033;

									BgL_mainz00_19033 =
										MAKE_FX_PROCEDURE(BGl_z62main5895z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_19033,
										(int) (((long) 0)), ((obj_t) BgL_i1321z00_19255));
									PROCEDURE_SET(BgL_mainz00_19033,
										(int) (((long) 1)), BgL_bodyz00_19256);
									PROCEDURE_SET(BgL_mainz00_19033,
										(int) (((long) 2)), BgL_runz00_19031);
									PROCEDURE_SET(BgL_mainz00_19033,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_19257));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_16898;

										BgL_objz00_16898 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19031, BgL_objz00_16898);
										BgL_objz00_16898;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3882z00_5196;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3883z00_5197;

											BgL_arg3883z00_5197 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19255))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_16902;

												BgL_newz00_16902 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_29651;

													BgL_auxz00_29651 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_16902, BgL_auxz00_29651,
														BgL_arg3883z00_5197);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_29656;
													int BgL_auxz00_29654;

													BgL_auxz00_29656 = BINT(BgL_siza7ezd2framez75_19257);
													BgL_auxz00_29654 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_16902, BgL_auxz00_29654,
														BgL_auxz00_29656);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_29659;

													BgL_auxz00_29659 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_16902, BgL_auxz00_29659,
														BgL_runz00_19031);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_29664;
													int BgL_auxz00_29662;

													BgL_auxz00_29664 = BINT(((long) 4));
													BgL_auxz00_29662 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_16902, BgL_auxz00_29662,
														BgL_auxz00_29664);
												}
												BgL_arg3882z00_5196 = BgL_newz00_16902;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19033, BgL_arg3882z00_5196);
										BgL_arg3882z00_5196;
									}
									return BgL_mainz00_19033;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5895 */
	obj_t BGl_z62main5895z62zz__evaluate_compz00(obj_t BgL_envz00_19259,
		obj_t BgL_az00_19264, obj_t BgL_bz00_19265, obj_t BgL_cz00_19266,
		obj_t BgL_dz00_19267)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19262;
				long BgL_siza7ezd2framez75_19263;

				BgL_runz00_19262 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19259, (int) (((long) 2))));
				BgL_siza7ezd2framez75_19263 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19259, (int) (((long) 3))));
				{
					obj_t BgL_az00_5198;
					obj_t BgL_bz00_5199;
					obj_t BgL_cz00_5200;
					obj_t BgL_dz00_5201;

					BgL_az00_5198 = BgL_az00_19264;
					BgL_bz00_5199 = BgL_bz00_19265;
					BgL_cz00_5200 = BgL_cz00_19266;
					BgL_dz00_5201 = BgL_dz00_19267;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5203;

						BgL_sz00_5203 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5204;

							BgL_bpz00_5204 = VECTOR_REF(BgL_sz00_5203, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_29677;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_16813;

									BgL_arg1970z00_16813 = VECTOR_LENGTH(BgL_sz00_5203);
									BgL_testz00_29677 =
										(
										((long) CINT(BgL_bpz00_5204) +
											BgL_siza7ezd2framez75_19263) <
										(long) (BgL_arg1970z00_16813));
								}
								if (BgL_testz00_29677)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3886z00_5206;

											BgL_arg3886z00_5206 =
												((long) CINT(BgL_bpz00_5204) + ((long) 0));
											VECTOR_SET(BgL_sz00_5203,
												(int) (BgL_arg3886z00_5206), BgL_az00_5198);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3887z00_5207;

											BgL_arg3887z00_5207 =
												((long) CINT(BgL_bpz00_5204) + ((long) 1));
											VECTOR_SET(BgL_sz00_5203,
												(int) (BgL_arg3887z00_5207), BgL_bz00_5199);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3888z00_5208;

											BgL_arg3888z00_5208 =
												((long) CINT(BgL_bpz00_5204) + ((long) 2));
											VECTOR_SET(BgL_sz00_5203,
												(int) (BgL_arg3888z00_5208), BgL_cz00_5200);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3889z00_5209;

											BgL_arg3889z00_5209 =
												((long) CINT(BgL_bpz00_5204) + ((long) 3));
											VECTOR_SET(BgL_sz00_5203,
												(int) (BgL_arg3889z00_5209), BgL_dz00_5201);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1540z00_5210;

											BgL_exitd1540z00_5210 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33890ze3z83_19032;

												BgL_zc3anonymousza33890ze3z83_19032 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33890ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33890ze3z83_19032,
													(int) (((long) 0)), BgL_sz00_5203);
												PROCEDURE_SET(BgL_zc3anonymousza33890ze3z83_19032,
													(int) (((long) 1)), BgL_bpz00_5204);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1540z00_5210,
													BgL_zc3anonymousza33890ze3z83_19032);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1542z00_5212;

													BgL_tmp1542z00_5212 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19262, BgL_sz00_5203, BgL_bpz00_5204);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1540z00_5210);
													VECTOR_SET(BgL_sz00_5203, (int) (((long) 0)),
														BgL_bpz00_5204);
													return BgL_tmp1542z00_5212;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5215;

										BgL_nsz00_5215 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5215,
											(int) (((long) 1)), BgL_sz00_5203);
										VECTOR_SET(BgL_nsz00_5215,
											(int) (((long) 2)), BgL_az00_5198);
										VECTOR_SET(BgL_nsz00_5215,
											(int) (((long) 3)), BgL_bz00_5199);
										VECTOR_SET(BgL_nsz00_5215,
											(int) (((long) 4)), BgL_cz00_5200);
										VECTOR_SET(BgL_nsz00_5215,
											(int) (((long) 5)), BgL_dz00_5201);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_29723;

											BgL_auxz00_29723 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29723, BgL_nsz00_5215);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1543z00_5217;

											BgL_exitd1543z00_5217 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33892ze3z83_19030;

												BgL_zc3anonymousza33892ze3z83_19030 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33892ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33892ze3z83_19030,
													(int) (((long) 0)), BgL_sz00_5203);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1543z00_5217,
													BgL_zc3anonymousza33892ze3z83_19030);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1545z00_5219;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_16871;

														BgL_savedzd2bpzd2_16871 =
															VECTOR_REF(BgL_nsz00_5215, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5215,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_16878;

															BgL_fz00_16878 = BgL_runz00_19262;
														BgL_recz00_16877:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_16879;

																BgL_rz00_16879 =
																	PROCEDURE_ENTRY(BgL_fz00_16878)
																	(BgL_fz00_16878, BgL_nsz00_5215, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_29742;

																	if (PROCEDUREP(BgL_rz00_16879))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_16884;

																			BgL_arg1962z00_16884 =
																				PROCEDURE_ATTR(BgL_rz00_16879);
																			if (STRUCTP(BgL_arg1962z00_16884))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29742 =
																						(STRUCT_KEY(BgL_arg1962z00_16884) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29742 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_29742 = ((bool_t) 0);
																		}
																	if (BgL_testz00_29742)
																		{
																			obj_t BgL_fz00_29750;

																			BgL_fz00_29750 = BgL_rz00_16879;
																			BgL_fz00_16878 = BgL_fz00_29750;
																			goto BgL_recz00_16877;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5215,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_16871);
																			BgL_tmp1545z00_5219 = BgL_rz00_16879;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1543z00_5217);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_29754;

														BgL_auxz00_29754 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_29754,
															BgL_sz00_5203);
													}
													return BgL_tmp1545z00_5219;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3890> */
	obj_t BGl_z62zc3anonymousza33890ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19268)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19269;
				obj_t BgL_bpz00_19270;

				BgL_sz00_19269 = PROCEDURE_REF(BgL_envz00_19268, (int) (((long) 0)));
				BgL_bpz00_19270 = PROCEDURE_REF(BgL_envz00_19268, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19269, (int) (((long) 0)), BgL_bpz00_19270);
		}}}
	}



/* &run5896 */
	obj_t BGl_z62run5896z62zz__evaluate_compz00(obj_t BgL_envz00_19271,
		obj_t BgL_sz00_19274)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_19272;
				obj_t BgL_bodyz00_19273;

				BgL_i1321z00_19272 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19271, (int) (((long) 0))));
				BgL_bodyz00_19273 = PROCEDURE_REF(BgL_envz00_19271, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5224;

					BgL_sz00_5224 = BgL_sz00_19274;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5226;

						BgL_bpz00_5226 = VECTOR_REF(BgL_sz00_5224, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_5227;
							obj_t BgL_wherez00_5228;
							obj_t BgL_locz00_5229;

							BgL_z12denvz12_5227 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5228 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19272))->BgL_wherez00);
							BgL_locz00_5229 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19272))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5227, BgL_wherez00_5228,
									BgL_locz00_5229);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_5230;

									BgL_za2za2resza2za2z00_5230 =
										PROCEDURE_ENTRY(BgL_bodyz00_19273) (BgL_bodyz00_19273,
										BgL_sz00_5224, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5227);
									return BgL_za2za2resza2za2z00_5230;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3892> */
	obj_t BGl_z62zc3anonymousza33892ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19275)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19276;

				BgL_sz00_19276 = PROCEDURE_REF(BgL_envz00_19275, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_29781;

						BgL_auxz00_29781 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_29781, BgL_sz00_19276);
					}
				}
			}
		}
	}



/* &<anonymous:3895> */
	obj_t BGl_z62zc3anonymousza33895ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19277, obj_t BgL_sz00_19282)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19278;
				BgL_ev_absz00_bglt BgL_i1321z00_19279;
				obj_t BgL_bodyz00_19280;
				long BgL_siza7ezd2framez75_19281;

				BgL_iboxesz00_19278 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19277, (int) (((long) 0))));
				BgL_i1321z00_19279 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19277, (int) (((long) 1))));
				BgL_bodyz00_19280 = PROCEDURE_REF(BgL_envz00_19277, (int) (((long) 2)));
				BgL_siza7ezd2framez75_19281 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19277, (int) (((long) 3))));
				{
					obj_t BgL_sz00_5232;

					BgL_sz00_5232 = BgL_sz00_19282;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5234;

						BgL_bpz00_5234 = VECTOR_REF(BgL_sz00_5232, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19026;

								BgL_runz00_19026 =
									MAKE_FX_PROCEDURE(BGl_z62run5898z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_19026,
									(int) (((long) 0)), BgL_iboxesz00_19278);
								PROCEDURE_SET(BgL_runz00_19026,
									(int) (((long) 1)), ((obj_t) BgL_i1321z00_19279));
								PROCEDURE_SET(BgL_runz00_19026,
									(int) (((long) 2)), BgL_bodyz00_19280);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19028;

									BgL_mainz00_19028 =
										MAKE_FX_PROCEDURE(BGl_z62main5897z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_19028,
										(int) (((long) 0)), BgL_iboxesz00_19278);
									PROCEDURE_SET(BgL_mainz00_19028,
										(int) (((long) 1)), ((obj_t) BgL_i1321z00_19279));
									PROCEDURE_SET(BgL_mainz00_19028,
										(int) (((long) 2)), BgL_bodyz00_19280);
									PROCEDURE_SET(BgL_mainz00_19028,
										(int) (((long) 3)), BgL_runz00_19026);
									PROCEDURE_SET(BgL_mainz00_19028,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_19281));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_17018;

										BgL_objz00_17018 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19026, BgL_objz00_17018);
										BgL_objz00_17018;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3896z00_5237;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3897z00_5238;

											BgL_arg3897z00_5238 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19279))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_17022;

												BgL_newz00_17022 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_29826;

													BgL_auxz00_29826 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_17022, BgL_auxz00_29826,
														BgL_arg3897z00_5238);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_29831;
													int BgL_auxz00_29829;

													BgL_auxz00_29831 = BINT(BgL_siza7ezd2framez75_19281);
													BgL_auxz00_29829 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_17022, BgL_auxz00_29829,
														BgL_auxz00_29831);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_29834;

													BgL_auxz00_29834 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_17022, BgL_auxz00_29834,
														BgL_runz00_19026);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_29839;
													int BgL_auxz00_29837;

													BgL_auxz00_29839 = BINT(((long) 4));
													BgL_auxz00_29837 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_17022, BgL_auxz00_29837,
														BgL_auxz00_29839);
												}
												BgL_arg3896z00_5237 = BgL_newz00_17022;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19028, BgL_arg3896z00_5237);
										BgL_arg3896z00_5237;
									}
									return BgL_mainz00_19028;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5897 */
	obj_t BGl_z62main5897z62zz__evaluate_compz00(obj_t BgL_envz00_19283,
		obj_t BgL_az00_19289, obj_t BgL_bz00_19290, obj_t BgL_cz00_19291,
		obj_t BgL_dz00_19292)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19287;
				long BgL_siza7ezd2framez75_19288;

				BgL_runz00_19287 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19283, (int) (((long) 3))));
				BgL_siza7ezd2framez75_19288 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19283, (int) (((long) 4))));
				{
					obj_t BgL_az00_5239;
					obj_t BgL_bz00_5240;
					obj_t BgL_cz00_5241;
					obj_t BgL_dz00_5242;

					BgL_az00_5239 = BgL_az00_19289;
					BgL_bz00_5240 = BgL_bz00_19290;
					BgL_cz00_5241 = BgL_cz00_19291;
					BgL_dz00_5242 = BgL_dz00_19292;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5244;

						BgL_sz00_5244 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5245;

							BgL_bpz00_5245 = VECTOR_REF(BgL_sz00_5244, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_29852;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_16933;

									BgL_arg1970z00_16933 = VECTOR_LENGTH(BgL_sz00_5244);
									BgL_testz00_29852 =
										(
										((long) CINT(BgL_bpz00_5245) +
											BgL_siza7ezd2framez75_19288) <
										(long) (BgL_arg1970z00_16933));
								}
								if (BgL_testz00_29852)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3900z00_5247;

											BgL_arg3900z00_5247 =
												((long) CINT(BgL_bpz00_5245) + ((long) 0));
											VECTOR_SET(BgL_sz00_5244,
												(int) (BgL_arg3900z00_5247), BgL_az00_5239);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3901z00_5248;

											BgL_arg3901z00_5248 =
												((long) CINT(BgL_bpz00_5245) + ((long) 1));
											VECTOR_SET(BgL_sz00_5244,
												(int) (BgL_arg3901z00_5248), BgL_bz00_5240);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3902z00_5249;

											BgL_arg3902z00_5249 =
												((long) CINT(BgL_bpz00_5245) + ((long) 2));
											VECTOR_SET(BgL_sz00_5244,
												(int) (BgL_arg3902z00_5249), BgL_cz00_5241);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3903z00_5250;

											BgL_arg3903z00_5250 =
												((long) CINT(BgL_bpz00_5245) + ((long) 3));
											VECTOR_SET(BgL_sz00_5244,
												(int) (BgL_arg3903z00_5250), BgL_dz00_5242);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1546z00_5251;

											BgL_exitd1546z00_5251 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33904ze3z83_19027;

												BgL_zc3anonymousza33904ze3z83_19027 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33904ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33904ze3z83_19027,
													(int) (((long) 0)), BgL_sz00_5244);
												PROCEDURE_SET(BgL_zc3anonymousza33904ze3z83_19027,
													(int) (((long) 1)), BgL_bpz00_5245);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1546z00_5251,
													BgL_zc3anonymousza33904ze3z83_19027);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1548z00_5253;

													BgL_tmp1548z00_5253 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19287, BgL_sz00_5244, BgL_bpz00_5245);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1546z00_5251);
													VECTOR_SET(BgL_sz00_5244, (int) (((long) 0)),
														BgL_bpz00_5245);
													return BgL_tmp1548z00_5253;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5256;

										BgL_nsz00_5256 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5256,
											(int) (((long) 1)), BgL_sz00_5244);
										VECTOR_SET(BgL_nsz00_5256,
											(int) (((long) 2)), BgL_az00_5239);
										VECTOR_SET(BgL_nsz00_5256,
											(int) (((long) 3)), BgL_bz00_5240);
										VECTOR_SET(BgL_nsz00_5256,
											(int) (((long) 4)), BgL_cz00_5241);
										VECTOR_SET(BgL_nsz00_5256,
											(int) (((long) 5)), BgL_dz00_5242);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_29898;

											BgL_auxz00_29898 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_29898, BgL_nsz00_5256);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1549z00_5258;

											BgL_exitd1549z00_5258 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33906ze3z83_19025;

												BgL_zc3anonymousza33906ze3z83_19025 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33906ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33906ze3z83_19025,
													(int) (((long) 0)), BgL_sz00_5244);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1549z00_5258,
													BgL_zc3anonymousza33906ze3z83_19025);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1551z00_5260;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_16991;

														BgL_savedzd2bpzd2_16991 =
															VECTOR_REF(BgL_nsz00_5256, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5256,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_16998;

															BgL_fz00_16998 = BgL_runz00_19287;
														BgL_recz00_16997:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_16999;

																BgL_rz00_16999 =
																	PROCEDURE_ENTRY(BgL_fz00_16998)
																	(BgL_fz00_16998, BgL_nsz00_5256, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_29917;

																	if (PROCEDUREP(BgL_rz00_16999))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_17004;

																			BgL_arg1962z00_17004 =
																				PROCEDURE_ATTR(BgL_rz00_16999);
																			if (STRUCTP(BgL_arg1962z00_17004))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29917 =
																						(STRUCT_KEY(BgL_arg1962z00_17004) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_29917 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_29917 = ((bool_t) 0);
																		}
																	if (BgL_testz00_29917)
																		{
																			obj_t BgL_fz00_29925;

																			BgL_fz00_29925 = BgL_rz00_16999;
																			BgL_fz00_16998 = BgL_fz00_29925;
																			goto BgL_recz00_16997;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5256,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_16991);
																			BgL_tmp1551z00_5260 = BgL_rz00_16999;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1549z00_5258);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_29929;

														BgL_auxz00_29929 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_29929,
															BgL_sz00_5244);
													}
													return BgL_tmp1551z00_5260;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3904> */
	obj_t BGl_z62zc3anonymousza33904ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19293)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19294;
				obj_t BgL_bpz00_19295;

				BgL_sz00_19294 = PROCEDURE_REF(BgL_envz00_19293, (int) (((long) 0)));
				BgL_bpz00_19295 = PROCEDURE_REF(BgL_envz00_19293, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19294, (int) (((long) 0)), BgL_bpz00_19295);
		}}}
	}



/* &run5898 */
	obj_t BGl_z62run5898z62zz__evaluate_compz00(obj_t BgL_envz00_19296,
		obj_t BgL_sz00_19300)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19297;
				BgL_ev_absz00_bglt BgL_i1321z00_19298;
				obj_t BgL_bodyz00_19299;

				BgL_iboxesz00_19297 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19296, (int) (((long) 0))));
				BgL_i1321z00_19298 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19296, (int) (((long) 1))));
				BgL_bodyz00_19299 = PROCEDURE_REF(BgL_envz00_19296, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5265;

					BgL_sz00_5265 = BgL_sz00_19300;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5267;

						BgL_bpz00_5267 = VECTOR_REF(BgL_sz00_5265, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5265,
							BgL_iboxesz00_19297, BgL_bpz00_5267);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_5268;
							obj_t BgL_wherez00_5269;
							obj_t BgL_locz00_5270;

							BgL_z12denvz12_5268 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5269 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19298))->BgL_wherez00);
							BgL_locz00_5270 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19298))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5268, BgL_wherez00_5269,
									BgL_locz00_5270);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_5271;

									BgL_za2za2resza2za2z00_5271 =
										PROCEDURE_ENTRY(BgL_bodyz00_19299) (BgL_bodyz00_19299,
										BgL_sz00_5265, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5268);
									return BgL_za2za2resza2za2z00_5271;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3906> */
	obj_t BGl_z62zc3anonymousza33906ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19301)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19302;

				BgL_sz00_19302 = PROCEDURE_REF(BgL_envz00_19301, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_29960;

						BgL_auxz00_29960 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_29960, BgL_sz00_19302);
					}
				}
			}
		}
	}



/* &<anonymous:3911> */
	obj_t BGl_z62zc3anonymousza33911ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19303, obj_t BgL_sz00_19309)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19304;
				long BgL_siza7eza7_19305;
				BgL_ev_absz00_bglt BgL_i1321z00_19306;
				obj_t BgL_bodyz00_19307;
				long BgL_siza7ezd2framez75_19308;

				BgL_ifreesz00_19304 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19303, (int) (((long) 0))));
				BgL_siza7eza7_19305 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19303, (int) (((long) 1))));
				BgL_i1321z00_19306 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19303, (int) (((long) 2))));
				BgL_bodyz00_19307 = PROCEDURE_REF(BgL_envz00_19303, (int) (((long) 3)));
				BgL_siza7ezd2framez75_19308 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19303, (int) (((long) 4))));
				{
					obj_t BgL_sz00_5275;

					BgL_sz00_5275 = BgL_sz00_19309;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5277;

						BgL_bpz00_5277 = VECTOR_REF(BgL_sz00_5275, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_5278;

							BgL_valza2za2_5278 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5275,
								BgL_bpz00_5277, BgL_ifreesz00_19304);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19021;

								BgL_runz00_19021 =
									MAKE_FX_PROCEDURE(BGl_z62run5900z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_19021,
									(int) (((long) 0)), BINT(BgL_siza7eza7_19305));
								PROCEDURE_SET(BgL_runz00_19021,
									(int) (((long) 1)), BgL_valza2za2_5278);
								PROCEDURE_SET(BgL_runz00_19021,
									(int) (((long) 2)), ((obj_t) BgL_i1321z00_19306));
								PROCEDURE_SET(BgL_runz00_19021,
									(int) (((long) 3)), BgL_bodyz00_19307);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19023;

									BgL_mainz00_19023 =
										MAKE_FX_PROCEDURE(BGl_z62main5899z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_19023,
										(int) (((long) 0)), BINT(BgL_siza7eza7_19305));
									PROCEDURE_SET(BgL_mainz00_19023,
										(int) (((long) 1)), BgL_valza2za2_5278);
									PROCEDURE_SET(BgL_mainz00_19023,
										(int) (((long) 2)), ((obj_t) BgL_i1321z00_19306));
									PROCEDURE_SET(BgL_mainz00_19023,
										(int) (((long) 3)), BgL_bodyz00_19307);
									PROCEDURE_SET(BgL_mainz00_19023,
										(int) (((long) 4)), BgL_runz00_19021);
									PROCEDURE_SET(BgL_mainz00_19023,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_19308));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_17145;

										BgL_objz00_17145 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19021, BgL_objz00_17145);
										BgL_objz00_17145;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3912z00_5281;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3913z00_5282;

											BgL_arg3913z00_5282 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19306))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_17149;

												BgL_newz00_17149 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_30015;

													BgL_auxz00_30015 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_17149, BgL_auxz00_30015,
														BgL_arg3913z00_5282);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_30020;
													int BgL_auxz00_30018;

													BgL_auxz00_30020 = BINT(BgL_siza7ezd2framez75_19308);
													BgL_auxz00_30018 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_17149, BgL_auxz00_30018,
														BgL_auxz00_30020);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_30023;

													BgL_auxz00_30023 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_17149, BgL_auxz00_30023,
														BgL_runz00_19021);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_30028;
													int BgL_auxz00_30026;

													BgL_auxz00_30028 = BINT(((long) 4));
													BgL_auxz00_30026 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_17149, BgL_auxz00_30026,
														BgL_auxz00_30028);
												}
												BgL_arg3912z00_5281 = BgL_newz00_17149;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19023, BgL_arg3912z00_5281);
										BgL_arg3912z00_5281;
									}
									return BgL_mainz00_19023;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5899 */
	obj_t BGl_z62main5899z62zz__evaluate_compz00(obj_t BgL_envz00_19310,
		obj_t BgL_az00_19317, obj_t BgL_bz00_19318, obj_t BgL_cz00_19319,
		obj_t BgL_dz00_19320)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19315;
				long BgL_siza7ezd2framez75_19316;

				BgL_runz00_19315 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19310, (int) (((long) 4))));
				BgL_siza7ezd2framez75_19316 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19310, (int) (((long) 5))));
				{
					obj_t BgL_az00_5283;
					obj_t BgL_bz00_5284;
					obj_t BgL_cz00_5285;
					obj_t BgL_dz00_5286;

					BgL_az00_5283 = BgL_az00_19317;
					BgL_bz00_5284 = BgL_bz00_19318;
					BgL_cz00_5285 = BgL_cz00_19319;
					BgL_dz00_5286 = BgL_dz00_19320;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5288;

						BgL_sz00_5288 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5289;

							BgL_bpz00_5289 = VECTOR_REF(BgL_sz00_5288, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_30041;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_17060;

									BgL_arg1970z00_17060 = VECTOR_LENGTH(BgL_sz00_5288);
									BgL_testz00_30041 =
										(
										((long) CINT(BgL_bpz00_5289) +
											BgL_siza7ezd2framez75_19316) <
										(long) (BgL_arg1970z00_17060));
								}
								if (BgL_testz00_30041)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3916z00_5291;

											BgL_arg3916z00_5291 =
												((long) CINT(BgL_bpz00_5289) + ((long) 0));
											VECTOR_SET(BgL_sz00_5288,
												(int) (BgL_arg3916z00_5291), BgL_az00_5283);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3917z00_5292;

											BgL_arg3917z00_5292 =
												((long) CINT(BgL_bpz00_5289) + ((long) 1));
											VECTOR_SET(BgL_sz00_5288,
												(int) (BgL_arg3917z00_5292), BgL_bz00_5284);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3918z00_5293;

											BgL_arg3918z00_5293 =
												((long) CINT(BgL_bpz00_5289) + ((long) 2));
											VECTOR_SET(BgL_sz00_5288,
												(int) (BgL_arg3918z00_5293), BgL_cz00_5285);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3919z00_5294;

											BgL_arg3919z00_5294 =
												((long) CINT(BgL_bpz00_5289) + ((long) 3));
											VECTOR_SET(BgL_sz00_5288,
												(int) (BgL_arg3919z00_5294), BgL_dz00_5286);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1552z00_5295;

											BgL_exitd1552z00_5295 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33920ze3z83_19022;

												BgL_zc3anonymousza33920ze3z83_19022 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33920ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33920ze3z83_19022,
													(int) (((long) 0)), BgL_sz00_5288);
												PROCEDURE_SET(BgL_zc3anonymousza33920ze3z83_19022,
													(int) (((long) 1)), BgL_bpz00_5289);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1552z00_5295,
													BgL_zc3anonymousza33920ze3z83_19022);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1554z00_5297;

													BgL_tmp1554z00_5297 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19315, BgL_sz00_5288, BgL_bpz00_5289);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1552z00_5295);
													VECTOR_SET(BgL_sz00_5288, (int) (((long) 0)),
														BgL_bpz00_5289);
													return BgL_tmp1554z00_5297;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5300;

										BgL_nsz00_5300 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5300,
											(int) (((long) 1)), BgL_sz00_5288);
										VECTOR_SET(BgL_nsz00_5300,
											(int) (((long) 2)), BgL_az00_5283);
										VECTOR_SET(BgL_nsz00_5300,
											(int) (((long) 3)), BgL_bz00_5284);
										VECTOR_SET(BgL_nsz00_5300,
											(int) (((long) 4)), BgL_cz00_5285);
										VECTOR_SET(BgL_nsz00_5300,
											(int) (((long) 5)), BgL_dz00_5286);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_30087;

											BgL_auxz00_30087 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30087, BgL_nsz00_5300);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1555z00_5302;

											BgL_exitd1555z00_5302 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33922ze3z83_19020;

												BgL_zc3anonymousza33922ze3z83_19020 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33922ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33922ze3z83_19020,
													(int) (((long) 0)), BgL_sz00_5288);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1555z00_5302,
													BgL_zc3anonymousza33922ze3z83_19020);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1557z00_5304;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_17118;

														BgL_savedzd2bpzd2_17118 =
															VECTOR_REF(BgL_nsz00_5300, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5300,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_17125;

															BgL_fz00_17125 = BgL_runz00_19315;
														BgL_recz00_17124:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_17126;

																BgL_rz00_17126 =
																	PROCEDURE_ENTRY(BgL_fz00_17125)
																	(BgL_fz00_17125, BgL_nsz00_5300, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_30106;

																	if (PROCEDUREP(BgL_rz00_17126))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_17131;

																			BgL_arg1962z00_17131 =
																				PROCEDURE_ATTR(BgL_rz00_17126);
																			if (STRUCTP(BgL_arg1962z00_17131))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30106 =
																						(STRUCT_KEY(BgL_arg1962z00_17131) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30106 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_30106 = ((bool_t) 0);
																		}
																	if (BgL_testz00_30106)
																		{
																			obj_t BgL_fz00_30114;

																			BgL_fz00_30114 = BgL_rz00_17126;
																			BgL_fz00_17125 = BgL_fz00_30114;
																			goto BgL_recz00_17124;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5300,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_17118);
																			BgL_tmp1557z00_5304 = BgL_rz00_17126;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1555z00_5302);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_30118;

														BgL_auxz00_30118 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_30118,
															BgL_sz00_5288);
													}
													return BgL_tmp1557z00_5304;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3920> */
	obj_t BGl_z62zc3anonymousza33920ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19321)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19322;
				obj_t BgL_bpz00_19323;

				BgL_sz00_19322 = PROCEDURE_REF(BgL_envz00_19321, (int) (((long) 0)));
				BgL_bpz00_19323 = PROCEDURE_REF(BgL_envz00_19321, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19322, (int) (((long) 0)), BgL_bpz00_19323);
		}}}
	}



/* &run5900 */
	obj_t BGl_z62run5900z62zz__evaluate_compz00(obj_t BgL_envz00_19324,
		obj_t BgL_sz00_19329)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_19325;
				obj_t BgL_valza2za2_19326;
				BgL_ev_absz00_bglt BgL_i1321z00_19327;
				obj_t BgL_bodyz00_19328;

				BgL_siza7eza7_19325 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19324, (int) (((long) 0))));
				BgL_valza2za2_19326 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19324, (int) (((long) 1))));
				BgL_i1321z00_19327 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19324, (int) (((long) 2))));
				BgL_bodyz00_19328 = PROCEDURE_REF(BgL_envz00_19324, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5309;

					BgL_sz00_5309 = BgL_sz00_19329;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5311;

						BgL_bpz00_5311 = VECTOR_REF(BgL_sz00_5309, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5309,
							BgL_valza2za2_19326,
							((long) CINT(BgL_bpz00_5311) + BgL_siza7eza7_19325));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_5313;
							obj_t BgL_wherez00_5314;
							obj_t BgL_locz00_5315;

							BgL_z12denvz12_5313 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5314 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19327))->BgL_wherez00);
							BgL_locz00_5315 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19327))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5313, BgL_wherez00_5314,
									BgL_locz00_5315);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_5316;

									BgL_za2za2resza2za2z00_5316 =
										PROCEDURE_ENTRY(BgL_bodyz00_19328) (BgL_bodyz00_19328,
										BgL_sz00_5309, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5313);
									return BgL_za2za2resza2za2z00_5316;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3922> */
	obj_t BGl_z62zc3anonymousza33922ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19330)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19331;

				BgL_sz00_19331 = PROCEDURE_REF(BgL_envz00_19330, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_30154;

						BgL_auxz00_30154 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_30154, BgL_sz00_19331);
					}
				}
			}
		}
	}



/* &<anonymous:3926> */
	obj_t BGl_z62zc3anonymousza33926ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19332, obj_t BgL_sz00_19339)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19333;
				obj_t BgL_iboxesz00_19334;
				long BgL_siza7eza7_19335;
				BgL_ev_absz00_bglt BgL_i1321z00_19336;
				obj_t BgL_bodyz00_19337;
				long BgL_siza7ezd2framez75_19338;

				BgL_ifreesz00_19333 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19332, (int) (((long) 0))));
				BgL_iboxesz00_19334 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19332, (int) (((long) 1))));
				BgL_siza7eza7_19335 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19332, (int) (((long) 2))));
				BgL_i1321z00_19336 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19332, (int) (((long) 3))));
				BgL_bodyz00_19337 = PROCEDURE_REF(BgL_envz00_19332, (int) (((long) 4)));
				BgL_siza7ezd2framez75_19338 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19332, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5318;

					BgL_sz00_5318 = BgL_sz00_19339;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5320;

						BgL_bpz00_5320 = VECTOR_REF(BgL_sz00_5318, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_5321;

							BgL_valza2za2_5321 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5318,
								BgL_bpz00_5320, BgL_ifreesz00_19333);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19016;

								BgL_runz00_19016 =
									MAKE_FX_PROCEDURE(BGl_z62run5902z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_19016,
									(int) (((long) 0)), BgL_iboxesz00_19334);
								PROCEDURE_SET(BgL_runz00_19016,
									(int) (((long) 1)), BINT(BgL_siza7eza7_19335));
								PROCEDURE_SET(BgL_runz00_19016,
									(int) (((long) 2)), BgL_valza2za2_5321);
								PROCEDURE_SET(BgL_runz00_19016,
									(int) (((long) 3)), ((obj_t) BgL_i1321z00_19336));
								PROCEDURE_SET(BgL_runz00_19016,
									(int) (((long) 4)), BgL_bodyz00_19337);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19018;

									BgL_mainz00_19018 =
										MAKE_FX_PROCEDURE(BGl_z62main5901z62zz__evaluate_compz00,
										(int) (((long) 4)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_19018,
										(int) (((long) 0)), BgL_iboxesz00_19334);
									PROCEDURE_SET(BgL_mainz00_19018,
										(int) (((long) 1)), BINT(BgL_siza7eza7_19335));
									PROCEDURE_SET(BgL_mainz00_19018,
										(int) (((long) 2)), BgL_valza2za2_5321);
									PROCEDURE_SET(BgL_mainz00_19018,
										(int) (((long) 3)), ((obj_t) BgL_i1321z00_19336));
									PROCEDURE_SET(BgL_mainz00_19018,
										(int) (((long) 4)), BgL_bodyz00_19337);
									PROCEDURE_SET(BgL_mainz00_19018,
										(int) (((long) 5)), BgL_runz00_19016);
									PROCEDURE_SET(BgL_mainz00_19018,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_19338));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_17268;

										BgL_objz00_17268 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19016, BgL_objz00_17268);
										BgL_objz00_17268;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3927z00_5324;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3928z00_5325;

											BgL_arg3928z00_5325 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19336))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_17272;

												BgL_newz00_17272 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_30216;

													BgL_auxz00_30216 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_17272, BgL_auxz00_30216,
														BgL_arg3928z00_5325);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_30221;
													int BgL_auxz00_30219;

													BgL_auxz00_30221 = BINT(BgL_siza7ezd2framez75_19338);
													BgL_auxz00_30219 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_17272, BgL_auxz00_30219,
														BgL_auxz00_30221);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_30224;

													BgL_auxz00_30224 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_17272, BgL_auxz00_30224,
														BgL_runz00_19016);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_30229;
													int BgL_auxz00_30227;

													BgL_auxz00_30229 = BINT(((long) 4));
													BgL_auxz00_30227 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_17272, BgL_auxz00_30227,
														BgL_auxz00_30229);
												}
												BgL_arg3927z00_5324 = BgL_newz00_17272;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19018, BgL_arg3927z00_5324);
										BgL_arg3927z00_5324;
									}
									return BgL_mainz00_19018;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5901 */
	obj_t BGl_z62main5901z62zz__evaluate_compz00(obj_t BgL_envz00_19340,
		obj_t BgL_az00_19348, obj_t BgL_bz00_19349, obj_t BgL_cz00_19350,
		obj_t BgL_dz00_19351)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19346;
				long BgL_siza7ezd2framez75_19347;

				BgL_runz00_19346 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19340, (int) (((long) 5))));
				BgL_siza7ezd2framez75_19347 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19340, (int) (((long) 6))));
				{
					obj_t BgL_az00_5326;
					obj_t BgL_bz00_5327;
					obj_t BgL_cz00_5328;
					obj_t BgL_dz00_5329;

					BgL_az00_5326 = BgL_az00_19348;
					BgL_bz00_5327 = BgL_bz00_19349;
					BgL_cz00_5328 = BgL_cz00_19350;
					BgL_dz00_5329 = BgL_dz00_19351;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5331;

						BgL_sz00_5331 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5332;

							BgL_bpz00_5332 = VECTOR_REF(BgL_sz00_5331, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_30242;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_17183;

									BgL_arg1970z00_17183 = VECTOR_LENGTH(BgL_sz00_5331);
									BgL_testz00_30242 =
										(
										((long) CINT(BgL_bpz00_5332) +
											BgL_siza7ezd2framez75_19347) <
										(long) (BgL_arg1970z00_17183));
								}
								if (BgL_testz00_30242)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3931z00_5334;

											BgL_arg3931z00_5334 =
												((long) CINT(BgL_bpz00_5332) + ((long) 0));
											VECTOR_SET(BgL_sz00_5331,
												(int) (BgL_arg3931z00_5334), BgL_az00_5326);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3932z00_5335;

											BgL_arg3932z00_5335 =
												((long) CINT(BgL_bpz00_5332) + ((long) 1));
											VECTOR_SET(BgL_sz00_5331,
												(int) (BgL_arg3932z00_5335), BgL_bz00_5327);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3933z00_5336;

											BgL_arg3933z00_5336 =
												((long) CINT(BgL_bpz00_5332) + ((long) 2));
											VECTOR_SET(BgL_sz00_5331,
												(int) (BgL_arg3933z00_5336), BgL_cz00_5328);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3934z00_5337;

											BgL_arg3934z00_5337 =
												((long) CINT(BgL_bpz00_5332) + ((long) 3));
											VECTOR_SET(BgL_sz00_5331,
												(int) (BgL_arg3934z00_5337), BgL_dz00_5329);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1558z00_5338;

											BgL_exitd1558z00_5338 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33935ze3z83_19017;

												BgL_zc3anonymousza33935ze3z83_19017 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33935ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33935ze3z83_19017,
													(int) (((long) 0)), BgL_sz00_5331);
												PROCEDURE_SET(BgL_zc3anonymousza33935ze3z83_19017,
													(int) (((long) 1)), BgL_bpz00_5332);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1558z00_5338,
													BgL_zc3anonymousza33935ze3z83_19017);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1560z00_5340;

													BgL_tmp1560z00_5340 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19346, BgL_sz00_5331, BgL_bpz00_5332);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1558z00_5338);
													VECTOR_SET(BgL_sz00_5331, (int) (((long) 0)),
														BgL_bpz00_5332);
													return BgL_tmp1560z00_5340;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5343;

										BgL_nsz00_5343 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5343,
											(int) (((long) 1)), BgL_sz00_5331);
										VECTOR_SET(BgL_nsz00_5343,
											(int) (((long) 2)), BgL_az00_5326);
										VECTOR_SET(BgL_nsz00_5343,
											(int) (((long) 3)), BgL_bz00_5327);
										VECTOR_SET(BgL_nsz00_5343,
											(int) (((long) 4)), BgL_cz00_5328);
										VECTOR_SET(BgL_nsz00_5343,
											(int) (((long) 5)), BgL_dz00_5329);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_30288;

											BgL_auxz00_30288 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30288, BgL_nsz00_5343);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1561z00_5345;

											BgL_exitd1561z00_5345 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33937ze3z83_19015;

												BgL_zc3anonymousza33937ze3z83_19015 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33937ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33937ze3z83_19015,
													(int) (((long) 0)), BgL_sz00_5331);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1561z00_5345,
													BgL_zc3anonymousza33937ze3z83_19015);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1563z00_5347;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_17241;

														BgL_savedzd2bpzd2_17241 =
															VECTOR_REF(BgL_nsz00_5343, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5343,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_17248;

															BgL_fz00_17248 = BgL_runz00_19346;
														BgL_recz00_17247:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_17249;

																BgL_rz00_17249 =
																	PROCEDURE_ENTRY(BgL_fz00_17248)
																	(BgL_fz00_17248, BgL_nsz00_5343, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_30307;

																	if (PROCEDUREP(BgL_rz00_17249))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_17254;

																			BgL_arg1962z00_17254 =
																				PROCEDURE_ATTR(BgL_rz00_17249);
																			if (STRUCTP(BgL_arg1962z00_17254))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30307 =
																						(STRUCT_KEY(BgL_arg1962z00_17254) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30307 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_30307 = ((bool_t) 0);
																		}
																	if (BgL_testz00_30307)
																		{
																			obj_t BgL_fz00_30315;

																			BgL_fz00_30315 = BgL_rz00_17249;
																			BgL_fz00_17248 = BgL_fz00_30315;
																			goto BgL_recz00_17247;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5343,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_17241);
																			BgL_tmp1563z00_5347 = BgL_rz00_17249;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1561z00_5345);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_30319;

														BgL_auxz00_30319 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_30319,
															BgL_sz00_5331);
													}
													return BgL_tmp1563z00_5347;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3935> */
	obj_t BGl_z62zc3anonymousza33935ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19352)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19353;
				obj_t BgL_bpz00_19354;

				BgL_sz00_19353 = PROCEDURE_REF(BgL_envz00_19352, (int) (((long) 0)));
				BgL_bpz00_19354 = PROCEDURE_REF(BgL_envz00_19352, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19353, (int) (((long) 0)), BgL_bpz00_19354);
		}}}
	}



/* &run5902 */
	obj_t BGl_z62run5902z62zz__evaluate_compz00(obj_t BgL_envz00_19355,
		obj_t BgL_sz00_19361)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19356;
				long BgL_siza7eza7_19357;
				obj_t BgL_valza2za2_19358;
				BgL_ev_absz00_bglt BgL_i1321z00_19359;
				obj_t BgL_bodyz00_19360;

				BgL_iboxesz00_19356 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19355, (int) (((long) 0))));
				BgL_siza7eza7_19357 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19355, (int) (((long) 1))));
				BgL_valza2za2_19358 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19355, (int) (((long) 2))));
				BgL_i1321z00_19359 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19355, (int) (((long) 3))));
				BgL_bodyz00_19360 = PROCEDURE_REF(BgL_envz00_19355, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5352;

					BgL_sz00_5352 = BgL_sz00_19361;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5354;

						BgL_bpz00_5354 = VECTOR_REF(BgL_sz00_5352, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5352,
							BgL_iboxesz00_19356, BgL_bpz00_5354);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5352,
							BgL_valza2za2_19358,
							((long) CINT(BgL_bpz00_5354) + BgL_siza7eza7_19357));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_5356;
							obj_t BgL_wherez00_5357;
							obj_t BgL_locz00_5358;

							BgL_z12denvz12_5356 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5357 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19359))->BgL_wherez00);
							BgL_locz00_5358 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19359))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5356, BgL_wherez00_5357,
									BgL_locz00_5358);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_5359;

									BgL_za2za2resza2za2z00_5359 =
										PROCEDURE_ENTRY(BgL_bodyz00_19360) (BgL_bodyz00_19360,
										BgL_sz00_5352, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5356);
									return BgL_za2za2resza2za2z00_5359;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3937> */
	obj_t BGl_z62zc3anonymousza33937ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19362)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19363;

				BgL_sz00_19363 = PROCEDURE_REF(BgL_envz00_19362, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_30359;

						BgL_auxz00_30359 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_30359, BgL_sz00_19363);
					}
				}
			}
		}
	}



/* &<anonymous:3817> */
	obj_t BGl_z62zc3anonymousza33817ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19364, obj_t BgL_sz00_19368)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_19365;
				obj_t BgL_bodyz00_19366;
				long BgL_siza7ezd2framez75_19367;

				BgL_i1321z00_19365 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19364, (int) (((long) 0))));
				BgL_bodyz00_19366 = PROCEDURE_REF(BgL_envz00_19364, (int) (((long) 1)));
				BgL_siza7ezd2framez75_19367 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19364, (int) (((long) 2))));
				{
					obj_t BgL_sz00_5017;

					BgL_sz00_5017 = BgL_sz00_19368;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5019;

						BgL_bpz00_5019 = VECTOR_REF(BgL_sz00_5017, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19011;

								BgL_runz00_19011 =
									MAKE_FX_PROCEDURE(BGl_z62run5904z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_19011,
									(int) (((long) 0)), ((obj_t) BgL_i1321z00_19365));
								PROCEDURE_SET(BgL_runz00_19011,
									(int) (((long) 1)), BgL_bodyz00_19366);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19013;

									BgL_mainz00_19013 =
										MAKE_VA_PROCEDURE(BGl_z62main5903z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_19013,
										(int) (((long) 0)), ((obj_t) BgL_i1321z00_19365));
									PROCEDURE_SET(BgL_mainz00_19013,
										(int) (((long) 1)), BgL_bodyz00_19366);
									PROCEDURE_SET(BgL_mainz00_19013,
										(int) (((long) 2)), BgL_runz00_19011);
									PROCEDURE_SET(BgL_mainz00_19013,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_19367));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_16400;

										BgL_objz00_16400 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19011, BgL_objz00_16400);
										BgL_objz00_16400;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3818z00_5022;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3819z00_5023;

											BgL_arg3819z00_5023 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19365))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_16404;

												BgL_newz00_16404 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_30397;

													BgL_auxz00_30397 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_16404, BgL_auxz00_30397,
														BgL_arg3819z00_5023);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_30402;
													int BgL_auxz00_30400;

													BgL_auxz00_30402 = BINT(BgL_siza7ezd2framez75_19367);
													BgL_auxz00_30400 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_16404, BgL_auxz00_30400,
														BgL_auxz00_30402);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_30405;

													BgL_auxz00_30405 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_16404, BgL_auxz00_30405,
														BgL_runz00_19011);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_30410;
													int BgL_auxz00_30408;

													BgL_auxz00_30410 = BINT(((long) -4));
													BgL_auxz00_30408 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_16404, BgL_auxz00_30408,
														BgL_auxz00_30410);
												}
												BgL_arg3818z00_5022 = BgL_newz00_16404;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19013, BgL_arg3818z00_5022);
										BgL_arg3818z00_5022;
									}
									return BgL_mainz00_19013;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5903 */
	obj_t BGl_z62main5903z62zz__evaluate_compz00(obj_t BgL_envz00_19369,
		obj_t BgL_bz00_19374, obj_t BgL_cz00_19375, obj_t BgL_dz00_19376,
		obj_t BgL_lastz00_19377)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19372;
				long BgL_siza7ezd2framez75_19373;

				BgL_runz00_19372 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19369, (int) (((long) 2))));
				BgL_siza7ezd2framez75_19373 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19369, (int) (((long) 3))));
				{
					obj_t BgL_bz00_5024;
					obj_t BgL_cz00_5025;
					obj_t BgL_dz00_5026;
					obj_t BgL_lastz00_5027;

					BgL_bz00_5024 = BgL_bz00_19374;
					BgL_cz00_5025 = BgL_cz00_19375;
					BgL_dz00_5026 = BgL_dz00_19376;
					BgL_lastz00_5027 = BgL_lastz00_19377;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5029;

						BgL_sz00_5029 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5030;

							BgL_bpz00_5030 = VECTOR_REF(BgL_sz00_5029, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_30423;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_16315;

									BgL_arg1970z00_16315 = VECTOR_LENGTH(BgL_sz00_5029);
									BgL_testz00_30423 =
										(
										((long) CINT(BgL_bpz00_5030) +
											BgL_siza7ezd2framez75_19373) <
										(long) (BgL_arg1970z00_16315));
								}
								if (BgL_testz00_30423)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3822z00_5032;

											BgL_arg3822z00_5032 =
												((long) CINT(BgL_bpz00_5030) + ((long) 0));
											VECTOR_SET(BgL_sz00_5029,
												(int) (BgL_arg3822z00_5032), BgL_bz00_5024);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3823z00_5033;

											BgL_arg3823z00_5033 =
												((long) CINT(BgL_bpz00_5030) + ((long) 1));
											VECTOR_SET(BgL_sz00_5029,
												(int) (BgL_arg3823z00_5033), BgL_cz00_5025);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3824z00_5034;

											BgL_arg3824z00_5034 =
												((long) CINT(BgL_bpz00_5030) + ((long) 2));
											VECTOR_SET(BgL_sz00_5029,
												(int) (BgL_arg3824z00_5034), BgL_dz00_5026);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3825z00_5035;

											BgL_arg3825z00_5035 =
												((long) CINT(BgL_bpz00_5030) + ((long) 3));
											VECTOR_SET(BgL_sz00_5029,
												(int) (BgL_arg3825z00_5035), BgL_lastz00_5027);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1516z00_5036;

											BgL_exitd1516z00_5036 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33826ze3z83_19012;

												BgL_zc3anonymousza33826ze3z83_19012 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33826ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33826ze3z83_19012,
													(int) (((long) 0)), BgL_sz00_5029);
												PROCEDURE_SET(BgL_zc3anonymousza33826ze3z83_19012,
													(int) (((long) 1)), BgL_bpz00_5030);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1516z00_5036,
													BgL_zc3anonymousza33826ze3z83_19012);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1518z00_5038;

													BgL_tmp1518z00_5038 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19372, BgL_sz00_5029, BgL_bpz00_5030);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1516z00_5036);
													VECTOR_SET(BgL_sz00_5029, (int) (((long) 0)),
														BgL_bpz00_5030);
													return BgL_tmp1518z00_5038;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5041;

										BgL_nsz00_5041 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5041,
											(int) (((long) 1)), BgL_sz00_5029);
										VECTOR_SET(BgL_nsz00_5041,
											(int) (((long) 2)), BgL_bz00_5024);
										VECTOR_SET(BgL_nsz00_5041,
											(int) (((long) 3)), BgL_cz00_5025);
										VECTOR_SET(BgL_nsz00_5041,
											(int) (((long) 4)), BgL_dz00_5026);
										VECTOR_SET(BgL_nsz00_5041,
											(int) (((long) 5)), BgL_lastz00_5027);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_30469;

											BgL_auxz00_30469 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30469, BgL_nsz00_5041);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1519z00_5043;

											BgL_exitd1519z00_5043 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33828ze3z83_19010;

												BgL_zc3anonymousza33828ze3z83_19010 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33828ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33828ze3z83_19010,
													(int) (((long) 0)), BgL_sz00_5029);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1519z00_5043,
													BgL_zc3anonymousza33828ze3z83_19010);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1521z00_5045;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_16373;

														BgL_savedzd2bpzd2_16373 =
															VECTOR_REF(BgL_nsz00_5041, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5041,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_16380;

															BgL_fz00_16380 = BgL_runz00_19372;
														BgL_recz00_16379:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_16381;

																BgL_rz00_16381 =
																	PROCEDURE_ENTRY(BgL_fz00_16380)
																	(BgL_fz00_16380, BgL_nsz00_5041, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_30488;

																	if (PROCEDUREP(BgL_rz00_16381))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_16386;

																			BgL_arg1962z00_16386 =
																				PROCEDURE_ATTR(BgL_rz00_16381);
																			if (STRUCTP(BgL_arg1962z00_16386))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30488 =
																						(STRUCT_KEY(BgL_arg1962z00_16386) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30488 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_30488 = ((bool_t) 0);
																		}
																	if (BgL_testz00_30488)
																		{
																			obj_t BgL_fz00_30496;

																			BgL_fz00_30496 = BgL_rz00_16381;
																			BgL_fz00_16380 = BgL_fz00_30496;
																			goto BgL_recz00_16379;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5041,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_16373);
																			BgL_tmp1521z00_5045 = BgL_rz00_16381;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1519z00_5043);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_30500;

														BgL_auxz00_30500 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_30500,
															BgL_sz00_5029);
													}
													return BgL_tmp1521z00_5045;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3826> */
	obj_t BGl_z62zc3anonymousza33826ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19378)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19379;
				obj_t BgL_bpz00_19380;

				BgL_sz00_19379 = PROCEDURE_REF(BgL_envz00_19378, (int) (((long) 0)));
				BgL_bpz00_19380 = PROCEDURE_REF(BgL_envz00_19378, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19379, (int) (((long) 0)), BgL_bpz00_19380);
		}}}
	}



/* &run5904 */
	obj_t BGl_z62run5904z62zz__evaluate_compz00(obj_t BgL_envz00_19381,
		obj_t BgL_sz00_19384)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_19382;
				obj_t BgL_bodyz00_19383;

				BgL_i1321z00_19382 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19381, (int) (((long) 0))));
				BgL_bodyz00_19383 = PROCEDURE_REF(BgL_envz00_19381, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5050;

					BgL_sz00_5050 = BgL_sz00_19384;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5052;

						BgL_bpz00_5052 = VECTOR_REF(BgL_sz00_5050, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_5053;
							obj_t BgL_wherez00_5054;
							obj_t BgL_locz00_5055;

							BgL_z12denvz12_5053 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5054 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19382))->BgL_wherez00);
							BgL_locz00_5055 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19382))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5053, BgL_wherez00_5054,
									BgL_locz00_5055);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_5056;

									BgL_za2za2resza2za2z00_5056 =
										PROCEDURE_ENTRY(BgL_bodyz00_19383) (BgL_bodyz00_19383,
										BgL_sz00_5050, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5053);
									return BgL_za2za2resza2za2z00_5056;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3828> */
	obj_t BGl_z62zc3anonymousza33828ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19385)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19386;

				BgL_sz00_19386 = PROCEDURE_REF(BgL_envz00_19385, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_30527;

						BgL_auxz00_30527 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_30527, BgL_sz00_19386);
					}
				}
			}
		}
	}



/* &<anonymous:3831> */
	obj_t BGl_z62zc3anonymousza33831ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19387, obj_t BgL_sz00_19392)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19388;
				BgL_ev_absz00_bglt BgL_i1321z00_19389;
				obj_t BgL_bodyz00_19390;
				long BgL_siza7ezd2framez75_19391;

				BgL_iboxesz00_19388 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19387, (int) (((long) 0))));
				BgL_i1321z00_19389 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19387, (int) (((long) 1))));
				BgL_bodyz00_19390 = PROCEDURE_REF(BgL_envz00_19387, (int) (((long) 2)));
				BgL_siza7ezd2framez75_19391 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19387, (int) (((long) 3))));
				{
					obj_t BgL_sz00_5058;

					BgL_sz00_5058 = BgL_sz00_19392;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5060;

						BgL_bpz00_5060 = VECTOR_REF(BgL_sz00_5058, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19006;

								BgL_runz00_19006 =
									MAKE_FX_PROCEDURE(BGl_z62run5906z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_19006,
									(int) (((long) 0)), BgL_iboxesz00_19388);
								PROCEDURE_SET(BgL_runz00_19006,
									(int) (((long) 1)), ((obj_t) BgL_i1321z00_19389));
								PROCEDURE_SET(BgL_runz00_19006,
									(int) (((long) 2)), BgL_bodyz00_19390);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19008;

									BgL_mainz00_19008 =
										MAKE_VA_PROCEDURE(BGl_z62main5905z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_19008,
										(int) (((long) 0)), BgL_iboxesz00_19388);
									PROCEDURE_SET(BgL_mainz00_19008,
										(int) (((long) 1)), ((obj_t) BgL_i1321z00_19389));
									PROCEDURE_SET(BgL_mainz00_19008,
										(int) (((long) 2)), BgL_bodyz00_19390);
									PROCEDURE_SET(BgL_mainz00_19008,
										(int) (((long) 3)), BgL_runz00_19006);
									PROCEDURE_SET(BgL_mainz00_19008,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_19391));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_16520;

										BgL_objz00_16520 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19006, BgL_objz00_16520);
										BgL_objz00_16520;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3832z00_5063;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3833z00_5064;

											BgL_arg3833z00_5064 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19389))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_16524;

												BgL_newz00_16524 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_30572;

													BgL_auxz00_30572 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_16524, BgL_auxz00_30572,
														BgL_arg3833z00_5064);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_30577;
													int BgL_auxz00_30575;

													BgL_auxz00_30577 = BINT(BgL_siza7ezd2framez75_19391);
													BgL_auxz00_30575 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_16524, BgL_auxz00_30575,
														BgL_auxz00_30577);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_30580;

													BgL_auxz00_30580 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_16524, BgL_auxz00_30580,
														BgL_runz00_19006);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_30585;
													int BgL_auxz00_30583;

													BgL_auxz00_30585 = BINT(((long) -4));
													BgL_auxz00_30583 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_16524, BgL_auxz00_30583,
														BgL_auxz00_30585);
												}
												BgL_arg3832z00_5063 = BgL_newz00_16524;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19008, BgL_arg3832z00_5063);
										BgL_arg3832z00_5063;
									}
									return BgL_mainz00_19008;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5905 */
	obj_t BGl_z62main5905z62zz__evaluate_compz00(obj_t BgL_envz00_19393,
		obj_t BgL_bz00_19399, obj_t BgL_cz00_19400, obj_t BgL_dz00_19401,
		obj_t BgL_lastz00_19402)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19397;
				long BgL_siza7ezd2framez75_19398;

				BgL_runz00_19397 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19393, (int) (((long) 3))));
				BgL_siza7ezd2framez75_19398 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19393, (int) (((long) 4))));
				{
					obj_t BgL_bz00_5065;
					obj_t BgL_cz00_5066;
					obj_t BgL_dz00_5067;
					obj_t BgL_lastz00_5068;

					BgL_bz00_5065 = BgL_bz00_19399;
					BgL_cz00_5066 = BgL_cz00_19400;
					BgL_dz00_5067 = BgL_dz00_19401;
					BgL_lastz00_5068 = BgL_lastz00_19402;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5070;

						BgL_sz00_5070 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5071;

							BgL_bpz00_5071 = VECTOR_REF(BgL_sz00_5070, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_30598;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_16435;

									BgL_arg1970z00_16435 = VECTOR_LENGTH(BgL_sz00_5070);
									BgL_testz00_30598 =
										(
										((long) CINT(BgL_bpz00_5071) +
											BgL_siza7ezd2framez75_19398) <
										(long) (BgL_arg1970z00_16435));
								}
								if (BgL_testz00_30598)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3836z00_5073;

											BgL_arg3836z00_5073 =
												((long) CINT(BgL_bpz00_5071) + ((long) 0));
											VECTOR_SET(BgL_sz00_5070,
												(int) (BgL_arg3836z00_5073), BgL_bz00_5065);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3837z00_5074;

											BgL_arg3837z00_5074 =
												((long) CINT(BgL_bpz00_5071) + ((long) 1));
											VECTOR_SET(BgL_sz00_5070,
												(int) (BgL_arg3837z00_5074), BgL_cz00_5066);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3838z00_5075;

											BgL_arg3838z00_5075 =
												((long) CINT(BgL_bpz00_5071) + ((long) 2));
											VECTOR_SET(BgL_sz00_5070,
												(int) (BgL_arg3838z00_5075), BgL_dz00_5067);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3839z00_5076;

											BgL_arg3839z00_5076 =
												((long) CINT(BgL_bpz00_5071) + ((long) 3));
											VECTOR_SET(BgL_sz00_5070,
												(int) (BgL_arg3839z00_5076), BgL_lastz00_5068);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1522z00_5077;

											BgL_exitd1522z00_5077 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33840ze3z83_19007;

												BgL_zc3anonymousza33840ze3z83_19007 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33840ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33840ze3z83_19007,
													(int) (((long) 0)), BgL_sz00_5070);
												PROCEDURE_SET(BgL_zc3anonymousza33840ze3z83_19007,
													(int) (((long) 1)), BgL_bpz00_5071);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1522z00_5077,
													BgL_zc3anonymousza33840ze3z83_19007);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1524z00_5079;

													BgL_tmp1524z00_5079 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19397, BgL_sz00_5070, BgL_bpz00_5071);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1522z00_5077);
													VECTOR_SET(BgL_sz00_5070, (int) (((long) 0)),
														BgL_bpz00_5071);
													return BgL_tmp1524z00_5079;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5082;

										BgL_nsz00_5082 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5082,
											(int) (((long) 1)), BgL_sz00_5070);
										VECTOR_SET(BgL_nsz00_5082,
											(int) (((long) 2)), BgL_bz00_5065);
										VECTOR_SET(BgL_nsz00_5082,
											(int) (((long) 3)), BgL_cz00_5066);
										VECTOR_SET(BgL_nsz00_5082,
											(int) (((long) 4)), BgL_dz00_5067);
										VECTOR_SET(BgL_nsz00_5082,
											(int) (((long) 5)), BgL_lastz00_5068);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_30644;

											BgL_auxz00_30644 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30644, BgL_nsz00_5082);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1525z00_5084;

											BgL_exitd1525z00_5084 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33842ze3z83_19005;

												BgL_zc3anonymousza33842ze3z83_19005 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33842ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33842ze3z83_19005,
													(int) (((long) 0)), BgL_sz00_5070);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1525z00_5084,
													BgL_zc3anonymousza33842ze3z83_19005);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1527z00_5086;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_16493;

														BgL_savedzd2bpzd2_16493 =
															VECTOR_REF(BgL_nsz00_5082, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5082,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_16500;

															BgL_fz00_16500 = BgL_runz00_19397;
														BgL_recz00_16499:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_16501;

																BgL_rz00_16501 =
																	PROCEDURE_ENTRY(BgL_fz00_16500)
																	(BgL_fz00_16500, BgL_nsz00_5082, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_30663;

																	if (PROCEDUREP(BgL_rz00_16501))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_16506;

																			BgL_arg1962z00_16506 =
																				PROCEDURE_ATTR(BgL_rz00_16501);
																			if (STRUCTP(BgL_arg1962z00_16506))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30663 =
																						(STRUCT_KEY(BgL_arg1962z00_16506) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30663 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_30663 = ((bool_t) 0);
																		}
																	if (BgL_testz00_30663)
																		{
																			obj_t BgL_fz00_30671;

																			BgL_fz00_30671 = BgL_rz00_16501;
																			BgL_fz00_16500 = BgL_fz00_30671;
																			goto BgL_recz00_16499;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5082,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_16493);
																			BgL_tmp1527z00_5086 = BgL_rz00_16501;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1525z00_5084);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_30675;

														BgL_auxz00_30675 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_30675,
															BgL_sz00_5070);
													}
													return BgL_tmp1527z00_5086;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3840> */
	obj_t BGl_z62zc3anonymousza33840ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19403)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19404;
				obj_t BgL_bpz00_19405;

				BgL_sz00_19404 = PROCEDURE_REF(BgL_envz00_19403, (int) (((long) 0)));
				BgL_bpz00_19405 = PROCEDURE_REF(BgL_envz00_19403, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19404, (int) (((long) 0)), BgL_bpz00_19405);
		}}}
	}



/* &run5906 */
	obj_t BGl_z62run5906z62zz__evaluate_compz00(obj_t BgL_envz00_19406,
		obj_t BgL_sz00_19410)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19407;
				BgL_ev_absz00_bglt BgL_i1321z00_19408;
				obj_t BgL_bodyz00_19409;

				BgL_iboxesz00_19407 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19406, (int) (((long) 0))));
				BgL_i1321z00_19408 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19406, (int) (((long) 1))));
				BgL_bodyz00_19409 = PROCEDURE_REF(BgL_envz00_19406, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5091;

					BgL_sz00_5091 = BgL_sz00_19410;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5093;

						BgL_bpz00_5093 = VECTOR_REF(BgL_sz00_5091, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5091,
							BgL_iboxesz00_19407, BgL_bpz00_5093);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_5094;
							obj_t BgL_wherez00_5095;
							obj_t BgL_locz00_5096;

							BgL_z12denvz12_5094 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5095 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19408))->BgL_wherez00);
							BgL_locz00_5096 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19408))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5094, BgL_wherez00_5095,
									BgL_locz00_5096);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_5097;

									BgL_za2za2resza2za2z00_5097 =
										PROCEDURE_ENTRY(BgL_bodyz00_19409) (BgL_bodyz00_19409,
										BgL_sz00_5091, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5094);
									return BgL_za2za2resza2za2z00_5097;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3842> */
	obj_t BGl_z62zc3anonymousza33842ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19411)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19412;

				BgL_sz00_19412 = PROCEDURE_REF(BgL_envz00_19411, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_30706;

						BgL_auxz00_30706 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_30706, BgL_sz00_19412);
					}
				}
			}
		}
	}



/* &<anonymous:3847> */
	obj_t BGl_z62zc3anonymousza33847ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19413, obj_t BgL_sz00_19419)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19414;
				long BgL_siza7eza7_19415;
				BgL_ev_absz00_bglt BgL_i1321z00_19416;
				obj_t BgL_bodyz00_19417;
				long BgL_siza7ezd2framez75_19418;

				BgL_ifreesz00_19414 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19413, (int) (((long) 0))));
				BgL_siza7eza7_19415 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19413, (int) (((long) 1))));
				BgL_i1321z00_19416 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19413, (int) (((long) 2))));
				BgL_bodyz00_19417 = PROCEDURE_REF(BgL_envz00_19413, (int) (((long) 3)));
				BgL_siza7ezd2framez75_19418 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19413, (int) (((long) 4))));
				{
					obj_t BgL_sz00_5101;

					BgL_sz00_5101 = BgL_sz00_19419;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5103;

						BgL_bpz00_5103 = VECTOR_REF(BgL_sz00_5101, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_5104;

							BgL_valza2za2_5104 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5101,
								BgL_bpz00_5103, BgL_ifreesz00_19414);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19001;

								BgL_runz00_19001 =
									MAKE_FX_PROCEDURE(BGl_z62run5908z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_19001,
									(int) (((long) 0)), BINT(BgL_siza7eza7_19415));
								PROCEDURE_SET(BgL_runz00_19001,
									(int) (((long) 1)), BgL_valza2za2_5104);
								PROCEDURE_SET(BgL_runz00_19001,
									(int) (((long) 2)), ((obj_t) BgL_i1321z00_19416));
								PROCEDURE_SET(BgL_runz00_19001,
									(int) (((long) 3)), BgL_bodyz00_19417);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19003;

									BgL_mainz00_19003 =
										MAKE_VA_PROCEDURE(BGl_z62main5907z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_19003,
										(int) (((long) 0)), BINT(BgL_siza7eza7_19415));
									PROCEDURE_SET(BgL_mainz00_19003,
										(int) (((long) 1)), BgL_valza2za2_5104);
									PROCEDURE_SET(BgL_mainz00_19003,
										(int) (((long) 2)), ((obj_t) BgL_i1321z00_19416));
									PROCEDURE_SET(BgL_mainz00_19003,
										(int) (((long) 3)), BgL_bodyz00_19417);
									PROCEDURE_SET(BgL_mainz00_19003,
										(int) (((long) 4)), BgL_runz00_19001);
									PROCEDURE_SET(BgL_mainz00_19003,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_19418));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_16647;

										BgL_objz00_16647 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19001, BgL_objz00_16647);
										BgL_objz00_16647;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3848z00_5107;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3849z00_5108;

											BgL_arg3849z00_5108 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19416))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_16651;

												BgL_newz00_16651 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_30761;

													BgL_auxz00_30761 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_16651, BgL_auxz00_30761,
														BgL_arg3849z00_5108);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_30766;
													int BgL_auxz00_30764;

													BgL_auxz00_30766 = BINT(BgL_siza7ezd2framez75_19418);
													BgL_auxz00_30764 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_16651, BgL_auxz00_30764,
														BgL_auxz00_30766);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_30769;

													BgL_auxz00_30769 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_16651, BgL_auxz00_30769,
														BgL_runz00_19001);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_30774;
													int BgL_auxz00_30772;

													BgL_auxz00_30774 = BINT(((long) -4));
													BgL_auxz00_30772 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_16651, BgL_auxz00_30772,
														BgL_auxz00_30774);
												}
												BgL_arg3848z00_5107 = BgL_newz00_16651;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19003, BgL_arg3848z00_5107);
										BgL_arg3848z00_5107;
									}
									return BgL_mainz00_19003;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5907 */
	obj_t BGl_z62main5907z62zz__evaluate_compz00(obj_t BgL_envz00_19420,
		obj_t BgL_bz00_19427, obj_t BgL_cz00_19428, obj_t BgL_dz00_19429,
		obj_t BgL_lastz00_19430)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19425;
				long BgL_siza7ezd2framez75_19426;

				BgL_runz00_19425 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19420, (int) (((long) 4))));
				BgL_siza7ezd2framez75_19426 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19420, (int) (((long) 5))));
				{
					obj_t BgL_bz00_5109;
					obj_t BgL_cz00_5110;
					obj_t BgL_dz00_5111;
					obj_t BgL_lastz00_5112;

					BgL_bz00_5109 = BgL_bz00_19427;
					BgL_cz00_5110 = BgL_cz00_19428;
					BgL_dz00_5111 = BgL_dz00_19429;
					BgL_lastz00_5112 = BgL_lastz00_19430;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5114;

						BgL_sz00_5114 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5115;

							BgL_bpz00_5115 = VECTOR_REF(BgL_sz00_5114, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_30787;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_16562;

									BgL_arg1970z00_16562 = VECTOR_LENGTH(BgL_sz00_5114);
									BgL_testz00_30787 =
										(
										((long) CINT(BgL_bpz00_5115) +
											BgL_siza7ezd2framez75_19426) <
										(long) (BgL_arg1970z00_16562));
								}
								if (BgL_testz00_30787)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3852z00_5117;

											BgL_arg3852z00_5117 =
												((long) CINT(BgL_bpz00_5115) + ((long) 0));
											VECTOR_SET(BgL_sz00_5114,
												(int) (BgL_arg3852z00_5117), BgL_bz00_5109);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3853z00_5118;

											BgL_arg3853z00_5118 =
												((long) CINT(BgL_bpz00_5115) + ((long) 1));
											VECTOR_SET(BgL_sz00_5114,
												(int) (BgL_arg3853z00_5118), BgL_cz00_5110);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3854z00_5119;

											BgL_arg3854z00_5119 =
												((long) CINT(BgL_bpz00_5115) + ((long) 2));
											VECTOR_SET(BgL_sz00_5114,
												(int) (BgL_arg3854z00_5119), BgL_dz00_5111);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3855z00_5120;

											BgL_arg3855z00_5120 =
												((long) CINT(BgL_bpz00_5115) + ((long) 3));
											VECTOR_SET(BgL_sz00_5114,
												(int) (BgL_arg3855z00_5120), BgL_lastz00_5112);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1528z00_5121;

											BgL_exitd1528z00_5121 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33856ze3z83_19002;

												BgL_zc3anonymousza33856ze3z83_19002 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33856ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33856ze3z83_19002,
													(int) (((long) 0)), BgL_sz00_5114);
												PROCEDURE_SET(BgL_zc3anonymousza33856ze3z83_19002,
													(int) (((long) 1)), BgL_bpz00_5115);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1528z00_5121,
													BgL_zc3anonymousza33856ze3z83_19002);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1530z00_5123;

													BgL_tmp1530z00_5123 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19425, BgL_sz00_5114, BgL_bpz00_5115);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1528z00_5121);
													VECTOR_SET(BgL_sz00_5114, (int) (((long) 0)),
														BgL_bpz00_5115);
													return BgL_tmp1530z00_5123;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5126;

										BgL_nsz00_5126 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5126,
											(int) (((long) 1)), BgL_sz00_5114);
										VECTOR_SET(BgL_nsz00_5126,
											(int) (((long) 2)), BgL_bz00_5109);
										VECTOR_SET(BgL_nsz00_5126,
											(int) (((long) 3)), BgL_cz00_5110);
										VECTOR_SET(BgL_nsz00_5126,
											(int) (((long) 4)), BgL_dz00_5111);
										VECTOR_SET(BgL_nsz00_5126,
											(int) (((long) 5)), BgL_lastz00_5112);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_30833;

											BgL_auxz00_30833 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_30833, BgL_nsz00_5126);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1531z00_5128;

											BgL_exitd1531z00_5128 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33858ze3z83_19000;

												BgL_zc3anonymousza33858ze3z83_19000 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33858ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33858ze3z83_19000,
													(int) (((long) 0)), BgL_sz00_5114);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1531z00_5128,
													BgL_zc3anonymousza33858ze3z83_19000);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1533z00_5130;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_16620;

														BgL_savedzd2bpzd2_16620 =
															VECTOR_REF(BgL_nsz00_5126, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5126,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_16627;

															BgL_fz00_16627 = BgL_runz00_19425;
														BgL_recz00_16626:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_16628;

																BgL_rz00_16628 =
																	PROCEDURE_ENTRY(BgL_fz00_16627)
																	(BgL_fz00_16627, BgL_nsz00_5126, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_30852;

																	if (PROCEDUREP(BgL_rz00_16628))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_16633;

																			BgL_arg1962z00_16633 =
																				PROCEDURE_ATTR(BgL_rz00_16628);
																			if (STRUCTP(BgL_arg1962z00_16633))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30852 =
																						(STRUCT_KEY(BgL_arg1962z00_16633) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_30852 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_30852 = ((bool_t) 0);
																		}
																	if (BgL_testz00_30852)
																		{
																			obj_t BgL_fz00_30860;

																			BgL_fz00_30860 = BgL_rz00_16628;
																			BgL_fz00_16627 = BgL_fz00_30860;
																			goto BgL_recz00_16626;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5126,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_16620);
																			BgL_tmp1533z00_5130 = BgL_rz00_16628;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1531z00_5128);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_30864;

														BgL_auxz00_30864 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_30864,
															BgL_sz00_5114);
													}
													return BgL_tmp1533z00_5130;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3856> */
	obj_t BGl_z62zc3anonymousza33856ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19431)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19432;
				obj_t BgL_bpz00_19433;

				BgL_sz00_19432 = PROCEDURE_REF(BgL_envz00_19431, (int) (((long) 0)));
				BgL_bpz00_19433 = PROCEDURE_REF(BgL_envz00_19431, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19432, (int) (((long) 0)), BgL_bpz00_19433);
		}}}
	}



/* &run5908 */
	obj_t BGl_z62run5908z62zz__evaluate_compz00(obj_t BgL_envz00_19434,
		obj_t BgL_sz00_19439)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_19435;
				obj_t BgL_valza2za2_19436;
				BgL_ev_absz00_bglt BgL_i1321z00_19437;
				obj_t BgL_bodyz00_19438;

				BgL_siza7eza7_19435 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19434, (int) (((long) 0))));
				BgL_valza2za2_19436 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19434, (int) (((long) 1))));
				BgL_i1321z00_19437 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19434, (int) (((long) 2))));
				BgL_bodyz00_19438 = PROCEDURE_REF(BgL_envz00_19434, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5135;

					BgL_sz00_5135 = BgL_sz00_19439;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5137;

						BgL_bpz00_5137 = VECTOR_REF(BgL_sz00_5135, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5135,
							BgL_valza2za2_19436,
							((long) CINT(BgL_bpz00_5137) + BgL_siza7eza7_19435));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_5139;
							obj_t BgL_wherez00_5140;
							obj_t BgL_locz00_5141;

							BgL_z12denvz12_5139 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5140 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19437))->BgL_wherez00);
							BgL_locz00_5141 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19437))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5139, BgL_wherez00_5140,
									BgL_locz00_5141);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_5142;

									BgL_za2za2resza2za2z00_5142 =
										PROCEDURE_ENTRY(BgL_bodyz00_19438) (BgL_bodyz00_19438,
										BgL_sz00_5135, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5139);
									return BgL_za2za2resza2za2z00_5142;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3858> */
	obj_t BGl_z62zc3anonymousza33858ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19440)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19441;

				BgL_sz00_19441 = PROCEDURE_REF(BgL_envz00_19440, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_30900;

						BgL_auxz00_30900 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_30900, BgL_sz00_19441);
					}
				}
			}
		}
	}



/* &<anonymous:3862> */
	obj_t BGl_z62zc3anonymousza33862ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19442, obj_t BgL_sz00_19449)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19443;
				obj_t BgL_iboxesz00_19444;
				long BgL_siza7eza7_19445;
				BgL_ev_absz00_bglt BgL_i1321z00_19446;
				obj_t BgL_bodyz00_19447;
				long BgL_siza7ezd2framez75_19448;

				BgL_ifreesz00_19443 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19442, (int) (((long) 0))));
				BgL_iboxesz00_19444 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19442, (int) (((long) 1))));
				BgL_siza7eza7_19445 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19442, (int) (((long) 2))));
				BgL_i1321z00_19446 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19442, (int) (((long) 3))));
				BgL_bodyz00_19447 = PROCEDURE_REF(BgL_envz00_19442, (int) (((long) 4)));
				BgL_siza7ezd2framez75_19448 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19442, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5144;

					BgL_sz00_5144 = BgL_sz00_19449;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5146;

						BgL_bpz00_5146 = VECTOR_REF(BgL_sz00_5144, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_5147;

							BgL_valza2za2_5147 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5144,
								BgL_bpz00_5146, BgL_ifreesz00_19443);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18996;

								BgL_runz00_18996 =
									MAKE_FX_PROCEDURE(BGl_z62run5910z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_18996,
									(int) (((long) 0)), BgL_iboxesz00_19444);
								PROCEDURE_SET(BgL_runz00_18996,
									(int) (((long) 1)), BINT(BgL_siza7eza7_19445));
								PROCEDURE_SET(BgL_runz00_18996,
									(int) (((long) 2)), BgL_valza2za2_5147);
								PROCEDURE_SET(BgL_runz00_18996,
									(int) (((long) 3)), ((obj_t) BgL_i1321z00_19446));
								PROCEDURE_SET(BgL_runz00_18996,
									(int) (((long) 4)), BgL_bodyz00_19447);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18998;

									BgL_mainz00_18998 =
										MAKE_VA_PROCEDURE(BGl_z62main5909z62zz__evaluate_compz00,
										(int) (((long) -4)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_18998,
										(int) (((long) 0)), BgL_iboxesz00_19444);
									PROCEDURE_SET(BgL_mainz00_18998,
										(int) (((long) 1)), BINT(BgL_siza7eza7_19445));
									PROCEDURE_SET(BgL_mainz00_18998,
										(int) (((long) 2)), BgL_valza2za2_5147);
									PROCEDURE_SET(BgL_mainz00_18998,
										(int) (((long) 3)), ((obj_t) BgL_i1321z00_19446));
									PROCEDURE_SET(BgL_mainz00_18998,
										(int) (((long) 4)), BgL_bodyz00_19447);
									PROCEDURE_SET(BgL_mainz00_18998,
										(int) (((long) 5)), BgL_runz00_18996);
									PROCEDURE_SET(BgL_mainz00_18998,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_19448));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_16770;

										BgL_objz00_16770 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18996, BgL_objz00_16770);
										BgL_objz00_16770;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3863z00_5150;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3864z00_5151;

											BgL_arg3864z00_5151 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19446))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_16774;

												BgL_newz00_16774 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_30962;

													BgL_auxz00_30962 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_16774, BgL_auxz00_30962,
														BgL_arg3864z00_5151);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_30967;
													int BgL_auxz00_30965;

													BgL_auxz00_30967 = BINT(BgL_siza7ezd2framez75_19448);
													BgL_auxz00_30965 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_16774, BgL_auxz00_30965,
														BgL_auxz00_30967);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_30970;

													BgL_auxz00_30970 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_16774, BgL_auxz00_30970,
														BgL_runz00_18996);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_30975;
													int BgL_auxz00_30973;

													BgL_auxz00_30975 = BINT(((long) -4));
													BgL_auxz00_30973 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_16774, BgL_auxz00_30973,
														BgL_auxz00_30975);
												}
												BgL_arg3863z00_5150 = BgL_newz00_16774;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18998, BgL_arg3863z00_5150);
										BgL_arg3863z00_5150;
									}
									return BgL_mainz00_18998;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5909 */
	obj_t BGl_z62main5909z62zz__evaluate_compz00(obj_t BgL_envz00_19450,
		obj_t BgL_bz00_19458, obj_t BgL_cz00_19459, obj_t BgL_dz00_19460,
		obj_t BgL_lastz00_19461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19456;
				long BgL_siza7ezd2framez75_19457;

				BgL_runz00_19456 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19450, (int) (((long) 5))));
				BgL_siza7ezd2framez75_19457 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19450, (int) (((long) 6))));
				{
					obj_t BgL_bz00_5152;
					obj_t BgL_cz00_5153;
					obj_t BgL_dz00_5154;
					obj_t BgL_lastz00_5155;

					BgL_bz00_5152 = BgL_bz00_19458;
					BgL_cz00_5153 = BgL_cz00_19459;
					BgL_dz00_5154 = BgL_dz00_19460;
					BgL_lastz00_5155 = BgL_lastz00_19461;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5157;

						BgL_sz00_5157 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5158;

							BgL_bpz00_5158 = VECTOR_REF(BgL_sz00_5157, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_30988;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_16685;

									BgL_arg1970z00_16685 = VECTOR_LENGTH(BgL_sz00_5157);
									BgL_testz00_30988 =
										(
										((long) CINT(BgL_bpz00_5158) +
											BgL_siza7ezd2framez75_19457) <
										(long) (BgL_arg1970z00_16685));
								}
								if (BgL_testz00_30988)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3867z00_5160;

											BgL_arg3867z00_5160 =
												((long) CINT(BgL_bpz00_5158) + ((long) 0));
											VECTOR_SET(BgL_sz00_5157,
												(int) (BgL_arg3867z00_5160), BgL_bz00_5152);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3868z00_5161;

											BgL_arg3868z00_5161 =
												((long) CINT(BgL_bpz00_5158) + ((long) 1));
											VECTOR_SET(BgL_sz00_5157,
												(int) (BgL_arg3868z00_5161), BgL_cz00_5153);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3869z00_5162;

											BgL_arg3869z00_5162 =
												((long) CINT(BgL_bpz00_5158) + ((long) 2));
											VECTOR_SET(BgL_sz00_5157,
												(int) (BgL_arg3869z00_5162), BgL_dz00_5154);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3870z00_5163;

											BgL_arg3870z00_5163 =
												((long) CINT(BgL_bpz00_5158) + ((long) 3));
											VECTOR_SET(BgL_sz00_5157,
												(int) (BgL_arg3870z00_5163), BgL_lastz00_5155);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1534z00_5164;

											BgL_exitd1534z00_5164 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33871ze3z83_18997;

												BgL_zc3anonymousza33871ze3z83_18997 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33871ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33871ze3z83_18997,
													(int) (((long) 0)), BgL_sz00_5157);
												PROCEDURE_SET(BgL_zc3anonymousza33871ze3z83_18997,
													(int) (((long) 1)), BgL_bpz00_5158);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1534z00_5164,
													BgL_zc3anonymousza33871ze3z83_18997);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1536z00_5166;

													BgL_tmp1536z00_5166 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19456, BgL_sz00_5157, BgL_bpz00_5158);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1534z00_5164);
													VECTOR_SET(BgL_sz00_5157, (int) (((long) 0)),
														BgL_bpz00_5158);
													return BgL_tmp1536z00_5166;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5169;

										BgL_nsz00_5169 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5169,
											(int) (((long) 1)), BgL_sz00_5157);
										VECTOR_SET(BgL_nsz00_5169,
											(int) (((long) 2)), BgL_bz00_5152);
										VECTOR_SET(BgL_nsz00_5169,
											(int) (((long) 3)), BgL_cz00_5153);
										VECTOR_SET(BgL_nsz00_5169,
											(int) (((long) 4)), BgL_dz00_5154);
										VECTOR_SET(BgL_nsz00_5169,
											(int) (((long) 5)), BgL_lastz00_5155);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_31034;

											BgL_auxz00_31034 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_31034, BgL_nsz00_5169);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1537z00_5171;

											BgL_exitd1537z00_5171 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33873ze3z83_18995;

												BgL_zc3anonymousza33873ze3z83_18995 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33873ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33873ze3z83_18995,
													(int) (((long) 0)), BgL_sz00_5157);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1537z00_5171,
													BgL_zc3anonymousza33873ze3z83_18995);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1539z00_5173;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_16743;

														BgL_savedzd2bpzd2_16743 =
															VECTOR_REF(BgL_nsz00_5169, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5169,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_16750;

															BgL_fz00_16750 = BgL_runz00_19456;
														BgL_recz00_16749:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_16751;

																BgL_rz00_16751 =
																	PROCEDURE_ENTRY(BgL_fz00_16750)
																	(BgL_fz00_16750, BgL_nsz00_5169, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_31053;

																	if (PROCEDUREP(BgL_rz00_16751))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_16756;

																			BgL_arg1962z00_16756 =
																				PROCEDURE_ATTR(BgL_rz00_16751);
																			if (STRUCTP(BgL_arg1962z00_16756))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31053 =
																						(STRUCT_KEY(BgL_arg1962z00_16756) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31053 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_31053 = ((bool_t) 0);
																		}
																	if (BgL_testz00_31053)
																		{
																			obj_t BgL_fz00_31061;

																			BgL_fz00_31061 = BgL_rz00_16751;
																			BgL_fz00_16750 = BgL_fz00_31061;
																			goto BgL_recz00_16749;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5169,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_16743);
																			BgL_tmp1539z00_5173 = BgL_rz00_16751;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1537z00_5171);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_31065;

														BgL_auxz00_31065 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_31065,
															BgL_sz00_5157);
													}
													return BgL_tmp1539z00_5173;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3871> */
	obj_t BGl_z62zc3anonymousza33871ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19462)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19463;
				obj_t BgL_bpz00_19464;

				BgL_sz00_19463 = PROCEDURE_REF(BgL_envz00_19462, (int) (((long) 0)));
				BgL_bpz00_19464 = PROCEDURE_REF(BgL_envz00_19462, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19463, (int) (((long) 0)), BgL_bpz00_19464);
		}}}
	}



/* &run5910 */
	obj_t BGl_z62run5910z62zz__evaluate_compz00(obj_t BgL_envz00_19465,
		obj_t BgL_sz00_19471)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19466;
				long BgL_siza7eza7_19467;
				obj_t BgL_valza2za2_19468;
				BgL_ev_absz00_bglt BgL_i1321z00_19469;
				obj_t BgL_bodyz00_19470;

				BgL_iboxesz00_19466 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19465, (int) (((long) 0))));
				BgL_siza7eza7_19467 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19465, (int) (((long) 1))));
				BgL_valza2za2_19468 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19465, (int) (((long) 2))));
				BgL_i1321z00_19469 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19465, (int) (((long) 3))));
				BgL_bodyz00_19470 = PROCEDURE_REF(BgL_envz00_19465, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5178;

					BgL_sz00_5178 = BgL_sz00_19471;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5180;

						BgL_bpz00_5180 = VECTOR_REF(BgL_sz00_5178, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5178,
							BgL_iboxesz00_19466, BgL_bpz00_5180);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5178,
							BgL_valza2za2_19468,
							((long) CINT(BgL_bpz00_5180) + BgL_siza7eza7_19467));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_5182;
							obj_t BgL_wherez00_5183;
							obj_t BgL_locz00_5184;

							BgL_z12denvz12_5182 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5183 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19469))->BgL_wherez00);
							BgL_locz00_5184 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19469))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5182, BgL_wherez00_5183,
									BgL_locz00_5184);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_5185;

									BgL_za2za2resza2za2z00_5185 =
										PROCEDURE_ENTRY(BgL_bodyz00_19470) (BgL_bodyz00_19470,
										BgL_sz00_5178, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5182);
									return BgL_za2za2resza2za2z00_5185;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3873> */
	obj_t BGl_z62zc3anonymousza33873ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19472)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19473;

				BgL_sz00_19473 = PROCEDURE_REF(BgL_envz00_19472, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_31105;

						BgL_auxz00_31105 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_31105, BgL_sz00_19473);
					}
				}
			}
		}
	}



/* &<anonymous:3757> */
	obj_t BGl_z62zc3anonymousza33757ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19474, obj_t BgL_sz00_19478)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_19475;
				obj_t BgL_bodyz00_19476;
				long BgL_siza7ezd2framez75_19477;

				BgL_i1321z00_19475 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19474, (int) (((long) 0))));
				BgL_bodyz00_19476 = PROCEDURE_REF(BgL_envz00_19474, (int) (((long) 1)));
				BgL_siza7ezd2framez75_19477 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19474, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4851;

					BgL_sz00_4851 = BgL_sz00_19478;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4853;

						BgL_bpz00_4853 = VECTOR_REF(BgL_sz00_4851, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18991;

								BgL_runz00_18991 =
									MAKE_FX_PROCEDURE(BGl_z62run5912z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_18991,
									(int) (((long) 0)), ((obj_t) BgL_i1321z00_19475));
								PROCEDURE_SET(BgL_runz00_18991,
									(int) (((long) 1)), BgL_bodyz00_19476);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18993;

									BgL_mainz00_18993 =
										MAKE_FX_PROCEDURE(BGl_z62main5911z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_18993,
										(int) (((long) 0)), ((obj_t) BgL_i1321z00_19475));
									PROCEDURE_SET(BgL_mainz00_18993,
										(int) (((long) 1)), BgL_bodyz00_19476);
									PROCEDURE_SET(BgL_mainz00_18993,
										(int) (((long) 2)), BgL_runz00_18991);
									PROCEDURE_SET(BgL_mainz00_18993,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_19477));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_15929;

										BgL_objz00_15929 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18991, BgL_objz00_15929);
										BgL_objz00_15929;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3758z00_4856;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3759z00_4857;

											BgL_arg3759z00_4857 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19475))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_15933;

												BgL_newz00_15933 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_31143;

													BgL_auxz00_31143 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15933, BgL_auxz00_31143,
														BgL_arg3759z00_4857);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_31148;
													int BgL_auxz00_31146;

													BgL_auxz00_31148 = BINT(BgL_siza7ezd2framez75_19477);
													BgL_auxz00_31146 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15933, BgL_auxz00_31146,
														BgL_auxz00_31148);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_31151;

													BgL_auxz00_31151 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15933, BgL_auxz00_31151,
														BgL_runz00_18991);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_31156;
													int BgL_auxz00_31154;

													BgL_auxz00_31156 = BINT(((long) 3));
													BgL_auxz00_31154 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15933, BgL_auxz00_31154,
														BgL_auxz00_31156);
												}
												BgL_arg3758z00_4856 = BgL_newz00_15933;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18993, BgL_arg3758z00_4856);
										BgL_arg3758z00_4856;
									}
									return BgL_mainz00_18993;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5911 */
	obj_t BGl_z62main5911z62zz__evaluate_compz00(obj_t BgL_envz00_19479,
		obj_t BgL_bz00_19484, obj_t BgL_cz00_19485, obj_t BgL_dz00_19486)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19482;
				long BgL_siza7ezd2framez75_19483;

				BgL_runz00_19482 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19479, (int) (((long) 2))));
				BgL_siza7ezd2framez75_19483 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19479, (int) (((long) 3))));
				{
					obj_t BgL_bz00_4858;
					obj_t BgL_cz00_4859;
					obj_t BgL_dz00_4860;

					BgL_bz00_4858 = BgL_bz00_19484;
					BgL_cz00_4859 = BgL_cz00_19485;
					BgL_dz00_4860 = BgL_dz00_19486;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4862;

						BgL_sz00_4862 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4863;

							BgL_bpz00_4863 = VECTOR_REF(BgL_sz00_4862, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_31169;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_15853;

									BgL_arg1970z00_15853 = VECTOR_LENGTH(BgL_sz00_4862);
									BgL_testz00_31169 =
										(
										((long) CINT(BgL_bpz00_4863) +
											BgL_siza7ezd2framez75_19483) <
										(long) (BgL_arg1970z00_15853));
								}
								if (BgL_testz00_31169)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3762z00_4865;

											BgL_arg3762z00_4865 =
												((long) CINT(BgL_bpz00_4863) + ((long) 0));
											VECTOR_SET(BgL_sz00_4862,
												(int) (BgL_arg3762z00_4865), BgL_bz00_4858);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3763z00_4866;

											BgL_arg3763z00_4866 =
												((long) CINT(BgL_bpz00_4863) + ((long) 1));
											VECTOR_SET(BgL_sz00_4862,
												(int) (BgL_arg3763z00_4866), BgL_cz00_4859);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3764z00_4867;

											BgL_arg3764z00_4867 =
												((long) CINT(BgL_bpz00_4863) + ((long) 2));
											VECTOR_SET(BgL_sz00_4862,
												(int) (BgL_arg3764z00_4867), BgL_dz00_4860);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1492z00_4868;

											BgL_exitd1492z00_4868 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33765ze3z83_18992;

												BgL_zc3anonymousza33765ze3z83_18992 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33765ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33765ze3z83_18992,
													(int) (((long) 0)), BgL_sz00_4862);
												PROCEDURE_SET(BgL_zc3anonymousza33765ze3z83_18992,
													(int) (((long) 1)), BgL_bpz00_4863);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1492z00_4868,
													BgL_zc3anonymousza33765ze3z83_18992);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1494z00_4870;

													BgL_tmp1494z00_4870 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19482, BgL_sz00_4862, BgL_bpz00_4863);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1492z00_4868);
													VECTOR_SET(BgL_sz00_4862, (int) (((long) 0)),
														BgL_bpz00_4863);
													return BgL_tmp1494z00_4870;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4873;

										BgL_nsz00_4873 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4873,
											(int) (((long) 1)), BgL_sz00_4862);
										VECTOR_SET(BgL_nsz00_4873,
											(int) (((long) 2)), BgL_bz00_4858);
										VECTOR_SET(BgL_nsz00_4873,
											(int) (((long) 3)), BgL_cz00_4859);
										VECTOR_SET(BgL_nsz00_4873,
											(int) (((long) 4)), BgL_dz00_4860);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_31209;

											BgL_auxz00_31209 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_31209, BgL_nsz00_4873);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1495z00_4875;

											BgL_exitd1495z00_4875 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33767ze3z83_18990;

												BgL_zc3anonymousza33767ze3z83_18990 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33767ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33767ze3z83_18990,
													(int) (((long) 0)), BgL_sz00_4862);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1495z00_4875,
													BgL_zc3anonymousza33767ze3z83_18990);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1497z00_4877;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_15902;

														BgL_savedzd2bpzd2_15902 =
															VECTOR_REF(BgL_nsz00_4873, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4873,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_15909;

															BgL_fz00_15909 = BgL_runz00_19482;
														BgL_recz00_15908:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_15910;

																BgL_rz00_15910 =
																	PROCEDURE_ENTRY(BgL_fz00_15909)
																	(BgL_fz00_15909, BgL_nsz00_4873, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_31228;

																	if (PROCEDUREP(BgL_rz00_15910))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_15915;

																			BgL_arg1962z00_15915 =
																				PROCEDURE_ATTR(BgL_rz00_15910);
																			if (STRUCTP(BgL_arg1962z00_15915))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31228 =
																						(STRUCT_KEY(BgL_arg1962z00_15915) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31228 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_31228 = ((bool_t) 0);
																		}
																	if (BgL_testz00_31228)
																		{
																			obj_t BgL_fz00_31236;

																			BgL_fz00_31236 = BgL_rz00_15910;
																			BgL_fz00_15909 = BgL_fz00_31236;
																			goto BgL_recz00_15908;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4873,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_15902);
																			BgL_tmp1497z00_4877 = BgL_rz00_15910;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1495z00_4875);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_31240;

														BgL_auxz00_31240 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_31240,
															BgL_sz00_4862);
													}
													return BgL_tmp1497z00_4877;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3765> */
	obj_t BGl_z62zc3anonymousza33765ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19487)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19488;
				obj_t BgL_bpz00_19489;

				BgL_sz00_19488 = PROCEDURE_REF(BgL_envz00_19487, (int) (((long) 0)));
				BgL_bpz00_19489 = PROCEDURE_REF(BgL_envz00_19487, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19488, (int) (((long) 0)), BgL_bpz00_19489);
		}}}
	}



/* &run5912 */
	obj_t BGl_z62run5912z62zz__evaluate_compz00(obj_t BgL_envz00_19490,
		obj_t BgL_sz00_19493)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_19491;
				obj_t BgL_bodyz00_19492;

				BgL_i1321z00_19491 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19490, (int) (((long) 0))));
				BgL_bodyz00_19492 = PROCEDURE_REF(BgL_envz00_19490, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4882;

					BgL_sz00_4882 = BgL_sz00_19493;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4884;

						BgL_bpz00_4884 = VECTOR_REF(BgL_sz00_4882, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4885;
							obj_t BgL_wherez00_4886;
							obj_t BgL_locz00_4887;

							BgL_z12denvz12_4885 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4886 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19491))->BgL_wherez00);
							BgL_locz00_4887 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19491))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4885, BgL_wherez00_4886,
									BgL_locz00_4887);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4888;

									BgL_za2za2resza2za2z00_4888 =
										PROCEDURE_ENTRY(BgL_bodyz00_19492) (BgL_bodyz00_19492,
										BgL_sz00_4882, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4885);
									return BgL_za2za2resza2za2z00_4888;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3767> */
	obj_t BGl_z62zc3anonymousza33767ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19494)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19495;

				BgL_sz00_19495 = PROCEDURE_REF(BgL_envz00_19494, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_31267;

						BgL_auxz00_31267 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_31267, BgL_sz00_19495);
					}
				}
			}
		}
	}



/* &<anonymous:3770> */
	obj_t BGl_z62zc3anonymousza33770ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19496, obj_t BgL_sz00_19501)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19497;
				BgL_ev_absz00_bglt BgL_i1321z00_19498;
				obj_t BgL_bodyz00_19499;
				long BgL_siza7ezd2framez75_19500;

				BgL_iboxesz00_19497 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19496, (int) (((long) 0))));
				BgL_i1321z00_19498 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19496, (int) (((long) 1))));
				BgL_bodyz00_19499 = PROCEDURE_REF(BgL_envz00_19496, (int) (((long) 2)));
				BgL_siza7ezd2framez75_19500 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19496, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4890;

					BgL_sz00_4890 = BgL_sz00_19501;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4892;

						BgL_bpz00_4892 = VECTOR_REF(BgL_sz00_4890, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18986;

								BgL_runz00_18986 =
									MAKE_FX_PROCEDURE(BGl_z62run5914z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_18986,
									(int) (((long) 0)), BgL_iboxesz00_19497);
								PROCEDURE_SET(BgL_runz00_18986,
									(int) (((long) 1)), ((obj_t) BgL_i1321z00_19498));
								PROCEDURE_SET(BgL_runz00_18986,
									(int) (((long) 2)), BgL_bodyz00_19499);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18988;

									BgL_mainz00_18988 =
										MAKE_FX_PROCEDURE(BGl_z62main5913z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_18988,
										(int) (((long) 0)), BgL_iboxesz00_19497);
									PROCEDURE_SET(BgL_mainz00_18988,
										(int) (((long) 1)), ((obj_t) BgL_i1321z00_19498));
									PROCEDURE_SET(BgL_mainz00_18988,
										(int) (((long) 2)), BgL_bodyz00_19499);
									PROCEDURE_SET(BgL_mainz00_18988,
										(int) (((long) 3)), BgL_runz00_18986);
									PROCEDURE_SET(BgL_mainz00_18988,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_19500));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_16040;

										BgL_objz00_16040 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18986, BgL_objz00_16040);
										BgL_objz00_16040;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3771z00_4895;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3772z00_4896;

											BgL_arg3772z00_4896 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19498))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_16044;

												BgL_newz00_16044 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_31312;

													BgL_auxz00_31312 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_16044, BgL_auxz00_31312,
														BgL_arg3772z00_4896);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_31317;
													int BgL_auxz00_31315;

													BgL_auxz00_31317 = BINT(BgL_siza7ezd2framez75_19500);
													BgL_auxz00_31315 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_16044, BgL_auxz00_31315,
														BgL_auxz00_31317);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_31320;

													BgL_auxz00_31320 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_16044, BgL_auxz00_31320,
														BgL_runz00_18986);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_31325;
													int BgL_auxz00_31323;

													BgL_auxz00_31325 = BINT(((long) 3));
													BgL_auxz00_31323 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_16044, BgL_auxz00_31323,
														BgL_auxz00_31325);
												}
												BgL_arg3771z00_4895 = BgL_newz00_16044;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18988, BgL_arg3771z00_4895);
										BgL_arg3771z00_4895;
									}
									return BgL_mainz00_18988;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5913 */
	obj_t BGl_z62main5913z62zz__evaluate_compz00(obj_t BgL_envz00_19502,
		obj_t BgL_bz00_19508, obj_t BgL_cz00_19509, obj_t BgL_dz00_19510)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19506;
				long BgL_siza7ezd2framez75_19507;

				BgL_runz00_19506 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19502, (int) (((long) 3))));
				BgL_siza7ezd2framez75_19507 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19502, (int) (((long) 4))));
				{
					obj_t BgL_bz00_4897;
					obj_t BgL_cz00_4898;
					obj_t BgL_dz00_4899;

					BgL_bz00_4897 = BgL_bz00_19508;
					BgL_cz00_4898 = BgL_cz00_19509;
					BgL_dz00_4899 = BgL_dz00_19510;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4901;

						BgL_sz00_4901 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4902;

							BgL_bpz00_4902 = VECTOR_REF(BgL_sz00_4901, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_31338;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_15964;

									BgL_arg1970z00_15964 = VECTOR_LENGTH(BgL_sz00_4901);
									BgL_testz00_31338 =
										(
										((long) CINT(BgL_bpz00_4902) +
											BgL_siza7ezd2framez75_19507) <
										(long) (BgL_arg1970z00_15964));
								}
								if (BgL_testz00_31338)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3775z00_4904;

											BgL_arg3775z00_4904 =
												((long) CINT(BgL_bpz00_4902) + ((long) 0));
											VECTOR_SET(BgL_sz00_4901,
												(int) (BgL_arg3775z00_4904), BgL_bz00_4897);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3776z00_4905;

											BgL_arg3776z00_4905 =
												((long) CINT(BgL_bpz00_4902) + ((long) 1));
											VECTOR_SET(BgL_sz00_4901,
												(int) (BgL_arg3776z00_4905), BgL_cz00_4898);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3777z00_4906;

											BgL_arg3777z00_4906 =
												((long) CINT(BgL_bpz00_4902) + ((long) 2));
											VECTOR_SET(BgL_sz00_4901,
												(int) (BgL_arg3777z00_4906), BgL_dz00_4899);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1498z00_4907;

											BgL_exitd1498z00_4907 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33778ze3z83_18987;

												BgL_zc3anonymousza33778ze3z83_18987 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33778ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33778ze3z83_18987,
													(int) (((long) 0)), BgL_sz00_4901);
												PROCEDURE_SET(BgL_zc3anonymousza33778ze3z83_18987,
													(int) (((long) 1)), BgL_bpz00_4902);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1498z00_4907,
													BgL_zc3anonymousza33778ze3z83_18987);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1500z00_4909;

													BgL_tmp1500z00_4909 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19506, BgL_sz00_4901, BgL_bpz00_4902);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1498z00_4907);
													VECTOR_SET(BgL_sz00_4901, (int) (((long) 0)),
														BgL_bpz00_4902);
													return BgL_tmp1500z00_4909;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4912;

										BgL_nsz00_4912 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4912,
											(int) (((long) 1)), BgL_sz00_4901);
										VECTOR_SET(BgL_nsz00_4912,
											(int) (((long) 2)), BgL_bz00_4897);
										VECTOR_SET(BgL_nsz00_4912,
											(int) (((long) 3)), BgL_cz00_4898);
										VECTOR_SET(BgL_nsz00_4912,
											(int) (((long) 4)), BgL_dz00_4899);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_31378;

											BgL_auxz00_31378 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_31378, BgL_nsz00_4912);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1501z00_4914;

											BgL_exitd1501z00_4914 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33780ze3z83_18985;

												BgL_zc3anonymousza33780ze3z83_18985 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33780ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33780ze3z83_18985,
													(int) (((long) 0)), BgL_sz00_4901);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1501z00_4914,
													BgL_zc3anonymousza33780ze3z83_18985);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1503z00_4916;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_16013;

														BgL_savedzd2bpzd2_16013 =
															VECTOR_REF(BgL_nsz00_4912, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4912,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_16020;

															BgL_fz00_16020 = BgL_runz00_19506;
														BgL_recz00_16019:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_16021;

																BgL_rz00_16021 =
																	PROCEDURE_ENTRY(BgL_fz00_16020)
																	(BgL_fz00_16020, BgL_nsz00_4912, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_31397;

																	if (PROCEDUREP(BgL_rz00_16021))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_16026;

																			BgL_arg1962z00_16026 =
																				PROCEDURE_ATTR(BgL_rz00_16021);
																			if (STRUCTP(BgL_arg1962z00_16026))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31397 =
																						(STRUCT_KEY(BgL_arg1962z00_16026) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31397 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_31397 = ((bool_t) 0);
																		}
																	if (BgL_testz00_31397)
																		{
																			obj_t BgL_fz00_31405;

																			BgL_fz00_31405 = BgL_rz00_16021;
																			BgL_fz00_16020 = BgL_fz00_31405;
																			goto BgL_recz00_16019;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4912,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_16013);
																			BgL_tmp1503z00_4916 = BgL_rz00_16021;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1501z00_4914);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_31409;

														BgL_auxz00_31409 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_31409,
															BgL_sz00_4901);
													}
													return BgL_tmp1503z00_4916;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3778> */
	obj_t BGl_z62zc3anonymousza33778ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19511)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19512;
				obj_t BgL_bpz00_19513;

				BgL_sz00_19512 = PROCEDURE_REF(BgL_envz00_19511, (int) (((long) 0)));
				BgL_bpz00_19513 = PROCEDURE_REF(BgL_envz00_19511, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19512, (int) (((long) 0)), BgL_bpz00_19513);
		}}}
	}



/* &run5914 */
	obj_t BGl_z62run5914z62zz__evaluate_compz00(obj_t BgL_envz00_19514,
		obj_t BgL_sz00_19518)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19515;
				BgL_ev_absz00_bglt BgL_i1321z00_19516;
				obj_t BgL_bodyz00_19517;

				BgL_iboxesz00_19515 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19514, (int) (((long) 0))));
				BgL_i1321z00_19516 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19514, (int) (((long) 1))));
				BgL_bodyz00_19517 = PROCEDURE_REF(BgL_envz00_19514, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4921;

					BgL_sz00_4921 = BgL_sz00_19518;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4923;

						BgL_bpz00_4923 = VECTOR_REF(BgL_sz00_4921, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4921,
							BgL_iboxesz00_19515, BgL_bpz00_4923);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4924;
							obj_t BgL_wherez00_4925;
							obj_t BgL_locz00_4926;

							BgL_z12denvz12_4924 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4925 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19516))->BgL_wherez00);
							BgL_locz00_4926 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19516))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4924, BgL_wherez00_4925,
									BgL_locz00_4926);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4927;

									BgL_za2za2resza2za2z00_4927 =
										PROCEDURE_ENTRY(BgL_bodyz00_19517) (BgL_bodyz00_19517,
										BgL_sz00_4921, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4924);
									return BgL_za2za2resza2za2z00_4927;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3780> */
	obj_t BGl_z62zc3anonymousza33780ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19519)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19520;

				BgL_sz00_19520 = PROCEDURE_REF(BgL_envz00_19519, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_31440;

						BgL_auxz00_31440 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_31440, BgL_sz00_19520);
					}
				}
			}
		}
	}



/* &<anonymous:3785> */
	obj_t BGl_z62zc3anonymousza33785ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19521, obj_t BgL_sz00_19527)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19522;
				long BgL_siza7eza7_19523;
				BgL_ev_absz00_bglt BgL_i1321z00_19524;
				obj_t BgL_bodyz00_19525;
				long BgL_siza7ezd2framez75_19526;

				BgL_ifreesz00_19522 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19521, (int) (((long) 0))));
				BgL_siza7eza7_19523 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19521, (int) (((long) 1))));
				BgL_i1321z00_19524 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19521, (int) (((long) 2))));
				BgL_bodyz00_19525 = PROCEDURE_REF(BgL_envz00_19521, (int) (((long) 3)));
				BgL_siza7ezd2framez75_19526 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19521, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4931;

					BgL_sz00_4931 = BgL_sz00_19527;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4933;

						BgL_bpz00_4933 = VECTOR_REF(BgL_sz00_4931, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4934;

							BgL_valza2za2_4934 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4931,
								BgL_bpz00_4933, BgL_ifreesz00_19522);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18981;

								BgL_runz00_18981 =
									MAKE_FX_PROCEDURE(BGl_z62run5916z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_18981,
									(int) (((long) 0)), BINT(BgL_siza7eza7_19523));
								PROCEDURE_SET(BgL_runz00_18981,
									(int) (((long) 1)), BgL_valza2za2_4934);
								PROCEDURE_SET(BgL_runz00_18981,
									(int) (((long) 2)), ((obj_t) BgL_i1321z00_19524));
								PROCEDURE_SET(BgL_runz00_18981,
									(int) (((long) 3)), BgL_bodyz00_19525);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18983;

									BgL_mainz00_18983 =
										MAKE_FX_PROCEDURE(BGl_z62main5915z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_18983,
										(int) (((long) 0)), BINT(BgL_siza7eza7_19523));
									PROCEDURE_SET(BgL_mainz00_18983,
										(int) (((long) 1)), BgL_valza2za2_4934);
									PROCEDURE_SET(BgL_mainz00_18983,
										(int) (((long) 2)), ((obj_t) BgL_i1321z00_19524));
									PROCEDURE_SET(BgL_mainz00_18983,
										(int) (((long) 3)), BgL_bodyz00_19525);
									PROCEDURE_SET(BgL_mainz00_18983,
										(int) (((long) 4)), BgL_runz00_18981);
									PROCEDURE_SET(BgL_mainz00_18983,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_19526));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_16158;

										BgL_objz00_16158 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18981, BgL_objz00_16158);
										BgL_objz00_16158;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3786z00_4937;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3787z00_4938;

											BgL_arg3787z00_4938 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19524))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_16162;

												BgL_newz00_16162 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_31495;

													BgL_auxz00_31495 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_16162, BgL_auxz00_31495,
														BgL_arg3787z00_4938);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_31500;
													int BgL_auxz00_31498;

													BgL_auxz00_31500 = BINT(BgL_siza7ezd2framez75_19526);
													BgL_auxz00_31498 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_16162, BgL_auxz00_31498,
														BgL_auxz00_31500);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_31503;

													BgL_auxz00_31503 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_16162, BgL_auxz00_31503,
														BgL_runz00_18981);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_31508;
													int BgL_auxz00_31506;

													BgL_auxz00_31508 = BINT(((long) 3));
													BgL_auxz00_31506 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_16162, BgL_auxz00_31506,
														BgL_auxz00_31508);
												}
												BgL_arg3786z00_4937 = BgL_newz00_16162;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18983, BgL_arg3786z00_4937);
										BgL_arg3786z00_4937;
									}
									return BgL_mainz00_18983;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5915 */
	obj_t BGl_z62main5915z62zz__evaluate_compz00(obj_t BgL_envz00_19528,
		obj_t BgL_bz00_19535, obj_t BgL_cz00_19536, obj_t BgL_dz00_19537)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19533;
				long BgL_siza7ezd2framez75_19534;

				BgL_runz00_19533 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19528, (int) (((long) 4))));
				BgL_siza7ezd2framez75_19534 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19528, (int) (((long) 5))));
				{
					obj_t BgL_bz00_4939;
					obj_t BgL_cz00_4940;
					obj_t BgL_dz00_4941;

					BgL_bz00_4939 = BgL_bz00_19535;
					BgL_cz00_4940 = BgL_cz00_19536;
					BgL_dz00_4941 = BgL_dz00_19537;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4943;

						BgL_sz00_4943 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4944;

							BgL_bpz00_4944 = VECTOR_REF(BgL_sz00_4943, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_31521;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_16082;

									BgL_arg1970z00_16082 = VECTOR_LENGTH(BgL_sz00_4943);
									BgL_testz00_31521 =
										(
										((long) CINT(BgL_bpz00_4944) +
											BgL_siza7ezd2framez75_19534) <
										(long) (BgL_arg1970z00_16082));
								}
								if (BgL_testz00_31521)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3790z00_4946;

											BgL_arg3790z00_4946 =
												((long) CINT(BgL_bpz00_4944) + ((long) 0));
											VECTOR_SET(BgL_sz00_4943,
												(int) (BgL_arg3790z00_4946), BgL_bz00_4939);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3791z00_4947;

											BgL_arg3791z00_4947 =
												((long) CINT(BgL_bpz00_4944) + ((long) 1));
											VECTOR_SET(BgL_sz00_4943,
												(int) (BgL_arg3791z00_4947), BgL_cz00_4940);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3792z00_4948;

											BgL_arg3792z00_4948 =
												((long) CINT(BgL_bpz00_4944) + ((long) 2));
											VECTOR_SET(BgL_sz00_4943,
												(int) (BgL_arg3792z00_4948), BgL_dz00_4941);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1504z00_4949;

											BgL_exitd1504z00_4949 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33793ze3z83_18982;

												BgL_zc3anonymousza33793ze3z83_18982 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33793ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33793ze3z83_18982,
													(int) (((long) 0)), BgL_sz00_4943);
												PROCEDURE_SET(BgL_zc3anonymousza33793ze3z83_18982,
													(int) (((long) 1)), BgL_bpz00_4944);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1504z00_4949,
													BgL_zc3anonymousza33793ze3z83_18982);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1506z00_4951;

													BgL_tmp1506z00_4951 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19533, BgL_sz00_4943, BgL_bpz00_4944);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1504z00_4949);
													VECTOR_SET(BgL_sz00_4943, (int) (((long) 0)),
														BgL_bpz00_4944);
													return BgL_tmp1506z00_4951;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4954;

										BgL_nsz00_4954 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4954,
											(int) (((long) 1)), BgL_sz00_4943);
										VECTOR_SET(BgL_nsz00_4954,
											(int) (((long) 2)), BgL_bz00_4939);
										VECTOR_SET(BgL_nsz00_4954,
											(int) (((long) 3)), BgL_cz00_4940);
										VECTOR_SET(BgL_nsz00_4954,
											(int) (((long) 4)), BgL_dz00_4941);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_31561;

											BgL_auxz00_31561 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_31561, BgL_nsz00_4954);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1507z00_4956;

											BgL_exitd1507z00_4956 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33795ze3z83_18980;

												BgL_zc3anonymousza33795ze3z83_18980 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33795ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33795ze3z83_18980,
													(int) (((long) 0)), BgL_sz00_4943);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1507z00_4956,
													BgL_zc3anonymousza33795ze3z83_18980);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1509z00_4958;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_16131;

														BgL_savedzd2bpzd2_16131 =
															VECTOR_REF(BgL_nsz00_4954, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4954,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_16138;

															BgL_fz00_16138 = BgL_runz00_19533;
														BgL_recz00_16137:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_16139;

																BgL_rz00_16139 =
																	PROCEDURE_ENTRY(BgL_fz00_16138)
																	(BgL_fz00_16138, BgL_nsz00_4954, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_31580;

																	if (PROCEDUREP(BgL_rz00_16139))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_16144;

																			BgL_arg1962z00_16144 =
																				PROCEDURE_ATTR(BgL_rz00_16139);
																			if (STRUCTP(BgL_arg1962z00_16144))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31580 =
																						(STRUCT_KEY(BgL_arg1962z00_16144) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31580 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_31580 = ((bool_t) 0);
																		}
																	if (BgL_testz00_31580)
																		{
																			obj_t BgL_fz00_31588;

																			BgL_fz00_31588 = BgL_rz00_16139;
																			BgL_fz00_16138 = BgL_fz00_31588;
																			goto BgL_recz00_16137;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4954,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_16131);
																			BgL_tmp1509z00_4958 = BgL_rz00_16139;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1507z00_4956);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_31592;

														BgL_auxz00_31592 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_31592,
															BgL_sz00_4943);
													}
													return BgL_tmp1509z00_4958;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3793> */
	obj_t BGl_z62zc3anonymousza33793ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19538)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19539;
				obj_t BgL_bpz00_19540;

				BgL_sz00_19539 = PROCEDURE_REF(BgL_envz00_19538, (int) (((long) 0)));
				BgL_bpz00_19540 = PROCEDURE_REF(BgL_envz00_19538, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19539, (int) (((long) 0)), BgL_bpz00_19540);
		}}}
	}



/* &run5916 */
	obj_t BGl_z62run5916z62zz__evaluate_compz00(obj_t BgL_envz00_19541,
		obj_t BgL_sz00_19546)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_19542;
				obj_t BgL_valza2za2_19543;
				BgL_ev_absz00_bglt BgL_i1321z00_19544;
				obj_t BgL_bodyz00_19545;

				BgL_siza7eza7_19542 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19541, (int) (((long) 0))));
				BgL_valza2za2_19543 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19541, (int) (((long) 1))));
				BgL_i1321z00_19544 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19541, (int) (((long) 2))));
				BgL_bodyz00_19545 = PROCEDURE_REF(BgL_envz00_19541, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4963;

					BgL_sz00_4963 = BgL_sz00_19546;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4965;

						BgL_bpz00_4965 = VECTOR_REF(BgL_sz00_4963, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4963,
							BgL_valza2za2_19543,
							((long) CINT(BgL_bpz00_4965) + BgL_siza7eza7_19542));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4967;
							obj_t BgL_wherez00_4968;
							obj_t BgL_locz00_4969;

							BgL_z12denvz12_4967 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4968 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19544))->BgL_wherez00);
							BgL_locz00_4969 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19544))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4967, BgL_wherez00_4968,
									BgL_locz00_4969);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4970;

									BgL_za2za2resza2za2z00_4970 =
										PROCEDURE_ENTRY(BgL_bodyz00_19545) (BgL_bodyz00_19545,
										BgL_sz00_4963, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4967);
									return BgL_za2za2resza2za2z00_4970;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3795> */
	obj_t BGl_z62zc3anonymousza33795ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19547)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19548;

				BgL_sz00_19548 = PROCEDURE_REF(BgL_envz00_19547, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_31628;

						BgL_auxz00_31628 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_31628, BgL_sz00_19548);
					}
				}
			}
		}
	}



/* &<anonymous:3799> */
	obj_t BGl_z62zc3anonymousza33799ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19549, obj_t BgL_sz00_19556)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19550;
				obj_t BgL_iboxesz00_19551;
				long BgL_siza7eza7_19552;
				BgL_ev_absz00_bglt BgL_i1321z00_19553;
				obj_t BgL_bodyz00_19554;
				long BgL_siza7ezd2framez75_19555;

				BgL_ifreesz00_19550 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19549, (int) (((long) 0))));
				BgL_iboxesz00_19551 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19549, (int) (((long) 1))));
				BgL_siza7eza7_19552 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19549, (int) (((long) 2))));
				BgL_i1321z00_19553 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19549, (int) (((long) 3))));
				BgL_bodyz00_19554 = PROCEDURE_REF(BgL_envz00_19549, (int) (((long) 4)));
				BgL_siza7ezd2framez75_19555 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19549, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4972;

					BgL_sz00_4972 = BgL_sz00_19556;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4974;

						BgL_bpz00_4974 = VECTOR_REF(BgL_sz00_4972, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4975;

							BgL_valza2za2_4975 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4972,
								BgL_bpz00_4974, BgL_ifreesz00_19550);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18976;

								BgL_runz00_18976 =
									MAKE_FX_PROCEDURE(BGl_z62run5918z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_18976,
									(int) (((long) 0)), BgL_iboxesz00_19551);
								PROCEDURE_SET(BgL_runz00_18976,
									(int) (((long) 1)), BINT(BgL_siza7eza7_19552));
								PROCEDURE_SET(BgL_runz00_18976,
									(int) (((long) 2)), BgL_valza2za2_4975);
								PROCEDURE_SET(BgL_runz00_18976,
									(int) (((long) 3)), ((obj_t) BgL_i1321z00_19553));
								PROCEDURE_SET(BgL_runz00_18976,
									(int) (((long) 4)), BgL_bodyz00_19554);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18978;

									BgL_mainz00_18978 =
										MAKE_FX_PROCEDURE(BGl_z62main5917z62zz__evaluate_compz00,
										(int) (((long) 3)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_18978,
										(int) (((long) 0)), BgL_iboxesz00_19551);
									PROCEDURE_SET(BgL_mainz00_18978,
										(int) (((long) 1)), BINT(BgL_siza7eza7_19552));
									PROCEDURE_SET(BgL_mainz00_18978,
										(int) (((long) 2)), BgL_valza2za2_4975);
									PROCEDURE_SET(BgL_mainz00_18978,
										(int) (((long) 3)), ((obj_t) BgL_i1321z00_19553));
									PROCEDURE_SET(BgL_mainz00_18978,
										(int) (((long) 4)), BgL_bodyz00_19554);
									PROCEDURE_SET(BgL_mainz00_18978,
										(int) (((long) 5)), BgL_runz00_18976);
									PROCEDURE_SET(BgL_mainz00_18978,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_19555));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_16272;

										BgL_objz00_16272 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18976, BgL_objz00_16272);
										BgL_objz00_16272;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3800z00_4978;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3801z00_4979;

											BgL_arg3801z00_4979 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19553))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_16276;

												BgL_newz00_16276 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_31690;

													BgL_auxz00_31690 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_16276, BgL_auxz00_31690,
														BgL_arg3801z00_4979);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_31695;
													int BgL_auxz00_31693;

													BgL_auxz00_31695 = BINT(BgL_siza7ezd2framez75_19555);
													BgL_auxz00_31693 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_16276, BgL_auxz00_31693,
														BgL_auxz00_31695);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_31698;

													BgL_auxz00_31698 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_16276, BgL_auxz00_31698,
														BgL_runz00_18976);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_31703;
													int BgL_auxz00_31701;

													BgL_auxz00_31703 = BINT(((long) 3));
													BgL_auxz00_31701 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_16276, BgL_auxz00_31701,
														BgL_auxz00_31703);
												}
												BgL_arg3800z00_4978 = BgL_newz00_16276;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18978, BgL_arg3800z00_4978);
										BgL_arg3800z00_4978;
									}
									return BgL_mainz00_18978;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5917 */
	obj_t BGl_z62main5917z62zz__evaluate_compz00(obj_t BgL_envz00_19557,
		obj_t BgL_bz00_19565, obj_t BgL_cz00_19566, obj_t BgL_dz00_19567)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19563;
				long BgL_siza7ezd2framez75_19564;

				BgL_runz00_19563 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19557, (int) (((long) 5))));
				BgL_siza7ezd2framez75_19564 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19557, (int) (((long) 6))));
				{
					obj_t BgL_bz00_4980;
					obj_t BgL_cz00_4981;
					obj_t BgL_dz00_4982;

					BgL_bz00_4980 = BgL_bz00_19565;
					BgL_cz00_4981 = BgL_cz00_19566;
					BgL_dz00_4982 = BgL_dz00_19567;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4984;

						BgL_sz00_4984 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4985;

							BgL_bpz00_4985 = VECTOR_REF(BgL_sz00_4984, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_31716;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_16196;

									BgL_arg1970z00_16196 = VECTOR_LENGTH(BgL_sz00_4984);
									BgL_testz00_31716 =
										(
										((long) CINT(BgL_bpz00_4985) +
											BgL_siza7ezd2framez75_19564) <
										(long) (BgL_arg1970z00_16196));
								}
								if (BgL_testz00_31716)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3804z00_4987;

											BgL_arg3804z00_4987 =
												((long) CINT(BgL_bpz00_4985) + ((long) 0));
											VECTOR_SET(BgL_sz00_4984,
												(int) (BgL_arg3804z00_4987), BgL_bz00_4980);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3805z00_4988;

											BgL_arg3805z00_4988 =
												((long) CINT(BgL_bpz00_4985) + ((long) 1));
											VECTOR_SET(BgL_sz00_4984,
												(int) (BgL_arg3805z00_4988), BgL_cz00_4981);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3806z00_4989;

											BgL_arg3806z00_4989 =
												((long) CINT(BgL_bpz00_4985) + ((long) 2));
											VECTOR_SET(BgL_sz00_4984,
												(int) (BgL_arg3806z00_4989), BgL_dz00_4982);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1510z00_4990;

											BgL_exitd1510z00_4990 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33807ze3z83_18977;

												BgL_zc3anonymousza33807ze3z83_18977 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33807ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33807ze3z83_18977,
													(int) (((long) 0)), BgL_sz00_4984);
												PROCEDURE_SET(BgL_zc3anonymousza33807ze3z83_18977,
													(int) (((long) 1)), BgL_bpz00_4985);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1510z00_4990,
													BgL_zc3anonymousza33807ze3z83_18977);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1512z00_4992;

													BgL_tmp1512z00_4992 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19563, BgL_sz00_4984, BgL_bpz00_4985);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1510z00_4990);
													VECTOR_SET(BgL_sz00_4984, (int) (((long) 0)),
														BgL_bpz00_4985);
													return BgL_tmp1512z00_4992;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4995;

										BgL_nsz00_4995 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4995,
											(int) (((long) 1)), BgL_sz00_4984);
										VECTOR_SET(BgL_nsz00_4995,
											(int) (((long) 2)), BgL_bz00_4980);
										VECTOR_SET(BgL_nsz00_4995,
											(int) (((long) 3)), BgL_cz00_4981);
										VECTOR_SET(BgL_nsz00_4995,
											(int) (((long) 4)), BgL_dz00_4982);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_31756;

											BgL_auxz00_31756 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_31756, BgL_nsz00_4995);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1513z00_4997;

											BgL_exitd1513z00_4997 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33809ze3z83_18975;

												BgL_zc3anonymousza33809ze3z83_18975 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33809ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33809ze3z83_18975,
													(int) (((long) 0)), BgL_sz00_4984);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1513z00_4997,
													BgL_zc3anonymousza33809ze3z83_18975);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1515z00_4999;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_16245;

														BgL_savedzd2bpzd2_16245 =
															VECTOR_REF(BgL_nsz00_4995, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4995,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_16252;

															BgL_fz00_16252 = BgL_runz00_19563;
														BgL_recz00_16251:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_16253;

																BgL_rz00_16253 =
																	PROCEDURE_ENTRY(BgL_fz00_16252)
																	(BgL_fz00_16252, BgL_nsz00_4995, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_31775;

																	if (PROCEDUREP(BgL_rz00_16253))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_16258;

																			BgL_arg1962z00_16258 =
																				PROCEDURE_ATTR(BgL_rz00_16253);
																			if (STRUCTP(BgL_arg1962z00_16258))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31775 =
																						(STRUCT_KEY(BgL_arg1962z00_16258) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31775 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_31775 = ((bool_t) 0);
																		}
																	if (BgL_testz00_31775)
																		{
																			obj_t BgL_fz00_31783;

																			BgL_fz00_31783 = BgL_rz00_16253;
																			BgL_fz00_16252 = BgL_fz00_31783;
																			goto BgL_recz00_16251;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4995,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_16245);
																			BgL_tmp1515z00_4999 = BgL_rz00_16253;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1513z00_4997);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_31787;

														BgL_auxz00_31787 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_31787,
															BgL_sz00_4984);
													}
													return BgL_tmp1515z00_4999;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3807> */
	obj_t BGl_z62zc3anonymousza33807ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19568)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19569;
				obj_t BgL_bpz00_19570;

				BgL_sz00_19569 = PROCEDURE_REF(BgL_envz00_19568, (int) (((long) 0)));
				BgL_bpz00_19570 = PROCEDURE_REF(BgL_envz00_19568, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19569, (int) (((long) 0)), BgL_bpz00_19570);
		}}}
	}



/* &run5918 */
	obj_t BGl_z62run5918z62zz__evaluate_compz00(obj_t BgL_envz00_19571,
		obj_t BgL_sz00_19577)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19572;
				long BgL_siza7eza7_19573;
				obj_t BgL_valza2za2_19574;
				BgL_ev_absz00_bglt BgL_i1321z00_19575;
				obj_t BgL_bodyz00_19576;

				BgL_iboxesz00_19572 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19571, (int) (((long) 0))));
				BgL_siza7eza7_19573 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19571, (int) (((long) 1))));
				BgL_valza2za2_19574 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19571, (int) (((long) 2))));
				BgL_i1321z00_19575 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19571, (int) (((long) 3))));
				BgL_bodyz00_19576 = PROCEDURE_REF(BgL_envz00_19571, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5004;

					BgL_sz00_5004 = BgL_sz00_19577;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5006;

						BgL_bpz00_5006 = VECTOR_REF(BgL_sz00_5004, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5004,
							BgL_iboxesz00_19572, BgL_bpz00_5006);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5004,
							BgL_valza2za2_19574,
							((long) CINT(BgL_bpz00_5006) + BgL_siza7eza7_19573));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_5008;
							obj_t BgL_wherez00_5009;
							obj_t BgL_locz00_5010;

							BgL_z12denvz12_5008 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5009 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19575))->BgL_wherez00);
							BgL_locz00_5010 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19575))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5008, BgL_wherez00_5009,
									BgL_locz00_5010);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_5011;

									BgL_za2za2resza2za2z00_5011 =
										PROCEDURE_ENTRY(BgL_bodyz00_19576) (BgL_bodyz00_19576,
										BgL_sz00_5004, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5008);
									return BgL_za2za2resza2za2z00_5011;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3809> */
	obj_t BGl_z62zc3anonymousza33809ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19578)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19579;

				BgL_sz00_19579 = PROCEDURE_REF(BgL_envz00_19578, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_31827;

						BgL_auxz00_31827 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_31827, BgL_sz00_19579);
					}
				}
			}
		}
	}



/* &<anonymous:3697> */
	obj_t BGl_z62zc3anonymousza33697ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19580, obj_t BgL_sz00_19584)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_19581;
				obj_t BgL_bodyz00_19582;
				long BgL_siza7ezd2framez75_19583;

				BgL_i1321z00_19581 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19580, (int) (((long) 0))));
				BgL_bodyz00_19582 = PROCEDURE_REF(BgL_envz00_19580, (int) (((long) 1)));
				BgL_siza7ezd2framez75_19583 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19580, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4685;

					BgL_sz00_4685 = BgL_sz00_19584;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4687;

						BgL_bpz00_4687 = VECTOR_REF(BgL_sz00_4685, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18971;

								BgL_runz00_18971 =
									MAKE_FX_PROCEDURE(BGl_z62run5920z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_18971,
									(int) (((long) 0)), ((obj_t) BgL_i1321z00_19581));
								PROCEDURE_SET(BgL_runz00_18971,
									(int) (((long) 1)), BgL_bodyz00_19582);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18973;

									BgL_mainz00_18973 =
										MAKE_VA_PROCEDURE(BGl_z62main5919z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_18973,
										(int) (((long) 0)), ((obj_t) BgL_i1321z00_19581));
									PROCEDURE_SET(BgL_mainz00_18973,
										(int) (((long) 1)), BgL_bodyz00_19582);
									PROCEDURE_SET(BgL_mainz00_18973,
										(int) (((long) 2)), BgL_runz00_18971);
									PROCEDURE_SET(BgL_mainz00_18973,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_19583));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_15467;

										BgL_objz00_15467 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18971, BgL_objz00_15467);
										BgL_objz00_15467;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3698z00_4690;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3699z00_4691;

											BgL_arg3699z00_4691 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19581))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_15471;

												BgL_newz00_15471 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_31865;

													BgL_auxz00_31865 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15471, BgL_auxz00_31865,
														BgL_arg3699z00_4691);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_31870;
													int BgL_auxz00_31868;

													BgL_auxz00_31870 = BINT(BgL_siza7ezd2framez75_19583);
													BgL_auxz00_31868 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15471, BgL_auxz00_31868,
														BgL_auxz00_31870);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_31873;

													BgL_auxz00_31873 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15471, BgL_auxz00_31873,
														BgL_runz00_18971);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_31878;
													int BgL_auxz00_31876;

													BgL_auxz00_31878 = BINT(((long) -3));
													BgL_auxz00_31876 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15471, BgL_auxz00_31876,
														BgL_auxz00_31878);
												}
												BgL_arg3698z00_4690 = BgL_newz00_15471;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18973, BgL_arg3698z00_4690);
										BgL_arg3698z00_4690;
									}
									return BgL_mainz00_18973;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5919 */
	obj_t BGl_z62main5919z62zz__evaluate_compz00(obj_t BgL_envz00_19585,
		obj_t BgL_cz00_19590, obj_t BgL_dz00_19591, obj_t BgL_lastz00_19592)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19588;
				long BgL_siza7ezd2framez75_19589;

				BgL_runz00_19588 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19585, (int) (((long) 2))));
				BgL_siza7ezd2framez75_19589 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19585, (int) (((long) 3))));
				{
					obj_t BgL_cz00_4692;
					obj_t BgL_dz00_4693;
					obj_t BgL_lastz00_4694;

					BgL_cz00_4692 = BgL_cz00_19590;
					BgL_dz00_4693 = BgL_dz00_19591;
					BgL_lastz00_4694 = BgL_lastz00_19592;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4696;

						BgL_sz00_4696 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4697;

							BgL_bpz00_4697 = VECTOR_REF(BgL_sz00_4696, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_31891;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_15391;

									BgL_arg1970z00_15391 = VECTOR_LENGTH(BgL_sz00_4696);
									BgL_testz00_31891 =
										(
										((long) CINT(BgL_bpz00_4697) +
											BgL_siza7ezd2framez75_19589) <
										(long) (BgL_arg1970z00_15391));
								}
								if (BgL_testz00_31891)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3702z00_4699;

											BgL_arg3702z00_4699 =
												((long) CINT(BgL_bpz00_4697) + ((long) 0));
											VECTOR_SET(BgL_sz00_4696,
												(int) (BgL_arg3702z00_4699), BgL_cz00_4692);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3703z00_4700;

											BgL_arg3703z00_4700 =
												((long) CINT(BgL_bpz00_4697) + ((long) 1));
											VECTOR_SET(BgL_sz00_4696,
												(int) (BgL_arg3703z00_4700), BgL_dz00_4693);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3704z00_4701;

											BgL_arg3704z00_4701 =
												((long) CINT(BgL_bpz00_4697) + ((long) 2));
											VECTOR_SET(BgL_sz00_4696,
												(int) (BgL_arg3704z00_4701), BgL_lastz00_4694);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1468z00_4702;

											BgL_exitd1468z00_4702 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33705ze3z83_18972;

												BgL_zc3anonymousza33705ze3z83_18972 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33705ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33705ze3z83_18972,
													(int) (((long) 0)), BgL_sz00_4696);
												PROCEDURE_SET(BgL_zc3anonymousza33705ze3z83_18972,
													(int) (((long) 1)), BgL_bpz00_4697);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1468z00_4702,
													BgL_zc3anonymousza33705ze3z83_18972);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1470z00_4704;

													BgL_tmp1470z00_4704 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19588, BgL_sz00_4696, BgL_bpz00_4697);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1468z00_4702);
													VECTOR_SET(BgL_sz00_4696, (int) (((long) 0)),
														BgL_bpz00_4697);
													return BgL_tmp1470z00_4704;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4707;

										BgL_nsz00_4707 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4707,
											(int) (((long) 1)), BgL_sz00_4696);
										VECTOR_SET(BgL_nsz00_4707,
											(int) (((long) 2)), BgL_cz00_4692);
										VECTOR_SET(BgL_nsz00_4707,
											(int) (((long) 3)), BgL_dz00_4693);
										VECTOR_SET(BgL_nsz00_4707,
											(int) (((long) 4)), BgL_lastz00_4694);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_31931;

											BgL_auxz00_31931 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_31931, BgL_nsz00_4707);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1471z00_4709;

											BgL_exitd1471z00_4709 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33707ze3z83_18970;

												BgL_zc3anonymousza33707ze3z83_18970 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33707ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33707ze3z83_18970,
													(int) (((long) 0)), BgL_sz00_4696);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1471z00_4709,
													BgL_zc3anonymousza33707ze3z83_18970);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1473z00_4711;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_15440;

														BgL_savedzd2bpzd2_15440 =
															VECTOR_REF(BgL_nsz00_4707, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4707,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_15447;

															BgL_fz00_15447 = BgL_runz00_19588;
														BgL_recz00_15446:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_15448;

																BgL_rz00_15448 =
																	PROCEDURE_ENTRY(BgL_fz00_15447)
																	(BgL_fz00_15447, BgL_nsz00_4707, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_31950;

																	if (PROCEDUREP(BgL_rz00_15448))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_15453;

																			BgL_arg1962z00_15453 =
																				PROCEDURE_ATTR(BgL_rz00_15448);
																			if (STRUCTP(BgL_arg1962z00_15453))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31950 =
																						(STRUCT_KEY(BgL_arg1962z00_15453) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_31950 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_31950 = ((bool_t) 0);
																		}
																	if (BgL_testz00_31950)
																		{
																			obj_t BgL_fz00_31958;

																			BgL_fz00_31958 = BgL_rz00_15448;
																			BgL_fz00_15447 = BgL_fz00_31958;
																			goto BgL_recz00_15446;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4707,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_15440);
																			BgL_tmp1473z00_4711 = BgL_rz00_15448;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1471z00_4709);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_31962;

														BgL_auxz00_31962 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_31962,
															BgL_sz00_4696);
													}
													return BgL_tmp1473z00_4711;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3705> */
	obj_t BGl_z62zc3anonymousza33705ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19593)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19594;
				obj_t BgL_bpz00_19595;

				BgL_sz00_19594 = PROCEDURE_REF(BgL_envz00_19593, (int) (((long) 0)));
				BgL_bpz00_19595 = PROCEDURE_REF(BgL_envz00_19593, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19594, (int) (((long) 0)), BgL_bpz00_19595);
		}}}
	}



/* &run5920 */
	obj_t BGl_z62run5920z62zz__evaluate_compz00(obj_t BgL_envz00_19596,
		obj_t BgL_sz00_19599)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_19597;
				obj_t BgL_bodyz00_19598;

				BgL_i1321z00_19597 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19596, (int) (((long) 0))));
				BgL_bodyz00_19598 = PROCEDURE_REF(BgL_envz00_19596, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4716;

					BgL_sz00_4716 = BgL_sz00_19599;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4718;

						BgL_bpz00_4718 = VECTOR_REF(BgL_sz00_4716, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4719;
							obj_t BgL_wherez00_4720;
							obj_t BgL_locz00_4721;

							BgL_z12denvz12_4719 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4720 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19597))->BgL_wherez00);
							BgL_locz00_4721 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19597))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4719, BgL_wherez00_4720,
									BgL_locz00_4721);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4722;

									BgL_za2za2resza2za2z00_4722 =
										PROCEDURE_ENTRY(BgL_bodyz00_19598) (BgL_bodyz00_19598,
										BgL_sz00_4716, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4719);
									return BgL_za2za2resza2za2z00_4722;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3707> */
	obj_t BGl_z62zc3anonymousza33707ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19600)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19601;

				BgL_sz00_19601 = PROCEDURE_REF(BgL_envz00_19600, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_31989;

						BgL_auxz00_31989 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_31989, BgL_sz00_19601);
					}
				}
			}
		}
	}



/* &<anonymous:3710> */
	obj_t BGl_z62zc3anonymousza33710ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19602, obj_t BgL_sz00_19607)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19603;
				BgL_ev_absz00_bglt BgL_i1321z00_19604;
				obj_t BgL_bodyz00_19605;
				long BgL_siza7ezd2framez75_19606;

				BgL_iboxesz00_19603 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19602, (int) (((long) 0))));
				BgL_i1321z00_19604 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19602, (int) (((long) 1))));
				BgL_bodyz00_19605 = PROCEDURE_REF(BgL_envz00_19602, (int) (((long) 2)));
				BgL_siza7ezd2framez75_19606 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19602, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4724;

					BgL_sz00_4724 = BgL_sz00_19607;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4726;

						BgL_bpz00_4726 = VECTOR_REF(BgL_sz00_4724, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18966;

								BgL_runz00_18966 =
									MAKE_FX_PROCEDURE(BGl_z62run5922z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_18966,
									(int) (((long) 0)), BgL_iboxesz00_19603);
								PROCEDURE_SET(BgL_runz00_18966,
									(int) (((long) 1)), ((obj_t) BgL_i1321z00_19604));
								PROCEDURE_SET(BgL_runz00_18966,
									(int) (((long) 2)), BgL_bodyz00_19605);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18968;

									BgL_mainz00_18968 =
										MAKE_VA_PROCEDURE(BGl_z62main5921z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_18968,
										(int) (((long) 0)), BgL_iboxesz00_19603);
									PROCEDURE_SET(BgL_mainz00_18968,
										(int) (((long) 1)), ((obj_t) BgL_i1321z00_19604));
									PROCEDURE_SET(BgL_mainz00_18968,
										(int) (((long) 2)), BgL_bodyz00_19605);
									PROCEDURE_SET(BgL_mainz00_18968,
										(int) (((long) 3)), BgL_runz00_18966);
									PROCEDURE_SET(BgL_mainz00_18968,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_19606));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_15578;

										BgL_objz00_15578 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18966, BgL_objz00_15578);
										BgL_objz00_15578;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3711z00_4729;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3712z00_4730;

											BgL_arg3712z00_4730 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19604))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_15582;

												BgL_newz00_15582 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_32034;

													BgL_auxz00_32034 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15582, BgL_auxz00_32034,
														BgL_arg3712z00_4730);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_32039;
													int BgL_auxz00_32037;

													BgL_auxz00_32039 = BINT(BgL_siza7ezd2framez75_19606);
													BgL_auxz00_32037 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15582, BgL_auxz00_32037,
														BgL_auxz00_32039);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_32042;

													BgL_auxz00_32042 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15582, BgL_auxz00_32042,
														BgL_runz00_18966);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_32047;
													int BgL_auxz00_32045;

													BgL_auxz00_32047 = BINT(((long) -3));
													BgL_auxz00_32045 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15582, BgL_auxz00_32045,
														BgL_auxz00_32047);
												}
												BgL_arg3711z00_4729 = BgL_newz00_15582;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18968, BgL_arg3711z00_4729);
										BgL_arg3711z00_4729;
									}
									return BgL_mainz00_18968;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5921 */
	obj_t BGl_z62main5921z62zz__evaluate_compz00(obj_t BgL_envz00_19608,
		obj_t BgL_cz00_19614, obj_t BgL_dz00_19615, obj_t BgL_lastz00_19616)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19612;
				long BgL_siza7ezd2framez75_19613;

				BgL_runz00_19612 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19608, (int) (((long) 3))));
				BgL_siza7ezd2framez75_19613 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19608, (int) (((long) 4))));
				{
					obj_t BgL_cz00_4731;
					obj_t BgL_dz00_4732;
					obj_t BgL_lastz00_4733;

					BgL_cz00_4731 = BgL_cz00_19614;
					BgL_dz00_4732 = BgL_dz00_19615;
					BgL_lastz00_4733 = BgL_lastz00_19616;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4735;

						BgL_sz00_4735 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4736;

							BgL_bpz00_4736 = VECTOR_REF(BgL_sz00_4735, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_32060;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_15502;

									BgL_arg1970z00_15502 = VECTOR_LENGTH(BgL_sz00_4735);
									BgL_testz00_32060 =
										(
										((long) CINT(BgL_bpz00_4736) +
											BgL_siza7ezd2framez75_19613) <
										(long) (BgL_arg1970z00_15502));
								}
								if (BgL_testz00_32060)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3715z00_4738;

											BgL_arg3715z00_4738 =
												((long) CINT(BgL_bpz00_4736) + ((long) 0));
											VECTOR_SET(BgL_sz00_4735,
												(int) (BgL_arg3715z00_4738), BgL_cz00_4731);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3716z00_4739;

											BgL_arg3716z00_4739 =
												((long) CINT(BgL_bpz00_4736) + ((long) 1));
											VECTOR_SET(BgL_sz00_4735,
												(int) (BgL_arg3716z00_4739), BgL_dz00_4732);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3717z00_4740;

											BgL_arg3717z00_4740 =
												((long) CINT(BgL_bpz00_4736) + ((long) 2));
											VECTOR_SET(BgL_sz00_4735,
												(int) (BgL_arg3717z00_4740), BgL_lastz00_4733);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1474z00_4741;

											BgL_exitd1474z00_4741 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33718ze3z83_18967;

												BgL_zc3anonymousza33718ze3z83_18967 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33718ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33718ze3z83_18967,
													(int) (((long) 0)), BgL_sz00_4735);
												PROCEDURE_SET(BgL_zc3anonymousza33718ze3z83_18967,
													(int) (((long) 1)), BgL_bpz00_4736);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1474z00_4741,
													BgL_zc3anonymousza33718ze3z83_18967);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1476z00_4743;

													BgL_tmp1476z00_4743 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19612, BgL_sz00_4735, BgL_bpz00_4736);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1474z00_4741);
													VECTOR_SET(BgL_sz00_4735, (int) (((long) 0)),
														BgL_bpz00_4736);
													return BgL_tmp1476z00_4743;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4746;

										BgL_nsz00_4746 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4746,
											(int) (((long) 1)), BgL_sz00_4735);
										VECTOR_SET(BgL_nsz00_4746,
											(int) (((long) 2)), BgL_cz00_4731);
										VECTOR_SET(BgL_nsz00_4746,
											(int) (((long) 3)), BgL_dz00_4732);
										VECTOR_SET(BgL_nsz00_4746,
											(int) (((long) 4)), BgL_lastz00_4733);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_32100;

											BgL_auxz00_32100 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_32100, BgL_nsz00_4746);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1477z00_4748;

											BgL_exitd1477z00_4748 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33720ze3z83_18965;

												BgL_zc3anonymousza33720ze3z83_18965 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33720ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33720ze3z83_18965,
													(int) (((long) 0)), BgL_sz00_4735);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1477z00_4748,
													BgL_zc3anonymousza33720ze3z83_18965);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1479z00_4750;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_15551;

														BgL_savedzd2bpzd2_15551 =
															VECTOR_REF(BgL_nsz00_4746, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4746,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_15558;

															BgL_fz00_15558 = BgL_runz00_19612;
														BgL_recz00_15557:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_15559;

																BgL_rz00_15559 =
																	PROCEDURE_ENTRY(BgL_fz00_15558)
																	(BgL_fz00_15558, BgL_nsz00_4746, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_32119;

																	if (PROCEDUREP(BgL_rz00_15559))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_15564;

																			BgL_arg1962z00_15564 =
																				PROCEDURE_ATTR(BgL_rz00_15559);
																			if (STRUCTP(BgL_arg1962z00_15564))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32119 =
																						(STRUCT_KEY(BgL_arg1962z00_15564) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32119 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_32119 = ((bool_t) 0);
																		}
																	if (BgL_testz00_32119)
																		{
																			obj_t BgL_fz00_32127;

																			BgL_fz00_32127 = BgL_rz00_15559;
																			BgL_fz00_15558 = BgL_fz00_32127;
																			goto BgL_recz00_15557;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4746,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_15551);
																			BgL_tmp1479z00_4750 = BgL_rz00_15559;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1477z00_4748);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_32131;

														BgL_auxz00_32131 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_32131,
															BgL_sz00_4735);
													}
													return BgL_tmp1479z00_4750;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3718> */
	obj_t BGl_z62zc3anonymousza33718ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19617)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19618;
				obj_t BgL_bpz00_19619;

				BgL_sz00_19618 = PROCEDURE_REF(BgL_envz00_19617, (int) (((long) 0)));
				BgL_bpz00_19619 = PROCEDURE_REF(BgL_envz00_19617, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19618, (int) (((long) 0)), BgL_bpz00_19619);
		}}}
	}



/* &run5922 */
	obj_t BGl_z62run5922z62zz__evaluate_compz00(obj_t BgL_envz00_19620,
		obj_t BgL_sz00_19624)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19621;
				BgL_ev_absz00_bglt BgL_i1321z00_19622;
				obj_t BgL_bodyz00_19623;

				BgL_iboxesz00_19621 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19620, (int) (((long) 0))));
				BgL_i1321z00_19622 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19620, (int) (((long) 1))));
				BgL_bodyz00_19623 = PROCEDURE_REF(BgL_envz00_19620, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4755;

					BgL_sz00_4755 = BgL_sz00_19624;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4757;

						BgL_bpz00_4757 = VECTOR_REF(BgL_sz00_4755, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4755,
							BgL_iboxesz00_19621, BgL_bpz00_4757);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4758;
							obj_t BgL_wherez00_4759;
							obj_t BgL_locz00_4760;

							BgL_z12denvz12_4758 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4759 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19622))->BgL_wherez00);
							BgL_locz00_4760 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19622))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4758, BgL_wherez00_4759,
									BgL_locz00_4760);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4761;

									BgL_za2za2resza2za2z00_4761 =
										PROCEDURE_ENTRY(BgL_bodyz00_19623) (BgL_bodyz00_19623,
										BgL_sz00_4755, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4758);
									return BgL_za2za2resza2za2z00_4761;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3720> */
	obj_t BGl_z62zc3anonymousza33720ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19625)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19626;

				BgL_sz00_19626 = PROCEDURE_REF(BgL_envz00_19625, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_32162;

						BgL_auxz00_32162 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_32162, BgL_sz00_19626);
					}
				}
			}
		}
	}



/* &<anonymous:3725> */
	obj_t BGl_z62zc3anonymousza33725ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19627, obj_t BgL_sz00_19633)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19628;
				long BgL_siza7eza7_19629;
				BgL_ev_absz00_bglt BgL_i1321z00_19630;
				obj_t BgL_bodyz00_19631;
				long BgL_siza7ezd2framez75_19632;

				BgL_ifreesz00_19628 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19627, (int) (((long) 0))));
				BgL_siza7eza7_19629 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19627, (int) (((long) 1))));
				BgL_i1321z00_19630 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19627, (int) (((long) 2))));
				BgL_bodyz00_19631 = PROCEDURE_REF(BgL_envz00_19627, (int) (((long) 3)));
				BgL_siza7ezd2framez75_19632 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19627, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4765;

					BgL_sz00_4765 = BgL_sz00_19633;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4767;

						BgL_bpz00_4767 = VECTOR_REF(BgL_sz00_4765, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4768;

							BgL_valza2za2_4768 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4765,
								BgL_bpz00_4767, BgL_ifreesz00_19628);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18961;

								BgL_runz00_18961 =
									MAKE_FX_PROCEDURE(BGl_z62run5924z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_18961,
									(int) (((long) 0)), BINT(BgL_siza7eza7_19629));
								PROCEDURE_SET(BgL_runz00_18961,
									(int) (((long) 1)), BgL_valza2za2_4768);
								PROCEDURE_SET(BgL_runz00_18961,
									(int) (((long) 2)), ((obj_t) BgL_i1321z00_19630));
								PROCEDURE_SET(BgL_runz00_18961,
									(int) (((long) 3)), BgL_bodyz00_19631);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18963;

									BgL_mainz00_18963 =
										MAKE_VA_PROCEDURE(BGl_z62main5923z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_18963,
										(int) (((long) 0)), BINT(BgL_siza7eza7_19629));
									PROCEDURE_SET(BgL_mainz00_18963,
										(int) (((long) 1)), BgL_valza2za2_4768);
									PROCEDURE_SET(BgL_mainz00_18963,
										(int) (((long) 2)), ((obj_t) BgL_i1321z00_19630));
									PROCEDURE_SET(BgL_mainz00_18963,
										(int) (((long) 3)), BgL_bodyz00_19631);
									PROCEDURE_SET(BgL_mainz00_18963,
										(int) (((long) 4)), BgL_runz00_18961);
									PROCEDURE_SET(BgL_mainz00_18963,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_19632));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_15696;

										BgL_objz00_15696 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18961, BgL_objz00_15696);
										BgL_objz00_15696;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3726z00_4771;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3727z00_4772;

											BgL_arg3727z00_4772 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19630))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_15700;

												BgL_newz00_15700 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_32217;

													BgL_auxz00_32217 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15700, BgL_auxz00_32217,
														BgL_arg3727z00_4772);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_32222;
													int BgL_auxz00_32220;

													BgL_auxz00_32222 = BINT(BgL_siza7ezd2framez75_19632);
													BgL_auxz00_32220 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15700, BgL_auxz00_32220,
														BgL_auxz00_32222);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_32225;

													BgL_auxz00_32225 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15700, BgL_auxz00_32225,
														BgL_runz00_18961);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_32230;
													int BgL_auxz00_32228;

													BgL_auxz00_32230 = BINT(((long) -3));
													BgL_auxz00_32228 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15700, BgL_auxz00_32228,
														BgL_auxz00_32230);
												}
												BgL_arg3726z00_4771 = BgL_newz00_15700;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18963, BgL_arg3726z00_4771);
										BgL_arg3726z00_4771;
									}
									return BgL_mainz00_18963;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5923 */
	obj_t BGl_z62main5923z62zz__evaluate_compz00(obj_t BgL_envz00_19634,
		obj_t BgL_cz00_19641, obj_t BgL_dz00_19642, obj_t BgL_lastz00_19643)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19639;
				long BgL_siza7ezd2framez75_19640;

				BgL_runz00_19639 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19634, (int) (((long) 4))));
				BgL_siza7ezd2framez75_19640 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19634, (int) (((long) 5))));
				{
					obj_t BgL_cz00_4773;
					obj_t BgL_dz00_4774;
					obj_t BgL_lastz00_4775;

					BgL_cz00_4773 = BgL_cz00_19641;
					BgL_dz00_4774 = BgL_dz00_19642;
					BgL_lastz00_4775 = BgL_lastz00_19643;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4777;

						BgL_sz00_4777 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4778;

							BgL_bpz00_4778 = VECTOR_REF(BgL_sz00_4777, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_32243;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_15620;

									BgL_arg1970z00_15620 = VECTOR_LENGTH(BgL_sz00_4777);
									BgL_testz00_32243 =
										(
										((long) CINT(BgL_bpz00_4778) +
											BgL_siza7ezd2framez75_19640) <
										(long) (BgL_arg1970z00_15620));
								}
								if (BgL_testz00_32243)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3730z00_4780;

											BgL_arg3730z00_4780 =
												((long) CINT(BgL_bpz00_4778) + ((long) 0));
											VECTOR_SET(BgL_sz00_4777,
												(int) (BgL_arg3730z00_4780), BgL_cz00_4773);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3731z00_4781;

											BgL_arg3731z00_4781 =
												((long) CINT(BgL_bpz00_4778) + ((long) 1));
											VECTOR_SET(BgL_sz00_4777,
												(int) (BgL_arg3731z00_4781), BgL_dz00_4774);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3732z00_4782;

											BgL_arg3732z00_4782 =
												((long) CINT(BgL_bpz00_4778) + ((long) 2));
											VECTOR_SET(BgL_sz00_4777,
												(int) (BgL_arg3732z00_4782), BgL_lastz00_4775);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1480z00_4783;

											BgL_exitd1480z00_4783 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33733ze3z83_18962;

												BgL_zc3anonymousza33733ze3z83_18962 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33733ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33733ze3z83_18962,
													(int) (((long) 0)), BgL_sz00_4777);
												PROCEDURE_SET(BgL_zc3anonymousza33733ze3z83_18962,
													(int) (((long) 1)), BgL_bpz00_4778);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1480z00_4783,
													BgL_zc3anonymousza33733ze3z83_18962);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1482z00_4785;

													BgL_tmp1482z00_4785 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19639, BgL_sz00_4777, BgL_bpz00_4778);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1480z00_4783);
													VECTOR_SET(BgL_sz00_4777, (int) (((long) 0)),
														BgL_bpz00_4778);
													return BgL_tmp1482z00_4785;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4788;

										BgL_nsz00_4788 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4788,
											(int) (((long) 1)), BgL_sz00_4777);
										VECTOR_SET(BgL_nsz00_4788,
											(int) (((long) 2)), BgL_cz00_4773);
										VECTOR_SET(BgL_nsz00_4788,
											(int) (((long) 3)), BgL_dz00_4774);
										VECTOR_SET(BgL_nsz00_4788,
											(int) (((long) 4)), BgL_lastz00_4775);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_32283;

											BgL_auxz00_32283 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_32283, BgL_nsz00_4788);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1483z00_4790;

											BgL_exitd1483z00_4790 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33735ze3z83_18960;

												BgL_zc3anonymousza33735ze3z83_18960 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33735ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33735ze3z83_18960,
													(int) (((long) 0)), BgL_sz00_4777);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1483z00_4790,
													BgL_zc3anonymousza33735ze3z83_18960);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1485z00_4792;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_15669;

														BgL_savedzd2bpzd2_15669 =
															VECTOR_REF(BgL_nsz00_4788, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4788,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_15676;

															BgL_fz00_15676 = BgL_runz00_19639;
														BgL_recz00_15675:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_15677;

																BgL_rz00_15677 =
																	PROCEDURE_ENTRY(BgL_fz00_15676)
																	(BgL_fz00_15676, BgL_nsz00_4788, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_32302;

																	if (PROCEDUREP(BgL_rz00_15677))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_15682;

																			BgL_arg1962z00_15682 =
																				PROCEDURE_ATTR(BgL_rz00_15677);
																			if (STRUCTP(BgL_arg1962z00_15682))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32302 =
																						(STRUCT_KEY(BgL_arg1962z00_15682) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32302 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_32302 = ((bool_t) 0);
																		}
																	if (BgL_testz00_32302)
																		{
																			obj_t BgL_fz00_32310;

																			BgL_fz00_32310 = BgL_rz00_15677;
																			BgL_fz00_15676 = BgL_fz00_32310;
																			goto BgL_recz00_15675;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4788,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_15669);
																			BgL_tmp1485z00_4792 = BgL_rz00_15677;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1483z00_4790);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_32314;

														BgL_auxz00_32314 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_32314,
															BgL_sz00_4777);
													}
													return BgL_tmp1485z00_4792;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3733> */
	obj_t BGl_z62zc3anonymousza33733ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19644)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19645;
				obj_t BgL_bpz00_19646;

				BgL_sz00_19645 = PROCEDURE_REF(BgL_envz00_19644, (int) (((long) 0)));
				BgL_bpz00_19646 = PROCEDURE_REF(BgL_envz00_19644, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19645, (int) (((long) 0)), BgL_bpz00_19646);
		}}}
	}



/* &run5924 */
	obj_t BGl_z62run5924z62zz__evaluate_compz00(obj_t BgL_envz00_19647,
		obj_t BgL_sz00_19652)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_19648;
				obj_t BgL_valza2za2_19649;
				BgL_ev_absz00_bglt BgL_i1321z00_19650;
				obj_t BgL_bodyz00_19651;

				BgL_siza7eza7_19648 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19647, (int) (((long) 0))));
				BgL_valza2za2_19649 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19647, (int) (((long) 1))));
				BgL_i1321z00_19650 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19647, (int) (((long) 2))));
				BgL_bodyz00_19651 = PROCEDURE_REF(BgL_envz00_19647, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4797;

					BgL_sz00_4797 = BgL_sz00_19652;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4799;

						BgL_bpz00_4799 = VECTOR_REF(BgL_sz00_4797, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4797,
							BgL_valza2za2_19649,
							((long) CINT(BgL_bpz00_4799) + BgL_siza7eza7_19648));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4801;
							obj_t BgL_wherez00_4802;
							obj_t BgL_locz00_4803;

							BgL_z12denvz12_4801 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4802 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19650))->BgL_wherez00);
							BgL_locz00_4803 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19650))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4801, BgL_wherez00_4802,
									BgL_locz00_4803);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4804;

									BgL_za2za2resza2za2z00_4804 =
										PROCEDURE_ENTRY(BgL_bodyz00_19651) (BgL_bodyz00_19651,
										BgL_sz00_4797, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4801);
									return BgL_za2za2resza2za2z00_4804;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3735> */
	obj_t BGl_z62zc3anonymousza33735ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19653)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19654;

				BgL_sz00_19654 = PROCEDURE_REF(BgL_envz00_19653, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_32350;

						BgL_auxz00_32350 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_32350, BgL_sz00_19654);
					}
				}
			}
		}
	}



/* &<anonymous:3739> */
	obj_t BGl_z62zc3anonymousza33739ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19655, obj_t BgL_sz00_19662)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19656;
				obj_t BgL_iboxesz00_19657;
				long BgL_siza7eza7_19658;
				BgL_ev_absz00_bglt BgL_i1321z00_19659;
				obj_t BgL_bodyz00_19660;
				long BgL_siza7ezd2framez75_19661;

				BgL_ifreesz00_19656 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19655, (int) (((long) 0))));
				BgL_iboxesz00_19657 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19655, (int) (((long) 1))));
				BgL_siza7eza7_19658 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19655, (int) (((long) 2))));
				BgL_i1321z00_19659 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19655, (int) (((long) 3))));
				BgL_bodyz00_19660 = PROCEDURE_REF(BgL_envz00_19655, (int) (((long) 4)));
				BgL_siza7ezd2framez75_19661 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19655, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4806;

					BgL_sz00_4806 = BgL_sz00_19662;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4808;

						BgL_bpz00_4808 = VECTOR_REF(BgL_sz00_4806, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4809;

							BgL_valza2za2_4809 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4806,
								BgL_bpz00_4808, BgL_ifreesz00_19656);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18956;

								BgL_runz00_18956 =
									MAKE_FX_PROCEDURE(BGl_z62run5926z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_18956,
									(int) (((long) 0)), BgL_iboxesz00_19657);
								PROCEDURE_SET(BgL_runz00_18956,
									(int) (((long) 1)), BINT(BgL_siza7eza7_19658));
								PROCEDURE_SET(BgL_runz00_18956,
									(int) (((long) 2)), BgL_valza2za2_4809);
								PROCEDURE_SET(BgL_runz00_18956,
									(int) (((long) 3)), ((obj_t) BgL_i1321z00_19659));
								PROCEDURE_SET(BgL_runz00_18956,
									(int) (((long) 4)), BgL_bodyz00_19660);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18958;

									BgL_mainz00_18958 =
										MAKE_VA_PROCEDURE(BGl_z62main5925z62zz__evaluate_compz00,
										(int) (((long) -3)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_18958,
										(int) (((long) 0)), BgL_iboxesz00_19657);
									PROCEDURE_SET(BgL_mainz00_18958,
										(int) (((long) 1)), BINT(BgL_siza7eza7_19658));
									PROCEDURE_SET(BgL_mainz00_18958,
										(int) (((long) 2)), BgL_valza2za2_4809);
									PROCEDURE_SET(BgL_mainz00_18958,
										(int) (((long) 3)), ((obj_t) BgL_i1321z00_19659));
									PROCEDURE_SET(BgL_mainz00_18958,
										(int) (((long) 4)), BgL_bodyz00_19660);
									PROCEDURE_SET(BgL_mainz00_18958,
										(int) (((long) 5)), BgL_runz00_18956);
									PROCEDURE_SET(BgL_mainz00_18958,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_19661));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_15810;

										BgL_objz00_15810 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18956, BgL_objz00_15810);
										BgL_objz00_15810;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3740z00_4812;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3741z00_4813;

											BgL_arg3741z00_4813 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19659))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_15814;

												BgL_newz00_15814 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_32412;

													BgL_auxz00_32412 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15814, BgL_auxz00_32412,
														BgL_arg3741z00_4813);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_32417;
													int BgL_auxz00_32415;

													BgL_auxz00_32417 = BINT(BgL_siza7ezd2framez75_19661);
													BgL_auxz00_32415 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15814, BgL_auxz00_32415,
														BgL_auxz00_32417);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_32420;

													BgL_auxz00_32420 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15814, BgL_auxz00_32420,
														BgL_runz00_18956);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_32425;
													int BgL_auxz00_32423;

													BgL_auxz00_32425 = BINT(((long) -3));
													BgL_auxz00_32423 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15814, BgL_auxz00_32423,
														BgL_auxz00_32425);
												}
												BgL_arg3740z00_4812 = BgL_newz00_15814;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18958, BgL_arg3740z00_4812);
										BgL_arg3740z00_4812;
									}
									return BgL_mainz00_18958;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5925 */
	obj_t BGl_z62main5925z62zz__evaluate_compz00(obj_t BgL_envz00_19663,
		obj_t BgL_cz00_19671, obj_t BgL_dz00_19672, obj_t BgL_lastz00_19673)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19669;
				long BgL_siza7ezd2framez75_19670;

				BgL_runz00_19669 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19663, (int) (((long) 5))));
				BgL_siza7ezd2framez75_19670 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19663, (int) (((long) 6))));
				{
					obj_t BgL_cz00_4814;
					obj_t BgL_dz00_4815;
					obj_t BgL_lastz00_4816;

					BgL_cz00_4814 = BgL_cz00_19671;
					BgL_dz00_4815 = BgL_dz00_19672;
					BgL_lastz00_4816 = BgL_lastz00_19673;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4818;

						BgL_sz00_4818 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4819;

							BgL_bpz00_4819 = VECTOR_REF(BgL_sz00_4818, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_32438;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_15734;

									BgL_arg1970z00_15734 = VECTOR_LENGTH(BgL_sz00_4818);
									BgL_testz00_32438 =
										(
										((long) CINT(BgL_bpz00_4819) +
											BgL_siza7ezd2framez75_19670) <
										(long) (BgL_arg1970z00_15734));
								}
								if (BgL_testz00_32438)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3744z00_4821;

											BgL_arg3744z00_4821 =
												((long) CINT(BgL_bpz00_4819) + ((long) 0));
											VECTOR_SET(BgL_sz00_4818,
												(int) (BgL_arg3744z00_4821), BgL_cz00_4814);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3745z00_4822;

											BgL_arg3745z00_4822 =
												((long) CINT(BgL_bpz00_4819) + ((long) 1));
											VECTOR_SET(BgL_sz00_4818,
												(int) (BgL_arg3745z00_4822), BgL_dz00_4815);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3746z00_4823;

											BgL_arg3746z00_4823 =
												((long) CINT(BgL_bpz00_4819) + ((long) 2));
											VECTOR_SET(BgL_sz00_4818,
												(int) (BgL_arg3746z00_4823), BgL_lastz00_4816);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1486z00_4824;

											BgL_exitd1486z00_4824 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33747ze3z83_18957;

												BgL_zc3anonymousza33747ze3z83_18957 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33747ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33747ze3z83_18957,
													(int) (((long) 0)), BgL_sz00_4818);
												PROCEDURE_SET(BgL_zc3anonymousza33747ze3z83_18957,
													(int) (((long) 1)), BgL_bpz00_4819);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1486z00_4824,
													BgL_zc3anonymousza33747ze3z83_18957);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1488z00_4826;

													BgL_tmp1488z00_4826 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19669, BgL_sz00_4818, BgL_bpz00_4819);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1486z00_4824);
													VECTOR_SET(BgL_sz00_4818, (int) (((long) 0)),
														BgL_bpz00_4819);
													return BgL_tmp1488z00_4826;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4829;

										BgL_nsz00_4829 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4829,
											(int) (((long) 1)), BgL_sz00_4818);
										VECTOR_SET(BgL_nsz00_4829,
											(int) (((long) 2)), BgL_cz00_4814);
										VECTOR_SET(BgL_nsz00_4829,
											(int) (((long) 3)), BgL_dz00_4815);
										VECTOR_SET(BgL_nsz00_4829,
											(int) (((long) 4)), BgL_lastz00_4816);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_32478;

											BgL_auxz00_32478 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_32478, BgL_nsz00_4829);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1489z00_4831;

											BgL_exitd1489z00_4831 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33749ze3z83_18955;

												BgL_zc3anonymousza33749ze3z83_18955 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33749ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33749ze3z83_18955,
													(int) (((long) 0)), BgL_sz00_4818);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1489z00_4831,
													BgL_zc3anonymousza33749ze3z83_18955);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1491z00_4833;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_15783;

														BgL_savedzd2bpzd2_15783 =
															VECTOR_REF(BgL_nsz00_4829, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4829,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_15790;

															BgL_fz00_15790 = BgL_runz00_19669;
														BgL_recz00_15789:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_15791;

																BgL_rz00_15791 =
																	PROCEDURE_ENTRY(BgL_fz00_15790)
																	(BgL_fz00_15790, BgL_nsz00_4829, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_32497;

																	if (PROCEDUREP(BgL_rz00_15791))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_15796;

																			BgL_arg1962z00_15796 =
																				PROCEDURE_ATTR(BgL_rz00_15791);
																			if (STRUCTP(BgL_arg1962z00_15796))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32497 =
																						(STRUCT_KEY(BgL_arg1962z00_15796) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32497 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_32497 = ((bool_t) 0);
																		}
																	if (BgL_testz00_32497)
																		{
																			obj_t BgL_fz00_32505;

																			BgL_fz00_32505 = BgL_rz00_15791;
																			BgL_fz00_15790 = BgL_fz00_32505;
																			goto BgL_recz00_15789;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4829,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_15783);
																			BgL_tmp1491z00_4833 = BgL_rz00_15791;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1489z00_4831);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_32509;

														BgL_auxz00_32509 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_32509,
															BgL_sz00_4818);
													}
													return BgL_tmp1491z00_4833;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3747> */
	obj_t BGl_z62zc3anonymousza33747ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19674)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19675;
				obj_t BgL_bpz00_19676;

				BgL_sz00_19675 = PROCEDURE_REF(BgL_envz00_19674, (int) (((long) 0)));
				BgL_bpz00_19676 = PROCEDURE_REF(BgL_envz00_19674, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19675, (int) (((long) 0)), BgL_bpz00_19676);
		}}}
	}



/* &run5926 */
	obj_t BGl_z62run5926z62zz__evaluate_compz00(obj_t BgL_envz00_19677,
		obj_t BgL_sz00_19683)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19678;
				long BgL_siza7eza7_19679;
				obj_t BgL_valza2za2_19680;
				BgL_ev_absz00_bglt BgL_i1321z00_19681;
				obj_t BgL_bodyz00_19682;

				BgL_iboxesz00_19678 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19677, (int) (((long) 0))));
				BgL_siza7eza7_19679 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19677, (int) (((long) 1))));
				BgL_valza2za2_19680 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19677, (int) (((long) 2))));
				BgL_i1321z00_19681 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19677, (int) (((long) 3))));
				BgL_bodyz00_19682 = PROCEDURE_REF(BgL_envz00_19677, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4838;

					BgL_sz00_4838 = BgL_sz00_19683;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4840;

						BgL_bpz00_4840 = VECTOR_REF(BgL_sz00_4838, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4838,
							BgL_iboxesz00_19678, BgL_bpz00_4840);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4838,
							BgL_valza2za2_19680,
							((long) CINT(BgL_bpz00_4840) + BgL_siza7eza7_19679));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4842;
							obj_t BgL_wherez00_4843;
							obj_t BgL_locz00_4844;

							BgL_z12denvz12_4842 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4843 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19681))->BgL_wherez00);
							BgL_locz00_4844 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19681))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4842, BgL_wherez00_4843,
									BgL_locz00_4844);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4845;

									BgL_za2za2resza2za2z00_4845 =
										PROCEDURE_ENTRY(BgL_bodyz00_19682) (BgL_bodyz00_19682,
										BgL_sz00_4838, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4842);
									return BgL_za2za2resza2za2z00_4845;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3749> */
	obj_t BGl_z62zc3anonymousza33749ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19684)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19685;

				BgL_sz00_19685 = PROCEDURE_REF(BgL_envz00_19684, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_32549;

						BgL_auxz00_32549 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_32549, BgL_sz00_19685);
					}
				}
			}
		}
	}



/* &<anonymous:3641> */
	obj_t BGl_z62zc3anonymousza33641ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19686, obj_t BgL_sz00_19690)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_19687;
				obj_t BgL_bodyz00_19688;
				long BgL_siza7ezd2framez75_19689;

				BgL_i1321z00_19687 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19686, (int) (((long) 0))));
				BgL_bodyz00_19688 = PROCEDURE_REF(BgL_envz00_19686, (int) (((long) 1)));
				BgL_siza7ezd2framez75_19689 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19686, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4527;

					BgL_sz00_4527 = BgL_sz00_19690;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4529;

						BgL_bpz00_4529 = VECTOR_REF(BgL_sz00_4527, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18951;

								BgL_runz00_18951 =
									MAKE_FX_PROCEDURE(BGl_z62run5928z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_18951,
									(int) (((long) 0)), ((obj_t) BgL_i1321z00_19687));
								PROCEDURE_SET(BgL_runz00_18951,
									(int) (((long) 1)), BgL_bodyz00_19688);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18953;

									BgL_mainz00_18953 =
										MAKE_FX_PROCEDURE(BGl_z62main5927z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_18953,
										(int) (((long) 0)), ((obj_t) BgL_i1321z00_19687));
									PROCEDURE_SET(BgL_mainz00_18953,
										(int) (((long) 1)), BgL_bodyz00_19688);
									PROCEDURE_SET(BgL_mainz00_18953,
										(int) (((long) 2)), BgL_runz00_18951);
									PROCEDURE_SET(BgL_mainz00_18953,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_19689));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_15032;

										BgL_objz00_15032 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18951, BgL_objz00_15032);
										BgL_objz00_15032;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3642z00_4532;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3643z00_4533;

											BgL_arg3643z00_4533 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19687))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_15036;

												BgL_newz00_15036 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_32587;

													BgL_auxz00_32587 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15036, BgL_auxz00_32587,
														BgL_arg3643z00_4533);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_32592;
													int BgL_auxz00_32590;

													BgL_auxz00_32592 = BINT(BgL_siza7ezd2framez75_19689);
													BgL_auxz00_32590 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15036, BgL_auxz00_32590,
														BgL_auxz00_32592);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_32595;

													BgL_auxz00_32595 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15036, BgL_auxz00_32595,
														BgL_runz00_18951);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_32600;
													int BgL_auxz00_32598;

													BgL_auxz00_32600 = BINT(((long) 2));
													BgL_auxz00_32598 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15036, BgL_auxz00_32598,
														BgL_auxz00_32600);
												}
												BgL_arg3642z00_4532 = BgL_newz00_15036;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18953, BgL_arg3642z00_4532);
										BgL_arg3642z00_4532;
									}
									return BgL_mainz00_18953;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5927 */
	obj_t BGl_z62main5927z62zz__evaluate_compz00(obj_t BgL_envz00_19691,
		obj_t BgL_cz00_19696, obj_t BgL_dz00_19697)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19694;
				long BgL_siza7ezd2framez75_19695;

				BgL_runz00_19694 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19691, (int) (((long) 2))));
				BgL_siza7ezd2framez75_19695 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19691, (int) (((long) 3))));
				{
					obj_t BgL_cz00_4534;
					obj_t BgL_dz00_4535;

					BgL_cz00_4534 = BgL_cz00_19696;
					BgL_dz00_4535 = BgL_dz00_19697;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4537;

						BgL_sz00_4537 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4538;

							BgL_bpz00_4538 = VECTOR_REF(BgL_sz00_4537, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_32613;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_14965;

									BgL_arg1970z00_14965 = VECTOR_LENGTH(BgL_sz00_4537);
									BgL_testz00_32613 =
										(
										((long) CINT(BgL_bpz00_4538) +
											BgL_siza7ezd2framez75_19695) <
										(long) (BgL_arg1970z00_14965));
								}
								if (BgL_testz00_32613)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3646z00_4540;

											BgL_arg3646z00_4540 =
												((long) CINT(BgL_bpz00_4538) + ((long) 0));
											VECTOR_SET(BgL_sz00_4537,
												(int) (BgL_arg3646z00_4540), BgL_cz00_4534);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3647z00_4541;

											BgL_arg3647z00_4541 =
												((long) CINT(BgL_bpz00_4538) + ((long) 1));
											VECTOR_SET(BgL_sz00_4537,
												(int) (BgL_arg3647z00_4541), BgL_dz00_4535);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1444z00_4542;

											BgL_exitd1444z00_4542 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33648ze3z83_18952;

												BgL_zc3anonymousza33648ze3z83_18952 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33648ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33648ze3z83_18952,
													(int) (((long) 0)), BgL_sz00_4537);
												PROCEDURE_SET(BgL_zc3anonymousza33648ze3z83_18952,
													(int) (((long) 1)), BgL_bpz00_4538);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1444z00_4542,
													BgL_zc3anonymousza33648ze3z83_18952);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1446z00_4544;

													BgL_tmp1446z00_4544 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19694, BgL_sz00_4537, BgL_bpz00_4538);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1444z00_4542);
													VECTOR_SET(BgL_sz00_4537, (int) (((long) 0)),
														BgL_bpz00_4538);
													return BgL_tmp1446z00_4544;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4547;

										BgL_nsz00_4547 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4547,
											(int) (((long) 1)), BgL_sz00_4537);
										VECTOR_SET(BgL_nsz00_4547,
											(int) (((long) 2)), BgL_cz00_4534);
										VECTOR_SET(BgL_nsz00_4547,
											(int) (((long) 3)), BgL_dz00_4535);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_32647;

											BgL_auxz00_32647 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_32647, BgL_nsz00_4547);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1447z00_4549;

											BgL_exitd1447z00_4549 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33650ze3z83_18950;

												BgL_zc3anonymousza33650ze3z83_18950 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33650ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33650ze3z83_18950,
													(int) (((long) 0)), BgL_sz00_4537);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1447z00_4549,
													BgL_zc3anonymousza33650ze3z83_18950);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1449z00_4551;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_15005;

														BgL_savedzd2bpzd2_15005 =
															VECTOR_REF(BgL_nsz00_4547, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4547,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_15012;

															BgL_fz00_15012 = BgL_runz00_19694;
														BgL_recz00_15011:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_15013;

																BgL_rz00_15013 =
																	PROCEDURE_ENTRY(BgL_fz00_15012)
																	(BgL_fz00_15012, BgL_nsz00_4547, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_32666;

																	if (PROCEDUREP(BgL_rz00_15013))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_15018;

																			BgL_arg1962z00_15018 =
																				PROCEDURE_ATTR(BgL_rz00_15013);
																			if (STRUCTP(BgL_arg1962z00_15018))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32666 =
																						(STRUCT_KEY(BgL_arg1962z00_15018) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32666 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_32666 = ((bool_t) 0);
																		}
																	if (BgL_testz00_32666)
																		{
																			obj_t BgL_fz00_32674;

																			BgL_fz00_32674 = BgL_rz00_15013;
																			BgL_fz00_15012 = BgL_fz00_32674;
																			goto BgL_recz00_15011;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4547,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_15005);
																			BgL_tmp1449z00_4551 = BgL_rz00_15013;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1447z00_4549);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_32678;

														BgL_auxz00_32678 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_32678,
															BgL_sz00_4537);
													}
													return BgL_tmp1449z00_4551;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3648> */
	obj_t BGl_z62zc3anonymousza33648ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19698)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19699;
				obj_t BgL_bpz00_19700;

				BgL_sz00_19699 = PROCEDURE_REF(BgL_envz00_19698, (int) (((long) 0)));
				BgL_bpz00_19700 = PROCEDURE_REF(BgL_envz00_19698, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19699, (int) (((long) 0)), BgL_bpz00_19700);
		}}}
	}



/* &run5928 */
	obj_t BGl_z62run5928z62zz__evaluate_compz00(obj_t BgL_envz00_19701,
		obj_t BgL_sz00_19704)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_19702;
				obj_t BgL_bodyz00_19703;

				BgL_i1321z00_19702 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19701, (int) (((long) 0))));
				BgL_bodyz00_19703 = PROCEDURE_REF(BgL_envz00_19701, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4556;

					BgL_sz00_4556 = BgL_sz00_19704;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4558;

						BgL_bpz00_4558 = VECTOR_REF(BgL_sz00_4556, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4559;
							obj_t BgL_wherez00_4560;
							obj_t BgL_locz00_4561;

							BgL_z12denvz12_4559 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4560 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19702))->BgL_wherez00);
							BgL_locz00_4561 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19702))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4559, BgL_wherez00_4560,
									BgL_locz00_4561);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4562;

									BgL_za2za2resza2za2z00_4562 =
										PROCEDURE_ENTRY(BgL_bodyz00_19703) (BgL_bodyz00_19703,
										BgL_sz00_4556, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4559);
									return BgL_za2za2resza2za2z00_4562;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3650> */
	obj_t BGl_z62zc3anonymousza33650ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19705)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19706;

				BgL_sz00_19706 = PROCEDURE_REF(BgL_envz00_19705, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_32705;

						BgL_auxz00_32705 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_32705, BgL_sz00_19706);
					}
				}
			}
		}
	}



/* &<anonymous:3653> */
	obj_t BGl_z62zc3anonymousza33653ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19707, obj_t BgL_sz00_19712)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19708;
				BgL_ev_absz00_bglt BgL_i1321z00_19709;
				obj_t BgL_bodyz00_19710;
				long BgL_siza7ezd2framez75_19711;

				BgL_iboxesz00_19708 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19707, (int) (((long) 0))));
				BgL_i1321z00_19709 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19707, (int) (((long) 1))));
				BgL_bodyz00_19710 = PROCEDURE_REF(BgL_envz00_19707, (int) (((long) 2)));
				BgL_siza7ezd2framez75_19711 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19707, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4564;

					BgL_sz00_4564 = BgL_sz00_19712;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4566;

						BgL_bpz00_4566 = VECTOR_REF(BgL_sz00_4564, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18946;

								BgL_runz00_18946 =
									MAKE_FX_PROCEDURE(BGl_z62run5930z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_18946,
									(int) (((long) 0)), BgL_iboxesz00_19708);
								PROCEDURE_SET(BgL_runz00_18946,
									(int) (((long) 1)), ((obj_t) BgL_i1321z00_19709));
								PROCEDURE_SET(BgL_runz00_18946,
									(int) (((long) 2)), BgL_bodyz00_19710);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18948;

									BgL_mainz00_18948 =
										MAKE_FX_PROCEDURE(BGl_z62main5929z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_18948,
										(int) (((long) 0)), BgL_iboxesz00_19708);
									PROCEDURE_SET(BgL_mainz00_18948,
										(int) (((long) 1)), ((obj_t) BgL_i1321z00_19709));
									PROCEDURE_SET(BgL_mainz00_18948,
										(int) (((long) 2)), BgL_bodyz00_19710);
									PROCEDURE_SET(BgL_mainz00_18948,
										(int) (((long) 3)), BgL_runz00_18946);
									PROCEDURE_SET(BgL_mainz00_18948,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_19711));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_15134;

										BgL_objz00_15134 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18946, BgL_objz00_15134);
										BgL_objz00_15134;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3654z00_4569;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3655z00_4570;

											BgL_arg3655z00_4570 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19709))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_15138;

												BgL_newz00_15138 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_32750;

													BgL_auxz00_32750 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15138, BgL_auxz00_32750,
														BgL_arg3655z00_4570);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_32755;
													int BgL_auxz00_32753;

													BgL_auxz00_32755 = BINT(BgL_siza7ezd2framez75_19711);
													BgL_auxz00_32753 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15138, BgL_auxz00_32753,
														BgL_auxz00_32755);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_32758;

													BgL_auxz00_32758 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15138, BgL_auxz00_32758,
														BgL_runz00_18946);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_32763;
													int BgL_auxz00_32761;

													BgL_auxz00_32763 = BINT(((long) 2));
													BgL_auxz00_32761 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15138, BgL_auxz00_32761,
														BgL_auxz00_32763);
												}
												BgL_arg3654z00_4569 = BgL_newz00_15138;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18948, BgL_arg3654z00_4569);
										BgL_arg3654z00_4569;
									}
									return BgL_mainz00_18948;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5929 */
	obj_t BGl_z62main5929z62zz__evaluate_compz00(obj_t BgL_envz00_19713,
		obj_t BgL_cz00_19719, obj_t BgL_dz00_19720)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19717;
				long BgL_siza7ezd2framez75_19718;

				BgL_runz00_19717 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19713, (int) (((long) 3))));
				BgL_siza7ezd2framez75_19718 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19713, (int) (((long) 4))));
				{
					obj_t BgL_cz00_4571;
					obj_t BgL_dz00_4572;

					BgL_cz00_4571 = BgL_cz00_19719;
					BgL_dz00_4572 = BgL_dz00_19720;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4574;

						BgL_sz00_4574 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4575;

							BgL_bpz00_4575 = VECTOR_REF(BgL_sz00_4574, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_32776;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_15067;

									BgL_arg1970z00_15067 = VECTOR_LENGTH(BgL_sz00_4574);
									BgL_testz00_32776 =
										(
										((long) CINT(BgL_bpz00_4575) +
											BgL_siza7ezd2framez75_19718) <
										(long) (BgL_arg1970z00_15067));
								}
								if (BgL_testz00_32776)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3658z00_4577;

											BgL_arg3658z00_4577 =
												((long) CINT(BgL_bpz00_4575) + ((long) 0));
											VECTOR_SET(BgL_sz00_4574,
												(int) (BgL_arg3658z00_4577), BgL_cz00_4571);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3659z00_4578;

											BgL_arg3659z00_4578 =
												((long) CINT(BgL_bpz00_4575) + ((long) 1));
											VECTOR_SET(BgL_sz00_4574,
												(int) (BgL_arg3659z00_4578), BgL_dz00_4572);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1450z00_4579;

											BgL_exitd1450z00_4579 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33660ze3z83_18947;

												BgL_zc3anonymousza33660ze3z83_18947 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33660ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33660ze3z83_18947,
													(int) (((long) 0)), BgL_sz00_4574);
												PROCEDURE_SET(BgL_zc3anonymousza33660ze3z83_18947,
													(int) (((long) 1)), BgL_bpz00_4575);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1450z00_4579,
													BgL_zc3anonymousza33660ze3z83_18947);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1452z00_4581;

													BgL_tmp1452z00_4581 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19717, BgL_sz00_4574, BgL_bpz00_4575);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1450z00_4579);
													VECTOR_SET(BgL_sz00_4574, (int) (((long) 0)),
														BgL_bpz00_4575);
													return BgL_tmp1452z00_4581;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4584;

										BgL_nsz00_4584 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4584,
											(int) (((long) 1)), BgL_sz00_4574);
										VECTOR_SET(BgL_nsz00_4584,
											(int) (((long) 2)), BgL_cz00_4571);
										VECTOR_SET(BgL_nsz00_4584,
											(int) (((long) 3)), BgL_dz00_4572);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_32810;

											BgL_auxz00_32810 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_32810, BgL_nsz00_4584);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1453z00_4586;

											BgL_exitd1453z00_4586 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33662ze3z83_18945;

												BgL_zc3anonymousza33662ze3z83_18945 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33662ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33662ze3z83_18945,
													(int) (((long) 0)), BgL_sz00_4574);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1453z00_4586,
													BgL_zc3anonymousza33662ze3z83_18945);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1455z00_4588;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_15107;

														BgL_savedzd2bpzd2_15107 =
															VECTOR_REF(BgL_nsz00_4584, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4584,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_15114;

															BgL_fz00_15114 = BgL_runz00_19717;
														BgL_recz00_15113:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_15115;

																BgL_rz00_15115 =
																	PROCEDURE_ENTRY(BgL_fz00_15114)
																	(BgL_fz00_15114, BgL_nsz00_4584, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_32829;

																	if (PROCEDUREP(BgL_rz00_15115))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_15120;

																			BgL_arg1962z00_15120 =
																				PROCEDURE_ATTR(BgL_rz00_15115);
																			if (STRUCTP(BgL_arg1962z00_15120))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32829 =
																						(STRUCT_KEY(BgL_arg1962z00_15120) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_32829 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_32829 = ((bool_t) 0);
																		}
																	if (BgL_testz00_32829)
																		{
																			obj_t BgL_fz00_32837;

																			BgL_fz00_32837 = BgL_rz00_15115;
																			BgL_fz00_15114 = BgL_fz00_32837;
																			goto BgL_recz00_15113;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4584,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_15107);
																			BgL_tmp1455z00_4588 = BgL_rz00_15115;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1453z00_4586);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_32841;

														BgL_auxz00_32841 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_32841,
															BgL_sz00_4574);
													}
													return BgL_tmp1455z00_4588;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3660> */
	obj_t BGl_z62zc3anonymousza33660ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19721)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19722;
				obj_t BgL_bpz00_19723;

				BgL_sz00_19722 = PROCEDURE_REF(BgL_envz00_19721, (int) (((long) 0)));
				BgL_bpz00_19723 = PROCEDURE_REF(BgL_envz00_19721, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19722, (int) (((long) 0)), BgL_bpz00_19723);
		}}}
	}



/* &run5930 */
	obj_t BGl_z62run5930z62zz__evaluate_compz00(obj_t BgL_envz00_19724,
		obj_t BgL_sz00_19728)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19725;
				BgL_ev_absz00_bglt BgL_i1321z00_19726;
				obj_t BgL_bodyz00_19727;

				BgL_iboxesz00_19725 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19724, (int) (((long) 0))));
				BgL_i1321z00_19726 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19724, (int) (((long) 1))));
				BgL_bodyz00_19727 = PROCEDURE_REF(BgL_envz00_19724, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4593;

					BgL_sz00_4593 = BgL_sz00_19728;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4595;

						BgL_bpz00_4595 = VECTOR_REF(BgL_sz00_4593, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4593,
							BgL_iboxesz00_19725, BgL_bpz00_4595);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4596;
							obj_t BgL_wherez00_4597;
							obj_t BgL_locz00_4598;

							BgL_z12denvz12_4596 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4597 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19726))->BgL_wherez00);
							BgL_locz00_4598 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19726))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4596, BgL_wherez00_4597,
									BgL_locz00_4598);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4599;

									BgL_za2za2resza2za2z00_4599 =
										PROCEDURE_ENTRY(BgL_bodyz00_19727) (BgL_bodyz00_19727,
										BgL_sz00_4593, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4596);
									return BgL_za2za2resza2za2z00_4599;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3662> */
	obj_t BGl_z62zc3anonymousza33662ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19729)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19730;

				BgL_sz00_19730 = PROCEDURE_REF(BgL_envz00_19729, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_32872;

						BgL_auxz00_32872 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_32872, BgL_sz00_19730);
					}
				}
			}
		}
	}



/* &<anonymous:3667> */
	obj_t BGl_z62zc3anonymousza33667ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19731, obj_t BgL_sz00_19737)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19732;
				long BgL_siza7eza7_19733;
				BgL_ev_absz00_bglt BgL_i1321z00_19734;
				obj_t BgL_bodyz00_19735;
				long BgL_siza7ezd2framez75_19736;

				BgL_ifreesz00_19732 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19731, (int) (((long) 0))));
				BgL_siza7eza7_19733 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19731, (int) (((long) 1))));
				BgL_i1321z00_19734 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19731, (int) (((long) 2))));
				BgL_bodyz00_19735 = PROCEDURE_REF(BgL_envz00_19731, (int) (((long) 3)));
				BgL_siza7ezd2framez75_19736 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19731, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4603;

					BgL_sz00_4603 = BgL_sz00_19737;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4605;

						BgL_bpz00_4605 = VECTOR_REF(BgL_sz00_4603, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4606;

							BgL_valza2za2_4606 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4603,
								BgL_bpz00_4605, BgL_ifreesz00_19732);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18941;

								BgL_runz00_18941 =
									MAKE_FX_PROCEDURE(BGl_z62run5932z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_18941,
									(int) (((long) 0)), BINT(BgL_siza7eza7_19733));
								PROCEDURE_SET(BgL_runz00_18941,
									(int) (((long) 1)), BgL_valza2za2_4606);
								PROCEDURE_SET(BgL_runz00_18941,
									(int) (((long) 2)), ((obj_t) BgL_i1321z00_19734));
								PROCEDURE_SET(BgL_runz00_18941,
									(int) (((long) 3)), BgL_bodyz00_19735);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18943;

									BgL_mainz00_18943 =
										MAKE_FX_PROCEDURE(BGl_z62main5931z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_18943,
										(int) (((long) 0)), BINT(BgL_siza7eza7_19733));
									PROCEDURE_SET(BgL_mainz00_18943,
										(int) (((long) 1)), BgL_valza2za2_4606);
									PROCEDURE_SET(BgL_mainz00_18943,
										(int) (((long) 2)), ((obj_t) BgL_i1321z00_19734));
									PROCEDURE_SET(BgL_mainz00_18943,
										(int) (((long) 3)), BgL_bodyz00_19735);
									PROCEDURE_SET(BgL_mainz00_18943,
										(int) (((long) 4)), BgL_runz00_18941);
									PROCEDURE_SET(BgL_mainz00_18943,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_19736));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_15243;

										BgL_objz00_15243 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18941, BgL_objz00_15243);
										BgL_objz00_15243;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3668z00_4609;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3669z00_4610;

											BgL_arg3669z00_4610 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19734))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_15247;

												BgL_newz00_15247 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_32927;

													BgL_auxz00_32927 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15247, BgL_auxz00_32927,
														BgL_arg3669z00_4610);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_32932;
													int BgL_auxz00_32930;

													BgL_auxz00_32932 = BINT(BgL_siza7ezd2framez75_19736);
													BgL_auxz00_32930 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15247, BgL_auxz00_32930,
														BgL_auxz00_32932);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_32935;

													BgL_auxz00_32935 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15247, BgL_auxz00_32935,
														BgL_runz00_18941);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_32940;
													int BgL_auxz00_32938;

													BgL_auxz00_32940 = BINT(((long) 2));
													BgL_auxz00_32938 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15247, BgL_auxz00_32938,
														BgL_auxz00_32940);
												}
												BgL_arg3668z00_4609 = BgL_newz00_15247;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18943, BgL_arg3668z00_4609);
										BgL_arg3668z00_4609;
									}
									return BgL_mainz00_18943;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5931 */
	obj_t BGl_z62main5931z62zz__evaluate_compz00(obj_t BgL_envz00_19738,
		obj_t BgL_cz00_19745, obj_t BgL_dz00_19746)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19743;
				long BgL_siza7ezd2framez75_19744;

				BgL_runz00_19743 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19738, (int) (((long) 4))));
				BgL_siza7ezd2framez75_19744 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19738, (int) (((long) 5))));
				{
					obj_t BgL_cz00_4611;
					obj_t BgL_dz00_4612;

					BgL_cz00_4611 = BgL_cz00_19745;
					BgL_dz00_4612 = BgL_dz00_19746;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4614;

						BgL_sz00_4614 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4615;

							BgL_bpz00_4615 = VECTOR_REF(BgL_sz00_4614, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_32953;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_15176;

									BgL_arg1970z00_15176 = VECTOR_LENGTH(BgL_sz00_4614);
									BgL_testz00_32953 =
										(
										((long) CINT(BgL_bpz00_4615) +
											BgL_siza7ezd2framez75_19744) <
										(long) (BgL_arg1970z00_15176));
								}
								if (BgL_testz00_32953)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3672z00_4617;

											BgL_arg3672z00_4617 =
												((long) CINT(BgL_bpz00_4615) + ((long) 0));
											VECTOR_SET(BgL_sz00_4614,
												(int) (BgL_arg3672z00_4617), BgL_cz00_4611);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3673z00_4618;

											BgL_arg3673z00_4618 =
												((long) CINT(BgL_bpz00_4615) + ((long) 1));
											VECTOR_SET(BgL_sz00_4614,
												(int) (BgL_arg3673z00_4618), BgL_dz00_4612);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1456z00_4619;

											BgL_exitd1456z00_4619 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33674ze3z83_18942;

												BgL_zc3anonymousza33674ze3z83_18942 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33674ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33674ze3z83_18942,
													(int) (((long) 0)), BgL_sz00_4614);
												PROCEDURE_SET(BgL_zc3anonymousza33674ze3z83_18942,
													(int) (((long) 1)), BgL_bpz00_4615);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1456z00_4619,
													BgL_zc3anonymousza33674ze3z83_18942);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1458z00_4621;

													BgL_tmp1458z00_4621 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19743, BgL_sz00_4614, BgL_bpz00_4615);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1456z00_4619);
													VECTOR_SET(BgL_sz00_4614, (int) (((long) 0)),
														BgL_bpz00_4615);
													return BgL_tmp1458z00_4621;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4624;

										BgL_nsz00_4624 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4624,
											(int) (((long) 1)), BgL_sz00_4614);
										VECTOR_SET(BgL_nsz00_4624,
											(int) (((long) 2)), BgL_cz00_4611);
										VECTOR_SET(BgL_nsz00_4624,
											(int) (((long) 3)), BgL_dz00_4612);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_32987;

											BgL_auxz00_32987 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_32987, BgL_nsz00_4624);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1459z00_4626;

											BgL_exitd1459z00_4626 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33676ze3z83_18940;

												BgL_zc3anonymousza33676ze3z83_18940 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33676ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33676ze3z83_18940,
													(int) (((long) 0)), BgL_sz00_4614);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1459z00_4626,
													BgL_zc3anonymousza33676ze3z83_18940);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1461z00_4628;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_15216;

														BgL_savedzd2bpzd2_15216 =
															VECTOR_REF(BgL_nsz00_4624, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4624,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_15223;

															BgL_fz00_15223 = BgL_runz00_19743;
														BgL_recz00_15222:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_15224;

																BgL_rz00_15224 =
																	PROCEDURE_ENTRY(BgL_fz00_15223)
																	(BgL_fz00_15223, BgL_nsz00_4624, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_33006;

																	if (PROCEDUREP(BgL_rz00_15224))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_15229;

																			BgL_arg1962z00_15229 =
																				PROCEDURE_ATTR(BgL_rz00_15224);
																			if (STRUCTP(BgL_arg1962z00_15229))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33006 =
																						(STRUCT_KEY(BgL_arg1962z00_15229) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33006 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_33006 = ((bool_t) 0);
																		}
																	if (BgL_testz00_33006)
																		{
																			obj_t BgL_fz00_33014;

																			BgL_fz00_33014 = BgL_rz00_15224;
																			BgL_fz00_15223 = BgL_fz00_33014;
																			goto BgL_recz00_15222;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4624,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_15216);
																			BgL_tmp1461z00_4628 = BgL_rz00_15224;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1459z00_4626);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_33018;

														BgL_auxz00_33018 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_33018,
															BgL_sz00_4614);
													}
													return BgL_tmp1461z00_4628;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3674> */
	obj_t BGl_z62zc3anonymousza33674ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19747)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19748;
				obj_t BgL_bpz00_19749;

				BgL_sz00_19748 = PROCEDURE_REF(BgL_envz00_19747, (int) (((long) 0)));
				BgL_bpz00_19749 = PROCEDURE_REF(BgL_envz00_19747, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19748, (int) (((long) 0)), BgL_bpz00_19749);
		}}}
	}



/* &run5932 */
	obj_t BGl_z62run5932z62zz__evaluate_compz00(obj_t BgL_envz00_19750,
		obj_t BgL_sz00_19755)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_19751;
				obj_t BgL_valza2za2_19752;
				BgL_ev_absz00_bglt BgL_i1321z00_19753;
				obj_t BgL_bodyz00_19754;

				BgL_siza7eza7_19751 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19750, (int) (((long) 0))));
				BgL_valza2za2_19752 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19750, (int) (((long) 1))));
				BgL_i1321z00_19753 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19750, (int) (((long) 2))));
				BgL_bodyz00_19754 = PROCEDURE_REF(BgL_envz00_19750, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4633;

					BgL_sz00_4633 = BgL_sz00_19755;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4635;

						BgL_bpz00_4635 = VECTOR_REF(BgL_sz00_4633, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4633,
							BgL_valza2za2_19752,
							((long) CINT(BgL_bpz00_4635) + BgL_siza7eza7_19751));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4637;
							obj_t BgL_wherez00_4638;
							obj_t BgL_locz00_4639;

							BgL_z12denvz12_4637 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4638 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19753))->BgL_wherez00);
							BgL_locz00_4639 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19753))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4637, BgL_wherez00_4638,
									BgL_locz00_4639);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4640;

									BgL_za2za2resza2za2z00_4640 =
										PROCEDURE_ENTRY(BgL_bodyz00_19754) (BgL_bodyz00_19754,
										BgL_sz00_4633, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4637);
									return BgL_za2za2resza2za2z00_4640;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3676> */
	obj_t BGl_z62zc3anonymousza33676ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19756)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19757;

				BgL_sz00_19757 = PROCEDURE_REF(BgL_envz00_19756, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_33054;

						BgL_auxz00_33054 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_33054, BgL_sz00_19757);
					}
				}
			}
		}
	}



/* &<anonymous:3680> */
	obj_t BGl_z62zc3anonymousza33680ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19758, obj_t BgL_sz00_19765)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19759;
				obj_t BgL_iboxesz00_19760;
				long BgL_siza7eza7_19761;
				BgL_ev_absz00_bglt BgL_i1321z00_19762;
				obj_t BgL_bodyz00_19763;
				long BgL_siza7ezd2framez75_19764;

				BgL_ifreesz00_19759 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19758, (int) (((long) 0))));
				BgL_iboxesz00_19760 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19758, (int) (((long) 1))));
				BgL_siza7eza7_19761 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19758, (int) (((long) 2))));
				BgL_i1321z00_19762 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19758, (int) (((long) 3))));
				BgL_bodyz00_19763 = PROCEDURE_REF(BgL_envz00_19758, (int) (((long) 4)));
				BgL_siza7ezd2framez75_19764 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19758, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4642;

					BgL_sz00_4642 = BgL_sz00_19765;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4644;

						BgL_bpz00_4644 = VECTOR_REF(BgL_sz00_4642, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4645;

							BgL_valza2za2_4645 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4642,
								BgL_bpz00_4644, BgL_ifreesz00_19759);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18936;

								BgL_runz00_18936 =
									MAKE_FX_PROCEDURE(BGl_z62run5934z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_18936,
									(int) (((long) 0)), BgL_iboxesz00_19760);
								PROCEDURE_SET(BgL_runz00_18936,
									(int) (((long) 1)), BINT(BgL_siza7eza7_19761));
								PROCEDURE_SET(BgL_runz00_18936,
									(int) (((long) 2)), BgL_valza2za2_4645);
								PROCEDURE_SET(BgL_runz00_18936,
									(int) (((long) 3)), ((obj_t) BgL_i1321z00_19762));
								PROCEDURE_SET(BgL_runz00_18936,
									(int) (((long) 4)), BgL_bodyz00_19763);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18938;

									BgL_mainz00_18938 =
										MAKE_FX_PROCEDURE(BGl_z62main5933z62zz__evaluate_compz00,
										(int) (((long) 2)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_18938,
										(int) (((long) 0)), BgL_iboxesz00_19760);
									PROCEDURE_SET(BgL_mainz00_18938,
										(int) (((long) 1)), BINT(BgL_siza7eza7_19761));
									PROCEDURE_SET(BgL_mainz00_18938,
										(int) (((long) 2)), BgL_valza2za2_4645);
									PROCEDURE_SET(BgL_mainz00_18938,
										(int) (((long) 3)), ((obj_t) BgL_i1321z00_19762));
									PROCEDURE_SET(BgL_mainz00_18938,
										(int) (((long) 4)), BgL_bodyz00_19763);
									PROCEDURE_SET(BgL_mainz00_18938,
										(int) (((long) 5)), BgL_runz00_18936);
									PROCEDURE_SET(BgL_mainz00_18938,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_19764));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_15348;

										BgL_objz00_15348 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18936, BgL_objz00_15348);
										BgL_objz00_15348;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3681z00_4648;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3682z00_4649;

											BgL_arg3682z00_4649 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19762))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_15352;

												BgL_newz00_15352 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_33116;

													BgL_auxz00_33116 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_15352, BgL_auxz00_33116,
														BgL_arg3682z00_4649);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_33121;
													int BgL_auxz00_33119;

													BgL_auxz00_33121 = BINT(BgL_siza7ezd2framez75_19764);
													BgL_auxz00_33119 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_15352, BgL_auxz00_33119,
														BgL_auxz00_33121);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_33124;

													BgL_auxz00_33124 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_15352, BgL_auxz00_33124,
														BgL_runz00_18936);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_33129;
													int BgL_auxz00_33127;

													BgL_auxz00_33129 = BINT(((long) 2));
													BgL_auxz00_33127 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_15352, BgL_auxz00_33127,
														BgL_auxz00_33129);
												}
												BgL_arg3681z00_4648 = BgL_newz00_15352;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18938, BgL_arg3681z00_4648);
										BgL_arg3681z00_4648;
									}
									return BgL_mainz00_18938;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5933 */
	obj_t BGl_z62main5933z62zz__evaluate_compz00(obj_t BgL_envz00_19766,
		obj_t BgL_cz00_19774, obj_t BgL_dz00_19775)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19772;
				long BgL_siza7ezd2framez75_19773;

				BgL_runz00_19772 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19766, (int) (((long) 5))));
				BgL_siza7ezd2framez75_19773 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19766, (int) (((long) 6))));
				{
					obj_t BgL_cz00_4650;
					obj_t BgL_dz00_4651;

					BgL_cz00_4650 = BgL_cz00_19774;
					BgL_dz00_4651 = BgL_dz00_19775;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4653;

						BgL_sz00_4653 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4654;

							BgL_bpz00_4654 = VECTOR_REF(BgL_sz00_4653, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_33142;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_15281;

									BgL_arg1970z00_15281 = VECTOR_LENGTH(BgL_sz00_4653);
									BgL_testz00_33142 =
										(
										((long) CINT(BgL_bpz00_4654) +
											BgL_siza7ezd2framez75_19773) <
										(long) (BgL_arg1970z00_15281));
								}
								if (BgL_testz00_33142)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3685z00_4656;

											BgL_arg3685z00_4656 =
												((long) CINT(BgL_bpz00_4654) + ((long) 0));
											VECTOR_SET(BgL_sz00_4653,
												(int) (BgL_arg3685z00_4656), BgL_cz00_4650);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3686z00_4657;

											BgL_arg3686z00_4657 =
												((long) CINT(BgL_bpz00_4654) + ((long) 1));
											VECTOR_SET(BgL_sz00_4653,
												(int) (BgL_arg3686z00_4657), BgL_dz00_4651);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1462z00_4658;

											BgL_exitd1462z00_4658 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33687ze3z83_18937;

												BgL_zc3anonymousza33687ze3z83_18937 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33687ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33687ze3z83_18937,
													(int) (((long) 0)), BgL_sz00_4653);
												PROCEDURE_SET(BgL_zc3anonymousza33687ze3z83_18937,
													(int) (((long) 1)), BgL_bpz00_4654);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1462z00_4658,
													BgL_zc3anonymousza33687ze3z83_18937);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1464z00_4660;

													BgL_tmp1464z00_4660 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19772, BgL_sz00_4653, BgL_bpz00_4654);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1462z00_4658);
													VECTOR_SET(BgL_sz00_4653, (int) (((long) 0)),
														BgL_bpz00_4654);
													return BgL_tmp1464z00_4660;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4663;

										BgL_nsz00_4663 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4663,
											(int) (((long) 1)), BgL_sz00_4653);
										VECTOR_SET(BgL_nsz00_4663,
											(int) (((long) 2)), BgL_cz00_4650);
										VECTOR_SET(BgL_nsz00_4663,
											(int) (((long) 3)), BgL_dz00_4651);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_33176;

											BgL_auxz00_33176 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_33176, BgL_nsz00_4663);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1465z00_4665;

											BgL_exitd1465z00_4665 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33689ze3z83_18935;

												BgL_zc3anonymousza33689ze3z83_18935 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33689ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33689ze3z83_18935,
													(int) (((long) 0)), BgL_sz00_4653);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1465z00_4665,
													BgL_zc3anonymousza33689ze3z83_18935);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1467z00_4667;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_15321;

														BgL_savedzd2bpzd2_15321 =
															VECTOR_REF(BgL_nsz00_4663, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4663,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_15328;

															BgL_fz00_15328 = BgL_runz00_19772;
														BgL_recz00_15327:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_15329;

																BgL_rz00_15329 =
																	PROCEDURE_ENTRY(BgL_fz00_15328)
																	(BgL_fz00_15328, BgL_nsz00_4663, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_33195;

																	if (PROCEDUREP(BgL_rz00_15329))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_15334;

																			BgL_arg1962z00_15334 =
																				PROCEDURE_ATTR(BgL_rz00_15329);
																			if (STRUCTP(BgL_arg1962z00_15334))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33195 =
																						(STRUCT_KEY(BgL_arg1962z00_15334) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33195 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_33195 = ((bool_t) 0);
																		}
																	if (BgL_testz00_33195)
																		{
																			obj_t BgL_fz00_33203;

																			BgL_fz00_33203 = BgL_rz00_15329;
																			BgL_fz00_15328 = BgL_fz00_33203;
																			goto BgL_recz00_15327;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4663,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_15321);
																			BgL_tmp1467z00_4667 = BgL_rz00_15329;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1465z00_4665);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_33207;

														BgL_auxz00_33207 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_33207,
															BgL_sz00_4653);
													}
													return BgL_tmp1467z00_4667;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3687> */
	obj_t BGl_z62zc3anonymousza33687ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19776)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19777;
				obj_t BgL_bpz00_19778;

				BgL_sz00_19777 = PROCEDURE_REF(BgL_envz00_19776, (int) (((long) 0)));
				BgL_bpz00_19778 = PROCEDURE_REF(BgL_envz00_19776, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19777, (int) (((long) 0)), BgL_bpz00_19778);
		}}}
	}



/* &run5934 */
	obj_t BGl_z62run5934z62zz__evaluate_compz00(obj_t BgL_envz00_19779,
		obj_t BgL_sz00_19785)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19780;
				long BgL_siza7eza7_19781;
				obj_t BgL_valza2za2_19782;
				BgL_ev_absz00_bglt BgL_i1321z00_19783;
				obj_t BgL_bodyz00_19784;

				BgL_iboxesz00_19780 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19779, (int) (((long) 0))));
				BgL_siza7eza7_19781 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19779, (int) (((long) 1))));
				BgL_valza2za2_19782 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19779, (int) (((long) 2))));
				BgL_i1321z00_19783 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19779, (int) (((long) 3))));
				BgL_bodyz00_19784 = PROCEDURE_REF(BgL_envz00_19779, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4672;

					BgL_sz00_4672 = BgL_sz00_19785;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4674;

						BgL_bpz00_4674 = VECTOR_REF(BgL_sz00_4672, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4672,
							BgL_iboxesz00_19780, BgL_bpz00_4674);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4672,
							BgL_valza2za2_19782,
							((long) CINT(BgL_bpz00_4674) + BgL_siza7eza7_19781));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4676;
							obj_t BgL_wherez00_4677;
							obj_t BgL_locz00_4678;

							BgL_z12denvz12_4676 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4677 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19783))->BgL_wherez00);
							BgL_locz00_4678 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19783))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4676, BgL_wherez00_4677,
									BgL_locz00_4678);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4679;

									BgL_za2za2resza2za2z00_4679 =
										PROCEDURE_ENTRY(BgL_bodyz00_19784) (BgL_bodyz00_19784,
										BgL_sz00_4672, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4676);
									return BgL_za2za2resza2za2z00_4679;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3689> */
	obj_t BGl_z62zc3anonymousza33689ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19786)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19787;

				BgL_sz00_19787 = PROCEDURE_REF(BgL_envz00_19786, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_33247;

						BgL_auxz00_33247 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_33247, BgL_sz00_19787);
					}
				}
			}
		}
	}



/* &<anonymous:3585> */
	obj_t BGl_z62zc3anonymousza33585ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19788, obj_t BgL_sz00_19792)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_19789;
				obj_t BgL_bodyz00_19790;
				long BgL_siza7ezd2framez75_19791;

				BgL_i1321z00_19789 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19788, (int) (((long) 0))));
				BgL_bodyz00_19790 = PROCEDURE_REF(BgL_envz00_19788, (int) (((long) 1)));
				BgL_siza7ezd2framez75_19791 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19788, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4369;

					BgL_sz00_4369 = BgL_sz00_19792;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4371;

						BgL_bpz00_4371 = VECTOR_REF(BgL_sz00_4369, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18931;

								BgL_runz00_18931 =
									MAKE_FX_PROCEDURE(BGl_z62run5936z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_18931,
									(int) (((long) 0)), ((obj_t) BgL_i1321z00_19789));
								PROCEDURE_SET(BgL_runz00_18931,
									(int) (((long) 1)), BgL_bodyz00_19790);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18933;

									BgL_mainz00_18933 =
										MAKE_VA_PROCEDURE(BGl_z62main5935z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_18933,
										(int) (((long) 0)), ((obj_t) BgL_i1321z00_19789));
									PROCEDURE_SET(BgL_mainz00_18933,
										(int) (((long) 1)), BgL_bodyz00_19790);
									PROCEDURE_SET(BgL_mainz00_18933,
										(int) (((long) 2)), BgL_runz00_18931);
									PROCEDURE_SET(BgL_mainz00_18933,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_19791));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_14606;

										BgL_objz00_14606 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18931, BgL_objz00_14606);
										BgL_objz00_14606;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3586z00_4374;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3587z00_4375;

											BgL_arg3587z00_4375 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19789))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_14610;

												BgL_newz00_14610 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_33285;

													BgL_auxz00_33285 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14610, BgL_auxz00_33285,
														BgL_arg3587z00_4375);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_33290;
													int BgL_auxz00_33288;

													BgL_auxz00_33290 = BINT(BgL_siza7ezd2framez75_19791);
													BgL_auxz00_33288 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14610, BgL_auxz00_33288,
														BgL_auxz00_33290);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_33293;

													BgL_auxz00_33293 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14610, BgL_auxz00_33293,
														BgL_runz00_18931);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_33298;
													int BgL_auxz00_33296;

													BgL_auxz00_33298 = BINT(((long) -2));
													BgL_auxz00_33296 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14610, BgL_auxz00_33296,
														BgL_auxz00_33298);
												}
												BgL_arg3586z00_4374 = BgL_newz00_14610;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18933, BgL_arg3586z00_4374);
										BgL_arg3586z00_4374;
									}
									return BgL_mainz00_18933;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5935 */
	obj_t BGl_z62main5935z62zz__evaluate_compz00(obj_t BgL_envz00_19793,
		obj_t BgL_dz00_19798, obj_t BgL_lastz00_19799)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19796;
				long BgL_siza7ezd2framez75_19797;

				BgL_runz00_19796 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19793, (int) (((long) 2))));
				BgL_siza7ezd2framez75_19797 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19793, (int) (((long) 3))));
				{
					obj_t BgL_dz00_4376;
					obj_t BgL_lastz00_4377;

					BgL_dz00_4376 = BgL_dz00_19798;
					BgL_lastz00_4377 = BgL_lastz00_19799;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4379;

						BgL_sz00_4379 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4380;

							BgL_bpz00_4380 = VECTOR_REF(BgL_sz00_4379, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_33311;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_14539;

									BgL_arg1970z00_14539 = VECTOR_LENGTH(BgL_sz00_4379);
									BgL_testz00_33311 =
										(
										((long) CINT(BgL_bpz00_4380) +
											BgL_siza7ezd2framez75_19797) <
										(long) (BgL_arg1970z00_14539));
								}
								if (BgL_testz00_33311)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3590z00_4382;

											BgL_arg3590z00_4382 =
												((long) CINT(BgL_bpz00_4380) + ((long) 0));
											VECTOR_SET(BgL_sz00_4379,
												(int) (BgL_arg3590z00_4382), BgL_dz00_4376);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3591z00_4383;

											BgL_arg3591z00_4383 =
												((long) CINT(BgL_bpz00_4380) + ((long) 1));
											VECTOR_SET(BgL_sz00_4379,
												(int) (BgL_arg3591z00_4383), BgL_lastz00_4377);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1420z00_4384;

											BgL_exitd1420z00_4384 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33592ze3z83_18932;

												BgL_zc3anonymousza33592ze3z83_18932 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33592ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33592ze3z83_18932,
													(int) (((long) 0)), BgL_sz00_4379);
												PROCEDURE_SET(BgL_zc3anonymousza33592ze3z83_18932,
													(int) (((long) 1)), BgL_bpz00_4380);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1420z00_4384,
													BgL_zc3anonymousza33592ze3z83_18932);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1422z00_4386;

													BgL_tmp1422z00_4386 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19796, BgL_sz00_4379, BgL_bpz00_4380);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1420z00_4384);
													VECTOR_SET(BgL_sz00_4379, (int) (((long) 0)),
														BgL_bpz00_4380);
													return BgL_tmp1422z00_4386;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4389;

										BgL_nsz00_4389 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4389,
											(int) (((long) 1)), BgL_sz00_4379);
										VECTOR_SET(BgL_nsz00_4389,
											(int) (((long) 2)), BgL_dz00_4376);
										VECTOR_SET(BgL_nsz00_4389,
											(int) (((long) 3)), BgL_lastz00_4377);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_33345;

											BgL_auxz00_33345 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_33345, BgL_nsz00_4389);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1423z00_4391;

											BgL_exitd1423z00_4391 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33594ze3z83_18930;

												BgL_zc3anonymousza33594ze3z83_18930 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33594ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33594ze3z83_18930,
													(int) (((long) 0)), BgL_sz00_4379);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1423z00_4391,
													BgL_zc3anonymousza33594ze3z83_18930);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1425z00_4393;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_14579;

														BgL_savedzd2bpzd2_14579 =
															VECTOR_REF(BgL_nsz00_4389, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4389,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_14586;

															BgL_fz00_14586 = BgL_runz00_19796;
														BgL_recz00_14585:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_14587;

																BgL_rz00_14587 =
																	PROCEDURE_ENTRY(BgL_fz00_14586)
																	(BgL_fz00_14586, BgL_nsz00_4389, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_33364;

																	if (PROCEDUREP(BgL_rz00_14587))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_14592;

																			BgL_arg1962z00_14592 =
																				PROCEDURE_ATTR(BgL_rz00_14587);
																			if (STRUCTP(BgL_arg1962z00_14592))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33364 =
																						(STRUCT_KEY(BgL_arg1962z00_14592) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33364 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_33364 = ((bool_t) 0);
																		}
																	if (BgL_testz00_33364)
																		{
																			obj_t BgL_fz00_33372;

																			BgL_fz00_33372 = BgL_rz00_14587;
																			BgL_fz00_14586 = BgL_fz00_33372;
																			goto BgL_recz00_14585;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4389,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_14579);
																			BgL_tmp1425z00_4393 = BgL_rz00_14587;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1423z00_4391);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_33376;

														BgL_auxz00_33376 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_33376,
															BgL_sz00_4379);
													}
													return BgL_tmp1425z00_4393;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3592> */
	obj_t BGl_z62zc3anonymousza33592ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19800)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19801;
				obj_t BgL_bpz00_19802;

				BgL_sz00_19801 = PROCEDURE_REF(BgL_envz00_19800, (int) (((long) 0)));
				BgL_bpz00_19802 = PROCEDURE_REF(BgL_envz00_19800, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19801, (int) (((long) 0)), BgL_bpz00_19802);
		}}}
	}



/* &run5936 */
	obj_t BGl_z62run5936z62zz__evaluate_compz00(obj_t BgL_envz00_19803,
		obj_t BgL_sz00_19806)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_19804;
				obj_t BgL_bodyz00_19805;

				BgL_i1321z00_19804 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19803, (int) (((long) 0))));
				BgL_bodyz00_19805 = PROCEDURE_REF(BgL_envz00_19803, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4398;

					BgL_sz00_4398 = BgL_sz00_19806;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4400;

						BgL_bpz00_4400 = VECTOR_REF(BgL_sz00_4398, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4401;
							obj_t BgL_wherez00_4402;
							obj_t BgL_locz00_4403;

							BgL_z12denvz12_4401 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4402 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19804))->BgL_wherez00);
							BgL_locz00_4403 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19804))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4401, BgL_wherez00_4402,
									BgL_locz00_4403);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4404;

									BgL_za2za2resza2za2z00_4404 =
										PROCEDURE_ENTRY(BgL_bodyz00_19805) (BgL_bodyz00_19805,
										BgL_sz00_4398, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4401);
									return BgL_za2za2resza2za2z00_4404;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3594> */
	obj_t BGl_z62zc3anonymousza33594ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19807)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19808;

				BgL_sz00_19808 = PROCEDURE_REF(BgL_envz00_19807, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_33403;

						BgL_auxz00_33403 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_33403, BgL_sz00_19808);
					}
				}
			}
		}
	}



/* &<anonymous:3597> */
	obj_t BGl_z62zc3anonymousza33597ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19809, obj_t BgL_sz00_19814)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19810;
				BgL_ev_absz00_bglt BgL_i1321z00_19811;
				obj_t BgL_bodyz00_19812;
				long BgL_siza7ezd2framez75_19813;

				BgL_iboxesz00_19810 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19809, (int) (((long) 0))));
				BgL_i1321z00_19811 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19809, (int) (((long) 1))));
				BgL_bodyz00_19812 = PROCEDURE_REF(BgL_envz00_19809, (int) (((long) 2)));
				BgL_siza7ezd2framez75_19813 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19809, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4406;

					BgL_sz00_4406 = BgL_sz00_19814;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4408;

						BgL_bpz00_4408 = VECTOR_REF(BgL_sz00_4406, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18926;

								BgL_runz00_18926 =
									MAKE_FX_PROCEDURE(BGl_z62run5938z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_18926,
									(int) (((long) 0)), BgL_iboxesz00_19810);
								PROCEDURE_SET(BgL_runz00_18926,
									(int) (((long) 1)), ((obj_t) BgL_i1321z00_19811));
								PROCEDURE_SET(BgL_runz00_18926,
									(int) (((long) 2)), BgL_bodyz00_19812);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18928;

									BgL_mainz00_18928 =
										MAKE_VA_PROCEDURE(BGl_z62main5937z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_18928,
										(int) (((long) 0)), BgL_iboxesz00_19810);
									PROCEDURE_SET(BgL_mainz00_18928,
										(int) (((long) 1)), ((obj_t) BgL_i1321z00_19811));
									PROCEDURE_SET(BgL_mainz00_18928,
										(int) (((long) 2)), BgL_bodyz00_19812);
									PROCEDURE_SET(BgL_mainz00_18928,
										(int) (((long) 3)), BgL_runz00_18926);
									PROCEDURE_SET(BgL_mainz00_18928,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_19813));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_14708;

										BgL_objz00_14708 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18926, BgL_objz00_14708);
										BgL_objz00_14708;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3598z00_4411;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3599z00_4412;

											BgL_arg3599z00_4412 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19811))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_14712;

												BgL_newz00_14712 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_33448;

													BgL_auxz00_33448 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14712, BgL_auxz00_33448,
														BgL_arg3599z00_4412);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_33453;
													int BgL_auxz00_33451;

													BgL_auxz00_33453 = BINT(BgL_siza7ezd2framez75_19813);
													BgL_auxz00_33451 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14712, BgL_auxz00_33451,
														BgL_auxz00_33453);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_33456;

													BgL_auxz00_33456 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14712, BgL_auxz00_33456,
														BgL_runz00_18926);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_33461;
													int BgL_auxz00_33459;

													BgL_auxz00_33461 = BINT(((long) -2));
													BgL_auxz00_33459 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14712, BgL_auxz00_33459,
														BgL_auxz00_33461);
												}
												BgL_arg3598z00_4411 = BgL_newz00_14712;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18928, BgL_arg3598z00_4411);
										BgL_arg3598z00_4411;
									}
									return BgL_mainz00_18928;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5937 */
	obj_t BGl_z62main5937z62zz__evaluate_compz00(obj_t BgL_envz00_19815,
		obj_t BgL_dz00_19821, obj_t BgL_lastz00_19822)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19819;
				long BgL_siza7ezd2framez75_19820;

				BgL_runz00_19819 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19815, (int) (((long) 3))));
				BgL_siza7ezd2framez75_19820 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19815, (int) (((long) 4))));
				{
					obj_t BgL_dz00_4413;
					obj_t BgL_lastz00_4414;

					BgL_dz00_4413 = BgL_dz00_19821;
					BgL_lastz00_4414 = BgL_lastz00_19822;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4416;

						BgL_sz00_4416 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4417;

							BgL_bpz00_4417 = VECTOR_REF(BgL_sz00_4416, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_33474;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_14641;

									BgL_arg1970z00_14641 = VECTOR_LENGTH(BgL_sz00_4416);
									BgL_testz00_33474 =
										(
										((long) CINT(BgL_bpz00_4417) +
											BgL_siza7ezd2framez75_19820) <
										(long) (BgL_arg1970z00_14641));
								}
								if (BgL_testz00_33474)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3602z00_4419;

											BgL_arg3602z00_4419 =
												((long) CINT(BgL_bpz00_4417) + ((long) 0));
											VECTOR_SET(BgL_sz00_4416,
												(int) (BgL_arg3602z00_4419), BgL_dz00_4413);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3603z00_4420;

											BgL_arg3603z00_4420 =
												((long) CINT(BgL_bpz00_4417) + ((long) 1));
											VECTOR_SET(BgL_sz00_4416,
												(int) (BgL_arg3603z00_4420), BgL_lastz00_4414);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1426z00_4421;

											BgL_exitd1426z00_4421 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33604ze3z83_18927;

												BgL_zc3anonymousza33604ze3z83_18927 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33604ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33604ze3z83_18927,
													(int) (((long) 0)), BgL_sz00_4416);
												PROCEDURE_SET(BgL_zc3anonymousza33604ze3z83_18927,
													(int) (((long) 1)), BgL_bpz00_4417);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1426z00_4421,
													BgL_zc3anonymousza33604ze3z83_18927);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1428z00_4423;

													BgL_tmp1428z00_4423 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19819, BgL_sz00_4416, BgL_bpz00_4417);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1426z00_4421);
													VECTOR_SET(BgL_sz00_4416, (int) (((long) 0)),
														BgL_bpz00_4417);
													return BgL_tmp1428z00_4423;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4426;

										BgL_nsz00_4426 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4426,
											(int) (((long) 1)), BgL_sz00_4416);
										VECTOR_SET(BgL_nsz00_4426,
											(int) (((long) 2)), BgL_dz00_4413);
										VECTOR_SET(BgL_nsz00_4426,
											(int) (((long) 3)), BgL_lastz00_4414);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_33508;

											BgL_auxz00_33508 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_33508, BgL_nsz00_4426);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1429z00_4428;

											BgL_exitd1429z00_4428 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33606ze3z83_18925;

												BgL_zc3anonymousza33606ze3z83_18925 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33606ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33606ze3z83_18925,
													(int) (((long) 0)), BgL_sz00_4416);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1429z00_4428,
													BgL_zc3anonymousza33606ze3z83_18925);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1431z00_4430;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_14681;

														BgL_savedzd2bpzd2_14681 =
															VECTOR_REF(BgL_nsz00_4426, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4426,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_14688;

															BgL_fz00_14688 = BgL_runz00_19819;
														BgL_recz00_14687:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_14689;

																BgL_rz00_14689 =
																	PROCEDURE_ENTRY(BgL_fz00_14688)
																	(BgL_fz00_14688, BgL_nsz00_4426, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_33527;

																	if (PROCEDUREP(BgL_rz00_14689))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_14694;

																			BgL_arg1962z00_14694 =
																				PROCEDURE_ATTR(BgL_rz00_14689);
																			if (STRUCTP(BgL_arg1962z00_14694))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33527 =
																						(STRUCT_KEY(BgL_arg1962z00_14694) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33527 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_33527 = ((bool_t) 0);
																		}
																	if (BgL_testz00_33527)
																		{
																			obj_t BgL_fz00_33535;

																			BgL_fz00_33535 = BgL_rz00_14689;
																			BgL_fz00_14688 = BgL_fz00_33535;
																			goto BgL_recz00_14687;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4426,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_14681);
																			BgL_tmp1431z00_4430 = BgL_rz00_14689;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1429z00_4428);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_33539;

														BgL_auxz00_33539 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_33539,
															BgL_sz00_4416);
													}
													return BgL_tmp1431z00_4430;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3604> */
	obj_t BGl_z62zc3anonymousza33604ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19823)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19824;
				obj_t BgL_bpz00_19825;

				BgL_sz00_19824 = PROCEDURE_REF(BgL_envz00_19823, (int) (((long) 0)));
				BgL_bpz00_19825 = PROCEDURE_REF(BgL_envz00_19823, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19824, (int) (((long) 0)), BgL_bpz00_19825);
		}}}
	}



/* &run5938 */
	obj_t BGl_z62run5938z62zz__evaluate_compz00(obj_t BgL_envz00_19826,
		obj_t BgL_sz00_19830)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19827;
				BgL_ev_absz00_bglt BgL_i1321z00_19828;
				obj_t BgL_bodyz00_19829;

				BgL_iboxesz00_19827 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19826, (int) (((long) 0))));
				BgL_i1321z00_19828 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19826, (int) (((long) 1))));
				BgL_bodyz00_19829 = PROCEDURE_REF(BgL_envz00_19826, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4435;

					BgL_sz00_4435 = BgL_sz00_19830;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4437;

						BgL_bpz00_4437 = VECTOR_REF(BgL_sz00_4435, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4435,
							BgL_iboxesz00_19827, BgL_bpz00_4437);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4438;
							obj_t BgL_wherez00_4439;
							obj_t BgL_locz00_4440;

							BgL_z12denvz12_4438 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4439 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19828))->BgL_wherez00);
							BgL_locz00_4440 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19828))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4438, BgL_wherez00_4439,
									BgL_locz00_4440);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4441;

									BgL_za2za2resza2za2z00_4441 =
										PROCEDURE_ENTRY(BgL_bodyz00_19829) (BgL_bodyz00_19829,
										BgL_sz00_4435, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4438);
									return BgL_za2za2resza2za2z00_4441;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3606> */
	obj_t BGl_z62zc3anonymousza33606ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19831)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19832;

				BgL_sz00_19832 = PROCEDURE_REF(BgL_envz00_19831, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_33570;

						BgL_auxz00_33570 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_33570, BgL_sz00_19832);
					}
				}
			}
		}
	}



/* &<anonymous:3611> */
	obj_t BGl_z62zc3anonymousza33611ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19833, obj_t BgL_sz00_19839)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19834;
				long BgL_siza7eza7_19835;
				BgL_ev_absz00_bglt BgL_i1321z00_19836;
				obj_t BgL_bodyz00_19837;
				long BgL_siza7ezd2framez75_19838;

				BgL_ifreesz00_19834 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19833, (int) (((long) 0))));
				BgL_siza7eza7_19835 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19833, (int) (((long) 1))));
				BgL_i1321z00_19836 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19833, (int) (((long) 2))));
				BgL_bodyz00_19837 = PROCEDURE_REF(BgL_envz00_19833, (int) (((long) 3)));
				BgL_siza7ezd2framez75_19838 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19833, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4445;

					BgL_sz00_4445 = BgL_sz00_19839;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4447;

						BgL_bpz00_4447 = VECTOR_REF(BgL_sz00_4445, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4448;

							BgL_valza2za2_4448 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4445,
								BgL_bpz00_4447, BgL_ifreesz00_19834);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18921;

								BgL_runz00_18921 =
									MAKE_FX_PROCEDURE(BGl_z62run5940z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_18921,
									(int) (((long) 0)), BINT(BgL_siza7eza7_19835));
								PROCEDURE_SET(BgL_runz00_18921,
									(int) (((long) 1)), BgL_valza2za2_4448);
								PROCEDURE_SET(BgL_runz00_18921,
									(int) (((long) 2)), ((obj_t) BgL_i1321z00_19836));
								PROCEDURE_SET(BgL_runz00_18921,
									(int) (((long) 3)), BgL_bodyz00_19837);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18923;

									BgL_mainz00_18923 =
										MAKE_VA_PROCEDURE(BGl_z62main5939z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_18923,
										(int) (((long) 0)), BINT(BgL_siza7eza7_19835));
									PROCEDURE_SET(BgL_mainz00_18923,
										(int) (((long) 1)), BgL_valza2za2_4448);
									PROCEDURE_SET(BgL_mainz00_18923,
										(int) (((long) 2)), ((obj_t) BgL_i1321z00_19836));
									PROCEDURE_SET(BgL_mainz00_18923,
										(int) (((long) 3)), BgL_bodyz00_19837);
									PROCEDURE_SET(BgL_mainz00_18923,
										(int) (((long) 4)), BgL_runz00_18921);
									PROCEDURE_SET(BgL_mainz00_18923,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_19838));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_14817;

										BgL_objz00_14817 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18921, BgL_objz00_14817);
										BgL_objz00_14817;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3612z00_4451;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3613z00_4452;

											BgL_arg3613z00_4452 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19836))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_14821;

												BgL_newz00_14821 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_33625;

													BgL_auxz00_33625 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14821, BgL_auxz00_33625,
														BgL_arg3613z00_4452);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_33630;
													int BgL_auxz00_33628;

													BgL_auxz00_33630 = BINT(BgL_siza7ezd2framez75_19838);
													BgL_auxz00_33628 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14821, BgL_auxz00_33628,
														BgL_auxz00_33630);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_33633;

													BgL_auxz00_33633 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14821, BgL_auxz00_33633,
														BgL_runz00_18921);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_33638;
													int BgL_auxz00_33636;

													BgL_auxz00_33638 = BINT(((long) -2));
													BgL_auxz00_33636 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14821, BgL_auxz00_33636,
														BgL_auxz00_33638);
												}
												BgL_arg3612z00_4451 = BgL_newz00_14821;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18923, BgL_arg3612z00_4451);
										BgL_arg3612z00_4451;
									}
									return BgL_mainz00_18923;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5939 */
	obj_t BGl_z62main5939z62zz__evaluate_compz00(obj_t BgL_envz00_19840,
		obj_t BgL_dz00_19847, obj_t BgL_lastz00_19848)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19845;
				long BgL_siza7ezd2framez75_19846;

				BgL_runz00_19845 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19840, (int) (((long) 4))));
				BgL_siza7ezd2framez75_19846 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19840, (int) (((long) 5))));
				{
					obj_t BgL_dz00_4453;
					obj_t BgL_lastz00_4454;

					BgL_dz00_4453 = BgL_dz00_19847;
					BgL_lastz00_4454 = BgL_lastz00_19848;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4456;

						BgL_sz00_4456 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4457;

							BgL_bpz00_4457 = VECTOR_REF(BgL_sz00_4456, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_33651;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_14750;

									BgL_arg1970z00_14750 = VECTOR_LENGTH(BgL_sz00_4456);
									BgL_testz00_33651 =
										(
										((long) CINT(BgL_bpz00_4457) +
											BgL_siza7ezd2framez75_19846) <
										(long) (BgL_arg1970z00_14750));
								}
								if (BgL_testz00_33651)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3616z00_4459;

											BgL_arg3616z00_4459 =
												((long) CINT(BgL_bpz00_4457) + ((long) 0));
											VECTOR_SET(BgL_sz00_4456,
												(int) (BgL_arg3616z00_4459), BgL_dz00_4453);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3617z00_4460;

											BgL_arg3617z00_4460 =
												((long) CINT(BgL_bpz00_4457) + ((long) 1));
											VECTOR_SET(BgL_sz00_4456,
												(int) (BgL_arg3617z00_4460), BgL_lastz00_4454);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1432z00_4461;

											BgL_exitd1432z00_4461 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33618ze3z83_18922;

												BgL_zc3anonymousza33618ze3z83_18922 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33618ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33618ze3z83_18922,
													(int) (((long) 0)), BgL_sz00_4456);
												PROCEDURE_SET(BgL_zc3anonymousza33618ze3z83_18922,
													(int) (((long) 1)), BgL_bpz00_4457);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1432z00_4461,
													BgL_zc3anonymousza33618ze3z83_18922);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1434z00_4463;

													BgL_tmp1434z00_4463 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19845, BgL_sz00_4456, BgL_bpz00_4457);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1432z00_4461);
													VECTOR_SET(BgL_sz00_4456, (int) (((long) 0)),
														BgL_bpz00_4457);
													return BgL_tmp1434z00_4463;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4466;

										BgL_nsz00_4466 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4466,
											(int) (((long) 1)), BgL_sz00_4456);
										VECTOR_SET(BgL_nsz00_4466,
											(int) (((long) 2)), BgL_dz00_4453);
										VECTOR_SET(BgL_nsz00_4466,
											(int) (((long) 3)), BgL_lastz00_4454);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_33685;

											BgL_auxz00_33685 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_33685, BgL_nsz00_4466);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1435z00_4468;

											BgL_exitd1435z00_4468 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33620ze3z83_18920;

												BgL_zc3anonymousza33620ze3z83_18920 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33620ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33620ze3z83_18920,
													(int) (((long) 0)), BgL_sz00_4456);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1435z00_4468,
													BgL_zc3anonymousza33620ze3z83_18920);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1437z00_4470;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_14790;

														BgL_savedzd2bpzd2_14790 =
															VECTOR_REF(BgL_nsz00_4466, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4466,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_14797;

															BgL_fz00_14797 = BgL_runz00_19845;
														BgL_recz00_14796:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_14798;

																BgL_rz00_14798 =
																	PROCEDURE_ENTRY(BgL_fz00_14797)
																	(BgL_fz00_14797, BgL_nsz00_4466, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_33704;

																	if (PROCEDUREP(BgL_rz00_14798))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_14803;

																			BgL_arg1962z00_14803 =
																				PROCEDURE_ATTR(BgL_rz00_14798);
																			if (STRUCTP(BgL_arg1962z00_14803))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33704 =
																						(STRUCT_KEY(BgL_arg1962z00_14803) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33704 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_33704 = ((bool_t) 0);
																		}
																	if (BgL_testz00_33704)
																		{
																			obj_t BgL_fz00_33712;

																			BgL_fz00_33712 = BgL_rz00_14798;
																			BgL_fz00_14797 = BgL_fz00_33712;
																			goto BgL_recz00_14796;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4466,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_14790);
																			BgL_tmp1437z00_4470 = BgL_rz00_14798;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1435z00_4468);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_33716;

														BgL_auxz00_33716 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_33716,
															BgL_sz00_4456);
													}
													return BgL_tmp1437z00_4470;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3618> */
	obj_t BGl_z62zc3anonymousza33618ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19849)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19850;
				obj_t BgL_bpz00_19851;

				BgL_sz00_19850 = PROCEDURE_REF(BgL_envz00_19849, (int) (((long) 0)));
				BgL_bpz00_19851 = PROCEDURE_REF(BgL_envz00_19849, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19850, (int) (((long) 0)), BgL_bpz00_19851);
		}}}
	}



/* &run5940 */
	obj_t BGl_z62run5940z62zz__evaluate_compz00(obj_t BgL_envz00_19852,
		obj_t BgL_sz00_19857)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_19853;
				obj_t BgL_valza2za2_19854;
				BgL_ev_absz00_bglt BgL_i1321z00_19855;
				obj_t BgL_bodyz00_19856;

				BgL_siza7eza7_19853 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19852, (int) (((long) 0))));
				BgL_valza2za2_19854 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19852, (int) (((long) 1))));
				BgL_i1321z00_19855 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19852, (int) (((long) 2))));
				BgL_bodyz00_19856 = PROCEDURE_REF(BgL_envz00_19852, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4475;

					BgL_sz00_4475 = BgL_sz00_19857;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4477;

						BgL_bpz00_4477 = VECTOR_REF(BgL_sz00_4475, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4475,
							BgL_valza2za2_19854,
							((long) CINT(BgL_bpz00_4477) + BgL_siza7eza7_19853));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4479;
							obj_t BgL_wherez00_4480;
							obj_t BgL_locz00_4481;

							BgL_z12denvz12_4479 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4480 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19855))->BgL_wherez00);
							BgL_locz00_4481 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19855))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4479, BgL_wherez00_4480,
									BgL_locz00_4481);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4482;

									BgL_za2za2resza2za2z00_4482 =
										PROCEDURE_ENTRY(BgL_bodyz00_19856) (BgL_bodyz00_19856,
										BgL_sz00_4475, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4479);
									return BgL_za2za2resza2za2z00_4482;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3620> */
	obj_t BGl_z62zc3anonymousza33620ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19858)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19859;

				BgL_sz00_19859 = PROCEDURE_REF(BgL_envz00_19858, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_33752;

						BgL_auxz00_33752 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_33752, BgL_sz00_19859);
					}
				}
			}
		}
	}



/* &<anonymous:3624> */
	obj_t BGl_z62zc3anonymousza33624ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19860, obj_t BgL_sz00_19867)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19861;
				obj_t BgL_iboxesz00_19862;
				long BgL_siza7eza7_19863;
				BgL_ev_absz00_bglt BgL_i1321z00_19864;
				obj_t BgL_bodyz00_19865;
				long BgL_siza7ezd2framez75_19866;

				BgL_ifreesz00_19861 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19860, (int) (((long) 0))));
				BgL_iboxesz00_19862 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19860, (int) (((long) 1))));
				BgL_siza7eza7_19863 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19860, (int) (((long) 2))));
				BgL_i1321z00_19864 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19860, (int) (((long) 3))));
				BgL_bodyz00_19865 = PROCEDURE_REF(BgL_envz00_19860, (int) (((long) 4)));
				BgL_siza7ezd2framez75_19866 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19860, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4484;

					BgL_sz00_4484 = BgL_sz00_19867;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4486;

						BgL_bpz00_4486 = VECTOR_REF(BgL_sz00_4484, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4487;

							BgL_valza2za2_4487 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4484,
								BgL_bpz00_4486, BgL_ifreesz00_19861);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18916;

								BgL_runz00_18916 =
									MAKE_FX_PROCEDURE(BGl_z62run5942z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_18916,
									(int) (((long) 0)), BgL_iboxesz00_19862);
								PROCEDURE_SET(BgL_runz00_18916,
									(int) (((long) 1)), BINT(BgL_siza7eza7_19863));
								PROCEDURE_SET(BgL_runz00_18916,
									(int) (((long) 2)), BgL_valza2za2_4487);
								PROCEDURE_SET(BgL_runz00_18916,
									(int) (((long) 3)), ((obj_t) BgL_i1321z00_19864));
								PROCEDURE_SET(BgL_runz00_18916,
									(int) (((long) 4)), BgL_bodyz00_19865);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18918;

									BgL_mainz00_18918 =
										MAKE_VA_PROCEDURE(BGl_z62main5941z62zz__evaluate_compz00,
										(int) (((long) -2)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_18918,
										(int) (((long) 0)), BgL_iboxesz00_19862);
									PROCEDURE_SET(BgL_mainz00_18918,
										(int) (((long) 1)), BINT(BgL_siza7eza7_19863));
									PROCEDURE_SET(BgL_mainz00_18918,
										(int) (((long) 2)), BgL_valza2za2_4487);
									PROCEDURE_SET(BgL_mainz00_18918,
										(int) (((long) 3)), ((obj_t) BgL_i1321z00_19864));
									PROCEDURE_SET(BgL_mainz00_18918,
										(int) (((long) 4)), BgL_bodyz00_19865);
									PROCEDURE_SET(BgL_mainz00_18918,
										(int) (((long) 5)), BgL_runz00_18916);
									PROCEDURE_SET(BgL_mainz00_18918,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_19866));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_14922;

										BgL_objz00_14922 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18916, BgL_objz00_14922);
										BgL_objz00_14922;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3625z00_4490;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3626z00_4491;

											BgL_arg3626z00_4491 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19864))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_14926;

												BgL_newz00_14926 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_33814;

													BgL_auxz00_33814 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14926, BgL_auxz00_33814,
														BgL_arg3626z00_4491);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_33819;
													int BgL_auxz00_33817;

													BgL_auxz00_33819 = BINT(BgL_siza7ezd2framez75_19866);
													BgL_auxz00_33817 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14926, BgL_auxz00_33817,
														BgL_auxz00_33819);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_33822;

													BgL_auxz00_33822 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14926, BgL_auxz00_33822,
														BgL_runz00_18916);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_33827;
													int BgL_auxz00_33825;

													BgL_auxz00_33827 = BINT(((long) -2));
													BgL_auxz00_33825 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14926, BgL_auxz00_33825,
														BgL_auxz00_33827);
												}
												BgL_arg3625z00_4490 = BgL_newz00_14926;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18918, BgL_arg3625z00_4490);
										BgL_arg3625z00_4490;
									}
									return BgL_mainz00_18918;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5941 */
	obj_t BGl_z62main5941z62zz__evaluate_compz00(obj_t BgL_envz00_19868,
		obj_t BgL_dz00_19876, obj_t BgL_lastz00_19877)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19874;
				long BgL_siza7ezd2framez75_19875;

				BgL_runz00_19874 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19868, (int) (((long) 5))));
				BgL_siza7ezd2framez75_19875 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19868, (int) (((long) 6))));
				{
					obj_t BgL_dz00_4492;
					obj_t BgL_lastz00_4493;

					BgL_dz00_4492 = BgL_dz00_19876;
					BgL_lastz00_4493 = BgL_lastz00_19877;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4495;

						BgL_sz00_4495 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4496;

							BgL_bpz00_4496 = VECTOR_REF(BgL_sz00_4495, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_33840;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_14855;

									BgL_arg1970z00_14855 = VECTOR_LENGTH(BgL_sz00_4495);
									BgL_testz00_33840 =
										(
										((long) CINT(BgL_bpz00_4496) +
											BgL_siza7ezd2framez75_19875) <
										(long) (BgL_arg1970z00_14855));
								}
								if (BgL_testz00_33840)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3629z00_4498;

											BgL_arg3629z00_4498 =
												((long) CINT(BgL_bpz00_4496) + ((long) 0));
											VECTOR_SET(BgL_sz00_4495,
												(int) (BgL_arg3629z00_4498), BgL_dz00_4492);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3630z00_4499;

											BgL_arg3630z00_4499 =
												((long) CINT(BgL_bpz00_4496) + ((long) 1));
											VECTOR_SET(BgL_sz00_4495,
												(int) (BgL_arg3630z00_4499), BgL_lastz00_4493);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1438z00_4500;

											BgL_exitd1438z00_4500 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33631ze3z83_18917;

												BgL_zc3anonymousza33631ze3z83_18917 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33631ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33631ze3z83_18917,
													(int) (((long) 0)), BgL_sz00_4495);
												PROCEDURE_SET(BgL_zc3anonymousza33631ze3z83_18917,
													(int) (((long) 1)), BgL_bpz00_4496);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1438z00_4500,
													BgL_zc3anonymousza33631ze3z83_18917);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1440z00_4502;

													BgL_tmp1440z00_4502 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19874, BgL_sz00_4495, BgL_bpz00_4496);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1438z00_4500);
													VECTOR_SET(BgL_sz00_4495, (int) (((long) 0)),
														BgL_bpz00_4496);
													return BgL_tmp1440z00_4502;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4505;

										BgL_nsz00_4505 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4505,
											(int) (((long) 1)), BgL_sz00_4495);
										VECTOR_SET(BgL_nsz00_4505,
											(int) (((long) 2)), BgL_dz00_4492);
										VECTOR_SET(BgL_nsz00_4505,
											(int) (((long) 3)), BgL_lastz00_4493);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_33874;

											BgL_auxz00_33874 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_33874, BgL_nsz00_4505);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1441z00_4507;

											BgL_exitd1441z00_4507 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33633ze3z83_18915;

												BgL_zc3anonymousza33633ze3z83_18915 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33633ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33633ze3z83_18915,
													(int) (((long) 0)), BgL_sz00_4495);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1441z00_4507,
													BgL_zc3anonymousza33633ze3z83_18915);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1443z00_4509;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_14895;

														BgL_savedzd2bpzd2_14895 =
															VECTOR_REF(BgL_nsz00_4505, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4505,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_14902;

															BgL_fz00_14902 = BgL_runz00_19874;
														BgL_recz00_14901:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_14903;

																BgL_rz00_14903 =
																	PROCEDURE_ENTRY(BgL_fz00_14902)
																	(BgL_fz00_14902, BgL_nsz00_4505, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_33893;

																	if (PROCEDUREP(BgL_rz00_14903))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_14908;

																			BgL_arg1962z00_14908 =
																				PROCEDURE_ATTR(BgL_rz00_14903);
																			if (STRUCTP(BgL_arg1962z00_14908))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33893 =
																						(STRUCT_KEY(BgL_arg1962z00_14908) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_33893 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_33893 = ((bool_t) 0);
																		}
																	if (BgL_testz00_33893)
																		{
																			obj_t BgL_fz00_33901;

																			BgL_fz00_33901 = BgL_rz00_14903;
																			BgL_fz00_14902 = BgL_fz00_33901;
																			goto BgL_recz00_14901;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4505,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_14895);
																			BgL_tmp1443z00_4509 = BgL_rz00_14903;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1441z00_4507);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_33905;

														BgL_auxz00_33905 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_33905,
															BgL_sz00_4495);
													}
													return BgL_tmp1443z00_4509;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3631> */
	obj_t BGl_z62zc3anonymousza33631ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19878)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19879;
				obj_t BgL_bpz00_19880;

				BgL_sz00_19879 = PROCEDURE_REF(BgL_envz00_19878, (int) (((long) 0)));
				BgL_bpz00_19880 = PROCEDURE_REF(BgL_envz00_19878, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19879, (int) (((long) 0)), BgL_bpz00_19880);
		}}}
	}



/* &run5942 */
	obj_t BGl_z62run5942z62zz__evaluate_compz00(obj_t BgL_envz00_19881,
		obj_t BgL_sz00_19887)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19882;
				long BgL_siza7eza7_19883;
				obj_t BgL_valza2za2_19884;
				BgL_ev_absz00_bglt BgL_i1321z00_19885;
				obj_t BgL_bodyz00_19886;

				BgL_iboxesz00_19882 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19881, (int) (((long) 0))));
				BgL_siza7eza7_19883 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19881, (int) (((long) 1))));
				BgL_valza2za2_19884 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19881, (int) (((long) 2))));
				BgL_i1321z00_19885 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19881, (int) (((long) 3))));
				BgL_bodyz00_19886 = PROCEDURE_REF(BgL_envz00_19881, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4514;

					BgL_sz00_4514 = BgL_sz00_19887;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4516;

						BgL_bpz00_4516 = VECTOR_REF(BgL_sz00_4514, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4514,
							BgL_iboxesz00_19882, BgL_bpz00_4516);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4514,
							BgL_valza2za2_19884,
							((long) CINT(BgL_bpz00_4516) + BgL_siza7eza7_19883));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4518;
							obj_t BgL_wherez00_4519;
							obj_t BgL_locz00_4520;

							BgL_z12denvz12_4518 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4519 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19885))->BgL_wherez00);
							BgL_locz00_4520 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19885))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4518, BgL_wherez00_4519,
									BgL_locz00_4520);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4521;

									BgL_za2za2resza2za2z00_4521 =
										PROCEDURE_ENTRY(BgL_bodyz00_19886) (BgL_bodyz00_19886,
										BgL_sz00_4514, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4518);
									return BgL_za2za2resza2za2z00_4521;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3633> */
	obj_t BGl_z62zc3anonymousza33633ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19888)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19889;

				BgL_sz00_19889 = PROCEDURE_REF(BgL_envz00_19888, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_33945;

						BgL_auxz00_33945 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_33945, BgL_sz00_19889);
					}
				}
			}
		}
	}



/* &<anonymous:3533> */
	obj_t BGl_z62zc3anonymousza33533ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19890, obj_t BgL_sz00_19894)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_19891;
				obj_t BgL_bodyz00_19892;
				long BgL_siza7ezd2framez75_19893;

				BgL_i1321z00_19891 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19890, (int) (((long) 0))));
				BgL_bodyz00_19892 = PROCEDURE_REF(BgL_envz00_19890, (int) (((long) 1)));
				BgL_siza7ezd2framez75_19893 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19890, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4219;

					BgL_sz00_4219 = BgL_sz00_19894;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4221;

						BgL_bpz00_4221 = VECTOR_REF(BgL_sz00_4219, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18911;

								BgL_runz00_18911 =
									MAKE_FX_PROCEDURE(BGl_z62run5944z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_18911,
									(int) (((long) 0)), ((obj_t) BgL_i1321z00_19891));
								PROCEDURE_SET(BgL_runz00_18911,
									(int) (((long) 1)), BgL_bodyz00_19892);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18913;

									BgL_mainz00_18913 =
										MAKE_FX_PROCEDURE(BGl_z62main5943z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_18913,
										(int) (((long) 0)), ((obj_t) BgL_i1321z00_19891));
									PROCEDURE_SET(BgL_mainz00_18913,
										(int) (((long) 1)), BgL_bodyz00_19892);
									PROCEDURE_SET(BgL_mainz00_18913,
										(int) (((long) 2)), BgL_runz00_18911);
									PROCEDURE_SET(BgL_mainz00_18913,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_19893));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_14207;

										BgL_objz00_14207 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18911, BgL_objz00_14207);
										BgL_objz00_14207;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3534z00_4224;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3535z00_4225;

											BgL_arg3535z00_4225 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19891))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_14211;

												BgL_newz00_14211 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_33983;

													BgL_auxz00_33983 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14211, BgL_auxz00_33983,
														BgL_arg3535z00_4225);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_33988;
													int BgL_auxz00_33986;

													BgL_auxz00_33988 = BINT(BgL_siza7ezd2framez75_19893);
													BgL_auxz00_33986 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14211, BgL_auxz00_33986,
														BgL_auxz00_33988);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_33991;

													BgL_auxz00_33991 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14211, BgL_auxz00_33991,
														BgL_runz00_18911);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_33996;
													int BgL_auxz00_33994;

													BgL_auxz00_33996 = BINT(((long) 1));
													BgL_auxz00_33994 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14211, BgL_auxz00_33994,
														BgL_auxz00_33996);
												}
												BgL_arg3534z00_4224 = BgL_newz00_14211;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18913, BgL_arg3534z00_4224);
										BgL_arg3534z00_4224;
									}
									return BgL_mainz00_18913;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5943 */
	obj_t BGl_z62main5943z62zz__evaluate_compz00(obj_t BgL_envz00_19895,
		obj_t BgL_dz00_19900)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19898;
				long BgL_siza7ezd2framez75_19899;

				BgL_runz00_19898 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19895, (int) (((long) 2))));
				BgL_siza7ezd2framez75_19899 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19895, (int) (((long) 3))));
				{
					obj_t BgL_dz00_4226;

					BgL_dz00_4226 = BgL_dz00_19900;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4228;

						BgL_sz00_4228 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4229;

							BgL_bpz00_4229 = VECTOR_REF(BgL_sz00_4228, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_34009;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_14149;

									BgL_arg1970z00_14149 = VECTOR_LENGTH(BgL_sz00_4228);
									BgL_testz00_34009 =
										(
										((long) CINT(BgL_bpz00_4229) +
											BgL_siza7ezd2framez75_19899) <
										(long) (BgL_arg1970z00_14149));
								}
								if (BgL_testz00_34009)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3538z00_4231;

											BgL_arg3538z00_4231 =
												((long) CINT(BgL_bpz00_4229) + ((long) 0));
											VECTOR_SET(BgL_sz00_4228,
												(int) (BgL_arg3538z00_4231), BgL_dz00_4226);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1396z00_4232;

											BgL_exitd1396z00_4232 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33539ze3z83_18912;

												BgL_zc3anonymousza33539ze3z83_18912 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33539ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33539ze3z83_18912,
													(int) (((long) 0)), BgL_sz00_4228);
												PROCEDURE_SET(BgL_zc3anonymousza33539ze3z83_18912,
													(int) (((long) 1)), BgL_bpz00_4229);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1396z00_4232,
													BgL_zc3anonymousza33539ze3z83_18912);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1398z00_4234;

													BgL_tmp1398z00_4234 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19898, BgL_sz00_4228, BgL_bpz00_4229);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1396z00_4232);
													VECTOR_SET(BgL_sz00_4228, (int) (((long) 0)),
														BgL_bpz00_4229);
													return BgL_tmp1398z00_4234;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4237;

										BgL_nsz00_4237 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4237,
											(int) (((long) 1)), BgL_sz00_4228);
										VECTOR_SET(BgL_nsz00_4237,
											(int) (((long) 2)), BgL_dz00_4226);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_34037;

											BgL_auxz00_34037 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_34037, BgL_nsz00_4237);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1399z00_4239;

											BgL_exitd1399z00_4239 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33541ze3z83_18910;

												BgL_zc3anonymousza33541ze3z83_18910 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33541ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33541ze3z83_18910,
													(int) (((long) 0)), BgL_sz00_4228);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1399z00_4239,
													BgL_zc3anonymousza33541ze3z83_18910);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1401z00_4241;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_14180;

														BgL_savedzd2bpzd2_14180 =
															VECTOR_REF(BgL_nsz00_4237, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4237,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_14187;

															BgL_fz00_14187 = BgL_runz00_19898;
														BgL_recz00_14186:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_14188;

																BgL_rz00_14188 =
																	PROCEDURE_ENTRY(BgL_fz00_14187)
																	(BgL_fz00_14187, BgL_nsz00_4237, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_34056;

																	if (PROCEDUREP(BgL_rz00_14188))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_14193;

																			BgL_arg1962z00_14193 =
																				PROCEDURE_ATTR(BgL_rz00_14188);
																			if (STRUCTP(BgL_arg1962z00_14193))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34056 =
																						(STRUCT_KEY(BgL_arg1962z00_14193) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34056 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_34056 = ((bool_t) 0);
																		}
																	if (BgL_testz00_34056)
																		{
																			obj_t BgL_fz00_34064;

																			BgL_fz00_34064 = BgL_rz00_14188;
																			BgL_fz00_14187 = BgL_fz00_34064;
																			goto BgL_recz00_14186;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4237,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_14180);
																			BgL_tmp1401z00_4241 = BgL_rz00_14188;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1399z00_4239);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_34068;

														BgL_auxz00_34068 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_34068,
															BgL_sz00_4228);
													}
													return BgL_tmp1401z00_4241;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3539> */
	obj_t BGl_z62zc3anonymousza33539ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19901)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19902;
				obj_t BgL_bpz00_19903;

				BgL_sz00_19902 = PROCEDURE_REF(BgL_envz00_19901, (int) (((long) 0)));
				BgL_bpz00_19903 = PROCEDURE_REF(BgL_envz00_19901, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19902, (int) (((long) 0)), BgL_bpz00_19903);
		}}}
	}



/* &run5944 */
	obj_t BGl_z62run5944z62zz__evaluate_compz00(obj_t BgL_envz00_19904,
		obj_t BgL_sz00_19907)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_19905;
				obj_t BgL_bodyz00_19906;

				BgL_i1321z00_19905 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19904, (int) (((long) 0))));
				BgL_bodyz00_19906 = PROCEDURE_REF(BgL_envz00_19904, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4246;

					BgL_sz00_4246 = BgL_sz00_19907;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4248;

						BgL_bpz00_4248 = VECTOR_REF(BgL_sz00_4246, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4249;
							obj_t BgL_wherez00_4250;
							obj_t BgL_locz00_4251;

							BgL_z12denvz12_4249 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4250 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19905))->BgL_wherez00);
							BgL_locz00_4251 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19905))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4249, BgL_wherez00_4250,
									BgL_locz00_4251);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4252;

									BgL_za2za2resza2za2z00_4252 =
										PROCEDURE_ENTRY(BgL_bodyz00_19906) (BgL_bodyz00_19906,
										BgL_sz00_4246, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4249);
									return BgL_za2za2resza2za2z00_4252;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3541> */
	obj_t BGl_z62zc3anonymousza33541ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19908)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19909;

				BgL_sz00_19909 = PROCEDURE_REF(BgL_envz00_19908, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_34095;

						BgL_auxz00_34095 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_34095, BgL_sz00_19909);
					}
				}
			}
		}
	}



/* &<anonymous:3544> */
	obj_t BGl_z62zc3anonymousza33544ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19910, obj_t BgL_sz00_19915)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19911;
				BgL_ev_absz00_bglt BgL_i1321z00_19912;
				obj_t BgL_bodyz00_19913;
				long BgL_siza7ezd2framez75_19914;

				BgL_iboxesz00_19911 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19910, (int) (((long) 0))));
				BgL_i1321z00_19912 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19910, (int) (((long) 1))));
				BgL_bodyz00_19913 = PROCEDURE_REF(BgL_envz00_19910, (int) (((long) 2)));
				BgL_siza7ezd2framez75_19914 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19910, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4254;

					BgL_sz00_4254 = BgL_sz00_19915;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4256;

						BgL_bpz00_4256 = VECTOR_REF(BgL_sz00_4254, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18906;

								BgL_runz00_18906 =
									MAKE_FX_PROCEDURE(BGl_z62run5946z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_18906,
									(int) (((long) 0)), BgL_iboxesz00_19911);
								PROCEDURE_SET(BgL_runz00_18906,
									(int) (((long) 1)), ((obj_t) BgL_i1321z00_19912));
								PROCEDURE_SET(BgL_runz00_18906,
									(int) (((long) 2)), BgL_bodyz00_19913);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18908;

									BgL_mainz00_18908 =
										MAKE_FX_PROCEDURE(BGl_z62main5945z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_18908,
										(int) (((long) 0)), BgL_iboxesz00_19911);
									PROCEDURE_SET(BgL_mainz00_18908,
										(int) (((long) 1)), ((obj_t) BgL_i1321z00_19912));
									PROCEDURE_SET(BgL_mainz00_18908,
										(int) (((long) 2)), BgL_bodyz00_19913);
									PROCEDURE_SET(BgL_mainz00_18908,
										(int) (((long) 3)), BgL_runz00_18906);
									PROCEDURE_SET(BgL_mainz00_18908,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_19914));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_14300;

										BgL_objz00_14300 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18906, BgL_objz00_14300);
										BgL_objz00_14300;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3545z00_4259;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3546z00_4260;

											BgL_arg3546z00_4260 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19912))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_14304;

												BgL_newz00_14304 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_34140;

													BgL_auxz00_34140 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14304, BgL_auxz00_34140,
														BgL_arg3546z00_4260);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_34145;
													int BgL_auxz00_34143;

													BgL_auxz00_34145 = BINT(BgL_siza7ezd2framez75_19914);
													BgL_auxz00_34143 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14304, BgL_auxz00_34143,
														BgL_auxz00_34145);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_34148;

													BgL_auxz00_34148 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14304, BgL_auxz00_34148,
														BgL_runz00_18906);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_34153;
													int BgL_auxz00_34151;

													BgL_auxz00_34153 = BINT(((long) 1));
													BgL_auxz00_34151 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14304, BgL_auxz00_34151,
														BgL_auxz00_34153);
												}
												BgL_arg3545z00_4259 = BgL_newz00_14304;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18908, BgL_arg3545z00_4259);
										BgL_arg3545z00_4259;
									}
									return BgL_mainz00_18908;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5945 */
	obj_t BGl_z62main5945z62zz__evaluate_compz00(obj_t BgL_envz00_19916,
		obj_t BgL_dz00_19922)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19920;
				long BgL_siza7ezd2framez75_19921;

				BgL_runz00_19920 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19916, (int) (((long) 3))));
				BgL_siza7ezd2framez75_19921 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19916, (int) (((long) 4))));
				{
					obj_t BgL_dz00_4261;

					BgL_dz00_4261 = BgL_dz00_19922;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4263;

						BgL_sz00_4263 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4264;

							BgL_bpz00_4264 = VECTOR_REF(BgL_sz00_4263, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_34166;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_14242;

									BgL_arg1970z00_14242 = VECTOR_LENGTH(BgL_sz00_4263);
									BgL_testz00_34166 =
										(
										((long) CINT(BgL_bpz00_4264) +
											BgL_siza7ezd2framez75_19921) <
										(long) (BgL_arg1970z00_14242));
								}
								if (BgL_testz00_34166)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3549z00_4266;

											BgL_arg3549z00_4266 =
												((long) CINT(BgL_bpz00_4264) + ((long) 0));
											VECTOR_SET(BgL_sz00_4263,
												(int) (BgL_arg3549z00_4266), BgL_dz00_4261);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1402z00_4267;

											BgL_exitd1402z00_4267 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33550ze3z83_18907;

												BgL_zc3anonymousza33550ze3z83_18907 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33550ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33550ze3z83_18907,
													(int) (((long) 0)), BgL_sz00_4263);
												PROCEDURE_SET(BgL_zc3anonymousza33550ze3z83_18907,
													(int) (((long) 1)), BgL_bpz00_4264);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1402z00_4267,
													BgL_zc3anonymousza33550ze3z83_18907);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1404z00_4269;

													BgL_tmp1404z00_4269 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19920, BgL_sz00_4263, BgL_bpz00_4264);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1402z00_4267);
													VECTOR_SET(BgL_sz00_4263, (int) (((long) 0)),
														BgL_bpz00_4264);
													return BgL_tmp1404z00_4269;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4272;

										BgL_nsz00_4272 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4272,
											(int) (((long) 1)), BgL_sz00_4263);
										VECTOR_SET(BgL_nsz00_4272,
											(int) (((long) 2)), BgL_dz00_4261);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_34194;

											BgL_auxz00_34194 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_34194, BgL_nsz00_4272);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1405z00_4274;

											BgL_exitd1405z00_4274 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33552ze3z83_18905;

												BgL_zc3anonymousza33552ze3z83_18905 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33552ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33552ze3z83_18905,
													(int) (((long) 0)), BgL_sz00_4263);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1405z00_4274,
													BgL_zc3anonymousza33552ze3z83_18905);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1407z00_4276;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_14273;

														BgL_savedzd2bpzd2_14273 =
															VECTOR_REF(BgL_nsz00_4272, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4272,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_14280;

															BgL_fz00_14280 = BgL_runz00_19920;
														BgL_recz00_14279:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_14281;

																BgL_rz00_14281 =
																	PROCEDURE_ENTRY(BgL_fz00_14280)
																	(BgL_fz00_14280, BgL_nsz00_4272, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_34213;

																	if (PROCEDUREP(BgL_rz00_14281))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_14286;

																			BgL_arg1962z00_14286 =
																				PROCEDURE_ATTR(BgL_rz00_14281);
																			if (STRUCTP(BgL_arg1962z00_14286))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34213 =
																						(STRUCT_KEY(BgL_arg1962z00_14286) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34213 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_34213 = ((bool_t) 0);
																		}
																	if (BgL_testz00_34213)
																		{
																			obj_t BgL_fz00_34221;

																			BgL_fz00_34221 = BgL_rz00_14281;
																			BgL_fz00_14280 = BgL_fz00_34221;
																			goto BgL_recz00_14279;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4272,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_14273);
																			BgL_tmp1407z00_4276 = BgL_rz00_14281;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1405z00_4274);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_34225;

														BgL_auxz00_34225 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_34225,
															BgL_sz00_4263);
													}
													return BgL_tmp1407z00_4276;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3550> */
	obj_t BGl_z62zc3anonymousza33550ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19923)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19924;
				obj_t BgL_bpz00_19925;

				BgL_sz00_19924 = PROCEDURE_REF(BgL_envz00_19923, (int) (((long) 0)));
				BgL_bpz00_19925 = PROCEDURE_REF(BgL_envz00_19923, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19924, (int) (((long) 0)), BgL_bpz00_19925);
		}}}
	}



/* &run5946 */
	obj_t BGl_z62run5946z62zz__evaluate_compz00(obj_t BgL_envz00_19926,
		obj_t BgL_sz00_19930)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19927;
				BgL_ev_absz00_bglt BgL_i1321z00_19928;
				obj_t BgL_bodyz00_19929;

				BgL_iboxesz00_19927 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19926, (int) (((long) 0))));
				BgL_i1321z00_19928 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19926, (int) (((long) 1))));
				BgL_bodyz00_19929 = PROCEDURE_REF(BgL_envz00_19926, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4281;

					BgL_sz00_4281 = BgL_sz00_19930;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4283;

						BgL_bpz00_4283 = VECTOR_REF(BgL_sz00_4281, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4281,
							BgL_iboxesz00_19927, BgL_bpz00_4283);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4284;
							obj_t BgL_wherez00_4285;
							obj_t BgL_locz00_4286;

							BgL_z12denvz12_4284 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4285 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19928))->BgL_wherez00);
							BgL_locz00_4286 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19928))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4284, BgL_wherez00_4285,
									BgL_locz00_4286);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4287;

									BgL_za2za2resza2za2z00_4287 =
										PROCEDURE_ENTRY(BgL_bodyz00_19929) (BgL_bodyz00_19929,
										BgL_sz00_4281, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4284);
									return BgL_za2za2resza2za2z00_4287;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3552> */
	obj_t BGl_z62zc3anonymousza33552ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19931)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19932;

				BgL_sz00_19932 = PROCEDURE_REF(BgL_envz00_19931, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_34256;

						BgL_auxz00_34256 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_34256, BgL_sz00_19932);
					}
				}
			}
		}
	}



/* &<anonymous:3557> */
	obj_t BGl_z62zc3anonymousza33557ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19933, obj_t BgL_sz00_19939)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19934;
				long BgL_siza7eza7_19935;
				BgL_ev_absz00_bglt BgL_i1321z00_19936;
				obj_t BgL_bodyz00_19937;
				long BgL_siza7ezd2framez75_19938;

				BgL_ifreesz00_19934 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19933, (int) (((long) 0))));
				BgL_siza7eza7_19935 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19933, (int) (((long) 1))));
				BgL_i1321z00_19936 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19933, (int) (((long) 2))));
				BgL_bodyz00_19937 = PROCEDURE_REF(BgL_envz00_19933, (int) (((long) 3)));
				BgL_siza7ezd2framez75_19938 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19933, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4291;

					BgL_sz00_4291 = BgL_sz00_19939;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4293;

						BgL_bpz00_4293 = VECTOR_REF(BgL_sz00_4291, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4294;

							BgL_valza2za2_4294 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4291,
								BgL_bpz00_4293, BgL_ifreesz00_19934);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18901;

								BgL_runz00_18901 =
									MAKE_FX_PROCEDURE(BGl_z62run5948z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_18901,
									(int) (((long) 0)), BINT(BgL_siza7eza7_19935));
								PROCEDURE_SET(BgL_runz00_18901,
									(int) (((long) 1)), BgL_valza2za2_4294);
								PROCEDURE_SET(BgL_runz00_18901,
									(int) (((long) 2)), ((obj_t) BgL_i1321z00_19936));
								PROCEDURE_SET(BgL_runz00_18901,
									(int) (((long) 3)), BgL_bodyz00_19937);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18903;

									BgL_mainz00_18903 =
										MAKE_FX_PROCEDURE(BGl_z62main5947z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_18903,
										(int) (((long) 0)), BINT(BgL_siza7eza7_19935));
									PROCEDURE_SET(BgL_mainz00_18903,
										(int) (((long) 1)), BgL_valza2za2_4294);
									PROCEDURE_SET(BgL_mainz00_18903,
										(int) (((long) 2)), ((obj_t) BgL_i1321z00_19936));
									PROCEDURE_SET(BgL_mainz00_18903,
										(int) (((long) 3)), BgL_bodyz00_19937);
									PROCEDURE_SET(BgL_mainz00_18903,
										(int) (((long) 4)), BgL_runz00_18901);
									PROCEDURE_SET(BgL_mainz00_18903,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_19938));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_14400;

										BgL_objz00_14400 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18901, BgL_objz00_14400);
										BgL_objz00_14400;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3558z00_4297;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3559z00_4298;

											BgL_arg3559z00_4298 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19936))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_14404;

												BgL_newz00_14404 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_34311;

													BgL_auxz00_34311 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14404, BgL_auxz00_34311,
														BgL_arg3559z00_4298);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_34316;
													int BgL_auxz00_34314;

													BgL_auxz00_34316 = BINT(BgL_siza7ezd2framez75_19938);
													BgL_auxz00_34314 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14404, BgL_auxz00_34314,
														BgL_auxz00_34316);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_34319;

													BgL_auxz00_34319 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14404, BgL_auxz00_34319,
														BgL_runz00_18901);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_34324;
													int BgL_auxz00_34322;

													BgL_auxz00_34324 = BINT(((long) 1));
													BgL_auxz00_34322 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14404, BgL_auxz00_34322,
														BgL_auxz00_34324);
												}
												BgL_arg3558z00_4297 = BgL_newz00_14404;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18903, BgL_arg3558z00_4297);
										BgL_arg3558z00_4297;
									}
									return BgL_mainz00_18903;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5947 */
	obj_t BGl_z62main5947z62zz__evaluate_compz00(obj_t BgL_envz00_19940,
		obj_t BgL_dz00_19947)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19945;
				long BgL_siza7ezd2framez75_19946;

				BgL_runz00_19945 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19940, (int) (((long) 4))));
				BgL_siza7ezd2framez75_19946 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19940, (int) (((long) 5))));
				{
					obj_t BgL_dz00_4299;

					BgL_dz00_4299 = BgL_dz00_19947;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4301;

						BgL_sz00_4301 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4302;

							BgL_bpz00_4302 = VECTOR_REF(BgL_sz00_4301, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_34337;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_14342;

									BgL_arg1970z00_14342 = VECTOR_LENGTH(BgL_sz00_4301);
									BgL_testz00_34337 =
										(
										((long) CINT(BgL_bpz00_4302) +
											BgL_siza7ezd2framez75_19946) <
										(long) (BgL_arg1970z00_14342));
								}
								if (BgL_testz00_34337)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3562z00_4304;

											BgL_arg3562z00_4304 =
												((long) CINT(BgL_bpz00_4302) + ((long) 0));
											VECTOR_SET(BgL_sz00_4301,
												(int) (BgL_arg3562z00_4304), BgL_dz00_4299);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1408z00_4305;

											BgL_exitd1408z00_4305 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33563ze3z83_18902;

												BgL_zc3anonymousza33563ze3z83_18902 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33563ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33563ze3z83_18902,
													(int) (((long) 0)), BgL_sz00_4301);
												PROCEDURE_SET(BgL_zc3anonymousza33563ze3z83_18902,
													(int) (((long) 1)), BgL_bpz00_4302);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1408z00_4305,
													BgL_zc3anonymousza33563ze3z83_18902);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1410z00_4307;

													BgL_tmp1410z00_4307 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19945, BgL_sz00_4301, BgL_bpz00_4302);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1408z00_4305);
													VECTOR_SET(BgL_sz00_4301, (int) (((long) 0)),
														BgL_bpz00_4302);
													return BgL_tmp1410z00_4307;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4310;

										BgL_nsz00_4310 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4310,
											(int) (((long) 1)), BgL_sz00_4301);
										VECTOR_SET(BgL_nsz00_4310,
											(int) (((long) 2)), BgL_dz00_4299);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_34365;

											BgL_auxz00_34365 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_34365, BgL_nsz00_4310);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1411z00_4312;

											BgL_exitd1411z00_4312 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33565ze3z83_18900;

												BgL_zc3anonymousza33565ze3z83_18900 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33565ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33565ze3z83_18900,
													(int) (((long) 0)), BgL_sz00_4301);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1411z00_4312,
													BgL_zc3anonymousza33565ze3z83_18900);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1413z00_4314;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_14373;

														BgL_savedzd2bpzd2_14373 =
															VECTOR_REF(BgL_nsz00_4310, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4310,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_14380;

															BgL_fz00_14380 = BgL_runz00_19945;
														BgL_recz00_14379:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_14381;

																BgL_rz00_14381 =
																	PROCEDURE_ENTRY(BgL_fz00_14380)
																	(BgL_fz00_14380, BgL_nsz00_4310, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_34384;

																	if (PROCEDUREP(BgL_rz00_14381))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_14386;

																			BgL_arg1962z00_14386 =
																				PROCEDURE_ATTR(BgL_rz00_14381);
																			if (STRUCTP(BgL_arg1962z00_14386))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34384 =
																						(STRUCT_KEY(BgL_arg1962z00_14386) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34384 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_34384 = ((bool_t) 0);
																		}
																	if (BgL_testz00_34384)
																		{
																			obj_t BgL_fz00_34392;

																			BgL_fz00_34392 = BgL_rz00_14381;
																			BgL_fz00_14380 = BgL_fz00_34392;
																			goto BgL_recz00_14379;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4310,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_14373);
																			BgL_tmp1413z00_4314 = BgL_rz00_14381;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1411z00_4312);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_34396;

														BgL_auxz00_34396 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_34396,
															BgL_sz00_4301);
													}
													return BgL_tmp1413z00_4314;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3563> */
	obj_t BGl_z62zc3anonymousza33563ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19948)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19949;
				obj_t BgL_bpz00_19950;

				BgL_sz00_19949 = PROCEDURE_REF(BgL_envz00_19948, (int) (((long) 0)));
				BgL_bpz00_19950 = PROCEDURE_REF(BgL_envz00_19948, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19949, (int) (((long) 0)), BgL_bpz00_19950);
		}}}
	}



/* &run5948 */
	obj_t BGl_z62run5948z62zz__evaluate_compz00(obj_t BgL_envz00_19951,
		obj_t BgL_sz00_19956)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_19952;
				obj_t BgL_valza2za2_19953;
				BgL_ev_absz00_bglt BgL_i1321z00_19954;
				obj_t BgL_bodyz00_19955;

				BgL_siza7eza7_19952 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19951, (int) (((long) 0))));
				BgL_valza2za2_19953 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19951, (int) (((long) 1))));
				BgL_i1321z00_19954 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19951, (int) (((long) 2))));
				BgL_bodyz00_19955 = PROCEDURE_REF(BgL_envz00_19951, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4319;

					BgL_sz00_4319 = BgL_sz00_19956;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4321;

						BgL_bpz00_4321 = VECTOR_REF(BgL_sz00_4319, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4319,
							BgL_valza2za2_19953,
							((long) CINT(BgL_bpz00_4321) + BgL_siza7eza7_19952));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4323;
							obj_t BgL_wherez00_4324;
							obj_t BgL_locz00_4325;

							BgL_z12denvz12_4323 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4324 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19954))->BgL_wherez00);
							BgL_locz00_4325 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19954))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4323, BgL_wherez00_4324,
									BgL_locz00_4325);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4326;

									BgL_za2za2resza2za2z00_4326 =
										PROCEDURE_ENTRY(BgL_bodyz00_19955) (BgL_bodyz00_19955,
										BgL_sz00_4319, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4323);
									return BgL_za2za2resza2za2z00_4326;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3565> */
	obj_t BGl_z62zc3anonymousza33565ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19957)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19958;

				BgL_sz00_19958 = PROCEDURE_REF(BgL_envz00_19957, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_34432;

						BgL_auxz00_34432 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_34432, BgL_sz00_19958);
					}
				}
			}
		}
	}



/* &<anonymous:3569> */
	obj_t BGl_z62zc3anonymousza33569ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19959, obj_t BgL_sz00_19966)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_19960;
				obj_t BgL_iboxesz00_19961;
				long BgL_siza7eza7_19962;
				BgL_ev_absz00_bglt BgL_i1321z00_19963;
				obj_t BgL_bodyz00_19964;
				long BgL_siza7ezd2framez75_19965;

				BgL_ifreesz00_19960 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19959, (int) (((long) 0))));
				BgL_iboxesz00_19961 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19959, (int) (((long) 1))));
				BgL_siza7eza7_19962 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19959, (int) (((long) 2))));
				BgL_i1321z00_19963 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19959, (int) (((long) 3))));
				BgL_bodyz00_19964 = PROCEDURE_REF(BgL_envz00_19959, (int) (((long) 4)));
				BgL_siza7ezd2framez75_19965 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19959, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4328;

					BgL_sz00_4328 = BgL_sz00_19966;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4330;

						BgL_bpz00_4330 = VECTOR_REF(BgL_sz00_4328, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4331;

							BgL_valza2za2_4331 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4328,
								BgL_bpz00_4330, BgL_ifreesz00_19960);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18896;

								BgL_runz00_18896 =
									MAKE_FX_PROCEDURE(BGl_z62run5950z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_18896,
									(int) (((long) 0)), BgL_iboxesz00_19961);
								PROCEDURE_SET(BgL_runz00_18896,
									(int) (((long) 1)), BINT(BgL_siza7eza7_19962));
								PROCEDURE_SET(BgL_runz00_18896,
									(int) (((long) 2)), BgL_valza2za2_4331);
								PROCEDURE_SET(BgL_runz00_18896,
									(int) (((long) 3)), ((obj_t) BgL_i1321z00_19963));
								PROCEDURE_SET(BgL_runz00_18896,
									(int) (((long) 4)), BgL_bodyz00_19964);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18898;

									BgL_mainz00_18898 =
										MAKE_FX_PROCEDURE(BGl_z62main5949z62zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_18898,
										(int) (((long) 0)), BgL_iboxesz00_19961);
									PROCEDURE_SET(BgL_mainz00_18898,
										(int) (((long) 1)), BINT(BgL_siza7eza7_19962));
									PROCEDURE_SET(BgL_mainz00_18898,
										(int) (((long) 2)), BgL_valza2za2_4331);
									PROCEDURE_SET(BgL_mainz00_18898,
										(int) (((long) 3)), ((obj_t) BgL_i1321z00_19963));
									PROCEDURE_SET(BgL_mainz00_18898,
										(int) (((long) 4)), BgL_bodyz00_19964);
									PROCEDURE_SET(BgL_mainz00_18898,
										(int) (((long) 5)), BgL_runz00_18896);
									PROCEDURE_SET(BgL_mainz00_18898,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_19965));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_14496;

										BgL_objz00_14496 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18896, BgL_objz00_14496);
										BgL_objz00_14496;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3570z00_4334;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3571z00_4335;

											BgL_arg3571z00_4335 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19963))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_14500;

												BgL_newz00_14500 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_34494;

													BgL_auxz00_34494 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14500, BgL_auxz00_34494,
														BgL_arg3571z00_4335);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_34499;
													int BgL_auxz00_34497;

													BgL_auxz00_34499 = BINT(BgL_siza7ezd2framez75_19965);
													BgL_auxz00_34497 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14500, BgL_auxz00_34497,
														BgL_auxz00_34499);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_34502;

													BgL_auxz00_34502 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14500, BgL_auxz00_34502,
														BgL_runz00_18896);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_34507;
													int BgL_auxz00_34505;

													BgL_auxz00_34507 = BINT(((long) 1));
													BgL_auxz00_34505 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14500, BgL_auxz00_34505,
														BgL_auxz00_34507);
												}
												BgL_arg3570z00_4334 = BgL_newz00_14500;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18898, BgL_arg3570z00_4334);
										BgL_arg3570z00_4334;
									}
									return BgL_mainz00_18898;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5949 */
	obj_t BGl_z62main5949z62zz__evaluate_compz00(obj_t BgL_envz00_19967,
		obj_t BgL_dz00_19975)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19973;
				long BgL_siza7ezd2framez75_19974;

				BgL_runz00_19973 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19967, (int) (((long) 5))));
				BgL_siza7ezd2framez75_19974 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19967, (int) (((long) 6))));
				{
					obj_t BgL_dz00_4336;

					BgL_dz00_4336 = BgL_dz00_19975;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4338;

						BgL_sz00_4338 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4339;

							BgL_bpz00_4339 = VECTOR_REF(BgL_sz00_4338, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_34520;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_14438;

									BgL_arg1970z00_14438 = VECTOR_LENGTH(BgL_sz00_4338);
									BgL_testz00_34520 =
										(
										((long) CINT(BgL_bpz00_4339) +
											BgL_siza7ezd2framez75_19974) <
										(long) (BgL_arg1970z00_14438));
								}
								if (BgL_testz00_34520)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3574z00_4341;

											BgL_arg3574z00_4341 =
												((long) CINT(BgL_bpz00_4339) + ((long) 0));
											VECTOR_SET(BgL_sz00_4338,
												(int) (BgL_arg3574z00_4341), BgL_dz00_4336);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1414z00_4342;

											BgL_exitd1414z00_4342 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33575ze3z83_18897;

												BgL_zc3anonymousza33575ze3z83_18897 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33575ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33575ze3z83_18897,
													(int) (((long) 0)), BgL_sz00_4338);
												PROCEDURE_SET(BgL_zc3anonymousza33575ze3z83_18897,
													(int) (((long) 1)), BgL_bpz00_4339);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1414z00_4342,
													BgL_zc3anonymousza33575ze3z83_18897);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1416z00_4344;

													BgL_tmp1416z00_4344 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19973, BgL_sz00_4338, BgL_bpz00_4339);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1414z00_4342);
													VECTOR_SET(BgL_sz00_4338, (int) (((long) 0)),
														BgL_bpz00_4339);
													return BgL_tmp1416z00_4344;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4347;

										BgL_nsz00_4347 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4347,
											(int) (((long) 1)), BgL_sz00_4338);
										VECTOR_SET(BgL_nsz00_4347,
											(int) (((long) 2)), BgL_dz00_4336);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_34548;

											BgL_auxz00_34548 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_34548, BgL_nsz00_4347);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1417z00_4349;

											BgL_exitd1417z00_4349 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33577ze3z83_18895;

												BgL_zc3anonymousza33577ze3z83_18895 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33577ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33577ze3z83_18895,
													(int) (((long) 0)), BgL_sz00_4338);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1417z00_4349,
													BgL_zc3anonymousza33577ze3z83_18895);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1419z00_4351;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_14469;

														BgL_savedzd2bpzd2_14469 =
															VECTOR_REF(BgL_nsz00_4347, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4347,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_14476;

															BgL_fz00_14476 = BgL_runz00_19973;
														BgL_recz00_14475:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_14477;

																BgL_rz00_14477 =
																	PROCEDURE_ENTRY(BgL_fz00_14476)
																	(BgL_fz00_14476, BgL_nsz00_4347, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_34567;

																	if (PROCEDUREP(BgL_rz00_14477))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_14482;

																			BgL_arg1962z00_14482 =
																				PROCEDURE_ATTR(BgL_rz00_14477);
																			if (STRUCTP(BgL_arg1962z00_14482))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34567 =
																						(STRUCT_KEY(BgL_arg1962z00_14482) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34567 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_34567 = ((bool_t) 0);
																		}
																	if (BgL_testz00_34567)
																		{
																			obj_t BgL_fz00_34575;

																			BgL_fz00_34575 = BgL_rz00_14477;
																			BgL_fz00_14476 = BgL_fz00_34575;
																			goto BgL_recz00_14475;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4347,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_14469);
																			BgL_tmp1419z00_4351 = BgL_rz00_14477;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1417z00_4349);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_34579;

														BgL_auxz00_34579 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_34579,
															BgL_sz00_4338);
													}
													return BgL_tmp1419z00_4351;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3575> */
	obj_t BGl_z62zc3anonymousza33575ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19976)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19977;
				obj_t BgL_bpz00_19978;

				BgL_sz00_19977 = PROCEDURE_REF(BgL_envz00_19976, (int) (((long) 0)));
				BgL_bpz00_19978 = PROCEDURE_REF(BgL_envz00_19976, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_19977, (int) (((long) 0)), BgL_bpz00_19978);
		}}}
	}



/* &run5950 */
	obj_t BGl_z62run5950z62zz__evaluate_compz00(obj_t BgL_envz00_19979,
		obj_t BgL_sz00_19985)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_19980;
				long BgL_siza7eza7_19981;
				obj_t BgL_valza2za2_19982;
				BgL_ev_absz00_bglt BgL_i1321z00_19983;
				obj_t BgL_bodyz00_19984;

				BgL_iboxesz00_19980 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19979, (int) (((long) 0))));
				BgL_siza7eza7_19981 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19979, (int) (((long) 1))));
				BgL_valza2za2_19982 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19979, (int) (((long) 2))));
				BgL_i1321z00_19983 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19979, (int) (((long) 3))));
				BgL_bodyz00_19984 = PROCEDURE_REF(BgL_envz00_19979, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4356;

					BgL_sz00_4356 = BgL_sz00_19985;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4358;

						BgL_bpz00_4358 = VECTOR_REF(BgL_sz00_4356, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4356,
							BgL_iboxesz00_19980, BgL_bpz00_4358);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4356,
							BgL_valza2za2_19982,
							((long) CINT(BgL_bpz00_4358) + BgL_siza7eza7_19981));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4360;
							obj_t BgL_wherez00_4361;
							obj_t BgL_locz00_4362;

							BgL_z12denvz12_4360 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4361 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19983))->BgL_wherez00);
							BgL_locz00_4362 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19983))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4360, BgL_wherez00_4361,
									BgL_locz00_4362);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4363;

									BgL_za2za2resza2za2z00_4363 =
										PROCEDURE_ENTRY(BgL_bodyz00_19984) (BgL_bodyz00_19984,
										BgL_sz00_4356, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4360);
									return BgL_za2za2resza2za2z00_4363;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3577> */
	obj_t BGl_z62zc3anonymousza33577ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19986)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_19987;

				BgL_sz00_19987 = PROCEDURE_REF(BgL_envz00_19986, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_34619;

						BgL_auxz00_34619 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_34619, BgL_sz00_19987);
					}
				}
			}
		}
	}



/* &<anonymous:3481> */
	obj_t BGl_z62zc3anonymousza33481ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19988, obj_t BgL_sz00_19992)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_19989;
				obj_t BgL_bodyz00_19990;
				long BgL_siza7ezd2framez75_19991;

				BgL_i1321z00_19989 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_19988, (int) (((long) 0))));
				BgL_bodyz00_19990 = PROCEDURE_REF(BgL_envz00_19988, (int) (((long) 1)));
				BgL_siza7ezd2framez75_19991 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19988, (int) (((long) 2))));
				{
					obj_t BgL_sz00_4069;

					BgL_sz00_4069 = BgL_sz00_19992;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4071;

						BgL_bpz00_4071 = VECTOR_REF(BgL_sz00_4069, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18891;

								BgL_runz00_18891 =
									MAKE_FX_PROCEDURE(BGl_z62run5952z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_18891,
									(int) (((long) 0)), ((obj_t) BgL_i1321z00_19989));
								PROCEDURE_SET(BgL_runz00_18891,
									(int) (((long) 1)), BgL_bodyz00_19990);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18893;

									BgL_mainz00_18893 =
										MAKE_VA_PROCEDURE(BGl_z62main5951z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_18893,
										(int) (((long) 0)), ((obj_t) BgL_i1321z00_19989));
									PROCEDURE_SET(BgL_mainz00_18893,
										(int) (((long) 1)), BgL_bodyz00_19990);
									PROCEDURE_SET(BgL_mainz00_18893,
										(int) (((long) 2)), BgL_runz00_18891);
									PROCEDURE_SET(BgL_mainz00_18893,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_19991));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_13817;

										BgL_objz00_13817 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18891, BgL_objz00_13817);
										BgL_objz00_13817;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3482z00_4074;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3483z00_4075;

											BgL_arg3483z00_4075 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_19989))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_13821;

												BgL_newz00_13821 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_34657;

													BgL_auxz00_34657 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13821, BgL_auxz00_34657,
														BgL_arg3483z00_4075);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_34662;
													int BgL_auxz00_34660;

													BgL_auxz00_34662 = BINT(BgL_siza7ezd2framez75_19991);
													BgL_auxz00_34660 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13821, BgL_auxz00_34660,
														BgL_auxz00_34662);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_34665;

													BgL_auxz00_34665 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13821, BgL_auxz00_34665,
														BgL_runz00_18891);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_34670;
													int BgL_auxz00_34668;

													BgL_auxz00_34670 = BINT(((long) -1));
													BgL_auxz00_34668 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13821, BgL_auxz00_34668,
														BgL_auxz00_34670);
												}
												BgL_arg3482z00_4074 = BgL_newz00_13821;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18893, BgL_arg3482z00_4074);
										BgL_arg3482z00_4074;
									}
									return BgL_mainz00_18893;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5951 */
	obj_t BGl_z62main5951z62zz__evaluate_compz00(obj_t BgL_envz00_19993,
		obj_t BgL_lastz00_19998)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_19996;
				long BgL_siza7ezd2framez75_19997;

				BgL_runz00_19996 =
					((obj_t) PROCEDURE_REF(BgL_envz00_19993, (int) (((long) 2))));
				BgL_siza7ezd2framez75_19997 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_19993, (int) (((long) 3))));
				{
					obj_t BgL_lastz00_4076;

					BgL_lastz00_4076 = BgL_lastz00_19998;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4078;

						BgL_sz00_4078 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4079;

							BgL_bpz00_4079 = VECTOR_REF(BgL_sz00_4078, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_34683;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_13759;

									BgL_arg1970z00_13759 = VECTOR_LENGTH(BgL_sz00_4078);
									BgL_testz00_34683 =
										(
										((long) CINT(BgL_bpz00_4079) +
											BgL_siza7ezd2framez75_19997) <
										(long) (BgL_arg1970z00_13759));
								}
								if (BgL_testz00_34683)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3486z00_4081;

											BgL_arg3486z00_4081 =
												((long) CINT(BgL_bpz00_4079) + ((long) 0));
											VECTOR_SET(BgL_sz00_4078,
												(int) (BgL_arg3486z00_4081), BgL_lastz00_4076);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1372z00_4082;

											BgL_exitd1372z00_4082 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33487ze3z83_18892;

												BgL_zc3anonymousza33487ze3z83_18892 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33487ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33487ze3z83_18892,
													(int) (((long) 0)), BgL_sz00_4078);
												PROCEDURE_SET(BgL_zc3anonymousza33487ze3z83_18892,
													(int) (((long) 1)), BgL_bpz00_4079);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1372z00_4082,
													BgL_zc3anonymousza33487ze3z83_18892);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1374z00_4084;

													BgL_tmp1374z00_4084 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_19996, BgL_sz00_4078, BgL_bpz00_4079);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1372z00_4082);
													VECTOR_SET(BgL_sz00_4078, (int) (((long) 0)),
														BgL_bpz00_4079);
													return BgL_tmp1374z00_4084;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4087;

										BgL_nsz00_4087 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4087,
											(int) (((long) 1)), BgL_sz00_4078);
										VECTOR_SET(BgL_nsz00_4087,
											(int) (((long) 2)), BgL_lastz00_4076);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_34711;

											BgL_auxz00_34711 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_34711, BgL_nsz00_4087);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1375z00_4089;

											BgL_exitd1375z00_4089 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33489ze3z83_18890;

												BgL_zc3anonymousza33489ze3z83_18890 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33489ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33489ze3z83_18890,
													(int) (((long) 0)), BgL_sz00_4078);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1375z00_4089,
													BgL_zc3anonymousza33489ze3z83_18890);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1377z00_4091;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13790;

														BgL_savedzd2bpzd2_13790 =
															VECTOR_REF(BgL_nsz00_4087, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4087,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13797;

															BgL_fz00_13797 = BgL_runz00_19996;
														BgL_recz00_13796:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13798;

																BgL_rz00_13798 =
																	PROCEDURE_ENTRY(BgL_fz00_13797)
																	(BgL_fz00_13797, BgL_nsz00_4087, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_34730;

																	if (PROCEDUREP(BgL_rz00_13798))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_13803;

																			BgL_arg1962z00_13803 =
																				PROCEDURE_ATTR(BgL_rz00_13798);
																			if (STRUCTP(BgL_arg1962z00_13803))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34730 =
																						(STRUCT_KEY(BgL_arg1962z00_13803) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34730 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_34730 = ((bool_t) 0);
																		}
																	if (BgL_testz00_34730)
																		{
																			obj_t BgL_fz00_34738;

																			BgL_fz00_34738 = BgL_rz00_13798;
																			BgL_fz00_13797 = BgL_fz00_34738;
																			goto BgL_recz00_13796;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4087,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13790);
																			BgL_tmp1377z00_4091 = BgL_rz00_13798;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1375z00_4089);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_34742;

														BgL_auxz00_34742 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_34742,
															BgL_sz00_4078);
													}
													return BgL_tmp1377z00_4091;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3487> */
	obj_t BGl_z62zc3anonymousza33487ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_19999)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20000;
				obj_t BgL_bpz00_20001;

				BgL_sz00_20000 = PROCEDURE_REF(BgL_envz00_19999, (int) (((long) 0)));
				BgL_bpz00_20001 = PROCEDURE_REF(BgL_envz00_19999, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20000, (int) (((long) 0)), BgL_bpz00_20001);
		}}}
	}



/* &run5952 */
	obj_t BGl_z62run5952z62zz__evaluate_compz00(obj_t BgL_envz00_20002,
		obj_t BgL_sz00_20005)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_20003;
				obj_t BgL_bodyz00_20004;

				BgL_i1321z00_20003 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20002, (int) (((long) 0))));
				BgL_bodyz00_20004 = PROCEDURE_REF(BgL_envz00_20002, (int) (((long) 1)));
				{
					obj_t BgL_sz00_4096;

					BgL_sz00_4096 = BgL_sz00_20005;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4098;

						BgL_bpz00_4098 = VECTOR_REF(BgL_sz00_4096, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4099;
							obj_t BgL_wherez00_4100;
							obj_t BgL_locz00_4101;

							BgL_z12denvz12_4099 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4100 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20003))->BgL_wherez00);
							BgL_locz00_4101 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20003))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4099, BgL_wherez00_4100,
									BgL_locz00_4101);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4102;

									BgL_za2za2resza2za2z00_4102 =
										PROCEDURE_ENTRY(BgL_bodyz00_20004) (BgL_bodyz00_20004,
										BgL_sz00_4096, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4099);
									return BgL_za2za2resza2za2z00_4102;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3489> */
	obj_t BGl_z62zc3anonymousza33489ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20006)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20007;

				BgL_sz00_20007 = PROCEDURE_REF(BgL_envz00_20006, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_34769;

						BgL_auxz00_34769 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_34769, BgL_sz00_20007);
					}
				}
			}
		}
	}



/* &<anonymous:3492> */
	obj_t BGl_z62zc3anonymousza33492ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20008, obj_t BgL_sz00_20013)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_20009;
				BgL_ev_absz00_bglt BgL_i1321z00_20010;
				obj_t BgL_bodyz00_20011;
				long BgL_siza7ezd2framez75_20012;

				BgL_iboxesz00_20009 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20008, (int) (((long) 0))));
				BgL_i1321z00_20010 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20008, (int) (((long) 1))));
				BgL_bodyz00_20011 = PROCEDURE_REF(BgL_envz00_20008, (int) (((long) 2)));
				BgL_siza7ezd2framez75_20012 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20008, (int) (((long) 3))));
				{
					obj_t BgL_sz00_4104;

					BgL_sz00_4104 = BgL_sz00_20013;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4106;

						BgL_bpz00_4106 = VECTOR_REF(BgL_sz00_4104, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18886;

								BgL_runz00_18886 =
									MAKE_FX_PROCEDURE(BGl_z62run5954z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_18886,
									(int) (((long) 0)), BgL_iboxesz00_20009);
								PROCEDURE_SET(BgL_runz00_18886,
									(int) (((long) 1)), ((obj_t) BgL_i1321z00_20010));
								PROCEDURE_SET(BgL_runz00_18886,
									(int) (((long) 2)), BgL_bodyz00_20011);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18888;

									BgL_mainz00_18888 =
										MAKE_VA_PROCEDURE(BGl_z62main5953z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_18888,
										(int) (((long) 0)), BgL_iboxesz00_20009);
									PROCEDURE_SET(BgL_mainz00_18888,
										(int) (((long) 1)), ((obj_t) BgL_i1321z00_20010));
									PROCEDURE_SET(BgL_mainz00_18888,
										(int) (((long) 2)), BgL_bodyz00_20011);
									PROCEDURE_SET(BgL_mainz00_18888,
										(int) (((long) 3)), BgL_runz00_18886);
									PROCEDURE_SET(BgL_mainz00_18888,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_20012));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_13910;

										BgL_objz00_13910 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18886, BgL_objz00_13910);
										BgL_objz00_13910;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3493z00_4109;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3494z00_4110;

											BgL_arg3494z00_4110 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20010))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_13914;

												BgL_newz00_13914 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_34814;

													BgL_auxz00_34814 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13914, BgL_auxz00_34814,
														BgL_arg3494z00_4110);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_34819;
													int BgL_auxz00_34817;

													BgL_auxz00_34819 = BINT(BgL_siza7ezd2framez75_20012);
													BgL_auxz00_34817 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13914, BgL_auxz00_34817,
														BgL_auxz00_34819);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_34822;

													BgL_auxz00_34822 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13914, BgL_auxz00_34822,
														BgL_runz00_18886);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_34827;
													int BgL_auxz00_34825;

													BgL_auxz00_34827 = BINT(((long) -1));
													BgL_auxz00_34825 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13914, BgL_auxz00_34825,
														BgL_auxz00_34827);
												}
												BgL_arg3493z00_4109 = BgL_newz00_13914;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18888, BgL_arg3493z00_4109);
										BgL_arg3493z00_4109;
									}
									return BgL_mainz00_18888;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5953 */
	obj_t BGl_z62main5953z62zz__evaluate_compz00(obj_t BgL_envz00_20014,
		obj_t BgL_lastz00_20020)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_20018;
				long BgL_siza7ezd2framez75_20019;

				BgL_runz00_20018 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20014, (int) (((long) 3))));
				BgL_siza7ezd2framez75_20019 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20014, (int) (((long) 4))));
				{
					obj_t BgL_lastz00_4111;

					BgL_lastz00_4111 = BgL_lastz00_20020;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4113;

						BgL_sz00_4113 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4114;

							BgL_bpz00_4114 = VECTOR_REF(BgL_sz00_4113, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_34840;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_13852;

									BgL_arg1970z00_13852 = VECTOR_LENGTH(BgL_sz00_4113);
									BgL_testz00_34840 =
										(
										((long) CINT(BgL_bpz00_4114) +
											BgL_siza7ezd2framez75_20019) <
										(long) (BgL_arg1970z00_13852));
								}
								if (BgL_testz00_34840)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3497z00_4116;

											BgL_arg3497z00_4116 =
												((long) CINT(BgL_bpz00_4114) + ((long) 0));
											VECTOR_SET(BgL_sz00_4113,
												(int) (BgL_arg3497z00_4116), BgL_lastz00_4111);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1378z00_4117;

											BgL_exitd1378z00_4117 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33498ze3z83_18887;

												BgL_zc3anonymousza33498ze3z83_18887 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33498ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33498ze3z83_18887,
													(int) (((long) 0)), BgL_sz00_4113);
												PROCEDURE_SET(BgL_zc3anonymousza33498ze3z83_18887,
													(int) (((long) 1)), BgL_bpz00_4114);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1378z00_4117,
													BgL_zc3anonymousza33498ze3z83_18887);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1380z00_4119;

													BgL_tmp1380z00_4119 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_20018, BgL_sz00_4113, BgL_bpz00_4114);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1378z00_4117);
													VECTOR_SET(BgL_sz00_4113, (int) (((long) 0)),
														BgL_bpz00_4114);
													return BgL_tmp1380z00_4119;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4122;

										BgL_nsz00_4122 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4122,
											(int) (((long) 1)), BgL_sz00_4113);
										VECTOR_SET(BgL_nsz00_4122,
											(int) (((long) 2)), BgL_lastz00_4111);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_34868;

											BgL_auxz00_34868 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_34868, BgL_nsz00_4122);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1381z00_4124;

											BgL_exitd1381z00_4124 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33500ze3z83_18885;

												BgL_zc3anonymousza33500ze3z83_18885 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33500ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33500ze3z83_18885,
													(int) (((long) 0)), BgL_sz00_4113);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1381z00_4124,
													BgL_zc3anonymousza33500ze3z83_18885);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1383z00_4126;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13883;

														BgL_savedzd2bpzd2_13883 =
															VECTOR_REF(BgL_nsz00_4122, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4122,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13890;

															BgL_fz00_13890 = BgL_runz00_20018;
														BgL_recz00_13889:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13891;

																BgL_rz00_13891 =
																	PROCEDURE_ENTRY(BgL_fz00_13890)
																	(BgL_fz00_13890, BgL_nsz00_4122, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_34887;

																	if (PROCEDUREP(BgL_rz00_13891))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_13896;

																			BgL_arg1962z00_13896 =
																				PROCEDURE_ATTR(BgL_rz00_13891);
																			if (STRUCTP(BgL_arg1962z00_13896))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34887 =
																						(STRUCT_KEY(BgL_arg1962z00_13896) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_34887 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_34887 = ((bool_t) 0);
																		}
																	if (BgL_testz00_34887)
																		{
																			obj_t BgL_fz00_34895;

																			BgL_fz00_34895 = BgL_rz00_13891;
																			BgL_fz00_13890 = BgL_fz00_34895;
																			goto BgL_recz00_13889;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4122,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13883);
																			BgL_tmp1383z00_4126 = BgL_rz00_13891;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1381z00_4124);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_34899;

														BgL_auxz00_34899 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_34899,
															BgL_sz00_4113);
													}
													return BgL_tmp1383z00_4126;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3498> */
	obj_t BGl_z62zc3anonymousza33498ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20021)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20022;
				obj_t BgL_bpz00_20023;

				BgL_sz00_20022 = PROCEDURE_REF(BgL_envz00_20021, (int) (((long) 0)));
				BgL_bpz00_20023 = PROCEDURE_REF(BgL_envz00_20021, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20022, (int) (((long) 0)), BgL_bpz00_20023);
		}}}
	}



/* &run5954 */
	obj_t BGl_z62run5954z62zz__evaluate_compz00(obj_t BgL_envz00_20024,
		obj_t BgL_sz00_20028)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_20025;
				BgL_ev_absz00_bglt BgL_i1321z00_20026;
				obj_t BgL_bodyz00_20027;

				BgL_iboxesz00_20025 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20024, (int) (((long) 0))));
				BgL_i1321z00_20026 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20024, (int) (((long) 1))));
				BgL_bodyz00_20027 = PROCEDURE_REF(BgL_envz00_20024, (int) (((long) 2)));
				{
					obj_t BgL_sz00_4131;

					BgL_sz00_4131 = BgL_sz00_20028;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4133;

						BgL_bpz00_4133 = VECTOR_REF(BgL_sz00_4131, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4131,
							BgL_iboxesz00_20025, BgL_bpz00_4133);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_4134;
							obj_t BgL_wherez00_4135;
							obj_t BgL_locz00_4136;

							BgL_z12denvz12_4134 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4135 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20026))->BgL_wherez00);
							BgL_locz00_4136 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20026))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4134, BgL_wherez00_4135,
									BgL_locz00_4136);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_4137;

									BgL_za2za2resza2za2z00_4137 =
										PROCEDURE_ENTRY(BgL_bodyz00_20027) (BgL_bodyz00_20027,
										BgL_sz00_4131, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4134);
									return BgL_za2za2resza2za2z00_4137;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3500> */
	obj_t BGl_z62zc3anonymousza33500ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20029)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20030;

				BgL_sz00_20030 = PROCEDURE_REF(BgL_envz00_20029, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_34930;

						BgL_auxz00_34930 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_34930, BgL_sz00_20030);
					}
				}
			}
		}
	}



/* &<anonymous:3505> */
	obj_t BGl_z62zc3anonymousza33505ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20031, obj_t BgL_sz00_20037)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_20032;
				long BgL_siza7eza7_20033;
				BgL_ev_absz00_bglt BgL_i1321z00_20034;
				obj_t BgL_bodyz00_20035;
				long BgL_siza7ezd2framez75_20036;

				BgL_ifreesz00_20032 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20031, (int) (((long) 0))));
				BgL_siza7eza7_20033 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20031, (int) (((long) 1))));
				BgL_i1321z00_20034 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20031, (int) (((long) 2))));
				BgL_bodyz00_20035 = PROCEDURE_REF(BgL_envz00_20031, (int) (((long) 3)));
				BgL_siza7ezd2framez75_20036 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20031, (int) (((long) 4))));
				{
					obj_t BgL_sz00_4141;

					BgL_sz00_4141 = BgL_sz00_20037;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4143;

						BgL_bpz00_4143 = VECTOR_REF(BgL_sz00_4141, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4144;

							BgL_valza2za2_4144 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4141,
								BgL_bpz00_4143, BgL_ifreesz00_20032);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18881;

								BgL_runz00_18881 =
									MAKE_FX_PROCEDURE(BGl_z62run5956z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_18881,
									(int) (((long) 0)), BINT(BgL_siza7eza7_20033));
								PROCEDURE_SET(BgL_runz00_18881,
									(int) (((long) 1)), BgL_valza2za2_4144);
								PROCEDURE_SET(BgL_runz00_18881,
									(int) (((long) 2)), ((obj_t) BgL_i1321z00_20034));
								PROCEDURE_SET(BgL_runz00_18881,
									(int) (((long) 3)), BgL_bodyz00_20035);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18883;

									BgL_mainz00_18883 =
										MAKE_VA_PROCEDURE(BGl_z62main5955z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_18883,
										(int) (((long) 0)), BINT(BgL_siza7eza7_20033));
									PROCEDURE_SET(BgL_mainz00_18883,
										(int) (((long) 1)), BgL_valza2za2_4144);
									PROCEDURE_SET(BgL_mainz00_18883,
										(int) (((long) 2)), ((obj_t) BgL_i1321z00_20034));
									PROCEDURE_SET(BgL_mainz00_18883,
										(int) (((long) 3)), BgL_bodyz00_20035);
									PROCEDURE_SET(BgL_mainz00_18883,
										(int) (((long) 4)), BgL_runz00_18881);
									PROCEDURE_SET(BgL_mainz00_18883,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_20036));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_14010;

										BgL_objz00_14010 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18881, BgL_objz00_14010);
										BgL_objz00_14010;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3506z00_4147;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3507z00_4148;

											BgL_arg3507z00_4148 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20034))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_14014;

												BgL_newz00_14014 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_34985;

													BgL_auxz00_34985 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14014, BgL_auxz00_34985,
														BgL_arg3507z00_4148);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_34990;
													int BgL_auxz00_34988;

													BgL_auxz00_34990 = BINT(BgL_siza7ezd2framez75_20036);
													BgL_auxz00_34988 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14014, BgL_auxz00_34988,
														BgL_auxz00_34990);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_34993;

													BgL_auxz00_34993 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14014, BgL_auxz00_34993,
														BgL_runz00_18881);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_34998;
													int BgL_auxz00_34996;

													BgL_auxz00_34998 = BINT(((long) -1));
													BgL_auxz00_34996 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14014, BgL_auxz00_34996,
														BgL_auxz00_34998);
												}
												BgL_arg3506z00_4147 = BgL_newz00_14014;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18883, BgL_arg3506z00_4147);
										BgL_arg3506z00_4147;
									}
									return BgL_mainz00_18883;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5955 */
	obj_t BGl_z62main5955z62zz__evaluate_compz00(obj_t BgL_envz00_20038,
		obj_t BgL_lastz00_20045)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_20043;
				long BgL_siza7ezd2framez75_20044;

				BgL_runz00_20043 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20038, (int) (((long) 4))));
				BgL_siza7ezd2framez75_20044 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20038, (int) (((long) 5))));
				{
					obj_t BgL_lastz00_4149;

					BgL_lastz00_4149 = BgL_lastz00_20045;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4151;

						BgL_sz00_4151 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4152;

							BgL_bpz00_4152 = VECTOR_REF(BgL_sz00_4151, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_35011;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_13952;

									BgL_arg1970z00_13952 = VECTOR_LENGTH(BgL_sz00_4151);
									BgL_testz00_35011 =
										(
										((long) CINT(BgL_bpz00_4152) +
											BgL_siza7ezd2framez75_20044) <
										(long) (BgL_arg1970z00_13952));
								}
								if (BgL_testz00_35011)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3510z00_4154;

											BgL_arg3510z00_4154 =
												((long) CINT(BgL_bpz00_4152) + ((long) 0));
											VECTOR_SET(BgL_sz00_4151,
												(int) (BgL_arg3510z00_4154), BgL_lastz00_4149);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1384z00_4155;

											BgL_exitd1384z00_4155 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33511ze3z83_18882;

												BgL_zc3anonymousza33511ze3z83_18882 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33511ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33511ze3z83_18882,
													(int) (((long) 0)), BgL_sz00_4151);
												PROCEDURE_SET(BgL_zc3anonymousza33511ze3z83_18882,
													(int) (((long) 1)), BgL_bpz00_4152);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1384z00_4155,
													BgL_zc3anonymousza33511ze3z83_18882);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1386z00_4157;

													BgL_tmp1386z00_4157 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_20043, BgL_sz00_4151, BgL_bpz00_4152);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1384z00_4155);
													VECTOR_SET(BgL_sz00_4151, (int) (((long) 0)),
														BgL_bpz00_4152);
													return BgL_tmp1386z00_4157;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4160;

										BgL_nsz00_4160 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4160,
											(int) (((long) 1)), BgL_sz00_4151);
										VECTOR_SET(BgL_nsz00_4160,
											(int) (((long) 2)), BgL_lastz00_4149);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_35039;

											BgL_auxz00_35039 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_35039, BgL_nsz00_4160);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1387z00_4162;

											BgL_exitd1387z00_4162 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33513ze3z83_18880;

												BgL_zc3anonymousza33513ze3z83_18880 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33513ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33513ze3z83_18880,
													(int) (((long) 0)), BgL_sz00_4151);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1387z00_4162,
													BgL_zc3anonymousza33513ze3z83_18880);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1389z00_4164;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13983;

														BgL_savedzd2bpzd2_13983 =
															VECTOR_REF(BgL_nsz00_4160, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4160,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13990;

															BgL_fz00_13990 = BgL_runz00_20043;
														BgL_recz00_13989:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13991;

																BgL_rz00_13991 =
																	PROCEDURE_ENTRY(BgL_fz00_13990)
																	(BgL_fz00_13990, BgL_nsz00_4160, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_35058;

																	if (PROCEDUREP(BgL_rz00_13991))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_13996;

																			BgL_arg1962z00_13996 =
																				PROCEDURE_ATTR(BgL_rz00_13991);
																			if (STRUCTP(BgL_arg1962z00_13996))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35058 =
																						(STRUCT_KEY(BgL_arg1962z00_13996) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35058 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_35058 = ((bool_t) 0);
																		}
																	if (BgL_testz00_35058)
																		{
																			obj_t BgL_fz00_35066;

																			BgL_fz00_35066 = BgL_rz00_13991;
																			BgL_fz00_13990 = BgL_fz00_35066;
																			goto BgL_recz00_13989;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4160,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13983);
																			BgL_tmp1389z00_4164 = BgL_rz00_13991;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1387z00_4162);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_35070;

														BgL_auxz00_35070 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_35070,
															BgL_sz00_4151);
													}
													return BgL_tmp1389z00_4164;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3511> */
	obj_t BGl_z62zc3anonymousza33511ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20046)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20047;
				obj_t BgL_bpz00_20048;

				BgL_sz00_20047 = PROCEDURE_REF(BgL_envz00_20046, (int) (((long) 0)));
				BgL_bpz00_20048 = PROCEDURE_REF(BgL_envz00_20046, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20047, (int) (((long) 0)), BgL_bpz00_20048);
		}}}
	}



/* &run5956 */
	obj_t BGl_z62run5956z62zz__evaluate_compz00(obj_t BgL_envz00_20049,
		obj_t BgL_sz00_20054)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_20050;
				obj_t BgL_valza2za2_20051;
				BgL_ev_absz00_bglt BgL_i1321z00_20052;
				obj_t BgL_bodyz00_20053;

				BgL_siza7eza7_20050 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20049, (int) (((long) 0))));
				BgL_valza2za2_20051 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20049, (int) (((long) 1))));
				BgL_i1321z00_20052 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20049, (int) (((long) 2))));
				BgL_bodyz00_20053 = PROCEDURE_REF(BgL_envz00_20049, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4169;

					BgL_sz00_4169 = BgL_sz00_20054;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4171;

						BgL_bpz00_4171 = VECTOR_REF(BgL_sz00_4169, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4169,
							BgL_valza2za2_20051,
							((long) CINT(BgL_bpz00_4171) + BgL_siza7eza7_20050));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4173;
							obj_t BgL_wherez00_4174;
							obj_t BgL_locz00_4175;

							BgL_z12denvz12_4173 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4174 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20052))->BgL_wherez00);
							BgL_locz00_4175 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20052))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4173, BgL_wherez00_4174,
									BgL_locz00_4175);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4176;

									BgL_za2za2resza2za2z00_4176 =
										PROCEDURE_ENTRY(BgL_bodyz00_20053) (BgL_bodyz00_20053,
										BgL_sz00_4169, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4173);
									return BgL_za2za2resza2za2z00_4176;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3513> */
	obj_t BGl_z62zc3anonymousza33513ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20055)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20056;

				BgL_sz00_20056 = PROCEDURE_REF(BgL_envz00_20055, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_35106;

						BgL_auxz00_35106 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_35106, BgL_sz00_20056);
					}
				}
			}
		}
	}



/* &<anonymous:3517> */
	obj_t BGl_z62zc3anonymousza33517ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20057, obj_t BgL_sz00_20064)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_20058;
				obj_t BgL_iboxesz00_20059;
				long BgL_siza7eza7_20060;
				BgL_ev_absz00_bglt BgL_i1321z00_20061;
				obj_t BgL_bodyz00_20062;
				long BgL_siza7ezd2framez75_20063;

				BgL_ifreesz00_20058 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20057, (int) (((long) 0))));
				BgL_iboxesz00_20059 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20057, (int) (((long) 1))));
				BgL_siza7eza7_20060 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20057, (int) (((long) 2))));
				BgL_i1321z00_20061 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20057, (int) (((long) 3))));
				BgL_bodyz00_20062 = PROCEDURE_REF(BgL_envz00_20057, (int) (((long) 4)));
				BgL_siza7ezd2framez75_20063 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20057, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4178;

					BgL_sz00_4178 = BgL_sz00_20064;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4180;

						BgL_bpz00_4180 = VECTOR_REF(BgL_sz00_4178, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4181;

							BgL_valza2za2_4181 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4178,
								BgL_bpz00_4180, BgL_ifreesz00_20058);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18876;

								BgL_runz00_18876 =
									MAKE_FX_PROCEDURE(BGl_z62run5958z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_18876,
									(int) (((long) 0)), BgL_iboxesz00_20059);
								PROCEDURE_SET(BgL_runz00_18876,
									(int) (((long) 1)), BINT(BgL_siza7eza7_20060));
								PROCEDURE_SET(BgL_runz00_18876,
									(int) (((long) 2)), BgL_valza2za2_4181);
								PROCEDURE_SET(BgL_runz00_18876,
									(int) (((long) 3)), ((obj_t) BgL_i1321z00_20061));
								PROCEDURE_SET(BgL_runz00_18876,
									(int) (((long) 4)), BgL_bodyz00_20062);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18878;

									BgL_mainz00_18878 =
										MAKE_VA_PROCEDURE(BGl_z62main5957z62zz__evaluate_compz00,
										(int) (((long) -1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_18878,
										(int) (((long) 0)), BgL_iboxesz00_20059);
									PROCEDURE_SET(BgL_mainz00_18878,
										(int) (((long) 1)), BINT(BgL_siza7eza7_20060));
									PROCEDURE_SET(BgL_mainz00_18878,
										(int) (((long) 2)), BgL_valza2za2_4181);
									PROCEDURE_SET(BgL_mainz00_18878,
										(int) (((long) 3)), ((obj_t) BgL_i1321z00_20061));
									PROCEDURE_SET(BgL_mainz00_18878,
										(int) (((long) 4)), BgL_bodyz00_20062);
									PROCEDURE_SET(BgL_mainz00_18878,
										(int) (((long) 5)), BgL_runz00_18876);
									PROCEDURE_SET(BgL_mainz00_18878,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_20063));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_14106;

										BgL_objz00_14106 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18876, BgL_objz00_14106);
										BgL_objz00_14106;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3518z00_4184;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3519z00_4185;

											BgL_arg3519z00_4185 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20061))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_14110;

												BgL_newz00_14110 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_35168;

													BgL_auxz00_35168 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_14110, BgL_auxz00_35168,
														BgL_arg3519z00_4185);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_35173;
													int BgL_auxz00_35171;

													BgL_auxz00_35173 = BINT(BgL_siza7ezd2framez75_20063);
													BgL_auxz00_35171 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_14110, BgL_auxz00_35171,
														BgL_auxz00_35173);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_35176;

													BgL_auxz00_35176 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_14110, BgL_auxz00_35176,
														BgL_runz00_18876);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_35181;
													int BgL_auxz00_35179;

													BgL_auxz00_35181 = BINT(((long) -1));
													BgL_auxz00_35179 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_14110, BgL_auxz00_35179,
														BgL_auxz00_35181);
												}
												BgL_arg3518z00_4184 = BgL_newz00_14110;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18878, BgL_arg3518z00_4184);
										BgL_arg3518z00_4184;
									}
									return BgL_mainz00_18878;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5957 */
	obj_t BGl_z62main5957z62zz__evaluate_compz00(obj_t BgL_envz00_20065,
		obj_t BgL_lastz00_20073)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_20071;
				long BgL_siza7ezd2framez75_20072;

				BgL_runz00_20071 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20065, (int) (((long) 5))));
				BgL_siza7ezd2framez75_20072 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20065, (int) (((long) 6))));
				{
					obj_t BgL_lastz00_4186;

					BgL_lastz00_4186 = BgL_lastz00_20073;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4188;

						BgL_sz00_4188 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4189;

							BgL_bpz00_4189 = VECTOR_REF(BgL_sz00_4188, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_35194;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_14048;

									BgL_arg1970z00_14048 = VECTOR_LENGTH(BgL_sz00_4188);
									BgL_testz00_35194 =
										(
										((long) CINT(BgL_bpz00_4189) +
											BgL_siza7ezd2framez75_20072) <
										(long) (BgL_arg1970z00_14048));
								}
								if (BgL_testz00_35194)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg3522z00_4191;

											BgL_arg3522z00_4191 =
												((long) CINT(BgL_bpz00_4189) + ((long) 0));
											VECTOR_SET(BgL_sz00_4188,
												(int) (BgL_arg3522z00_4191), BgL_lastz00_4186);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1390z00_4192;

											BgL_exitd1390z00_4192 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33523ze3z83_18877;

												BgL_zc3anonymousza33523ze3z83_18877 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33523ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza33523ze3z83_18877,
													(int) (((long) 0)), BgL_sz00_4188);
												PROCEDURE_SET(BgL_zc3anonymousza33523ze3z83_18877,
													(int) (((long) 1)), BgL_bpz00_4189);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1390z00_4192,
													BgL_zc3anonymousza33523ze3z83_18877);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1392z00_4194;

													BgL_tmp1392z00_4194 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_20071, BgL_sz00_4188, BgL_bpz00_4189);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1390z00_4192);
													VECTOR_SET(BgL_sz00_4188, (int) (((long) 0)),
														BgL_bpz00_4189);
													return BgL_tmp1392z00_4194;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4197;

										BgL_nsz00_4197 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4197,
											(int) (((long) 1)), BgL_sz00_4188);
										VECTOR_SET(BgL_nsz00_4197,
											(int) (((long) 2)), BgL_lastz00_4186);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_35222;

											BgL_auxz00_35222 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_35222, BgL_nsz00_4197);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1393z00_4199;

											BgL_exitd1393z00_4199 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33525ze3z83_18875;

												BgL_zc3anonymousza33525ze3z83_18875 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33525ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33525ze3z83_18875,
													(int) (((long) 0)), BgL_sz00_4188);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1393z00_4199,
													BgL_zc3anonymousza33525ze3z83_18875);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1395z00_4201;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_14079;

														BgL_savedzd2bpzd2_14079 =
															VECTOR_REF(BgL_nsz00_4197, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4197,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_14086;

															BgL_fz00_14086 = BgL_runz00_20071;
														BgL_recz00_14085:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_14087;

																BgL_rz00_14087 =
																	PROCEDURE_ENTRY(BgL_fz00_14086)
																	(BgL_fz00_14086, BgL_nsz00_4197, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_35241;

																	if (PROCEDUREP(BgL_rz00_14087))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_14092;

																			BgL_arg1962z00_14092 =
																				PROCEDURE_ATTR(BgL_rz00_14087);
																			if (STRUCTP(BgL_arg1962z00_14092))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35241 =
																						(STRUCT_KEY(BgL_arg1962z00_14092) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35241 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_35241 = ((bool_t) 0);
																		}
																	if (BgL_testz00_35241)
																		{
																			obj_t BgL_fz00_35249;

																			BgL_fz00_35249 = BgL_rz00_14087;
																			BgL_fz00_14086 = BgL_fz00_35249;
																			goto BgL_recz00_14085;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4197,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_14079);
																			BgL_tmp1395z00_4201 = BgL_rz00_14087;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1393z00_4199);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_35253;

														BgL_auxz00_35253 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_35253,
															BgL_sz00_4188);
													}
													return BgL_tmp1395z00_4201;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3523> */
	obj_t BGl_z62zc3anonymousza33523ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20074)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20075;
				obj_t BgL_bpz00_20076;

				BgL_sz00_20075 = PROCEDURE_REF(BgL_envz00_20074, (int) (((long) 0)));
				BgL_bpz00_20076 = PROCEDURE_REF(BgL_envz00_20074, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20075, (int) (((long) 0)), BgL_bpz00_20076);
		}}}
	}



/* &run5958 */
	obj_t BGl_z62run5958z62zz__evaluate_compz00(obj_t BgL_envz00_20077,
		obj_t BgL_sz00_20083)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_20078;
				long BgL_siza7eza7_20079;
				obj_t BgL_valza2za2_20080;
				BgL_ev_absz00_bglt BgL_i1321z00_20081;
				obj_t BgL_bodyz00_20082;

				BgL_iboxesz00_20078 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20077, (int) (((long) 0))));
				BgL_siza7eza7_20079 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20077, (int) (((long) 1))));
				BgL_valza2za2_20080 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20077, (int) (((long) 2))));
				BgL_i1321z00_20081 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20077, (int) (((long) 3))));
				BgL_bodyz00_20082 = PROCEDURE_REF(BgL_envz00_20077, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4206;

					BgL_sz00_4206 = BgL_sz00_20083;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4208;

						BgL_bpz00_4208 = VECTOR_REF(BgL_sz00_4206, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4206,
							BgL_iboxesz00_20078, BgL_bpz00_4208);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4206,
							BgL_valza2za2_20080,
							((long) CINT(BgL_bpz00_4208) + BgL_siza7eza7_20079));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4210;
							obj_t BgL_wherez00_4211;
							obj_t BgL_locz00_4212;

							BgL_z12denvz12_4210 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4211 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20081))->BgL_wherez00);
							BgL_locz00_4212 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20081))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4210, BgL_wherez00_4211,
									BgL_locz00_4212);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4213;

									BgL_za2za2resza2za2z00_4213 =
										PROCEDURE_ENTRY(BgL_bodyz00_20082) (BgL_bodyz00_20082,
										BgL_sz00_4206, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4210);
									return BgL_za2za2resza2za2z00_4213;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3525> */
	obj_t BGl_z62zc3anonymousza33525ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20084)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20085;

				BgL_sz00_20085 = PROCEDURE_REF(BgL_envz00_20084, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_35293;

						BgL_auxz00_35293 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_35293, BgL_sz00_20085);
					}
				}
			}
		}
	}



/* &<anonymous:3432> */
	obj_t BGl_z62zc3anonymousza33432ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20086, obj_t BgL_sz00_20090)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_20087;
				obj_t BgL_bodyz00_20088;
				long BgL_siza7ezd2framez75_20089;

				BgL_i1321z00_20087 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20086, (int) (((long) 0))));
				BgL_bodyz00_20088 = PROCEDURE_REF(BgL_envz00_20086, (int) (((long) 1)));
				BgL_siza7ezd2framez75_20089 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20086, (int) (((long) 2))));
				{
					obj_t BgL_sz00_3927;

					BgL_sz00_3927 = BgL_sz00_20090;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_3929;

						BgL_bpz00_3929 = VECTOR_REF(BgL_sz00_3927, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18871;

								BgL_runz00_18871 =
									MAKE_FX_PROCEDURE(BGl_z62run5960z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_18871,
									(int) (((long) 0)), ((obj_t) BgL_i1321z00_20087));
								PROCEDURE_SET(BgL_runz00_18871,
									(int) (((long) 1)), BgL_bodyz00_20088);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18873;

									BgL_mainz00_18873 =
										MAKE_FX_PROCEDURE(BGl_z62main5959z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_18873,
										(int) (((long) 0)), ((obj_t) BgL_i1321z00_20087));
									PROCEDURE_SET(BgL_mainz00_18873,
										(int) (((long) 1)), BgL_bodyz00_20088);
									PROCEDURE_SET(BgL_mainz00_18873,
										(int) (((long) 2)), BgL_runz00_18871);
									PROCEDURE_SET(BgL_mainz00_18873,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_20089));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_13454;

										BgL_objz00_13454 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18871, BgL_objz00_13454);
										BgL_objz00_13454;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3433z00_3932;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3434z00_3933;

											BgL_arg3434z00_3933 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20087))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_13458;

												BgL_newz00_13458 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_35331;

													BgL_auxz00_35331 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13458, BgL_auxz00_35331,
														BgL_arg3434z00_3933);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_35336;
													int BgL_auxz00_35334;

													BgL_auxz00_35336 = BINT(BgL_siza7ezd2framez75_20089);
													BgL_auxz00_35334 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13458, BgL_auxz00_35334,
														BgL_auxz00_35336);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_35339;

													BgL_auxz00_35339 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13458, BgL_auxz00_35339,
														BgL_runz00_18871);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_35344;
													int BgL_auxz00_35342;

													BgL_auxz00_35344 = BINT(((long) 0));
													BgL_auxz00_35342 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13458, BgL_auxz00_35342,
														BgL_auxz00_35344);
												}
												BgL_arg3433z00_3932 = BgL_newz00_13458;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18873, BgL_arg3433z00_3932);
										BgL_arg3433z00_3932;
									}
									return BgL_mainz00_18873;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5959 */
	obj_t BGl_z62main5959z62zz__evaluate_compz00(obj_t BgL_envz00_20091)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_20094;
				long BgL_siza7ezd2framez75_20095;

				BgL_runz00_20094 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20091, (int) (((long) 2))));
				BgL_siza7ezd2framez75_20095 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20091, (int) (((long) 3))));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_3935;

						BgL_sz00_3935 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_3936;

							BgL_bpz00_3936 = VECTOR_REF(BgL_sz00_3935, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_35357;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_13405;

									BgL_arg1970z00_13405 = VECTOR_LENGTH(BgL_sz00_3935);
									BgL_testz00_35357 =
										(
										((long) CINT(BgL_bpz00_3936) +
											BgL_siza7ezd2framez75_20095) <
										(long) (BgL_arg1970z00_13405));
								}
								if (BgL_testz00_35357)
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_exitd1348z00_3938;

										BgL_exitd1348z00_3938 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_zc3anonymousza33437ze3z83_18872;

											BgL_zc3anonymousza33437ze3z83_18872 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza33437ze3ze1zz__evaluate_compz00,
												(int) (((long) 0)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza33437ze3z83_18872,
												(int) (((long) 0)), BgL_sz00_3935);
											PROCEDURE_SET(BgL_zc3anonymousza33437ze3z83_18872,
												(int) (((long) 1)), BgL_bpz00_3936);
											BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
												(BgL_exitd1348z00_3938,
												BgL_zc3anonymousza33437ze3z83_18872);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_tmp1350z00_3940;

												BgL_tmp1350z00_3940 =
													BGl_catchzd2trampolinezd2zz__evaluate_compz00
													(BgL_runz00_20094, BgL_sz00_3935, BgL_bpz00_3936);
												BGl_exitdzd2popzd2protectz12z12zz__bexitz00
													(BgL_exitd1348z00_3938);
												VECTOR_SET(BgL_sz00_3935, (int) (((long) 0)),
													BgL_bpz00_3936);
												return BgL_tmp1350z00_3940;
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_3943;

										BgL_nsz00_3943 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3943,
											(int) (((long) 1)), BgL_sz00_3935);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_35379;

											BgL_auxz00_35379 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_35379, BgL_nsz00_3943);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1351z00_3945;

											BgL_exitd1351z00_3945 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33439ze3z83_18870;

												BgL_zc3anonymousza33439ze3z83_18870 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33439ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33439ze3z83_18870,
													(int) (((long) 0)), BgL_sz00_3935);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1351z00_3945,
													BgL_zc3anonymousza33439ze3z83_18870);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1353z00_3947;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13427;

														BgL_savedzd2bpzd2_13427 =
															VECTOR_REF(BgL_nsz00_3943, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_3943,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13434;

															BgL_fz00_13434 = BgL_runz00_20094;
														BgL_recz00_13433:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13435;

																BgL_rz00_13435 =
																	PROCEDURE_ENTRY(BgL_fz00_13434)
																	(BgL_fz00_13434, BgL_nsz00_3943, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_35398;

																	if (PROCEDUREP(BgL_rz00_13435))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_13440;

																			BgL_arg1962z00_13440 =
																				PROCEDURE_ATTR(BgL_rz00_13435);
																			if (STRUCTP(BgL_arg1962z00_13440))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35398 =
																						(STRUCT_KEY(BgL_arg1962z00_13440) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35398 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_35398 = ((bool_t) 0);
																		}
																	if (BgL_testz00_35398)
																		{
																			obj_t BgL_fz00_35406;

																			BgL_fz00_35406 = BgL_rz00_13435;
																			BgL_fz00_13434 = BgL_fz00_35406;
																			goto BgL_recz00_13433;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_3943,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13427);
																			BgL_tmp1353z00_3947 = BgL_rz00_13435;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1351z00_3945);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_35410;

														BgL_auxz00_35410 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_35410,
															BgL_sz00_3935);
													}
													return BgL_tmp1353z00_3947;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3437> */
	obj_t BGl_z62zc3anonymousza33437ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20096)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20097;
				obj_t BgL_bpz00_20098;

				BgL_sz00_20097 = PROCEDURE_REF(BgL_envz00_20096, (int) (((long) 0)));
				BgL_bpz00_20098 = PROCEDURE_REF(BgL_envz00_20096, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20097, (int) (((long) 0)), BgL_bpz00_20098);
		}}}
	}



/* &run5960 */
	obj_t BGl_z62run5960z62zz__evaluate_compz00(obj_t BgL_envz00_20099,
		obj_t BgL_sz00_20102)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_20100;
				obj_t BgL_bodyz00_20101;

				BgL_i1321z00_20100 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20099, (int) (((long) 0))));
				BgL_bodyz00_20101 = PROCEDURE_REF(BgL_envz00_20099, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3952;

					BgL_sz00_3952 = BgL_sz00_20102;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_3954;

						BgL_bpz00_3954 = VECTOR_REF(BgL_sz00_3952, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_3955;
							obj_t BgL_wherez00_3956;
							obj_t BgL_locz00_3957;

							BgL_z12denvz12_3955 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3956 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20100))->BgL_wherez00);
							BgL_locz00_3957 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20100))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3955, BgL_wherez00_3956,
									BgL_locz00_3957);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_3958;

									BgL_za2za2resza2za2z00_3958 =
										PROCEDURE_ENTRY(BgL_bodyz00_20101) (BgL_bodyz00_20101,
										BgL_sz00_3952, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3955);
									return BgL_za2za2resza2za2z00_3958;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3439> */
	obj_t BGl_z62zc3anonymousza33439ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20103)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20104;

				BgL_sz00_20104 = PROCEDURE_REF(BgL_envz00_20103, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_35437;

						BgL_auxz00_35437 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_35437, BgL_sz00_20104);
					}
				}
			}
		}
	}



/* &<anonymous:3443> */
	obj_t BGl_z62zc3anonymousza33443ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20105, obj_t BgL_sz00_20110)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_20106;
				BgL_ev_absz00_bglt BgL_i1321z00_20107;
				obj_t BgL_bodyz00_20108;
				long BgL_siza7ezd2framez75_20109;

				BgL_iboxesz00_20106 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20105, (int) (((long) 0))));
				BgL_i1321z00_20107 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20105, (int) (((long) 1))));
				BgL_bodyz00_20108 = PROCEDURE_REF(BgL_envz00_20105, (int) (((long) 2)));
				BgL_siza7ezd2framez75_20109 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20105, (int) (((long) 3))));
				{
					obj_t BgL_sz00_3960;

					BgL_sz00_3960 = BgL_sz00_20110;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_3962;

						BgL_bpz00_3962 = VECTOR_REF(BgL_sz00_3960, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18866;

								BgL_runz00_18866 =
									MAKE_FX_PROCEDURE(BGl_z62run5962z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_18866,
									(int) (((long) 0)), BgL_iboxesz00_20106);
								PROCEDURE_SET(BgL_runz00_18866,
									(int) (((long) 1)), ((obj_t) BgL_i1321z00_20107));
								PROCEDURE_SET(BgL_runz00_18866,
									(int) (((long) 2)), BgL_bodyz00_20108);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18868;

									BgL_mainz00_18868 =
										MAKE_FX_PROCEDURE(BGl_z62main5961z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_18868,
										(int) (((long) 0)), BgL_iboxesz00_20106);
									PROCEDURE_SET(BgL_mainz00_18868,
										(int) (((long) 1)), ((obj_t) BgL_i1321z00_20107));
									PROCEDURE_SET(BgL_mainz00_18868,
										(int) (((long) 2)), BgL_bodyz00_20108);
									PROCEDURE_SET(BgL_mainz00_18868,
										(int) (((long) 3)), BgL_runz00_18866);
									PROCEDURE_SET(BgL_mainz00_18868,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_20109));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_13538;

										BgL_objz00_13538 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18866, BgL_objz00_13538);
										BgL_objz00_13538;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3444z00_3965;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3445z00_3966;

											BgL_arg3445z00_3966 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20107))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_13542;

												BgL_newz00_13542 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_35482;

													BgL_auxz00_35482 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13542, BgL_auxz00_35482,
														BgL_arg3445z00_3966);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_35487;
													int BgL_auxz00_35485;

													BgL_auxz00_35487 = BINT(BgL_siza7ezd2framez75_20109);
													BgL_auxz00_35485 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13542, BgL_auxz00_35485,
														BgL_auxz00_35487);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_35490;

													BgL_auxz00_35490 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13542, BgL_auxz00_35490,
														BgL_runz00_18866);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_35495;
													int BgL_auxz00_35493;

													BgL_auxz00_35495 = BINT(((long) 0));
													BgL_auxz00_35493 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13542, BgL_auxz00_35493,
														BgL_auxz00_35495);
												}
												BgL_arg3444z00_3965 = BgL_newz00_13542;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18868, BgL_arg3444z00_3965);
										BgL_arg3444z00_3965;
									}
									return BgL_mainz00_18868;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5961 */
	obj_t BGl_z62main5961z62zz__evaluate_compz00(obj_t BgL_envz00_20111)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_20115;
				long BgL_siza7ezd2framez75_20116;

				BgL_runz00_20115 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20111, (int) (((long) 3))));
				BgL_siza7ezd2framez75_20116 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20111, (int) (((long) 4))));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_3968;

						BgL_sz00_3968 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_3969;

							BgL_bpz00_3969 = VECTOR_REF(BgL_sz00_3968, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_35508;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_13489;

									BgL_arg1970z00_13489 = VECTOR_LENGTH(BgL_sz00_3968);
									BgL_testz00_35508 =
										(
										((long) CINT(BgL_bpz00_3969) +
											BgL_siza7ezd2framez75_20116) <
										(long) (BgL_arg1970z00_13489));
								}
								if (BgL_testz00_35508)
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_exitd1354z00_3971;

										BgL_exitd1354z00_3971 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_zc3anonymousza33448ze3z83_18867;

											BgL_zc3anonymousza33448ze3z83_18867 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza33448ze3ze1zz__evaluate_compz00,
												(int) (((long) 0)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza33448ze3z83_18867,
												(int) (((long) 0)), BgL_sz00_3968);
											PROCEDURE_SET(BgL_zc3anonymousza33448ze3z83_18867,
												(int) (((long) 1)), BgL_bpz00_3969);
											BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
												(BgL_exitd1354z00_3971,
												BgL_zc3anonymousza33448ze3z83_18867);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_tmp1356z00_3973;

												BgL_tmp1356z00_3973 =
													BGl_catchzd2trampolinezd2zz__evaluate_compz00
													(BgL_runz00_20115, BgL_sz00_3968, BgL_bpz00_3969);
												BGl_exitdzd2popzd2protectz12z12zz__bexitz00
													(BgL_exitd1354z00_3971);
												VECTOR_SET(BgL_sz00_3968, (int) (((long) 0)),
													BgL_bpz00_3969);
												return BgL_tmp1356z00_3973;
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_3976;

										BgL_nsz00_3976 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_3976,
											(int) (((long) 1)), BgL_sz00_3968);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_35530;

											BgL_auxz00_35530 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_35530, BgL_nsz00_3976);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1357z00_3978;

											BgL_exitd1357z00_3978 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33450ze3z83_18865;

												BgL_zc3anonymousza33450ze3z83_18865 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33450ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33450ze3z83_18865,
													(int) (((long) 0)), BgL_sz00_3968);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1357z00_3978,
													BgL_zc3anonymousza33450ze3z83_18865);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1359z00_3980;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13511;

														BgL_savedzd2bpzd2_13511 =
															VECTOR_REF(BgL_nsz00_3976, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_3976,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13518;

															BgL_fz00_13518 = BgL_runz00_20115;
														BgL_recz00_13517:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13519;

																BgL_rz00_13519 =
																	PROCEDURE_ENTRY(BgL_fz00_13518)
																	(BgL_fz00_13518, BgL_nsz00_3976, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_35549;

																	if (PROCEDUREP(BgL_rz00_13519))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_13524;

																			BgL_arg1962z00_13524 =
																				PROCEDURE_ATTR(BgL_rz00_13519);
																			if (STRUCTP(BgL_arg1962z00_13524))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35549 =
																						(STRUCT_KEY(BgL_arg1962z00_13524) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35549 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_35549 = ((bool_t) 0);
																		}
																	if (BgL_testz00_35549)
																		{
																			obj_t BgL_fz00_35557;

																			BgL_fz00_35557 = BgL_rz00_13519;
																			BgL_fz00_13518 = BgL_fz00_35557;
																			goto BgL_recz00_13517;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_3976,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13511);
																			BgL_tmp1359z00_3980 = BgL_rz00_13519;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1357z00_3978);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_35561;

														BgL_auxz00_35561 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_35561,
															BgL_sz00_3968);
													}
													return BgL_tmp1359z00_3980;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3448> */
	obj_t BGl_z62zc3anonymousza33448ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20117)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20118;
				obj_t BgL_bpz00_20119;

				BgL_sz00_20118 = PROCEDURE_REF(BgL_envz00_20117, (int) (((long) 0)));
				BgL_bpz00_20119 = PROCEDURE_REF(BgL_envz00_20117, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20118, (int) (((long) 0)), BgL_bpz00_20119);
		}}}
	}



/* &run5962 */
	obj_t BGl_z62run5962z62zz__evaluate_compz00(obj_t BgL_envz00_20120,
		obj_t BgL_sz00_20124)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_20121;
				BgL_ev_absz00_bglt BgL_i1321z00_20122;
				obj_t BgL_bodyz00_20123;

				BgL_iboxesz00_20121 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20120, (int) (((long) 0))));
				BgL_i1321z00_20122 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20120, (int) (((long) 1))));
				BgL_bodyz00_20123 = PROCEDURE_REF(BgL_envz00_20120, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3985;

					BgL_sz00_3985 = BgL_sz00_20124;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_3987;

						BgL_bpz00_3987 = VECTOR_REF(BgL_sz00_3985, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_3985,
							BgL_iboxesz00_20121, BgL_bpz00_3987);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_3988;
							obj_t BgL_wherez00_3989;
							obj_t BgL_locz00_3990;

							BgL_z12denvz12_3988 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_3989 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20122))->BgL_wherez00);
							BgL_locz00_3990 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20122))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_3988, BgL_wherez00_3989,
									BgL_locz00_3990);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_3991;

									BgL_za2za2resza2za2z00_3991 =
										PROCEDURE_ENTRY(BgL_bodyz00_20123) (BgL_bodyz00_20123,
										BgL_sz00_3985, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_3988);
									return BgL_za2za2resza2za2z00_3991;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3450> */
	obj_t BGl_z62zc3anonymousza33450ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20125)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20126;

				BgL_sz00_20126 = PROCEDURE_REF(BgL_envz00_20125, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_35592;

						BgL_auxz00_35592 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_35592, BgL_sz00_20126);
					}
				}
			}
		}
	}



/* &<anonymous:3455> */
	obj_t BGl_z62zc3anonymousza33455ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20127, obj_t BgL_sz00_20133)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_20128;
				long BgL_siza7eza7_20129;
				BgL_ev_absz00_bglt BgL_i1321z00_20130;
				obj_t BgL_bodyz00_20131;
				long BgL_siza7ezd2framez75_20132;

				BgL_ifreesz00_20128 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20127, (int) (((long) 0))));
				BgL_siza7eza7_20129 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20127, (int) (((long) 1))));
				BgL_i1321z00_20130 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20127, (int) (((long) 2))));
				BgL_bodyz00_20131 = PROCEDURE_REF(BgL_envz00_20127, (int) (((long) 3)));
				BgL_siza7ezd2framez75_20132 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20127, (int) (((long) 4))));
				{
					obj_t BgL_sz00_3995;

					BgL_sz00_3995 = BgL_sz00_20133;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_3997;

						BgL_bpz00_3997 = VECTOR_REF(BgL_sz00_3995, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_3998;

							BgL_valza2za2_3998 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_3995,
								BgL_bpz00_3997, BgL_ifreesz00_20128);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18861;

								BgL_runz00_18861 =
									MAKE_FX_PROCEDURE(BGl_z62run5964z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_18861,
									(int) (((long) 0)), BINT(BgL_siza7eza7_20129));
								PROCEDURE_SET(BgL_runz00_18861,
									(int) (((long) 1)), BgL_valza2za2_3998);
								PROCEDURE_SET(BgL_runz00_18861,
									(int) (((long) 2)), ((obj_t) BgL_i1321z00_20130));
								PROCEDURE_SET(BgL_runz00_18861,
									(int) (((long) 3)), BgL_bodyz00_20131);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18863;

									BgL_mainz00_18863 =
										MAKE_FX_PROCEDURE(BGl_z62main5963z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_18863,
										(int) (((long) 0)), BINT(BgL_siza7eza7_20129));
									PROCEDURE_SET(BgL_mainz00_18863,
										(int) (((long) 1)), BgL_valza2za2_3998);
									PROCEDURE_SET(BgL_mainz00_18863,
										(int) (((long) 2)), ((obj_t) BgL_i1321z00_20130));
									PROCEDURE_SET(BgL_mainz00_18863,
										(int) (((long) 3)), BgL_bodyz00_20131);
									PROCEDURE_SET(BgL_mainz00_18863,
										(int) (((long) 4)), BgL_runz00_18861);
									PROCEDURE_SET(BgL_mainz00_18863,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_20132));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_13629;

										BgL_objz00_13629 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18861, BgL_objz00_13629);
										BgL_objz00_13629;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3456z00_4001;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3457z00_4002;

											BgL_arg3457z00_4002 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20130))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_13633;

												BgL_newz00_13633 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_35647;

													BgL_auxz00_35647 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13633, BgL_auxz00_35647,
														BgL_arg3457z00_4002);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_35652;
													int BgL_auxz00_35650;

													BgL_auxz00_35652 = BINT(BgL_siza7ezd2framez75_20132);
													BgL_auxz00_35650 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13633, BgL_auxz00_35650,
														BgL_auxz00_35652);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_35655;

													BgL_auxz00_35655 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13633, BgL_auxz00_35655,
														BgL_runz00_18861);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_35660;
													int BgL_auxz00_35658;

													BgL_auxz00_35660 = BINT(((long) 0));
													BgL_auxz00_35658 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13633, BgL_auxz00_35658,
														BgL_auxz00_35660);
												}
												BgL_arg3456z00_4001 = BgL_newz00_13633;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18863, BgL_arg3456z00_4001);
										BgL_arg3456z00_4001;
									}
									return BgL_mainz00_18863;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5963 */
	obj_t BGl_z62main5963z62zz__evaluate_compz00(obj_t BgL_envz00_20134)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_20139;
				long BgL_siza7ezd2framez75_20140;

				BgL_runz00_20139 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20134, (int) (((long) 4))));
				BgL_siza7ezd2framez75_20140 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20134, (int) (((long) 5))));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4004;

						BgL_sz00_4004 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4005;

							BgL_bpz00_4005 = VECTOR_REF(BgL_sz00_4004, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_35673;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_13580;

									BgL_arg1970z00_13580 = VECTOR_LENGTH(BgL_sz00_4004);
									BgL_testz00_35673 =
										(
										((long) CINT(BgL_bpz00_4005) +
											BgL_siza7ezd2framez75_20140) <
										(long) (BgL_arg1970z00_13580));
								}
								if (BgL_testz00_35673)
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_exitd1360z00_4007;

										BgL_exitd1360z00_4007 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_zc3anonymousza33460ze3z83_18862;

											BgL_zc3anonymousza33460ze3z83_18862 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza33460ze3ze1zz__evaluate_compz00,
												(int) (((long) 0)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza33460ze3z83_18862,
												(int) (((long) 0)), BgL_sz00_4004);
											PROCEDURE_SET(BgL_zc3anonymousza33460ze3z83_18862,
												(int) (((long) 1)), BgL_bpz00_4005);
											BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
												(BgL_exitd1360z00_4007,
												BgL_zc3anonymousza33460ze3z83_18862);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_tmp1362z00_4009;

												BgL_tmp1362z00_4009 =
													BGl_catchzd2trampolinezd2zz__evaluate_compz00
													(BgL_runz00_20139, BgL_sz00_4004, BgL_bpz00_4005);
												BGl_exitdzd2popzd2protectz12z12zz__bexitz00
													(BgL_exitd1360z00_4007);
												VECTOR_SET(BgL_sz00_4004, (int) (((long) 0)),
													BgL_bpz00_4005);
												return BgL_tmp1362z00_4009;
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4012;

										BgL_nsz00_4012 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4012,
											(int) (((long) 1)), BgL_sz00_4004);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_35695;

											BgL_auxz00_35695 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_35695, BgL_nsz00_4012);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1363z00_4014;

											BgL_exitd1363z00_4014 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33462ze3z83_18860;

												BgL_zc3anonymousza33462ze3z83_18860 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33462ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33462ze3z83_18860,
													(int) (((long) 0)), BgL_sz00_4004);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1363z00_4014,
													BgL_zc3anonymousza33462ze3z83_18860);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1365z00_4016;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13602;

														BgL_savedzd2bpzd2_13602 =
															VECTOR_REF(BgL_nsz00_4012, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4012,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13609;

															BgL_fz00_13609 = BgL_runz00_20139;
														BgL_recz00_13608:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13610;

																BgL_rz00_13610 =
																	PROCEDURE_ENTRY(BgL_fz00_13609)
																	(BgL_fz00_13609, BgL_nsz00_4012, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_35714;

																	if (PROCEDUREP(BgL_rz00_13610))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_13615;

																			BgL_arg1962z00_13615 =
																				PROCEDURE_ATTR(BgL_rz00_13610);
																			if (STRUCTP(BgL_arg1962z00_13615))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35714 =
																						(STRUCT_KEY(BgL_arg1962z00_13615) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35714 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_35714 = ((bool_t) 0);
																		}
																	if (BgL_testz00_35714)
																		{
																			obj_t BgL_fz00_35722;

																			BgL_fz00_35722 = BgL_rz00_13610;
																			BgL_fz00_13609 = BgL_fz00_35722;
																			goto BgL_recz00_13608;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4012,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13602);
																			BgL_tmp1365z00_4016 = BgL_rz00_13610;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1363z00_4014);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_35726;

														BgL_auxz00_35726 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_35726,
															BgL_sz00_4004);
													}
													return BgL_tmp1365z00_4016;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3460> */
	obj_t BGl_z62zc3anonymousza33460ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20141)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20142;
				obj_t BgL_bpz00_20143;

				BgL_sz00_20142 = PROCEDURE_REF(BgL_envz00_20141, (int) (((long) 0)));
				BgL_bpz00_20143 = PROCEDURE_REF(BgL_envz00_20141, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20142, (int) (((long) 0)), BgL_bpz00_20143);
		}}}
	}



/* &run5964 */
	obj_t BGl_z62run5964z62zz__evaluate_compz00(obj_t BgL_envz00_20144,
		obj_t BgL_sz00_20149)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_20145;
				obj_t BgL_valza2za2_20146;
				BgL_ev_absz00_bglt BgL_i1321z00_20147;
				obj_t BgL_bodyz00_20148;

				BgL_siza7eza7_20145 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20144, (int) (((long) 0))));
				BgL_valza2za2_20146 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20144, (int) (((long) 1))));
				BgL_i1321z00_20147 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20144, (int) (((long) 2))));
				BgL_bodyz00_20148 = PROCEDURE_REF(BgL_envz00_20144, (int) (((long) 3)));
				{
					obj_t BgL_sz00_4021;

					BgL_sz00_4021 = BgL_sz00_20149;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4023;

						BgL_bpz00_4023 = VECTOR_REF(BgL_sz00_4021, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4021,
							BgL_valza2za2_20146,
							((long) CINT(BgL_bpz00_4023) + BgL_siza7eza7_20145));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4025;
							obj_t BgL_wherez00_4026;
							obj_t BgL_locz00_4027;

							BgL_z12denvz12_4025 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4026 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20147))->BgL_wherez00);
							BgL_locz00_4027 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20147))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4025, BgL_wherez00_4026,
									BgL_locz00_4027);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4028;

									BgL_za2za2resza2za2z00_4028 =
										PROCEDURE_ENTRY(BgL_bodyz00_20148) (BgL_bodyz00_20148,
										BgL_sz00_4021, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4025);
									return BgL_za2za2resza2za2z00_4028;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3462> */
	obj_t BGl_z62zc3anonymousza33462ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20150)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20151;

				BgL_sz00_20151 = PROCEDURE_REF(BgL_envz00_20150, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_35762;

						BgL_auxz00_35762 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_35762, BgL_sz00_20151);
					}
				}
			}
		}
	}



/* &<anonymous:3466> */
	obj_t BGl_z62zc3anonymousza33466ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20152, obj_t BgL_sz00_20159)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_20153;
				obj_t BgL_iboxesz00_20154;
				long BgL_siza7eza7_20155;
				BgL_ev_absz00_bglt BgL_i1321z00_20156;
				obj_t BgL_bodyz00_20157;
				long BgL_siza7ezd2framez75_20158;

				BgL_ifreesz00_20153 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20152, (int) (((long) 0))));
				BgL_iboxesz00_20154 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20152, (int) (((long) 1))));
				BgL_siza7eza7_20155 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20152, (int) (((long) 2))));
				BgL_i1321z00_20156 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20152, (int) (((long) 3))));
				BgL_bodyz00_20157 = PROCEDURE_REF(BgL_envz00_20152, (int) (((long) 4)));
				BgL_siza7ezd2framez75_20158 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20152, (int) (((long) 5))));
				{
					obj_t BgL_sz00_4030;

					BgL_sz00_4030 = BgL_sz00_20159;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4032;

						BgL_bpz00_4032 = VECTOR_REF(BgL_sz00_4030, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_4033;

							BgL_valza2za2_4033 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_4030,
								BgL_bpz00_4032, BgL_ifreesz00_20153);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_18856;

								BgL_runz00_18856 =
									MAKE_FX_PROCEDURE(BGl_z62run5966z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_18856,
									(int) (((long) 0)), BgL_iboxesz00_20154);
								PROCEDURE_SET(BgL_runz00_18856,
									(int) (((long) 1)), BINT(BgL_siza7eza7_20155));
								PROCEDURE_SET(BgL_runz00_18856,
									(int) (((long) 2)), BgL_valza2za2_4033);
								PROCEDURE_SET(BgL_runz00_18856,
									(int) (((long) 3)), ((obj_t) BgL_i1321z00_20156));
								PROCEDURE_SET(BgL_runz00_18856,
									(int) (((long) 4)), BgL_bodyz00_20157);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_18858;

									BgL_mainz00_18858 =
										MAKE_FX_PROCEDURE(BGl_z62main5965z62zz__evaluate_compz00,
										(int) (((long) 0)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_18858,
										(int) (((long) 0)), BgL_iboxesz00_20154);
									PROCEDURE_SET(BgL_mainz00_18858,
										(int) (((long) 1)), BINT(BgL_siza7eza7_20155));
									PROCEDURE_SET(BgL_mainz00_18858,
										(int) (((long) 2)), BgL_valza2za2_4033);
									PROCEDURE_SET(BgL_mainz00_18858,
										(int) (((long) 3)), ((obj_t) BgL_i1321z00_20156));
									PROCEDURE_SET(BgL_mainz00_18858,
										(int) (((long) 4)), BgL_bodyz00_20157);
									PROCEDURE_SET(BgL_mainz00_18858,
										(int) (((long) 5)), BgL_runz00_18856);
									PROCEDURE_SET(BgL_mainz00_18858,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_20158));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_13716;

										BgL_objz00_13716 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_18856, BgL_objz00_13716);
										BgL_objz00_13716;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg3467z00_4036;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg3468z00_4037;

											BgL_arg3468z00_4037 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20156))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_13720;

												BgL_newz00_13720 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_35824;

													BgL_auxz00_35824 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13720, BgL_auxz00_35824,
														BgL_arg3468z00_4037);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_35829;
													int BgL_auxz00_35827;

													BgL_auxz00_35829 = BINT(BgL_siza7ezd2framez75_20158);
													BgL_auxz00_35827 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13720, BgL_auxz00_35827,
														BgL_auxz00_35829);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_35832;

													BgL_auxz00_35832 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13720, BgL_auxz00_35832,
														BgL_runz00_18856);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_35837;
													int BgL_auxz00_35835;

													BgL_auxz00_35837 = BINT(((long) 0));
													BgL_auxz00_35835 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13720, BgL_auxz00_35835,
														BgL_auxz00_35837);
												}
												BgL_arg3467z00_4036 = BgL_newz00_13720;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_18858, BgL_arg3467z00_4036);
										BgL_arg3467z00_4036;
									}
									return BgL_mainz00_18858;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5965 */
	obj_t BGl_z62main5965z62zz__evaluate_compz00(obj_t BgL_envz00_20160)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_runz00_20166;
				long BgL_siza7ezd2framez75_20167;

				BgL_runz00_20166 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20160, (int) (((long) 5))));
				BgL_siza7ezd2framez75_20167 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20160, (int) (((long) 6))));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_4039;

						BgL_sz00_4039 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_4040;

							BgL_bpz00_4040 = VECTOR_REF(BgL_sz00_4039, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_35850;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_13667;

									BgL_arg1970z00_13667 = VECTOR_LENGTH(BgL_sz00_4039);
									BgL_testz00_35850 =
										(
										((long) CINT(BgL_bpz00_4040) +
											BgL_siza7ezd2framez75_20167) <
										(long) (BgL_arg1970z00_13667));
								}
								if (BgL_testz00_35850)
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_exitd1366z00_4042;

										BgL_exitd1366z00_4042 = BGL_EXITD_TOP_AS_OBJ();
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_zc3anonymousza33471ze3z83_18857;

											BgL_zc3anonymousza33471ze3z83_18857 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza33471ze3ze1zz__evaluate_compz00,
												(int) (((long) 0)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza33471ze3z83_18857,
												(int) (((long) 0)), BgL_sz00_4039);
											PROCEDURE_SET(BgL_zc3anonymousza33471ze3z83_18857,
												(int) (((long) 1)), BgL_bpz00_4040);
											BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
												(BgL_exitd1366z00_4042,
												BgL_zc3anonymousza33471ze3z83_18857);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_tmp1368z00_4044;

												BgL_tmp1368z00_4044 =
													BGl_catchzd2trampolinezd2zz__evaluate_compz00
													(BgL_runz00_20166, BgL_sz00_4039, BgL_bpz00_4040);
												BGl_exitdzd2popzd2protectz12z12zz__bexitz00
													(BgL_exitd1366z00_4042);
												VECTOR_SET(BgL_sz00_4039, (int) (((long) 0)),
													BgL_bpz00_4040);
												return BgL_tmp1368z00_4044;
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_4047;

										BgL_nsz00_4047 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_4047,
											(int) (((long) 1)), BgL_sz00_4039);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_35872;

											BgL_auxz00_35872 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_35872, BgL_nsz00_4047);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1369z00_4049;

											BgL_exitd1369z00_4049 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza33473ze3z83_18855;

												BgL_zc3anonymousza33473ze3z83_18855 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33473ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33473ze3z83_18855,
													(int) (((long) 0)), BgL_sz00_4039);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1369z00_4049,
													BgL_zc3anonymousza33473ze3z83_18855);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1371z00_4051;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13689;

														BgL_savedzd2bpzd2_13689 =
															VECTOR_REF(BgL_nsz00_4047, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_4047,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13696;

															BgL_fz00_13696 = BgL_runz00_20166;
														BgL_recz00_13695:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13697;

																BgL_rz00_13697 =
																	PROCEDURE_ENTRY(BgL_fz00_13696)
																	(BgL_fz00_13696, BgL_nsz00_4047, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_35891;

																	if (PROCEDUREP(BgL_rz00_13697))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_13702;

																			BgL_arg1962z00_13702 =
																				PROCEDURE_ATTR(BgL_rz00_13697);
																			if (STRUCTP(BgL_arg1962z00_13702))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35891 =
																						(STRUCT_KEY(BgL_arg1962z00_13702) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_35891 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_35891 = ((bool_t) 0);
																		}
																	if (BgL_testz00_35891)
																		{
																			obj_t BgL_fz00_35899;

																			BgL_fz00_35899 = BgL_rz00_13697;
																			BgL_fz00_13696 = BgL_fz00_35899;
																			goto BgL_recz00_13695;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_4047,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13689);
																			BgL_tmp1371z00_4051 = BgL_rz00_13697;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1369z00_4049);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_35903;

														BgL_auxz00_35903 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_35903,
															BgL_sz00_4039);
													}
													return BgL_tmp1371z00_4051;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3471> */
	obj_t BGl_z62zc3anonymousza33471ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20168)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20169;
				obj_t BgL_bpz00_20170;

				BgL_sz00_20169 = PROCEDURE_REF(BgL_envz00_20168, (int) (((long) 0)));
				BgL_bpz00_20170 = PROCEDURE_REF(BgL_envz00_20168, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20169, (int) (((long) 0)), BgL_bpz00_20170);
		}}}
	}



/* &run5966 */
	obj_t BGl_z62run5966z62zz__evaluate_compz00(obj_t BgL_envz00_20171,
		obj_t BgL_sz00_20177)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_20172;
				long BgL_siza7eza7_20173;
				obj_t BgL_valza2za2_20174;
				BgL_ev_absz00_bglt BgL_i1321z00_20175;
				obj_t BgL_bodyz00_20176;

				BgL_iboxesz00_20172 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20171, (int) (((long) 0))));
				BgL_siza7eza7_20173 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20171, (int) (((long) 1))));
				BgL_valza2za2_20174 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20171, (int) (((long) 2))));
				BgL_i1321z00_20175 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20171, (int) (((long) 3))));
				BgL_bodyz00_20176 = PROCEDURE_REF(BgL_envz00_20171, (int) (((long) 4)));
				{
					obj_t BgL_sz00_4056;

					BgL_sz00_4056 = BgL_sz00_20177;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_4058;

						BgL_bpz00_4058 = VECTOR_REF(BgL_sz00_4056, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_4056,
							BgL_iboxesz00_20172, BgL_bpz00_4058);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_4056,
							BgL_valza2za2_20174,
							((long) CINT(BgL_bpz00_4058) + BgL_siza7eza7_20173));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_4060;
							obj_t BgL_wherez00_4061;
							obj_t BgL_locz00_4062;

							BgL_z12denvz12_4060 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_4061 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20175))->BgL_wherez00);
							BgL_locz00_4062 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20175))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_4060, BgL_wherez00_4061,
									BgL_locz00_4062);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_4063;

									BgL_za2za2resza2za2z00_4063 =
										PROCEDURE_ENTRY(BgL_bodyz00_20176) (BgL_bodyz00_20176,
										BgL_sz00_4056, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_4060);
									return BgL_za2za2resza2za2z00_4063;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3473> */
	obj_t BGl_z62zc3anonymousza33473ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20178)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20179;

				BgL_sz00_20179 = PROCEDURE_REF(BgL_envz00_20178, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_35943;

						BgL_auxz00_35943 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_35943, BgL_sz00_20179);
					}
				}
			}
		}
	}



/* &<anonymous:4013> */
	obj_t BGl_z62zc3anonymousza34013ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20180, obj_t BgL_sz00_20184)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_20181;
				obj_t BgL_bodyz00_20182;
				long BgL_siza7ezd2framez75_20183;

				BgL_i1321z00_20181 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20180, (int) (((long) 0))));
				BgL_bodyz00_20182 = PROCEDURE_REF(BgL_envz00_20180, (int) (((long) 1)));
				BgL_siza7ezd2framez75_20183 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20180, (int) (((long) 2))));
				{
					obj_t BgL_sz00_5547;

					BgL_sz00_5547 = BgL_sz00_20184;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5549;

						BgL_bpz00_5549 = VECTOR_REF(BgL_sz00_5547, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19071;

								BgL_runz00_19071 =
									MAKE_FX_PROCEDURE(BGl_z62run5968z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_runz00_19071,
									(int) (((long) 0)), ((obj_t) BgL_i1321z00_20181));
								PROCEDURE_SET(BgL_runz00_19071,
									(int) (((long) 1)), BgL_bodyz00_20182);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19073;

									BgL_mainz00_19073 =
										MAKE_VA_PROCEDURE(BGl_z62main5967z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 4)));
									PROCEDURE_SET(BgL_mainz00_19073,
										(int) (((long) 0)), BgL_bodyz00_20182);
									PROCEDURE_SET(BgL_mainz00_19073,
										(int) (((long) 1)), ((obj_t) BgL_i1321z00_20181));
									PROCEDURE_SET(BgL_mainz00_19073,
										(int) (((long) 2)), BgL_runz00_19071);
									PROCEDURE_SET(BgL_mainz00_19073,
										(int) (((long) 3)), BINT(BgL_siza7ezd2framez75_20183));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_12911;

										BgL_objz00_12911 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19071, BgL_objz00_12911);
										BgL_objz00_12911;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4014z00_5552;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4015z00_5553;
											obj_t BgL_arg4016z00_5554;

											BgL_arg4015z00_5553 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20181))->
												BgL_arityz00);
											BgL_arg4016z00_5554 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20181))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_12915;

												BgL_newz00_12915 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_35982;

													BgL_auxz00_35982 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_12915, BgL_auxz00_35982,
														BgL_arg4016z00_5554);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_35987;
													int BgL_auxz00_35985;

													BgL_auxz00_35987 = BINT(BgL_siza7ezd2framez75_20183);
													BgL_auxz00_35985 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_12915, BgL_auxz00_35985,
														BgL_auxz00_35987);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_35990;

													BgL_auxz00_35990 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_12915, BgL_auxz00_35990,
														BgL_runz00_19071);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_35993;

													BgL_auxz00_35993 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12915, BgL_auxz00_35993,
														BgL_arg4015z00_5553);
												}
												BgL_arg4014z00_5552 = BgL_newz00_12915;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19073, BgL_arg4014z00_5552);
										BgL_arg4014z00_5552;
									}
									return BgL_mainz00_19073;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5967 */
	obj_t BGl_z62main5967z62zz__evaluate_compz00(obj_t BgL_envz00_20185,
		obj_t BgL_az00_20190, obj_t BgL_bz00_20191, obj_t BgL_cz00_20192,
		obj_t BgL_dz00_20193, obj_t BgL_restz00_20194)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_20187;
				obj_t BgL_runz00_20188;
				long BgL_siza7ezd2framez75_20189;

				BgL_i1321z00_20187 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20185, (int) (((long) 1))));
				BgL_runz00_20188 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20185, (int) (((long) 2))));
				BgL_siza7ezd2framez75_20189 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20185, (int) (((long) 3))));
				{
					obj_t BgL_az00_5555;
					obj_t BgL_bz00_5556;
					obj_t BgL_cz00_5557;
					obj_t BgL_dz00_5558;
					obj_t BgL_restz00_5559;

					BgL_az00_5555 = BgL_az00_20190;
					BgL_bz00_5556 = BgL_bz00_20191;
					BgL_cz00_5557 = BgL_cz00_20192;
					BgL_dz00_5558 = BgL_dz00_20193;
					BgL_restz00_5559 = BgL_restz00_20194;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5561;

						BgL_sz00_5561 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5562;

							BgL_bpz00_5562 = VECTOR_REF(BgL_sz00_5561, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_36009;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_12799;

									BgL_arg1970z00_12799 = VECTOR_LENGTH(BgL_sz00_5561);
									BgL_testz00_36009 =
										(
										((long) CINT(BgL_bpz00_5562) +
											BgL_siza7ezd2framez75_20189) <
										(long) (BgL_arg1970z00_12799));
								}
								if (BgL_testz00_36009)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4019z00_5564;

											BgL_arg4019z00_5564 =
												((long) CINT(BgL_bpz00_5562) + ((long) 0));
											VECTOR_SET(BgL_sz00_5561,
												(int) (BgL_arg4019z00_5564), BgL_az00_5555);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4020z00_5565;

											BgL_arg4020z00_5565 =
												((long) CINT(BgL_bpz00_5562) + ((long) 1));
											VECTOR_SET(BgL_sz00_5561,
												(int) (BgL_arg4020z00_5565), BgL_bz00_5556);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4021z00_5566;

											BgL_arg4021z00_5566 =
												((long) CINT(BgL_bpz00_5562) + ((long) 2));
											VECTOR_SET(BgL_sz00_5561,
												(int) (BgL_arg4021z00_5566), BgL_cz00_5557);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4022z00_5567;

											BgL_arg4022z00_5567 =
												((long) CINT(BgL_bpz00_5562) + ((long) 3));
											VECTOR_SET(BgL_sz00_5561,
												(int) (BgL_arg4022z00_5567), BgL_dz00_5558);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4023z00_5568;
											long BgL_arg4024z00_5569;
											long BgL_arg4025z00_5570;
											obj_t BgL_arg4026z00_5571;

											BgL_arg4023z00_5568 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20187))->
												BgL_wherez00);
											BgL_arg4024z00_5569 =
												((long) CINT(BgL_bpz00_5562) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_nz00_12834;

												BgL_nz00_12834 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20187))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_12834) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4025z00_5570 =
															((long) CINT(BgL_nz00_12834) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4025z00_5570 =
															((long) CINT(BgL_nz00_12834) - ((long) 4));
											}}
											BgL_arg4026z00_5571 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20187))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5561,
												BgL_arg4023z00_5568, BgL_arg4024z00_5569,
												BgL_arg4025z00_5570, BgL_restz00_5559,
												BgL_arg4026z00_5571);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1322z00_5573;

											BgL_exitd1322z00_5573 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34028ze3z83_19072;

												BgL_zc3anonymousza34028ze3z83_19072 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34028ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34028ze3z83_19072,
													(int) (((long) 0)), BgL_sz00_5561);
												PROCEDURE_SET(BgL_zc3anonymousza34028ze3z83_19072,
													(int) (((long) 1)), BgL_bpz00_5562);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1322z00_5573,
													BgL_zc3anonymousza34028ze3z83_19072);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1324z00_5575;

													BgL_tmp1324z00_5575 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_20188, BgL_sz00_5561, BgL_bpz00_5562);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1322z00_5573);
													VECTOR_SET(BgL_sz00_5561, (int) (((long) 0)),
														BgL_bpz00_5562);
													return BgL_tmp1324z00_5575;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5578;

										BgL_nsz00_5578 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5578,
											(int) (((long) 1)), BgL_sz00_5561);
										VECTOR_SET(BgL_nsz00_5578,
											(int) (((long) 2)), BgL_az00_5555);
										VECTOR_SET(BgL_nsz00_5578,
											(int) (((long) 3)), BgL_bz00_5556);
										VECTOR_SET(BgL_nsz00_5578,
											(int) (((long) 4)), BgL_cz00_5557);
										VECTOR_SET(BgL_nsz00_5578,
											(int) (((long) 5)), BgL_dz00_5558);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4029z00_5579;
											long BgL_arg4030z00_5580;
											obj_t BgL_arg4031z00_5581;

											BgL_arg4029z00_5579 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20187))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_nz00_12867;

												BgL_nz00_12867 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20187))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_12867) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4030z00_5580 =
															((long) CINT(BgL_nz00_12867) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4030z00_5580 =
															((long) CINT(BgL_nz00_12867) - ((long) 4));
											}}
											BgL_arg4031z00_5581 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20187))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5578,
												BgL_arg4029z00_5579, ((long) 6), BgL_arg4030z00_5580,
												BgL_restz00_5559, BgL_arg4031z00_5581);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_36079;

											BgL_auxz00_36079 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_36079, BgL_nsz00_5578);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1325z00_5584;

											BgL_exitd1325z00_5584 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34034ze3z83_19070;

												BgL_zc3anonymousza34034ze3z83_19070 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34034ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34034ze3z83_19070,
													(int) (((long) 0)), BgL_sz00_5561);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1325z00_5584,
													BgL_zc3anonymousza34034ze3z83_19070);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1327z00_5586;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_12884;

														BgL_savedzd2bpzd2_12884 =
															VECTOR_REF(BgL_nsz00_5578, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5578,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_12891;

															BgL_fz00_12891 = BgL_runz00_20188;
														BgL_recz00_12890:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_12892;

																BgL_rz00_12892 =
																	PROCEDURE_ENTRY(BgL_fz00_12891)
																	(BgL_fz00_12891, BgL_nsz00_5578, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_36098;

																	if (PROCEDUREP(BgL_rz00_12892))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_12897;

																			BgL_arg1962z00_12897 =
																				PROCEDURE_ATTR(BgL_rz00_12892);
																			if (STRUCTP(BgL_arg1962z00_12897))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_36098 =
																						(STRUCT_KEY(BgL_arg1962z00_12897) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_36098 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_36098 = ((bool_t) 0);
																		}
																	if (BgL_testz00_36098)
																		{
																			obj_t BgL_fz00_36106;

																			BgL_fz00_36106 = BgL_rz00_12892;
																			BgL_fz00_12891 = BgL_fz00_36106;
																			goto BgL_recz00_12890;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5578,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_12884);
																			BgL_tmp1327z00_5586 = BgL_rz00_12892;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1325z00_5584);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_36110;

														BgL_auxz00_36110 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_36110,
															BgL_sz00_5561);
													}
													return BgL_tmp1327z00_5586;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4028> */
	obj_t BGl_z62zc3anonymousza34028ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20195)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20196;
				obj_t BgL_bpz00_20197;

				BgL_sz00_20196 = PROCEDURE_REF(BgL_envz00_20195, (int) (((long) 0)));
				BgL_bpz00_20197 = PROCEDURE_REF(BgL_envz00_20195, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20196, (int) (((long) 0)), BgL_bpz00_20197);
		}}}
	}



/* &run5968 */
	obj_t BGl_z62run5968z62zz__evaluate_compz00(obj_t BgL_envz00_20198,
		obj_t BgL_sz00_20201)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_20199;
				obj_t BgL_bodyz00_20200;

				BgL_i1321z00_20199 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20198, (int) (((long) 0))));
				BgL_bodyz00_20200 = PROCEDURE_REF(BgL_envz00_20198, (int) (((long) 1)));
				{
					obj_t BgL_sz00_5591;

					BgL_sz00_5591 = BgL_sz00_20201;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5593;

						BgL_bpz00_5593 = VECTOR_REF(BgL_sz00_5591, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_5594;
							obj_t BgL_wherez00_5595;
							obj_t BgL_locz00_5596;

							BgL_z12denvz12_5594 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5595 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20199))->BgL_wherez00);
							BgL_locz00_5596 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20199))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5594, BgL_wherez00_5595,
									BgL_locz00_5596);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_5597;

									BgL_za2za2resza2za2z00_5597 =
										PROCEDURE_ENTRY(BgL_bodyz00_20200) (BgL_bodyz00_20200,
										BgL_sz00_5591, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5594);
									return BgL_za2za2resza2za2z00_5597;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4034> */
	obj_t BGl_z62zc3anonymousza34034ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20202)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20203;

				BgL_sz00_20203 = PROCEDURE_REF(BgL_envz00_20202, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_36137;

						BgL_auxz00_36137 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_36137, BgL_sz00_20203);
					}
				}
			}
		}
	}



/* &<anonymous:4037> */
	obj_t BGl_z62zc3anonymousza34037ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20204, obj_t BgL_sz00_20209)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_20205;
				BgL_ev_absz00_bglt BgL_i1321z00_20206;
				obj_t BgL_bodyz00_20207;
				long BgL_siza7ezd2framez75_20208;

				BgL_iboxesz00_20205 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20204, (int) (((long) 0))));
				BgL_i1321z00_20206 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20204, (int) (((long) 1))));
				BgL_bodyz00_20207 = PROCEDURE_REF(BgL_envz00_20204, (int) (((long) 2)));
				BgL_siza7ezd2framez75_20208 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20204, (int) (((long) 3))));
				{
					obj_t BgL_sz00_5599;

					BgL_sz00_5599 = BgL_sz00_20209;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5601;

						BgL_bpz00_5601 = VECTOR_REF(BgL_sz00_5599, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */

							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19066;

								BgL_runz00_19066 =
									MAKE_FX_PROCEDURE(BGl_z62run5970z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_runz00_19066,
									(int) (((long) 0)), BgL_iboxesz00_20205);
								PROCEDURE_SET(BgL_runz00_19066,
									(int) (((long) 1)), ((obj_t) BgL_i1321z00_20206));
								PROCEDURE_SET(BgL_runz00_19066,
									(int) (((long) 2)), BgL_bodyz00_20207);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19068;

									BgL_mainz00_19068 =
										MAKE_VA_PROCEDURE(BGl_z62main5969z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_mainz00_19068,
										(int) (((long) 0)), BgL_iboxesz00_20205);
									PROCEDURE_SET(BgL_mainz00_19068,
										(int) (((long) 1)), BgL_bodyz00_20207);
									PROCEDURE_SET(BgL_mainz00_19068,
										(int) (((long) 2)), ((obj_t) BgL_i1321z00_20206));
									PROCEDURE_SET(BgL_mainz00_19068,
										(int) (((long) 3)), BgL_runz00_19066);
									PROCEDURE_SET(BgL_mainz00_19068,
										(int) (((long) 4)), BINT(BgL_siza7ezd2framez75_20208));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_13058;

										BgL_objz00_13058 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19066, BgL_objz00_13058);
										BgL_objz00_13058;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4038z00_5604;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4039z00_5605;
											obj_t BgL_arg4040z00_5606;

											BgL_arg4039z00_5605 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20206))->
												BgL_arityz00);
											BgL_arg4040z00_5606 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20206))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_13062;

												BgL_newz00_13062 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_36183;

													BgL_auxz00_36183 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13062, BgL_auxz00_36183,
														BgL_arg4040z00_5606);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_36188;
													int BgL_auxz00_36186;

													BgL_auxz00_36188 = BINT(BgL_siza7ezd2framez75_20208);
													BgL_auxz00_36186 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13062, BgL_auxz00_36186,
														BgL_auxz00_36188);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_36191;

													BgL_auxz00_36191 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13062, BgL_auxz00_36191,
														BgL_runz00_19066);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_36194;

													BgL_auxz00_36194 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13062, BgL_auxz00_36194,
														BgL_arg4039z00_5605);
												}
												BgL_arg4038z00_5604 = BgL_newz00_13062;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19068, BgL_arg4038z00_5604);
										BgL_arg4038z00_5604;
									}
									return BgL_mainz00_19068;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5969 */
	obj_t BGl_z62main5969z62zz__evaluate_compz00(obj_t BgL_envz00_20210,
		obj_t BgL_az00_20216, obj_t BgL_bz00_20217, obj_t BgL_cz00_20218,
		obj_t BgL_dz00_20219, obj_t BgL_restz00_20220)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_20213;
				obj_t BgL_runz00_20214;
				long BgL_siza7ezd2framez75_20215;

				BgL_i1321z00_20213 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20210, (int) (((long) 2))));
				BgL_runz00_20214 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20210, (int) (((long) 3))));
				BgL_siza7ezd2framez75_20215 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20210, (int) (((long) 4))));
				{
					obj_t BgL_az00_5607;
					obj_t BgL_bz00_5608;
					obj_t BgL_cz00_5609;
					obj_t BgL_dz00_5610;
					obj_t BgL_restz00_5611;

					BgL_az00_5607 = BgL_az00_20216;
					BgL_bz00_5608 = BgL_bz00_20217;
					BgL_cz00_5609 = BgL_cz00_20218;
					BgL_dz00_5610 = BgL_dz00_20219;
					BgL_restz00_5611 = BgL_restz00_20220;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5613;

						BgL_sz00_5613 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5614;

							BgL_bpz00_5614 = VECTOR_REF(BgL_sz00_5613, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_36210;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_12946;

									BgL_arg1970z00_12946 = VECTOR_LENGTH(BgL_sz00_5613);
									BgL_testz00_36210 =
										(
										((long) CINT(BgL_bpz00_5614) +
											BgL_siza7ezd2framez75_20215) <
										(long) (BgL_arg1970z00_12946));
								}
								if (BgL_testz00_36210)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4043z00_5616;

											BgL_arg4043z00_5616 =
												((long) CINT(BgL_bpz00_5614) + ((long) 0));
											VECTOR_SET(BgL_sz00_5613,
												(int) (BgL_arg4043z00_5616), BgL_az00_5607);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4044z00_5617;

											BgL_arg4044z00_5617 =
												((long) CINT(BgL_bpz00_5614) + ((long) 1));
											VECTOR_SET(BgL_sz00_5613,
												(int) (BgL_arg4044z00_5617), BgL_bz00_5608);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4045z00_5618;

											BgL_arg4045z00_5618 =
												((long) CINT(BgL_bpz00_5614) + ((long) 2));
											VECTOR_SET(BgL_sz00_5613,
												(int) (BgL_arg4045z00_5618), BgL_cz00_5609);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4046z00_5619;

											BgL_arg4046z00_5619 =
												((long) CINT(BgL_bpz00_5614) + ((long) 3));
											VECTOR_SET(BgL_sz00_5613,
												(int) (BgL_arg4046z00_5619), BgL_dz00_5610);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4047z00_5620;
											long BgL_arg4048z00_5621;
											long BgL_arg4049z00_5622;
											obj_t BgL_arg4050z00_5623;

											BgL_arg4047z00_5620 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20213))->
												BgL_wherez00);
											BgL_arg4048z00_5621 =
												((long) CINT(BgL_bpz00_5614) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_nz00_12981;

												BgL_nz00_12981 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20213))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_12981) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4049z00_5622 =
															((long) CINT(BgL_nz00_12981) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4049z00_5622 =
															((long) CINT(BgL_nz00_12981) - ((long) 4));
											}}
											BgL_arg4050z00_5623 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20213))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5613,
												BgL_arg4047z00_5620, BgL_arg4048z00_5621,
												BgL_arg4049z00_5622, BgL_restz00_5611,
												BgL_arg4050z00_5623);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1328z00_5625;

											BgL_exitd1328z00_5625 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34052ze3z83_19067;

												BgL_zc3anonymousza34052ze3z83_19067 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34052ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34052ze3z83_19067,
													(int) (((long) 0)), BgL_sz00_5613);
												PROCEDURE_SET(BgL_zc3anonymousza34052ze3z83_19067,
													(int) (((long) 1)), BgL_bpz00_5614);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1328z00_5625,
													BgL_zc3anonymousza34052ze3z83_19067);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1330z00_5627;

													BgL_tmp1330z00_5627 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_20214, BgL_sz00_5613, BgL_bpz00_5614);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1328z00_5625);
													VECTOR_SET(BgL_sz00_5613, (int) (((long) 0)),
														BgL_bpz00_5614);
													return BgL_tmp1330z00_5627;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5630;

										BgL_nsz00_5630 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5630,
											(int) (((long) 1)), BgL_sz00_5613);
										VECTOR_SET(BgL_nsz00_5630,
											(int) (((long) 2)), BgL_az00_5607);
										VECTOR_SET(BgL_nsz00_5630,
											(int) (((long) 3)), BgL_bz00_5608);
										VECTOR_SET(BgL_nsz00_5630,
											(int) (((long) 4)), BgL_cz00_5609);
										VECTOR_SET(BgL_nsz00_5630,
											(int) (((long) 5)), BgL_dz00_5610);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4053z00_5631;
											long BgL_arg4054z00_5632;
											obj_t BgL_arg4055z00_5633;

											BgL_arg4053z00_5631 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20213))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_nz00_13014;

												BgL_nz00_13014 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20213))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_13014) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4054z00_5632 =
															((long) CINT(BgL_nz00_13014) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4054z00_5632 =
															((long) CINT(BgL_nz00_13014) - ((long) 4));
											}}
											BgL_arg4055z00_5633 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20213))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5630,
												BgL_arg4053z00_5631, ((long) 6), BgL_arg4054z00_5632,
												BgL_restz00_5611, BgL_arg4055z00_5633);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_36280;

											BgL_auxz00_36280 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_36280, BgL_nsz00_5630);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1331z00_5636;

											BgL_exitd1331z00_5636 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34058ze3z83_19065;

												BgL_zc3anonymousza34058ze3z83_19065 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34058ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34058ze3z83_19065,
													(int) (((long) 0)), BgL_sz00_5613);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1331z00_5636,
													BgL_zc3anonymousza34058ze3z83_19065);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1333z00_5638;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13031;

														BgL_savedzd2bpzd2_13031 =
															VECTOR_REF(BgL_nsz00_5630, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5630,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13038;

															BgL_fz00_13038 = BgL_runz00_20214;
														BgL_recz00_13037:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13039;

																BgL_rz00_13039 =
																	PROCEDURE_ENTRY(BgL_fz00_13038)
																	(BgL_fz00_13038, BgL_nsz00_5630, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_36299;

																	if (PROCEDUREP(BgL_rz00_13039))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_13044;

																			BgL_arg1962z00_13044 =
																				PROCEDURE_ATTR(BgL_rz00_13039);
																			if (STRUCTP(BgL_arg1962z00_13044))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_36299 =
																						(STRUCT_KEY(BgL_arg1962z00_13044) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_36299 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_36299 = ((bool_t) 0);
																		}
																	if (BgL_testz00_36299)
																		{
																			obj_t BgL_fz00_36307;

																			BgL_fz00_36307 = BgL_rz00_13039;
																			BgL_fz00_13038 = BgL_fz00_36307;
																			goto BgL_recz00_13037;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5630,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13031);
																			BgL_tmp1333z00_5638 = BgL_rz00_13039;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1331z00_5636);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_36311;

														BgL_auxz00_36311 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_36311,
															BgL_sz00_5613);
													}
													return BgL_tmp1333z00_5638;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4052> */
	obj_t BGl_z62zc3anonymousza34052ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20221)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20222;
				obj_t BgL_bpz00_20223;

				BgL_sz00_20222 = PROCEDURE_REF(BgL_envz00_20221, (int) (((long) 0)));
				BgL_bpz00_20223 = PROCEDURE_REF(BgL_envz00_20221, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20222, (int) (((long) 0)), BgL_bpz00_20223);
		}}}
	}



/* &run5970 */
	obj_t BGl_z62run5970z62zz__evaluate_compz00(obj_t BgL_envz00_20224,
		obj_t BgL_sz00_20228)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_20225;
				BgL_ev_absz00_bglt BgL_i1321z00_20226;
				obj_t BgL_bodyz00_20227;

				BgL_iboxesz00_20225 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20224, (int) (((long) 0))));
				BgL_i1321z00_20226 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20224, (int) (((long) 1))));
				BgL_bodyz00_20227 = PROCEDURE_REF(BgL_envz00_20224, (int) (((long) 2)));
				{
					obj_t BgL_sz00_5643;

					BgL_sz00_5643 = BgL_sz00_20228;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5645;

						BgL_bpz00_5645 = VECTOR_REF(BgL_sz00_5643, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5643,
							BgL_iboxesz00_20225, BgL_bpz00_5645);
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_z12denvz12_5646;
							obj_t BgL_wherez00_5647;
							obj_t BgL_locz00_5648;

							BgL_z12denvz12_5646 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5647 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20226))->BgL_wherez00);
							BgL_locz00_5648 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20226))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1152 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5646, BgL_wherez00_5647,
									BgL_locz00_5648);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_za2za2resza2za2z00_5649;

									BgL_za2za2resza2za2z00_5649 =
										PROCEDURE_ENTRY(BgL_bodyz00_20227) (BgL_bodyz00_20227,
										BgL_sz00_5643, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5646);
									return BgL_za2za2resza2za2z00_5649;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4058> */
	obj_t BGl_z62zc3anonymousza34058ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20229)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20230;

				BgL_sz00_20230 = PROCEDURE_REF(BgL_envz00_20229, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_36342;

						BgL_auxz00_36342 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_36342, BgL_sz00_20230);
					}
				}
			}
		}
	}



/* &<anonymous:4063> */
	obj_t BGl_z62zc3anonymousza34063ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20231, obj_t BgL_sz00_20237)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_20232;
				long BgL_siza7eza7_20233;
				BgL_ev_absz00_bglt BgL_i1321z00_20234;
				obj_t BgL_bodyz00_20235;
				long BgL_siza7ezd2framez75_20236;

				BgL_ifreesz00_20232 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20231, (int) (((long) 0))));
				BgL_siza7eza7_20233 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20231, (int) (((long) 1))));
				BgL_i1321z00_20234 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20231, (int) (((long) 2))));
				BgL_bodyz00_20235 = PROCEDURE_REF(BgL_envz00_20231, (int) (((long) 3)));
				BgL_siza7ezd2framez75_20236 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20231, (int) (((long) 4))));
				{
					obj_t BgL_sz00_5653;

					BgL_sz00_5653 = BgL_sz00_20237;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5655;

						BgL_bpz00_5655 = VECTOR_REF(BgL_sz00_5653, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_5656;

							BgL_valza2za2_5656 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5653,
								BgL_bpz00_5655, BgL_ifreesz00_20232);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19061;

								BgL_runz00_19061 =
									MAKE_FX_PROCEDURE(BGl_z62run5972z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 4)));
								PROCEDURE_SET(BgL_runz00_19061,
									(int) (((long) 0)), BINT(BgL_siza7eza7_20233));
								PROCEDURE_SET(BgL_runz00_19061,
									(int) (((long) 1)), BgL_valza2za2_5656);
								PROCEDURE_SET(BgL_runz00_19061,
									(int) (((long) 2)), ((obj_t) BgL_i1321z00_20234));
								PROCEDURE_SET(BgL_runz00_19061,
									(int) (((long) 3)), BgL_bodyz00_20235);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19063;

									BgL_mainz00_19063 =
										MAKE_VA_PROCEDURE(BGl_z62main5971z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 6)));
									PROCEDURE_SET(BgL_mainz00_19063,
										(int) (((long) 0)), BINT(BgL_siza7eza7_20233));
									PROCEDURE_SET(BgL_mainz00_19063,
										(int) (((long) 1)), BgL_valza2za2_5656);
									PROCEDURE_SET(BgL_mainz00_19063,
										(int) (((long) 2)), BgL_bodyz00_20235);
									PROCEDURE_SET(BgL_mainz00_19063,
										(int) (((long) 3)), ((obj_t) BgL_i1321z00_20234));
									PROCEDURE_SET(BgL_mainz00_19063,
										(int) (((long) 4)), BgL_runz00_19061);
									PROCEDURE_SET(BgL_mainz00_19063,
										(int) (((long) 5)), BINT(BgL_siza7ezd2framez75_20236));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_13212;

										BgL_objz00_13212 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19061, BgL_objz00_13212);
										BgL_objz00_13212;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4064z00_5659;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4065z00_5660;
											obj_t BgL_arg4066z00_5661;

											BgL_arg4065z00_5660 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20234))->
												BgL_arityz00);
											BgL_arg4066z00_5661 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20234))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_13216;

												BgL_newz00_13216 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_36398;

													BgL_auxz00_36398 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13216, BgL_auxz00_36398,
														BgL_arg4066z00_5661);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_36403;
													int BgL_auxz00_36401;

													BgL_auxz00_36403 = BINT(BgL_siza7ezd2framez75_20236);
													BgL_auxz00_36401 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13216, BgL_auxz00_36401,
														BgL_auxz00_36403);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_36406;

													BgL_auxz00_36406 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13216, BgL_auxz00_36406,
														BgL_runz00_19061);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_36409;

													BgL_auxz00_36409 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13216, BgL_auxz00_36409,
														BgL_arg4065z00_5660);
												}
												BgL_arg4064z00_5659 = BgL_newz00_13216;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19063, BgL_arg4064z00_5659);
										BgL_arg4064z00_5659;
									}
									return BgL_mainz00_19063;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5971 */
	obj_t BGl_z62main5971z62zz__evaluate_compz00(obj_t BgL_envz00_20238,
		obj_t BgL_az00_20245, obj_t BgL_bz00_20246, obj_t BgL_cz00_20247,
		obj_t BgL_dz00_20248, obj_t BgL_restz00_20249)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_20242;
				obj_t BgL_runz00_20243;
				long BgL_siza7ezd2framez75_20244;

				BgL_i1321z00_20242 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20238, (int) (((long) 3))));
				BgL_runz00_20243 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20238, (int) (((long) 4))));
				BgL_siza7ezd2framez75_20244 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20238, (int) (((long) 5))));
				{
					obj_t BgL_az00_5662;
					obj_t BgL_bz00_5663;
					obj_t BgL_cz00_5664;
					obj_t BgL_dz00_5665;
					obj_t BgL_restz00_5666;

					BgL_az00_5662 = BgL_az00_20245;
					BgL_bz00_5663 = BgL_bz00_20246;
					BgL_cz00_5664 = BgL_cz00_20247;
					BgL_dz00_5665 = BgL_dz00_20248;
					BgL_restz00_5666 = BgL_restz00_20249;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5668;

						BgL_sz00_5668 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5669;

							BgL_bpz00_5669 = VECTOR_REF(BgL_sz00_5668, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_36425;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_13100;

									BgL_arg1970z00_13100 = VECTOR_LENGTH(BgL_sz00_5668);
									BgL_testz00_36425 =
										(
										((long) CINT(BgL_bpz00_5669) +
											BgL_siza7ezd2framez75_20244) <
										(long) (BgL_arg1970z00_13100));
								}
								if (BgL_testz00_36425)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4069z00_5671;

											BgL_arg4069z00_5671 =
												((long) CINT(BgL_bpz00_5669) + ((long) 0));
											VECTOR_SET(BgL_sz00_5668,
												(int) (BgL_arg4069z00_5671), BgL_az00_5662);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4070z00_5672;

											BgL_arg4070z00_5672 =
												((long) CINT(BgL_bpz00_5669) + ((long) 1));
											VECTOR_SET(BgL_sz00_5668,
												(int) (BgL_arg4070z00_5672), BgL_bz00_5663);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4071z00_5673;

											BgL_arg4071z00_5673 =
												((long) CINT(BgL_bpz00_5669) + ((long) 2));
											VECTOR_SET(BgL_sz00_5668,
												(int) (BgL_arg4071z00_5673), BgL_cz00_5664);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4072z00_5674;

											BgL_arg4072z00_5674 =
												((long) CINT(BgL_bpz00_5669) + ((long) 3));
											VECTOR_SET(BgL_sz00_5668,
												(int) (BgL_arg4072z00_5674), BgL_dz00_5665);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4073z00_5675;
											long BgL_arg4074z00_5676;
											long BgL_arg4075z00_5677;
											obj_t BgL_arg4076z00_5678;

											BgL_arg4073z00_5675 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20242))->
												BgL_wherez00);
											BgL_arg4074z00_5676 =
												((long) CINT(BgL_bpz00_5669) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_nz00_13135;

												BgL_nz00_13135 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20242))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_13135) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4075z00_5677 =
															((long) CINT(BgL_nz00_13135) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4075z00_5677 =
															((long) CINT(BgL_nz00_13135) - ((long) 4));
											}}
											BgL_arg4076z00_5678 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20242))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5668,
												BgL_arg4073z00_5675, BgL_arg4074z00_5676,
												BgL_arg4075z00_5677, BgL_restz00_5666,
												BgL_arg4076z00_5678);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1334z00_5680;

											BgL_exitd1334z00_5680 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34078ze3z83_19062;

												BgL_zc3anonymousza34078ze3z83_19062 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34078ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34078ze3z83_19062,
													(int) (((long) 0)), BgL_sz00_5668);
												PROCEDURE_SET(BgL_zc3anonymousza34078ze3z83_19062,
													(int) (((long) 1)), BgL_bpz00_5669);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1334z00_5680,
													BgL_zc3anonymousza34078ze3z83_19062);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1336z00_5682;

													BgL_tmp1336z00_5682 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_20243, BgL_sz00_5668, BgL_bpz00_5669);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1334z00_5680);
													VECTOR_SET(BgL_sz00_5668, (int) (((long) 0)),
														BgL_bpz00_5669);
													return BgL_tmp1336z00_5682;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5685;

										BgL_nsz00_5685 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5685,
											(int) (((long) 1)), BgL_sz00_5668);
										VECTOR_SET(BgL_nsz00_5685,
											(int) (((long) 2)), BgL_az00_5662);
										VECTOR_SET(BgL_nsz00_5685,
											(int) (((long) 3)), BgL_bz00_5663);
										VECTOR_SET(BgL_nsz00_5685,
											(int) (((long) 4)), BgL_cz00_5664);
										VECTOR_SET(BgL_nsz00_5685,
											(int) (((long) 5)), BgL_dz00_5665);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4079z00_5686;
											long BgL_arg4080z00_5687;
											obj_t BgL_arg4081z00_5688;

											BgL_arg4079z00_5686 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20242))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_nz00_13168;

												BgL_nz00_13168 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20242))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_13168) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4080z00_5687 =
															((long) CINT(BgL_nz00_13168) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4080z00_5687 =
															((long) CINT(BgL_nz00_13168) - ((long) 4));
											}}
											BgL_arg4081z00_5688 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20242))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5685,
												BgL_arg4079z00_5686, ((long) 6), BgL_arg4080z00_5687,
												BgL_restz00_5666, BgL_arg4081z00_5688);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_36495;

											BgL_auxz00_36495 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_36495, BgL_nsz00_5685);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1337z00_5691;

											BgL_exitd1337z00_5691 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34084ze3z83_19060;

												BgL_zc3anonymousza34084ze3z83_19060 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34084ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34084ze3z83_19060,
													(int) (((long) 0)), BgL_sz00_5668);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1337z00_5691,
													BgL_zc3anonymousza34084ze3z83_19060);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1339z00_5693;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13185;

														BgL_savedzd2bpzd2_13185 =
															VECTOR_REF(BgL_nsz00_5685, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5685,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13192;

															BgL_fz00_13192 = BgL_runz00_20243;
														BgL_recz00_13191:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13193;

																BgL_rz00_13193 =
																	PROCEDURE_ENTRY(BgL_fz00_13192)
																	(BgL_fz00_13192, BgL_nsz00_5685, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_36514;

																	if (PROCEDUREP(BgL_rz00_13193))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_13198;

																			BgL_arg1962z00_13198 =
																				PROCEDURE_ATTR(BgL_rz00_13193);
																			if (STRUCTP(BgL_arg1962z00_13198))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_36514 =
																						(STRUCT_KEY(BgL_arg1962z00_13198) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_36514 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_36514 = ((bool_t) 0);
																		}
																	if (BgL_testz00_36514)
																		{
																			obj_t BgL_fz00_36522;

																			BgL_fz00_36522 = BgL_rz00_13193;
																			BgL_fz00_13192 = BgL_fz00_36522;
																			goto BgL_recz00_13191;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5685,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13185);
																			BgL_tmp1339z00_5693 = BgL_rz00_13193;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1337z00_5691);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_36526;

														BgL_auxz00_36526 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_36526,
															BgL_sz00_5668);
													}
													return BgL_tmp1339z00_5693;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4078> */
	obj_t BGl_z62zc3anonymousza34078ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20250)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20251;
				obj_t BgL_bpz00_20252;

				BgL_sz00_20251 = PROCEDURE_REF(BgL_envz00_20250, (int) (((long) 0)));
				BgL_bpz00_20252 = PROCEDURE_REF(BgL_envz00_20250, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20251, (int) (((long) 0)), BgL_bpz00_20252);
		}}}
	}



/* &run5972 */
	obj_t BGl_z62run5972z62zz__evaluate_compz00(obj_t BgL_envz00_20253,
		obj_t BgL_sz00_20258)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				long BgL_siza7eza7_20254;
				obj_t BgL_valza2za2_20255;
				BgL_ev_absz00_bglt BgL_i1321z00_20256;
				obj_t BgL_bodyz00_20257;

				BgL_siza7eza7_20254 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20253, (int) (((long) 0))));
				BgL_valza2za2_20255 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20253, (int) (((long) 1))));
				BgL_i1321z00_20256 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20253, (int) (((long) 2))));
				BgL_bodyz00_20257 = PROCEDURE_REF(BgL_envz00_20253, (int) (((long) 3)));
				{
					obj_t BgL_sz00_5698;

					BgL_sz00_5698 = BgL_sz00_20258;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5700;

						BgL_bpz00_5700 = VECTOR_REF(BgL_sz00_5698, (int) (((long) 0)));
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5698,
							BgL_valza2za2_20255,
							((long) CINT(BgL_bpz00_5700) + BgL_siza7eza7_20254));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_5702;
							obj_t BgL_wherez00_5703;
							obj_t BgL_locz00_5704;

							BgL_z12denvz12_5702 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5703 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20256))->BgL_wherez00);
							BgL_locz00_5704 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20256))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5702, BgL_wherez00_5703,
									BgL_locz00_5704);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_5705;

									BgL_za2za2resza2za2z00_5705 =
										PROCEDURE_ENTRY(BgL_bodyz00_20257) (BgL_bodyz00_20257,
										BgL_sz00_5698, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5702);
									return BgL_za2za2resza2za2z00_5705;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4084> */
	obj_t BGl_z62zc3anonymousza34084ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20259)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20260;

				BgL_sz00_20260 = PROCEDURE_REF(BgL_envz00_20259, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_36562;

						BgL_auxz00_36562 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_36562, BgL_sz00_20260);
					}
				}
			}
		}
	}



/* &<anonymous:4088> */
	obj_t BGl_z62zc3anonymousza34088ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20261, obj_t BgL_sz00_20268)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_ifreesz00_20262;
				obj_t BgL_iboxesz00_20263;
				long BgL_siza7eza7_20264;
				BgL_ev_absz00_bglt BgL_i1321z00_20265;
				obj_t BgL_bodyz00_20266;
				long BgL_siza7ezd2framez75_20267;

				BgL_ifreesz00_20262 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20261, (int) (((long) 0))));
				BgL_iboxesz00_20263 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20261, (int) (((long) 1))));
				BgL_siza7eza7_20264 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20261, (int) (((long) 2))));
				BgL_i1321z00_20265 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20261, (int) (((long) 3))));
				BgL_bodyz00_20266 = PROCEDURE_REF(BgL_envz00_20261, (int) (((long) 4)));
				BgL_siza7ezd2framez75_20267 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20261, (int) (((long) 5))));
				{
					obj_t BgL_sz00_5707;

					BgL_sz00_5707 = BgL_sz00_20268;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5709;

						BgL_bpz00_5709 = VECTOR_REF(BgL_sz00_5707, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_valza2za2_5710;

							BgL_valza2za2_5710 =
								BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_5707,
								BgL_bpz00_5709, BgL_ifreesz00_20262);
							{	/* Eval/evaluate_comp.scm 1152 */
								obj_t BgL_runz00_19056;

								BgL_runz00_19056 =
									MAKE_FX_PROCEDURE(BGl_z62run5974z62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 5)));
								PROCEDURE_SET(BgL_runz00_19056,
									(int) (((long) 0)), BgL_iboxesz00_20263);
								PROCEDURE_SET(BgL_runz00_19056,
									(int) (((long) 1)), BINT(BgL_siza7eza7_20264));
								PROCEDURE_SET(BgL_runz00_19056,
									(int) (((long) 2)), BgL_valza2za2_5710);
								PROCEDURE_SET(BgL_runz00_19056,
									(int) (((long) 3)), ((obj_t) BgL_i1321z00_20265));
								PROCEDURE_SET(BgL_runz00_19056,
									(int) (((long) 4)), BgL_bodyz00_20266);
								{	/* Eval/evaluate_comp.scm 1152 */
									obj_t BgL_mainz00_19058;

									BgL_mainz00_19058 =
										MAKE_VA_PROCEDURE(BGl_z62main5973z62zz__evaluate_compz00,
										(int) (((long) -5)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_mainz00_19058,
										(int) (((long) 0)), BgL_iboxesz00_20263);
									PROCEDURE_SET(BgL_mainz00_19058,
										(int) (((long) 1)), BINT(BgL_siza7eza7_20264));
									PROCEDURE_SET(BgL_mainz00_19058,
										(int) (((long) 2)), BgL_valza2za2_5710);
									PROCEDURE_SET(BgL_mainz00_19058,
										(int) (((long) 3)), BgL_bodyz00_20266);
									PROCEDURE_SET(BgL_mainz00_19058,
										(int) (((long) 4)), ((obj_t) BgL_i1321z00_20265));
									PROCEDURE_SET(BgL_mainz00_19058,
										(int) (((long) 5)), BgL_runz00_19056);
									PROCEDURE_SET(BgL_mainz00_19058,
										(int) (((long) 6)), BINT(BgL_siza7ezd2framez75_20267));
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_objz00_13362;

										BgL_objz00_13362 =
											BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00;
										PROCEDURE_ATTR_SET(BgL_runz00_19056, BgL_objz00_13362);
										BgL_objz00_13362;
									}
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_arg4089z00_5713;

										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4090z00_5714;
											obj_t BgL_arg4091z00_5715;

											BgL_arg4090z00_5714 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20265))->
												BgL_arityz00);
											BgL_arg4091z00_5715 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20265))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 664 */
												obj_t BgL_newz00_13366;

												BgL_newz00_13366 =
													create_struct(BGl_symbol6004z00zz__evaluate_compz00,
													(int) (((long) 4)));
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_36625;

													BgL_auxz00_36625 = (int) (((long) 3));
													STRUCT_SET(BgL_newz00_13366, BgL_auxz00_36625,
														BgL_arg4091z00_5715);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													obj_t BgL_auxz00_36630;
													int BgL_auxz00_36628;

													BgL_auxz00_36630 = BINT(BgL_siza7ezd2framez75_20267);
													BgL_auxz00_36628 = (int) (((long) 2));
													STRUCT_SET(BgL_newz00_13366, BgL_auxz00_36628,
														BgL_auxz00_36630);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_36633;

													BgL_auxz00_36633 = (int) (((long) 1));
													STRUCT_SET(BgL_newz00_13366, BgL_auxz00_36633,
														BgL_runz00_19056);
												}
												{	/* Eval/evaluate_comp.scm 664 */
													int BgL_auxz00_36636;

													BgL_auxz00_36636 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_13366, BgL_auxz00_36636,
														BgL_arg4090z00_5714);
												}
												BgL_arg4089z00_5713 = BgL_newz00_13366;
										}}
										PROCEDURE_ATTR_SET(BgL_mainz00_19058, BgL_arg4089z00_5713);
										BgL_arg4089z00_5713;
									}
									return BgL_mainz00_19058;
								}
							}
						}
					}
				}
			}
		}
	}



/* &main5973 */
	obj_t BGl_z62main5973z62zz__evaluate_compz00(obj_t BgL_envz00_20269,
		obj_t BgL_az00_20277, obj_t BgL_bz00_20278, obj_t BgL_cz00_20279,
		obj_t BgL_dz00_20280, obj_t BgL_restz00_20281)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				BgL_ev_absz00_bglt BgL_i1321z00_20274;
				obj_t BgL_runz00_20275;
				long BgL_siza7ezd2framez75_20276;

				BgL_i1321z00_20274 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20269, (int) (((long) 4))));
				BgL_runz00_20275 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20269, (int) (((long) 5))));
				BgL_siza7ezd2framez75_20276 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20269, (int) (((long) 6))));
				{
					obj_t BgL_az00_5716;
					obj_t BgL_bz00_5717;
					obj_t BgL_cz00_5718;
					obj_t BgL_dz00_5719;
					obj_t BgL_restz00_5720;

					BgL_az00_5716 = BgL_az00_20277;
					BgL_bz00_5717 = BgL_bz00_20278;
					BgL_cz00_5718 = BgL_cz00_20279;
					BgL_dz00_5719 = BgL_dz00_20280;
					BgL_restz00_5720 = BgL_restz00_20281;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_sz00_5722;

						BgL_sz00_5722 = BGl_findzd2statezd2zz__evaluate_compz00();
						{	/* Eval/evaluate_comp.scm 1152 */
							obj_t BgL_bpz00_5723;

							BgL_bpz00_5723 = VECTOR_REF(BgL_sz00_5722, (int) (((long) 0)));
							{	/* Eval/evaluate_comp.scm 1152 */
								bool_t BgL_testz00_36652;

								{	/* Eval/evaluate_comp.scm 667 */
									int BgL_arg1970z00_13250;

									BgL_arg1970z00_13250 = VECTOR_LENGTH(BgL_sz00_5722);
									BgL_testz00_36652 =
										(
										((long) CINT(BgL_bpz00_5723) +
											BgL_siza7ezd2framez75_20276) <
										(long) (BgL_arg1970z00_13250));
								}
								if (BgL_testz00_36652)
									{	/* Eval/evaluate_comp.scm 1152 */
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4094z00_5725;

											BgL_arg4094z00_5725 =
												((long) CINT(BgL_bpz00_5723) + ((long) 0));
											VECTOR_SET(BgL_sz00_5722,
												(int) (BgL_arg4094z00_5725), BgL_az00_5716);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4095z00_5726;

											BgL_arg4095z00_5726 =
												((long) CINT(BgL_bpz00_5723) + ((long) 1));
											VECTOR_SET(BgL_sz00_5722,
												(int) (BgL_arg4095z00_5726), BgL_bz00_5717);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4096z00_5727;

											BgL_arg4096z00_5727 =
												((long) CINT(BgL_bpz00_5723) + ((long) 2));
											VECTOR_SET(BgL_sz00_5722,
												(int) (BgL_arg4096z00_5727), BgL_cz00_5718);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											long BgL_arg4097z00_5728;

											BgL_arg4097z00_5728 =
												((long) CINT(BgL_bpz00_5723) + ((long) 3));
											VECTOR_SET(BgL_sz00_5722,
												(int) (BgL_arg4097z00_5728), BgL_dz00_5719);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4098z00_5729;
											long BgL_arg4099z00_5730;
											long BgL_arg4100z00_5731;
											obj_t BgL_arg4101z00_5732;

											BgL_arg4098z00_5729 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20274))->
												BgL_wherez00);
											BgL_arg4099z00_5730 =
												((long) CINT(BgL_bpz00_5723) + ((long) 4));
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_nz00_13285;

												BgL_nz00_13285 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20274))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_13285) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4100z00_5731 =
															((long) CINT(BgL_nz00_13285) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4100z00_5731 =
															((long) CINT(BgL_nz00_13285) - ((long) 4));
											}}
											BgL_arg4101z00_5732 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20274))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_5722,
												BgL_arg4098z00_5729, BgL_arg4099z00_5730,
												BgL_arg4100z00_5731, BgL_restz00_5720,
												BgL_arg4101z00_5732);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1340z00_5734;

											BgL_exitd1340z00_5734 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34103ze3z83_19057;

												BgL_zc3anonymousza34103ze3z83_19057 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34103ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 2)));
												PROCEDURE_SET(BgL_zc3anonymousza34103ze3z83_19057,
													(int) (((long) 0)), BgL_sz00_5722);
												PROCEDURE_SET(BgL_zc3anonymousza34103ze3z83_19057,
													(int) (((long) 1)), BgL_bpz00_5723);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1340z00_5734,
													BgL_zc3anonymousza34103ze3z83_19057);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1342z00_5736;

													BgL_tmp1342z00_5736 =
														BGl_catchzd2trampolinezd2zz__evaluate_compz00
														(BgL_runz00_20275, BgL_sz00_5722, BgL_bpz00_5723);
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1340z00_5734);
													VECTOR_SET(BgL_sz00_5722, (int) (((long) 0)),
														BgL_bpz00_5723);
													return BgL_tmp1342z00_5736;
												}
											}
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 1152 */
										obj_t BgL_nsz00_5739;

										BgL_nsz00_5739 = BGl_makezd2statezd2zz__evaluate_compz00();
										VECTOR_SET(BgL_nsz00_5739,
											(int) (((long) 1)), BgL_sz00_5722);
										VECTOR_SET(BgL_nsz00_5739,
											(int) (((long) 2)), BgL_az00_5716);
										VECTOR_SET(BgL_nsz00_5739,
											(int) (((long) 3)), BgL_bz00_5717);
										VECTOR_SET(BgL_nsz00_5739,
											(int) (((long) 4)), BgL_cz00_5718);
										VECTOR_SET(BgL_nsz00_5739,
											(int) (((long) 5)), BgL_dz00_5719);
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_arg4104z00_5740;
											long BgL_arg4105z00_5741;
											obj_t BgL_arg4106z00_5742;

											BgL_arg4104z00_5740 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20274))->
												BgL_wherez00);
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_nz00_13318;

												BgL_nz00_13318 =
													(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20274))->
													BgL_arityz00);
												if (((long) CINT(BgL_nz00_13318) < ((long) 0)))
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4105z00_5741 =
															((long) CINT(BgL_nz00_13318) + ((long) 4));
													}
												else
													{	/* Eval/evaluate_comp.scm 1036 */
														BgL_arg4105z00_5741 =
															((long) CINT(BgL_nz00_13318) - ((long) 4));
											}}
											BgL_arg4106z00_5742 =
												(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20274))->
												BgL_locz00);
											BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_5739,
												BgL_arg4104z00_5740, ((long) 6), BgL_arg4105z00_5741,
												BgL_restz00_5720, BgL_arg4106z00_5742);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_auxz00_36722;

											BgL_auxz00_36722 = BGL_CURRENT_DYNAMIC_ENV();
											BGL_ENV_EVSTATE_SET(BgL_auxz00_36722, BgL_nsz00_5739);
										}
										{	/* Eval/evaluate_comp.scm 1152 */
											obj_t BgL_exitd1343z00_5745;

											BgL_exitd1343z00_5745 = BGL_EXITD_TOP_AS_OBJ();
											{	/* Eval/evaluate_comp.scm 1152 */
												obj_t BgL_zc3anonymousza34109ze3z83_19055;

												BgL_zc3anonymousza34109ze3z83_19055 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza34109ze3ze1zz__evaluate_compz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza34109ze3z83_19055,
													(int) (((long) 0)), BgL_sz00_5722);
												BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
													(BgL_exitd1343z00_5745,
													BgL_zc3anonymousza34109ze3z83_19055);
												{	/* Eval/evaluate_comp.scm 1152 */
													obj_t BgL_tmp1345z00_5747;

													{	/* Eval/evaluate_comp.scm 651 */
														obj_t BgL_savedzd2bpzd2_13335;

														BgL_savedzd2bpzd2_13335 =
															VECTOR_REF(BgL_nsz00_5739, (int) (((long) 0)));
														VECTOR_SET(BgL_nsz00_5739,
															(int) (((long) 0)), BINT(((long) 2)));
														{
															obj_t BgL_fz00_13342;

															BgL_fz00_13342 = BgL_runz00_20275;
														BgL_recz00_13341:
															{	/* Eval/evaluate_comp.scm 654 */
																obj_t BgL_rz00_13343;

																BgL_rz00_13343 =
																	PROCEDURE_ENTRY(BgL_fz00_13342)
																	(BgL_fz00_13342, BgL_nsz00_5739, BEOA);
																{	/* Eval/evaluate_comp.scm 655 */
																	bool_t BgL_testz00_36741;

																	if (PROCEDUREP(BgL_rz00_13343))
																		{	/* Eval/evaluate_comp.scm 655 */
																			obj_t BgL_arg1962z00_13348;

																			BgL_arg1962z00_13348 =
																				PROCEDURE_ATTR(BgL_rz00_13343);
																			if (STRUCTP(BgL_arg1962z00_13348))
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_36741 =
																						(STRUCT_KEY(BgL_arg1962z00_13348) ==
																						BGl_symbol5983z00zz__evaluate_compz00);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 635 */
																					BgL_testz00_36741 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			BgL_testz00_36741 = ((bool_t) 0);
																		}
																	if (BgL_testz00_36741)
																		{
																			obj_t BgL_fz00_36749;

																			BgL_fz00_36749 = BgL_rz00_13343;
																			BgL_fz00_13342 = BgL_fz00_36749;
																			goto BgL_recz00_13341;
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 655 */
																			VECTOR_SET(BgL_nsz00_5739,
																				(int) (((long) 0)),
																				BgL_savedzd2bpzd2_13335);
																			BgL_tmp1345z00_5747 = BgL_rz00_13343;
													}}}}}
													BGl_exitdzd2popzd2protectz12z12zz__bexitz00
														(BgL_exitd1343z00_5745);
													{	/* Eval/evaluate_comp.scm 1152 */
														obj_t BgL_auxz00_36753;

														BgL_auxz00_36753 = BGL_CURRENT_DYNAMIC_ENV();
														BGL_ENV_EVSTATE_SET(BgL_auxz00_36753,
															BgL_sz00_5722);
													}
													return BgL_tmp1345z00_5747;
												}
											}
										}
									}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4103> */
	obj_t BGl_z62zc3anonymousza34103ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20282)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20283;
				obj_t BgL_bpz00_20284;

				BgL_sz00_20283 = PROCEDURE_REF(BgL_envz00_20282, (int) (((long) 0)));
				BgL_bpz00_20284 = PROCEDURE_REF(BgL_envz00_20282, (int) (((long) 1)));
				{

					return
						VECTOR_SET(BgL_sz00_20283, (int) (((long) 0)), BgL_bpz00_20284);
		}}}
	}



/* &run5974 */
	obj_t BGl_z62run5974z62zz__evaluate_compz00(obj_t BgL_envz00_20285,
		obj_t BgL_sz00_20291)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_iboxesz00_20286;
				long BgL_siza7eza7_20287;
				obj_t BgL_valza2za2_20288;
				BgL_ev_absz00_bglt BgL_i1321z00_20289;
				obj_t BgL_bodyz00_20290;

				BgL_iboxesz00_20286 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20285, (int) (((long) 0))));
				BgL_siza7eza7_20287 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20285, (int) (((long) 1))));
				BgL_valza2za2_20288 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20285, (int) (((long) 2))));
				BgL_i1321z00_20289 =
					((BgL_ev_absz00_bglt)
					PROCEDURE_REF(BgL_envz00_20285, (int) (((long) 3))));
				BgL_bodyz00_20290 = PROCEDURE_REF(BgL_envz00_20285, (int) (((long) 4)));
				{
					obj_t BgL_sz00_5752;

					BgL_sz00_5752 = BgL_sz00_20291;
					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_bpz00_5754;

						BgL_bpz00_5754 = VECTOR_REF(BgL_sz00_5752, (int) (((long) 0)));
						BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_5752,
							BgL_iboxesz00_20286, BgL_bpz00_5754);
						BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_5752,
							BgL_valza2za2_20288,
							((long) CINT(BgL_bpz00_5754) + BgL_siza7eza7_20287));
						{	/* Eval/evaluate_comp.scm 1072 */
							obj_t BgL_z12denvz12_5756;
							obj_t BgL_wherez00_5757;
							obj_t BgL_locz00_5758;

							BgL_z12denvz12_5756 = BGL_CURRENT_DYNAMIC_ENV();
							BgL_wherez00_5757 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20289))->BgL_wherez00);
							BgL_locz00_5758 =
								(((BgL_ev_absz00_bglt) CREF(BgL_i1321z00_20289))->BgL_locz00);
							{	/* Eval/evaluate_comp.scm 1072 */

								BGL_ENV_PUSH_TRACE(BgL_z12denvz12_5756, BgL_wherez00_5757,
									BgL_locz00_5758);
								{	/* Eval/evaluate_comp.scm 1072 */
									obj_t BgL_za2za2resza2za2z00_5759;

									BgL_za2za2resza2za2z00_5759 =
										PROCEDURE_ENTRY(BgL_bodyz00_20290) (BgL_bodyz00_20290,
										BgL_sz00_5752, BEOA);
									BGL_ENV_POP_TRACE(BgL_z12denvz12_5756);
									return BgL_za2za2resza2za2z00_5759;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:4109> */
	obj_t BGl_z62zc3anonymousza34109ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20292)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1152 */
			{	/* Eval/evaluate_comp.scm 1152 */
				obj_t BgL_sz00_20293;

				BgL_sz00_20293 = PROCEDURE_REF(BgL_envz00_20292, (int) (((long) 0)));
				{

					{	/* Eval/evaluate_comp.scm 1152 */
						obj_t BgL_auxz00_36793;

						BgL_auxz00_36793 = BGL_CURRENT_DYNAMIC_ENV();
						return BGL_ENV_EVSTATE_SET(BgL_auxz00_36793, BgL_sz00_20293);
					}
				}
			}
		}
	}



/* &comp-ev_app1751 */
	obj_t BGl_z62compzd2ev_app1751zb0zz__evaluate_compz00(obj_t BgL_envz00_20294,
		obj_t BgL_ez00_20295, obj_t BgL_stkz00_20296)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 1021 */
			{
				BgL_ev_appz00_bglt BgL_ez00_3855;
				obj_t BgL_stkz00_3856;

				BgL_ez00_3855 = ((BgL_ev_appz00_bglt) BgL_ez00_20295);
				BgL_stkz00_3856 = BgL_stkz00_20296;
				{	/* Eval/evaluate_comp.scm 1023 */
					obj_t BgL__ortest_1307z00_3860;

					BgL__ortest_1307z00_3860 =
						BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ez00_3855,
						BgL_stkz00_3856);
					if (CBOOL(BgL__ortest_1307z00_3860))
						{	/* Eval/evaluate_comp.scm 1023 */
							return BgL__ortest_1307z00_3860;
						}
					else
						{	/* Eval/evaluate_comp.scm 1024 */
							obj_t BgL__ortest_1308z00_3861;

							BgL__ortest_1308z00_3861 =
								BGl_inlinezd2callzd2zz__evaluate_compz00(
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3855))->BgL_locz00),
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3855))->BgL_funz00),
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3855))->BgL_argsz00),
								BgL_stkz00_3856);
							if (CBOOL(BgL__ortest_1308z00_3861))
								{	/* Eval/evaluate_comp.scm 1024 */
									return BgL__ortest_1308z00_3861;
								}
							else
								{	/* Eval/evaluate_comp.scm 1024 */
									if (
										(bgl_list_length(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3855))->
													BgL_argsz00)) > ((long) 4)))
										{	/* Eval/evaluate_comp.scm 1025 */
											return
												BGl_compzd2oldzd2callz00zz__evaluate_compz00
												(BgL_ez00_3855, BgL_stkz00_3856);
										}
									else
										{	/* Eval/evaluate_comp.scm 1027 */
											obj_t BgL_fz00_3863;
											long BgL_siza7eza7_3864;
											obj_t BgL_symbzd2funzd2_3865;

											BgL_fz00_3863 =
												BGl_compz00zz__evaluate_compz00(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3855))->
													BgL_funz00), BgL_stkz00_3856);
											BgL_siza7eza7_3864 = bgl_list_length(BgL_stkz00_3856);
											BgL_symbzd2funzd2_3865 =
												BGl_uncompilez00zz__evaluate_uncompz00(
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3855))->
													BgL_funz00));
											if (NULLP((((BgL_ev_appz00_bglt) CREF(BgL_ez00_3855))->
														BgL_argsz00)))
												{	/* Eval/evaluate_comp.scm 1028 */
													return
														BGl_compzd2call0zd2zz__evaluate_compz00(
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3855))->
															BgL_locz00),
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3855))->
															BgL_funz00), BgL_symbzd2funzd2_3865,
														BgL_fz00_3863,
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3855))->
															BgL_tailzf3zf3), BgL_stkz00_3856,
														BgL_siza7eza7_3864);
												}
											else
												{	/* Eval/evaluate_comp.scm 1030 */
													obj_t BgL_a1z00_3870;
													obj_t BgL_argsz00_3871;

													{	/* Eval/evaluate_comp.scm 1030 */
														obj_t BgL_arg3416z00_3897;

														BgL_arg3416z00_3897 =
															CAR(
															(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3855))->
																BgL_argsz00));
														BgL_a1z00_3870 =
															BGl_compz00zz__evaluate_compz00((
																(BgL_ev_exprz00_bglt) BgL_arg3416z00_3897),
															BgL_stkz00_3856);
													}
													BgL_argsz00_3871 =
														CDR(
														(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3855))->
															BgL_argsz00));
													if (NULLP(BgL_argsz00_3871))
														{	/* Eval/evaluate_comp.scm 1030 */
															return
																BGl_compzd2call1zd2zz__evaluate_compz00(
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3855))->
																	BgL_locz00),
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3855))->
																	BgL_funz00), BgL_symbzd2funzd2_3865,
																BgL_fz00_3863,
																(((BgL_ev_appz00_bglt) CREF(BgL_ez00_3855))->
																	BgL_tailzf3zf3), BgL_stkz00_3856,
																BgL_siza7eza7_3864, BgL_a1z00_3870);
														}
													else
														{	/* Eval/evaluate_comp.scm 1030 */
															obj_t BgL_a2z00_3876;
															obj_t BgL_argsz00_3877;

															{	/* Eval/evaluate_comp.scm 1030 */
																obj_t BgL_arg3415z00_3896;

																BgL_arg3415z00_3896 = CAR(BgL_argsz00_3871);
																BgL_a2z00_3876 =
																	BGl_compz00zz__evaluate_compz00(
																	((BgL_ev_exprz00_bglt) BgL_arg3415z00_3896),
																	BgL_stkz00_3856);
															}
															BgL_argsz00_3877 = CDR(BgL_argsz00_3871);
															if (NULLP(BgL_argsz00_3877))
																{	/* Eval/evaluate_comp.scm 1030 */
																	return
																		BGl_compzd2call2zd2zz__evaluate_compz00(
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3855))->BgL_locz00),
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3855))->BgL_funz00),
																		BgL_symbzd2funzd2_3865, BgL_fz00_3863,
																		(((BgL_ev_appz00_bglt)
																				CREF(BgL_ez00_3855))->BgL_tailzf3zf3),
																		BgL_stkz00_3856, BgL_siza7eza7_3864,
																		BgL_a1z00_3870, BgL_a2z00_3876);
																}
															else
																{	/* Eval/evaluate_comp.scm 1030 */
																	obj_t BgL_a3z00_3882;
																	obj_t BgL_argsz00_3883;

																	{	/* Eval/evaluate_comp.scm 1030 */
																		obj_t BgL_arg3414z00_3895;

																		BgL_arg3414z00_3895 = CAR(BgL_argsz00_3877);
																		BgL_a3z00_3882 =
																			BGl_compz00zz__evaluate_compz00(
																			((BgL_ev_exprz00_bglt)
																				BgL_arg3414z00_3895), BgL_stkz00_3856);
																	}
																	BgL_argsz00_3883 = CDR(BgL_argsz00_3877);
																	if (NULLP(BgL_argsz00_3883))
																		{	/* Eval/evaluate_comp.scm 1030 */
																			return
																				BGl_compzd2call3zd2zz__evaluate_compz00(
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3855))->BgL_locz00),
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3855))->BgL_funz00),
																				BgL_symbzd2funzd2_3865, BgL_fz00_3863,
																				(((BgL_ev_appz00_bglt)
																						CREF(BgL_ez00_3855))->
																					BgL_tailzf3zf3), BgL_stkz00_3856,
																				BgL_siza7eza7_3864, BgL_a1z00_3870,
																				BgL_a2z00_3876, BgL_a3z00_3882);
																		}
																	else
																		{	/* Eval/evaluate_comp.scm 1030 */
																			obj_t BgL_a4z00_3888;
																			obj_t BgL_argsz00_3889;

																			{	/* Eval/evaluate_comp.scm 1030 */
																				obj_t BgL_arg3413z00_3894;

																				BgL_arg3413z00_3894 =
																					CAR(BgL_argsz00_3883);
																				BgL_a4z00_3888 =
																					BGl_compz00zz__evaluate_compz00(
																					((BgL_ev_exprz00_bglt)
																						BgL_arg3413z00_3894),
																					BgL_stkz00_3856);
																			}
																			BgL_argsz00_3889 = CDR(BgL_argsz00_3883);
																			if (NULLP(BgL_argsz00_3889))
																				{	/* Eval/evaluate_comp.scm 1030 */
																					return
																						BGl_compzd2call4zd2zz__evaluate_compz00
																						((((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3855))->
																							BgL_locz00),
																						(((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3855))->
																							BgL_funz00),
																						BgL_symbzd2funzd2_3865,
																						BgL_fz00_3863,
																						(((BgL_ev_appz00_bglt)
																								CREF(BgL_ez00_3855))->
																							BgL_tailzf3zf3), BgL_stkz00_3856,
																						BgL_siza7eza7_3864, BgL_a1z00_3870,
																						BgL_a2z00_3876, BgL_a3z00_3882,
																						BgL_a4z00_3888);
																				}
																			else
																				{	/* Eval/evaluate_comp.scm 1030 */
																					return
																						BGl_errorz00zz__errorz00
																						(BGl_string5987z00zz__evaluate_compz00,
																						BGl_string6102z00zz__evaluate_compz00,
																						BGl_string6103z00zz__evaluate_compz00);
																				}
																		}
																}
														}
												}
										}
								}
						}
				}
			}
		}
	}



/* &comp-ev_goto1749 */
	obj_t BGl_z62compzd2ev_goto1749zb0zz__evaluate_compz00(obj_t BgL_envz00_20297,
		obj_t BgL_ez00_20298, obj_t BgL_stkz00_20299)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 585 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_3812;
				obj_t BgL_stkz00_3813;

				BgL_ez00_3812 = ((BgL_ev_gotoz00_bglt) BgL_ez00_20298);
				BgL_stkz00_3813 = BgL_stkz00_20299;
				{	/* Eval/evaluate_comp.scm 588 */
					obj_t BgL_slotz00_3817;
					long BgL_siza7eza7_3818;
					obj_t BgL_lstkz00_3819;

					BgL_slotz00_3817 =
						BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
						((obj_t)
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3812))->BgL_labelz00)),
						(((BgL_ev_labelsz00_bglt) CREF(
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3812))->
										BgL_labelsz00)))->BgL_envz00));
					BgL_siza7eza7_3818 = bgl_list_length(BgL_stkz00_3813);
					BgL_lstkz00_3819 =
						(((BgL_ev_labelsz00_bglt) CREF(
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3812))->BgL_labelsz00)))->
						BgL_stkz00);
					{	/* Eval/evaluate_comp.scm 590 */
						long BgL_llstkz00_3820;
						obj_t BgL_substkz00_3821;
						obj_t BgL_boxesz00_3822;

						BgL_llstkz00_3820 = bgl_list_length(BgL_lstkz00_3819);
						BgL_substkz00_3821 =
							BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_3819,
							BgL_stkz00_3813);
						{	/* Eval/evaluate_comp.scm 590 */
							obj_t BgL_pairz00_12657;

							BgL_pairz00_12657 =
								BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
								((obj_t)
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3812))->BgL_labelz00)),
								(((BgL_ev_labelsz00_bglt) CREF(
											(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3812))->
												BgL_labelsz00)))->BgL_boxesz00));
							BgL_boxesz00_3822 = CDR(BgL_pairz00_12657);
						}
						if (BGl_needzd2shiftzd2zz__evaluate_compz00(
								(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3812))->BgL_argsz00),
								BgL_substkz00_3821))
							{	/* Eval/evaluate_comp.scm 593 */
								obj_t BgL_argsz00_3824;
								long BgL_nbargsz00_3825;

								BgL_argsz00_3824 =
									BGl_compzd2withzd2pushz00zz__evaluate_compz00(
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3812))->BgL_argsz00),
									BgL_stkz00_3813);
								BgL_nbargsz00_3825 =
									bgl_list_length((((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3812))->
										BgL_argsz00));
								{	/* Eval/evaluate_comp.scm 594 */
									obj_t BgL_zc3anonymousza33370ze3z83_19077;

									BgL_zc3anonymousza33370ze3z83_19077 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza33370ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 7)));
									PROCEDURE_SET(BgL_zc3anonymousza33370ze3z83_19077,
										(int) (((long) 0)), BINT(BgL_siza7eza7_3818));
									PROCEDURE_SET(BgL_zc3anonymousza33370ze3z83_19077,
										(int) (((long) 1)), BINT(BgL_llstkz00_3820));
									PROCEDURE_SET(BgL_zc3anonymousza33370ze3z83_19077,
										(int) (((long) 2)), ((obj_t) BgL_ez00_3812));
									PROCEDURE_SET(BgL_zc3anonymousza33370ze3z83_19077,
										(int) (((long) 3)), BgL_argsz00_3824);
									PROCEDURE_SET(BgL_zc3anonymousza33370ze3z83_19077,
										(int) (((long) 4)), BgL_boxesz00_3822);
									PROCEDURE_SET(BgL_zc3anonymousza33370ze3z83_19077,
										(int) (((long) 5)), BINT(BgL_nbargsz00_3825));
									PROCEDURE_SET(BgL_zc3anonymousza33370ze3z83_19077,
										(int) (((long) 6)), BgL_slotz00_3817);
									return BgL_zc3anonymousza33370ze3z83_19077;
								}
							}
						else
							{	/* Eval/evaluate_comp.scm 599 */
								obj_t BgL_argsz00_3836;

								BgL_argsz00_3836 =
									BGl_recz00zz__evaluate_compz00(BgL_stkz00_3813,
									(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_3812))->BgL_argsz00),
									(BgL_siza7eza7_3818 - BgL_llstkz00_3820));
								{	/* Eval/evaluate_comp.scm 600 */
									obj_t BgL_zc3anonymousza33377ze3z83_19078;

									BgL_zc3anonymousza33377ze3z83_19078 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza33377ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 5)));
									PROCEDURE_SET(BgL_zc3anonymousza33377ze3z83_19078,
										(int) (((long) 0)), BINT(BgL_llstkz00_3820));
									PROCEDURE_SET(BgL_zc3anonymousza33377ze3z83_19078,
										(int) (((long) 1)), ((obj_t) BgL_ez00_3812));
									PROCEDURE_SET(BgL_zc3anonymousza33377ze3z83_19078,
										(int) (((long) 2)), BgL_argsz00_3836);
									PROCEDURE_SET(BgL_zc3anonymousza33377ze3z83_19078,
										(int) (((long) 3)), BgL_boxesz00_3822);
									PROCEDURE_SET(BgL_zc3anonymousza33377ze3z83_19078,
										(int) (((long) 4)), BgL_slotz00_3817);
									return BgL_zc3anonymousza33377ze3z83_19078;
								}
							}
					}
				}
			}
		}
	}



/* &<anonymous:3370> */
	obj_t BGl_z62zc3anonymousza33370ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20300, obj_t BgL_sz00_20308)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 594 */
			{	/* Eval/evaluate_comp.scm 594 */
				long BgL_siza7eza7_20301;
				long BgL_llstkz00_20302;
				BgL_ev_gotoz00_bglt BgL_i1141z00_20303;
				obj_t BgL_argsz00_20304;
				obj_t BgL_boxesz00_20305;
				long BgL_nbargsz00_20306;
				obj_t BgL_slotz00_20307;

				BgL_siza7eza7_20301 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20300, (int) (((long) 0))));
				BgL_llstkz00_20302 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20300, (int) (((long) 1))));
				BgL_i1141z00_20303 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_20300, (int) (((long) 2))));
				BgL_argsz00_20304 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20300, (int) (((long) 3))));
				BgL_boxesz00_20305 =
					PROCEDURE_REF(BgL_envz00_20300, (int) (((long) 4)));
				BgL_nbargsz00_20306 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20300, (int) (((long) 5))));
				BgL_slotz00_20307 = PROCEDURE_REF(BgL_envz00_20300, (int) (((long) 6)));
				{
					obj_t BgL_sz00_3826;

					BgL_sz00_3826 = BgL_sz00_20308;
					{	/* Eval/evaluate_comp.scm 594 */
						obj_t BgL_bpz00_3828;

						BgL_bpz00_3828 = VECTOR_REF(BgL_sz00_3826, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 595 */
							long BgL_spz00_3829;
							long BgL_lspz00_3830;

							BgL_spz00_3829 =
								((long) CINT(BgL_bpz00_3828) + BgL_siza7eza7_20301);
							BgL_lspz00_3830 =
								((long) CINT(BgL_bpz00_3828) + BgL_llstkz00_20302);
							BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
								(BgL_sz00_3826, BgL_argsz00_20304, BgL_boxesz00_20305,
								BgL_spz00_3829,
								(((BgL_ev_gotoz00_bglt) CREF(BgL_i1141z00_20303))->BgL_locz00));
							{	/* Eval/evaluate_comp.scm 597 */
								long BgL_arg3372z00_3832;

								BgL_arg3372z00_3832 = (BgL_spz00_3829 + BgL_nbargsz00_20306);
								BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_3826,
									BINT(BgL_lspz00_3830), BgL_sz00_3826,
									BINT(BgL_spz00_3829), BINT(BgL_arg3372z00_3832));
							}
							return CDR(BgL_slotz00_20307);
						}
					}
				}
			}
		}
	}



/* &<anonymous:3377> */
	obj_t BGl_z62zc3anonymousza33377ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20309, obj_t BgL_sz00_20315)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 600 */
			{	/* Eval/evaluate_comp.scm 600 */
				long BgL_llstkz00_20310;
				BgL_ev_gotoz00_bglt BgL_i1141z00_20311;
				obj_t BgL_argsz00_20312;
				obj_t BgL_boxesz00_20313;
				obj_t BgL_slotz00_20314;

				BgL_llstkz00_20310 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20309, (int) (((long) 0))));
				BgL_i1141z00_20311 =
					((BgL_ev_gotoz00_bglt)
					PROCEDURE_REF(BgL_envz00_20309, (int) (((long) 1))));
				BgL_argsz00_20312 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20309, (int) (((long) 2))));
				BgL_boxesz00_20313 =
					PROCEDURE_REF(BgL_envz00_20309, (int) (((long) 3)));
				BgL_slotz00_20314 = PROCEDURE_REF(BgL_envz00_20309, (int) (((long) 4)));
				{
					obj_t BgL_sz00_3837;

					BgL_sz00_3837 = BgL_sz00_20315;
					{	/* Eval/evaluate_comp.scm 600 */
						obj_t BgL_bpz00_3839;

						BgL_bpz00_3839 = VECTOR_REF(BgL_sz00_3837, (int) (((long) 0)));
						BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00
							(BgL_sz00_3837, BgL_argsz00_20312, BgL_boxesz00_20313,
							((long) CINT(BgL_bpz00_3839) + BgL_llstkz00_20310),
							(((BgL_ev_gotoz00_bglt) CREF(BgL_i1141z00_20311))->BgL_locz00));
						return CDR(BgL_slotz00_20314);
					}
				}
			}
		}
	}



/* &comp-ev_labels1747 */
	obj_t BGl_z62compzd2ev_labels1747zb0zz__evaluate_compz00(obj_t
		BgL_envz00_20316, obj_t BgL_ez00_20317, obj_t BgL_stkz00_20318)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 553 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_3766;
				obj_t BgL_stkz00_3767;

				BgL_ez00_3766 = ((BgL_ev_labelsz00_bglt) BgL_ez00_20317);
				BgL_stkz00_3767 = BgL_stkz00_20318;
				((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3766))->BgL_stkz00) =
					((obj_t) BgL_stkz00_3767), BUNSPEC);
				{	/* Eval/evaluate_comp.scm 560 */
					obj_t BgL_envz00_3772;

					{	/* Eval/evaluate_comp.scm 560 */
						obj_t BgL_l1654z00_3790;

						BgL_l1654z00_3790 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3766))->BgL_varsz00);
						if (NULLP(BgL_l1654z00_3790))
							{	/* Eval/evaluate_comp.scm 560 */
								BgL_envz00_3772 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 560 */
								obj_t BgL_head1656z00_3792;

								{	/* Eval/evaluate_comp.scm 560 */
									obj_t BgL_res5322z00_12567;

									BgL_res5322z00_12567 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1656z00_3792 = BgL_res5322z00_12567;
								}
								{
									obj_t BgL_l1654z00_12601;
									obj_t BgL_tail1657z00_12602;

									BgL_l1654z00_12601 = BgL_l1654z00_3790;
									BgL_tail1657z00_12602 = BgL_head1656z00_3792;
								BgL_zc3anonymousza33362ze3z83_12600:
									if (NULLP(BgL_l1654z00_12601))
										{	/* Eval/evaluate_comp.scm 560 */
											BgL_envz00_3772 = CDR(BgL_head1656z00_3792);
										}
									else
										{	/* Eval/evaluate_comp.scm 560 */
											obj_t BgL_newtail1658z00_12609;

											{	/* Eval/evaluate_comp.scm 560 */
												obj_t BgL_arg3365z00_12610;

												{	/* Eval/evaluate_comp.scm 560 */
													obj_t BgL_vz00_12611;

													BgL_vz00_12611 = CAR(BgL_l1654z00_12601);
													BgL_arg3365z00_12610 =
														MAKE_PAIR(BgL_vz00_12611,
														BGl_symbol6104z00zz__evaluate_compz00);
												}
												{	/* Eval/evaluate_comp.scm 560 */
													obj_t BgL_res5328z00_12619;

													BgL_res5328z00_12619 =
														MAKE_PAIR(BgL_arg3365z00_12610, BNIL);
													BgL_newtail1658z00_12609 = BgL_res5328z00_12619;
												}
											}
											SET_CDR(BgL_tail1657z00_12602, BgL_newtail1658z00_12609);
											{
												obj_t BgL_tail1657z00_36996;
												obj_t BgL_l1654z00_36994;

												BgL_l1654z00_36994 = CDR(BgL_l1654z00_12601);
												BgL_tail1657z00_36996 = BgL_newtail1658z00_12609;
												BgL_tail1657z00_12602 = BgL_tail1657z00_36996;
												BgL_l1654z00_12601 = BgL_l1654z00_36994;
												goto BgL_zc3anonymousza33362ze3z83_12600;
											}
										}
								}
							}
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3766))->BgL_envz00) =
						((obj_t) BgL_envz00_3772), BUNSPEC);
					{	/* Eval/evaluate_comp.scm 563 */
						obj_t BgL_g1662z00_3774;

						BgL_g1662z00_3774 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3766))->BgL_valsz00);
						{
							obj_t BgL_ll1659z00_3776;
							obj_t BgL_ll1660z00_3777;

							BgL_ll1659z00_3776 = BgL_envz00_3772;
							BgL_ll1660z00_3777 = BgL_g1662z00_3774;
						BgL_zc3anonymousza33351ze3z83_3778:
							if (NULLP(BgL_ll1659z00_3776))
								{	/* Eval/evaluate_comp.scm 563 */
									((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_comp.scm 563 */
									{	/* Eval/evaluate_comp.scm 565 */
										obj_t BgL_slotz00_3780;
										obj_t BgL_valz00_3781;

										BgL_slotz00_3780 = CAR(BgL_ll1659z00_3776);
										BgL_valz00_3781 = CAR(BgL_ll1660z00_3777);
										{	/* Eval/evaluate_comp.scm 566 */
											obj_t BgL_arg3353z00_3782;

											{	/* Eval/evaluate_comp.scm 566 */
												obj_t BgL_arg3354z00_3783;

												{	/* Eval/evaluate_comp.scm 566 */
													obj_t BgL_arg3355z00_3784;
													obj_t BgL_arg3356z00_3785;

													BgL_arg3355z00_3784 = CDR(BgL_valz00_3781);
													BgL_arg3356z00_3785 =
														BGl_appendzd221011zd2zz__evaluate_compz00
														(BgL_stkz00_3767, CAR(BgL_valz00_3781));
													BgL_arg3354z00_3783 =
														BGl_compz00zz__evaluate_compz00((
															(BgL_ev_exprz00_bglt) BgL_arg3355z00_3784),
														BgL_arg3356z00_3785);
												}
												{	/* Eval/evaluate_comp.scm 555 */
													obj_t BgL_procz00_12630;
													obj_t BgL_objz00_12631;

													BgL_procz00_12630 = BgL_arg3354z00_3783;
													BgL_objz00_12631 =
														BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00;
													PROCEDURE_ATTR_SET(BgL_procz00_12630,
														BgL_objz00_12631);
													BgL_objz00_12631;
												}
												BgL_arg3353z00_3782 = BgL_arg3354z00_3783;
											}
											SET_CDR(BgL_slotz00_3780, BgL_arg3353z00_3782);
										}
									}
									{
										obj_t BgL_ll1660z00_37012;
										obj_t BgL_ll1659z00_37010;

										BgL_ll1659z00_37010 = CDR(BgL_ll1659z00_3776);
										BgL_ll1660z00_37012 = CDR(BgL_ll1660z00_3777);
										BgL_ll1660z00_3777 = BgL_ll1660z00_37012;
										BgL_ll1659z00_3776 = BgL_ll1659z00_37010;
										goto BgL_zc3anonymousza33351ze3z83_3778;
									}
								}
						}
					}
				}
				{	/* Eval/evaluate_comp.scm 570 */
					obj_t BgL_bodyz00_3803;

					BgL_bodyz00_3803 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_3766))->BgL_bodyz00),
						BgL_stkz00_3767);
					{	/* Eval/evaluate_comp.scm 571 */
						obj_t BgL_zc3anonymousza33366ze3z83_19080;

						BgL_zc3anonymousza33366ze3z83_19080 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33366ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza33366ze3z83_19080,
							(int) (((long) 0)), BgL_bodyz00_3803);
						return BgL_zc3anonymousza33366ze3z83_19080;
					}
				}
			}
		}
	}



/* &<anonymous:3366> */
	obj_t BGl_z62zc3anonymousza33366ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20319, obj_t BgL_sz00_20321)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 571 */
			{	/* Eval/evaluate_comp.scm 571 */
				obj_t BgL_bodyz00_20320;

				BgL_bodyz00_20320 = PROCEDURE_REF(BgL_envz00_20319, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3804;

					BgL_sz00_3804 = BgL_sz00_20321;
					{	/* Eval/evaluate_comp.scm 571 */
						obj_t BgL_bpz00_12636;

						BgL_bpz00_12636 = VECTOR_REF(BgL_sz00_3804, (int) (((long) 0)));
						{
							obj_t BgL_fz00_12642;

							BgL_fz00_12642 = BgL_bodyz00_20320;
						BgL_recz00_12641:
							{	/* Eval/evaluate_comp.scm 578 */
								obj_t BgL_rz00_12643;

								BgL_rz00_12643 =
									PROCEDURE_ENTRY(BgL_fz00_12642) (BgL_fz00_12642,
									BgL_sz00_3804, BEOA);
								{	/* Eval/evaluate_comp.scm 580 */
									bool_t BgL_testz00_37030;

									if (PROCEDUREP(BgL_rz00_12643))
										{	/* Eval/evaluate_comp.scm 580 */
											obj_t BgL_arg1926z00_12646;

											BgL_arg1926z00_12646 = PROCEDURE_ATTR(BgL_rz00_12643);
											if (STRUCTP(BgL_arg1926z00_12646))
												{	/* Eval/evaluate_comp.scm 550 */
													BgL_testz00_37030 =
														(STRUCT_KEY(BgL_arg1926z00_12646) ==
														BGl_symbol5981z00zz__evaluate_compz00);
												}
											else
												{	/* Eval/evaluate_comp.scm 550 */
													BgL_testz00_37030 = ((bool_t) 0);
												}
										}
									else
										{	/* Eval/evaluate_comp.scm 580 */
											BgL_testz00_37030 = ((bool_t) 0);
										}
									if (BgL_testz00_37030)
										{
											obj_t BgL_fz00_37038;

											BgL_fz00_37038 = BgL_rz00_12643;
											BgL_fz00_12642 = BgL_fz00_37038;
											goto BgL_recz00_12641;
										}
									else
										{	/* Eval/evaluate_comp.scm 580 */
											return BgL_rz00_12643;
										}
								}
							}
						}
					}
				}
			}
		}
	}



/* &comp-ev_synchronize1745 */
	obj_t BGl_z62compzd2ev_synchroniza7e1745z17zz__evaluate_compz00(obj_t
		BgL_envz00_20322, obj_t BgL_ez00_20323, obj_t BgL_stkz00_20324)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 533 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_3744;
				obj_t BgL_stkz00_3745;

				BgL_ez00_3744 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_20323);
				BgL_stkz00_3745 = BgL_stkz00_20324;
				{	/* Eval/evaluate_comp.scm 535 */
					obj_t BgL_mutexz00_3749;
					obj_t BgL_prelockz00_3750;
					obj_t BgL_bodyz00_3751;

					BgL_mutexz00_3749 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_3744))->
							BgL_mutexz00), BgL_stkz00_3745);
					BgL_prelockz00_3750 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_synchroniza7eza7_bglt)
								CREF(BgL_ez00_3744))->BgL_prelockz00), BgL_stkz00_3745);
					BgL_bodyz00_3751 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_synchroniza7eza7_bglt)
								CREF(BgL_ez00_3744))->BgL_bodyz00), BgL_stkz00_3745);
					{	/* Eval/evaluate_comp.scm 538 */
						obj_t BgL_zc3anonymousza33344ze3z83_19082;

						BgL_zc3anonymousza33344ze3z83_19082 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33344ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 4)));
						PROCEDURE_SET(BgL_zc3anonymousza33344ze3z83_19082,
							(int) (((long) 0)), BgL_mutexz00_3749);
						PROCEDURE_SET(BgL_zc3anonymousza33344ze3z83_19082,
							(int) (((long) 1)), ((obj_t) BgL_ez00_3744));
						PROCEDURE_SET(BgL_zc3anonymousza33344ze3z83_19082,
							(int) (((long) 2)), BgL_prelockz00_3750);
						PROCEDURE_SET(BgL_zc3anonymousza33344ze3z83_19082,
							(int) (((long) 3)), BgL_bodyz00_3751);
						return BgL_zc3anonymousza33344ze3z83_19082;
					}
				}
			}
		}
	}



/* &<anonymous:3344> */
	obj_t BGl_z62zc3anonymousza33344ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20325, obj_t BgL_sz00_20330)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 538 */
			{	/* Eval/evaluate_comp.scm 538 */
				obj_t BgL_mutexz00_20326;
				BgL_ev_synchroniza7eza7_bglt BgL_i1138z00_20327;
				obj_t BgL_prelockz00_20328;
				obj_t BgL_bodyz00_20329;

				BgL_mutexz00_20326 =
					PROCEDURE_REF(BgL_envz00_20325, (int) (((long) 0)));
				BgL_i1138z00_20327 =
					((BgL_ev_synchroniza7eza7_bglt)
					PROCEDURE_REF(BgL_envz00_20325, (int) (((long) 1))));
				BgL_prelockz00_20328 =
					PROCEDURE_REF(BgL_envz00_20325, (int) (((long) 2)));
				BgL_bodyz00_20329 = PROCEDURE_REF(BgL_envz00_20325, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3752;

					BgL_sz00_3752 = BgL_sz00_20330;
					{	/* Eval/evaluate_comp.scm 538 */
						obj_t BgL_bpz00_3754;

						BgL_bpz00_3754 = VECTOR_REF(BgL_sz00_3752, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 539 */
							obj_t BgL_mz00_3755;

							BgL_mz00_3755 =
								PROCEDURE_ENTRY(BgL_mutexz00_20326) (BgL_mutexz00_20326,
								BgL_sz00_3752, BEOA);
							{	/* Eval/evaluate_comp.scm 540 */
								bool_t BgL_testz00_37073;

								{	/* Eval/evaluate_comp.scm 540 */
									bool_t BgL_res5319z00_12555;

									BgL_res5319z00_12555 = BGL_MUTEXP(BgL_mz00_3755);
									BgL_testz00_37073 = BgL_res5319z00_12555;
								}
								if (BgL_testz00_37073)
									{	/* Eval/evaluate_comp.scm 541 */
										obj_t BgL_pz00_3757;

										BgL_pz00_3757 =
											PROCEDURE_ENTRY(BgL_prelockz00_20328)
											(BgL_prelockz00_20328, BgL_sz00_3752, BEOA);
										{	/* Eval/evaluate_comp.scm 543 */
											obj_t BgL_za2za2resza2za2z00_3759;

											if (PAIRP(BgL_pz00_3757))
												{	/* Eval/evaluate_comp.scm 544 */
													obj_t BgL_top6241z00_37082;

													BgL_top6241z00_37082 = BGL_EXITD_TOP_AS_OBJ();
													BGL_MUTEX_LOCK_PRELOCK(BgL_mz00_3755, BgL_pz00_3757);
													BGL_EXITD_PUSH_PROTECT(BgL_top6241z00_37082,
														BgL_mz00_3755);
													BUNSPEC;
													{	/* Eval/evaluate_comp.scm 544 */
														obj_t BgL_tmp6240z00_37081;

														BgL_tmp6240z00_37081 =
															PROCEDURE_ENTRY(BgL_bodyz00_20329)
															(BgL_bodyz00_20329, BgL_sz00_3752, BEOA);
														BGL_EXITD_POP_PROTECT(BgL_top6241z00_37082);
														BUNSPEC;
														BGL_MUTEX_UNLOCK(BgL_mz00_3755);
														BgL_za2za2resza2za2z00_3759 = BgL_tmp6240z00_37081;
													}
												}
											else
												{	/* Eval/evaluate_comp.scm 545 */
													obj_t BgL_top6243z00_37093;

													BgL_top6243z00_37093 = BGL_EXITD_TOP_AS_OBJ();
													BGL_MUTEX_LOCK(BgL_mz00_3755);
													BGL_EXITD_PUSH_PROTECT(BgL_top6243z00_37093,
														BgL_mz00_3755);
													BUNSPEC;
													{	/* Eval/evaluate_comp.scm 545 */
														obj_t BgL_tmp6242z00_37092;

														BgL_tmp6242z00_37092 =
															PROCEDURE_ENTRY(BgL_bodyz00_20329)
															(BgL_bodyz00_20329, BgL_sz00_3752, BEOA);
														BGL_EXITD_POP_PROTECT(BgL_top6243z00_37093);
														BUNSPEC;
														BGL_MUTEX_UNLOCK(BgL_mz00_3755);
														BgL_za2za2resza2za2z00_3759 = BgL_tmp6242z00_37092;
													}
												}
											VECTOR_SET(BgL_sz00_3752,
												(int) (((long) 0)), BgL_bpz00_3754);
											return BgL_za2za2resza2za2z00_3759;
										}
									}
								else
									{	/* Eval/evaluate_comp.scm 540 */
										return
											BGl_loczd2typezd2errorz00zz__evaluate_compz00
											(BGl_string6106z00zz__evaluate_compz00,
											BGl_string6107z00zz__evaluate_compz00, BgL_mz00_3755,
											(((BgL_ev_synchroniza7eza7_bglt)
													CREF(BgL_i1138z00_20327))->BgL_locz00));
									}
							}
						}
					}
				}
			}
		}
	}



/* &comp-ev_with-handler1743 */
	obj_t BGl_z62compzd2ev_withzd2handler1743z62zz__evaluate_compz00(obj_t
		BgL_envz00_20331, obj_t BgL_ez00_20332, obj_t BgL_stkz00_20333)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 524 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_3708;
				obj_t BgL_stkz00_3709;

				BgL_ez00_3708 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_20332);
				BgL_stkz00_3709 = BgL_stkz00_20333;
				{	/* Eval/evaluate_comp.scm 526 */
					obj_t BgL_handlerz00_3713;
					obj_t BgL_bodyz00_3714;

					BgL_handlerz00_3713 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_3708))->
							BgL_handlerz00), BgL_stkz00_3709);
					BgL_bodyz00_3714 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_withzd2handlerzd2_bglt)
								CREF(BgL_ez00_3708))->BgL_bodyz00), BgL_stkz00_3709);
					{	/* Eval/evaluate_comp.scm 527 */
						obj_t BgL_zc3anonymousza33335ze3z83_19086;

						BgL_zc3anonymousza33335ze3z83_19086 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33335ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza33335ze3z83_19086,
							(int) (((long) 0)), BgL_handlerz00_3713);
						PROCEDURE_SET(BgL_zc3anonymousza33335ze3z83_19086,
							(int) (((long) 1)), BgL_bodyz00_3714);
						return BgL_zc3anonymousza33335ze3z83_19086;
					}
				}
			}
		}
	}



/* &<anonymous:3335> */
	obj_t BGl_z62zc3anonymousza33335ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20334, obj_t BgL_sz00_20337)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 527 */
			{	/* Eval/evaluate_comp.scm 527 */
				obj_t BgL_handlerz00_20335;
				obj_t BgL_bodyz00_20336;

				BgL_handlerz00_20335 =
					PROCEDURE_REF(BgL_envz00_20334, (int) (((long) 0)));
				BgL_bodyz00_20336 = PROCEDURE_REF(BgL_envz00_20334, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3715;

					BgL_sz00_3715 = BgL_sz00_20337;
					{	/* Eval/evaluate_comp.scm 527 */
						obj_t BgL_bpz00_3717;

						BgL_bpz00_3717 = VECTOR_REF(BgL_sz00_3715, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 528 */
							obj_t BgL_hz00_3718;

							BgL_hz00_3718 =
								PROCEDURE_ENTRY(BgL_handlerz00_20335) (BgL_handlerz00_20335,
								BgL_sz00_3715, BEOA);
							{	/* Eval/evaluate_comp.scm 530 */
								obj_t BgL_za2za2resza2za2z00_3720;

								{	/* Eval/evaluate_comp.scm 530 */
									obj_t BgL_res1128z00_3721;

									BgL_res1128z00_3721 = MAKE_CELL(BUNSPEC);
									if (CBOOL(BGl_zc3exitza33337ze3z83zz__evaluate_compz00
											(BgL_sz00_3715, BgL_bodyz00_20336, BgL_res1128z00_3721)))
										{	/* Eval/evaluate_comp.scm 530 */
											BgL_za2za2resza2za2z00_3720 =
												PROCEDURE_ENTRY(BgL_hz00_3718) (BgL_hz00_3718,
												CELL_REF(BgL_res1128z00_3721), BEOA);
										}
									else
										{	/* Eval/evaluate_comp.scm 530 */
											BgL_za2za2resza2za2z00_3720 =
												CELL_REF(BgL_res1128z00_3721);
										}
								}
								VECTOR_SET(BgL_sz00_3715, (int) (((long) 0)), BgL_bpz00_3717);
								return BgL_za2za2resza2za2z00_3720;
							}
						}
					}
				}
			}
		}
	}



/* <exit:3337> */
	obj_t BGl_zc3exitza33337ze3z83zz__evaluate_compz00(obj_t BgL_sz00_20519,
		obj_t BgL_bodyz00_20518, obj_t BgL_res1128z00_20517)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1131z00_3725;

			if (SET_EXIT(BgL_an_exit1131z00_3725))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1131z00_3725 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 530 */

						PUSH_EXIT(BgL_an_exit1131z00_3725, ((long) 1));
						{	/* Eval/evaluate_comp.scm 530 */
							obj_t BgL_an_exitd1132z00_3726;

							BgL_an_exitd1132z00_3726 = ((obj_t) (&exitd));
							{	/* Eval/evaluate_comp.scm 530 */
								bool_t BgL_res1134z00_3729;

								{	/* Eval/evaluate_comp.scm 530 */
									obj_t BgL_ohs1126z00_3730;

									BgL_ohs1126z00_3730 = BGL_ERROR_HANDLER_GET();
									{	/* Eval/evaluate_comp.scm 530 */
										obj_t BgL_exitd1135z00_3731;

										BgL_exitd1135z00_3731 = ((obj_t) (&exitd));
										{
											obj_t BgL_zc3anonymousza33341ze3z83_19084;

											BgL_zc3anonymousza33341ze3z83_19084 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza33341ze3ze1zz__evaluate_compz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3anonymousza33341ze3z83_19084,
												(int) (((long) 0)), BgL_ohs1126z00_3730);
											BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
												(BgL_exitd1135z00_3731,
												BgL_zc3anonymousza33341ze3z83_19084);
											{	/* Eval/evaluate_comp.scm 530 */
												bool_t BgL_tmp1137z00_3733;

												{	/* Eval/evaluate_comp.scm 530 */
													obj_t BgL_arg3338z00_3734;

													{	/* Eval/evaluate_comp.scm 530 */
														obj_t BgL_zc3anonymousza33340ze3z83_19085;

														BgL_zc3anonymousza33340ze3z83_19085 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3anonymousza33340ze3ze1zz__evaluate_compz00,
															(int) (((long) 1)), (int) (((long) 2)));
														PROCEDURE_SET(BgL_zc3anonymousza33340ze3z83_19085,
															(int) (((long) 0)), BgL_res1128z00_20517);
														PROCEDURE_SET(BgL_zc3anonymousza33340ze3z83_19085,
															(int) (((long) 1)), BgL_an_exitd1132z00_3726);
														BgL_arg3338z00_3734 =
															MAKE_PAIR(BgL_zc3anonymousza33340ze3z83_19085,
															BgL_ohs1126z00_3730);
													}
													BGL_ERROR_HANDLER_SET(BgL_arg3338z00_3734);
													BUNSPEC;
												}
												{	/* Eval/evaluate_comp.scm 530 */
													obj_t BgL_auxz00_20338;

													BgL_auxz00_20338 =
														PROCEDURE_ENTRY(BgL_bodyz00_20518)
														(BgL_bodyz00_20518, BgL_sz00_20519, BEOA);
													CELL_SET(BgL_res1128z00_20517, BgL_auxz00_20338);
												}
												BgL_tmp1137z00_3733 = ((bool_t) 0);
												BGl_exitdzd2popzd2protectz12z12zz__bexitz00
													(BgL_exitd1135z00_3731);
												BGL_ERROR_HANDLER_SET(BgL_ohs1126z00_3730);
												BUNSPEC;
												BgL_res1134z00_3729 = BgL_tmp1137z00_3733;
								}}}}
								POP_EXIT();
								return BBOOL(BgL_res1134z00_3729);
							}
						}
					}
				}
		}
	}



/* &<anonymous:3340> */
	obj_t BGl_z62zc3anonymousza33340ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20339, obj_t BgL_ez00_20342)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			{	/* Eval/evaluate_comp.scm 530 */
				obj_t BgL_res1128z00_20340;
				obj_t BgL_an_exitd1132z00_20341;

				BgL_res1128z00_20340 =
					PROCEDURE_REF(BgL_envz00_20339, (int) (((long) 0)));
				BgL_an_exitd1132z00_20341 =
					PROCEDURE_REF(BgL_envz00_20339, (int) (((long) 1)));
				{
					obj_t BgL_ez00_3736;

					BgL_ez00_3736 = BgL_ez00_20342;
					CELL_SET(BgL_res1128z00_20340, BgL_ez00_3736);
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1132z00_20341,
						BTRUE);
				}
			}
		}
	}



/* &<anonymous:3341> */
	obj_t BGl_z62zc3anonymousza33341ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20344)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 530 */
			{
				obj_t BgL_ohs1126z00_20345;

				BgL_ohs1126z00_20345 =
					PROCEDURE_REF(BgL_envz00_20344, (int) (((long) 0)));
				{

					BGL_ERROR_HANDLER_SET(BgL_ohs1126z00_20345);
					return BUNSPEC;
				}
			}
		}
	}



/* &comp-ev_unwind-prote1741 */
	obj_t BGl_z62compzd2ev_unwindzd2prote1741z62zz__evaluate_compz00(obj_t
		BgL_envz00_20346, obj_t BgL_ez00_20347, obj_t BgL_stkz00_20348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 515 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_3689;
				obj_t BgL_stkz00_3690;

				BgL_ez00_3689 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_20347);
				BgL_stkz00_3690 = BgL_stkz00_20348;
				{	/* Eval/evaluate_comp.scm 517 */
					obj_t BgL_ez00_3694;
					obj_t BgL_bodyz00_3695;

					BgL_ez00_3694 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_3689))->BgL_ez00),
						BgL_stkz00_3690);
					BgL_bodyz00_3695 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_unwindzd2protectzd2_bglt)
								CREF(BgL_ez00_3689))->BgL_bodyz00), BgL_stkz00_3690);
					{	/* Eval/evaluate_comp.scm 518 */
						obj_t BgL_zc3anonymousza33331ze3z83_19089;

						BgL_zc3anonymousza33331ze3z83_19089 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33331ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza33331ze3z83_19089,
							(int) (((long) 0)), BgL_bodyz00_3695);
						PROCEDURE_SET(BgL_zc3anonymousza33331ze3z83_19089,
							(int) (((long) 1)), BgL_ez00_3694);
						return BgL_zc3anonymousza33331ze3z83_19089;
					}
				}
			}
		}
	}



/* &<anonymous:3331> */
	obj_t BGl_z62zc3anonymousza33331ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20349, obj_t BgL_sz00_20352)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 518 */
			{	/* Eval/evaluate_comp.scm 518 */
				obj_t BgL_bodyz00_20350;
				obj_t BgL_ez00_20351;

				BgL_bodyz00_20350 = PROCEDURE_REF(BgL_envz00_20349, (int) (((long) 0)));
				BgL_ez00_20351 = PROCEDURE_REF(BgL_envz00_20349, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3696;

					BgL_sz00_3696 = BgL_sz00_20352;
					{	/* Eval/evaluate_comp.scm 518 */
						obj_t BgL_bpz00_3698;

						BgL_bpz00_3698 = VECTOR_REF(BgL_sz00_3696, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 520 */
							obj_t BgL_exitd1122z00_3700;

							BgL_exitd1122z00_3700 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Eval/evaluate_comp.scm 521 */
								obj_t BgL_zc3anonymousza33332ze3z83_19088;

								BgL_zc3anonymousza33332ze3z83_19088 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33332ze3ze1zz__evaluate_compz00,
									(int) (((long) 0)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza33332ze3z83_19088,
									(int) (((long) 0)), BgL_sz00_3696);
								PROCEDURE_SET(BgL_zc3anonymousza33332ze3z83_19088,
									(int) (((long) 1)), BgL_bpz00_3698);
								PROCEDURE_SET(BgL_zc3anonymousza33332ze3z83_19088,
									(int) (((long) 2)), BgL_bodyz00_20350);
								BGl_exitdzd2pushzd2protectz12z12zz__bexitz00
									(BgL_exitd1122z00_3700, BgL_zc3anonymousza33332ze3z83_19088);
								{	/* Eval/evaluate_comp.scm 520 */
									obj_t BgL_tmp1124z00_3702;

									BgL_tmp1124z00_3702 =
										PROCEDURE_ENTRY(BgL_ez00_20351) (BgL_ez00_20351,
										BgL_sz00_3696, BEOA);
									BGl_exitdzd2popzd2protectz12z12zz__bexitz00
										(BgL_exitd1122z00_3700);
									VECTOR_SET(BgL_sz00_3696, (int) (((long) 0)), BgL_bpz00_3698);
									PROCEDURE_ENTRY(BgL_bodyz00_20350) (BgL_bodyz00_20350,
										BgL_sz00_3696, BEOA);
									return BgL_tmp1124z00_3702;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3332> */
	obj_t BGl_z62zc3anonymousza33332ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20353)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 520 */
			{	/* Eval/evaluate_comp.scm 521 */
				obj_t BgL_sz00_20354;
				obj_t BgL_savedzd2bpzd2_20355;
				obj_t BgL_bodyz00_20356;

				BgL_sz00_20354 = PROCEDURE_REF(BgL_envz00_20353, (int) (((long) 0)));
				BgL_savedzd2bpzd2_20355 =
					PROCEDURE_REF(BgL_envz00_20353, (int) (((long) 1)));
				BgL_bodyz00_20356 = PROCEDURE_REF(BgL_envz00_20353, (int) (((long) 2)));
				{

					VECTOR_SET(BgL_sz00_20354,
						(int) (((long) 0)), BgL_savedzd2bpzd2_20355);
					return
						PROCEDURE_ENTRY(BgL_bodyz00_20356) (BgL_bodyz00_20356,
						BgL_sz00_20354, BEOA);
				}
			}
		}
	}



/* &comp-ev_bind-exit1739 */
	obj_t BGl_z62compzd2ev_bindzd2exit1739z62zz__evaluate_compz00(obj_t
		BgL_envz00_20357, obj_t BgL_ez00_20358, obj_t BgL_stkz00_20359)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 504 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_3662;
				obj_t BgL_stkz00_3663;

				BgL_ez00_3662 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_20358);
				BgL_stkz00_3663 = BgL_stkz00_20359;
				{	/* Eval/evaluate_comp.scm 506 */
					long BgL_siza7eza7_3667;
					obj_t BgL_nstkz00_3668;

					BgL_siza7eza7_3667 = bgl_list_length(BgL_stkz00_3663);
					{	/* Eval/evaluate_comp.scm 506 */
						obj_t BgL_arg3329z00_3686;

						{	/* Eval/evaluate_comp.scm 506 */
							BgL_ev_varz00_bglt BgL_arg3330z00_3687;

							BgL_arg3330z00_3687 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_3662))->
								BgL_varz00);
							BgL_arg3329z00_3686 =
								MAKE_PAIR(((obj_t) BgL_arg3330z00_3687), BNIL);
						}
						BgL_nstkz00_3668 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_3663,
							BgL_arg3329z00_3686);
					}
					{	/* Eval/evaluate_comp.scm 507 */
						obj_t BgL_bodyz00_3669;
						obj_t BgL_effzf3zf3_3670;

						BgL_bodyz00_3669 =
							BGl_compz00zz__evaluate_compz00(
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_3662))->BgL_bodyz00),
							BgL_nstkz00_3668);
						BgL_effzf3zf3_3670 =
							(((BgL_ev_varz00_bglt) CREF((((BgL_ev_bindzd2exitzd2_bglt)
											CREF(BgL_ez00_3662))->BgL_varz00)))->BgL_effz00);
						{	/* Eval/evaluate_comp.scm 508 */
							obj_t BgL_zc3anonymousza33324ze3z83_19092;

							BgL_zc3anonymousza33324ze3z83_19092 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza33324ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 3)));
							PROCEDURE_SET(BgL_zc3anonymousza33324ze3z83_19092,
								(int) (((long) 0)), BINT(BgL_siza7eza7_3667));
							PROCEDURE_SET(BgL_zc3anonymousza33324ze3z83_19092,
								(int) (((long) 1)), BgL_effzf3zf3_3670);
							PROCEDURE_SET(BgL_zc3anonymousza33324ze3z83_19092,
								(int) (((long) 2)), BgL_bodyz00_3669);
							return BgL_zc3anonymousza33324ze3z83_19092;
						}
					}
				}
			}
		}
	}



/* &<anonymous:3324> */
	obj_t BGl_z62zc3anonymousza33324ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20360, obj_t BgL_sz00_20364)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 508 */
			{	/* Eval/evaluate_comp.scm 508 */
				long BgL_siza7eza7_20361;
				obj_t BgL_effzf3zf3_20362;
				obj_t BgL_bodyz00_20363;

				BgL_siza7eza7_20361 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20360, (int) (((long) 0))));
				BgL_effzf3zf3_20362 =
					PROCEDURE_REF(BgL_envz00_20360, (int) (((long) 1)));
				BgL_bodyz00_20363 = PROCEDURE_REF(BgL_envz00_20360, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3671;

					BgL_sz00_3671 = BgL_sz00_20364;
					{	/* Eval/evaluate_comp.scm 508 */
						obj_t BgL_bpz00_3673;

						BgL_bpz00_3673 = VECTOR_REF(BgL_sz00_3671, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 510 */
							obj_t BgL_za2za2resza2za2z00_3675;

							BgL_za2za2resza2za2z00_3675 =
								BGl_zc3exitza33325ze3z83zz__evaluate_compz00(BgL_bodyz00_20363,
								BgL_sz00_3671, BgL_effzf3zf3_20362, BgL_siza7eza7_20361,
								BgL_bpz00_3673);
							VECTOR_SET(BgL_sz00_3671, (int) (((long) 0)), BgL_bpz00_3673);
							return BgL_za2za2resza2za2z00_3675;
						}
					}
				}
			}
		}
	}



/* <exit:3325> */
	obj_t BGl_zc3exitza33325ze3z83zz__evaluate_compz00(obj_t BgL_bodyz00_20516,
		obj_t BgL_sz00_20515, obj_t BgL_effzf3zf3_20514, long BgL_siza7eza7_20513,
		obj_t BgL_bpz00_20512)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 510 */
			jmp_buf_t jmpbuf;
			void *BgL_an_exit1117z00_3677;

			if (SET_EXIT(BgL_an_exit1117z00_3677))
				{
					return BGL_EXIT_VALUE();
				}
			else
				{
#if( SIGSETJMP_SAVESIGS == 0 )
					bgl_restore_signal_handlers();
#endif

					BgL_an_exit1117z00_3677 = (void *) jmpbuf;
					{	/* Eval/evaluate_comp.scm 510 */

						PUSH_EXIT(BgL_an_exit1117z00_3677, ((long) 1));
						{	/* Eval/evaluate_comp.scm 510 */
							obj_t BgL_an_exitd1118z00_3678;

							BgL_an_exitd1118z00_3678 = ((obj_t) (&exitd));
							{	/* Eval/evaluate_comp.scm 510 */
								obj_t BgL_exitz00_19091;

								BgL_exitz00_19091 =
									MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_exitz00_19091,
									(int) (((long) 0)), BgL_an_exitd1118z00_3678);
								{	/* Eval/evaluate_comp.scm 511 */
									obj_t BgL_res1120z00_3681;

									{	/* Eval/evaluate_comp.scm 511 */
										long BgL_arg3326z00_3682;
										obj_t BgL_arg3327z00_3683;

										BgL_arg3326z00_3682 =
											((long) CINT(BgL_bpz00_20512) + BgL_siza7eza7_20513);
										if (CBOOL(BgL_effzf3zf3_20514))
											{	/* Eval/evaluate_comp.scm 189 */
												obj_t BgL_newz00_12528;

												BgL_newz00_12528 =
													create_struct(BGl_symbol5997z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 189 */
													int BgL_auxz00_37271;

													BgL_auxz00_37271 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12528, BgL_auxz00_37271,
														BgL_exitz00_19091);
												}
												BgL_arg3327z00_3683 = BgL_newz00_12528;
											}
										else
											{	/* Eval/evaluate_comp.scm 511 */
												BgL_arg3327z00_3683 = BgL_exitz00_19091;
											}
										VECTOR_SET(BgL_sz00_20515,
											(int) (BgL_arg3326z00_3682), BgL_arg3327z00_3683);
									}
									BgL_res1120z00_3681 =
										PROCEDURE_ENTRY(BgL_bodyz00_20516) (BgL_bodyz00_20516,
										BgL_sz00_20515, BEOA);
									POP_EXIT();
									return BgL_res1120z00_3681;
								}
							}
						}
					}
				}
		}
	}



/* &exit */
	obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_20365,
		obj_t BgL_val1119z00_20367)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 510 */
			{	/* Eval/evaluate_comp.scm 510 */
				obj_t BgL_an_exitd1118z00_20366;

				BgL_an_exitd1118z00_20366 =
					PROCEDURE_REF(BgL_envz00_20365, (int) (((long) 0)));
				{
					obj_t BgL_val1119z00_3679;

					BgL_val1119z00_3679 = BgL_val1119z00_20367;
					return
						BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1118z00_20366,
						BgL_val1119z00_3679);
				}
			}
		}
	}



/* &comp-ev_letrec1737 */
	obj_t BGl_z62compzd2ev_letrec1737zb0zz__evaluate_compz00(obj_t
		BgL_envz00_20368, obj_t BgL_ez00_20369, obj_t BgL_stkz00_20370)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 475 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_3563;
				obj_t BgL_stkz00_3564;

				BgL_ez00_3563 = ((BgL_ev_letrecz00_bglt) BgL_ez00_20369);
				BgL_stkz00_3564 = BgL_stkz00_20370;
				{	/* Eval/evaluate_comp.scm 477 */
					long BgL_siza7eza7_3568;
					obj_t BgL_nstkz00_3569;

					BgL_siza7eza7_3568 = bgl_list_length(BgL_stkz00_3564);
					{	/* Eval/evaluate_comp.scm 477 */
						obj_t BgL_arg3323z00_3660;

						BgL_arg3323z00_3660 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_3563)))->BgL_varsz00);
						BgL_nstkz00_3569 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_3564,
							BgL_arg3323z00_3660);
					}
					{	/* Eval/evaluate_comp.scm 478 */
						obj_t BgL_cvalsz00_3570;
						obj_t BgL_bodyz00_3571;

						{	/* Eval/evaluate_comp.scm 478 */
							obj_t BgL_l1640z00_3646;

							BgL_l1640z00_3646 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_3563)))->BgL_valsz00);
							if (NULLP(BgL_l1640z00_3646))
								{	/* Eval/evaluate_comp.scm 478 */
									BgL_cvalsz00_3570 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 478 */
									obj_t BgL_head1642z00_3648;

									{	/* Eval/evaluate_comp.scm 478 */
										obj_t BgL_res5278z00_12168;

										BgL_res5278z00_12168 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1642z00_3648 = BgL_res5278z00_12168;
									}
									{
										obj_t BgL_l1640z00_12202;
										obj_t BgL_tail1643z00_12203;

										BgL_l1640z00_12202 = BgL_l1640z00_3646;
										BgL_tail1643z00_12203 = BgL_head1642z00_3648;
									BgL_zc3anonymousza33318ze3z83_12201:
										if (NULLP(BgL_l1640z00_12202))
											{	/* Eval/evaluate_comp.scm 478 */
												BgL_cvalsz00_3570 = CDR(BgL_head1642z00_3648);
											}
										else
											{	/* Eval/evaluate_comp.scm 478 */
												obj_t BgL_newtail1644z00_12210;

												{	/* Eval/evaluate_comp.scm 478 */
													obj_t BgL_arg3321z00_12211;

													{	/* Eval/evaluate_comp.scm 478 */
														obj_t BgL_vz00_12212;

														BgL_vz00_12212 = CAR(BgL_l1640z00_12202);
														BgL_arg3321z00_12211 =
															BGl_compz00zz__evaluate_compz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_12212),
															BgL_nstkz00_3569);
													}
													{	/* Eval/evaluate_comp.scm 478 */
														obj_t BgL_res5284z00_12220;

														BgL_res5284z00_12220 =
															MAKE_PAIR(BgL_arg3321z00_12211, BNIL);
														BgL_newtail1644z00_12210 = BgL_res5284z00_12220;
													}
												}
												SET_CDR(BgL_tail1643z00_12203,
													BgL_newtail1644z00_12210);
												{
													obj_t BgL_tail1643z00_37303;
													obj_t BgL_l1640z00_37301;

													BgL_l1640z00_37301 = CDR(BgL_l1640z00_12202);
													BgL_tail1643z00_37303 = BgL_newtail1644z00_12210;
													BgL_tail1643z00_12203 = BgL_tail1643z00_37303;
													BgL_l1640z00_12202 = BgL_l1640z00_37301;
													goto BgL_zc3anonymousza33318ze3z83_12201;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 479 */
							BgL_ev_exprz00_bglt BgL_arg3322z00_3659;

							BgL_arg3322z00_3659 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_3563)))->BgL_bodyz00);
							BgL_bodyz00_3571 =
								BGl_compz00zz__evaluate_compz00(BgL_arg3322z00_3659,
								BgL_nstkz00_3569);
						}
						{	/* Eval/evaluate_comp.scm 480 */
							bool_t BgL_testz00_37307;

							{
								obj_t BgL_l1645z00_3638;

								BgL_l1645z00_3638 =
									(((BgL_ev_binderz00_bglt) CREF(
											((BgL_ev_binderz00_bglt) BgL_ez00_3563)))->BgL_valsz00);
							BgL_zc3anonymousza33314ze3z83_3639:
								if (NULLP(BgL_l1645z00_3638))
									{	/* Eval/evaluate_comp.scm 480 */
										BgL_testz00_37307 = ((bool_t) 1);
									}
								else
									{	/* Eval/evaluate_comp.scm 480 */
										bool_t BgL_testz00_37310;

										{	/* Eval/evaluate_comp.scm 480 */
											obj_t BgL_vz00_3644;

											BgL_vz00_3644 = CAR(BgL_l1645z00_3638);
											BgL_testz00_37310 =
												BGl_isazf3zf3zz__objectz00(BgL_vz00_3644,
												BGl_ev_absz00zz__evaluate_typesz00);
										}
										if (BgL_testz00_37310)
											{
												obj_t BgL_l1645z00_37313;

												BgL_l1645z00_37313 = CDR(BgL_l1645z00_3638);
												BgL_l1645z00_3638 = BgL_l1645z00_37313;
												goto BgL_zc3anonymousza33314ze3z83_3639;
											}
										else
											{	/* Eval/evaluate_comp.scm 480 */
												BgL_testz00_37307 = ((bool_t) 0);
											}
									}
							}
							if (BgL_testz00_37307)
								{	/* Eval/evaluate_comp.scm 481 */
									obj_t BgL_zc3anonymousza33284ze3z83_19095;

									BgL_zc3anonymousza33284ze3z83_19095 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza33284ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_zc3anonymousza33284ze3z83_19095,
										(int) (((long) 0)), BINT(BgL_siza7eza7_3568));
									PROCEDURE_SET(BgL_zc3anonymousza33284ze3z83_19095,
										(int) (((long) 1)), BgL_cvalsz00_3570);
									PROCEDURE_SET(BgL_zc3anonymousza33284ze3z83_19095,
										(int) (((long) 2)), BgL_bodyz00_3571);
									return BgL_zc3anonymousza33284ze3z83_19095;
								}
							else
								{	/* Eval/evaluate_comp.scm 491 */
									obj_t BgL_zc3anonymousza33297ze3z83_19094;

									BgL_zc3anonymousza33297ze3z83_19094 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza33297ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 3)));
									PROCEDURE_SET(BgL_zc3anonymousza33297ze3z83_19094,
										(int) (((long) 0)), BINT(BgL_siza7eza7_3568));
									PROCEDURE_SET(BgL_zc3anonymousza33297ze3z83_19094,
										(int) (((long) 1)), BgL_cvalsz00_3570);
									PROCEDURE_SET(BgL_zc3anonymousza33297ze3z83_19094,
										(int) (((long) 2)), BgL_bodyz00_3571);
									return BgL_zc3anonymousza33297ze3z83_19094;
								}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3284> */
	obj_t BGl_z62zc3anonymousza33284ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20371, obj_t BgL_sz00_20375)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 481 */
			{	/* Eval/evaluate_comp.scm 481 */
				long BgL_siza7eza7_20372;
				obj_t BgL_cvalsz00_20373;
				obj_t BgL_bodyz00_20374;

				BgL_siza7eza7_20372 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20371, (int) (((long) 0))));
				BgL_cvalsz00_20373 =
					PROCEDURE_REF(BgL_envz00_20371, (int) (((long) 1)));
				BgL_bodyz00_20374 = PROCEDURE_REF(BgL_envz00_20371, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3573;

					BgL_sz00_3573 = BgL_sz00_20375;
					{	/* Eval/evaluate_comp.scm 481 */
						obj_t BgL_bpz00_3575;

						BgL_bpz00_3575 = VECTOR_REF(BgL_sz00_3573, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 482 */
							long BgL_g1111z00_3576;

							BgL_g1111z00_3576 =
								((long) CINT(BgL_bpz00_3575) + BgL_siza7eza7_20372);
							{
								obj_t BgL_lz00_12276;
								long BgL_iz00_12277;

								BgL_lz00_12276 = BgL_cvalsz00_20373;
								BgL_iz00_12277 = BgL_g1111z00_3576;
							BgL_recz00_12275:
								if (NULLP(BgL_lz00_12276))
									{	/* Eval/evaluate_comp.scm 483 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 483 */
										{	/* Eval/evaluate_comp.scm 484 */
											obj_t BgL_arg3287z00_12283;

											{	/* Eval/evaluate_comp.scm 189 */
												obj_t BgL_newz00_12289;

												BgL_newz00_12289 =
													create_struct(BGl_symbol5997z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 189 */
													int BgL_auxz00_37353;

													BgL_auxz00_37353 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12289, BgL_auxz00_37353,
														BUNSPEC);
												}
												BgL_arg3287z00_12283 = BgL_newz00_12289;
											}
											VECTOR_SET(BgL_sz00_3573,
												(int) (BgL_iz00_12277), BgL_arg3287z00_12283);
										}
										{
											long BgL_iz00_37360;
											obj_t BgL_lz00_37358;

											BgL_lz00_37358 = CDR(BgL_lz00_12276);
											BgL_iz00_37360 = (BgL_iz00_12277 + ((long) 1));
											BgL_iz00_12277 = BgL_iz00_37360;
											BgL_lz00_12276 = BgL_lz00_37358;
											goto BgL_recz00_12275;
										}
									}
							}
						}
						{	/* Eval/evaluate_comp.scm 486 */
							long BgL_g1112z00_3586;

							BgL_g1112z00_3586 =
								((long) CINT(BgL_bpz00_3575) + BgL_siza7eza7_20372);
							{
								obj_t BgL_lz00_3588;
								long BgL_iz00_3589;

								BgL_lz00_3588 = BgL_cvalsz00_20373;
								BgL_iz00_3589 = BgL_g1112z00_3586;
							BgL_zc3anonymousza33290ze3z83_3590:
								if (NULLP(BgL_lz00_3588))
									{	/* Eval/evaluate_comp.scm 487 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 487 */
										{	/* Eval/evaluate_comp.scm 488 */
											obj_t BgL_arg3292z00_3592;
											obj_t BgL_arg3293z00_3593;

											BgL_arg3292z00_3592 =
												VECTOR_REF(BgL_sz00_3573, (int) (BgL_iz00_3589));
											{	/* Eval/evaluate_comp.scm 488 */
												obj_t BgL_fun3294z00_3594;

												BgL_fun3294z00_3594 = CAR(BgL_lz00_3588);
												BgL_arg3293z00_3593 =
													PROCEDURE_ENTRY(BgL_fun3294z00_3594)
													(BgL_fun3294z00_3594, BgL_sz00_3573, BEOA);
											}
											{	/* Eval/evaluate_comp.scm 189 */
												int BgL_auxz00_37373;

												BgL_auxz00_37373 = (int) (((long) 0));
												STRUCT_SET(BgL_arg3292z00_3592, BgL_auxz00_37373,
													BgL_arg3293z00_3593);
										}}
										{
											long BgL_iz00_37378;
											obj_t BgL_lz00_37376;

											BgL_lz00_37376 = CDR(BgL_lz00_3588);
											BgL_iz00_37378 = (BgL_iz00_3589 + ((long) 1));
											BgL_iz00_3589 = BgL_iz00_37378;
											BgL_lz00_3588 = BgL_lz00_37376;
											goto BgL_zc3anonymousza33290ze3z83_3590;
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_20374) (BgL_bodyz00_20374,
							BgL_sz00_3573, BEOA);
					}
				}
			}
		}
	}



/* &<anonymous:3297> */
	obj_t BGl_z62zc3anonymousza33297ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20376, obj_t BgL_sz00_20380)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 491 */
			{	/* Eval/evaluate_comp.scm 491 */
				long BgL_siza7eza7_20377;
				obj_t BgL_cvalsz00_20378;
				obj_t BgL_bodyz00_20379;

				BgL_siza7eza7_20377 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20376, (int) (((long) 0))));
				BgL_cvalsz00_20378 =
					PROCEDURE_REF(BgL_envz00_20376, (int) (((long) 1)));
				BgL_bodyz00_20379 = PROCEDURE_REF(BgL_envz00_20376, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3598;

					BgL_sz00_3598 = BgL_sz00_20380;
					{	/* Eval/evaluate_comp.scm 491 */
						obj_t BgL_bpz00_3600;

						BgL_bpz00_3600 = VECTOR_REF(BgL_sz00_3598, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 492 */
							long BgL_g1113z00_3601;

							BgL_g1113z00_3601 =
								((long) CINT(BgL_bpz00_3600) + BgL_siza7eza7_20377);
							{
								obj_t BgL_lz00_12367;
								long BgL_iz00_12368;

								BgL_lz00_12367 = BgL_cvalsz00_20378;
								BgL_iz00_12368 = BgL_g1113z00_3601;
							BgL_recz00_12366:
								if (NULLP(BgL_lz00_12367))
									{	/* Eval/evaluate_comp.scm 493 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 493 */
										{	/* Eval/evaluate_comp.scm 494 */
											obj_t BgL_arg3300z00_12374;

											{	/* Eval/evaluate_comp.scm 189 */
												obj_t BgL_newz00_12380;

												BgL_newz00_12380 =
													create_struct(BGl_symbol5997z00zz__evaluate_compz00,
													(int) (((long) 1)));
												{	/* Eval/evaluate_comp.scm 189 */
													int BgL_auxz00_37399;

													BgL_auxz00_37399 = (int) (((long) 0));
													STRUCT_SET(BgL_newz00_12380, BgL_auxz00_37399,
														BUNSPEC);
												}
												BgL_arg3300z00_12374 = BgL_newz00_12380;
											}
											VECTOR_SET(BgL_sz00_3598,
												(int) (BgL_iz00_12368), BgL_arg3300z00_12374);
										}
										{
											long BgL_iz00_37406;
											obj_t BgL_lz00_37404;

											BgL_lz00_37404 = CDR(BgL_lz00_12367);
											BgL_iz00_37406 = (BgL_iz00_12368 + ((long) 1));
											BgL_iz00_12368 = BgL_iz00_37406;
											BgL_lz00_12367 = BgL_lz00_37404;
											goto BgL_recz00_12366;
										}
									}
							}
						}
						{	/* Eval/evaluate_comp.scm 496 */
							obj_t BgL_rvalsz00_3611;

							if (NULLP(BgL_cvalsz00_20378))
								{	/* Eval/evaluate_comp.scm 496 */
									BgL_rvalsz00_3611 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 496 */
									obj_t BgL_head1651z00_3625;

									{	/* Eval/evaluate_comp.scm 496 */
										obj_t BgL_res5304z00_12397;

										BgL_res5304z00_12397 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1651z00_3625 = BgL_res5304z00_12397;
									}
									{
										obj_t BgL_l1649z00_12431;
										obj_t BgL_tail1652z00_12432;

										BgL_l1649z00_12431 = BgL_cvalsz00_20378;
										BgL_tail1652z00_12432 = BgL_head1651z00_3625;
									BgL_zc3anonymousza33310ze3z83_12430:
										if (NULLP(BgL_l1649z00_12431))
											{	/* Eval/evaluate_comp.scm 496 */
												BgL_rvalsz00_3611 = CDR(BgL_head1651z00_3625);
											}
										else
											{	/* Eval/evaluate_comp.scm 496 */
												obj_t BgL_newtail1653z00_12439;

												{	/* Eval/evaluate_comp.scm 496 */
													obj_t BgL_arg3313z00_12440;

													{	/* Eval/evaluate_comp.scm 496 */
														obj_t BgL_vz00_12441;

														BgL_vz00_12441 = CAR(BgL_l1649z00_12431);
														BgL_arg3313z00_12440 =
															PROCEDURE_ENTRY(BgL_vz00_12441) (BgL_vz00_12441,
															BgL_sz00_3598, BEOA);
													}
													{	/* Eval/evaluate_comp.scm 496 */
														obj_t BgL_res5310z00_12449;

														BgL_res5310z00_12449 =
															MAKE_PAIR(BgL_arg3313z00_12440, BNIL);
														BgL_newtail1653z00_12439 = BgL_res5310z00_12449;
													}
												}
												SET_CDR(BgL_tail1652z00_12432,
													BgL_newtail1653z00_12439);
												{
													obj_t BgL_tail1652z00_37423;
													obj_t BgL_l1649z00_37421;

													BgL_l1649z00_37421 = CDR(BgL_l1649z00_12431);
													BgL_tail1652z00_37423 = BgL_newtail1653z00_12439;
													BgL_tail1652z00_12432 = BgL_tail1652z00_37423;
													BgL_l1649z00_12431 = BgL_l1649z00_37421;
													goto BgL_zc3anonymousza33310ze3z83_12430;
												}
											}
									}
								}
							{	/* Eval/evaluate_comp.scm 497 */
								long BgL_g1114z00_3612;

								BgL_g1114z00_3612 =
									((long) CINT(BgL_bpz00_3600) + BgL_siza7eza7_20377);
								{
									obj_t BgL_lz00_12497;
									long BgL_iz00_12498;

									BgL_lz00_12497 = BgL_rvalsz00_3611;
									BgL_iz00_12498 = BgL_g1114z00_3612;
								BgL_recz00_12496:
									if (NULLP(BgL_lz00_12497))
										{	/* Eval/evaluate_comp.scm 498 */
											((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_comp.scm 498 */
											{	/* Eval/evaluate_comp.scm 189 */
												obj_t BgL_auxz00_37433;
												int BgL_auxz00_37431;
												obj_t BgL_auxz00_37428;

												BgL_auxz00_37433 = CAR(BgL_lz00_12497);
												BgL_auxz00_37431 = (int) (((long) 0));
												BgL_auxz00_37428 =
													VECTOR_REF(BgL_sz00_3598, (int) (BgL_iz00_12498));
												STRUCT_SET(BgL_auxz00_37428, BgL_auxz00_37431,
													BgL_auxz00_37433);
											}
											{
												long BgL_iz00_37438;
												obj_t BgL_lz00_37436;

												BgL_lz00_37436 = CDR(BgL_lz00_12497);
												BgL_iz00_37438 = (BgL_iz00_12498 + ((long) 1));
												BgL_iz00_12498 = BgL_iz00_37438;
												BgL_lz00_12497 = BgL_lz00_37436;
												goto BgL_recz00_12496;
											}
										}
								}
							}
							return
								PROCEDURE_ENTRY(BgL_bodyz00_20379) (BgL_bodyz00_20379,
								BgL_sz00_3598, BEOA);
						}
					}
				}
			}
		}
	}



/* &comp-ev_let*1735 */
	obj_t BGl_z62compzd2ev_letza21735z12zz__evaluate_compz00(obj_t
		BgL_envz00_20381, obj_t BgL_ez00_20382, obj_t BgL_stkz00_20383)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 462 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_3519;
				obj_t BgL_stkz00_3520;

				BgL_ez00_3519 = ((BgL_ev_letza2za2_bglt) BgL_ez00_20382);
				BgL_stkz00_3520 = BgL_stkz00_20383;
				{	/* Eval/evaluate_comp.scm 464 */
					long BgL_siza7eza7_3524;
					obj_t BgL_nstkz00_3525;

					BgL_siza7eza7_3524 = bgl_list_length(BgL_stkz00_3520);
					{	/* Eval/evaluate_comp.scm 464 */
						obj_t BgL_arg3282z00_3561;

						BgL_arg3282z00_3561 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_3519)))->BgL_varsz00);
						BgL_nstkz00_3525 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_3520,
							BgL_arg3282z00_3561);
					}
					{	/* Eval/evaluate_comp.scm 465 */
						obj_t BgL_valsz00_3526;
						obj_t BgL_bodyz00_3527;

						{	/* Eval/evaluate_comp.scm 465 */
							obj_t BgL_l1635z00_3547;

							BgL_l1635z00_3547 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_3519)))->BgL_valsz00);
							if (NULLP(BgL_l1635z00_3547))
								{	/* Eval/evaluate_comp.scm 465 */
									BgL_valsz00_3526 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 465 */
									obj_t BgL_head1637z00_3549;

									{	/* Eval/evaluate_comp.scm 465 */
										obj_t BgL_res5267z00_12084;

										BgL_res5267z00_12084 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1637z00_3549 = BgL_res5267z00_12084;
									}
									{
										obj_t BgL_l1635z00_12118;
										obj_t BgL_tail1638z00_12119;

										BgL_l1635z00_12118 = BgL_l1635z00_3547;
										BgL_tail1638z00_12119 = BgL_head1637z00_3549;
									BgL_zc3anonymousza33276ze3z83_12117:
										if (NULLP(BgL_l1635z00_12118))
											{	/* Eval/evaluate_comp.scm 465 */
												BgL_valsz00_3526 = CDR(BgL_head1637z00_3549);
											}
										else
											{	/* Eval/evaluate_comp.scm 465 */
												obj_t BgL_newtail1639z00_12126;

												{	/* Eval/evaluate_comp.scm 465 */
													obj_t BgL_arg3279z00_12127;

													{	/* Eval/evaluate_comp.scm 465 */
														obj_t BgL_vz00_12128;

														BgL_vz00_12128 = CAR(BgL_l1635z00_12118);
														BgL_arg3279z00_12127 =
															BGl_compz00zz__evaluate_compz00(
															((BgL_ev_exprz00_bglt) BgL_vz00_12128),
															BgL_nstkz00_3525);
													}
													{	/* Eval/evaluate_comp.scm 465 */
														obj_t BgL_res5273z00_12136;

														BgL_res5273z00_12136 =
															MAKE_PAIR(BgL_arg3279z00_12127, BNIL);
														BgL_newtail1639z00_12126 = BgL_res5273z00_12136;
													}
												}
												SET_CDR(BgL_tail1638z00_12119,
													BgL_newtail1639z00_12126);
												{
													obj_t BgL_tail1638z00_37463;
													obj_t BgL_l1635z00_37461;

													BgL_l1635z00_37461 = CDR(BgL_l1635z00_12118);
													BgL_tail1638z00_37463 = BgL_newtail1639z00_12126;
													BgL_tail1638z00_12119 = BgL_tail1638z00_37463;
													BgL_l1635z00_12118 = BgL_l1635z00_37461;
													goto BgL_zc3anonymousza33276ze3z83_12117;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 466 */
							BgL_ev_exprz00_bglt BgL_arg3281z00_3560;

							BgL_arg3281z00_3560 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_3519)))->BgL_bodyz00);
							BgL_bodyz00_3527 =
								BGl_compz00zz__evaluate_compz00(BgL_arg3281z00_3560,
								BgL_nstkz00_3525);
						}
						{	/* Eval/evaluate_comp.scm 467 */
							obj_t BgL_zc3anonymousza33265ze3z83_19097;

							BgL_zc3anonymousza33265ze3z83_19097 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza33265ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_zc3anonymousza33265ze3z83_19097,
								(int) (((long) 0)), BINT(BgL_siza7eza7_3524));
							PROCEDURE_SET(BgL_zc3anonymousza33265ze3z83_19097,
								(int) (((long) 1)), ((obj_t) BgL_ez00_3519));
							PROCEDURE_SET(BgL_zc3anonymousza33265ze3z83_19097,
								(int) (((long) 2)), BgL_valsz00_3526);
							PROCEDURE_SET(BgL_zc3anonymousza33265ze3z83_19097,
								(int) (((long) 3)), BgL_bodyz00_3527);
							return BgL_zc3anonymousza33265ze3z83_19097;
						}
					}
				}
			}
		}
	}



/* &<anonymous:3265> */
	obj_t BGl_z62zc3anonymousza33265ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20384, obj_t BgL_sz00_20389)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 467 */
			{	/* Eval/evaluate_comp.scm 467 */
				long BgL_siza7eza7_20385;
				BgL_ev_letza2za2_bglt BgL_i1108z00_20386;
				obj_t BgL_valsz00_20387;
				obj_t BgL_bodyz00_20388;

				BgL_siza7eza7_20385 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20384, (int) (((long) 0))));
				BgL_i1108z00_20386 =
					((BgL_ev_letza2za2_bglt)
					PROCEDURE_REF(BgL_envz00_20384, (int) (((long) 1))));
				BgL_valsz00_20387 = PROCEDURE_REF(BgL_envz00_20384, (int) (((long) 2)));
				BgL_bodyz00_20388 = PROCEDURE_REF(BgL_envz00_20384, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3528;

					BgL_sz00_3528 = BgL_sz00_20389;
					{	/* Eval/evaluate_comp.scm 467 */
						obj_t BgL_bpz00_3530;

						BgL_bpz00_3530 = VECTOR_REF(BgL_sz00_3528, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 468 */
							long BgL_g1109z00_3531;

							BgL_g1109z00_3531 =
								((long) CINT(BgL_bpz00_3530) + BgL_siza7eza7_20385);
							{
								obj_t BgL_lz00_3534;
								long BgL_iz00_3535;
								obj_t BgL_bza2za2_3536;

								BgL_lz00_3534 = BgL_valsz00_20387;
								BgL_iz00_3535 = BgL_g1109z00_3531;
								BgL_bza2za2_3536 =
									(((BgL_ev_letza2za2_bglt) CREF(BgL_i1108z00_20386))->
									BgL_boxesz00);
							BgL_zc3anonymousza33267ze3z83_3537:
								if (NULLP(BgL_lz00_3534))
									{	/* Eval/evaluate_comp.scm 469 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 469 */
										{	/* Eval/evaluate_comp.scm 470 */
											obj_t BgL_valz00_3539;

											{	/* Eval/evaluate_comp.scm 470 */
												obj_t BgL_fun3271z00_3542;

												BgL_fun3271z00_3542 = CAR(BgL_lz00_3534);
												BgL_valz00_3539 =
													PROCEDURE_ENTRY(BgL_fun3271z00_3542)
													(BgL_fun3271z00_3542, BgL_sz00_3528, BEOA);
											}
											{	/* Eval/evaluate_comp.scm 471 */
												obj_t BgL_arg3269z00_3540;

												{	/* Eval/evaluate_comp.scm 471 */
													bool_t BgL_testz00_37502;

													{	/* Eval/evaluate_comp.scm 471 */
														obj_t BgL_pairz00_12148;

														BgL_pairz00_12148 = BgL_bza2za2_3536;
														BgL_testz00_37502 = CBOOL(CAR(BgL_pairz00_12148));
													}
													if (BgL_testz00_37502)
														{	/* Eval/evaluate_comp.scm 189 */
															obj_t BgL_newz00_12150;

															BgL_newz00_12150 =
																create_struct
																(BGl_symbol5997z00zz__evaluate_compz00,
																(int) (((long) 1)));
															{	/* Eval/evaluate_comp.scm 189 */
																int BgL_auxz00_37507;

																BgL_auxz00_37507 = (int) (((long) 0));
																STRUCT_SET(BgL_newz00_12150, BgL_auxz00_37507,
																	BgL_valz00_3539);
															}
															BgL_arg3269z00_3540 = BgL_newz00_12150;
														}
													else
														{	/* Eval/evaluate_comp.scm 471 */
															BgL_arg3269z00_3540 = BgL_valz00_3539;
														}
												}
												VECTOR_SET(BgL_sz00_3528,
													(int) (BgL_iz00_3535), BgL_arg3269z00_3540);
										}}
										{
											obj_t BgL_bza2za2_37516;
											long BgL_iz00_37514;
											obj_t BgL_lz00_37512;

											BgL_lz00_37512 = CDR(BgL_lz00_3534);
											BgL_iz00_37514 = (BgL_iz00_3535 + ((long) 1));
											BgL_bza2za2_37516 = CDR(BgL_bza2za2_3536);
											BgL_bza2za2_3536 = BgL_bza2za2_37516;
											BgL_iz00_3535 = BgL_iz00_37514;
											BgL_lz00_3534 = BgL_lz00_37512;
											goto BgL_zc3anonymousza33267ze3z83_3537;
										}
									}
							}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_20388) (BgL_bodyz00_20388,
							BgL_sz00_3528, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_let1733 */
	obj_t BGl_z62compzd2ev_let1733zb0zz__evaluate_compz00(obj_t BgL_envz00_20390,
		obj_t BgL_ez00_20391, obj_t BgL_stkz00_20392)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 443 */
			{
				BgL_ev_letz00_bglt BgL_ez00_3468;
				obj_t BgL_stkz00_3469;

				BgL_ez00_3468 = ((BgL_ev_letz00_bglt) BgL_ez00_20391);
				BgL_stkz00_3469 = BgL_stkz00_20392;
				{	/* Eval/evaluate_comp.scm 445 */
					long BgL_siza7eza7_3473;
					obj_t BgL_nstkz00_3474;

					BgL_siza7eza7_3473 = bgl_list_length(BgL_stkz00_3469);
					{	/* Eval/evaluate_comp.scm 445 */
						obj_t BgL_arg3264z00_3517;

						BgL_arg3264z00_3517 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_3468)))->BgL_varsz00);
						BgL_nstkz00_3474 =
							BGl_appendzd221011zd2zz__evaluate_compz00(BgL_stkz00_3469,
							BgL_arg3264z00_3517);
					}
					{	/* Eval/evaluate_comp.scm 446 */
						obj_t BgL_valsz00_3475;
						obj_t BgL_iboxesz00_3476;
						obj_t BgL_bodyz00_3477;

						{	/* Eval/evaluate_comp.scm 447 */
							obj_t BgL_arg3257z00_3502;

							BgL_arg3257z00_3502 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_3468)))->BgL_valsz00);
							BgL_valsz00_3475 =
								BGl_compzd2withzd2pushz00zz__evaluate_compz00
								(BgL_arg3257z00_3502, BgL_stkz00_3469);
						}
						{	/* Eval/evaluate_comp.scm 448 */
							obj_t BgL_l1630z00_3503;

							BgL_l1630z00_3503 =
								(((BgL_ev_letz00_bglt) CREF(BgL_ez00_3468))->BgL_boxesz00);
							if (NULLP(BgL_l1630z00_3503))
								{	/* Eval/evaluate_comp.scm 448 */
									BgL_iboxesz00_3476 = BNIL;
								}
							else
								{	/* Eval/evaluate_comp.scm 448 */
									obj_t BgL_head1632z00_3505;

									{	/* Eval/evaluate_comp.scm 448 */
										obj_t BgL_res5250z00_11945;

										BgL_res5250z00_11945 = MAKE_PAIR(BNIL, BNIL);
										BgL_head1632z00_3505 = BgL_res5250z00_11945;
									}
									{
										obj_t BgL_l1630z00_11979;
										obj_t BgL_tail1633z00_11980;

										BgL_l1630z00_11979 = BgL_l1630z00_3503;
										BgL_tail1633z00_11980 = BgL_head1632z00_3505;
									BgL_zc3anonymousza33259ze3z83_11978:
										if (NULLP(BgL_l1630z00_11979))
											{	/* Eval/evaluate_comp.scm 448 */
												BgL_iboxesz00_3476 = CDR(BgL_head1632z00_3505);
											}
										else
											{	/* Eval/evaluate_comp.scm 448 */
												obj_t BgL_newtail1634z00_11987;

												{	/* Eval/evaluate_comp.scm 448 */
													obj_t BgL_arg3262z00_11988;

													BgL_arg3262z00_11988 =
														BGl__indexz00zz__evaluate_compz00(CAR
														(BgL_l1630z00_11979), BgL_nstkz00_3474);
													{	/* Eval/evaluate_comp.scm 448 */
														obj_t BgL_res5256z00_11997;

														BgL_res5256z00_11997 =
															MAKE_PAIR(BgL_arg3262z00_11988, BNIL);
														BgL_newtail1634z00_11987 = BgL_res5256z00_11997;
													}
												}
												SET_CDR(BgL_tail1633z00_11980,
													BgL_newtail1634z00_11987);
												{
													obj_t BgL_tail1633z00_37543;
													obj_t BgL_l1630z00_37541;

													BgL_l1630z00_37541 = CDR(BgL_l1630z00_11979);
													BgL_tail1633z00_37543 = BgL_newtail1634z00_11987;
													BgL_tail1633z00_11980 = BgL_tail1633z00_37543;
													BgL_l1630z00_11979 = BgL_l1630z00_37541;
													goto BgL_zc3anonymousza33259ze3z83_11978;
												}
											}
									}
								}
						}
						{	/* Eval/evaluate_comp.scm 449 */
							BgL_ev_exprz00_bglt BgL_arg3263z00_3516;

							BgL_arg3263z00_3516 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_3468)))->BgL_bodyz00);
							BgL_bodyz00_3477 =
								BGl_compz00zz__evaluate_compz00(BgL_arg3263z00_3516,
								BgL_nstkz00_3474);
						}
						{	/* Eval/evaluate_comp.scm 450 */
							obj_t BgL_zc3anonymousza33244ze3z83_19099;

							BgL_zc3anonymousza33244ze3z83_19099 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza33244ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 4)));
							PROCEDURE_SET(BgL_zc3anonymousza33244ze3z83_19099,
								(int) (((long) 0)), BINT(BgL_siza7eza7_3473));
							PROCEDURE_SET(BgL_zc3anonymousza33244ze3z83_19099,
								(int) (((long) 1)), BgL_valsz00_3475);
							PROCEDURE_SET(BgL_zc3anonymousza33244ze3z83_19099,
								(int) (((long) 2)), BgL_iboxesz00_3476);
							PROCEDURE_SET(BgL_zc3anonymousza33244ze3z83_19099,
								(int) (((long) 3)), BgL_bodyz00_3477);
							return BgL_zc3anonymousza33244ze3z83_19099;
						}
					}
				}
			}
		}
	}



/* &<anonymous:3244> */
	obj_t BGl_z62zc3anonymousza33244ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20393, obj_t BgL_sz00_20398)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 450 */
			{	/* Eval/evaluate_comp.scm 450 */
				long BgL_siza7eza7_20394;
				obj_t BgL_valsz00_20395;
				obj_t BgL_iboxesz00_20396;
				obj_t BgL_bodyz00_20397;

				BgL_siza7eza7_20394 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_20393, (int) (((long) 0))));
				BgL_valsz00_20395 =
					((obj_t) PROCEDURE_REF(BgL_envz00_20393, (int) (((long) 1))));
				BgL_iboxesz00_20396 =
					PROCEDURE_REF(BgL_envz00_20393, (int) (((long) 2)));
				BgL_bodyz00_20397 = PROCEDURE_REF(BgL_envz00_20393, (int) (((long) 3)));
				{
					obj_t BgL_sz00_3478;

					BgL_sz00_3478 = BgL_sz00_20398;
					{	/* Eval/evaluate_comp.scm 450 */
						obj_t BgL_bpz00_3480;

						BgL_bpz00_3480 = VECTOR_REF(BgL_sz00_3478, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 451 */
							long BgL_g1107z00_3481;

							BgL_g1107z00_3481 =
								((long) CINT(BgL_bpz00_3480) + BgL_siza7eza7_20394);
							{
								obj_t BgL_lz00_12039;
								long BgL_iz00_12040;

								BgL_lz00_12039 = BgL_valsz00_20395;
								BgL_iz00_12040 = BgL_g1107z00_3481;
							BgL_recz00_12038:
								if (NULLP(BgL_lz00_12039))
									{	/* Eval/evaluate_comp.scm 452 */
										((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_comp.scm 452 */
										{	/* Eval/evaluate_comp.scm 453 */
											obj_t BgL_arg3247z00_12047;

											{	/* Eval/evaluate_comp.scm 453 */
												obj_t BgL_fun3248z00_12048;

												BgL_fun3248z00_12048 = CAR(BgL_lz00_12039);
												BgL_arg3247z00_12047 =
													PROCEDURE_ENTRY(BgL_fun3248z00_12048)
													(BgL_fun3248z00_12048, BgL_sz00_3478, BEOA);
											}
											VECTOR_SET(BgL_sz00_3478,
												(int) (BgL_iz00_12040), BgL_arg3247z00_12047);
										}
										{
											long BgL_iz00_37585;
											obj_t BgL_lz00_37583;

											BgL_lz00_37583 = CDR(BgL_lz00_12039);
											BgL_iz00_37585 = (BgL_iz00_12040 + ((long) 1));
											BgL_iz00_12040 = BgL_iz00_37585;
											BgL_lz00_12039 = BgL_lz00_37583;
											goto BgL_recz00_12038;
										}
									}
							}
						}
						{
							obj_t BgL_lz00_3493;

							BgL_lz00_3493 = BgL_iboxesz00_20396;
						BgL_zc3anonymousza33251ze3z83_3494:
							if (NULLP(BgL_lz00_3493))
								{	/* Eval/evaluate_comp.scm 456 */
									((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_comp.scm 456 */
									{	/* Eval/evaluate_comp.scm 457 */
										long BgL_iz00_3496;

										{	/* Eval/evaluate_comp.scm 457 */
											long BgL_auxz00_37589;

											{	/* Eval/evaluate_comp.scm 457 */
												obj_t BgL_pairz00_12063;

												BgL_pairz00_12063 = BgL_lz00_3493;
												BgL_auxz00_37589 = (long) CINT(CAR(BgL_pairz00_12063));
											}
											BgL_iz00_3496 =
												((long) CINT(BgL_bpz00_3480) + BgL_auxz00_37589);
										}
										{	/* Eval/evaluate_comp.scm 458 */
											obj_t BgL_arg3253z00_3497;

											{	/* Eval/evaluate_comp.scm 458 */
												obj_t BgL_arg3254z00_3498;

												BgL_arg3254z00_3498 =
													VECTOR_REF(BgL_sz00_3478, (int) (BgL_iz00_3496));
												{	/* Eval/evaluate_comp.scm 189 */
													obj_t BgL_newz00_12070;

													BgL_newz00_12070 =
														create_struct(BGl_symbol5997z00zz__evaluate_compz00,
														(int) (((long) 1)));
													{	/* Eval/evaluate_comp.scm 189 */
														int BgL_auxz00_37598;

														BgL_auxz00_37598 = (int) (((long) 0));
														STRUCT_SET(BgL_newz00_12070, BgL_auxz00_37598,
															BgL_arg3254z00_3498);
													}
													BgL_arg3253z00_3497 = BgL_newz00_12070;
											}}
											VECTOR_SET(BgL_sz00_3478,
												(int) (BgL_iz00_3496), BgL_arg3253z00_3497);
									}}
									{
										obj_t BgL_lz00_37603;

										BgL_lz00_37603 = CDR(BgL_lz00_3493);
										BgL_lz00_3493 = BgL_lz00_37603;
										goto BgL_zc3anonymousza33251ze3z83_3494;
									}
								}
						}
						return
							PROCEDURE_ENTRY(BgL_bodyz00_20397) (BgL_bodyz00_20397,
							BgL_sz00_3478, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_prog21731 */
	obj_t BGl_z62compzd2ev_prog21731zb0zz__evaluate_compz00(obj_t
		BgL_envz00_20399, obj_t BgL_ez00_20400, obj_t BgL_stkz00_20401)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 437 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_3455;
				obj_t BgL_stkz00_3456;

				BgL_ez00_3455 = ((BgL_ev_prog2z00_bglt) BgL_ez00_20400);
				BgL_stkz00_3456 = BgL_stkz00_20401;
				{	/* Eval/evaluate_comp.scm 439 */
					obj_t BgL_e1z00_3460;
					obj_t BgL_e2z00_3461;

					BgL_e1z00_3460 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_3455))->BgL_e1z00),
						BgL_stkz00_3456);
					BgL_e2z00_3461 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_prog2z00_bglt)
								CREF(BgL_ez00_3455))->BgL_e2z00), BgL_stkz00_3456);
					{	/* Eval/evaluate_comp.scm 440 */
						obj_t BgL_zc3anonymousza33241ze3z83_19101;

						BgL_zc3anonymousza33241ze3z83_19101 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33241ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza33241ze3z83_19101,
							(int) (((long) 0)), BgL_e1z00_3460);
						PROCEDURE_SET(BgL_zc3anonymousza33241ze3z83_19101,
							(int) (((long) 1)), BgL_e2z00_3461);
						return BgL_zc3anonymousza33241ze3z83_19101;
					}
				}
			}
		}
	}



/* &<anonymous:3241> */
	obj_t BGl_z62zc3anonymousza33241ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20402, obj_t BgL_sz00_20405)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 440 */
			{	/* Eval/evaluate_comp.scm 440 */
				obj_t BgL_e1z00_20403;
				obj_t BgL_e2z00_20404;

				BgL_e1z00_20403 = PROCEDURE_REF(BgL_envz00_20402, (int) (((long) 0)));
				BgL_e2z00_20404 = PROCEDURE_REF(BgL_envz00_20402, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3462;

					BgL_sz00_3462 = BgL_sz00_20405;
					{	/* Eval/evaluate_comp.scm 440 */
						obj_t BgL_bpz00_11938;

						BgL_bpz00_11938 = VECTOR_REF(BgL_sz00_3462, (int) (((long) 0)));
						PROCEDURE_ENTRY(BgL_e1z00_20403) (BgL_e1z00_20403, BgL_sz00_3462,
							BEOA);
						return PROCEDURE_ENTRY(BgL_e2z00_20404) (BgL_e2z00_20404,
							BgL_sz00_3462, BEOA);
					}
				}
			}
		}
	}



/* &comp-ev_and1729 */
	obj_t BGl_z62compzd2ev_and1729zb0zz__evaluate_compz00(obj_t BgL_envz00_20406,
		obj_t BgL_ez00_20407, obj_t BgL_stkz00_20408)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 427 */
			{
				BgL_ev_andz00_bglt BgL_ez00_3422;
				obj_t BgL_stkz00_3423;

				BgL_ez00_3422 = ((BgL_ev_andz00_bglt) BgL_ez00_20407);
				BgL_stkz00_3423 = BgL_stkz00_20408;
				{	/* Eval/evaluate_comp.scm 429 */
					obj_t BgL_argsz00_3427;

					{	/* Eval/evaluate_comp.scm 429 */
						obj_t BgL_l1625z00_3441;

						BgL_l1625z00_3441 =
							(((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_ez00_3422)))->BgL_argsz00);
						if (NULLP(BgL_l1625z00_3441))
							{	/* Eval/evaluate_comp.scm 429 */
								BgL_argsz00_3427 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 429 */
								obj_t BgL_head1627z00_3443;

								{	/* Eval/evaluate_comp.scm 429 */
									obj_t BgL_res5239z00_11843;

									BgL_res5239z00_11843 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1627z00_3443 = BgL_res5239z00_11843;
								}
								{
									obj_t BgL_l1625z00_11877;
									obj_t BgL_tail1628z00_11878;

									BgL_l1625z00_11877 = BgL_l1625z00_3441;
									BgL_tail1628z00_11878 = BgL_head1627z00_3443;
								BgL_zc3anonymousza33236ze3z83_11876:
									if (NULLP(BgL_l1625z00_11877))
										{	/* Eval/evaluate_comp.scm 429 */
											BgL_argsz00_3427 = CDR(BgL_head1627z00_3443);
										}
									else
										{	/* Eval/evaluate_comp.scm 429 */
											obj_t BgL_newtail1629z00_11885;

											{	/* Eval/evaluate_comp.scm 429 */
												obj_t BgL_arg3240z00_11886;

												{	/* Eval/evaluate_comp.scm 429 */
													obj_t BgL_ez00_11887;

													BgL_ez00_11887 = CAR(BgL_l1625z00_11877);
													BgL_arg3240z00_11886 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_ez00_11887),
														BgL_stkz00_3423);
												}
												{	/* Eval/evaluate_comp.scm 429 */
													obj_t BgL_res5245z00_11895;

													BgL_res5245z00_11895 =
														MAKE_PAIR(BgL_arg3240z00_11886, BNIL);
													BgL_newtail1629z00_11885 = BgL_res5245z00_11895;
												}
											}
											SET_CDR(BgL_tail1628z00_11878, BgL_newtail1629z00_11885);
											{
												obj_t BgL_tail1628z00_37650;
												obj_t BgL_l1625z00_37648;

												BgL_l1625z00_37648 = CDR(BgL_l1625z00_11877);
												BgL_tail1628z00_37650 = BgL_newtail1629z00_11885;
												BgL_tail1628z00_11878 = BgL_tail1628z00_37650;
												BgL_l1625z00_11877 = BgL_l1625z00_37648;
												goto BgL_zc3anonymousza33236ze3z83_11876;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 430 */
						obj_t BgL_zc3anonymousza33230ze3z83_19103;

						BgL_zc3anonymousza33230ze3z83_19103 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33230ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza33230ze3z83_19103,
							(int) (((long) 0)), BgL_argsz00_3427);
						return BgL_zc3anonymousza33230ze3z83_19103;
					}
				}
			}
		}
	}



/* &<anonymous:3230> */
	obj_t BGl_z62zc3anonymousza33230ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20409, obj_t BgL_sz00_20411)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 430 */
			{	/* Eval/evaluate_comp.scm 430 */
				obj_t BgL_argsz00_20410;

				BgL_argsz00_20410 = PROCEDURE_REF(BgL_envz00_20409, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3428;

					BgL_sz00_3428 = BgL_sz00_20411;
					{	/* Eval/evaluate_comp.scm 430 */
						obj_t BgL_bpz00_3430;

						BgL_bpz00_3430 = VECTOR_REF(BgL_sz00_3428, (int) (((long) 0)));
						{
							obj_t BgL_lz00_11922;
							obj_t BgL_rz00_11923;

							BgL_lz00_11922 = BgL_argsz00_20410;
							BgL_rz00_11923 = BTRUE;
						BgL_recz00_11921:
							if (NULLP(BgL_lz00_11922))
								{	/* Eval/evaluate_comp.scm 432 */
									return BgL_rz00_11923;
								}
							else
								{	/* Eval/evaluate_comp.scm 434 */
									obj_t BgL_vz00_11930;

									{	/* Eval/evaluate_comp.scm 434 */
										obj_t BgL_fun3234z00_11931;

										BgL_fun3234z00_11931 = CAR(BgL_lz00_11922);
										BgL_vz00_11930 =
											PROCEDURE_ENTRY(BgL_fun3234z00_11931)
											(BgL_fun3234z00_11931, BgL_sz00_3428, BEOA);
									}
									if (CBOOL(BgL_vz00_11930))
										{
											obj_t BgL_rz00_37672;
											obj_t BgL_lz00_37670;

											BgL_lz00_37670 = CDR(BgL_lz00_11922);
											BgL_rz00_37672 = BgL_vz00_11930;
											BgL_rz00_11923 = BgL_rz00_37672;
											BgL_lz00_11922 = BgL_lz00_37670;
											goto BgL_recz00_11921;
										}
									else
										{	/* Eval/evaluate_comp.scm 435 */
											return BFALSE;
										}
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_or1727 */
	obj_t BGl_z62compzd2ev_or1727zb0zz__evaluate_compz00(obj_t BgL_envz00_20412,
		obj_t BgL_ez00_20413, obj_t BgL_stkz00_20414)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 418 */
			{
				BgL_ev_orz00_bglt BgL_ez00_3391;
				obj_t BgL_stkz00_3392;

				BgL_ez00_3391 = ((BgL_ev_orz00_bglt) BgL_ez00_20413);
				BgL_stkz00_3392 = BgL_stkz00_20414;
				{	/* Eval/evaluate_comp.scm 420 */
					obj_t BgL_argsz00_3396;

					{	/* Eval/evaluate_comp.scm 420 */
						obj_t BgL_l1620z00_3408;

						BgL_l1620z00_3408 =
							(((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_ez00_3391)))->BgL_argsz00);
						if (NULLP(BgL_l1620z00_3408))
							{	/* Eval/evaluate_comp.scm 420 */
								BgL_argsz00_3396 = BNIL;
							}
						else
							{	/* Eval/evaluate_comp.scm 420 */
								obj_t BgL_head1622z00_3410;

								{	/* Eval/evaluate_comp.scm 420 */
									obj_t BgL_res5230z00_11777;

									BgL_res5230z00_11777 = MAKE_PAIR(BNIL, BNIL);
									BgL_head1622z00_3410 = BgL_res5230z00_11777;
								}
								{
									obj_t BgL_l1620z00_11811;
									obj_t BgL_tail1623z00_11812;

									BgL_l1620z00_11811 = BgL_l1620z00_3408;
									BgL_tail1623z00_11812 = BgL_head1622z00_3410;
								BgL_zc3anonymousza33226ze3z83_11810:
									if (NULLP(BgL_l1620z00_11811))
										{	/* Eval/evaluate_comp.scm 420 */
											BgL_argsz00_3396 = CDR(BgL_head1622z00_3410);
										}
									else
										{	/* Eval/evaluate_comp.scm 420 */
											obj_t BgL_newtail1624z00_11819;

											{	/* Eval/evaluate_comp.scm 420 */
												obj_t BgL_arg3229z00_11820;

												{	/* Eval/evaluate_comp.scm 420 */
													obj_t BgL_ez00_11821;

													BgL_ez00_11821 = CAR(BgL_l1620z00_11811);
													BgL_arg3229z00_11820 =
														BGl_compz00zz__evaluate_compz00(
														((BgL_ev_exprz00_bglt) BgL_ez00_11821),
														BgL_stkz00_3392);
												}
												{	/* Eval/evaluate_comp.scm 420 */
													obj_t BgL_res5236z00_11829;

													BgL_res5236z00_11829 =
														MAKE_PAIR(BgL_arg3229z00_11820, BNIL);
													BgL_newtail1624z00_11819 = BgL_res5236z00_11829;
												}
											}
											SET_CDR(BgL_tail1623z00_11812, BgL_newtail1624z00_11819);
											{
												obj_t BgL_tail1623z00_37688;
												obj_t BgL_l1620z00_37686;

												BgL_l1620z00_37686 = CDR(BgL_l1620z00_11811);
												BgL_tail1623z00_37688 = BgL_newtail1624z00_11819;
												BgL_tail1623z00_11812 = BgL_tail1623z00_37688;
												BgL_l1620z00_11811 = BgL_l1620z00_37686;
												goto BgL_zc3anonymousza33226ze3z83_11810;
											}
										}
								}
							}
					}
					{	/* Eval/evaluate_comp.scm 421 */
						obj_t BgL_zc3anonymousza33220ze3z83_19105;

						BgL_zc3anonymousza33220ze3z83_19105 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33220ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza33220ze3z83_19105,
							(int) (((long) 0)), BgL_argsz00_3396);
						return BgL_zc3anonymousza33220ze3z83_19105;
					}
				}
			}
		}
	}



/* &<anonymous:3220> */
	obj_t BGl_z62zc3anonymousza33220ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20415, obj_t BgL_sz00_20417)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 421 */
			{	/* Eval/evaluate_comp.scm 421 */
				obj_t BgL_argsz00_20416;

				BgL_argsz00_20416 = PROCEDURE_REF(BgL_envz00_20415, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3397;

					BgL_sz00_3397 = BgL_sz00_20417;
					{	/* Eval/evaluate_comp.scm 421 */
						obj_t BgL_bpz00_3399;

						BgL_bpz00_3399 = VECTOR_REF(BgL_sz00_3397, (int) (((long) 0)));
						{
							obj_t BgL_lz00_3401;

							BgL_lz00_3401 = BgL_argsz00_20416;
						BgL_zc3anonymousza33221ze3z83_3402:
							if (NULLP(BgL_lz00_3401))
								{	/* Eval/evaluate_comp.scm 423 */
									return BFALSE;
								}
							else
								{	/* Eval/evaluate_comp.scm 425 */
									obj_t BgL__ortest_1102z00_3404;

									{	/* Eval/evaluate_comp.scm 425 */
										obj_t BgL_fun3224z00_3406;

										BgL_fun3224z00_3406 = CAR(BgL_lz00_3401);
										BgL__ortest_1102z00_3404 =
											PROCEDURE_ENTRY(BgL_fun3224z00_3406) (BgL_fun3224z00_3406,
											BgL_sz00_3397, BEOA);
									}
									if (CBOOL(BgL__ortest_1102z00_3404))
										{	/* Eval/evaluate_comp.scm 425 */
											return BgL__ortest_1102z00_3404;
										}
									else
										{
											obj_t BgL_lz00_37708;

											BgL_lz00_37708 = CDR(BgL_lz00_3401);
											BgL_lz00_3401 = BgL_lz00_37708;
											goto BgL_zc3anonymousza33221ze3z83_3402;
										}
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_if1725 */
	obj_t BGl_z62compzd2ev_if1725zb0zz__evaluate_compz00(obj_t BgL_envz00_20418,
		obj_t BgL_ez00_20419, obj_t BgL_stkz00_20420)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 412 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_3375;
				obj_t BgL_stkz00_3376;

				BgL_ez00_3375 = ((BgL_ev_ifz00_bglt) BgL_ez00_20419);
				BgL_stkz00_3376 = BgL_stkz00_20420;
				{	/* Eval/evaluate_comp.scm 414 */
					obj_t BgL_pz00_3380;
					obj_t BgL_tz00_3381;
					obj_t BgL_ez00_3382;

					BgL_pz00_3380 =
						BGl_compz00zz__evaluate_compz00(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_3375))->BgL_pz00),
						BgL_stkz00_3376);
					BgL_tz00_3381 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
								CREF(BgL_ez00_3375))->BgL_tz00), BgL_stkz00_3376);
					BgL_ez00_3382 =
						BGl_compz00zz__evaluate_compz00((((BgL_ev_ifz00_bglt)
								CREF(BgL_ez00_3375))->BgL_ez00), BgL_stkz00_3376);
					{	/* Eval/evaluate_comp.scm 415 */
						obj_t BgL_zc3anonymousza33215ze3z83_19107;

						BgL_zc3anonymousza33215ze3z83_19107 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33215ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 3)));
						PROCEDURE_SET(BgL_zc3anonymousza33215ze3z83_19107,
							(int) (((long) 0)), BgL_ez00_3382);
						PROCEDURE_SET(BgL_zc3anonymousza33215ze3z83_19107,
							(int) (((long) 1)), BgL_tz00_3381);
						PROCEDURE_SET(BgL_zc3anonymousza33215ze3z83_19107,
							(int) (((long) 2)), BgL_pz00_3380);
						return BgL_zc3anonymousza33215ze3z83_19107;
					}
				}
			}
		}
	}



/* &<anonymous:3215> */
	obj_t BGl_z62zc3anonymousza33215ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20421, obj_t BgL_sz00_20425)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 415 */
			{	/* Eval/evaluate_comp.scm 415 */
				obj_t BgL_ez00_20422;
				obj_t BgL_tz00_20423;
				obj_t BgL_pz00_20424;

				BgL_ez00_20422 = PROCEDURE_REF(BgL_envz00_20421, (int) (((long) 0)));
				BgL_tz00_20423 = PROCEDURE_REF(BgL_envz00_20421, (int) (((long) 1)));
				BgL_pz00_20424 = PROCEDURE_REF(BgL_envz00_20421, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3383;

					BgL_sz00_3383 = BgL_sz00_20425;
					{	/* Eval/evaluate_comp.scm 415 */
						obj_t BgL_bpz00_11769;

						BgL_bpz00_11769 = VECTOR_REF(BgL_sz00_3383, (int) (((long) 0)));
						if (CBOOL(PROCEDURE_ENTRY(BgL_pz00_20424) (BgL_pz00_20424,
									BgL_sz00_3383, BEOA)))
							{	/* Eval/evaluate_comp.scm 416 */
								return
									PROCEDURE_ENTRY(BgL_tz00_20423) (BgL_tz00_20423,
									BgL_sz00_3383, BEOA);
							}
						else
							{	/* Eval/evaluate_comp.scm 416 */
								return
									PROCEDURE_ENTRY(BgL_ez00_20422) (BgL_ez00_20422,
									BgL_sz00_3383, BEOA);
							}
					}
				}
			}
		}
	}



/* &comp-ev_litt1723 */
	obj_t BGl_z62compzd2ev_litt1723zb0zz__evaluate_compz00(obj_t BgL_envz00_20426,
		obj_t BgL_ez00_20427, obj_t BgL_stkz00_20428)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 407 */
			{
				BgL_ev_littz00_bglt BgL_ez00_3366;
				obj_t BgL_stkz00_3367;

				BgL_ez00_3366 = ((BgL_ev_littz00_bglt) BgL_ez00_20427);
				BgL_stkz00_3367 = BgL_stkz00_20428;
				{	/* Eval/evaluate_comp.scm 409 */
					obj_t BgL_zc3anonymousza33214ze3z83_19109;

					BgL_zc3anonymousza33214ze3z83_19109 =
						MAKE_FX_PROCEDURE
						(BGl_z62zc3anonymousza33214ze3ze1zz__evaluate_compz00,
						(int) (((long) 1)), (int) (((long) 1)));
					PROCEDURE_SET(BgL_zc3anonymousza33214ze3z83_19109, (int) (((long) 0)),
						((obj_t) BgL_ez00_3366));
					return BgL_zc3anonymousza33214ze3z83_19109;
				}
			}
		}
	}



/* &<anonymous:3214> */
	obj_t BGl_z62zc3anonymousza33214ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20429, obj_t BgL_sz00_20431)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 409 */
			{	/* Eval/evaluate_comp.scm 409 */
				BgL_ev_littz00_bglt BgL_i1099z00_20430;

				BgL_i1099z00_20430 =
					((BgL_ev_littz00_bglt)
					PROCEDURE_REF(BgL_envz00_20429, (int) (((long) 0))));
				{
					obj_t BgL_sz00_11764;

					BgL_sz00_11764 = BgL_sz00_20431;
					{	/* Eval/evaluate_comp.scm 409 */
						obj_t BgL_bpz00_11766;

						BgL_bpz00_11766 = VECTOR_REF(BgL_sz00_11764, (int) (((long) 0)));
						return
							(((BgL_ev_littz00_bglt) CREF(BgL_i1099z00_20430))->BgL_valuez00);
					}
				}
			}
		}
	}



/* &comp-ev_defglobal1721 */
	obj_t BGl_z62compzd2ev_defglobal1721zb0zz__evaluate_compz00(obj_t
		BgL_envz00_20432, obj_t BgL_ez00_20433, obj_t BgL_stkz00_20434)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 376 */
			{
				BgL_ev_defglobalz00_bglt BgL_ez00_3327;
				obj_t BgL_stkz00_3328;

				BgL_ez00_3327 = ((BgL_ev_defglobalz00_bglt) BgL_ez00_20433);
				BgL_stkz00_3328 = BgL_stkz00_20434;
				{	/* Eval/evaluate_comp.scm 378 */
					obj_t BgL_ez00_3332;

					{	/* Eval/evaluate_comp.scm 378 */
						BgL_ev_exprz00_bglt BgL_arg3213z00_3364;

						BgL_arg3213z00_3364 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_3327)))->BgL_ez00);
						BgL_ez00_3332 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3213z00_3364,
							BgL_stkz00_3328);
					}
					{	/* Eval/evaluate_comp.scm 379 */
						obj_t BgL_zc3anonymousza33188ze3z83_19111;

						BgL_zc3anonymousza33188ze3z83_19111 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33188ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3anonymousza33188ze3z83_19111,
							(int) (((long) 0)), ((obj_t) BgL_ez00_3327));
						PROCEDURE_SET(BgL_zc3anonymousza33188ze3z83_19111,
							(int) (((long) 1)), BgL_ez00_3332);
						return BgL_zc3anonymousza33188ze3z83_19111;
					}
				}
			}
		}
	}



/* &<anonymous:3188> */
	obj_t BGl_z62zc3anonymousza33188ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20435, obj_t BgL_sz00_20438)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 379 */
			{	/* Eval/evaluate_comp.scm 379 */
				BgL_ev_defglobalz00_bglt BgL_i1096z00_20436;
				obj_t BgL_ez00_20437;

				BgL_i1096z00_20436 =
					((BgL_ev_defglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_20435, (int) (((long) 0))));
				BgL_ez00_20437 = PROCEDURE_REF(BgL_envz00_20435, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3333;

					BgL_sz00_3333 = BgL_sz00_20438;
					{	/* Eval/evaluate_comp.scm 379 */
						obj_t BgL_bpz00_3335;

						BgL_bpz00_3335 = VECTOR_REF(BgL_sz00_3333, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 380 */
							obj_t BgL_gz00_3336;

							{	/* Eval/evaluate_comp.scm 380 */
								obj_t BgL_arg3211z00_3362;
								obj_t BgL_arg3212z00_3363;

								BgL_arg3211z00_3362 =
									(((BgL_ev_setglobalz00_bglt) CREF(
											((BgL_ev_setglobalz00_bglt) BgL_i1096z00_20436)))->
									BgL_modz00);
								BgL_arg3212z00_3363 =
									(((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
												BgL_i1096z00_20436)))->BgL_namez00);
								BgL_gz00_3336 =
									BGl_evmodulezd2findzd2globalz00zz__evmodulez00
									(BgL_arg3211z00_3362, BgL_arg3212z00_3363);
							}
							if (CBOOL(BgL_gz00_3336))
								{	/* Eval/evaluate_comp.scm 382 */
									{

										{	/* Eval/evaluate_comp.scm 384 */
											int BgL_aux1098z00_3338;

											{	/* Eval/evaluate_comp.scm 384 */
												int BgL_res5228z00_11709;

												{	/* Eval/evaluate_comp.scm 384 */
													obj_t BgL_evalzd2globalzd2_11706;

													BgL_evalzd2globalzd2_11706 = BgL_gz00_3336;
													{	/* Eval/evaluate_comp.scm 384 */
														int BgL_kz00_11708;

														BgL_kz00_11708 = (int) (((long) 0));
														BgL_res5228z00_11709 =
															CINT(VECTOR_REF(BgL_evalzd2globalzd2_11706,
																BgL_kz00_11708));
												}}
												BgL_aux1098z00_3338 = BgL_res5228z00_11709;
											}
											switch ((long) (BgL_aux1098z00_3338))
												{
												case ((long) 0):

													{	/* Eval/evaluate_comp.scm 386 */
														obj_t BgL_arg3190z00_3340;
														obj_t BgL_arg3191z00_3341;

														BgL_arg3190z00_3340 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1096z00_20436)))->BgL_locz00);
														BgL_arg3191z00_3341 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1096z00_20436)))->BgL_namez00);
														BGl_everrorz00zz__everrorz00(BgL_arg3190z00_3340,
															BGl_string6108z00zz__evaluate_compz00,
															BGl_string6109z00zz__evaluate_compz00,
															BgL_arg3191z00_3341);
													} break;
												case ((long) 1):

													{	/* Eval/evaluate_comp.scm 388 */
														obj_t BgL_arg3192z00_3342;
														obj_t BgL_arg3193z00_3343;

														BgL_arg3192z00_3342 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1096z00_20436)))->BgL_locz00);
														BgL_arg3193z00_3343 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1096z00_20436)))->BgL_namez00);
														{	/* Eval/evaluate_comp.scm 388 */
															obj_t BgL_list3194z00_3344;

															{	/* Eval/evaluate_comp.scm 388 */
																obj_t BgL_arg3195z00_3345;

																{	/* Eval/evaluate_comp.scm 388 */
																	obj_t BgL_arg3196z00_3346;

																	BgL_arg3196z00_3346 =
																		MAKE_PAIR(BgL_arg3193z00_3343, BNIL);
																	BgL_arg3195z00_3345 =
																		MAKE_PAIR
																		(BGl_string6110z00zz__evaluate_compz00,
																		BgL_arg3196z00_3346);
																}
																BgL_list3194z00_3344 =
																	MAKE_PAIR
																	(BGl_string5987z00zz__evaluate_compz00,
																	BgL_arg3195z00_3345);
															}
															BGl_evwarningz00zz__everrorz00
																(BgL_arg3192z00_3342, BgL_list3194z00_3344);
													}}
													{	/* Eval/evaluate_comp.scm 390 */
														obj_t BgL_arg3197z00_3347;
														obj_t BgL_arg3198z00_3348;

														BgL_arg3197z00_3347 =
															VECTOR_REF(BgL_gz00_3336, (int) (((long) 2)));
														BgL_arg3198z00_3348 =
															PROCEDURE_ENTRY(BgL_ez00_20437) (BgL_ez00_20437,
															BgL_sz00_3333, BEOA);
														__EVMEANING_ADDRESS_SET(BgL_arg3197z00_3347,
															BgL_arg3198z00_3348);
													} break;
												case ((long) 2):

													{	/* Eval/evaluate_comp.scm 392 */
														obj_t BgL_arg3199z00_3349;

														BgL_arg3199z00_3349 =
															PROCEDURE_ENTRY(BgL_ez00_20437) (BgL_ez00_20437,
															BgL_sz00_3333, BEOA);
														VECTOR_SET(BgL_gz00_3336, (int) (((long) 2)),
															BgL_arg3199z00_3349);
													} break;
												case ((long) 3):

													{	/* Eval/evaluate_comp.scm 394 */
														obj_t BgL_arg3200z00_3350;

														BgL_arg3200z00_3350 =
															PROCEDURE_ENTRY(BgL_ez00_20437) (BgL_ez00_20437,
															BgL_sz00_3333, BEOA);
														VECTOR_SET(BgL_gz00_3336, (int) (((long) 2)),
															BgL_arg3200z00_3350);
													}
													{	/* Eval/evaluate_comp.scm 395 */
														obj_t BgL_evalzd2globalzd2_11723;
														int BgL_tagz00_11724;

														BgL_evalzd2globalzd2_11723 = BgL_gz00_3336;
														BgL_tagz00_11724 = (int) (((long) 2));
														VECTOR_SET(BgL_evalzd2globalzd2_11723,
															(int) (((long) 0)), BINT(BgL_tagz00_11724));
													} break;
												case ((long) 4):

													{	/* Eval/evaluate_comp.scm 397 */
														obj_t BgL_arg3201z00_3351;

														BgL_arg3201z00_3351 =
															PROCEDURE_ENTRY(BgL_ez00_20437) (BgL_ez00_20437,
															BgL_sz00_3333, BEOA);
														VECTOR_SET(BgL_gz00_3336, (int) (((long) 2)),
															BgL_arg3201z00_3351);
													}
													{	/* Eval/evaluate_comp.scm 398 */
														obj_t BgL_evalzd2globalzd2_11733;
														int BgL_tagz00_11734;

														BgL_evalzd2globalzd2_11733 = BgL_gz00_3336;
														BgL_tagz00_11734 = (int) (((long) 5));
														VECTOR_SET(BgL_evalzd2globalzd2_11733,
															(int) (((long) 0)), BINT(BgL_tagz00_11734));
													} break;
												default:
													{	/* Eval/evaluate_comp.scm 400 */
														obj_t BgL_arg3202z00_3352;
														obj_t BgL_arg3203z00_3353;

														BgL_arg3202z00_3352 =
															(((BgL_ev_setglobalz00_bglt) CREF(
																	((BgL_ev_setglobalz00_bglt)
																		BgL_i1096z00_20436)))->BgL_locz00);
														BgL_arg3203z00_3353 =
															(((BgL_ev_setglobalz00_bglt)
																CREF(((BgL_ev_setglobalz00_bglt)
																		BgL_i1096z00_20436)))->BgL_namez00);
														BGl_everrorz00zz__everrorz00(BgL_arg3202z00_3352,
															BGl_string6108z00zz__evaluate_compz00,
															BGl_string6109z00zz__evaluate_compz00,
															BgL_arg3203z00_3353);
													}
												}
										}
									}
									return
										(((BgL_ev_setglobalz00_bglt) CREF(
												((BgL_ev_setglobalz00_bglt) BgL_i1096z00_20436)))->
										BgL_namez00);
								}
							else
								{	/* Eval/evaluate_comp.scm 402 */
									obj_t BgL_gz00_3354;

									{	/* Eval/evaluate_comp.scm 402 */
										obj_t BgL_arg3208z00_3359;
										obj_t BgL_arg3209z00_3360;
										obj_t BgL_arg3210z00_3361;

										BgL_arg3208z00_3359 =
											(((BgL_ev_setglobalz00_bglt) CREF(
													((BgL_ev_setglobalz00_bglt) BgL_i1096z00_20436)))->
											BgL_namez00);
										BgL_arg3209z00_3360 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1096z00_20436)))->
											BgL_modz00);
										BgL_arg3210z00_3361 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1096z00_20436)))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 402 */
											obj_t BgL_v1698z00_11741;

											BgL_v1698z00_11741 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1698z00_11741,
												(int) (((long) 4)), BgL_arg3210z00_3361);
											VECTOR_SET(BgL_v1698z00_11741,
												(int) (((long) 3)), BgL_arg3209z00_3360);
											VECTOR_SET(BgL_v1698z00_11741,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1698z00_11741,
												(int) (((long) 1)), BgL_arg3208z00_3359);
											VECTOR_SET(BgL_v1698z00_11741,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_3354 = BgL_v1698z00_11741;
									}}
									{	/* Eval/evaluate_comp.scm 403 */
										obj_t BgL_arg3204z00_3355;

										BgL_arg3204z00_3355 =
											PROCEDURE_ENTRY(BgL_ez00_20437) (BgL_ez00_20437,
											BgL_sz00_3333, BEOA);
										VECTOR_SET(BgL_gz00_3354, (int) (((long) 2)),
											BgL_arg3204z00_3355);
									}
									{	/* Eval/evaluate_comp.scm 404 */
										obj_t BgL_arg3205z00_3356;
										obj_t BgL_arg3206z00_3357;
										obj_t BgL_arg3207z00_3358;

										BgL_arg3205z00_3356 =
											(((BgL_ev_setglobalz00_bglt) CREF(
													((BgL_ev_setglobalz00_bglt) BgL_i1096z00_20436)))->
											BgL_modz00);
										BgL_arg3206z00_3357 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1096z00_20436)))->
											BgL_namez00);
										BgL_arg3207z00_3358 =
											(((BgL_ev_setglobalz00_bglt)
												CREF(((BgL_ev_setglobalz00_bglt) BgL_i1096z00_20436)))->
											BgL_locz00);
										BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00
											(BgL_arg3205z00_3356, BgL_arg3206z00_3357, BgL_gz00_3354,
											BgL_arg3207z00_3358);
									}
									return
										(((BgL_ev_setglobalz00_bglt) CREF(
												((BgL_ev_setglobalz00_bglt) BgL_i1096z00_20436)))->
										BgL_namez00);
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_setglobal1719 */
	obj_t BGl_z62compzd2ev_setglobal1719zb0zz__evaluate_compz00(obj_t
		BgL_envz00_20439, obj_t BgL_ez00_20440, obj_t BgL_stkz00_20441)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 353 */
			{
				BgL_ev_setglobalz00_bglt BgL_ez00_3284;
				obj_t BgL_stkz00_3285;

				BgL_ez00_3284 = ((BgL_ev_setglobalz00_bglt) BgL_ez00_20440);
				BgL_stkz00_3285 = BgL_stkz00_20441;
				{	/* Eval/evaluate_comp.scm 355 */
					obj_t BgL_gz00_3289;
					obj_t BgL_ez00_3290;

					BgL_gz00_3289 =
						BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
						(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3284))->BgL_modz00),
						(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3284))->BgL_namez00));
					{	/* Eval/evaluate_comp.scm 355 */
						BgL_ev_exprz00_bglt BgL_arg3187z00_3325;

						BgL_arg3187z00_3325 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_3284)))->BgL_ez00);
						BgL_ez00_3290 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3187z00_3325,
							BgL_stkz00_3285);
					}
					if (CBOOL(BgL_gz00_3289))
						{

							{	/* Eval/evaluate_comp.scm 357 */
								int BgL_aux1095z00_3292;

								{	/* Eval/evaluate_comp.scm 357 */
									int BgL_res5227z00_11664;

									{	/* Eval/evaluate_comp.scm 357 */
										obj_t BgL_evalzd2globalzd2_11661;

										BgL_evalzd2globalzd2_11661 = BgL_gz00_3289;
										{	/* Eval/evaluate_comp.scm 357 */
											int BgL_kz00_11663;

											BgL_kz00_11663 = (int) (((long) 0));
											BgL_res5227z00_11664 =
												CINT(VECTOR_REF(BgL_evalzd2globalzd2_11661,
													BgL_kz00_11663));
									}}
									BgL_aux1095z00_3292 = BgL_res5227z00_11664;
								}
								switch ((long) (BgL_aux1095z00_3292))
									{
									case ((long) 1):

										{	/* Eval/evaluate_comp.scm 359 */
											obj_t BgL_zc3anonymousza33162ze3z83_19114;

											BgL_zc3anonymousza33162ze3z83_19114 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza33162ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza33162ze3z83_19114,
												(int) (((long) 0)), BgL_gz00_3289);
											PROCEDURE_SET(BgL_zc3anonymousza33162ze3z83_19114,
												(int) (((long) 1)), BgL_ez00_3290);
											return BgL_zc3anonymousza33162ze3z83_19114;
										}
										break;
									case ((long) 0):
									case ((long) 4):
									case ((long) 5):

										return
											BGl_everrorz00zz__everrorz00(
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3284))->
												BgL_locz00), BGl_string6108z00zz__evaluate_compz00,
											BGl_string6109z00zz__evaluate_compz00,
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3284))->
												BgL_namez00));
										break;
									default:
										{	/* Eval/evaluate_comp.scm 364 */
											obj_t BgL_zc3anonymousza33167ze3z83_19115;

											BgL_zc3anonymousza33167ze3z83_19115 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3anonymousza33167ze3ze1zz__evaluate_compz00,
												(int) (((long) 1)), (int) (((long) 2)));
											PROCEDURE_SET(BgL_zc3anonymousza33167ze3z83_19115,
												(int) (((long) 0)), BgL_ez00_3290);
											PROCEDURE_SET(BgL_zc3anonymousza33167ze3z83_19115,
												(int) (((long) 1)), BgL_gz00_3289);
											return BgL_zc3anonymousza33167ze3z83_19115;
										}
									}
							}
						}
					else
						{	/* Eval/evaluate_comp.scm 365 */
							obj_t BgL_slotz00_3305;

							BgL_slotz00_3305 = MAKE_CELL(BFALSE);
							if (BGl_evmodulezf3zf3zz__evmodulez00(
									(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3284))->
										BgL_modz00)))
								{	/* Eval/evaluate_comp.scm 367 */
									obj_t BgL_gz00_3307;

									{	/* Eval/evaluate_comp.scm 367 */
										obj_t BgL_arg3174z00_3311;
										obj_t BgL_arg3175z00_3312;
										obj_t BgL_arg3176z00_3313;

										BgL_arg3174z00_3311 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3284))->
											BgL_namez00);
										BgL_arg3175z00_3312 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3284))->
											BgL_modz00);
										BgL_arg3176z00_3313 =
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3284))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 367 */
											obj_t BgL_v1698z00_11676;

											BgL_v1698z00_11676 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1698z00_11676,
												(int) (((long) 4)), BgL_arg3176z00_3313);
											VECTOR_SET(BgL_v1698z00_11676,
												(int) (((long) 3)), BgL_arg3175z00_3312);
											VECTOR_SET(BgL_v1698z00_11676,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1698z00_11676,
												(int) (((long) 1)), BgL_arg3174z00_3311);
											VECTOR_SET(BgL_v1698z00_11676,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_3307 = BgL_v1698z00_11676;
									}}
									{	/* Eval/evaluate_comp.scm 368 */
										int BgL_tagz00_11693;

										BgL_tagz00_11693 = (int) (((long) 3));
										VECTOR_SET(BgL_gz00_3307,
											(int) (((long) 0)), BINT(BgL_tagz00_11693));
									}
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3284))->
											BgL_modz00),
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3284))->
											BgL_namez00), BgL_gz00_3307,
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_ez00_3284))->
											BgL_locz00));
								}
							else
								{	/* Eval/evaluate_comp.scm 366 */
									BFALSE;
								}
							{	/* Eval/evaluate_comp.scm 370 */
								obj_t BgL_zc3anonymousza33179ze3z83_19113;

								BgL_zc3anonymousza33179ze3z83_19113 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33179ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 3)));
								PROCEDURE_SET(BgL_zc3anonymousza33179ze3z83_19113,
									(int) (((long) 0)), ((obj_t) BgL_ez00_3284));
								PROCEDURE_SET(BgL_zc3anonymousza33179ze3z83_19113,
									(int) (((long) 1)), BgL_slotz00_3305);
								PROCEDURE_SET(BgL_zc3anonymousza33179ze3z83_19113,
									(int) (((long) 2)), BgL_ez00_3290);
								return BgL_zc3anonymousza33179ze3z83_19113;
							}
						}
				}
			}
		}
	}



/* &<anonymous:3162> */
	obj_t BGl_z62zc3anonymousza33162ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20442, obj_t BgL_sz00_20445)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 359 */
			{	/* Eval/evaluate_comp.scm 359 */
				obj_t BgL_gz00_20443;
				obj_t BgL_ez00_20444;

				BgL_gz00_20443 = PROCEDURE_REF(BgL_envz00_20442, (int) (((long) 0)));
				BgL_ez00_20444 = PROCEDURE_REF(BgL_envz00_20442, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3294;

					BgL_sz00_3294 = BgL_sz00_20445;
					{	/* Eval/evaluate_comp.scm 359 */
						obj_t BgL_bpz00_11665;

						BgL_bpz00_11665 = VECTOR_REF(BgL_sz00_3294, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 360 */
							obj_t BgL_arg3163z00_11666;
							obj_t BgL_arg3164z00_11667;

							BgL_arg3163z00_11666 =
								VECTOR_REF(BgL_gz00_20443, (int) (((long) 2)));
							BgL_arg3164z00_11667 =
								PROCEDURE_ENTRY(BgL_ez00_20444) (BgL_ez00_20444, BgL_sz00_3294,
								BEOA);
							return __EVMEANING_ADDRESS_SET(BgL_arg3163z00_11666,
								BgL_arg3164z00_11667);
						}
					}
				}
			}
		}
	}



/* &<anonymous:3167> */
	obj_t BGl_z62zc3anonymousza33167ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20446, obj_t BgL_sz00_20449)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 364 */
			{	/* Eval/evaluate_comp.scm 364 */
				obj_t BgL_ez00_20447;
				obj_t BgL_gz00_20448;

				BgL_ez00_20447 = PROCEDURE_REF(BgL_envz00_20446, (int) (((long) 0)));
				BgL_gz00_20448 = PROCEDURE_REF(BgL_envz00_20446, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3301;

					BgL_sz00_3301 = BgL_sz00_20449;
					{	/* Eval/evaluate_comp.scm 364 */
						obj_t BgL_bpz00_11652;

						BgL_bpz00_11652 = VECTOR_REF(BgL_sz00_3301, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 364 */
							obj_t BgL_arg3168z00_11653;

							BgL_arg3168z00_11653 =
								PROCEDURE_ENTRY(BgL_ez00_20447) (BgL_ez00_20447, BgL_sz00_3301,
								BEOA);
							return VECTOR_SET(BgL_gz00_20448, (int) (((long) 2)),
								BgL_arg3168z00_11653);
		}}}}}
	}



/* &<anonymous:3179> */
	obj_t BGl_z62zc3anonymousza33179ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20450, obj_t BgL_sz00_20454)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 370 */
			{	/* Eval/evaluate_comp.scm 370 */
				BgL_ev_setglobalz00_bglt BgL_i1093z00_20451;
				obj_t BgL_slotz00_20452;
				obj_t BgL_ez00_20453;

				BgL_i1093z00_20451 =
					((BgL_ev_setglobalz00_bglt)
					PROCEDURE_REF(BgL_envz00_20450, (int) (((long) 0))));
				BgL_slotz00_20452 = PROCEDURE_REF(BgL_envz00_20450, (int) (((long) 1)));
				BgL_ez00_20453 = PROCEDURE_REF(BgL_envz00_20450, (int) (((long) 2)));
				{
					obj_t BgL_sz00_3315;

					BgL_sz00_3315 = BgL_sz00_20454;
					{	/* Eval/evaluate_comp.scm 370 */
						obj_t BgL_bpz00_3317;

						BgL_bpz00_3317 = VECTOR_REF(BgL_sz00_3315, (int) (((long) 0)));
						if (CBOOL(CELL_REF(BgL_slotz00_20452)))
							{	/* Eval/evaluate_comp.scm 371 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 371 */
								{	/* Eval/evaluate_comp.scm 372 */
									obj_t BgL_auxz00_20455;

									BgL_auxz00_20455 =
										BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1093z00_20451))->
											BgL_modz00),
										(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1093z00_20451))->
											BgL_namez00));
									CELL_SET(BgL_slotz00_20452, BgL_auxz00_20455);
								}
								if (CBOOL(CELL_REF(BgL_slotz00_20452)))
									{	/* Eval/evaluate_comp.scm 373 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 373 */
										BGl_everrorz00zz__everrorz00(
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1093z00_20451))->
												BgL_locz00), BGl_string5987z00zz__evaluate_compz00,
											BGl_string6111z00zz__evaluate_compz00,
											(((BgL_ev_setglobalz00_bglt) CREF(BgL_i1093z00_20451))->
												BgL_namez00));
									}
							}
						{	/* Eval/evaluate_comp.scm 374 */
							obj_t BgL_arg3184z00_3322;

							BgL_arg3184z00_3322 =
								PROCEDURE_ENTRY(BgL_ez00_20453) (BgL_ez00_20453, BgL_sz00_3315,
								BEOA);
							{	/* Eval/evaluate_comp.scm 374 */
								obj_t BgL_evalzd2globalzd2_11699;

								BgL_evalzd2globalzd2_11699 = CELL_REF(BgL_slotz00_20452);
								return
									VECTOR_SET(BgL_evalzd2globalzd2_11699,
									(int) (((long) 2)), BgL_arg3184z00_3322);
		}}}}}}
	}



/* &comp-ev_global1717 */
	obj_t BGl_z62compzd2ev_global1717zb0zz__evaluate_compz00(obj_t
		BgL_envz00_20456, obj_t BgL_varz00_20457, obj_t BgL_stkz00_20458)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 327 */
			{
				BgL_ev_globalz00_bglt BgL_varz00_3242;
				obj_t BgL_stkz00_3243;

				BgL_varz00_3242 = ((BgL_ev_globalz00_bglt) BgL_varz00_20457);
				BgL_stkz00_3243 = BgL_stkz00_20458;
				{	/* Eval/evaluate_comp.scm 329 */
					obj_t BgL_gz00_3247;

					BgL_gz00_3247 =
						BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
						(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_3242))->BgL_modz00),
						(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_3242))->BgL_namez00));
					if (CBOOL(BgL_gz00_3247))
						{	/* Eval/evaluate_comp.scm 331 */
							bool_t BgL_testz00_38002;

							{	/* Eval/evaluate_comp.scm 331 */
								int BgL_arg3140z00_3256;

								{	/* Eval/evaluate_comp.scm 331 */
									int BgL_res5223z00_11599;

									{	/* Eval/evaluate_comp.scm 331 */
										obj_t BgL_evalzd2globalzd2_11596;

										BgL_evalzd2globalzd2_11596 = BgL_gz00_3247;
										{	/* Eval/evaluate_comp.scm 331 */
											int BgL_kz00_11598;

											BgL_kz00_11598 = (int) (((long) 0));
											BgL_res5223z00_11599 =
												CINT(VECTOR_REF(BgL_evalzd2globalzd2_11596,
													BgL_kz00_11598));
									}}
									BgL_arg3140z00_3256 = BgL_res5223z00_11599;
								}
								BgL_testz00_38002 =
									(BINT(BgL_arg3140z00_3256) == BINT(((long) 1)));
							}
							if (BgL_testz00_38002)
								{	/* Eval/evaluate_comp.scm 332 */
									obj_t BgL_zc3anonymousza33137ze3z83_19117;

									BgL_zc3anonymousza33137ze3z83_19117 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza33137ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza33137ze3z83_19117,
										(int) (((long) 0)), BgL_gz00_3247);
									return BgL_zc3anonymousza33137ze3z83_19117;
								}
							else
								{	/* Eval/evaluate_comp.scm 334 */
									obj_t BgL_zc3anonymousza33139ze3z83_19118;

									BgL_zc3anonymousza33139ze3z83_19118 =
										MAKE_FX_PROCEDURE
										(BGl_z62zc3anonymousza33139ze3ze1zz__evaluate_compz00,
										(int) (((long) 1)), (int) (((long) 1)));
									PROCEDURE_SET(BgL_zc3anonymousza33139ze3z83_19118,
										(int) (((long) 0)), BgL_gz00_3247);
									return BgL_zc3anonymousza33139ze3z83_19118;
								}
						}
					else
						{	/* Eval/evaluate_comp.scm 336 */
							obj_t BgL_slotz00_3257;

							BgL_slotz00_3257 = MAKE_CELL(BFALSE);
							if (BGl_evmodulezf3zf3zz__evmodulez00(
									(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_3242))->
										BgL_modz00)))
								{	/* Eval/evaluate_comp.scm 338 */
									obj_t BgL_gz00_3259;

									{	/* Eval/evaluate_comp.scm 338 */
										obj_t BgL_arg3145z00_3263;
										obj_t BgL_arg3146z00_3264;
										obj_t BgL_arg3147z00_3265;

										BgL_arg3145z00_3263 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_3242))->
											BgL_namez00);
										BgL_arg3146z00_3264 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_3242))->
											BgL_modz00);
										BgL_arg3147z00_3265 =
											(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_3242))->
											BgL_locz00);
										{	/* Eval/evaluate_comp.scm 338 */
											obj_t BgL_v1698z00_11616;

											BgL_v1698z00_11616 = create_vector((int) (((long) 5)));
											VECTOR_SET(BgL_v1698z00_11616,
												(int) (((long) 4)), BgL_arg3147z00_3265);
											VECTOR_SET(BgL_v1698z00_11616,
												(int) (((long) 3)), BgL_arg3146z00_3264);
											VECTOR_SET(BgL_v1698z00_11616,
												(int) (((long) 2)), BUNSPEC);
											VECTOR_SET(BgL_v1698z00_11616,
												(int) (((long) 1)), BgL_arg3145z00_3263);
											VECTOR_SET(BgL_v1698z00_11616,
												(int) (((long) 0)), BINT(((long) 2)));
											BgL_gz00_3259 = BgL_v1698z00_11616;
									}}
									{	/* Eval/evaluate_comp.scm 339 */
										int BgL_tagz00_11633;

										BgL_tagz00_11633 = (int) (((long) 3));
										VECTOR_SET(BgL_gz00_3259,
											(int) (((long) 0)), BINT(BgL_tagz00_11633));
									}
									BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_3242))->
											BgL_modz00),
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_3242))->
											BgL_namez00), BgL_gz00_3259,
										(((BgL_ev_globalz00_bglt) CREF(BgL_varz00_3242))->
											BgL_locz00));
								}
							else
								{	/* Eval/evaluate_comp.scm 337 */
									BFALSE;
								}
							{	/* Eval/evaluate_comp.scm 341 */
								obj_t BgL_zc3anonymousza33149ze3z83_19119;

								BgL_zc3anonymousza33149ze3z83_19119 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3anonymousza33149ze3ze1zz__evaluate_compz00,
									(int) (((long) 1)), (int) (((long) 2)));
								PROCEDURE_SET(BgL_zc3anonymousza33149ze3z83_19119,
									(int) (((long) 0)), ((obj_t) BgL_varz00_3242));
								PROCEDURE_SET(BgL_zc3anonymousza33149ze3z83_19119,
									(int) (((long) 1)), BgL_slotz00_3257);
								return BgL_zc3anonymousza33149ze3z83_19119;
							}
						}
				}
			}
		}
	}



/* &<anonymous:3137> */
	obj_t BGl_z62zc3anonymousza33137ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20459, obj_t BgL_sz00_20461)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 332 */
			{	/* Eval/evaluate_comp.scm 332 */
				obj_t BgL_gz00_20460;

				BgL_gz00_20460 = PROCEDURE_REF(BgL_envz00_20459, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3249;

					BgL_sz00_3249 = BgL_sz00_20461;
					{	/* Eval/evaluate_comp.scm 332 */
						obj_t BgL_bpz00_11600;

						BgL_bpz00_11600 = VECTOR_REF(BgL_sz00_3249, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 333 */
							obj_t BgL_auxz00_38059;

							BgL_auxz00_38059 = VECTOR_REF(BgL_gz00_20460, (int) (((long) 2)));
							return __EVMEANING_ADDRESS_REF(BgL_auxz00_38059);
						}
					}
				}
			}
		}
	}



/* &<anonymous:3139> */
	obj_t BGl_z62zc3anonymousza33139ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20462, obj_t BgL_sz00_20464)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 334 */
			{	/* Eval/evaluate_comp.scm 334 */
				obj_t BgL_gz00_20463;

				BgL_gz00_20463 = PROCEDURE_REF(BgL_envz00_20462, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3253;

					BgL_sz00_3253 = BgL_sz00_20464;
					{	/* Eval/evaluate_comp.scm 334 */
						obj_t BgL_bpz00_11607;

						BgL_bpz00_11607 = VECTOR_REF(BgL_sz00_3253, (int) (((long) 0)));
						return VECTOR_REF(BgL_gz00_20463, (int) (((long) 2)));
		}}}}
	}



/* &<anonymous:3149> */
	obj_t BGl_z62zc3anonymousza33149ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20465, obj_t BgL_sz00_20468)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 341 */
			{	/* Eval/evaluate_comp.scm 341 */
				BgL_ev_globalz00_bglt BgL_i1092z00_20466;
				obj_t BgL_slotz00_20467;

				BgL_i1092z00_20466 =
					((BgL_ev_globalz00_bglt)
					PROCEDURE_REF(BgL_envz00_20465, (int) (((long) 0))));
				BgL_slotz00_20467 = PROCEDURE_REF(BgL_envz00_20465, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3267;

					BgL_sz00_3267 = BgL_sz00_20468;
					{	/* Eval/evaluate_comp.scm 341 */
						obj_t BgL_bpz00_3269;

						BgL_bpz00_3269 = VECTOR_REF(BgL_sz00_3267, (int) (((long) 0)));
						if (CBOOL(CELL_REF(BgL_slotz00_20467)))
							{	/* Eval/evaluate_comp.scm 342 */
								BFALSE;
							}
						else
							{	/* Eval/evaluate_comp.scm 342 */
								{	/* Eval/evaluate_comp.scm 343 */
									obj_t BgL_auxz00_20469;

									BgL_auxz00_20469 =
										BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
										(((BgL_ev_globalz00_bglt) CREF(BgL_i1092z00_20466))->
											BgL_modz00),
										(((BgL_ev_globalz00_bglt) CREF(BgL_i1092z00_20466))->
											BgL_namez00));
									CELL_SET(BgL_slotz00_20467, BgL_auxz00_20469);
								}
								if (CBOOL(CELL_REF(BgL_slotz00_20467)))
									{	/* Eval/evaluate_comp.scm 344 */
										BFALSE;
									}
								else
									{	/* Eval/evaluate_comp.scm 344 */
										BGl_everrorz00zz__everrorz00(
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1092z00_20466))->
												BgL_locz00), BGl_string5987z00zz__evaluate_compz00,
											BGl_string6111z00zz__evaluate_compz00,
											(((BgL_ev_globalz00_bglt) CREF(BgL_i1092z00_20466))->
												BgL_namez00));
									}
							}
						{	/* Eval/evaluate_comp.scm 345 */
							obj_t BgL_vz00_3274;

							{	/* Eval/evaluate_comp.scm 345 */
								obj_t BgL_evalzd2globalzd2_11639;

								BgL_evalzd2globalzd2_11639 = CELL_REF(BgL_slotz00_20467);
								BgL_vz00_3274 =
									VECTOR_REF(BgL_evalzd2globalzd2_11639, (int) (((long) 2)));
							}
							if ((BgL_vz00_3274 == BUNSPEC))
								{	/* Eval/evaluate_comp.scm 347 */
									int BgL_tz00_3276;

									{	/* Eval/evaluate_comp.scm 347 */
										int BgL_res5224z00_11645;

										{	/* Eval/evaluate_comp.scm 347 */
											obj_t BgL_evalzd2globalzd2_11642;

											BgL_evalzd2globalzd2_11642 = CELL_REF(BgL_slotz00_20467);
											{	/* Eval/evaluate_comp.scm 347 */
												int BgL_kz00_11644;

												BgL_kz00_11644 = (int) (((long) 0));
												BgL_res5224z00_11645 =
													CINT(VECTOR_REF(BgL_evalzd2globalzd2_11642,
														BgL_kz00_11644));
										}}
										BgL_tz00_3276 = BgL_res5224z00_11645;
									}
									{	/* Eval/evaluate_comp.scm 348 */
										bool_t BgL_testz00_38093;

										if (((long) (BgL_tz00_3276) == ((long) 3)))
											{	/* Eval/evaluate_comp.scm 348 */
												BgL_testz00_38093 = ((bool_t) 1);
											}
										else
											{	/* Eval/evaluate_comp.scm 348 */
												BgL_testz00_38093 =
													((long) (BgL_tz00_3276) == ((long) 4));
											}
										if (BgL_testz00_38093)
											{	/* Eval/evaluate_comp.scm 348 */
												return
													BGl_everrorz00zz__everrorz00(
													(((BgL_ev_globalz00_bglt) CREF(BgL_i1092z00_20466))->
														BgL_locz00), BGl_string5987z00zz__evaluate_compz00,
													BGl_string6112z00zz__evaluate_compz00,
													(((BgL_ev_globalz00_bglt) CREF(BgL_i1092z00_20466))->
														BgL_namez00));
											}
										else
											{	/* Eval/evaluate_comp.scm 348 */
												return BgL_vz00_3274;
											}
									}
								}
							else
								{	/* Eval/evaluate_comp.scm 346 */
									return BgL_vz00_3274;
								}
						}
					}
				}
			}
		}
	}



/* &comp-ev_setlocal1715 */
	obj_t BGl_z62compzd2ev_setlocal1715zb0zz__evaluate_compz00(obj_t
		BgL_envz00_20470, obj_t BgL_ez00_20471, obj_t BgL_stkz00_20472)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 309 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_3219;
				obj_t BgL_stkz00_3220;

				BgL_ez00_3219 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_20471);
				BgL_stkz00_3220 = BgL_stkz00_20472;
				{	/* Eval/evaluate_comp.scm 311 */
					obj_t BgL_iz00_3224;
					obj_t BgL_ez00_3225;

					{	/* Eval/evaluate_comp.scm 311 */
						BgL_ev_varz00_bglt BgL_arg3134z00_3239;

						BgL_arg3134z00_3239 =
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_3219))->BgL_vz00);
						BgL_iz00_3224 =
							BGl__indexz00zz__evaluate_compz00(
							((obj_t) BgL_arg3134z00_3239), BgL_stkz00_3220);
					}
					{	/* Eval/evaluate_comp.scm 311 */
						BgL_ev_exprz00_bglt BgL_arg3135z00_3240;

						BgL_arg3135z00_3240 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_3219)))->BgL_ez00);
						BgL_ez00_3225 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3135z00_3240,
							BgL_stkz00_3220);
					}
					if (CBOOL(
							(((BgL_ev_varz00_bglt) CREF(
										(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_3219))->
											BgL_vz00)))->BgL_effz00)))
						{	/* Eval/evaluate_comp.scm 314 */
							obj_t BgL_zc3anonymousza33126ze3z83_19121;

							BgL_zc3anonymousza33126ze3z83_19121 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza33126ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza33126ze3z83_19121,
								(int) (((long) 0)), BgL_iz00_3224);
							PROCEDURE_SET(BgL_zc3anonymousza33126ze3z83_19121,
								(int) (((long) 1)), BgL_ez00_3225);
							return BgL_zc3anonymousza33126ze3z83_19121;
						}
					else
						{	/* Eval/evaluate_comp.scm 316 */
							obj_t BgL_zc3anonymousza33130ze3z83_19122;

							BgL_zc3anonymousza33130ze3z83_19122 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3anonymousza33130ze3ze1zz__evaluate_compz00,
								(int) (((long) 1)), (int) (((long) 2)));
							PROCEDURE_SET(BgL_zc3anonymousza33130ze3z83_19122,
								(int) (((long) 0)), BgL_iz00_3224);
							PROCEDURE_SET(BgL_zc3anonymousza33130ze3z83_19122,
								(int) (((long) 1)), BgL_ez00_3225);
							return BgL_zc3anonymousza33130ze3z83_19122;
						}
				}
			}
		}
	}



/* &<anonymous:3126> */
	obj_t BGl_z62zc3anonymousza33126ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20473, obj_t BgL_sz00_20476)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 314 */
			{	/* Eval/evaluate_comp.scm 314 */
				obj_t BgL_iz00_20474;
				obj_t BgL_ez00_20475;

				BgL_iz00_20474 = PROCEDURE_REF(BgL_envz00_20473, (int) (((long) 0)));
				BgL_ez00_20475 = PROCEDURE_REF(BgL_envz00_20473, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3228;

					BgL_sz00_3228 = BgL_sz00_20476;
					{	/* Eval/evaluate_comp.scm 314 */
						obj_t BgL_bpz00_11569;

						BgL_bpz00_11569 = VECTOR_REF(BgL_sz00_3228, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 315 */
							obj_t BgL_arg3127z00_11570;
							obj_t BgL_arg3128z00_11571;

							{	/* Eval/evaluate_comp.scm 315 */
								long BgL_arg3129z00_11572;

								BgL_arg3129z00_11572 =
									((long) CINT(BgL_bpz00_11569) + (long) CINT(BgL_iz00_20474));
								BgL_arg3127z00_11570 =
									VECTOR_REF(BgL_sz00_3228, (int) (BgL_arg3129z00_11572));
							}
							BgL_arg3128z00_11571 =
								PROCEDURE_ENTRY(BgL_ez00_20475) (BgL_ez00_20475, BgL_sz00_3228,
								BEOA);
							{	/* Eval/evaluate_comp.scm 189 */
								obj_t BgL_sz00_11582;

								BgL_sz00_11582 = BgL_arg3127z00_11570;
								{	/* Eval/evaluate_comp.scm 189 */
									obj_t BgL_xz00_20533;

									{	/* Eval/evaluate_comp.scm 189 */
										int BgL_auxz00_38142;

										BgL_auxz00_38142 = (int) (((long) 0));
										BgL_xz00_20533 =
											STRUCT_SET(BgL_sz00_11582, BgL_auxz00_38142,
											BgL_arg3128z00_11571);
									}
									return BUNSPEC;
								}
							}
						}
					}
				}
			}
		}
	}



/* &<anonymous:3130> */
	obj_t BGl_z62zc3anonymousza33130ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20477, obj_t BgL_sz00_20480)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 316 */
			{	/* Eval/evaluate_comp.scm 316 */
				obj_t BgL_iz00_20478;
				obj_t BgL_ez00_20479;

				BgL_iz00_20478 = PROCEDURE_REF(BgL_envz00_20477, (int) (((long) 0)));
				BgL_ez00_20479 = PROCEDURE_REF(BgL_envz00_20477, (int) (((long) 1)));
				{
					obj_t BgL_sz00_3234;

					BgL_sz00_3234 = BgL_sz00_20480;
					{	/* Eval/evaluate_comp.scm 316 */
						obj_t BgL_bpz00_11585;

						BgL_bpz00_11585 = VECTOR_REF(BgL_sz00_3234, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 317 */
							long BgL_arg3131z00_11586;
							obj_t BgL_arg3132z00_11587;

							BgL_arg3131z00_11586 =
								((long) CINT(BgL_bpz00_11585) + (long) CINT(BgL_iz00_20478));
							BgL_arg3132z00_11587 =
								PROCEDURE_ENTRY(BgL_ez00_20479) (BgL_ez00_20479, BgL_sz00_3234,
								BEOA);
							return VECTOR_SET(BgL_sz00_3234, (int) (BgL_arg3131z00_11586),
								BgL_arg3132z00_11587);
		}}}}}
	}



/* &comp-ev_var1713 */
	obj_t BGl_z62compzd2ev_var1713zb0zz__evaluate_compz00(obj_t BgL_envz00_20481,
		obj_t BgL_varz00_20482, obj_t BgL_stkz00_20483)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 304 */
			{
				BgL_ev_varz00_bglt BgL_varz00_3159;
				obj_t BgL_stkz00_3160;

				BgL_varz00_3159 = ((BgL_ev_varz00_bglt) BgL_varz00_20482);
				BgL_stkz00_3160 = BgL_stkz00_20483;
				{	/* Eval/evaluate_comp.scm 305 */
					obj_t BgL_iz00_3163;

					BgL_iz00_3163 =
						BGl__indexz00zz__evaluate_compz00(
						((obj_t) BgL_varz00_3159), BgL_stkz00_3160);
					{

						if (INTEGERP(BgL_iz00_3163))
							{	/* Eval/evaluate_comp.scm 307 */
								switch ((long) CINT(BgL_iz00_3163))
									{
									case ((long) 0):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_3159))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc6113z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc6114z00zz__evaluate_compz00;
											}
										break;
									case ((long) 1):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_3159))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc6115z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc6116z00zz__evaluate_compz00;
											}
										break;
									case ((long) 2):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_3159))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc6117z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc6118z00zz__evaluate_compz00;
											}
										break;
									case ((long) 3):

										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_3159))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc6119z00zz__evaluate_compz00;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												return BGl_proc6120z00zz__evaluate_compz00;
											}
										break;
									default:
									BgL_case_else1087z00_3165:
										if (CBOOL(
												(((BgL_ev_varz00_bglt) CREF(BgL_varz00_3159))->
													BgL_effz00)))
											{	/* Eval/evaluate_comp.scm 307 */
												obj_t BgL_zc3anonymousza33120ze3z83_19133;

												BgL_zc3anonymousza33120ze3z83_19133 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33120ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33120ze3z83_19133,
													(int) (((long) 0)), BgL_iz00_3163);
												return BgL_zc3anonymousza33120ze3z83_19133;
											}
										else
											{	/* Eval/evaluate_comp.scm 307 */
												obj_t BgL_zc3anonymousza33123ze3z83_19132;

												BgL_zc3anonymousza33123ze3z83_19132 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3anonymousza33123ze3ze1zz__evaluate_compz00,
													(int) (((long) 1)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3anonymousza33123ze3z83_19132,
													(int) (((long) 0)), BgL_iz00_3163);
												return BgL_zc3anonymousza33123ze3z83_19132;
											}
									}
							}
						else
							{	/* Eval/evaluate_comp.scm 307 */
								goto BgL_case_else1087z00_3165;
							}
					}
				}
			}
		}
	}



/* &<anonymous:3114> */
	obj_t BGl_z62zc3anonymousza33114ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20484, obj_t BgL_sz00_20485)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_3199;

				BgL_sz00_3199 = BgL_sz00_20485;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_11547;

					BgL_bpz00_11547 = VECTOR_REF(BgL_sz00_3199, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg3115z00_11548;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg3116z00_11549;

							BgL_arg3116z00_11549 =
								((long) CINT(BgL_bpz00_11547) + ((long) 3));
							BgL_arg3115z00_11548 =
								VECTOR_REF(BgL_sz00_3199, (int) (BgL_arg3116z00_11549));
						}
						return STRUCT_REF(BgL_arg3115z00_11548, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:3117> */
	obj_t BGl_z62zc3anonymousza33117ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20486, obj_t BgL_sz00_20487)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_3204;

				BgL_sz00_3204 = BgL_sz00_20487;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_11560;

					BgL_bpz00_11560 = VECTOR_REF(BgL_sz00_3204, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg3118z00_11561;

						BgL_arg3118z00_11561 = ((long) CINT(BgL_bpz00_11560) + ((long) 3));
						return VECTOR_REF(BgL_sz00_3204, (int) (BgL_arg3118z00_11561));
		}}}}
	}



/* &<anonymous:3108> */
	obj_t BGl_z62zc3anonymousza33108ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20488, obj_t BgL_sz00_20489)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_3189;

				BgL_sz00_3189 = BgL_sz00_20489;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_11525;

					BgL_bpz00_11525 = VECTOR_REF(BgL_sz00_3189, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg3109z00_11526;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg3110z00_11527;

							BgL_arg3110z00_11527 =
								((long) CINT(BgL_bpz00_11525) + ((long) 2));
							BgL_arg3109z00_11526 =
								VECTOR_REF(BgL_sz00_3189, (int) (BgL_arg3110z00_11527));
						}
						return STRUCT_REF(BgL_arg3109z00_11526, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:3111> */
	obj_t BGl_z62zc3anonymousza33111ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20490, obj_t BgL_sz00_20491)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_3194;

				BgL_sz00_3194 = BgL_sz00_20491;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_11538;

					BgL_bpz00_11538 = VECTOR_REF(BgL_sz00_3194, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg3112z00_11539;

						BgL_arg3112z00_11539 = ((long) CINT(BgL_bpz00_11538) + ((long) 2));
						return VECTOR_REF(BgL_sz00_3194, (int) (BgL_arg3112z00_11539));
		}}}}
	}



/* &<anonymous:3102> */
	obj_t BGl_z62zc3anonymousza33102ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20492, obj_t BgL_sz00_20493)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_3179;

				BgL_sz00_3179 = BgL_sz00_20493;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_11503;

					BgL_bpz00_11503 = VECTOR_REF(BgL_sz00_3179, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg3103z00_11504;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg3104z00_11505;

							BgL_arg3104z00_11505 =
								((long) CINT(BgL_bpz00_11503) + ((long) 1));
							BgL_arg3103z00_11504 =
								VECTOR_REF(BgL_sz00_3179, (int) (BgL_arg3104z00_11505));
						}
						return STRUCT_REF(BgL_arg3103z00_11504, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:3105> */
	obj_t BGl_z62zc3anonymousza33105ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20494, obj_t BgL_sz00_20495)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_3184;

				BgL_sz00_3184 = BgL_sz00_20495;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_11516;

					BgL_bpz00_11516 = VECTOR_REF(BgL_sz00_3184, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg3106z00_11517;

						BgL_arg3106z00_11517 = ((long) CINT(BgL_bpz00_11516) + ((long) 1));
						return VECTOR_REF(BgL_sz00_3184, (int) (BgL_arg3106z00_11517));
		}}}}
	}



/* &<anonymous:3096> */
	obj_t BGl_z62zc3anonymousza33096ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20496, obj_t BgL_sz00_20497)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_3169;

				BgL_sz00_3169 = BgL_sz00_20497;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_11481;

					BgL_bpz00_11481 = VECTOR_REF(BgL_sz00_3169, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_arg3097z00_11482;

						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg3098z00_11483;

							BgL_arg3098z00_11483 =
								((long) CINT(BgL_bpz00_11481) + ((long) 0));
							BgL_arg3097z00_11482 =
								VECTOR_REF(BgL_sz00_3169, (int) (BgL_arg3098z00_11483));
						}
						return STRUCT_REF(BgL_arg3097z00_11482, (int) (((long) 0)));
		}}}}
	}



/* &<anonymous:3099> */
	obj_t BGl_z62zc3anonymousza33099ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20498, obj_t BgL_sz00_20499)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{
				obj_t BgL_sz00_3174;

				BgL_sz00_3174 = BgL_sz00_20499;
				{	/* Eval/evaluate_comp.scm 307 */
					obj_t BgL_bpz00_11494;

					BgL_bpz00_11494 = VECTOR_REF(BgL_sz00_3174, (int) (((long) 0)));
					{	/* Eval/evaluate_comp.scm 307 */
						long BgL_arg3100z00_11495;

						BgL_arg3100z00_11495 = ((long) CINT(BgL_bpz00_11494) + ((long) 0));
						return VECTOR_REF(BgL_sz00_3174, (int) (BgL_arg3100z00_11495));
		}}}}
	}



/* &<anonymous:3120> */
	obj_t BGl_z62zc3anonymousza33120ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20500, obj_t BgL_sz00_20502)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{	/* Eval/evaluate_comp.scm 307 */
				obj_t BgL_iz00_20501;

				BgL_iz00_20501 = PROCEDURE_REF(BgL_envz00_20500, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3209;

					BgL_sz00_3209 = BgL_sz00_20502;
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_bpz00_11459;

						BgL_bpz00_11459 = VECTOR_REF(BgL_sz00_3209, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 307 */
							obj_t BgL_arg3121z00_11460;

							{	/* Eval/evaluate_comp.scm 307 */
								long BgL_arg3122z00_11461;

								BgL_arg3122z00_11461 =
									((long) CINT(BgL_bpz00_11459) + (long) CINT(BgL_iz00_20501));
								BgL_arg3121z00_11460 =
									VECTOR_REF(BgL_sz00_3209, (int) (BgL_arg3122z00_11461));
							}
							return STRUCT_REF(BgL_arg3121z00_11460, (int) (((long) 0)));
		}}}}}
	}



/* &<anonymous:3123> */
	obj_t BGl_z62zc3anonymousza33123ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20503, obj_t BgL_sz00_20505)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 307 */
			{	/* Eval/evaluate_comp.scm 307 */
				obj_t BgL_iz00_20504;

				BgL_iz00_20504 = PROCEDURE_REF(BgL_envz00_20503, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3214;

					BgL_sz00_3214 = BgL_sz00_20505;
					{	/* Eval/evaluate_comp.scm 307 */
						obj_t BgL_bpz00_11472;

						BgL_bpz00_11472 = VECTOR_REF(BgL_sz00_3214, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 307 */
							long BgL_arg3124z00_11473;

							BgL_arg3124z00_11473 =
								((long) CINT(BgL_bpz00_11472) + (long) CINT(BgL_iz00_20504));
							return VECTOR_REF(BgL_sz00_3214, (int) (BgL_arg3124z00_11473));
		}}}}}
	}



/* &comp-ev_trap1711 */
	obj_t BGl_z62compzd2ev_trap1711zb0zz__evaluate_compz00(obj_t BgL_envz00_20506,
		obj_t BgL_ez00_20507, obj_t BgL_stkz00_20508)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 277 */
			{
				BgL_ev_trapz00_bglt BgL_ez00_3141;
				obj_t BgL_stkz00_3142;

				BgL_ez00_3141 = ((BgL_ev_trapz00_bglt) BgL_ez00_20507);
				BgL_stkz00_3142 = BgL_stkz00_20508;
				{	/* Eval/evaluate_comp.scm 279 */
					obj_t BgL_ez00_3146;

					{	/* Eval/evaluate_comp.scm 279 */
						BgL_ev_exprz00_bglt BgL_arg3093z00_3157;

						BgL_arg3093z00_3157 =
							(((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_ez00_3141)))->BgL_ez00);
						BgL_ez00_3146 =
							BGl_compz00zz__evaluate_compz00(BgL_arg3093z00_3157,
							BgL_stkz00_3142);
					}
					{	/* Eval/evaluate_comp.scm 280 */
						obj_t BgL_zc3anonymousza33087ze3z83_19135;

						BgL_zc3anonymousza33087ze3z83_19135 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3anonymousza33087ze3ze1zz__evaluate_compz00,
							(int) (((long) 1)), (int) (((long) 1)));
						PROCEDURE_SET(BgL_zc3anonymousza33087ze3z83_19135,
							(int) (((long) 0)), BgL_ez00_3146);
						return BgL_zc3anonymousza33087ze3z83_19135;
					}
				}
			}
		}
	}



/* &<anonymous:3087> */
	obj_t BGl_z62zc3anonymousza33087ze3ze1zz__evaluate_compz00(obj_t
		BgL_envz00_20509, obj_t BgL_sz00_20511)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 280 */
			{	/* Eval/evaluate_comp.scm 280 */
				obj_t BgL_ez00_20510;

				BgL_ez00_20510 = PROCEDURE_REF(BgL_envz00_20509, (int) (((long) 0)));
				{
					obj_t BgL_sz00_3147;

					BgL_sz00_3147 = BgL_sz00_20511;
					{	/* Eval/evaluate_comp.scm 280 */
						obj_t BgL_bpz00_3149;

						BgL_bpz00_3149 = VECTOR_REF(BgL_sz00_3147, (int) (((long) 0)));
						{	/* Eval/evaluate_comp.scm 281 */
							obj_t BgL_cmdz00_3150;

							BgL_cmdz00_3150 =
								PROCEDURE_ENTRY(BgL_ez00_20510) (BgL_ez00_20510, BgL_sz00_3147,
								BEOA);
							if ((BgL_cmdz00_3150 == BGl_symbol6121z00zz__evaluate_compz00))
								{	/* Eval/evaluate_comp.scm 282 */
									return BgL_bpz00_3149;
								}
							else
								{	/* Eval/evaluate_comp.scm 282 */
									if (
										(BgL_cmdz00_3150 == BGl_symbol6123z00zz__evaluate_compz00))
										{	/* Eval/evaluate_comp.scm 282 */
											return BGl_reset_profilez00zz__evaluate_compz00();
										}
									else
										{	/* Eval/evaluate_comp.scm 282 */
											if (
												(BgL_cmdz00_3150 ==
													BGl_symbol6125z00zz__evaluate_compz00))
												{	/* Eval/evaluate_comp.scm 282 */
													return BGl_get_profilez00zz__evaluate_compz00();
												}
											else
												{	/* Eval/evaluate_comp.scm 282 */
													if (
														(BgL_cmdz00_3150 ==
															BGl_symbol6127z00zz__evaluate_compz00))
														{	/* Eval/evaluate_comp.scm 282 */
															return
																VECTOR_SET
																(BGl_findzd2statezd2zz__evaluate_compz00(),
																(int) (((long) 0)), BINT(((long) 2)));
														}
													else
														{	/* Eval/evaluate_comp.scm 282 */
															return
																BGl_errorz00zz__errorz00
																(BGl_string5987z00zz__evaluate_compz00,
																BGl_string6129z00zz__evaluate_compz00,
																BgL_cmdz00_3150);
														}
												}
										}
								}
						}
					}
				}
			}
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_comp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 77607588),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 304399560),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 237624134),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__srfi4z00(((long) 289341023),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258), BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					247617611), BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843), BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800), BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430), BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882), BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370), BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 162479995),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667), BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
			return BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)
					20669940), BSTRING_TO_STRING(BGl_string6130z00zz__evaluate_compz00));
		}
	}

#ifdef __cplusplus
}
#endif
