/*===========================================================================*/
/*   (Eval/evaluate_fsize.scm)                                               */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_fsize.scm -indent -o objs/obj_u/Eval/evaluate_fsize.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static BgL_ev_gotoz00_bglt
		BGl_z62subst_gotozd2ev_goto1359zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_bindzd2exit1277zc5zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62tailposzd2ev_synchroni1389zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_labels1434z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62tailposzd2ev_list1375zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_prog2z00_bglt
		BGl_z62searchzd2letreczd2ev_pro1311z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_global1265z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62subst_gotozd2ev_withzd2h1351z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
	static BgL_ev_appz00_bglt
		BGl_z62searchzd2letreczd2ev_app1327z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static BgL_ev_hookz00_bglt
		BGl_z62searchzd2letreczd2ev_hoo1313z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_litt1412z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
	static BgL_ev_varz00_bglt
		BGl_z62subst_gotozd2ev_var1333zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_withzd2handle1281zc5zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62subst_gotozd2ev_binder1355zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_if1269z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL int
		BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_prog21273z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_letza21394z12zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_litt1371zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_synchroni1430z43zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_list1271z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62subst_gotozd2ev_synchr1353zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_var1263z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static BgL_ev_absz00_bglt
		BGl_z62searchzd2letreczd2ev_abs1329z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_let1392zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
	extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
	static obj_t
		BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt);
	static obj_t BGl_z62fsiza7ezd2ev_letza21287zb5zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_litt1267z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_listz00_bglt
		BGl_z62searchzd2letreczd2ev_lis1309z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_unwindzd2prot1279zc5zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62searchzd2letreczd2ev_unw1317z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static BgL_ev_globalz00_bglt
		BGl_z62searchzd2letreczd2ev_glo1303z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_letrec1289z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
	static BgL_ev_labelsz00_bglt
		BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t, obj_t,
		BgL_ev_exprz00_bglt);
	static int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt, int);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_hook1420z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_littz00_bglt
		BGl_z62searchzd2letreczd2ev_lit1305z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_hook1379zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_prog2z00_bglt
		BGl_z62subst_gotozd2ev_prog21343zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_global1369zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_setlocal1422z43zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_goto1436z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t);
	extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62searchzd2letreczd2ev_syn1321z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62hasvarzf31405z91zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	extern long bgl_list_length(obj_t);
	static obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	static obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt,
		BgL_ev_varz00_bglt);
	static obj_t BGl_z62hasvarzf3zd2ev_if1414z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_hook1275z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62tailpos1364z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static BgL_ev_labelsz00_bglt
		BGl_z62subst_gotozd2ev_labels1357zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
	static BgL_ev_ifz00_bglt
		BGl_z62subst_gotozd2ev_if1339zb0zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62subst_goto1330z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
	static obj_t BGl_z62fsiza7ezd2ev_goto1293z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_varz00_bglt
		BGl_z62searchzd2letreczd2ev_var1301z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_letrec1396zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62tailposzd2ev_unwindzd2pr1385z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_global1410z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_prog21418z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 =
		BUNSPEC;
	static obj_t
		BGl_z62tailposzd2ev_bindzd2exit1383z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62tailposzd2ev_withzd2hand1387z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_unwindzd2pr1426z91zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_z62hasvarzf3zd2ev_app1438z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_labels1291z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
	extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
	extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
	static obj_t
		BGl_z62hasvarzf3zd2ev_bindzd2exit1424z91zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_z62hasvarzf3zd2ev_withzd2hand1428z91zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_var1367zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_app1402zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
	extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
	static obj_t BGl_z62searchzd2letrec1298zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62subst_gotozd2ev_unwind1349zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_let1285z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_if1373zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_abs1440z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_listz00_bglt
		BGl_z62subst_gotozd2ev_list1341zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62subst_gotozd2ev_app1361zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_abs1404zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62tailposzd2ev_goto1400zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_hookz00zz__evaluate_typesz00;
	static obj_t BGl_z62hasvarzf3zd2ev_binder1432z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_app1295z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_littz00_bglt
		BGl_z62subst_gotozd2ev_litt1337zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_ev_absz00_bglt
		BGl_z62subst_gotozd2ev_abs1363zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	static obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t, obj_t, obj_t);
	extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_binderz00zz__evaluate_typesz00;
	extern obj_t BGl_ev_listz00zz__evaluate_typesz00;
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62searchzd2letreczd2ev_wit1319z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_labels1398zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
	static obj_t BGl_z62tailposzd2ev_setlocal1381zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7e1260zc5zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62subst_gotozd2ev_bindzd2e1347z62zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62fsiza7ezd2ev_abs1297z17zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
	static BgL_ev_globalz00_bglt
		BGl_z62subst_gotozd2ev_global1335zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_symbol2160z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol2162z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol2165z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	static obj_t BGl_symbol2167z00zz__evaluate_fsiza7eza7 = BUNSPEC;
	extern obj_t BGl_2maxz00zz__r4_numbers_6_5z00(obj_t, obj_t);
	static BgL_ev_ifz00_bglt
		BGl_z62searchzd2letreczd2ev_if1307z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
	static obj_t BGl_z62tailposzd2ev_prog21377zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_hookz00_bglt
		BGl_z62subst_gotozd2ev_hook1345zb0zz__evaluate_fsiza7eza7(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_var1408z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62searchzd2letreczd2ev_bin1315z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t
		BGl_z62fsiza7ezd2ev_synchroniza7e1283zb0zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
	static BgL_ev_binderz00_bglt
		BGl_z62searchzd2letreczd2ev_bin1323z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62searchzd2letreczd2ev_let1325z62zz__evaluate_fsiza7eza7(obj_t, obj_t);
	static obj_t BGl_z62hasvarzf3zd2ev_list1416z43zz__evaluate_fsiza7eza7(obj_t,
		obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2200z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2266z00,
		BGl_z62searchzd2letreczd2ev_if1307z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2201z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2267z00,
		BGl_z62searchzd2letreczd2ev_lis1309z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2202z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2268z00,
		BGl_z62searchzd2letreczd2ev_pro1311z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2203z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2269z00,
		BGl_z62searchzd2letreczd2ev_hoo1313z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2204z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2270z00,
		BGl_z62searchzd2letreczd2ev_bin1315z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2205z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2271z00,
		BGl_z62searchzd2letreczd2ev_unw1317z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2206z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2272z00,
		BGl_z62searchzd2letreczd2ev_wit1319z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2207z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2273z00,
		BGl_z62searchzd2letreczd2ev_syn1321z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2208z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2274z00,
		BGl_z62searchzd2letreczd2ev_bin1323z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2209z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2275z00,
		BGl_z62searchzd2letreczd2ev_let1325z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2210z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2276z00,
		BGl_z62searchzd2letreczd2ev_app1327z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2211z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2277z00,
		BGl_z62searchzd2letreczd2ev_abs1329z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2212z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22278z00,
		BGl_z62subst_gotozd2ev_var1333zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2213z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22279z00,
		BGl_z62subst_gotozd2ev_global1335zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2214z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22280z00,
		BGl_z62subst_gotozd2ev_litt1337zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2215z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22281z00,
		BGl_z62subst_gotozd2ev_if1339zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2216z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22282z00,
		BGl_z62subst_gotozd2ev_list1341zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2217z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22283z00,
		BGl_z62subst_gotozd2ev_prog21343zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2218z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22284z00,
		BGl_z62subst_gotozd2ev_hook1345zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2219z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22285z00,
		BGl_z62subst_gotozd2ev_bindzd2e1347z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STRING(BGl_string2146z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2146za700za7za7_2286za7,
		"/tmp/bigloo/runtime/Eval/evaluate_fsize.scm", 43);
	      DEFINE_STRING(BGl_string2147z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2147za700za7za7_2287za7, "&frame-size", 11);
	      DEFINE_STRING(BGl_string2148z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2148za700za7za7_2288za7, "ev_expr", 7);
	      DEFINE_STRING(BGl_string2149z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2149za700za7za7_2289za7, "&extract-loops", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2220z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22290z00,
		BGl_z62subst_gotozd2ev_unwind1349zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2221z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22291z00,
		BGl_z62subst_gotozd2ev_withzd2h1351z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2222z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22292z00,
		BGl_z62subst_gotozd2ev_synchr1353zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2223z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22293z00,
		BGl_z62subst_gotozd2ev_binder1355zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2224z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22294z00,
		BGl_z62subst_gotozd2ev_labels1357zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2225z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22295z00,
		BGl_z62subst_gotozd2ev_goto1359zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2226z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22296z00,
		BGl_z62subst_gotozd2ev_app1361zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2151z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2151za700za7za7_2297za7, "fsize1260", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2227z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7d22298z00,
		BGl_z62subst_gotozd2ev_abs1363zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2228z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2299z00,
		BGl_z62tailposzd2ev_var1367zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2153z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2153za700za7za7_2300za7, "search-letrec1298", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2229z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2301z00,
		BGl_z62tailposzd2ev_global1369zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2155z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2155za700za7za7_2302za7, "subst_goto1330", 14);
	      DEFINE_STRING(BGl_string2157z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2157za700za7za7_2303za7, "tailpos1364", 11);
	      DEFINE_STRING(BGl_string2159z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2159za700za7za7_2304za7, "hasvar?1405", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2230z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2305z00,
		BGl_z62tailposzd2ev_litt1371zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2231z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2306z00,
		BGl_z62tailposzd2ev_if1373zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2232z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2307z00,
		BGl_z62tailposzd2ev_list1375zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2233z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2308z00,
		BGl_z62tailposzd2ev_prog21377zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2234z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2309z00,
		BGl_z62tailposzd2ev_hook1379zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2235z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2310z00,
		BGl_z62tailposzd2ev_setlocal1381zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2236z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2311z00,
		BGl_z62tailposzd2ev_bindzd2exit1383z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2161z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2161za700za7za7_2312za7, "No method for this object", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2237z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2313z00,
		BGl_z62tailposzd2ev_unwindzd2pr1385z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2238z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2314z00,
		BGl_z62tailposzd2ev_withzd2hand1387z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2163z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2163za700za7za7_2315za7, "tailpos", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2239z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2316z00,
		BGl_z62tailposzd2ev_synchroni1389zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STRING(BGl_string2164z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2164za700za7za7_2317za7, "not defined for", 15);
	      DEFINE_STRING(BGl_string2166z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2166za700za7za7_2318za7, "subst_goto", 10);
	      DEFINE_STRING(BGl_string2168z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2168za700za7za7_2319za7, "search-letrec", 13);
	      DEFINE_STRING(BGl_string2169z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2169za700za7za7_2320za7, "eval", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2240z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2321z00,
		BGl_z62tailposzd2ev_let1392zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2241z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2322z00,
		BGl_z62tailposzd2ev_letza21394z12zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2242z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2323z00,
		BGl_z62tailposzd2ev_letrec1396zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2243z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2324z00,
		BGl_z62tailposzd2ev_labels1398zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2244z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2325z00,
		BGl_z62tailposzd2ev_goto1400zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2245z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2326z00,
		BGl_z62tailposzd2ev_app1402zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2170z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2170za700za7za7_2327za7, "internal error: not defined for",
		31);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2246z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza7d2ev_2328z00,
		BGl_z62tailposzd2ev_abs1404zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2171z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2171za700za7za7_2329za7, "&fsize", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2247z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2330za7,
		BGl_z62hasvarzf3zd2ev_var1408z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2172z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2172za700za7za7_2331za7, "bint", 4);
	      DEFINE_STRING(BGl_string2173z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2173za700za7za7_2332za7, "&search-letrec", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2249z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2333za7,
		BGl_z62hasvarzf3zd2ev_global1410z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2174z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2174za700za7za7_2334za7, "&subst_goto", 11);
	      DEFINE_STRING(BGl_string2175z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2175za700za7za7_2335za7, "&tailpos", 8);
	      DEFINE_STRING(BGl_string2176z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2176za700za7za7_2336za7, "ev_var", 6);
	      DEFINE_STRING(BGl_string2177z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2177za700za7za7_2337za7, "&hasvar?", 8);
	      DEFINE_STRING(BGl_string2179z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2179za700za7za7_2338za7, "fsize::int", 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2250z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2339za7,
		BGl_z62hasvarzf3zd2ev_litt1412z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2251z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2340za7,
		BGl_z62hasvarzf3zd2ev_if1414z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2252z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2341za7,
		BGl_z62hasvarzf3zd2ev_list1416z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2253z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2342za7,
		BGl_z62hasvarzf3zd2ev_prog21418z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2254z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2343za7,
		BGl_z62hasvarzf3zd2ev_hook1420z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2255z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2344za7,
		BGl_z62hasvarzf3zd2ev_setlocal1422z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2256z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2345za7,
		BGl_z62hasvarzf3zd2ev_bindzd2exit1424z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2257z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2346za7,
		BGl_z62hasvarzf3zd2ev_unwindzd2pr1426z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2258z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2347za7,
		BGl_z62hasvarzf3zd2ev_withzd2hand1428z91zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2259z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2348za7,
		BGl_z62hasvarzf3zd2ev_synchroni1430z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za791za72349z00,
		BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2260z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2350za7,
		BGl_z62hasvarzf3zd2ev_binder1432z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2261z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2351za7,
		BGl_z62hasvarzf3zd2ev_labels1434z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2262z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2352za7,
		BGl_z62hasvarzf3zd2ev_goto1436z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2263z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2353za7,
		BGl_z62hasvarzf3zd2ev_app1438z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2264z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f3za7d2e2354za7,
		BGl_z62hasvarzf3zd2ev_abs1440z43zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_gotoza7622355z00,
		BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7e1260za7c2356za7,
		BGl_z62fsiza7e1260zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2357z00,
		BGl_z62searchzd2letrec1298zb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2154z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762subst_goto1332358za7,
		BGl_z62subst_goto1330z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2156z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailpos1364za762359z00,
		BGl_z62tailpos1364z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2158z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762hasvarza7f314052360z00,
		BGl_z62hasvarzf31405z91zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2248z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2248za700za7za7_2361za7, "hasvar?", 7);
	      DEFINE_STATIC_BGL_GENERIC(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
		BgL_bgl_za762tailposza762za7za7_2362z00,
		BGl_z62tailposz62zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7,
		BgL_bgl_string2265za700za7za7_2363za7, "__evaluate_fsize", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2178z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2364za7,
		BGl_z62fsiza7ezd2ev_var1263z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2180z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2365za7,
		BGl_z62fsiza7ezd2ev_global1265z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2181z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2366za7,
		BGl_z62fsiza7ezd2ev_litt1267z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2182z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2367za7,
		BGl_z62fsiza7ezd2ev_if1269z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2183z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2368za7,
		BGl_z62fsiza7ezd2ev_list1271z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2184z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2369za7,
		BGl_z62fsiza7ezd2ev_prog21273z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2185z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2370za7,
		BGl_z62fsiza7ezd2ev_hook1275z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2186z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2371za7,
		BGl_z62fsiza7ezd2ev_bindzd2exit1277zc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2187z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2372za7,
		BGl_z62fsiza7ezd2ev_unwindzd2prot1279zc5zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2188z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2373za7,
		BGl_z62fsiza7ezd2ev_withzd2handle1281zc5zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2189z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2374za7,
		BGl_z62fsiza7ezd2ev_synchroniza7e1283zb0zz__evaluate_fsiza7eza7, 0L,
		BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2190z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2375za7,
		BGl_z62fsiza7ezd2ev_let1285z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2191z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2376za7,
		BGl_z62fsiza7ezd2ev_letza21287zb5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2192z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2377za7,
		BGl_z62fsiza7ezd2ev_letrec1289z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2193z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2378za7,
		BGl_z62fsiza7ezd2ev_labels1291z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2194z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2379za7,
		BGl_z62fsiza7ezd2ev_goto1293z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2195z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2380za7,
		BGl_z62fsiza7ezd2ev_app1295z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2196z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7d2ev_2381za7,
		BGl_z62fsiza7ezd2ev_abs1297z17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2197z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2382z00,
		BGl_z62searchzd2letreczd2ev_var1301z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2198z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2383z00,
		BGl_z62searchzd2letreczd2ev_glo1303z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2199z00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2384z00,
		BGl_z62searchzd2letreczd2ev_lit1305z62zz__evaluate_fsiza7eza7, 0L, BUNSPEC,
		1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_framezd2siza7ezd2envza7zz__evaluate_fsiza7eza7,
		BgL_bgl_za762frameza7d2siza7a72385za7,
		BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
		BgL_bgl_za762fsiza7a7eza7c5za7za7_2386za7,
		BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 2);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762searchza7d2letr2387z00,
		BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_extractzd2loopszd2envz00zz__evaluate_fsiza7eza7,
		BgL_bgl_za762extractza7d2loo2388z00,
		BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7, 0L, BUNSPEC, 1);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_fsiza7eza7(long
		BgL_checksumz00_3621, char *BgL_fromz00_3622)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_fsiza7eza7 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7();
					BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7();
					BGl_genericzd2initzd2zz__evaluate_fsiza7eza7();
					BGl_methodzd2initzd2zz__evaluate_fsiza7eza7();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_symbol2160z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2159z00zz__evaluate_fsiza7eza7);
			BGl_symbol2162z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_symbol2165z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2166z00zz__evaluate_fsiza7eza7);
			return (BGl_symbol2167z00zz__evaluate_fsiza7eza7 =
				bstring_to_symbol(BGl_string2168z00zz__evaluate_fsiza7eza7), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			return BUNSPEC;
		}
	}



/* frame-size */
	BGL_EXPORTED_DEF int
		BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_3)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 65 */
			return
				BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ez00_3, (int) (((long) 0)));
		}
	}



/* &frame-size */
	obj_t BGl_z62framezd2siza7ez17zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3180,
		obj_t BgL_ez00_3181)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 65 */
			{	/* Eval/evaluate_fsize.scm 66 */
				int BgL_auxz00_3636;

				{	/* Eval/evaluate_fsize.scm 66 */
					BgL_ev_exprz00_bglt BgL_auxz00_3637;

					if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3181,
							BGl_ev_exprz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_fsize.scm 66 */
							BgL_auxz00_3637 = ((BgL_ev_exprz00_bglt) BgL_ez00_3181);
						}
					else
						{
							obj_t BgL_auxz00_3641;

							BgL_auxz00_3641 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2146z00zz__evaluate_fsiza7eza7, BINT(((long) 1965)),
								BGl_string2147z00zz__evaluate_fsiza7eza7,
								BGl_string2148z00zz__evaluate_fsiza7eza7, BgL_ez00_3181);
							FAILURE(BgL_auxz00_3641, BFALSE, BFALSE);
						}
					BgL_auxz00_3636 =
						BGl_framezd2siza7ez75zz__evaluate_fsiza7eza7(BgL_auxz00_3637);
				}
				return BINT(BgL_auxz00_3636);
			}
		}
	}



/* extract-loops */
	BGL_EXPORTED_DEF BgL_ev_exprz00_bglt
		BGl_extractzd2loopszd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_42)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 167 */
			return
				((BgL_ev_exprz00_bglt)
				BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ez00_42));
		}
	}



/* &extract-loops */
	BgL_ev_exprz00_bglt BGl_z62extractzd2loopszb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3182, obj_t BgL_ez00_3183)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 167 */
			{	/* Eval/evaluate_fsize.scm 169 */
				BgL_ev_exprz00_bglt BgL_ez00_3589;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3183,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 169 */
						BgL_ez00_3589 = ((BgL_ev_exprz00_bglt) BgL_ez00_3183);
					}
				else
					{
						obj_t BgL_auxz00_3652;

						BgL_auxz00_3652 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2146z00zz__evaluate_fsiza7eza7, BINT(((long) 5040)),
							BGl_string2149z00zz__evaluate_fsiza7eza7,
							BGl_string2148z00zz__evaluate_fsiza7eza7, BgL_ez00_3183);
						FAILURE(BgL_auxz00_3652, BFALSE, BFALSE);
					}
				return
					((BgL_ev_exprz00_bglt)
					BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ez00_3589));
			}
		}
	}



/* search-letrec* */
	bool_t BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(obj_t BgL_lz00_43)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 172 */
			{
				obj_t BgL_lz00_821;

				BgL_lz00_821 = BgL_lz00_43;
			BgL_zc3anonymousza31474ze3z83_822:
				if (NULLP(BgL_lz00_821))
					{	/* Eval/evaluate_fsize.scm 174 */
						return ((bool_t) 0);
					}
				else
					{	/* Eval/evaluate_fsize.scm 174 */
						{	/* Eval/evaluate_fsize.scm 175 */
							obj_t BgL_arg1476z00_824;

							{	/* Eval/evaluate_fsize.scm 175 */
								obj_t BgL_arg1478z00_825;

								BgL_arg1478z00_825 = CAR(BgL_lz00_821);
								BgL_arg1476z00_824 =
									BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(
									((BgL_ev_exprz00_bglt) BgL_arg1478z00_825));
							}
							SET_CAR(BgL_lz00_821, BgL_arg1476z00_824);
						}
						{
							obj_t BgL_lz00_3664;

							BgL_lz00_3664 = CDR(BgL_lz00_821);
							BgL_lz00_821 = BgL_lz00_3664;
							goto BgL_zc3anonymousza31474ze3z83_822;
						}
					}
			}
		}
	}



/* modify-letrec */
	BgL_ev_labelsz00_bglt BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7(obj_t
		BgL_varsz00_60, obj_t BgL_valsz00_61, BgL_ev_exprz00_bglt BgL_bodyz00_62)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 268 */
			{	/* Eval/evaluate_fsize.scm 269 */
				BgL_ev_labelsz00_bglt BgL_rz00_828;

				{	/* Eval/evaluate_fsize.scm 269 */
					BgL_ev_labelsz00_bglt BgL_new1093z00_847;

					{	/* Eval/evaluate_fsize.scm 269 */
						BgL_ev_labelsz00_bglt BgL_new1092z00_851;

						BgL_new1092z00_851 =
							((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_labelsz00_bgl))));
						{	/* Eval/evaluate_fsize.scm 269 */
							long BgL_arg1491z00_852;

							{	/* Eval/evaluate_fsize.scm 269 */
								long BgL_res1984z00_2099;

								BgL_res1984z00_2099 =
									BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00);
								BgL_arg1491z00_852 = BgL_res1984z00_2099;
							}
							{	/* Eval/evaluate_fsize.scm 269 */
								BgL_objectz00_bglt BgL_objz00_2100;

								BgL_objz00_2100 = ((BgL_objectz00_bglt) BgL_new1092z00_851);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2100, BgL_arg1491z00_852);
						}}
						{	/* Eval/evaluate_fsize.scm 269 */
							BgL_objectz00_bglt BgL_auxz00_3670;

							BgL_auxz00_3670 = ((BgL_objectz00_bglt) BgL_new1092z00_851);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_3670, BFALSE);
						}
						BgL_new1093z00_847 = BgL_new1092z00_851;
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1093z00_847))->BgL_varsz00) =
						((obj_t) BgL_varsz00_60), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1093z00_847))->BgL_valsz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1093z00_847))->BgL_envz00) =
						((obj_t) BNIL), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1093z00_847))->BgL_stkz00) =
						((obj_t) BNIL), BUNSPEC);
					{
						BgL_ev_exprz00_bglt BgL_auxz00_3677;

						{	/* Eval/evaluate_fsize.scm 270 */
							BgL_ev_littz00_bglt BgL_new1096z00_848;

							{	/* Eval/evaluate_fsize.scm 270 */
								BgL_ev_littz00_bglt BgL_new1094z00_849;

								BgL_new1094z00_849 =
									((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
												BgL_ev_littz00_bgl))));
								{	/* Eval/evaluate_fsize.scm 270 */
									long BgL_arg1490z00_850;

									{	/* Eval/evaluate_fsize.scm 270 */
										long BgL_res1985z00_2103;

										{	/* Eval/evaluate_fsize.scm 270 */
											obj_t BgL_classz00_2102;

											BgL_classz00_2102 = BGl_ev_littz00zz__evaluate_typesz00;
											BgL_res1985z00_2103 = BGL_CLASS_INDEX(BgL_classz00_2102);
										}
										BgL_arg1490z00_850 = BgL_res1985z00_2103;
									}
									{	/* Eval/evaluate_fsize.scm 270 */
										BgL_objectz00_bglt BgL_objz00_2104;

										BgL_objz00_2104 = ((BgL_objectz00_bglt) BgL_new1094z00_849);
										BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2104,
											BgL_arg1490z00_850);
								}}
								{	/* Eval/evaluate_fsize.scm 270 */
									BgL_objectz00_bglt BgL_auxz00_3682;

									BgL_auxz00_3682 = ((BgL_objectz00_bglt) BgL_new1094z00_849);
									BGL_OBJECT_WIDENING_SET(BgL_auxz00_3682, BFALSE);
								}
								BgL_new1096z00_848 = BgL_new1094z00_849;
							}
							((((BgL_ev_littz00_bglt) CREF(BgL_new1096z00_848))->
									BgL_valuez00) = ((obj_t) BINT(((long) 0))), BUNSPEC);
							BgL_auxz00_3677 = ((BgL_ev_exprz00_bglt) BgL_new1096z00_848);
						}
						((((BgL_ev_labelsz00_bglt) CREF(BgL_new1093z00_847))->BgL_bodyz00) =
							((BgL_ev_exprz00_bglt) BgL_auxz00_3677), BUNSPEC);
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1093z00_847))->BgL_boxesz00) =
						((obj_t) BNIL), BUNSPEC);
					BgL_rz00_828 = BgL_new1093z00_847;
				}
				((((BgL_ev_labelsz00_bglt) CREF(BgL_rz00_828))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) ((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_bodyz00_62,
								BgL_varsz00_60, ((obj_t) BgL_rz00_828)))), BUNSPEC);
				{
					obj_t BgL_auxz00_3694;

					if (NULLP(BgL_valsz00_61))
						{	/* Eval/evaluate_fsize.scm 273 */
							BgL_auxz00_3694 = BNIL;
						}
					else
						{	/* Eval/evaluate_fsize.scm 273 */
							obj_t BgL_head1197z00_832;

							{	/* Eval/evaluate_fsize.scm 273 */
								obj_t BgL_res1987z00_2110;

								BgL_res1987z00_2110 = MAKE_PAIR(BNIL, BNIL);
								BgL_head1197z00_832 = BgL_res1987z00_2110;
							}
							{
								obj_t BgL_l1195z00_834;
								obj_t BgL_tail1198z00_835;

								BgL_l1195z00_834 = BgL_valsz00_61;
								BgL_tail1198z00_835 = BgL_head1197z00_832;
							BgL_zc3anonymousza31481ze3z83_836:
								if (NULLP(BgL_l1195z00_834))
									{	/* Eval/evaluate_fsize.scm 273 */
										BgL_auxz00_3694 = CDR(BgL_head1197z00_832);
									}
								else
									{	/* Eval/evaluate_fsize.scm 273 */
										obj_t BgL_newtail1199z00_838;

										{	/* Eval/evaluate_fsize.scm 273 */
											obj_t BgL_arg1485z00_840;

											{	/* Eval/evaluate_fsize.scm 273 */
												obj_t BgL_valz00_841;

												{	/* Eval/evaluate_fsize.scm 273 */
													obj_t BgL_pairz00_2114;

													BgL_pairz00_2114 = BgL_l1195z00_834;
													BgL_valz00_841 = CAR(BgL_pairz00_2114);
												}
												{	/* Eval/evaluate_fsize.scm 274 */
													BgL_ev_absz00_bglt BgL_i1098z00_842;

													BgL_i1098z00_842 =
														((BgL_ev_absz00_bglt) BgL_valz00_841);
													{	/* Eval/evaluate_fsize.scm 275 */
														obj_t BgL_arg1486z00_843;
														obj_t BgL_arg1487z00_844;

														BgL_arg1486z00_843 =
															(((BgL_ev_absz00_bglt) CREF(BgL_i1098z00_842))->
															BgL_varsz00);
														{	/* Eval/evaluate_fsize.scm 275 */
															BgL_ev_exprz00_bglt BgL_arg1489z00_845;

															BgL_arg1489z00_845 =
																(((BgL_ev_absz00_bglt) CREF(BgL_i1098z00_842))->
																BgL_bodyz00);
															BgL_arg1487z00_844 =
																BGl_subst_gotoz00zz__evaluate_fsiza7eza7
																(BgL_arg1489z00_845, BgL_varsz00_60,
																((obj_t) BgL_rz00_828));
														}
														BgL_arg1485z00_840 =
															MAKE_PAIR(BgL_arg1486z00_843, BgL_arg1487z00_844);
													}
												}
											}
											{	/* Eval/evaluate_fsize.scm 273 */
												obj_t BgL_res1989z00_2117;

												BgL_res1989z00_2117 =
													MAKE_PAIR(BgL_arg1485z00_840, BNIL);
												BgL_newtail1199z00_838 = BgL_res1989z00_2117;
											}
										}
										SET_CDR(BgL_tail1198z00_835, BgL_newtail1199z00_838);
										{	/* Eval/evaluate_fsize.scm 273 */
											obj_t BgL_arg1484z00_839;

											{	/* Eval/evaluate_fsize.scm 273 */
												obj_t BgL_pairz00_2120;

												BgL_pairz00_2120 = BgL_l1195z00_834;
												BgL_arg1484z00_839 = CDR(BgL_pairz00_2120);
											}
											{
												obj_t BgL_tail1198z00_3712;
												obj_t BgL_l1195z00_3711;

												BgL_l1195z00_3711 = BgL_arg1484z00_839;
												BgL_tail1198z00_3712 = BgL_newtail1199z00_838;
												BgL_tail1198z00_835 = BgL_tail1198z00_3712;
												BgL_l1195z00_834 = BgL_l1195z00_3711;
												goto BgL_zc3anonymousza31481ze3z83_836;
											}
										}
									}
							}
						}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_rz00_828))->BgL_valsz00) =
						((obj_t) BgL_auxz00_3694), BUNSPEC);
				}
				return BgL_rz00_828;
			}
		}
	}



/* letrectail? */
	bool_t BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(obj_t BgL_varsz00_63,
		obj_t BgL_valsz00_64, BgL_ev_exprz00_bglt BgL_bodyz00_65)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 279 */
			{
				obj_t BgL_l1203z00_854;

				BgL_l1203z00_854 = BgL_varsz00_63;
			BgL_zc3anonymousza31492ze3z83_855:
				if (NULLP(BgL_l1203z00_854))
					{	/* Eval/evaluate_fsize.scm 280 */
						return ((bool_t) 1);
					}
				else
					{	/* Eval/evaluate_fsize.scm 280 */
						bool_t BgL_testz00_3716;

						{	/* Eval/evaluate_fsize.scm 281 */
							obj_t BgL_vz00_860;

							BgL_vz00_860 = CAR(BgL_l1203z00_854);
							{	/* Eval/evaluate_fsize.scm 281 */
								obj_t BgL__andtest_1099z00_861;

								BgL__andtest_1099z00_861 =
									BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_bodyz00_65,
									((BgL_ev_varz00_bglt) BgL_vz00_860));
								if (CBOOL(BgL__andtest_1099z00_861))
									{
										obj_t BgL_l1200z00_863;

										BgL_l1200z00_863 = BgL_valsz00_64;
									BgL_zc3anonymousza31496ze3z83_864:
										if (NULLP(BgL_l1200z00_863))
											{	/* Eval/evaluate_fsize.scm 282 */
												BgL_testz00_3716 = ((bool_t) 1);
											}
										else
											{	/* Eval/evaluate_fsize.scm 283 */
												obj_t BgL_nvz00_866;

												{	/* Eval/evaluate_fsize.scm 283 */
													obj_t BgL_ez00_869;

													BgL_ez00_869 = CAR(BgL_l1200z00_863);
													if (BGl_isazf3zf3zz__objectz00(BgL_ez00_869,
															BGl_ev_absz00zz__evaluate_typesz00))
														{	/* Eval/evaluate_fsize.scm 284 */
															BgL_ev_absz00_bglt BgL_i1100z00_871;

															BgL_i1100z00_871 =
																((BgL_ev_absz00_bglt) BgL_ez00_869);
															if (
																((long) CINT(
																		(((BgL_ev_absz00_bglt)
																				CREF(BgL_i1100z00_871))->
																			BgL_arityz00)) >= ((long) 0)))
																{	/* Eval/evaluate_fsize.scm 286 */
																	BgL_ev_exprz00_bglt BgL_arg1503z00_873;

																	BgL_arg1503z00_873 =
																		(((BgL_ev_absz00_bglt)
																			CREF(BgL_i1100z00_871))->BgL_bodyz00);
																	BgL_nvz00_866 =
																		BGl_tailposz00zz__evaluate_fsiza7eza7
																		(BgL_arg1503z00_873,
																		((BgL_ev_varz00_bglt) BgL_vz00_860));
																}
															else
																{	/* Eval/evaluate_fsize.scm 285 */
																	BgL_nvz00_866 = BFALSE;
																}
														}
													else
														{	/* Eval/evaluate_fsize.scm 283 */
															BgL_nvz00_866 = BFALSE;
														}
												}
												if (CBOOL(BgL_nvz00_866))
													{
														obj_t BgL_l1200z00_3737;

														BgL_l1200z00_3737 = CDR(BgL_l1200z00_863);
														BgL_l1200z00_863 = BgL_l1200z00_3737;
														goto BgL_zc3anonymousza31496ze3z83_864;
													}
												else
													{	/* Eval/evaluate_fsize.scm 282 */
														BgL_testz00_3716 = ((bool_t) 0);
													}
											}
									}
								else
									{	/* Eval/evaluate_fsize.scm 281 */
										BgL_testz00_3716 = ((bool_t) 0);
									}
							}
						}
						if (BgL_testz00_3716)
							{
								obj_t BgL_l1203z00_3739;

								BgL_l1203z00_3739 = CDR(BgL_l1203z00_854);
								BgL_l1203z00_854 = BgL_l1203z00_3739;
								goto BgL_zc3anonymousza31492ze3z83_855;
							}
						else
							{	/* Eval/evaluate_fsize.scm 280 */
								return ((bool_t) 0);
							}
					}
			}
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			return BUNSPEC;
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_proc2150z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2151z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_proc2152z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2153z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_proc2154z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2155z00zz__evaluate_fsiza7eza7);
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_proc2156z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2157z00zz__evaluate_fsiza7eza7);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_proc2158z00zz__evaluate_fsiza7eza7,
				BGl_ev_exprz00zz__evaluate_typesz00,
				BGl_string2159z00zz__evaluate_fsiza7eza7);
		}
	}



/* &hasvar?1405 */
	obj_t BGl_z62hasvarzf31405z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3189,
		obj_t BgL_ez00_3190, obj_t BgL_vz00_3191)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 482 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_906;
				BgL_ev_varz00_bglt BgL_vz00_907;

				BgL_ez00_906 = ((BgL_ev_exprz00_bglt) BgL_ez00_3190);
				BgL_vz00_907 = ((BgL_ev_varz00_bglt) BgL_vz00_3191);
				return
					BGl_errorz00zz__errorz00(BGl_symbol2160z00zz__evaluate_fsiza7eza7,
					BGl_string2161z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_906));
			}
		}
	}



/* &tailpos1364 */
	obj_t BGl_z62tailpos1364z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3192,
		obj_t BgL_ez00_3193, obj_t BgL_vz00_3194)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 394 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_901;
				BgL_ev_varz00_bglt BgL_vz00_902;

				BgL_ez00_901 = ((BgL_ev_exprz00_bglt) BgL_ez00_3193);
				BgL_vz00_902 = ((BgL_ev_varz00_bglt) BgL_vz00_3194);
				return
					BGl_errorz00zz__errorz00(BGl_symbol2162z00zz__evaluate_fsiza7eza7,
					BGl_string2164z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_901));
			}
		}
	}



/* &subst_goto1330 */
	obj_t BGl_z62subst_goto1330z62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3195,
		obj_t BgL_ez00_3196, obj_t BgL_varsz00_3197, obj_t BgL_lblsz00_3198)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 298 */
			{	/* Eval/evaluate_fsize.scm 299 */
				BgL_ev_exprz00_bglt BgL_ez00_3590;

				BgL_ez00_3590 = ((BgL_ev_exprz00_bglt) BgL_ez00_3196);
				return
					BGl_errorz00zz__errorz00(BGl_symbol2165z00zz__evaluate_fsiza7eza7,
					BGl_string2164z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_3590));
			}
		}
	}



/* &search-letrec1298 */
	obj_t BGl_z62searchzd2letrec1298zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3199, obj_t BgL_ez00_3200)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 178 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_891;

				BgL_ez00_891 = ((BgL_ev_exprz00_bglt) BgL_ez00_3200);
				return
					BGl_errorz00zz__errorz00(BGl_symbol2167z00zz__evaluate_fsiza7eza7,
					BGl_string2164z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_891));
			}
		}
	}



/* &fsize1260 */
	obj_t BGl_z62fsiza7e1260zc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3201,
		obj_t BgL_ez00_3202, obj_t BgL_nz00_3203)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 68 */
			{
				BgL_ev_exprz00_bglt BgL_ez00_886;
				int BgL_nz00_887;

				BgL_ez00_886 = ((BgL_ev_exprz00_bglt) BgL_ez00_3202);
				BgL_nz00_887 = CINT(BgL_nz00_3203);
				return
					BGl_errorz00zz__errorz00(BGl_string2169z00zz__evaluate_fsiza7eza7,
					BGl_string2170z00zz__evaluate_fsiza7eza7, ((obj_t) BgL_ez00_886));
			}
		}
	}



/* fsize */
	int BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_4,
		int BgL_nz00_5)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 68 */
			{	/* Eval/evaluate_fsize.scm 68 */
				obj_t BgL_method1261z00_910;

				{	/* Eval/evaluate_fsize.scm 68 */
					obj_t BgL_res2000z00_2172;

					{	/* Eval/evaluate_fsize.scm 68 */
						BgL_objectz00_bglt BgL_objz00_2144;

						BgL_objz00_2144 = ((BgL_objectz00_bglt) BgL_ez00_4);
						{	/* Eval/evaluate_fsize.scm 68 */
							long BgL_objzd2classzd2numz00_2145;

							{	/* Eval/evaluate_fsize.scm 68 */
								long BgL_res1994z00_2148;

								BgL_res1994z00_2148 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2144);
								BgL_objzd2classzd2numz00_2145 = BgL_res1994z00_2148;
							}
							{	/* Eval/evaluate_fsize.scm 68 */
								obj_t BgL_arg1977z00_2146;

								BgL_arg1977z00_2146 =
									PROCEDURE_REF(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 68 */
									obj_t BgL_arrayz00_2149;
									int BgL_offsetz00_2150;

									BgL_arrayz00_2149 = BgL_arg1977z00_2146;
									BgL_offsetz00_2150 = (int) (BgL_objzd2classzd2numz00_2145);
									{	/* Eval/evaluate_fsize.scm 68 */
										long BgL_offsetz00_2151;

										BgL_offsetz00_2151 =
											((long) (BgL_offsetz00_2150) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 68 */
											long BgL_modz00_2152;

											{	/* Eval/evaluate_fsize.scm 68 */
												int BgL_arg1979z00_2153;

												BgL_arg1979z00_2153 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 68 */
													long BgL_res1997z00_2163;

													{	/* Eval/evaluate_fsize.scm 68 */
														long BgL_auxz00_3772;

														BgL_auxz00_3772 = (long) (BgL_arg1979z00_2153);
														BgL_res1997z00_2163 =
															(BgL_offsetz00_2151 / BgL_auxz00_3772);
													}
													BgL_modz00_2152 = BgL_res1997z00_2163;
											}}
											{	/* Eval/evaluate_fsize.scm 68 */
												long BgL_restz00_2154;

												{	/* Eval/evaluate_fsize.scm 68 */
													int BgL_arg1978z00_2155;

													BgL_arg1978z00_2155 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 68 */
														long BgL_res1999z00_2167;

														{	/* Eval/evaluate_fsize.scm 68 */
															long BgL_auxz00_3776;

															BgL_auxz00_3776 = (long) (BgL_arg1978z00_2155);
															BgL_res1999z00_2167 =
																(BgL_offsetz00_2151 % BgL_auxz00_3776);
														}
														BgL_restz00_2154 = BgL_res1999z00_2167;
												}}
												{	/* Eval/evaluate_fsize.scm 68 */

													BgL_res2000z00_2172 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2149,
															(int) (BgL_modz00_2152)),
														(int) (BgL_restz00_2154));
					}}}}}}}}
					BgL_method1261z00_910 = BgL_res2000z00_2172;
				}
				return
					CINT(PROCEDURE_ENTRY(BgL_method1261z00_910) (BgL_method1261z00_910,
						((obj_t) BgL_ez00_4), BINT(BgL_nz00_5), BEOA));
			}
		}
	}



/* &fsize */
	obj_t BGl_z62fsiza7ezc5zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3204,
		obj_t BgL_ez00_3205, obj_t BgL_nz00_3206)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 68 */
			{	/* Eval/evaluate_fsize.scm 68 */
				int BgL_auxz00_3791;

				{	/* Eval/evaluate_fsize.scm 68 */
					int BgL_auxz00_3800;
					BgL_ev_exprz00_bglt BgL_auxz00_3792;

					{	/* Eval/evaluate_fsize.scm 68 */
						obj_t BgL_auxz00_3801;

						if (INTEGERP(BgL_nz00_3206))
							{	/* Eval/evaluate_fsize.scm 68 */
								BgL_auxz00_3801 = BgL_nz00_3206;
							}
						else
							{
								obj_t BgL_auxz00_3804;

								BgL_auxz00_3804 =
									BGl_typezd2errorzd2zz__errorz00
									(BGl_string2146z00zz__evaluate_fsiza7eza7,
									BINT(((long) 1980)), BGl_string2171z00zz__evaluate_fsiza7eza7,
									BGl_string2172z00zz__evaluate_fsiza7eza7, BgL_nz00_3206);
								FAILURE(BgL_auxz00_3804, BFALSE, BFALSE);
							}
						BgL_auxz00_3800 = CINT(BgL_auxz00_3801);
					}
					if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3205,
							BGl_ev_exprz00zz__evaluate_typesz00))
						{	/* Eval/evaluate_fsize.scm 68 */
							BgL_auxz00_3792 = ((BgL_ev_exprz00_bglt) BgL_ez00_3205);
						}
					else
						{
							obj_t BgL_auxz00_3796;

							BgL_auxz00_3796 =
								BGl_typezd2errorzd2zz__errorz00
								(BGl_string2146z00zz__evaluate_fsiza7eza7, BINT(((long) 1980)),
								BGl_string2171z00zz__evaluate_fsiza7eza7,
								BGl_string2148z00zz__evaluate_fsiza7eza7, BgL_ez00_3205);
							FAILURE(BgL_auxz00_3796, BFALSE, BFALSE);
						}
					BgL_auxz00_3791 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_auxz00_3792,
						BgL_auxz00_3800);
				}
				return BINT(BgL_auxz00_3791);
			}
		}
	}



/* search-letrec */
	obj_t BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_44)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 178 */
			{	/* Eval/evaluate_fsize.scm 178 */
				obj_t BgL_method1299z00_911;

				{	/* Eval/evaluate_fsize.scm 178 */
					obj_t BgL_res2007z00_2201;

					{	/* Eval/evaluate_fsize.scm 178 */
						BgL_objectz00_bglt BgL_objz00_2173;

						BgL_objz00_2173 = ((BgL_objectz00_bglt) BgL_ez00_44);
						{	/* Eval/evaluate_fsize.scm 178 */
							long BgL_objzd2classzd2numz00_2174;

							{	/* Eval/evaluate_fsize.scm 178 */
								long BgL_res2001z00_2177;

								BgL_res2001z00_2177 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2173);
								BgL_objzd2classzd2numz00_2174 = BgL_res2001z00_2177;
							}
							{	/* Eval/evaluate_fsize.scm 178 */
								obj_t BgL_arg1977z00_2175;

								BgL_arg1977z00_2175 =
									PROCEDURE_REF
									(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 178 */
									obj_t BgL_arrayz00_2178;
									int BgL_offsetz00_2179;

									BgL_arrayz00_2178 = BgL_arg1977z00_2175;
									BgL_offsetz00_2179 = (int) (BgL_objzd2classzd2numz00_2174);
									{	/* Eval/evaluate_fsize.scm 178 */
										long BgL_offsetz00_2180;

										BgL_offsetz00_2180 =
											((long) (BgL_offsetz00_2179) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 178 */
											long BgL_modz00_2181;

											{	/* Eval/evaluate_fsize.scm 178 */
												int BgL_arg1979z00_2182;

												BgL_arg1979z00_2182 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 178 */
													long BgL_res2004z00_2192;

													{	/* Eval/evaluate_fsize.scm 178 */
														long BgL_auxz00_3819;

														BgL_auxz00_3819 = (long) (BgL_arg1979z00_2182);
														BgL_res2004z00_2192 =
															(BgL_offsetz00_2180 / BgL_auxz00_3819);
													}
													BgL_modz00_2181 = BgL_res2004z00_2192;
											}}
											{	/* Eval/evaluate_fsize.scm 178 */
												long BgL_restz00_2183;

												{	/* Eval/evaluate_fsize.scm 178 */
													int BgL_arg1978z00_2184;

													BgL_arg1978z00_2184 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 178 */
														long BgL_res2006z00_2196;

														{	/* Eval/evaluate_fsize.scm 178 */
															long BgL_auxz00_3823;

															BgL_auxz00_3823 = (long) (BgL_arg1978z00_2184);
															BgL_res2006z00_2196 =
																(BgL_offsetz00_2180 % BgL_auxz00_3823);
														}
														BgL_restz00_2183 = BgL_res2006z00_2196;
												}}
												{	/* Eval/evaluate_fsize.scm 178 */

													BgL_res2007z00_2201 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2178,
															(int) (BgL_modz00_2181)),
														(int) (BgL_restz00_2183));
					}}}}}}}}
					BgL_method1299z00_911 = BgL_res2007z00_2201;
				}
				return
					PROCEDURE_ENTRY(BgL_method1299z00_911) (BgL_method1299z00_911,
					((obj_t) BgL_ez00_44), BEOA);
			}
		}
	}



/* &search-letrec */
	obj_t BGl_z62searchzd2letreczb0zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3207,
		obj_t BgL_ez00_3208)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 178 */
			{	/* Eval/evaluate_fsize.scm 178 */
				BgL_ev_exprz00_bglt BgL_auxz00_3835;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3208,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 178 */
						BgL_auxz00_3835 = ((BgL_ev_exprz00_bglt) BgL_ez00_3208);
					}
				else
					{
						obj_t BgL_auxz00_3839;

						BgL_auxz00_3839 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2146z00zz__evaluate_fsiza7eza7, BINT(((long) 5204)),
							BGl_string2173z00zz__evaluate_fsiza7eza7,
							BGl_string2148z00zz__evaluate_fsiza7eza7, BgL_ez00_3208);
						FAILURE(BgL_auxz00_3839, BFALSE, BFALSE);
					}
				return BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7(BgL_auxz00_3835);
			}
		}
	}



/* subst_goto */
	obj_t BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_69, obj_t BgL_varsz00_70, obj_t BgL_lblsz00_71)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 298 */
			{	/* Eval/evaluate_fsize.scm 298 */
				obj_t BgL_method1331z00_912;

				{	/* Eval/evaluate_fsize.scm 298 */
					obj_t BgL_res2014z00_2230;

					{	/* Eval/evaluate_fsize.scm 298 */
						BgL_objectz00_bglt BgL_objz00_2202;

						BgL_objz00_2202 = ((BgL_objectz00_bglt) BgL_ez00_69);
						{	/* Eval/evaluate_fsize.scm 298 */
							long BgL_objzd2classzd2numz00_2203;

							{	/* Eval/evaluate_fsize.scm 298 */
								long BgL_res2008z00_2206;

								BgL_res2008z00_2206 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2202);
								BgL_objzd2classzd2numz00_2203 = BgL_res2008z00_2206;
							}
							{	/* Eval/evaluate_fsize.scm 298 */
								obj_t BgL_arg1977z00_2204;

								BgL_arg1977z00_2204 =
									PROCEDURE_REF(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 298 */
									obj_t BgL_arrayz00_2207;
									int BgL_offsetz00_2208;

									BgL_arrayz00_2207 = BgL_arg1977z00_2204;
									BgL_offsetz00_2208 = (int) (BgL_objzd2classzd2numz00_2203);
									{	/* Eval/evaluate_fsize.scm 298 */
										long BgL_offsetz00_2209;

										BgL_offsetz00_2209 =
											((long) (BgL_offsetz00_2208) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 298 */
											long BgL_modz00_2210;

											{	/* Eval/evaluate_fsize.scm 298 */
												int BgL_arg1979z00_2211;

												BgL_arg1979z00_2211 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 298 */
													long BgL_res2011z00_2221;

													{	/* Eval/evaluate_fsize.scm 298 */
														long BgL_auxz00_3852;

														BgL_auxz00_3852 = (long) (BgL_arg1979z00_2211);
														BgL_res2011z00_2221 =
															(BgL_offsetz00_2209 / BgL_auxz00_3852);
													}
													BgL_modz00_2210 = BgL_res2011z00_2221;
											}}
											{	/* Eval/evaluate_fsize.scm 298 */
												long BgL_restz00_2212;

												{	/* Eval/evaluate_fsize.scm 298 */
													int BgL_arg1978z00_2213;

													BgL_arg1978z00_2213 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 298 */
														long BgL_res2013z00_2225;

														{	/* Eval/evaluate_fsize.scm 298 */
															long BgL_auxz00_3856;

															BgL_auxz00_3856 = (long) (BgL_arg1978z00_2213);
															BgL_res2013z00_2225 =
																(BgL_offsetz00_2209 % BgL_auxz00_3856);
														}
														BgL_restz00_2212 = BgL_res2013z00_2225;
												}}
												{	/* Eval/evaluate_fsize.scm 298 */

													BgL_res2014z00_2230 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2207,
															(int) (BgL_modz00_2210)),
														(int) (BgL_restz00_2212));
					}}}}}}}}
					BgL_method1331z00_912 = BgL_res2014z00_2230;
				}
				return
					PROCEDURE_ENTRY(BgL_method1331z00_912) (BgL_method1331z00_912,
					((obj_t) BgL_ez00_69), BgL_varsz00_70, BgL_lblsz00_71, BEOA);
			}
		}
	}



/* &subst_goto */
	obj_t BGl_z62subst_gotoz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3209,
		obj_t BgL_ez00_3210, obj_t BgL_varsz00_3211, obj_t BgL_lblsz00_3212)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 298 */
			{	/* Eval/evaluate_fsize.scm 298 */
				BgL_ev_exprz00_bglt BgL_auxz00_3870;

				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3210,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 298 */
						BgL_auxz00_3870 = ((BgL_ev_exprz00_bglt) BgL_ez00_3210);
					}
				else
					{
						obj_t BgL_auxz00_3874;

						BgL_auxz00_3874 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2146z00zz__evaluate_fsiza7eza7, BINT(((long) 8471)),
							BGl_string2174z00zz__evaluate_fsiza7eza7,
							BGl_string2148z00zz__evaluate_fsiza7eza7, BgL_ez00_3210);
						FAILURE(BgL_auxz00_3874, BFALSE, BFALSE);
					}
				return
					BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_auxz00_3870,
					BgL_varsz00_3211, BgL_lblsz00_3212);
			}
		}
	}



/* tailpos */
	obj_t BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt BgL_ez00_120,
		BgL_ev_varz00_bglt BgL_vz00_121)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 394 */
			{	/* Eval/evaluate_fsize.scm 394 */
				obj_t BgL_method1365z00_913;

				{	/* Eval/evaluate_fsize.scm 394 */
					obj_t BgL_res2021z00_2259;

					{	/* Eval/evaluate_fsize.scm 394 */
						BgL_objectz00_bglt BgL_objz00_2231;

						BgL_objz00_2231 = ((BgL_objectz00_bglt) BgL_ez00_120);
						{	/* Eval/evaluate_fsize.scm 394 */
							long BgL_objzd2classzd2numz00_2232;

							{	/* Eval/evaluate_fsize.scm 394 */
								long BgL_res2015z00_2235;

								BgL_res2015z00_2235 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2231);
								BgL_objzd2classzd2numz00_2232 = BgL_res2015z00_2235;
							}
							{	/* Eval/evaluate_fsize.scm 394 */
								obj_t BgL_arg1977z00_2233;

								BgL_arg1977z00_2233 =
									PROCEDURE_REF(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 394 */
									obj_t BgL_arrayz00_2236;
									int BgL_offsetz00_2237;

									BgL_arrayz00_2236 = BgL_arg1977z00_2233;
									BgL_offsetz00_2237 = (int) (BgL_objzd2classzd2numz00_2232);
									{	/* Eval/evaluate_fsize.scm 394 */
										long BgL_offsetz00_2238;

										BgL_offsetz00_2238 =
											((long) (BgL_offsetz00_2237) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 394 */
											long BgL_modz00_2239;

											{	/* Eval/evaluate_fsize.scm 394 */
												int BgL_arg1979z00_2240;

												BgL_arg1979z00_2240 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 394 */
													long BgL_res2018z00_2250;

													{	/* Eval/evaluate_fsize.scm 394 */
														long BgL_auxz00_3887;

														BgL_auxz00_3887 = (long) (BgL_arg1979z00_2240);
														BgL_res2018z00_2250 =
															(BgL_offsetz00_2238 / BgL_auxz00_3887);
													}
													BgL_modz00_2239 = BgL_res2018z00_2250;
											}}
											{	/* Eval/evaluate_fsize.scm 394 */
												long BgL_restz00_2241;

												{	/* Eval/evaluate_fsize.scm 394 */
													int BgL_arg1978z00_2242;

													BgL_arg1978z00_2242 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 394 */
														long BgL_res2020z00_2254;

														{	/* Eval/evaluate_fsize.scm 394 */
															long BgL_auxz00_3891;

															BgL_auxz00_3891 = (long) (BgL_arg1978z00_2242);
															BgL_res2020z00_2254 =
																(BgL_offsetz00_2238 % BgL_auxz00_3891);
														}
														BgL_restz00_2241 = BgL_res2020z00_2254;
												}}
												{	/* Eval/evaluate_fsize.scm 394 */

													BgL_res2021z00_2259 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2236,
															(int) (BgL_modz00_2239)),
														(int) (BgL_restz00_2241));
					}}}}}}}}
					BgL_method1365z00_913 = BgL_res2021z00_2259;
				}
				return
					PROCEDURE_ENTRY(BgL_method1365z00_913) (BgL_method1365z00_913,
					((obj_t) BgL_ez00_120), ((obj_t) BgL_vz00_121), BEOA);
			}
		}
	}



/* &tailpos */
	obj_t BGl_z62tailposz62zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3213,
		obj_t BgL_ez00_3214, obj_t BgL_vz00_3215)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 394 */
			{	/* Eval/evaluate_fsize.scm 394 */
				BgL_ev_varz00_bglt BgL_auxz00_3913;
				BgL_ev_exprz00_bglt BgL_auxz00_3905;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_3215,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 394 */
						BgL_auxz00_3913 = ((BgL_ev_varz00_bglt) BgL_vz00_3215);
					}
				else
					{
						obj_t BgL_auxz00_3917;

						BgL_auxz00_3917 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2146z00zz__evaluate_fsiza7eza7, BINT(((long) 11440)),
							BGl_string2175z00zz__evaluate_fsiza7eza7,
							BGl_string2176z00zz__evaluate_fsiza7eza7, BgL_vz00_3215);
						FAILURE(BgL_auxz00_3917, BFALSE, BFALSE);
					}
				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3214,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 394 */
						BgL_auxz00_3905 = ((BgL_ev_exprz00_bglt) BgL_ez00_3214);
					}
				else
					{
						obj_t BgL_auxz00_3909;

						BgL_auxz00_3909 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2146z00zz__evaluate_fsiza7eza7, BINT(((long) 11440)),
							BGl_string2175z00zz__evaluate_fsiza7eza7,
							BGl_string2148z00zz__evaluate_fsiza7eza7, BgL_ez00_3214);
						FAILURE(BgL_auxz00_3909, BFALSE, BFALSE);
					}
				return
					BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_auxz00_3905,
					BgL_auxz00_3913);
			}
		}
	}



/* hasvar? */
	obj_t BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_ev_exprz00_bglt
		BgL_ez00_160, BgL_ev_varz00_bglt BgL_vz00_161)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 482 */
			{	/* Eval/evaluate_fsize.scm 482 */
				obj_t BgL_method1406z00_914;

				{	/* Eval/evaluate_fsize.scm 482 */
					obj_t BgL_res2028z00_2288;

					{	/* Eval/evaluate_fsize.scm 482 */
						BgL_objectz00_bglt BgL_objz00_2260;

						BgL_objz00_2260 = ((BgL_objectz00_bglt) BgL_ez00_160);
						{	/* Eval/evaluate_fsize.scm 482 */
							long BgL_objzd2classzd2numz00_2261;

							{	/* Eval/evaluate_fsize.scm 482 */
								long BgL_res2022z00_2264;

								BgL_res2022z00_2264 = BGL_OBJECT_CLASS_NUM(BgL_objz00_2260);
								BgL_objzd2classzd2numz00_2261 = BgL_res2022z00_2264;
							}
							{	/* Eval/evaluate_fsize.scm 482 */
								obj_t BgL_arg1977z00_2262;

								BgL_arg1977z00_2262 =
									PROCEDURE_REF(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
									(int) (((long) 1)));
								{	/* Eval/evaluate_fsize.scm 482 */
									obj_t BgL_arrayz00_2265;
									int BgL_offsetz00_2266;

									BgL_arrayz00_2265 = BgL_arg1977z00_2262;
									BgL_offsetz00_2266 = (int) (BgL_objzd2classzd2numz00_2261);
									{	/* Eval/evaluate_fsize.scm 482 */
										long BgL_offsetz00_2267;

										BgL_offsetz00_2267 =
											((long) (BgL_offsetz00_2266) - OBJECT_TYPE);
										{	/* Eval/evaluate_fsize.scm 482 */
											long BgL_modz00_2268;

											{	/* Eval/evaluate_fsize.scm 482 */
												int BgL_arg1979z00_2269;

												BgL_arg1979z00_2269 = (int) (((long) 16));
												{	/* Eval/evaluate_fsize.scm 482 */
													long BgL_res2025z00_2279;

													{	/* Eval/evaluate_fsize.scm 482 */
														long BgL_auxz00_3930;

														BgL_auxz00_3930 = (long) (BgL_arg1979z00_2269);
														BgL_res2025z00_2279 =
															(BgL_offsetz00_2267 / BgL_auxz00_3930);
													}
													BgL_modz00_2268 = BgL_res2025z00_2279;
											}}
											{	/* Eval/evaluate_fsize.scm 482 */
												long BgL_restz00_2270;

												{	/* Eval/evaluate_fsize.scm 482 */
													int BgL_arg1978z00_2271;

													BgL_arg1978z00_2271 = (int) (((long) 16));
													{	/* Eval/evaluate_fsize.scm 482 */
														long BgL_res2027z00_2283;

														{	/* Eval/evaluate_fsize.scm 482 */
															long BgL_auxz00_3934;

															BgL_auxz00_3934 = (long) (BgL_arg1978z00_2271);
															BgL_res2027z00_2283 =
																(BgL_offsetz00_2267 % BgL_auxz00_3934);
														}
														BgL_restz00_2270 = BgL_res2027z00_2283;
												}}
												{	/* Eval/evaluate_fsize.scm 482 */

													BgL_res2028z00_2288 =
														VECTOR_REF(VECTOR_REF(BgL_arrayz00_2265,
															(int) (BgL_modz00_2268)),
														(int) (BgL_restz00_2270));
					}}}}}}}}
					BgL_method1406z00_914 = BgL_res2028z00_2288;
				}
				return
					PROCEDURE_ENTRY(BgL_method1406z00_914) (BgL_method1406z00_914,
					((obj_t) BgL_ez00_160), ((obj_t) BgL_vz00_161), BEOA);
			}
		}
	}



/* &hasvar? */
	obj_t BGl_z62hasvarzf3z91zz__evaluate_fsiza7eza7(obj_t BgL_envz00_3216,
		obj_t BgL_ez00_3217, obj_t BgL_vz00_3218)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 482 */
			{	/* Eval/evaluate_fsize.scm 482 */
				BgL_ev_varz00_bglt BgL_auxz00_3956;
				BgL_ev_exprz00_bglt BgL_auxz00_3948;

				if (BGl_isazf3zf3zz__objectz00(BgL_vz00_3218,
						BGl_ev_varz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 482 */
						BgL_auxz00_3956 = ((BgL_ev_varz00_bglt) BgL_vz00_3218);
					}
				else
					{
						obj_t BgL_auxz00_3960;

						BgL_auxz00_3960 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2146z00zz__evaluate_fsiza7eza7, BINT(((long) 14360)),
							BGl_string2177z00zz__evaluate_fsiza7eza7,
							BGl_string2176z00zz__evaluate_fsiza7eza7, BgL_vz00_3218);
						FAILURE(BgL_auxz00_3960, BFALSE, BFALSE);
					}
				if (BGl_isazf3zf3zz__objectz00(BgL_ez00_3217,
						BGl_ev_exprz00zz__evaluate_typesz00))
					{	/* Eval/evaluate_fsize.scm 482 */
						BgL_auxz00_3948 = ((BgL_ev_exprz00_bglt) BgL_ez00_3217);
					}
				else
					{
						obj_t BgL_auxz00_3952;

						BgL_auxz00_3952 =
							BGl_typezd2errorzd2zz__errorz00
							(BGl_string2146z00zz__evaluate_fsiza7eza7, BINT(((long) 14360)),
							BGl_string2177z00zz__evaluate_fsiza7eza7,
							BGl_string2148z00zz__evaluate_fsiza7eza7, BgL_ez00_3217);
						FAILURE(BgL_auxz00_3952, BFALSE, BFALSE);
					}
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_auxz00_3948,
					BgL_auxz00_3956);
			}
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2178z00zz__evaluate_fsiza7eza7,
				BGl_string2179z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2180z00zz__evaluate_fsiza7eza7,
				BGl_string2179z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2181z00zz__evaluate_fsiza7eza7,
				BGl_string2179z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2182z00zz__evaluate_fsiza7eza7,
				BGl_string2179z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2183z00zz__evaluate_fsiza7eza7,
				BGl_string2179z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2184z00zz__evaluate_fsiza7eza7,
				BGl_string2179z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2185z00zz__evaluate_fsiza7eza7,
				BGl_string2179z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2186z00zz__evaluate_fsiza7eza7,
				BGl_string2179z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2187z00zz__evaluate_fsiza7eza7,
				BGl_string2179z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2188z00zz__evaluate_fsiza7eza7,
				BGl_string2179z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2189z00zz__evaluate_fsiza7eza7,
				BGl_string2179z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc2190z00zz__evaluate_fsiza7eza7,
				BGl_string2179z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc2191z00zz__evaluate_fsiza7eza7,
				BGl_string2179z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2192z00zz__evaluate_fsiza7eza7,
				BGl_string2179z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2193z00zz__evaluate_fsiza7eza7,
				BGl_string2179z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2194z00zz__evaluate_fsiza7eza7,
				BGl_string2179z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2195z00zz__evaluate_fsiza7eza7,
				BGl_string2179z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_fsiza7ezd2envz75zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2196z00zz__evaluate_fsiza7eza7,
				BGl_string2179z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2197z00zz__evaluate_fsiza7eza7,
				BGl_string2168z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2198z00zz__evaluate_fsiza7eza7,
				BGl_string2168z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2199z00zz__evaluate_fsiza7eza7,
				BGl_string2168z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2200z00zz__evaluate_fsiza7eza7,
				BGl_string2168z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2201z00zz__evaluate_fsiza7eza7,
				BGl_string2168z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2202z00zz__evaluate_fsiza7eza7,
				BGl_string2168z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2203z00zz__evaluate_fsiza7eza7,
				BGl_string2168z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2204z00zz__evaluate_fsiza7eza7,
				BGl_string2168z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2205z00zz__evaluate_fsiza7eza7,
				BGl_string2168z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2206z00zz__evaluate_fsiza7eza7,
				BGl_string2168z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2207z00zz__evaluate_fsiza7eza7,
				BGl_string2168z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2208z00zz__evaluate_fsiza7eza7,
				BGl_string2168z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2209z00zz__evaluate_fsiza7eza7,
				BGl_string2168z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2210z00zz__evaluate_fsiza7eza7,
				BGl_string2168z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_searchzd2letreczd2envz00zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2211z00zz__evaluate_fsiza7eza7,
				BGl_string2168z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2212z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2213z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2214z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2215z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2216z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2217z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2218z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2219z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2220z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2221z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2222z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2223z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2224z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2225z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2226z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_subst_gotozd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2227z00zz__evaluate_fsiza7eza7,
				BGl_string2166z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2228z00zz__evaluate_fsiza7eza7,
				BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2229z00zz__evaluate_fsiza7eza7,
				BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2230z00zz__evaluate_fsiza7eza7,
				BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2231z00zz__evaluate_fsiza7eza7,
				BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2232z00zz__evaluate_fsiza7eza7,
				BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2233z00zz__evaluate_fsiza7eza7,
				BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2234z00zz__evaluate_fsiza7eza7,
				BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2235z00zz__evaluate_fsiza7eza7,
				BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2236z00zz__evaluate_fsiza7eza7,
				BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2237z00zz__evaluate_fsiza7eza7,
				BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2238z00zz__evaluate_fsiza7eza7,
				BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2239z00zz__evaluate_fsiza7eza7,
				BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letz00zz__evaluate_typesz00,
				BGl_proc2240z00zz__evaluate_fsiza7eza7,
				BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letza2za2zz__evaluate_typesz00,
				BGl_proc2241z00zz__evaluate_fsiza7eza7,
				BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_letrecz00zz__evaluate_typesz00,
				BGl_proc2242z00zz__evaluate_fsiza7eza7,
				BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2243z00zz__evaluate_fsiza7eza7,
				BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2244z00zz__evaluate_fsiza7eza7,
				BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2245z00zz__evaluate_fsiza7eza7,
				BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_tailposzd2envzd2zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2246z00zz__evaluate_fsiza7eza7,
				BGl_string2163z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_varz00zz__evaluate_typesz00,
				BGl_proc2247z00zz__evaluate_fsiza7eza7,
				BGl_string2248z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_globalz00zz__evaluate_typesz00,
				BGl_proc2249z00zz__evaluate_fsiza7eza7,
				BGl_string2248z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_littz00zz__evaluate_typesz00,
				BGl_proc2250z00zz__evaluate_fsiza7eza7,
				BGl_string2248z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_ifz00zz__evaluate_typesz00,
				BGl_proc2251z00zz__evaluate_fsiza7eza7,
				BGl_string2248z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_listz00zz__evaluate_typesz00,
				BGl_proc2252z00zz__evaluate_fsiza7eza7,
				BGl_string2248z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_prog2z00zz__evaluate_typesz00,
				BGl_proc2253z00zz__evaluate_fsiza7eza7,
				BGl_string2248z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_hookz00zz__evaluate_typesz00,
				BGl_proc2254z00zz__evaluate_fsiza7eza7,
				BGl_string2248z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_setlocalz00zz__evaluate_typesz00,
				BGl_proc2255z00zz__evaluate_fsiza7eza7,
				BGl_string2248z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00,
				BGl_proc2256z00zz__evaluate_fsiza7eza7,
				BGl_string2248z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00,
				BGl_proc2257z00zz__evaluate_fsiza7eza7,
				BGl_string2248z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00,
				BGl_proc2258z00zz__evaluate_fsiza7eza7,
				BGl_string2248z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00,
				BGl_proc2259z00zz__evaluate_fsiza7eza7,
				BGl_string2248z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_binderz00zz__evaluate_typesz00,
				BGl_proc2260z00zz__evaluate_fsiza7eza7,
				BGl_string2248z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_labelsz00zz__evaluate_typesz00,
				BGl_proc2261z00zz__evaluate_fsiza7eza7,
				BGl_string2248z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_gotoz00zz__evaluate_typesz00,
				BGl_proc2262z00zz__evaluate_fsiza7eza7,
				BGl_string2248z00zz__evaluate_fsiza7eza7);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_appz00zz__evaluate_typesz00,
				BGl_proc2263z00zz__evaluate_fsiza7eza7,
				BGl_string2248z00zz__evaluate_fsiza7eza7);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_hasvarzf3zd2envz21zz__evaluate_fsiza7eza7,
				BGl_ev_absz00zz__evaluate_typesz00,
				BGl_proc2264z00zz__evaluate_fsiza7eza7,
				BGl_string2248z00zz__evaluate_fsiza7eza7);
		}
	}



/* &hasvar?-ev_abs1440 */
	obj_t BGl_z62hasvarzf3zd2ev_abs1440z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3304, obj_t BgL_ez00_3305, obj_t BgL_vz00_3306)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 547 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1827;
				BgL_ev_varz00_bglt BgL_vz00_1828;

				BgL_ez00_1827 = ((BgL_ev_absz00_bglt) BgL_ez00_3305);
				BgL_vz00_1828 = ((BgL_ev_varz00_bglt) BgL_vz00_3306);
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1827))->BgL_bodyz00),
					BgL_vz00_1828);
			}
		}
	}



/* &hasvar?-ev_app1438 */
	obj_t BGl_z62hasvarzf3zd2ev_app1438z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3307, obj_t BgL_ez00_3308, obj_t BgL_vz00_3309)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 543 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1810;
				BgL_ev_varz00_bglt BgL_vz00_1811;

				BgL_ez00_1810 = ((BgL_ev_appz00_bglt) BgL_ez00_3308);
				BgL_vz00_1811 = ((BgL_ev_varz00_bglt) BgL_vz00_3309);
				{	/* Eval/evaluate_fsize.scm 545 */
					obj_t BgL__ortest_1171z00_1815;

					BgL__ortest_1171z00_1815 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1810))->BgL_funz00),
						BgL_vz00_1811);
					if (CBOOL(BgL__ortest_1171z00_1815))
						{	/* Eval/evaluate_fsize.scm 545 */
							return BgL__ortest_1171z00_1815;
						}
					else
						{	/* Eval/evaluate_fsize.scm 545 */
							obj_t BgL_g1248z00_1816;

							BgL_g1248z00_1816 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1810))->BgL_argsz00);
							{
								obj_t BgL_l1246z00_1818;

								BgL_l1246z00_1818 = BgL_g1248z00_1816;
							BgL_zc3anonymousza31775ze3z83_1819:
								if (NULLP(BgL_l1246z00_1818))
									{	/* Eval/evaluate_fsize.scm 545 */
										return BFALSE;
									}
								else
									{	/* Eval/evaluate_fsize.scm 545 */
										obj_t BgL__ortest_1249z00_1821;

										{	/* Eval/evaluate_fsize.scm 545 */
											obj_t BgL_ez00_1823;

											BgL_ez00_1823 = CAR(BgL_l1246z00_1818);
											BgL__ortest_1249z00_1821 =
												BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_ez00_1823), BgL_vz00_1811);
										}
										if (CBOOL(BgL__ortest_1249z00_1821))
											{	/* Eval/evaluate_fsize.scm 545 */
												return BgL__ortest_1249z00_1821;
											}
										else
											{
												obj_t BgL_l1246z00_4066;

												BgL_l1246z00_4066 = CDR(BgL_l1246z00_1818);
												BgL_l1246z00_1818 = BgL_l1246z00_4066;
												goto BgL_zc3anonymousza31775ze3z83_1819;
											}
									}
							}
						}
				}
			}
		}
	}



/* &hasvar?-ev_goto1436 */
	obj_t BGl_z62hasvarzf3zd2ev_goto1436z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3310, obj_t BgL_ez00_3311, obj_t BgL_vz00_3312)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 539 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1795;
				BgL_ev_varz00_bglt BgL_vz00_1796;

				BgL_ez00_1795 = ((BgL_ev_gotoz00_bglt) BgL_ez00_3311);
				BgL_vz00_1796 = ((BgL_ev_varz00_bglt) BgL_vz00_3312);
				{	/* Eval/evaluate_fsize.scm 541 */
					obj_t BgL_g1244z00_1800;

					BgL_g1244z00_1800 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1795))->BgL_argsz00);
					{
						obj_t BgL_l1242z00_1802;

						BgL_l1242z00_1802 = BgL_g1244z00_1800;
					BgL_zc3anonymousza31772ze3z83_1803:
						if (NULLP(BgL_l1242z00_1802))
							{	/* Eval/evaluate_fsize.scm 541 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_fsize.scm 541 */
								obj_t BgL__ortest_1245z00_1805;

								{	/* Eval/evaluate_fsize.scm 541 */
									obj_t BgL_ez00_1807;

									BgL_ez00_1807 = CAR(BgL_l1242z00_1802);
									BgL__ortest_1245z00_1805 =
										BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_ez00_1807), BgL_vz00_1796);
								}
								if (CBOOL(BgL__ortest_1245z00_1805))
									{	/* Eval/evaluate_fsize.scm 541 */
										return BgL__ortest_1245z00_1805;
									}
								else
									{
										obj_t BgL_l1242z00_4078;

										BgL_l1242z00_4078 = CDR(BgL_l1242z00_1802);
										BgL_l1242z00_1802 = BgL_l1242z00_4078;
										goto BgL_zc3anonymousza31772ze3z83_1803;
									}
							}
					}
				}
			}
		}
	}



/* &hasvar?-ev_labels1434 */
	obj_t BGl_z62hasvarzf3zd2ev_labels1434z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3313, obj_t BgL_ez00_3314, obj_t BgL_vz00_3315)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 534 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1777;
				BgL_ev_varz00_bglt BgL_vz00_1778;

				BgL_ez00_1777 = ((BgL_ev_labelsz00_bglt) BgL_ez00_3314);
				BgL_vz00_1778 = ((BgL_ev_varz00_bglt) BgL_vz00_3315);
				{	/* Eval/evaluate_fsize.scm 536 */
					obj_t BgL__ortest_1168z00_1782;

					{	/* Eval/evaluate_fsize.scm 536 */
						obj_t BgL_g1240z00_1784;

						BgL_g1240z00_1784 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1777))->BgL_valsz00);
						{
							obj_t BgL_l1238z00_1786;

							BgL_l1238z00_1786 = BgL_g1240z00_1784;
						BgL_zc3anonymousza31768ze3z83_1787:
							if (NULLP(BgL_l1238z00_1786))
								{	/* Eval/evaluate_fsize.scm 536 */
									BgL__ortest_1168z00_1782 = BFALSE;
								}
							else
								{	/* Eval/evaluate_fsize.scm 536 */
									obj_t BgL__ortest_1241z00_1789;

									{	/* Eval/evaluate_fsize.scm 536 */
										obj_t BgL_ez00_1791;

										BgL_ez00_1791 = CAR(BgL_l1238z00_1786);
										{	/* Eval/evaluate_fsize.scm 536 */
											obj_t BgL_arg1771z00_1792;

											BgL_arg1771z00_1792 = CDR(BgL_ez00_1791);
											BgL__ortest_1241z00_1789 =
												BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1771z00_1792),
												BgL_vz00_1778);
										}
									}
									if (CBOOL(BgL__ortest_1241z00_1789))
										{	/* Eval/evaluate_fsize.scm 536 */
											BgL__ortest_1168z00_1782 = BgL__ortest_1241z00_1789;
										}
									else
										{
											obj_t BgL_l1238z00_4091;

											BgL_l1238z00_4091 = CDR(BgL_l1238z00_1786);
											BgL_l1238z00_1786 = BgL_l1238z00_4091;
											goto BgL_zc3anonymousza31768ze3z83_1787;
										}
								}
						}
					}
					if (CBOOL(BgL__ortest_1168z00_1782))
						{	/* Eval/evaluate_fsize.scm 536 */
							return BgL__ortest_1168z00_1782;
						}
					else
						{	/* Eval/evaluate_fsize.scm 536 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1777))->BgL_bodyz00),
								BgL_vz00_1778);
						}
				}
			}
		}
	}



/* &hasvar?-ev_binder1432 */
	obj_t BGl_z62hasvarzf3zd2ev_binder1432z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3316, obj_t BgL_ez00_3317, obj_t BgL_vz00_3318)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 529 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1760;
				BgL_ev_varz00_bglt BgL_vz00_1761;

				BgL_ez00_1760 = ((BgL_ev_binderz00_bglt) BgL_ez00_3317);
				BgL_vz00_1761 = ((BgL_ev_varz00_bglt) BgL_vz00_3318);
				{	/* Eval/evaluate_fsize.scm 531 */
					obj_t BgL__ortest_1166z00_1765;

					{	/* Eval/evaluate_fsize.scm 531 */
						obj_t BgL_g1236z00_1767;

						BgL_g1236z00_1767 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1760))->BgL_valsz00);
						{
							obj_t BgL_l1234z00_1769;

							BgL_l1234z00_1769 = BgL_g1236z00_1767;
						BgL_zc3anonymousza31764ze3z83_1770:
							if (NULLP(BgL_l1234z00_1769))
								{	/* Eval/evaluate_fsize.scm 531 */
									BgL__ortest_1166z00_1765 = BFALSE;
								}
							else
								{	/* Eval/evaluate_fsize.scm 531 */
									obj_t BgL__ortest_1237z00_1772;

									{	/* Eval/evaluate_fsize.scm 531 */
										obj_t BgL_ez00_1774;

										BgL_ez00_1774 = CAR(BgL_l1234z00_1769);
										BgL__ortest_1237z00_1772 =
											BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_ez00_1774), BgL_vz00_1761);
									}
									if (CBOOL(BgL__ortest_1237z00_1772))
										{	/* Eval/evaluate_fsize.scm 531 */
											BgL__ortest_1166z00_1765 = BgL__ortest_1237z00_1772;
										}
									else
										{
											obj_t BgL_l1234z00_4107;

											BgL_l1234z00_4107 = CDR(BgL_l1234z00_1769);
											BgL_l1234z00_1769 = BgL_l1234z00_4107;
											goto BgL_zc3anonymousza31764ze3z83_1770;
										}
								}
						}
					}
					if (CBOOL(BgL__ortest_1166z00_1765))
						{	/* Eval/evaluate_fsize.scm 531 */
							return BgL__ortest_1166z00_1765;
						}
					else
						{	/* Eval/evaluate_fsize.scm 531 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1760))->BgL_bodyz00),
								BgL_vz00_1761);
						}
				}
			}
		}
	}



/* &hasvar?-ev_synchroni1430 */
	obj_t BGl_z62hasvarzf3zd2ev_synchroni1430z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3319, obj_t BgL_ez00_3320, obj_t BgL_vz00_3321)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 525 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_1749;
				BgL_ev_varz00_bglt BgL_vz00_1750;

				BgL_ez00_1749 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3320);
				BgL_vz00_1750 = ((BgL_ev_varz00_bglt) BgL_vz00_3321);
				{	/* Eval/evaluate_fsize.scm 527 */
					obj_t BgL__ortest_1163z00_2881;

					BgL__ortest_1163z00_2881 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1749))->
							BgL_mutexz00), BgL_vz00_1750);
					if (CBOOL(BgL__ortest_1163z00_2881))
						{	/* Eval/evaluate_fsize.scm 527 */
							return BgL__ortest_1163z00_2881;
						}
					else
						{	/* Eval/evaluate_fsize.scm 527 */
							obj_t BgL__ortest_1164z00_2883;

							BgL__ortest_1164z00_2883 =
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1749))->
									BgL_prelockz00), BgL_vz00_1750);
							if (CBOOL(BgL__ortest_1164z00_2883))
								{	/* Eval/evaluate_fsize.scm 527 */
									return BgL__ortest_1164z00_2883;
								}
							else
								{	/* Eval/evaluate_fsize.scm 527 */
									return
										BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
										(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1749))->
											BgL_bodyz00), BgL_vz00_1750);
								}
						}
				}
			}
		}
	}



/* &hasvar?-ev_with-hand1428 */
	obj_t BGl_z62hasvarzf3zd2ev_withzd2hand1428z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3322, obj_t BgL_ez00_3323, obj_t BgL_vz00_3324)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 521 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1740;
				BgL_ev_varz00_bglt BgL_vz00_1741;

				BgL_ez00_1740 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3323);
				BgL_vz00_1741 = ((BgL_ev_varz00_bglt) BgL_vz00_3324);
				{	/* Eval/evaluate_fsize.scm 523 */
					obj_t BgL__ortest_1161z00_2877;

					BgL__ortest_1161z00_2877 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1740))->
							BgL_handlerz00), BgL_vz00_1741);
					if (CBOOL(BgL__ortest_1161z00_2877))
						{	/* Eval/evaluate_fsize.scm 523 */
							return BgL__ortest_1161z00_2877;
						}
					else
						{	/* Eval/evaluate_fsize.scm 523 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1740))->
									BgL_bodyz00), BgL_vz00_1741);
						}
				}
			}
		}
	}



/* &hasvar?-ev_unwind-pr1426 */
	obj_t BGl_z62hasvarzf3zd2ev_unwindzd2pr1426z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3325, obj_t BgL_ez00_3326, obj_t BgL_vz00_3327)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 517 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1731;
				BgL_ev_varz00_bglt BgL_vz00_1732;

				BgL_ez00_1731 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_3326);
				BgL_vz00_1732 = ((BgL_ev_varz00_bglt) BgL_vz00_3327);
				{	/* Eval/evaluate_fsize.scm 519 */
					obj_t BgL__ortest_1159z00_2873;

					BgL__ortest_1159z00_2873 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1731))->BgL_ez00),
						BgL_vz00_1732);
					if (CBOOL(BgL__ortest_1159z00_2873))
						{	/* Eval/evaluate_fsize.scm 519 */
							return BgL__ortest_1159z00_2873;
						}
					else
						{	/* Eval/evaluate_fsize.scm 519 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1731))->
									BgL_bodyz00), BgL_vz00_1732);
						}
				}
			}
		}
	}



/* &hasvar?-ev_bind-exit1424 */
	obj_t BGl_z62hasvarzf3zd2ev_bindzd2exit1424z91zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3328, obj_t BgL_ez00_3329, obj_t BgL_vz00_3330)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 513 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1724;
				BgL_ev_varz00_bglt BgL_vz00_1725;

				BgL_ez00_1724 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3329);
				BgL_vz00_1725 = ((BgL_ev_varz00_bglt) BgL_vz00_3330);
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1724))->BgL_bodyz00),
					BgL_vz00_1725);
			}
		}
	}



/* &hasvar?-ev_setlocal1422 */
	obj_t BGl_z62hasvarzf3zd2ev_setlocal1422z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3331, obj_t BgL_ez00_3332, obj_t BgL_varz00_3333)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 509 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_1715;
				BgL_ev_varz00_bglt BgL_varz00_1716;

				BgL_ez00_1715 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_3332);
				BgL_varz00_1716 = ((BgL_ev_varz00_bglt) BgL_varz00_3333);
				{	/* Eval/evaluate_fsize.scm 511 */
					bool_t BgL__ortest_1156z00_2867;

					BgL__ortest_1156z00_2867 =
						(
						((obj_t)
							(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_1715))->BgL_vz00)) ==
						((obj_t) BgL_varz00_1716));
					if (BgL__ortest_1156z00_2867)
						{	/* Eval/evaluate_fsize.scm 511 */
							return BBOOL(BgL__ortest_1156z00_2867);
						}
					else
						{	/* Eval/evaluate_fsize.scm 511 */
							BgL_ev_exprz00_bglt BgL_arg1753z00_2869;

							BgL_arg1753z00_2869 =
								(((BgL_ev_hookz00_bglt) CREF(
										((BgL_ev_hookz00_bglt) BgL_ez00_1715)))->BgL_ez00);
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1753z00_2869,
								BgL_varz00_1716);
						}
				}
			}
		}
	}



/* &hasvar?-ev_hook1420 */
	obj_t BGl_z62hasvarzf3zd2ev_hook1420z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3334, obj_t BgL_ez00_3335, obj_t BgL_vz00_3336)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 505 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_1708;
				BgL_ev_varz00_bglt BgL_vz00_1709;

				BgL_ez00_1708 = ((BgL_ev_hookz00_bglt) BgL_ez00_3335);
				BgL_vz00_1709 = ((BgL_ev_varz00_bglt) BgL_vz00_3336);
				return
					BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
					(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_1708))->BgL_ez00),
					BgL_vz00_1709);
			}
		}
	}



/* &hasvar?-ev_prog21418 */
	obj_t BGl_z62hasvarzf3zd2ev_prog21418z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3337, obj_t BgL_ez00_3338, obj_t BgL_vz00_3339)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 501 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1699;
				BgL_ev_varz00_bglt BgL_vz00_1700;

				BgL_ez00_1699 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3338);
				BgL_vz00_1700 = ((BgL_ev_varz00_bglt) BgL_vz00_3339);
				{	/* Eval/evaluate_fsize.scm 503 */
					obj_t BgL__ortest_1153z00_2861;

					BgL__ortest_1153z00_2861 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1699))->BgL_e1z00),
						BgL_vz00_1700);
					if (CBOOL(BgL__ortest_1153z00_2861))
						{	/* Eval/evaluate_fsize.scm 503 */
							return BgL__ortest_1153z00_2861;
						}
					else
						{	/* Eval/evaluate_fsize.scm 503 */
							return
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1699))->BgL_e2z00),
								BgL_vz00_1700);
						}
				}
			}
		}
	}



/* &hasvar?-ev_list1416 */
	obj_t BGl_z62hasvarzf3zd2ev_list1416z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3340, obj_t BgL_ez00_3341, obj_t BgL_vz00_3342)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 497 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1684;
				BgL_ev_varz00_bglt BgL_vz00_1685;

				BgL_ez00_1684 = ((BgL_ev_listz00_bglt) BgL_ez00_3341);
				BgL_vz00_1685 = ((BgL_ev_varz00_bglt) BgL_vz00_3342);
				{	/* Eval/evaluate_fsize.scm 499 */
					obj_t BgL_g1232z00_1689;

					BgL_g1232z00_1689 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1684))->BgL_argsz00);
					{
						obj_t BgL_l1230z00_1691;

						BgL_l1230z00_1691 = BgL_g1232z00_1689;
					BgL_zc3anonymousza31745ze3z83_1692:
						if (NULLP(BgL_l1230z00_1691))
							{	/* Eval/evaluate_fsize.scm 499 */
								return BFALSE;
							}
						else
							{	/* Eval/evaluate_fsize.scm 499 */
								obj_t BgL__ortest_1233z00_1694;

								{	/* Eval/evaluate_fsize.scm 499 */
									obj_t BgL_az00_1696;

									BgL_az00_1696 = CAR(BgL_l1230z00_1691);
									BgL__ortest_1233z00_1694 =
										BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_az00_1696), BgL_vz00_1685);
								}
								if (CBOOL(BgL__ortest_1233z00_1694))
									{	/* Eval/evaluate_fsize.scm 499 */
										return BgL__ortest_1233z00_1694;
									}
								else
									{
										obj_t BgL_l1230z00_4178;

										BgL_l1230z00_4178 = CDR(BgL_l1230z00_1691);
										BgL_l1230z00_1691 = BgL_l1230z00_4178;
										goto BgL_zc3anonymousza31745ze3z83_1692;
									}
							}
					}
				}
			}
		}
	}



/* &hasvar?-ev_if1414 */
	obj_t BGl_z62hasvarzf3zd2ev_if1414z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3343, obj_t BgL_ez00_3344, obj_t BgL_vz00_3345)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 493 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_1673;
				BgL_ev_varz00_bglt BgL_vz00_1674;

				BgL_ez00_1673 = ((BgL_ev_ifz00_bglt) BgL_ez00_3344);
				BgL_vz00_1674 = ((BgL_ev_varz00_bglt) BgL_vz00_3345);
				{	/* Eval/evaluate_fsize.scm 495 */
					obj_t BgL__ortest_1149z00_2851;

					BgL__ortest_1149z00_2851 =
						BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1673))->BgL_pz00),
						BgL_vz00_1674);
					if (CBOOL(BgL__ortest_1149z00_2851))
						{	/* Eval/evaluate_fsize.scm 495 */
							return BgL__ortest_1149z00_2851;
						}
					else
						{	/* Eval/evaluate_fsize.scm 495 */
							obj_t BgL__ortest_1150z00_2853;

							BgL__ortest_1150z00_2853 =
								BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1673))->BgL_tz00),
								BgL_vz00_1674);
							if (CBOOL(BgL__ortest_1150z00_2853))
								{	/* Eval/evaluate_fsize.scm 495 */
									return BgL__ortest_1150z00_2853;
								}
							else
								{	/* Eval/evaluate_fsize.scm 495 */
									return
										BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
										(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1673))->BgL_ez00),
										BgL_vz00_1674);
								}
						}
				}
			}
		}
	}



/* &hasvar?-ev_litt1412 */
	obj_t BGl_z62hasvarzf3zd2ev_litt1412z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3346, obj_t BgL_ez00_3347, obj_t BgL_vz00_3348)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 490 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &hasvar?-ev_global1410 */
	obj_t BGl_z62hasvarzf3zd2ev_global1410z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3349, obj_t BgL_ez00_3350, obj_t BgL_vz00_3351)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 487 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &hasvar?-ev_var1408 */
	obj_t BGl_z62hasvarzf3zd2ev_var1408z43zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3352, obj_t BgL_ez00_3353, obj_t BgL_vz00_3354)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 484 */
			return
				BBOOL(
				(((obj_t)
						((BgL_ev_varz00_bglt) BgL_ez00_3353)) ==
					((obj_t) ((BgL_ev_varz00_bglt) BgL_vz00_3354))));
		}
	}



/* &tailpos-ev_abs1404 */
	obj_t BGl_z62tailposzd2ev_abs1404zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3355, obj_t BgL_ez00_3356, obj_t BgL_vz00_3357)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 476 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1650;
				BgL_ev_varz00_bglt BgL_vz00_1651;

				{	/* Eval/evaluate_fsize.scm 477 */
					bool_t BgL_auxz00_4202;

					BgL_ez00_1650 = ((BgL_ev_absz00_bglt) BgL_ez00_3356);
					BgL_vz00_1651 = ((BgL_ev_varz00_bglt) BgL_vz00_3357);
					{	/* Eval/evaluate_fsize.scm 478 */
						bool_t BgL_testz00_4203;

						{	/* Eval/evaluate_fsize.scm 478 */
							BgL_ev_exprz00_bglt BgL_arg1741z00_2849;

							BgL_arg1741z00_2849 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1650))->BgL_bodyz00);
							BgL_testz00_4203 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1741z00_2849, BgL_vz00_1651));
						}
						if (BgL_testz00_4203)
							{	/* Eval/evaluate_fsize.scm 478 */
								BgL_auxz00_4202 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 478 */
								BgL_auxz00_4202 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4202);
				}
			}
		}
	}



/* &tailpos-ev_app1402 */
	obj_t BGl_z62tailposzd2ev_app1402zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3358, obj_t BgL_ez00_3359, obj_t BgL_vz00_3360)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 470 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1628;
				BgL_ev_varz00_bglt BgL_vz00_1629;

				{	/* Eval/evaluate_fsize.scm 471 */
					bool_t BgL_auxz00_4210;

					BgL_ez00_1628 = ((BgL_ev_appz00_bglt) BgL_ez00_3359);
					BgL_vz00_1629 = ((BgL_ev_varz00_bglt) BgL_vz00_3360);
					{	/* Eval/evaluate_fsize.scm 472 */
						bool_t BgL_testz00_4211;

						{	/* Eval/evaluate_fsize.scm 472 */
							obj_t BgL_g1228z00_1638;

							BgL_g1228z00_1638 =
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1628))->BgL_argsz00);
							{
								obj_t BgL_l1226z00_1640;

								BgL_l1226z00_1640 = BgL_g1228z00_1638;
							BgL_zc3anonymousza31736ze3z83_1641:
								if (NULLP(BgL_l1226z00_1640))
									{	/* Eval/evaluate_fsize.scm 472 */
										BgL_testz00_4211 = ((bool_t) 1);
									}
								else
									{	/* Eval/evaluate_fsize.scm 472 */
										bool_t BgL_testz00_4215;

										{	/* Eval/evaluate_fsize.scm 472 */
											bool_t BgL_testz00_4216;

											{	/* Eval/evaluate_fsize.scm 472 */
												obj_t BgL_auxz00_4217;

												{	/* Eval/evaluate_fsize.scm 472 */
													BgL_ev_exprz00_bglt BgL_auxz00_4218;

													{	/* Eval/evaluate_fsize.scm 472 */
														obj_t BgL_pairz00_2845;

														BgL_pairz00_2845 = BgL_l1226z00_1640;
														BgL_auxz00_4218 =
															((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2845));
													}
													BgL_auxz00_4217 =
														BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
														(BgL_auxz00_4218, BgL_vz00_1629);
												}
												BgL_testz00_4216 = CBOOL(BgL_auxz00_4217);
											}
											if (BgL_testz00_4216)
												{	/* Eval/evaluate_fsize.scm 472 */
													BgL_testz00_4215 = ((bool_t) 0);
												}
											else
												{	/* Eval/evaluate_fsize.scm 472 */
													BgL_testz00_4215 = ((bool_t) 1);
												}
										}
										if (BgL_testz00_4215)
											{
												obj_t BgL_l1226z00_4223;

												BgL_l1226z00_4223 = CDR(BgL_l1226z00_1640);
												BgL_l1226z00_1640 = BgL_l1226z00_4223;
												goto BgL_zc3anonymousza31736ze3z83_1641;
											}
										else
											{	/* Eval/evaluate_fsize.scm 472 */
												BgL_testz00_4211 = ((bool_t) 0);
											}
									}
							}
						}
						if (BgL_testz00_4211)
							{	/* Eval/evaluate_fsize.scm 473 */
								bool_t BgL__ortest_1146z00_1634;

								BgL__ortest_1146z00_1634 =
									(
									((obj_t)
										(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1628))->BgL_funz00)) ==
									((obj_t) BgL_vz00_1629));
								if (BgL__ortest_1146z00_1634)
									{	/* Eval/evaluate_fsize.scm 473 */
										BgL_auxz00_4210 = BgL__ortest_1146z00_1634;
									}
								else
									{	/* Eval/evaluate_fsize.scm 474 */
										bool_t BgL_testz00_4230;

										{	/* Eval/evaluate_fsize.scm 474 */
											BgL_ev_exprz00_bglt BgL_arg1734z00_1636;

											BgL_arg1734z00_1636 =
												(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1628))->
												BgL_funz00);
											BgL_testz00_4230 =
												CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
												(BgL_arg1734z00_1636, BgL_vz00_1629));
										}
										if (BgL_testz00_4230)
											{	/* Eval/evaluate_fsize.scm 474 */
												BgL_auxz00_4210 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 474 */
												BgL_auxz00_4210 = ((bool_t) 1);
											}
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 472 */
								BgL_auxz00_4210 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4210);
				}
			}
		}
	}



/* &tailpos-ev_goto1400 */
	obj_t BGl_z62tailposzd2ev_goto1400zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3361, obj_t BgL_ez00_3362, obj_t BgL_vz00_3363)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 466 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1611;
				BgL_ev_varz00_bglt BgL_vz00_1612;

				{	/* Eval/evaluate_fsize.scm 467 */
					bool_t BgL_auxz00_4237;

					BgL_ez00_1611 = ((BgL_ev_gotoz00_bglt) BgL_ez00_3362);
					BgL_vz00_1612 = ((BgL_ev_varz00_bglt) BgL_vz00_3363);
					{	/* Eval/evaluate_fsize.scm 468 */
						obj_t BgL_g1224z00_1616;

						BgL_g1224z00_1616 =
							(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1611))->BgL_argsz00);
						{
							obj_t BgL_l1222z00_1618;

							BgL_l1222z00_1618 = BgL_g1224z00_1616;
						BgL_zc3anonymousza31729ze3z83_1619:
							if (NULLP(BgL_l1222z00_1618))
								{	/* Eval/evaluate_fsize.scm 468 */
									BgL_auxz00_4237 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 468 */
									bool_t BgL_testz00_4241;

									{	/* Eval/evaluate_fsize.scm 468 */
										bool_t BgL_testz00_4242;

										{	/* Eval/evaluate_fsize.scm 468 */
											obj_t BgL_auxz00_4243;

											{	/* Eval/evaluate_fsize.scm 468 */
												BgL_ev_exprz00_bglt BgL_auxz00_4244;

												{	/* Eval/evaluate_fsize.scm 468 */
													obj_t BgL_pairz00_2841;

													BgL_pairz00_2841 = BgL_l1222z00_1618;
													BgL_auxz00_4244 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2841));
												}
												BgL_auxz00_4243 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4244, BgL_vz00_1612);
											}
											BgL_testz00_4242 = CBOOL(BgL_auxz00_4243);
										}
										if (BgL_testz00_4242)
											{	/* Eval/evaluate_fsize.scm 468 */
												BgL_testz00_4241 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 468 */
												BgL_testz00_4241 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4241)
										{
											obj_t BgL_l1222z00_4249;

											BgL_l1222z00_4249 = CDR(BgL_l1222z00_1618);
											BgL_l1222z00_1618 = BgL_l1222z00_4249;
											goto BgL_zc3anonymousza31729ze3z83_1619;
										}
									else
										{	/* Eval/evaluate_fsize.scm 468 */
											BgL_auxz00_4237 = ((bool_t) 0);
										}
								}
						}
					}
					return BBOOL(BgL_auxz00_4237);
				}
			}
		}
	}



/* &tailpos-ev_labels1398 */
	obj_t BGl_z62tailposzd2ev_labels1398zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3364, obj_t BgL_ez00_3365, obj_t BgL_vz00_3366)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 461 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1592;
				BgL_ev_varz00_bglt BgL_vz00_1593;

				BgL_ez00_1592 = ((BgL_ev_labelsz00_bglt) BgL_ez00_3365);
				BgL_vz00_1593 = ((BgL_ev_varz00_bglt) BgL_vz00_3366);
				{	/* Eval/evaluate_fsize.scm 463 */
					bool_t BgL_testz00_4254;

					{	/* Eval/evaluate_fsize.scm 463 */
						obj_t BgL_g1220z00_1599;

						BgL_g1220z00_1599 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1592))->BgL_valsz00);
						{
							obj_t BgL_l1218z00_1601;

							BgL_l1218z00_1601 = BgL_g1220z00_1599;
						BgL_zc3anonymousza31725ze3z83_1602:
							if (NULLP(BgL_l1218z00_1601))
								{	/* Eval/evaluate_fsize.scm 463 */
									BgL_testz00_4254 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 463 */
									obj_t BgL_nvz00_1604;

									{	/* Eval/evaluate_fsize.scm 463 */
										obj_t BgL_ez00_1607;

										BgL_ez00_1607 = CAR(BgL_l1218z00_1601);
										{	/* Eval/evaluate_fsize.scm 463 */
											obj_t BgL_arg1728z00_1608;

											BgL_arg1728z00_1608 = CDR(BgL_ez00_1607);
											BgL_nvz00_1604 =
												BGl_tailposz00zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1728z00_1608),
												BgL_vz00_1593);
										}
									}
									if (CBOOL(BgL_nvz00_1604))
										{
											obj_t BgL_l1218z00_4264;

											BgL_l1218z00_4264 = CDR(BgL_l1218z00_1601);
											BgL_l1218z00_1601 = BgL_l1218z00_4264;
											goto BgL_zc3anonymousza31725ze3z83_1602;
										}
									else
										{	/* Eval/evaluate_fsize.scm 463 */
											BgL_testz00_4254 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4254)
						{	/* Eval/evaluate_fsize.scm 463 */
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1592))->BgL_bodyz00),
								BgL_vz00_1593);
						}
					else
						{	/* Eval/evaluate_fsize.scm 463 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_letrec1396 */
	obj_t BGl_z62tailposzd2ev_letrec1396zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3367, obj_t BgL_ez00_3368, obj_t BgL_vz00_3369)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 456 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1573;
				BgL_ev_varz00_bglt BgL_vz00_1574;

				BgL_ez00_1573 = ((BgL_ev_letrecz00_bglt) BgL_ez00_3368);
				BgL_vz00_1574 = ((BgL_ev_varz00_bglt) BgL_vz00_3369);
				{	/* Eval/evaluate_fsize.scm 458 */
					bool_t BgL_testz00_4270;

					{	/* Eval/evaluate_fsize.scm 458 */
						obj_t BgL_g1216z00_1580;

						BgL_g1216z00_1580 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1573)))->BgL_valsz00);
						{
							obj_t BgL_l1214z00_1582;

							BgL_l1214z00_1582 = BgL_g1216z00_1580;
						BgL_zc3anonymousza31720ze3z83_1583:
							if (NULLP(BgL_l1214z00_1582))
								{	/* Eval/evaluate_fsize.scm 458 */
									BgL_testz00_4270 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 458 */
									bool_t BgL_testz00_4275;

									{	/* Eval/evaluate_fsize.scm 458 */
										bool_t BgL_testz00_4276;

										{	/* Eval/evaluate_fsize.scm 458 */
											obj_t BgL_auxz00_4277;

											{	/* Eval/evaluate_fsize.scm 458 */
												BgL_ev_exprz00_bglt BgL_auxz00_4278;

												{	/* Eval/evaluate_fsize.scm 458 */
													obj_t BgL_pairz00_2832;

													BgL_pairz00_2832 = BgL_l1214z00_1582;
													BgL_auxz00_4278 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2832));
												}
												BgL_auxz00_4277 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4278, BgL_vz00_1574);
											}
											BgL_testz00_4276 = CBOOL(BgL_auxz00_4277);
										}
										if (BgL_testz00_4276)
											{	/* Eval/evaluate_fsize.scm 458 */
												BgL_testz00_4275 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 458 */
												BgL_testz00_4275 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4275)
										{
											obj_t BgL_l1214z00_4283;

											BgL_l1214z00_4283 = CDR(BgL_l1214z00_1582);
											BgL_l1214z00_1582 = BgL_l1214z00_4283;
											goto BgL_zc3anonymousza31720ze3z83_1583;
										}
									else
										{	/* Eval/evaluate_fsize.scm 458 */
											BgL_testz00_4270 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4270)
						{	/* Eval/evaluate_fsize.scm 459 */
							BgL_ev_exprz00_bglt BgL_arg1719z00_1579;

							BgL_arg1719z00_1579 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1573)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1719z00_1579,
								BgL_vz00_1574);
						}
					else
						{	/* Eval/evaluate_fsize.scm 458 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_let*1394 */
	obj_t BGl_z62tailposzd2ev_letza21394z12zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3370, obj_t BgL_ez00_3371, obj_t BgL_vz00_3372)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 451 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_1554;
				BgL_ev_varz00_bglt BgL_vz00_1555;

				BgL_ez00_1554 = ((BgL_ev_letza2za2_bglt) BgL_ez00_3371);
				BgL_vz00_1555 = ((BgL_ev_varz00_bglt) BgL_vz00_3372);
				{	/* Eval/evaluate_fsize.scm 453 */
					bool_t BgL_testz00_4290;

					{	/* Eval/evaluate_fsize.scm 453 */
						obj_t BgL_g1212z00_1561;

						BgL_g1212z00_1561 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1554)))->BgL_valsz00);
						{
							obj_t BgL_l1210z00_1563;

							BgL_l1210z00_1563 = BgL_g1212z00_1561;
						BgL_zc3anonymousza31714ze3z83_1564:
							if (NULLP(BgL_l1210z00_1563))
								{	/* Eval/evaluate_fsize.scm 453 */
									BgL_testz00_4290 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 453 */
									bool_t BgL_testz00_4295;

									{	/* Eval/evaluate_fsize.scm 453 */
										bool_t BgL_testz00_4296;

										{	/* Eval/evaluate_fsize.scm 453 */
											obj_t BgL_auxz00_4297;

											{	/* Eval/evaluate_fsize.scm 453 */
												BgL_ev_exprz00_bglt BgL_auxz00_4298;

												{	/* Eval/evaluate_fsize.scm 453 */
													obj_t BgL_pairz00_2828;

													BgL_pairz00_2828 = BgL_l1210z00_1563;
													BgL_auxz00_4298 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2828));
												}
												BgL_auxz00_4297 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4298, BgL_vz00_1555);
											}
											BgL_testz00_4296 = CBOOL(BgL_auxz00_4297);
										}
										if (BgL_testz00_4296)
											{	/* Eval/evaluate_fsize.scm 453 */
												BgL_testz00_4295 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 453 */
												BgL_testz00_4295 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4295)
										{
											obj_t BgL_l1210z00_4303;

											BgL_l1210z00_4303 = CDR(BgL_l1210z00_1563);
											BgL_l1210z00_1563 = BgL_l1210z00_4303;
											goto BgL_zc3anonymousza31714ze3z83_1564;
										}
									else
										{	/* Eval/evaluate_fsize.scm 453 */
											BgL_testz00_4290 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4290)
						{	/* Eval/evaluate_fsize.scm 454 */
							BgL_ev_exprz00_bglt BgL_arg1713z00_1560;

							BgL_arg1713z00_1560 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1554)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1713z00_1560,
								BgL_vz00_1555);
						}
					else
						{	/* Eval/evaluate_fsize.scm 453 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_let1392 */
	obj_t BGl_z62tailposzd2ev_let1392zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3373, obj_t BgL_ez00_3374, obj_t BgL_vz00_3375)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 446 */
			{
				BgL_ev_letz00_bglt BgL_ez00_1535;
				BgL_ev_varz00_bglt BgL_vz00_1536;

				BgL_ez00_1535 = ((BgL_ev_letz00_bglt) BgL_ez00_3374);
				BgL_vz00_1536 = ((BgL_ev_varz00_bglt) BgL_vz00_3375);
				{	/* Eval/evaluate_fsize.scm 448 */
					bool_t BgL_testz00_4310;

					{	/* Eval/evaluate_fsize.scm 448 */
						obj_t BgL_g1208z00_1542;

						BgL_g1208z00_1542 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1535)))->BgL_valsz00);
						{
							obj_t BgL_l1206z00_1544;

							BgL_l1206z00_1544 = BgL_g1208z00_1542;
						BgL_zc3anonymousza31709ze3z83_1545:
							if (NULLP(BgL_l1206z00_1544))
								{	/* Eval/evaluate_fsize.scm 448 */
									BgL_testz00_4310 = ((bool_t) 1);
								}
							else
								{	/* Eval/evaluate_fsize.scm 448 */
									bool_t BgL_testz00_4315;

									{	/* Eval/evaluate_fsize.scm 448 */
										bool_t BgL_testz00_4316;

										{	/* Eval/evaluate_fsize.scm 448 */
											obj_t BgL_auxz00_4317;

											{	/* Eval/evaluate_fsize.scm 448 */
												BgL_ev_exprz00_bglt BgL_auxz00_4318;

												{	/* Eval/evaluate_fsize.scm 448 */
													obj_t BgL_pairz00_2824;

													BgL_pairz00_2824 = BgL_l1206z00_1544;
													BgL_auxz00_4318 =
														((BgL_ev_exprz00_bglt) CAR(BgL_pairz00_2824));
												}
												BgL_auxz00_4317 =
													BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
													(BgL_auxz00_4318, BgL_vz00_1536);
											}
											BgL_testz00_4316 = CBOOL(BgL_auxz00_4317);
										}
										if (BgL_testz00_4316)
											{	/* Eval/evaluate_fsize.scm 448 */
												BgL_testz00_4315 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 448 */
												BgL_testz00_4315 = ((bool_t) 1);
											}
									}
									if (BgL_testz00_4315)
										{
											obj_t BgL_l1206z00_4323;

											BgL_l1206z00_4323 = CDR(BgL_l1206z00_1544);
											BgL_l1206z00_1544 = BgL_l1206z00_4323;
											goto BgL_zc3anonymousza31709ze3z83_1545;
										}
									else
										{	/* Eval/evaluate_fsize.scm 448 */
											BgL_testz00_4310 = ((bool_t) 0);
										}
								}
						}
					}
					if (BgL_testz00_4310)
						{	/* Eval/evaluate_fsize.scm 449 */
							BgL_ev_exprz00_bglt BgL_arg1708z00_1541;

							BgL_arg1708z00_1541 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1535)))->BgL_bodyz00);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(BgL_arg1708z00_1541,
								BgL_vz00_1536);
						}
					else
						{	/* Eval/evaluate_fsize.scm 448 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_synchroni1389 */
	obj_t BGl_z62tailposzd2ev_synchroni1389zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3376, obj_t BgL_ez00_3377, obj_t BgL_vz00_3378)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 442 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_1521;
				BgL_ev_varz00_bglt BgL_vz00_1522;

				{	/* Eval/evaluate_fsize.scm 443 */
					bool_t BgL_auxz00_4330;

					BgL_ez00_1521 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3377);
					BgL_vz00_1522 = ((BgL_ev_varz00_bglt) BgL_vz00_3378);
					{	/* Eval/evaluate_fsize.scm 444 */
						bool_t BgL_testz00_4331;

						{	/* Eval/evaluate_fsize.scm 444 */
							bool_t BgL_testz00_4332;

							{	/* Eval/evaluate_fsize.scm 444 */
								BgL_ev_exprz00_bglt BgL_arg1707z00_1533;

								BgL_arg1707z00_1533 =
									(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1521))->
									BgL_mutexz00);
								BgL_testz00_4332 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg1707z00_1533, BgL_vz00_1522));
							}
							if (BgL_testz00_4332)
								{	/* Eval/evaluate_fsize.scm 444 */
									BgL_testz00_4331 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 444 */
									BgL_testz00_4331 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4331)
							{	/* Eval/evaluate_fsize.scm 444 */
								bool_t BgL_testz00_4336;

								{	/* Eval/evaluate_fsize.scm 444 */
									bool_t BgL_testz00_4337;

									{	/* Eval/evaluate_fsize.scm 444 */
										BgL_ev_exprz00_bglt BgL_arg1705z00_1531;

										BgL_arg1705z00_1531 =
											(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1521))->
											BgL_prelockz00);
										BgL_testz00_4337 =
											CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
											(BgL_arg1705z00_1531, BgL_vz00_1522));
									}
									if (BgL_testz00_4337)
										{	/* Eval/evaluate_fsize.scm 444 */
											BgL_testz00_4336 = ((bool_t) 0);
										}
									else
										{	/* Eval/evaluate_fsize.scm 444 */
											BgL_testz00_4336 = ((bool_t) 1);
										}
								}
								if (BgL_testz00_4336)
									{	/* Eval/evaluate_fsize.scm 444 */
										bool_t BgL_testz00_4341;

										{	/* Eval/evaluate_fsize.scm 444 */
											BgL_ev_exprz00_bglt BgL_arg1703z00_1529;

											BgL_arg1703z00_1529 =
												(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1521))->
												BgL_bodyz00);
											BgL_testz00_4341 =
												CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
												(BgL_arg1703z00_1529, BgL_vz00_1522));
										}
										if (BgL_testz00_4341)
											{	/* Eval/evaluate_fsize.scm 444 */
												BgL_auxz00_4330 = ((bool_t) 0);
											}
										else
											{	/* Eval/evaluate_fsize.scm 444 */
												BgL_auxz00_4330 = ((bool_t) 1);
											}
									}
								else
									{	/* Eval/evaluate_fsize.scm 444 */
										BgL_auxz00_4330 = ((bool_t) 0);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 444 */
								BgL_auxz00_4330 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4330);
				}
			}
		}
	}



/* &tailpos-ev_with-hand1387 */
	obj_t BGl_z62tailposzd2ev_withzd2hand1387z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3379, obj_t BgL_ez00_3380, obj_t BgL_vz00_3381)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 438 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1510;
				BgL_ev_varz00_bglt BgL_vz00_1511;

				{	/* Eval/evaluate_fsize.scm 439 */
					bool_t BgL_auxz00_4348;

					BgL_ez00_1510 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3380);
					BgL_vz00_1511 = ((BgL_ev_varz00_bglt) BgL_vz00_3381);
					{	/* Eval/evaluate_fsize.scm 440 */
						bool_t BgL_testz00_4349;

						{	/* Eval/evaluate_fsize.scm 440 */
							bool_t BgL_testz00_4350;

							{	/* Eval/evaluate_fsize.scm 440 */
								BgL_ev_exprz00_bglt BgL_arg1700z00_2819;

								BgL_arg1700z00_2819 =
									(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1510))->
									BgL_handlerz00);
								BgL_testz00_4350 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg1700z00_2819, BgL_vz00_1511));
							}
							if (BgL_testz00_4350)
								{	/* Eval/evaluate_fsize.scm 440 */
									BgL_testz00_4349 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 440 */
									BgL_testz00_4349 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4349)
							{	/* Eval/evaluate_fsize.scm 440 */
								bool_t BgL_testz00_4354;

								{	/* Eval/evaluate_fsize.scm 440 */
									BgL_ev_exprz00_bglt BgL_arg1698z00_2821;

									BgL_arg1698z00_2821 =
										(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1510))->
										BgL_bodyz00);
									BgL_testz00_4354 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1698z00_2821, BgL_vz00_1511));
								}
								if (BgL_testz00_4354)
									{	/* Eval/evaluate_fsize.scm 440 */
										BgL_auxz00_4348 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 440 */
										BgL_auxz00_4348 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 440 */
								BgL_auxz00_4348 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4348);
				}
			}
		}
	}



/* &tailpos-ev_unwind-pr1385 */
	obj_t BGl_z62tailposzd2ev_unwindzd2pr1385z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3382, obj_t BgL_ez00_3383, obj_t BgL_vz00_3384)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 434 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_1499;
				BgL_ev_varz00_bglt BgL_vz00_1500;

				{	/* Eval/evaluate_fsize.scm 435 */
					bool_t BgL_auxz00_4361;

					BgL_ez00_1499 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_3383);
					BgL_vz00_1500 = ((BgL_ev_varz00_bglt) BgL_vz00_3384);
					{	/* Eval/evaluate_fsize.scm 436 */
						bool_t BgL_testz00_4362;

						{	/* Eval/evaluate_fsize.scm 436 */
							bool_t BgL_testz00_4363;

							{	/* Eval/evaluate_fsize.scm 436 */
								BgL_ev_exprz00_bglt BgL_arg1696z00_2813;

								BgL_arg1696z00_2813 =
									(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1499))->
									BgL_ez00);
								BgL_testz00_4363 =
									CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
									(BgL_arg1696z00_2813, BgL_vz00_1500));
							}
							if (BgL_testz00_4363)
								{	/* Eval/evaluate_fsize.scm 436 */
									BgL_testz00_4362 = ((bool_t) 0);
								}
							else
								{	/* Eval/evaluate_fsize.scm 436 */
									BgL_testz00_4362 = ((bool_t) 1);
								}
						}
						if (BgL_testz00_4362)
							{	/* Eval/evaluate_fsize.scm 436 */
								bool_t BgL_testz00_4367;

								{	/* Eval/evaluate_fsize.scm 436 */
									BgL_ev_exprz00_bglt BgL_arg1694z00_2815;

									BgL_arg1694z00_2815 =
										(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_1499))->
										BgL_bodyz00);
									BgL_testz00_4367 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1694z00_2815, BgL_vz00_1500));
								}
								if (BgL_testz00_4367)
									{	/* Eval/evaluate_fsize.scm 436 */
										BgL_auxz00_4361 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 436 */
										BgL_auxz00_4361 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 436 */
								BgL_auxz00_4361 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4361);
				}
			}
		}
	}



/* &tailpos-ev_bind-exit1383 */
	obj_t BGl_z62tailposzd2ev_bindzd2exit1383z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3385, obj_t BgL_ez00_3386, obj_t BgL_vz00_3387)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 430 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1491;
				BgL_ev_varz00_bglt BgL_vz00_1492;

				{	/* Eval/evaluate_fsize.scm 431 */
					bool_t BgL_auxz00_4374;

					BgL_ez00_1491 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3386);
					BgL_vz00_1492 = ((BgL_ev_varz00_bglt) BgL_vz00_3387);
					{	/* Eval/evaluate_fsize.scm 432 */
						bool_t BgL_testz00_4375;

						{	/* Eval/evaluate_fsize.scm 432 */
							BgL_ev_exprz00_bglt BgL_arg1692z00_2809;

							BgL_arg1692z00_2809 =
								(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1491))->
								BgL_bodyz00);
							BgL_testz00_4375 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1692z00_2809, BgL_vz00_1492));
						}
						if (BgL_testz00_4375)
							{	/* Eval/evaluate_fsize.scm 432 */
								BgL_auxz00_4374 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 432 */
								BgL_auxz00_4374 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4374);
				}
			}
		}
	}



/* &tailpos-ev_setlocal1381 */
	obj_t BGl_z62tailposzd2ev_setlocal1381zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3388, obj_t BgL_ez00_3389, obj_t BgL_varz00_3390)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 426 */
			{
				BgL_ev_setlocalz00_bglt BgL_ez00_1480;
				BgL_ev_varz00_bglt BgL_varz00_1481;

				{	/* Eval/evaluate_fsize.scm 427 */
					bool_t BgL_auxz00_4382;

					BgL_ez00_1480 = ((BgL_ev_setlocalz00_bglt) BgL_ez00_3389);
					BgL_varz00_1481 = ((BgL_ev_varz00_bglt) BgL_varz00_3390);
					{	/* Eval/evaluate_fsize.scm 428 */
						bool_t BgL_testz00_4383;

						if (
							(((obj_t)
									(((BgL_ev_setlocalz00_bglt) CREF(BgL_ez00_1480))->
										BgL_vz00)) == ((obj_t) BgL_varz00_1481)))
							{	/* Eval/evaluate_fsize.scm 428 */
								BgL_testz00_4383 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 428 */
								BgL_testz00_4383 = ((bool_t) 1);
							}
						if (BgL_testz00_4383)
							{	/* Eval/evaluate_fsize.scm 428 */
								bool_t BgL_testz00_4389;

								{	/* Eval/evaluate_fsize.scm 428 */
									BgL_ev_exprz00_bglt BgL_arg1688z00_2806;

									BgL_arg1688z00_2806 =
										(((BgL_ev_hookz00_bglt) CREF(
												((BgL_ev_hookz00_bglt) BgL_ez00_1480)))->BgL_ez00);
									BgL_testz00_4389 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
										(BgL_arg1688z00_2806, BgL_varz00_1481));
								}
								if (BgL_testz00_4389)
									{	/* Eval/evaluate_fsize.scm 428 */
										BgL_auxz00_4382 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 428 */
										BgL_auxz00_4382 = ((bool_t) 1);
									}
							}
						else
							{	/* Eval/evaluate_fsize.scm 428 */
								BgL_auxz00_4382 = ((bool_t) 0);
							}
					}
					return BBOOL(BgL_auxz00_4382);
				}
			}
		}
	}



/* &tailpos-ev_hook1379 */
	obj_t BGl_z62tailposzd2ev_hook1379zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3391, obj_t BgL_ez00_3392, obj_t BgL_vz00_3393)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 422 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_1472;
				BgL_ev_varz00_bglt BgL_vz00_1473;

				{	/* Eval/evaluate_fsize.scm 423 */
					bool_t BgL_auxz00_4397;

					BgL_ez00_1472 = ((BgL_ev_hookz00_bglt) BgL_ez00_3392);
					BgL_vz00_1473 = ((BgL_ev_varz00_bglt) BgL_vz00_3393);
					{	/* Eval/evaluate_fsize.scm 424 */
						bool_t BgL_testz00_4398;

						{	/* Eval/evaluate_fsize.scm 424 */
							BgL_ev_exprz00_bglt BgL_arg1686z00_2800;

							BgL_arg1686z00_2800 =
								(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_1472))->BgL_ez00);
							BgL_testz00_4398 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1686z00_2800, BgL_vz00_1473));
						}
						if (BgL_testz00_4398)
							{	/* Eval/evaluate_fsize.scm 424 */
								BgL_auxz00_4397 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 424 */
								BgL_auxz00_4397 = ((bool_t) 1);
							}
					}
					return BBOOL(BgL_auxz00_4397);
				}
			}
		}
	}



/* &tailpos-ev_prog21377 */
	obj_t BGl_z62tailposzd2ev_prog21377zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3394, obj_t BgL_ez00_3395, obj_t BgL_vz00_3396)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 418 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1462;
				BgL_ev_varz00_bglt BgL_vz00_1463;

				BgL_ez00_1462 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3395);
				BgL_vz00_1463 = ((BgL_ev_varz00_bglt) BgL_vz00_3396);
				{	/* Eval/evaluate_fsize.scm 420 */
					bool_t BgL_testz00_4405;

					{	/* Eval/evaluate_fsize.scm 420 */
						bool_t BgL_testz00_4406;

						{	/* Eval/evaluate_fsize.scm 420 */
							BgL_ev_exprz00_bglt BgL_arg1684z00_2796;

							BgL_arg1684z00_2796 =
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1462))->BgL_e1z00);
							BgL_testz00_4406 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1684z00_2796, BgL_vz00_1463));
						}
						if (BgL_testz00_4406)
							{	/* Eval/evaluate_fsize.scm 420 */
								BgL_testz00_4405 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 420 */
								BgL_testz00_4405 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_4405)
						{	/* Eval/evaluate_fsize.scm 420 */
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1462))->BgL_e2z00),
								BgL_vz00_1463);
						}
					else
						{	/* Eval/evaluate_fsize.scm 420 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_list1375 */
	obj_t BGl_z62tailposzd2ev_list1375zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3397, obj_t BgL_ez00_3398, obj_t BgL_vz00_3399)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 410 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1444;
				BgL_ev_varz00_bglt BgL_vz00_1445;

				BgL_ez00_1444 = ((BgL_ev_listz00_bglt) BgL_ez00_3398);
				BgL_vz00_1445 = ((BgL_ev_varz00_bglt) BgL_vz00_3399);
				{
					obj_t BgL_lz00_1451;

					BgL_lz00_1451 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1444))->BgL_argsz00);
				BgL_zc3anonymousza31675ze3z83_1452:
					if (NULLP(CDR(BgL_lz00_1451)))
						{	/* Eval/evaluate_fsize.scm 414 */
							obj_t BgL_arg1677z00_1454;

							BgL_arg1677z00_1454 = CAR(BgL_lz00_1451);
							return
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								((BgL_ev_exprz00_bglt) BgL_arg1677z00_1454), BgL_vz00_1445);
						}
					else
						{	/* Eval/evaluate_fsize.scm 415 */
							bool_t BgL_testz00_4420;

							{	/* Eval/evaluate_fsize.scm 415 */
								bool_t BgL_testz00_4421;

								{	/* Eval/evaluate_fsize.scm 415 */
									obj_t BgL_arg1680z00_1458;

									BgL_arg1680z00_1458 = CAR(BgL_lz00_1451);
									BgL_testz00_4421 =
										CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1680z00_1458),
											BgL_vz00_1445));
								}
								if (BgL_testz00_4421)
									{	/* Eval/evaluate_fsize.scm 415 */
										BgL_testz00_4420 = ((bool_t) 0);
									}
								else
									{	/* Eval/evaluate_fsize.scm 415 */
										BgL_testz00_4420 = ((bool_t) 1);
									}
							}
							if (BgL_testz00_4420)
								{
									obj_t BgL_lz00_4426;

									BgL_lz00_4426 = CDR(BgL_lz00_1451);
									BgL_lz00_1451 = BgL_lz00_4426;
									goto BgL_zc3anonymousza31675ze3z83_1452;
								}
							else
								{	/* Eval/evaluate_fsize.scm 415 */
									return BFALSE;
								}
						}
				}
			}
		}
	}



/* &tailpos-ev_if1373 */
	obj_t BGl_z62tailposzd2ev_if1373zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3400, obj_t BgL_ez00_3401, obj_t BgL_vz00_3402)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 406 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_1432;
				BgL_ev_varz00_bglt BgL_vz00_1433;

				BgL_ez00_1432 = ((BgL_ev_ifz00_bglt) BgL_ez00_3401);
				BgL_vz00_1433 = ((BgL_ev_varz00_bglt) BgL_vz00_3402);
				{	/* Eval/evaluate_fsize.scm 408 */
					bool_t BgL_testz00_4431;

					{	/* Eval/evaluate_fsize.scm 408 */
						bool_t BgL_testz00_4432;

						{	/* Eval/evaluate_fsize.scm 408 */
							BgL_ev_exprz00_bglt BgL_arg1673z00_1442;

							BgL_arg1673z00_1442 =
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1432))->BgL_pz00);
							BgL_testz00_4432 =
								CBOOL(BGl_hasvarzf3zf3zz__evaluate_fsiza7eza7
								(BgL_arg1673z00_1442, BgL_vz00_1433));
						}
						if (BgL_testz00_4432)
							{	/* Eval/evaluate_fsize.scm 408 */
								BgL_testz00_4431 = ((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 408 */
								BgL_testz00_4431 = ((bool_t) 1);
							}
					}
					if (BgL_testz00_4431)
						{	/* Eval/evaluate_fsize.scm 408 */
							obj_t BgL__andtest_1119z00_1438;

							BgL__andtest_1119z00_1438 =
								BGl_tailposz00zz__evaluate_fsiza7eza7(
								(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1432))->BgL_tz00),
								BgL_vz00_1433);
							if (CBOOL(BgL__andtest_1119z00_1438))
								{	/* Eval/evaluate_fsize.scm 408 */
									return
										BGl_tailposz00zz__evaluate_fsiza7eza7(
										(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_1432))->BgL_ez00),
										BgL_vz00_1433);
								}
							else
								{	/* Eval/evaluate_fsize.scm 408 */
									return BFALSE;
								}
						}
					else
						{	/* Eval/evaluate_fsize.scm 408 */
							return BFALSE;
						}
				}
			}
		}
	}



/* &tailpos-ev_litt1371 */
	obj_t BGl_z62tailposzd2ev_litt1371zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3403, obj_t BgL_ez00_3404, obj_t BgL_vz00_3405)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 403 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &tailpos-ev_global1369 */
	obj_t BGl_z62tailposzd2ev_global1369zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3406, obj_t BgL_ez00_3407, obj_t BgL_vz00_3408)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 400 */
			return BBOOL(((bool_t) 1));
		}
	}



/* &tailpos-ev_var1367 */
	obj_t BGl_z62tailposzd2ev_var1367zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3409, obj_t BgL_ez00_3410, obj_t BgL_vz00_3411)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 397 */
			{
				BgL_ev_varz00_bglt BgL_ez00_1416;
				BgL_ev_varz00_bglt BgL_vz00_1417;

				{	/* Eval/evaluate_fsize.scm 398 */
					bool_t BgL_auxz00_4446;

					BgL_ez00_1416 = ((BgL_ev_varz00_bglt) BgL_ez00_3410);
					BgL_vz00_1417 = ((BgL_ev_varz00_bglt) BgL_vz00_3411);
					if ((((obj_t) BgL_ez00_1416) == ((obj_t) BgL_vz00_1417)))
						{	/* Eval/evaluate_fsize.scm 398 */
							BgL_auxz00_4446 = ((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 398 */
							BgL_auxz00_4446 = ((bool_t) 1);
						}
					return BBOOL(BgL_auxz00_4446);
				}
			}
		}
	}



/* &subst_goto-ev_abs1363 */
	BgL_ev_absz00_bglt
		BGl_z62subst_gotozd2ev_abs1363zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3412, obj_t BgL_ez00_3413, obj_t BgL_varsz00_3414,
		obj_t BgL_lblsz00_3415)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 385 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1408;
				obj_t BgL_varsz00_1409;
				obj_t BgL_lblsz00_1410;

				BgL_ez00_1408 = ((BgL_ev_absz00_bglt) BgL_ez00_3413);
				BgL_varsz00_1409 = BgL_varsz00_3414;
				BgL_lblsz00_1410 = BgL_lblsz00_3415;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4454;

					{	/* Eval/evaluate_fsize.scm 387 */
						BgL_ev_exprz00_bglt BgL_arg1668z00_2785;

						BgL_arg1668z00_2785 =
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1408))->BgL_bodyz00);
						BgL_auxz00_4454 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1668z00_2785,
								BgL_varsz00_1409, BgL_lblsz00_1410));
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1408))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4454), BUNSPEC);
				}
				return BgL_ez00_1408;
			}
		}
	}



/* &subst_goto-ev_app1361 */
	BgL_ev_exprz00_bglt
		BGl_z62subst_gotozd2ev_app1361zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3416, obj_t BgL_ez00_3417, obj_t BgL_varsz00_3418,
		obj_t BgL_lblsz00_3419)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 377 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1394;
				obj_t BgL_varsz00_1395;
				obj_t BgL_lblsz00_1396;

				BgL_ez00_1394 = ((BgL_ev_appz00_bglt) BgL_ez00_3417);
				BgL_varsz00_1395 = BgL_varsz00_3418;
				BgL_lblsz00_1396 = BgL_lblsz00_3419;
				{	/* Eval/evaluate_fsize.scm 379 */
					obj_t BgL_arg1663z00_1400;

					BgL_arg1663z00_1400 =
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1394))->BgL_argsz00);
					{
						obj_t BgL_lz00_2769;

						BgL_lz00_2769 = BgL_arg1663z00_1400;
					BgL_recz00_2768:
						if (NULLP(BgL_lz00_2769))
							{	/* Eval/evaluate_fsize.scm 294 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 294 */
								{	/* Eval/evaluate_fsize.scm 295 */
									obj_t BgL_arg1507z00_2771;

									{	/* Eval/evaluate_fsize.scm 295 */
										obj_t BgL_arg1508z00_2772;

										BgL_arg1508z00_2772 = CAR(BgL_lz00_2769);
										BgL_arg1507z00_2771 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1508z00_2772),
											BgL_varsz00_1395, BgL_lblsz00_1396);
									}
									SET_CAR(BgL_lz00_2769, BgL_arg1507z00_2771);
								}
								{
									obj_t BgL_lz00_4467;

									BgL_lz00_4467 = CDR(BgL_lz00_2769);
									BgL_lz00_2769 = BgL_lz00_4467;
									goto BgL_recz00_2768;
								}
							}
					}
				}
				if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
							((obj_t)
								(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1394))->BgL_funz00)),
							BgL_varsz00_1395)))
					{	/* Eval/evaluate_fsize.scm 381 */
						BgL_ev_gotoz00_bglt BgL_new1115z00_1402;

						{	/* Eval/evaluate_fsize.scm 381 */
							BgL_ev_gotoz00_bglt BgL_new1114z00_1403;

							BgL_new1114z00_1403 =
								((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
											BgL_ev_gotoz00_bgl))));
							{	/* Eval/evaluate_fsize.scm 381 */
								long BgL_arg1665z00_1404;

								{	/* Eval/evaluate_fsize.scm 381 */
									long BgL_res2066z00_2781;

									BgL_res2066z00_2781 =
										BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00);
									BgL_arg1665z00_1404 = BgL_res2066z00_2781;
								}
								{	/* Eval/evaluate_fsize.scm 381 */
									BgL_objectz00_bglt BgL_objz00_2782;

									BgL_objz00_2782 = ((BgL_objectz00_bglt) BgL_new1114z00_1403);
									BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2782,
										BgL_arg1665z00_1404);
							}}
							{	/* Eval/evaluate_fsize.scm 381 */
								BgL_objectz00_bglt BgL_auxz00_4478;

								BgL_auxz00_4478 = ((BgL_objectz00_bglt) BgL_new1114z00_1403);
								BGL_OBJECT_WIDENING_SET(BgL_auxz00_4478, BFALSE);
							}
							BgL_new1115z00_1402 = BgL_new1114z00_1403;
						}
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1115z00_1402))->BgL_locz00) =
							((obj_t) (((BgL_ev_appz00_bglt) CREF(BgL_ez00_1394))->
									BgL_locz00)), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1115z00_1402))->BgL_labelz00) =
							((BgL_ev_varz00_bglt) ((BgL_ev_varz00_bglt) (((BgL_ev_appz00_bglt)
											CREF(BgL_ez00_1394))->BgL_funz00))), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1115z00_1402))->
								BgL_labelsz00) =
							((BgL_ev_labelsz00_bglt) ((BgL_ev_labelsz00_bglt)
									BgL_lblsz00_1396)), BUNSPEC);
						((((BgL_ev_gotoz00_bglt) CREF(BgL_new1115z00_1402))->BgL_argsz00) =
							((obj_t) (((BgL_ev_appz00_bglt) CREF(BgL_ez00_1394))->
									BgL_argsz00)), BUNSPEC);
						return ((BgL_ev_exprz00_bglt) BgL_new1115z00_1402);
					}
				else
					{	/* Eval/evaluate_fsize.scm 380 */
						{
							BgL_ev_exprz00_bglt BgL_auxz00_4491;

							{	/* Eval/evaluate_fsize.scm 382 */
								BgL_ev_exprz00_bglt BgL_arg1666z00_1405;

								BgL_arg1666z00_1405 =
									(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1394))->BgL_funz00);
								BgL_auxz00_4491 =
									((BgL_ev_exprz00_bglt)
									BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1666z00_1405,
										BgL_varsz00_1395, BgL_lblsz00_1396));
							}
							((((BgL_ev_appz00_bglt) CREF(BgL_ez00_1394))->BgL_funz00) =
								((BgL_ev_exprz00_bglt) BgL_auxz00_4491), BUNSPEC);
						}
						return ((BgL_ev_exprz00_bglt) BgL_ez00_1394);
					}
			}
		}
	}



/* &subst_goto-ev_goto1359 */
	BgL_ev_gotoz00_bglt
		BGl_z62subst_gotozd2ev_goto1359zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3420, obj_t BgL_ez00_3421, obj_t BgL_varsz00_3422,
		obj_t BgL_lblsz00_3423)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 372 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1386;
				obj_t BgL_varsz00_1387;
				obj_t BgL_lblsz00_1388;

				BgL_ez00_1386 = ((BgL_ev_gotoz00_bglt) BgL_ez00_3421);
				BgL_varsz00_1387 = BgL_varsz00_3422;
				BgL_lblsz00_1388 = BgL_lblsz00_3423;
				{	/* Eval/evaluate_fsize.scm 374 */
					obj_t BgL_arg1662z00_2749;

					BgL_arg1662z00_2749 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1386))->BgL_argsz00);
					{
						obj_t BgL_lz00_2754;

						BgL_lz00_2754 = BgL_arg1662z00_2749;
					BgL_recz00_2753:
						if (NULLP(BgL_lz00_2754))
							{	/* Eval/evaluate_fsize.scm 294 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 294 */
								{	/* Eval/evaluate_fsize.scm 295 */
									obj_t BgL_arg1507z00_2756;

									{	/* Eval/evaluate_fsize.scm 295 */
										obj_t BgL_arg1508z00_2757;

										BgL_arg1508z00_2757 = CAR(BgL_lz00_2754);
										BgL_arg1507z00_2756 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1508z00_2757),
											BgL_varsz00_1387, BgL_lblsz00_1388);
									}
									SET_CAR(BgL_lz00_2754, BgL_arg1507z00_2756);
								}
								{
									obj_t BgL_lz00_4505;

									BgL_lz00_4505 = CDR(BgL_lz00_2754);
									BgL_lz00_2754 = BgL_lz00_4505;
									goto BgL_recz00_2753;
								}
							}
					}
				}
				return BgL_ez00_1386;
			}
		}
	}



/* &subst_goto-ev_labels1357 */
	BgL_ev_labelsz00_bglt
		BGl_z62subst_gotozd2ev_labels1357zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3424, obj_t BgL_ez00_3425, obj_t BgL_varsz00_3426,
		obj_t BgL_lblsz00_3427)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 363 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1368;
				obj_t BgL_varsz00_1369;
				obj_t BgL_lblsz00_1370;

				BgL_ez00_1368 = ((BgL_ev_labelsz00_bglt) BgL_ez00_3425);
				BgL_varsz00_1369 = BgL_varsz00_3426;
				BgL_lblsz00_1370 = BgL_lblsz00_3427;
				{
					obj_t BgL_lz00_1376;

					BgL_lz00_1376 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1368))->BgL_valsz00);
				BgL_zc3anonymousza31655ze3z83_1377:
					if (NULLP(BgL_lz00_1376))
						{	/* Eval/evaluate_fsize.scm 366 */
							((bool_t) 0);
						}
					else
						{	/* Eval/evaluate_fsize.scm 366 */
							{	/* Eval/evaluate_fsize.scm 367 */
								obj_t BgL_arg1657z00_1379;
								obj_t BgL_arg1658z00_1380;

								BgL_arg1657z00_1379 = CAR(BgL_lz00_1376);
								{	/* Eval/evaluate_fsize.scm 367 */
									obj_t BgL_arg1659z00_1381;

									{	/* Eval/evaluate_fsize.scm 367 */
										obj_t BgL_pairz00_2741;

										BgL_pairz00_2741 = BgL_lz00_1376;
										BgL_arg1659z00_1381 = CDR(CAR(BgL_pairz00_2741));
									}
									BgL_arg1658z00_1380 =
										BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_arg1659z00_1381),
										BgL_varsz00_1369, BgL_lblsz00_1370);
								}
								SET_CDR(BgL_arg1657z00_1379, BgL_arg1658z00_1380);
							}
							{
								obj_t BgL_lz00_4516;

								BgL_lz00_4516 = CDR(BgL_lz00_1376);
								BgL_lz00_1376 = BgL_lz00_4516;
								goto BgL_zc3anonymousza31655ze3z83_1377;
							}
						}
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4519;

					{	/* Eval/evaluate_fsize.scm 369 */
						BgL_ev_exprz00_bglt BgL_arg1661z00_1384;

						BgL_arg1661z00_1384 =
							(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1368))->BgL_bodyz00);
						BgL_auxz00_4519 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1661z00_1384,
								BgL_varsz00_1369, BgL_lblsz00_1370));
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1368))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4519), BUNSPEC);
				}
				return BgL_ez00_1368;
			}
		}
	}



/* &subst_goto-ev_binder1355 */
	BgL_ev_binderz00_bglt
		BGl_z62subst_gotozd2ev_binder1355zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3428, obj_t BgL_ez00_3429, obj_t BgL_varsz00_3430,
		obj_t BgL_lblsz00_3431)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 357 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1359;
				obj_t BgL_varsz00_1360;
				obj_t BgL_lblsz00_1361;

				BgL_ez00_1359 = ((BgL_ev_binderz00_bglt) BgL_ez00_3429);
				BgL_varsz00_1360 = BgL_varsz00_3430;
				BgL_lblsz00_1361 = BgL_lblsz00_3431;
				{	/* Eval/evaluate_fsize.scm 359 */
					obj_t BgL_arg1652z00_2721;

					BgL_arg1652z00_2721 =
						(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1359))->BgL_valsz00);
					{
						obj_t BgL_lz00_2727;

						BgL_lz00_2727 = BgL_arg1652z00_2721;
					BgL_recz00_2726:
						if (NULLP(BgL_lz00_2727))
							{	/* Eval/evaluate_fsize.scm 294 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 294 */
								{	/* Eval/evaluate_fsize.scm 295 */
									obj_t BgL_arg1507z00_2729;

									{	/* Eval/evaluate_fsize.scm 295 */
										obj_t BgL_arg1508z00_2730;

										BgL_arg1508z00_2730 = CAR(BgL_lz00_2727);
										BgL_arg1507z00_2729 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1508z00_2730),
											BgL_varsz00_1360, BgL_lblsz00_1361);
									}
									SET_CAR(BgL_lz00_2727, BgL_arg1507z00_2729);
								}
								{
									obj_t BgL_lz00_4532;

									BgL_lz00_4532 = CDR(BgL_lz00_2727);
									BgL_lz00_2727 = BgL_lz00_4532;
									goto BgL_recz00_2726;
								}
							}
					}
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4534;

					{	/* Eval/evaluate_fsize.scm 360 */
						BgL_ev_exprz00_bglt BgL_arg1653z00_2722;

						BgL_arg1653z00_2722 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1359))->BgL_bodyz00);
						BgL_auxz00_4534 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1653z00_2722,
								BgL_varsz00_1360, BgL_lblsz00_1361));
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1359))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4534), BUNSPEC);
				}
				return BgL_ez00_1359;
			}
		}
	}



/* &subst_goto-ev_synchr1353 */
	BgL_ev_synchroniza7eza7_bglt
		BGl_z62subst_gotozd2ev_synchr1353zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3432, obj_t BgL_ez00_3433, obj_t BgL_varsz00_3434,
		obj_t BgL_lblsz00_3435)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 350 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_1349;
				obj_t BgL_varsz00_1350;
				obj_t BgL_lblsz00_1351;

				BgL_ez00_1349 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3433);
				BgL_varsz00_1350 = BgL_varsz00_3434;
				BgL_lblsz00_1351 = BgL_lblsz00_3435;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4540;

					{	/* Eval/evaluate_fsize.scm 352 */
						BgL_ev_exprz00_bglt BgL_arg1649z00_2717;

						BgL_arg1649z00_2717 =
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1349))->
							BgL_mutexz00);
						BgL_auxz00_4540 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1649z00_2717,
								BgL_varsz00_1350, BgL_lblsz00_1351));
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1349))->
							BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4540), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4545;

					{	/* Eval/evaluate_fsize.scm 353 */
						BgL_ev_exprz00_bglt BgL_arg1650z00_2718;

						BgL_arg1650z00_2718 =
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1349))->
							BgL_prelockz00);
						BgL_auxz00_4545 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1650z00_2718,
								BgL_varsz00_1350, BgL_lblsz00_1351));
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1349))->
							BgL_prelockz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4545), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4550;

					{	/* Eval/evaluate_fsize.scm 354 */
						BgL_ev_exprz00_bglt BgL_arg1651z00_2719;

						BgL_arg1651z00_2719 =
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1349))->
							BgL_bodyz00);
						BgL_auxz00_4550 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1651z00_2719,
								BgL_varsz00_1350, BgL_lblsz00_1351));
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1349))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4550), BUNSPEC);
				}
				return BgL_ez00_1349;
			}
		}
	}



/* &subst_goto-ev_with-h1351 */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62subst_gotozd2ev_withzd2h1351z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3436, obj_t BgL_ez00_3437, obj_t BgL_varsz00_3438,
		obj_t BgL_lblsz00_3439)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 344 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1340;
				obj_t BgL_varsz00_1341;
				obj_t BgL_lblsz00_1342;

				BgL_ez00_1340 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3437);
				BgL_varsz00_1341 = BgL_varsz00_3438;
				BgL_lblsz00_1342 = BgL_lblsz00_3439;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4556;

					{	/* Eval/evaluate_fsize.scm 346 */
						BgL_ev_exprz00_bglt BgL_arg1646z00_2714;

						BgL_arg1646z00_2714 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1340))->
							BgL_handlerz00);
						BgL_auxz00_4556 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1646z00_2714,
								BgL_varsz00_1341, BgL_lblsz00_1342));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1340))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4556), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4561;

					{	/* Eval/evaluate_fsize.scm 347 */
						BgL_ev_exprz00_bglt BgL_arg1647z00_2715;

						BgL_arg1647z00_2715 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1340))->
							BgL_bodyz00);
						BgL_auxz00_4561 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1647z00_2715,
								BgL_varsz00_1341, BgL_lblsz00_1342));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1340))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4561), BUNSPEC);
				}
				return BgL_ez00_1340;
			}
		}
	}



/* &subst_goto-ev_unwind1349 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62subst_gotozd2ev_unwind1349zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3440, obj_t BgL_exprz00_3441, obj_t BgL_varsz00_3442,
		obj_t BgL_lblsz00_3443)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 338 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_1331;
				obj_t BgL_varsz00_1332;
				obj_t BgL_lblsz00_1333;

				BgL_exprz00_1331 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_exprz00_3441);
				BgL_varsz00_1332 = BgL_varsz00_3442;
				BgL_lblsz00_1333 = BgL_lblsz00_3443;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4567;

					{	/* Eval/evaluate_fsize.scm 340 */
						BgL_ev_exprz00_bglt BgL_arg1644z00_2711;

						BgL_arg1644z00_2711 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1331))->
							BgL_ez00);
						BgL_auxz00_4567 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1644z00_2711,
								BgL_varsz00_1332, BgL_lblsz00_1333));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1331))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4567), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4572;

					{	/* Eval/evaluate_fsize.scm 341 */
						BgL_ev_exprz00_bglt BgL_arg1645z00_2712;

						BgL_arg1645z00_2712 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1331))->
							BgL_bodyz00);
						BgL_auxz00_4572 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1645z00_2712,
								BgL_varsz00_1332, BgL_lblsz00_1333));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1331))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4572), BUNSPEC);
				}
				return BgL_exprz00_1331;
			}
		}
	}



/* &subst_goto-ev_bind-e1347 */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62subst_gotozd2ev_bindzd2e1347z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3444, obj_t BgL_ez00_3445, obj_t BgL_varsz00_3446,
		obj_t BgL_lblsz00_3447)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 333 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1323;
				obj_t BgL_varsz00_1324;
				obj_t BgL_lblsz00_1325;

				BgL_ez00_1323 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3445);
				BgL_varsz00_1324 = BgL_varsz00_3446;
				BgL_lblsz00_1325 = BgL_lblsz00_3447;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4578;

					{	/* Eval/evaluate_fsize.scm 335 */
						BgL_ev_exprz00_bglt BgL_arg1643z00_2709;

						BgL_arg1643z00_2709 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1323))->BgL_bodyz00);
						BgL_auxz00_4578 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1643z00_2709,
								BgL_varsz00_1324, BgL_lblsz00_1325));
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1323))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4578), BUNSPEC);
				}
				return BgL_ez00_1323;
			}
		}
	}



/* &subst_goto-ev_hook1345 */
	BgL_ev_hookz00_bglt
		BGl_z62subst_gotozd2ev_hook1345zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3448, obj_t BgL_exprz00_3449, obj_t BgL_varsz00_3450,
		obj_t BgL_lblsz00_3451)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 328 */
			{
				BgL_ev_hookz00_bglt BgL_exprz00_1315;
				obj_t BgL_varsz00_1316;
				obj_t BgL_lblsz00_1317;

				BgL_exprz00_1315 = ((BgL_ev_hookz00_bglt) BgL_exprz00_3449);
				BgL_varsz00_1316 = BgL_varsz00_3450;
				BgL_lblsz00_1317 = BgL_lblsz00_3451;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4584;

					{	/* Eval/evaluate_fsize.scm 330 */
						BgL_ev_exprz00_bglt BgL_arg1642z00_2707;

						BgL_arg1642z00_2707 =
							(((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1315))->BgL_ez00);
						BgL_auxz00_4584 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1642z00_2707,
								BgL_varsz00_1316, BgL_lblsz00_1317));
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1315))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4584), BUNSPEC);
				}
				return BgL_exprz00_1315;
			}
		}
	}



/* &subst_goto-ev_prog21343 */
	BgL_ev_prog2z00_bglt
		BGl_z62subst_gotozd2ev_prog21343zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3452, obj_t BgL_ez00_3453, obj_t BgL_varsz00_3454,
		obj_t BgL_lblsz00_3455)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 322 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1306;
				obj_t BgL_varsz00_1307;
				obj_t BgL_lblsz00_1308;

				BgL_ez00_1306 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3453);
				BgL_varsz00_1307 = BgL_varsz00_3454;
				BgL_lblsz00_1308 = BgL_lblsz00_3455;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4590;

					{	/* Eval/evaluate_fsize.scm 324 */
						BgL_ev_exprz00_bglt BgL_arg1640z00_2704;

						BgL_arg1640z00_2704 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1306))->BgL_e1z00);
						BgL_auxz00_4590 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1640z00_2704,
								BgL_varsz00_1307, BgL_lblsz00_1308));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1306))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4590), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4595;

					{	/* Eval/evaluate_fsize.scm 325 */
						BgL_ev_exprz00_bglt BgL_arg1641z00_2705;

						BgL_arg1641z00_2705 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1306))->BgL_e2z00);
						BgL_auxz00_4595 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1641z00_2705,
								BgL_varsz00_1307, BgL_lblsz00_1308));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1306))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4595), BUNSPEC);
				}
				return BgL_ez00_1306;
			}
		}
	}



/* &subst_goto-ev_list1341 */
	BgL_ev_listz00_bglt
		BGl_z62subst_gotozd2ev_list1341zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3456, obj_t BgL_ez00_3457, obj_t BgL_varsz00_3458,
		obj_t BgL_lblsz00_3459)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 317 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1298;
				obj_t BgL_varsz00_1299;
				obj_t BgL_lblsz00_1300;

				BgL_ez00_1298 = ((BgL_ev_listz00_bglt) BgL_ez00_3457);
				BgL_varsz00_1299 = BgL_varsz00_3458;
				BgL_lblsz00_1300 = BgL_lblsz00_3459;
				{	/* Eval/evaluate_fsize.scm 319 */
					obj_t BgL_arg1639z00_2687;

					BgL_arg1639z00_2687 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1298))->BgL_argsz00);
					{
						obj_t BgL_lz00_2692;

						BgL_lz00_2692 = BgL_arg1639z00_2687;
					BgL_recz00_2691:
						if (NULLP(BgL_lz00_2692))
							{	/* Eval/evaluate_fsize.scm 294 */
								((bool_t) 0);
							}
						else
							{	/* Eval/evaluate_fsize.scm 294 */
								{	/* Eval/evaluate_fsize.scm 295 */
									obj_t BgL_arg1507z00_2694;

									{	/* Eval/evaluate_fsize.scm 295 */
										obj_t BgL_arg1508z00_2695;

										BgL_arg1508z00_2695 = CAR(BgL_lz00_2692);
										BgL_arg1507z00_2694 =
											BGl_subst_gotoz00zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1508z00_2695),
											BgL_varsz00_1299, BgL_lblsz00_1300);
									}
									SET_CAR(BgL_lz00_2692, BgL_arg1507z00_2694);
								}
								{
									obj_t BgL_lz00_4608;

									BgL_lz00_4608 = CDR(BgL_lz00_2692);
									BgL_lz00_2692 = BgL_lz00_4608;
									goto BgL_recz00_2691;
								}
							}
					}
				}
				return BgL_ez00_1298;
			}
		}
	}



/* &subst_goto-ev_if1339 */
	BgL_ev_ifz00_bglt
		BGl_z62subst_gotozd2ev_if1339zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3460, obj_t BgL_exprz00_3461, obj_t BgL_varsz00_3462,
		obj_t BgL_lblsz00_3463)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 310 */
			{
				BgL_ev_ifz00_bglt BgL_exprz00_1288;
				obj_t BgL_varsz00_1289;
				obj_t BgL_lblsz00_1290;

				BgL_exprz00_1288 = ((BgL_ev_ifz00_bglt) BgL_exprz00_3461);
				BgL_varsz00_1289 = BgL_varsz00_3462;
				BgL_lblsz00_1290 = BgL_lblsz00_3463;
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4611;

					{	/* Eval/evaluate_fsize.scm 312 */
						BgL_ev_exprz00_bglt BgL_arg1636z00_2683;

						BgL_arg1636z00_2683 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1288))->BgL_pz00);
						BgL_auxz00_4611 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1636z00_2683,
								BgL_varsz00_1289, BgL_lblsz00_1290));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1288))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4611), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4616;

					{	/* Eval/evaluate_fsize.scm 313 */
						BgL_ev_exprz00_bglt BgL_arg1637z00_2684;

						BgL_arg1637z00_2684 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1288))->BgL_tz00);
						BgL_auxz00_4616 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1637z00_2684,
								BgL_varsz00_1289, BgL_lblsz00_1290));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1288))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4616), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4621;

					{	/* Eval/evaluate_fsize.scm 314 */
						BgL_ev_exprz00_bglt BgL_arg1638z00_2685;

						BgL_arg1638z00_2685 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1288))->BgL_ez00);
						BgL_auxz00_4621 =
							((BgL_ev_exprz00_bglt)
							BGl_subst_gotoz00zz__evaluate_fsiza7eza7(BgL_arg1638z00_2685,
								BgL_varsz00_1289, BgL_lblsz00_1290));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1288))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4621), BUNSPEC);
				}
				return BgL_exprz00_1288;
			}
		}
	}



/* &subst_goto-ev_litt1337 */
	BgL_ev_littz00_bglt
		BGl_z62subst_gotozd2ev_litt1337zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3464, obj_t BgL_ez00_3465, obj_t BgL_varsz00_3466,
		obj_t BgL_lblsz00_3467)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 307 */
			return ((BgL_ev_littz00_bglt) BgL_ez00_3465);
		}
	}



/* &subst_goto-ev_global1335 */
	BgL_ev_globalz00_bglt
		BGl_z62subst_gotozd2ev_global1335zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3468, obj_t BgL_ez00_3469, obj_t BgL_varsz00_3470,
		obj_t BgL_lblsz00_3471)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 304 */
			return ((BgL_ev_globalz00_bglt) BgL_ez00_3469);
		}
	}



/* &subst_goto-ev_var1333 */
	BgL_ev_varz00_bglt
		BGl_z62subst_gotozd2ev_var1333zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3472, obj_t BgL_ez00_3473, obj_t BgL_varsz00_3474,
		obj_t BgL_lblsz00_3475)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 301 */
			return ((BgL_ev_varz00_bglt) BgL_ez00_3473);
		}
	}



/* &search-letrec-ev_abs1329 */
	BgL_ev_absz00_bglt
		BGl_z62searchzd2letreczd2ev_abs1329z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3476, obj_t BgL_ez00_3477)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 260 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1264;

				BgL_ez00_1264 = ((BgL_ev_absz00_bglt) BgL_ez00_3477);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4630;

					{	/* Eval/evaluate_fsize.scm 262 */
						BgL_ev_exprz00_bglt BgL_arg1635z00_2681;

						BgL_arg1635z00_2681 =
							(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1264))->BgL_bodyz00);
						BgL_auxz00_4630 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1635z00_2681));
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1264))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4630), BUNSPEC);
				}
				return BgL_ez00_1264;
			}
		}
	}



/* &search-letrec-ev_app1327 */
	BgL_ev_appz00_bglt
		BGl_z62searchzd2letreczd2ev_app1327z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3478, obj_t BgL_ez00_3479)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 254 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1257;

				BgL_ez00_1257 = ((BgL_ev_appz00_bglt) BgL_ez00_3479);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4636;

					{	/* Eval/evaluate_fsize.scm 256 */
						BgL_ev_exprz00_bglt BgL_arg1632z00_2678;

						BgL_arg1632z00_2678 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1257))->BgL_funz00);
						BgL_auxz00_4636 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1632z00_2678));
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_ez00_1257))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4636), BUNSPEC);
				}
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1257))->BgL_argsz00));
				return BgL_ez00_1257;
			}
		}
	}



/* &search-letrec-ev_let1325 */
	BgL_ev_exprz00_bglt
		BGl_z62searchzd2letreczd2ev_let1325z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3480, obj_t BgL_ez00_3481)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 243 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1243;

				BgL_ez00_1243 = ((BgL_ev_letrecz00_bglt) BgL_ez00_3481);
				{	/* Eval/evaluate_fsize.scm 245 */
					obj_t BgL_arg1623z00_1247;

					BgL_arg1623z00_1247 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_1243)))->BgL_valsz00);
					BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(BgL_arg1623z00_1247);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4647;

					{	/* Eval/evaluate_fsize.scm 246 */
						BgL_ev_exprz00_bglt BgL_arg1624z00_1248;

						BgL_arg1624z00_1248 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1243)))->BgL_bodyz00);
						BgL_auxz00_4647 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1624z00_1248));
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1243)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4647), BUNSPEC);
				}
				{	/* Eval/evaluate_fsize.scm 250 */
					bool_t BgL_testz00_4654;

					{	/* Eval/evaluate_fsize.scm 247 */
						obj_t BgL_arg1629z00_1253;
						obj_t BgL_arg1630z00_1254;
						BgL_ev_exprz00_bglt BgL_arg1631z00_1255;

						BgL_arg1629z00_1253 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1243)))->BgL_varsz00);
						BgL_arg1630z00_1254 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1243)))->BgL_valsz00);
						BgL_arg1631z00_1255 =
							(((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_ez00_1243)))->BgL_bodyz00);
						BgL_testz00_4654 =
							BGl_letrectailzf3zf3zz__evaluate_fsiza7eza7(BgL_arg1629z00_1253,
							BgL_arg1630z00_1254, BgL_arg1631z00_1255);
					}
					if (BgL_testz00_4654)
						{	/* Eval/evaluate_fsize.scm 251 */
							obj_t BgL_arg1625z00_1250;
							obj_t BgL_arg1627z00_1251;
							BgL_ev_exprz00_bglt BgL_arg1628z00_1252;

							BgL_arg1625z00_1250 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1243)))->BgL_varsz00);
							BgL_arg1627z00_1251 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1243)))->BgL_valsz00);
							BgL_arg1628z00_1252 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1243)))->BgL_bodyz00);
							return
								((BgL_ev_exprz00_bglt)
								BGl_modifyzd2letreczd2zz__evaluate_fsiza7eza7
								(BgL_arg1625z00_1250, BgL_arg1627z00_1251,
									BgL_arg1628z00_1252));
						}
					else
						{	/* Eval/evaluate_fsize.scm 250 */
							return ((BgL_ev_exprz00_bglt) BgL_ez00_1243);
						}
				}
			}
		}
	}



/* &search-letrec-ev_bin1323 */
	BgL_ev_binderz00_bglt
		BGl_z62searchzd2letreczd2ev_bin1323z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3482, obj_t BgL_ez00_3483)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 237 */
			{
				BgL_ev_binderz00_bglt BgL_ez00_1236;

				BgL_ez00_1236 = ((BgL_ev_binderz00_bglt) BgL_ez00_3483);
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1236))->BgL_valsz00));
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4674;

					{	/* Eval/evaluate_fsize.scm 240 */
						BgL_ev_exprz00_bglt BgL_arg1622z00_2676;

						BgL_arg1622z00_2676 =
							(((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1236))->BgL_bodyz00);
						BgL_auxz00_4674 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1622z00_2676));
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_ez00_1236))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4674), BUNSPEC);
				}
				return BgL_ez00_1236;
			}
		}
	}



/* &search-letrec-ev_syn1321 */
	BgL_ev_synchroniza7eza7_bglt
		BGl_z62searchzd2letreczd2ev_syn1321z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3484, obj_t BgL_ez00_3485)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 230 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_1228;

				BgL_ez00_1228 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3485);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4680;

					{	/* Eval/evaluate_fsize.scm 232 */
						BgL_ev_exprz00_bglt BgL_arg1618z00_1232;

						BgL_arg1618z00_1232 =
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1228))->
							BgL_mutexz00);
						BgL_auxz00_4680 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1618z00_1232));
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1228))->
							BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4680), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4685;

					{	/* Eval/evaluate_fsize.scm 233 */
						BgL_ev_exprz00_bglt BgL_arg1619z00_1233;

						BgL_arg1619z00_1233 =
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1228))->
							BgL_prelockz00);
						BgL_auxz00_4685 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1619z00_1233));
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1228))->
							BgL_prelockz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4685), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4690;

					{	/* Eval/evaluate_fsize.scm 234 */
						BgL_ev_exprz00_bglt BgL_arg1620z00_1234;

						BgL_arg1620z00_1234 =
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1228))->
							BgL_bodyz00);
						BgL_auxz00_4690 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1620z00_1234));
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1228))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4690), BUNSPEC);
				}
				return BgL_ez00_1228;
			}
		}
	}



/* &search-letrec-ev_wit1319 */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62searchzd2letreczd2ev_wit1319z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3486, obj_t BgL_ez00_3487)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 224 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_1221;

				BgL_ez00_1221 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3487);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4696;

					{	/* Eval/evaluate_fsize.scm 226 */
						BgL_ev_exprz00_bglt BgL_arg1616z00_2672;

						BgL_arg1616z00_2672 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1221))->
							BgL_handlerz00);
						BgL_auxz00_4696 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1616z00_2672));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1221))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4696), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4701;

					{	/* Eval/evaluate_fsize.scm 227 */
						BgL_ev_exprz00_bglt BgL_arg1617z00_2673;

						BgL_arg1617z00_2673 =
							(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1221))->
							BgL_bodyz00);
						BgL_auxz00_4701 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1617z00_2673));
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_1221))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4701), BUNSPEC);
				}
				return BgL_ez00_1221;
			}
		}
	}



/* &search-letrec-ev_unw1317 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62searchzd2letreczd2ev_unw1317z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3488, obj_t BgL_exprz00_3489)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 218 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_exprz00_1214;

				BgL_exprz00_1214 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_exprz00_3489);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4707;

					{	/* Eval/evaluate_fsize.scm 220 */
						BgL_ev_exprz00_bglt BgL_arg1614z00_2669;

						BgL_arg1614z00_2669 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1214))->
							BgL_ez00);
						BgL_auxz00_4707 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1614z00_2669));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1214))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4707), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4712;

					{	/* Eval/evaluate_fsize.scm 221 */
						BgL_ev_exprz00_bglt BgL_arg1615z00_2670;

						BgL_arg1615z00_2670 =
							(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1214))->
							BgL_bodyz00);
						BgL_auxz00_4712 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1615z00_2670));
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_exprz00_1214))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4712), BUNSPEC);
				}
				return BgL_exprz00_1214;
			}
		}
	}



/* &search-letrec-ev_bin1315 */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62searchzd2letreczd2ev_bin1315z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3490, obj_t BgL_ez00_3491)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 213 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_1208;

				BgL_ez00_1208 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3491);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4718;

					{	/* Eval/evaluate_fsize.scm 215 */
						BgL_ev_exprz00_bglt BgL_arg1613z00_2667;

						BgL_arg1613z00_2667 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1208))->BgL_bodyz00);
						BgL_auxz00_4718 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1613z00_2667));
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_1208))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4718), BUNSPEC);
				}
				return BgL_ez00_1208;
			}
		}
	}



/* &search-letrec-ev_hoo1313 */
	BgL_ev_hookz00_bglt
		BGl_z62searchzd2letreczd2ev_hoo1313z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3492, obj_t BgL_exprz00_3493)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 208 */
			{
				BgL_ev_hookz00_bglt BgL_exprz00_1202;

				BgL_exprz00_1202 = ((BgL_ev_hookz00_bglt) BgL_exprz00_3493);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4724;

					{	/* Eval/evaluate_fsize.scm 210 */
						BgL_ev_exprz00_bglt BgL_arg1612z00_2665;

						BgL_arg1612z00_2665 =
							(((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1202))->BgL_ez00);
						BgL_auxz00_4724 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1612z00_2665));
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_exprz00_1202))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4724), BUNSPEC);
				}
				return BgL_exprz00_1202;
			}
		}
	}



/* &search-letrec-ev_pro1311 */
	BgL_ev_prog2z00_bglt
		BGl_z62searchzd2letreczd2ev_pro1311z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3494, obj_t BgL_ez00_3495)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 202 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_1195;

				BgL_ez00_1195 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3495);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4730;

					{	/* Eval/evaluate_fsize.scm 204 */
						BgL_ev_exprz00_bglt BgL_arg1610z00_2662;

						BgL_arg1610z00_2662 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1195))->BgL_e1z00);
						BgL_auxz00_4730 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1610z00_2662));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1195))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4730), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4735;

					{	/* Eval/evaluate_fsize.scm 205 */
						BgL_ev_exprz00_bglt BgL_arg1611z00_2663;

						BgL_arg1611z00_2663 =
							(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1195))->BgL_e2z00);
						BgL_auxz00_4735 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1611z00_2663));
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_1195))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4735), BUNSPEC);
				}
				return BgL_ez00_1195;
			}
		}
	}



/* &search-letrec-ev_lis1309 */
	BgL_ev_listz00_bglt
		BGl_z62searchzd2letreczd2ev_lis1309z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3496, obj_t BgL_ez00_3497)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 197 */
			{
				BgL_ev_listz00_bglt BgL_ez00_1189;

				BgL_ez00_1189 = ((BgL_ev_listz00_bglt) BgL_ez00_3497);
				BGl_searchzd2letrecza2z70zz__evaluate_fsiza7eza7(
					(((BgL_ev_listz00_bglt) CREF(BgL_ez00_1189))->BgL_argsz00));
				return BgL_ez00_1189;
			}
		}
	}



/* &search-letrec-ev_if1307 */
	BgL_ev_ifz00_bglt
		BGl_z62searchzd2letreczd2ev_if1307z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3498, obj_t BgL_exprz00_3499)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 190 */
			{
				BgL_ev_ifz00_bglt BgL_exprz00_1181;

				BgL_exprz00_1181 = ((BgL_ev_ifz00_bglt) BgL_exprz00_3499);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4744;

					{	/* Eval/evaluate_fsize.scm 192 */
						BgL_ev_exprz00_bglt BgL_arg1606z00_1185;

						BgL_arg1606z00_1185 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1181))->BgL_pz00);
						BgL_auxz00_4744 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1606z00_1185));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1181))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4744), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4749;

					{	/* Eval/evaluate_fsize.scm 193 */
						BgL_ev_exprz00_bglt BgL_arg1607z00_1186;

						BgL_arg1607z00_1186 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1181))->BgL_tz00);
						BgL_auxz00_4749 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1607z00_1186));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1181))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4749), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4754;

					{	/* Eval/evaluate_fsize.scm 194 */
						BgL_ev_exprz00_bglt BgL_arg1608z00_1187;

						BgL_arg1608z00_1187 =
							(((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1181))->BgL_ez00);
						BgL_auxz00_4754 =
							((BgL_ev_exprz00_bglt)
							BGl_searchzd2letreczd2zz__evaluate_fsiza7eza7
							(BgL_arg1608z00_1187));
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_exprz00_1181))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4754), BUNSPEC);
				}
				return BgL_exprz00_1181;
			}
		}
	}



/* &search-letrec-ev_lit1305 */
	BgL_ev_littz00_bglt
		BGl_z62searchzd2letreczd2ev_lit1305z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3500, obj_t BgL_ez00_3501)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 187 */
			return ((BgL_ev_littz00_bglt) BgL_ez00_3501);
		}
	}



/* &search-letrec-ev_glo1303 */
	BgL_ev_globalz00_bglt
		BGl_z62searchzd2letreczd2ev_glo1303z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3502, obj_t BgL_ez00_3503)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 184 */
			return ((BgL_ev_globalz00_bglt) BgL_ez00_3503);
		}
	}



/* &search-letrec-ev_var1301 */
	BgL_ev_varz00_bglt
		BGl_z62searchzd2letreczd2ev_var1301z62zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3504, obj_t BgL_ez00_3505)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 181 */
			return ((BgL_ev_varz00_bglt) BgL_ez00_3505);
		}
	}



/* &fsize-ev_abs1297 */
	obj_t BGl_z62fsiza7ezd2ev_abs1297z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3506, obj_t BgL_ez00_3507, obj_t BgL_nz00_3508)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 158 */
			{
				BgL_ev_absz00_bglt BgL_ez00_1159;
				int BgL_nz00_1160;

				{	/* Eval/evaluate_fsize.scm 159 */
					int BgL_auxz00_4763;

					BgL_ez00_1159 = ((BgL_ev_absz00_bglt) BgL_ez00_3507);
					BgL_nz00_1160 = CINT(BgL_nz00_3508);
					{	/* Eval/evaluate_fsize.scm 160 */
						int BgL_nnz00_2655;

						{	/* Eval/evaluate_fsize.scm 160 */
							BgL_ev_exprz00_bglt BgL_arg1603z00_2656;
							long BgL_arg1604z00_2657;

							BgL_arg1603z00_2656 =
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1159))->BgL_bodyz00);
							BgL_arg1604z00_2657 =
								bgl_list_length(
								(((BgL_ev_absz00_bglt) CREF(BgL_ez00_1159))->BgL_varsz00));
							BgL_nnz00_2655 =
								BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1603z00_2656,
								(int) (BgL_arg1604z00_2657));
						}
						((((BgL_ev_absz00_bglt) CREF(BgL_ez00_1159))->BgL_siza7eza7) =
							((int) BgL_nnz00_2655), BUNSPEC);
						BgL_auxz00_4763 = BgL_nz00_1160;
					}
					return BINT(BgL_auxz00_4763);
				}
			}
		}
	}



/* &fsize-ev_app1295 */
	obj_t BGl_z62fsiza7ezd2ev_app1295z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3509, obj_t BgL_ez00_3510, obj_t BgL_nz00_3511)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 151 */
			{
				BgL_ev_appz00_bglt BgL_ez00_1135;
				int BgL_nz00_1136;

				BgL_ez00_1135 = ((BgL_ev_appz00_bglt) BgL_ez00_3510);
				BgL_nz00_1136 = CINT(BgL_nz00_3511);
				{	/* Eval/evaluate_fsize.scm 153 */
					int BgL_g1078z00_1140;

					BgL_g1078z00_1140 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1135))->BgL_funz00),
						BgL_nz00_1136);
					{	/* Eval/evaluate_fsize.scm 153 */
						obj_t BgL_arg1595z00_1142;

						BgL_arg1595z00_1142 =
							(((BgL_ev_appz00_bglt) CREF(BgL_ez00_1135))->BgL_argsz00);
						{
							obj_t BgL_lz00_2626;
							int BgL_nz00_2627;
							obj_t BgL_rz00_2628;

							BgL_lz00_2626 = BgL_arg1595z00_1142;
							BgL_nz00_2627 = BgL_nz00_1136;
							BgL_rz00_2628 = BINT(BgL_g1078z00_1140);
						BgL_recz00_2625:
							if (NULLP(BgL_lz00_2626))
								{	/* Eval/evaluate_fsize.scm 154 */
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_nz00_2627),
										BgL_rz00_2628);
								}
							else
								{	/* Eval/evaluate_fsize.scm 156 */
									obj_t BgL_arg1598z00_2641;
									long BgL_arg1599z00_2642;
									obj_t BgL_arg1600z00_2643;

									BgL_arg1598z00_2641 = CDR(BgL_lz00_2626);
									BgL_arg1599z00_2642 = ((long) (BgL_nz00_2627) + ((long) 1));
									{	/* Eval/evaluate_fsize.scm 156 */
										int BgL_xz00_2644;

										{	/* Eval/evaluate_fsize.scm 156 */
											obj_t BgL_arg1601z00_2646;

											BgL_arg1601z00_2646 = CAR(BgL_lz00_2626);
											BgL_xz00_2644 =
												BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1601z00_2646),
												BgL_nz00_2627);
										}
										BgL_arg1600z00_2643 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2644),
											BgL_rz00_2628);
									}
									{
										obj_t BgL_rz00_4791;
										int BgL_nz00_4789;
										obj_t BgL_lz00_4788;

										BgL_lz00_4788 = BgL_arg1598z00_2641;
										BgL_nz00_4789 = (int) (BgL_arg1599z00_2642);
										BgL_rz00_4791 = BgL_arg1600z00_2643;
										BgL_rz00_2628 = BgL_rz00_4791;
										BgL_nz00_2627 = BgL_nz00_4789;
										BgL_lz00_2626 = BgL_lz00_4788;
										goto BgL_recz00_2625;
									}
								}
						}
					}
				}
			}
		}
	}



/* &fsize-ev_goto1293 */
	obj_t BGl_z62fsiza7ezd2ev_goto1293z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3512, obj_t BgL_ez00_3513, obj_t BgL_nz00_3514)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 144 */
			{
				BgL_ev_gotoz00_bglt BgL_ez00_1113;
				obj_t BgL_nz00_1114;

				BgL_ez00_1113 = ((BgL_ev_gotoz00_bglt) BgL_ez00_3513);
				BgL_nz00_1114 = BgL_nz00_3514;
				{	/* Eval/evaluate_fsize.scm 146 */
					obj_t BgL_arg1588z00_1119;

					BgL_arg1588z00_1119 =
						(((BgL_ev_gotoz00_bglt) CREF(BgL_ez00_1113))->BgL_argsz00);
					{
						obj_t BgL_lz00_2562;
						obj_t BgL_nz00_2563;
						obj_t BgL_rz00_2564;

						BgL_lz00_2562 = BgL_arg1588z00_1119;
						BgL_nz00_2563 = BgL_nz00_1114;
						BgL_rz00_2564 = BgL_nz00_1114;
					BgL_recz00_2561:
						if (NULLP(BgL_lz00_2562))
							{	/* Eval/evaluate_fsize.scm 147 */
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BgL_nz00_2563,
									BgL_rz00_2564);
							}
						else
							{	/* Eval/evaluate_fsize.scm 149 */
								obj_t BgL_arg1591z00_2577;
								long BgL_arg1592z00_2578;
								obj_t BgL_arg1593z00_2579;

								BgL_arg1591z00_2577 = CDR(BgL_lz00_2562);
								BgL_arg1592z00_2578 = ((long) CINT(BgL_nz00_2563) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 149 */
									int BgL_xz00_2580;

									{	/* Eval/evaluate_fsize.scm 149 */
										obj_t BgL_arg1594z00_2582;

										BgL_arg1594z00_2582 = CAR(BgL_lz00_2562);
										BgL_xz00_2580 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1594z00_2582),
											CINT(BgL_nz00_2563));
									}
									BgL_arg1593z00_2579 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2580),
										BgL_rz00_2564);
								}
								{
									obj_t BgL_rz00_4811;
									obj_t BgL_nz00_4809;
									obj_t BgL_lz00_4808;

									BgL_lz00_4808 = BgL_arg1591z00_2577;
									BgL_nz00_4809 = BINT(BgL_arg1592z00_2578);
									BgL_rz00_4811 = BgL_arg1593z00_2579;
									BgL_rz00_2564 = BgL_rz00_4811;
									BgL_nz00_2563 = BgL_nz00_4809;
									BgL_lz00_2562 = BgL_lz00_4808;
									goto BgL_recz00_2561;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_labels1291 */
	obj_t BGl_z62fsiza7ezd2ev_labels1291z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3515, obj_t BgL_ez00_3516, obj_t BgL_nz00_3517)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 137 */
			{
				BgL_ev_labelsz00_bglt BgL_ez00_1089;
				obj_t BgL_nz00_1090;

				BgL_ez00_1089 = ((BgL_ev_labelsz00_bglt) BgL_ez00_3516);
				BgL_nz00_1090 = BgL_nz00_3517;
				{
					obj_t BgL_lz00_1096;
					obj_t BgL_rz00_1097;

					BgL_lz00_1096 =
						(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1089))->BgL_valsz00);
					BgL_rz00_1097 = BgL_nz00_1090;
				BgL_zc3anonymousza31579ze3z83_1098:
					if (NULLP(BgL_lz00_1096))
						{	/* Eval/evaluate_fsize.scm 141 */
							int BgL_xz00_1100;

							BgL_xz00_1100 =
								BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
								(((BgL_ev_labelsz00_bglt) CREF(BgL_ez00_1089))->BgL_bodyz00),
								CINT(BgL_nz00_1090));
							return
								BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1100),
								BgL_rz00_1097);
						}
					else
						{	/* Eval/evaluate_fsize.scm 142 */
							obj_t BgL_arg1582z00_1103;
							obj_t BgL_arg1583z00_1104;

							BgL_arg1582z00_1103 = CDR(BgL_lz00_1096);
							{	/* Eval/evaluate_fsize.scm 142 */
								int BgL_xz00_1105;

								{	/* Eval/evaluate_fsize.scm 142 */
									obj_t BgL_arg1584z00_1107;
									long BgL_arg1585z00_1108;

									{	/* Eval/evaluate_fsize.scm 142 */
										obj_t BgL_pairz00_2515;

										BgL_pairz00_2515 = BgL_lz00_1096;
										BgL_arg1584z00_1107 = CDR(CAR(BgL_pairz00_2515));
									}
									{	/* Eval/evaluate_fsize.scm 142 */
										long BgL_auxz00_4823;

										{	/* Eval/evaluate_fsize.scm 142 */
											obj_t BgL_auxz00_4825;

											{	/* Eval/evaluate_fsize.scm 142 */
												obj_t BgL_pairz00_2519;

												BgL_pairz00_2519 = BgL_lz00_1096;
												BgL_auxz00_4825 = CAR(CAR(BgL_pairz00_2519));
											}
											BgL_auxz00_4823 = bgl_list_length(BgL_auxz00_4825);
										}
										BgL_arg1585z00_1108 =
											((long) CINT(BgL_nz00_1090) + BgL_auxz00_4823);
									}
									BgL_xz00_1105 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
										((BgL_ev_exprz00_bglt) BgL_arg1584z00_1107),
										(int) (BgL_arg1585z00_1108));
								}
								BgL_arg1583z00_1104 =
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1105),
									BgL_rz00_1097);
							}
							{
								obj_t BgL_rz00_4836;
								obj_t BgL_lz00_4835;

								BgL_lz00_4835 = BgL_arg1582z00_1103;
								BgL_rz00_4836 = BgL_arg1583z00_1104;
								BgL_rz00_1097 = BgL_rz00_4836;
								BgL_lz00_1096 = BgL_lz00_4835;
								goto BgL_zc3anonymousza31579ze3z83_1098;
							}
						}
				}
			}
		}
	}



/* &fsize-ev_letrec1289 */
	obj_t BGl_z62fsiza7ezd2ev_letrec1289z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3518, obj_t BgL_ez00_3519, obj_t BgL_nz00_3520)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 129 */
			{
				BgL_ev_letrecz00_bglt BgL_ez00_1065;
				int BgL_nz00_1066;

				BgL_ez00_1065 = ((BgL_ev_letrecz00_bglt) BgL_ez00_3519);
				BgL_nz00_1066 = CINT(BgL_nz00_3520);
				{	/* Eval/evaluate_fsize.scm 131 */
					long BgL_nz00_1070;

					BgL_nz00_1070 =
						(
						(long) (BgL_nz00_1066) +
						bgl_list_length(
							(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1065)))->BgL_valsz00)));
					{
						obj_t BgL_lz00_1073;
						obj_t BgL_rz00_1074;

						{	/* Eval/evaluate_fsize.scm 132 */
							obj_t BgL_arg1569z00_1072;

							BgL_arg1569z00_1072 =
								(((BgL_ev_binderz00_bglt) CREF(
										((BgL_ev_binderz00_bglt) BgL_ez00_1065)))->BgL_valsz00);
							BgL_lz00_1073 = BgL_arg1569z00_1072;
							BgL_rz00_1074 = BINT(BgL_nz00_1070);
						BgL_zc3anonymousza31570ze3z83_1075:
							if (NULLP(BgL_lz00_1073))
								{	/* Eval/evaluate_fsize.scm 134 */
									int BgL_xz00_1077;

									{	/* Eval/evaluate_fsize.scm 134 */
										BgL_ev_exprz00_bglt BgL_arg1572z00_1079;

										BgL_arg1572z00_1079 =
											(((BgL_ev_binderz00_bglt) CREF(
													((BgL_ev_binderz00_bglt) BgL_ez00_1065)))->
											BgL_bodyz00);
										BgL_xz00_1077 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1572z00_1079,
											(int) (BgL_nz00_1070));
									}
									return
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1077),
										BgL_rz00_1074);
								}
							else
								{	/* Eval/evaluate_fsize.scm 135 */
									obj_t BgL_arg1573z00_1080;
									obj_t BgL_arg1574z00_1081;

									BgL_arg1573z00_1080 = CDR(BgL_lz00_1073);
									{	/* Eval/evaluate_fsize.scm 135 */
										int BgL_xz00_1082;

										{	/* Eval/evaluate_fsize.scm 135 */
											obj_t BgL_arg1575z00_1084;

											BgL_arg1575z00_1084 = CAR(BgL_lz00_1073);
											BgL_xz00_1082 =
												BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
												((BgL_ev_exprz00_bglt) BgL_arg1575z00_1084),
												(int) (BgL_nz00_1070));
										}
										BgL_arg1574z00_1081 =
											BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_1082),
											BgL_rz00_1074);
									}
									{
										obj_t BgL_rz00_4862;
										obj_t BgL_lz00_4861;

										BgL_lz00_4861 = BgL_arg1573z00_1080;
										BgL_rz00_4862 = BgL_arg1574z00_1081;
										BgL_rz00_1074 = BgL_rz00_4862;
										BgL_lz00_1073 = BgL_lz00_4861;
										goto BgL_zc3anonymousza31570ze3z83_1075;
									}
								}
						}
					}
				}
			}
		}
	}



/* &fsize-ev_let*1287 */
	obj_t BGl_z62fsiza7ezd2ev_letza21287zb5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3521, obj_t BgL_ez00_3522, obj_t BgL_nz00_3523)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 122 */
			{
				BgL_ev_letza2za2_bglt BgL_ez00_1042;
				int BgL_nz00_1043;

				BgL_ez00_1042 = ((BgL_ev_letza2za2_bglt) BgL_ez00_3522);
				BgL_nz00_1043 = CINT(BgL_nz00_3523);
				{	/* Eval/evaluate_fsize.scm 124 */
					obj_t BgL_arg1561z00_1048;

					BgL_arg1561z00_1048 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_1042)))->BgL_valsz00);
					{
						obj_t BgL_lz00_2475;
						int BgL_nz00_2476;
						obj_t BgL_rz00_2477;

						BgL_lz00_2475 = BgL_arg1561z00_1048;
						BgL_nz00_2476 = BgL_nz00_1043;
						BgL_rz00_2477 = BINT(BgL_nz00_1043);
					BgL_recz00_2474:
						if (NULLP(BgL_lz00_2475))
							{	/* Eval/evaluate_fsize.scm 126 */
								int BgL_xz00_2489;

								{	/* Eval/evaluate_fsize.scm 126 */
									BgL_ev_exprz00_bglt BgL_arg1564z00_2491;

									BgL_arg1564z00_2491 =
										(((BgL_ev_binderz00_bglt) CREF(
												((BgL_ev_binderz00_bglt) BgL_ez00_1042)))->BgL_bodyz00);
									BgL_xz00_2489 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1564z00_2491,
										BgL_nz00_2476);
								}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2489),
									BgL_rz00_2477);
							}
						else
							{	/* Eval/evaluate_fsize.scm 127 */
								obj_t BgL_arg1565z00_2492;
								long BgL_arg1566z00_2493;
								obj_t BgL_arg1567z00_2494;

								BgL_arg1565z00_2492 = CDR(BgL_lz00_2475);
								BgL_arg1566z00_2493 = ((long) (BgL_nz00_2476) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 127 */
									int BgL_xz00_2495;

									{	/* Eval/evaluate_fsize.scm 127 */
										obj_t BgL_arg1568z00_2497;

										BgL_arg1568z00_2497 = CAR(BgL_lz00_2475);
										BgL_xz00_2495 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1568z00_2497),
											BgL_nz00_2476);
									}
									BgL_arg1567z00_2494 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2495),
										BgL_rz00_2477);
								}
								{
									obj_t BgL_rz00_4886;
									int BgL_nz00_4884;
									obj_t BgL_lz00_4883;

									BgL_lz00_4883 = BgL_arg1565z00_2492;
									BgL_nz00_4884 = (int) (BgL_arg1566z00_2493);
									BgL_rz00_4886 = BgL_arg1567z00_2494;
									BgL_rz00_2477 = BgL_rz00_4886;
									BgL_nz00_2476 = BgL_nz00_4884;
									BgL_lz00_2475 = BgL_lz00_4883;
									goto BgL_recz00_2474;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_let1285 */
	obj_t BGl_z62fsiza7ezd2ev_let1285z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3524, obj_t BgL_ez00_3525, obj_t BgL_nz00_3526)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 115 */
			{
				BgL_ev_letz00_bglt BgL_ez00_1019;
				int BgL_nz00_1020;

				BgL_ez00_1019 = ((BgL_ev_letz00_bglt) BgL_ez00_3525);
				BgL_nz00_1020 = CINT(BgL_nz00_3526);
				{	/* Eval/evaluate_fsize.scm 117 */
					obj_t BgL_arg1552z00_1025;

					BgL_arg1552z00_1025 =
						(((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_ez00_1019)))->BgL_valsz00);
					{
						obj_t BgL_lz00_2407;
						int BgL_nz00_2408;
						obj_t BgL_rz00_2409;

						BgL_lz00_2407 = BgL_arg1552z00_1025;
						BgL_nz00_2408 = BgL_nz00_1020;
						BgL_rz00_2409 = BINT(BgL_nz00_1020);
					BgL_recz00_2406:
						if (NULLP(BgL_lz00_2407))
							{	/* Eval/evaluate_fsize.scm 119 */
								int BgL_xz00_2421;

								{	/* Eval/evaluate_fsize.scm 119 */
									BgL_ev_exprz00_bglt BgL_arg1555z00_2423;

									BgL_arg1555z00_2423 =
										(((BgL_ev_binderz00_bglt) CREF(
												((BgL_ev_binderz00_bglt) BgL_ez00_1019)))->BgL_bodyz00);
									BgL_xz00_2421 =
										BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1555z00_2423,
										BgL_nz00_2408);
								}
								return
									BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2421),
									BgL_rz00_2409);
							}
						else
							{	/* Eval/evaluate_fsize.scm 120 */
								obj_t BgL_arg1556z00_2424;
								long BgL_arg1557z00_2425;
								obj_t BgL_arg1559z00_2426;

								BgL_arg1556z00_2424 = CDR(BgL_lz00_2407);
								BgL_arg1557z00_2425 = ((long) (BgL_nz00_2408) + ((long) 1));
								{	/* Eval/evaluate_fsize.scm 120 */
									int BgL_xz00_2427;

									{	/* Eval/evaluate_fsize.scm 120 */
										obj_t BgL_arg1560z00_2429;

										BgL_arg1560z00_2429 = CAR(BgL_lz00_2407);
										BgL_xz00_2427 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1560z00_2429),
											BgL_nz00_2408);
									}
									BgL_arg1559z00_2426 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2427),
										BgL_rz00_2409);
								}
								{
									obj_t BgL_rz00_4910;
									int BgL_nz00_4908;
									obj_t BgL_lz00_4907;

									BgL_lz00_4907 = BgL_arg1556z00_2424;
									BgL_nz00_4908 = (int) (BgL_arg1557z00_2425);
									BgL_rz00_4910 = BgL_arg1559z00_2426;
									BgL_rz00_2409 = BgL_rz00_4910;
									BgL_nz00_2408 = BgL_nz00_4908;
									BgL_lz00_2407 = BgL_lz00_4907;
									goto BgL_recz00_2406;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_synchronize1283 */
	obj_t BGl_z62fsiza7ezd2ev_synchroniza7e1283zb0zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3527, obj_t BgL_ez00_3528, obj_t BgL_nz00_3529)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 111 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_ez00_1006;
				int BgL_nz00_1007;

				BgL_ez00_1006 = ((BgL_ev_synchroniza7eza7_bglt) BgL_ez00_3528);
				BgL_nz00_1007 = CINT(BgL_nz00_3529);
				{	/* Eval/evaluate_fsize.scm 113 */
					int BgL_arg1546z00_2362;
					obj_t BgL_arg1547z00_2363;

					BgL_arg1546z00_2362 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1006))->
							BgL_mutexz00), BgL_nz00_1007);
					{	/* Eval/evaluate_fsize.scm 113 */
						int BgL_xz00_2365;
						int BgL_yz00_2366;

						BgL_xz00_2365 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
							(((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1006))->
								BgL_prelockz00), BgL_nz00_1007);
						BgL_yz00_2366 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
									(BgL_ev_synchroniza7eza7_bglt) CREF(BgL_ez00_1006))->
								BgL_bodyz00), BgL_nz00_1007);
						BgL_arg1547z00_2363 =
							BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2365),
							BINT(BgL_yz00_2366));
					}
					return
						BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_arg1546z00_2362),
						BgL_arg1547z00_2363);
				}
			}
		}
	}



/* &fsize-ev_with-handle1281 */
	obj_t BGl_z62fsiza7ezd2ev_withzd2handle1281zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3530, obj_t BgL_ez00_3531, obj_t BgL_nz00_3532)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 107 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_ez00_996;
				int BgL_nz00_997;

				BgL_ez00_996 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_ez00_3531);
				BgL_nz00_997 = CINT(BgL_nz00_3532);
				{	/* Eval/evaluate_fsize.scm 109 */
					int BgL_xz00_2357;
					int BgL_yz00_2358;

					BgL_xz00_2357 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_996))->
							BgL_handlerz00), BgL_nz00_997);
					BgL_yz00_2358 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
								(BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_ez00_996))->
							BgL_bodyz00), BgL_nz00_997);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2357),
						BINT(BgL_yz00_2358));
				}
			}
		}
	}



/* &fsize-ev_unwind-prot1279 */
	obj_t BGl_z62fsiza7ezd2ev_unwindzd2prot1279zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3533, obj_t BgL_ez00_3534, obj_t BgL_nz00_3535)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 103 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_ez00_986;
				int BgL_nz00_987;

				BgL_ez00_986 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_ez00_3534);
				BgL_nz00_987 = CINT(BgL_nz00_3535);
				{	/* Eval/evaluate_fsize.scm 105 */
					int BgL_xz00_2352;
					int BgL_yz00_2353;

					BgL_xz00_2352 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_986))->BgL_ez00),
						BgL_nz00_987);
					BgL_yz00_2353 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(((
								(BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_ez00_986))->
							BgL_bodyz00), BgL_nz00_987);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2352),
						BINT(BgL_yz00_2353));
				}
			}
		}
	}



/* &fsize-ev_bind-exit1277 */
	obj_t BGl_z62fsiza7ezd2ev_bindzd2exit1277zc5zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3536, obj_t BgL_ez00_3537, obj_t BgL_nz00_3538)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 99 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_ez00_978;
				int BgL_nz00_979;

				{	/* Eval/evaluate_fsize.scm 100 */
					int BgL_auxz00_4945;

					BgL_ez00_978 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_ez00_3537);
					BgL_nz00_979 = CINT(BgL_nz00_3538);
					{	/* Eval/evaluate_fsize.scm 101 */
						BgL_ev_exprz00_bglt BgL_arg1534z00_2346;
						long BgL_arg1537z00_2347;

						BgL_arg1534z00_2346 =
							(((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_ez00_978))->BgL_bodyz00);
						BgL_arg1537z00_2347 = ((long) (BgL_nz00_979) + ((long) 1));
						BgL_auxz00_4945 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(BgL_arg1534z00_2346,
							(int) (BgL_arg1537z00_2347));
					}
					return BINT(BgL_auxz00_4945);
				}
			}
		}
	}



/* &fsize-ev_hook1275 */
	obj_t BGl_z62fsiza7ezd2ev_hook1275z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3539, obj_t BgL_ez00_3540, obj_t BgL_nz00_3541)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 95 */
			{
				BgL_ev_hookz00_bglt BgL_ez00_971;
				int BgL_nz00_972;

				{	/* Eval/evaluate_fsize.scm 96 */
					int BgL_auxz00_4954;

					BgL_ez00_971 = ((BgL_ev_hookz00_bglt) BgL_ez00_3540);
					BgL_nz00_972 = CINT(BgL_nz00_3541);
					BgL_auxz00_4954 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_hookz00_bglt) CREF(BgL_ez00_971))->BgL_ez00),
						BgL_nz00_972);
					return BINT(BgL_auxz00_4954);
				}
			}
		}
	}



/* &fsize-ev_prog21273 */
	obj_t BGl_z62fsiza7ezd2ev_prog21273z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3542, obj_t BgL_ez00_3543, obj_t BgL_nz00_3544)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 91 */
			{
				BgL_ev_prog2z00_bglt BgL_ez00_961;
				int BgL_nz00_962;

				BgL_ez00_961 = ((BgL_ev_prog2z00_bglt) BgL_ez00_3543);
				BgL_nz00_962 = CINT(BgL_nz00_3544);
				{	/* Eval/evaluate_fsize.scm 93 */
					int BgL_xz00_2339;
					int BgL_yz00_2340;

					BgL_xz00_2339 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_prog2z00_bglt) CREF(BgL_ez00_961))->BgL_e1z00),
						BgL_nz00_962);
					BgL_yz00_2340 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7((((BgL_ev_prog2z00_bglt)
								CREF(BgL_ez00_961))->BgL_e2z00), BgL_nz00_962);
					return BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2339),
						BINT(BgL_yz00_2340));
				}
			}
		}
	}



/* &fsize-ev_list1271 */
	obj_t BGl_z62fsiza7ezd2ev_list1271z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3545, obj_t BgL_ez00_3546, obj_t BgL_nz00_3547)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 84 */
			{
				BgL_ev_listz00_bglt BgL_ez00_943;
				int BgL_nz00_944;

				BgL_ez00_943 = ((BgL_ev_listz00_bglt) BgL_ez00_3546);
				BgL_nz00_944 = CINT(BgL_nz00_3547);
				{	/* Eval/evaluate_fsize.scm 86 */
					obj_t BgL_arg1523z00_949;

					BgL_arg1523z00_949 =
						(((BgL_ev_listz00_bglt) CREF(BgL_ez00_943))->BgL_argsz00);
					{
						obj_t BgL_lz00_2320;
						obj_t BgL_rz00_2321;

						BgL_lz00_2320 = BgL_arg1523z00_949;
						BgL_rz00_2321 = BINT(BgL_nz00_944);
					BgL_recz00_2319:
						if (NULLP(BgL_lz00_2320))
							{	/* Eval/evaluate_fsize.scm 87 */
								return BgL_rz00_2321;
							}
						else
							{	/* Eval/evaluate_fsize.scm 89 */
								obj_t BgL_arg1527z00_2329;
								obj_t BgL_arg1528z00_2330;

								BgL_arg1527z00_2329 = CDR(BgL_lz00_2320);
								{	/* Eval/evaluate_fsize.scm 89 */
									int BgL_yz00_2332;

									{	/* Eval/evaluate_fsize.scm 89 */
										obj_t BgL_arg1529z00_2333;

										BgL_arg1529z00_2333 = CAR(BgL_lz00_2320);
										BgL_yz00_2332 =
											BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
											((BgL_ev_exprz00_bglt) BgL_arg1529z00_2333),
											BgL_nz00_944);
									}
									BgL_arg1528z00_2330 =
										BGl_2maxz00zz__r4_numbers_6_5z00(BgL_rz00_2321,
										BINT(BgL_yz00_2332));
								}
								{
									obj_t BgL_rz00_4979;
									obj_t BgL_lz00_4978;

									BgL_lz00_4978 = BgL_arg1527z00_2329;
									BgL_rz00_4979 = BgL_arg1528z00_2330;
									BgL_rz00_2321 = BgL_rz00_4979;
									BgL_lz00_2320 = BgL_lz00_4978;
									goto BgL_recz00_2319;
								}
							}
					}
				}
			}
		}
	}



/* &fsize-ev_if1269 */
	obj_t BGl_z62fsiza7ezd2ev_if1269z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3548, obj_t BgL_ez00_3549, obj_t BgL_nz00_3550)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 80 */
			{
				BgL_ev_ifz00_bglt BgL_ez00_930;
				int BgL_nz00_931;

				BgL_ez00_930 = ((BgL_ev_ifz00_bglt) BgL_ez00_3549);
				BgL_nz00_931 = CINT(BgL_nz00_3550);
				{	/* Eval/evaluate_fsize.scm 82 */
					int BgL_arg1518z00_2290;
					obj_t BgL_arg1519z00_2291;

					BgL_arg1518z00_2290 =
						BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
						(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_930))->BgL_pz00), BgL_nz00_931);
					{	/* Eval/evaluate_fsize.scm 82 */
						int BgL_xz00_2293;
						int BgL_yz00_2294;

						BgL_xz00_2293 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7(
							(((BgL_ev_ifz00_bglt) CREF(BgL_ez00_930))->BgL_tz00),
							BgL_nz00_931);
						BgL_yz00_2294 =
							BGl_fsiza7eza7zz__evaluate_fsiza7eza7((((BgL_ev_ifz00_bglt)
									CREF(BgL_ez00_930))->BgL_ez00), BgL_nz00_931);
						BgL_arg1519z00_2291 =
							BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_xz00_2293),
							BINT(BgL_yz00_2294));
					}
					return
						BGl_2maxz00zz__r4_numbers_6_5z00(BINT(BgL_arg1518z00_2290),
						BgL_arg1519z00_2291);
				}
			}
		}
	}



/* &fsize-ev_litt1267 */
	obj_t BGl_z62fsiza7ezd2ev_litt1267z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3551, obj_t BgL_ez00_3552, obj_t BgL_nz00_3553)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 77 */
			return BINT(CINT(BgL_nz00_3553));
		}
	}



/* &fsize-ev_global1265 */
	obj_t BGl_z62fsiza7ezd2ev_global1265z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3554, obj_t BgL_varz00_3555, obj_t BgL_nz00_3556)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 74 */
			return BINT(CINT(BgL_nz00_3556));
		}
	}



/* &fsize-ev_var1263 */
	obj_t BGl_z62fsiza7ezd2ev_var1263z17zz__evaluate_fsiza7eza7(obj_t
		BgL_envz00_3557, obj_t BgL_ez00_3558, obj_t BgL_nz00_3559)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 71 */
			return BINT(CINT(BgL_nz00_3559));
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_fsiza7eza7()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_fsize.scm 16 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 77607588),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 304399560),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 237624134),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					247617611),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 162479995),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__ppz00(((long) 233942021),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 220648206),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__prognz00(((long) 177147622),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__expandz00(((long) 511051588),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evenvz00(((long) 23062368),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evcompilez00(((long) 492754569),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__everrorz00(((long) 375872221),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evmodulez00(((long) 6183155),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long) 193509656),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
			return BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long) 0),
				BSTRING_TO_STRING(BGl_string2265z00zz__evaluate_fsiza7eza7));
		}
	}

#ifdef __cplusplus
}
#endif
