/*===========================================================================*/
/*   (Eval/evaluate_types.scm)                                               */
/*   Bigloo (4.0b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Aug 1 08:48:54 CEST 2013        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q +rm -lib-dir /users/serrano/prgm/project/bigloo/lib/4.0b -mklib -cc gcc -fsharing -q -no-hello -copt -fPIC -unsafe -safee -O4 -c Eval/evaluate_types.scm -indent -o objs/obj_u/Eval/evaluate_types.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* Object type definitions */
	typedef struct BgL_ev_exprz00_bgl
	{
		header_t header;
		obj_t widening;
	}                 *BgL_ev_exprz00_bglt;

	typedef struct BgL_ev_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_namez00;
		obj_t BgL_effz00;
		obj_t BgL_typez00;
	}                *BgL_ev_varz00_bglt;

	typedef struct BgL_ev_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                   *BgL_ev_globalz00_bglt;

	typedef struct BgL_ev_littz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_valuez00;
	}                 *BgL_ev_littz00_bglt;

	typedef struct BgL_ev_ifz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_pz00;
		struct BgL_ev_exprz00_bgl *BgL_tz00;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}               *BgL_ev_ifz00_bglt;

	typedef struct BgL_ev_listz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                 *BgL_ev_listz00_bglt;

	typedef struct BgL_ev_orz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}               *BgL_ev_orz00_bglt;

	typedef struct BgL_ev_andz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_argsz00;
	}                *BgL_ev_andz00_bglt;

	typedef struct BgL_ev_prog2z00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_e1z00;
		struct BgL_ev_exprz00_bgl *BgL_e2z00;
	}                  *BgL_ev_prog2z00_bglt;

	typedef struct BgL_ev_hookz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_hookz00_bglt;

	typedef struct BgL_ev_trapz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
	}                 *BgL_ev_trapz00_bglt;

	typedef struct BgL_ev_setlocalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_varz00_bgl *BgL_vz00;
	}                     *BgL_ev_setlocalz00_bglt;

	typedef struct BgL_ev_setglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_setglobalz00_bglt;

	typedef struct BgL_ev_defglobalz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		obj_t BgL_locz00;
		obj_t BgL_namez00;
		obj_t BgL_modz00;
	}                      *BgL_ev_defglobalz00_bglt;

	typedef struct BgL_ev_bindzd2exitzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_varz00_bgl *BgL_varz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                        *BgL_ev_bindzd2exitzd2_bglt;

	typedef struct BgL_ev_unwindzd2protectzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_ez00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                             *BgL_ev_unwindzd2protectzd2_bglt;

	typedef struct BgL_ev_withzd2handlerzd2_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_ev_exprz00_bgl *BgL_handlerz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                           *BgL_ev_withzd2handlerzd2_bglt;

	typedef struct BgL_ev_synchroniza7eza7_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_mutexz00;
		struct BgL_ev_exprz00_bgl *BgL_prelockz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                          *BgL_ev_synchroniza7eza7_bglt;

	typedef struct BgL_ev_binderz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_binderz00_bglt;

	typedef struct BgL_ev_letz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_letz00_bglt;

	typedef struct BgL_ev_letza2za2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_letza2za2_bglt;

	typedef struct BgL_ev_letrecz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
	}                   *BgL_ev_letrecz00_bglt;

	typedef struct BgL_ev_labelsz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_varsz00;
		obj_t BgL_valsz00;
		obj_t BgL_envz00;
		obj_t BgL_stkz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		obj_t BgL_boxesz00;
	}                   *BgL_ev_labelsz00_bglt;

	typedef struct BgL_ev_gotoz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_varz00_bgl *BgL_labelz00;
		struct BgL_ev_labelsz00_bgl *BgL_labelsz00;
		obj_t BgL_argsz00;
	}                 *BgL_ev_gotoz00_bglt;

	typedef struct BgL_ev_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_ev_exprz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_tailzf3zf3;
	}                *BgL_ev_appz00_bglt;

	typedef struct BgL_ev_absz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		obj_t BgL_wherez00;
		obj_t BgL_arityz00;
		obj_t BgL_varsz00;
		struct BgL_ev_exprz00_bgl *BgL_bodyz00;
		int BgL_siza7eza7;
		obj_t BgL_bindz00;
		obj_t BgL_freez00;
		obj_t BgL_innerz00;
		obj_t BgL_boxesz00;
	}                *BgL_ev_absz00_bglt;


	static obj_t BGl_z62lambda1927z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1928z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2560z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2564z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1770z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1934z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1776z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1777z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2571z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_symbol2577z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32052ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1941z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1783z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62lambda1785z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2581z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2586z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32037ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1792z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_gotoz00_bglt BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31889ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1796z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1797z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2591z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2596z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1961z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letrecz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_labelsz00_bglt BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1966z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt
		BGl_z62zc3anonymousza31504ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1970z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_letz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_listz00_bglt
		BGl_z62zc3anonymousza31610ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1982z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_appz00_bglt BGl_z62lambda1984z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_objectzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62lambda1991z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1997z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1998z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza32059ze3ze1zz__evaluate_typesz00(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_labelsz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DEF obj_t BGl_ev_absz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_ifz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_setglobalz00_bglt
		BGl_z62zc3anonymousza31708ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_exprz00_bglt
		BGl_z62zc3anonymousza31490ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_andz00_bglt
		BGl_z62zc3anonymousza31636ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_gotoz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62zc3anonymousza31744ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_ifz00_bglt
		BGl_z62zc3anonymousza31584ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_littz00_bglt
		BGl_z62zc3anonymousza31568ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_orz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_varz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_labelsz00_bglt
		BGl_z62zc3anonymousza31909ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	extern obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_andz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1600z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1606z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62zc3anonymousza31692ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_listz00_bglt BGl_z62lambda1608z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2400z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2404z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2406z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1615z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62zc3anonymousza31766ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_binderz00_bglt
		BGl_z62zc3anonymousza31839ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2411z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2415z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_absz00_bglt
		BGl_z62zc3anonymousza32020ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1621z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_orz00_bglt BGl_z62lambda1623z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31872ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31929ze3ze1zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_appz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2421z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2426z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_andz00_bglt BGl_z62lambda1632z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_andz00_bglt BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2430z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2435z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2439z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1803z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1642z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62lambda1805z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_prog2z00_bglt BGl_z62lambda1644z62zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1485z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1487z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2604z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2443z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2609z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2447z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1811z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1812z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1651z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1652z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1817z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1818z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1657z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1497z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2452z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2456z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2619z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1823z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1824z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1663z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_hookz00_bglt BGl_z62lambda1665z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_withzd2handlerzd2_bglt
		BGl_z62zc3anonymousza31787ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1828z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1829z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2461z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2624z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2466z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1672z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1835z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_binderz00_bglt BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_trapz00_bglt BGl_z62lambda1678z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2633z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2471z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2475z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2639z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2479z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_trapz00_bglt BGl_z62lambda1680z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1844z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1849z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2643z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2484z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1850z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_setlocalz00_bglt
		BGl_z62lambda1690z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1855z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_defglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_varz00_bglt BGl_z62lambda1696z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1697z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2650z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2491z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2654z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2496z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32044ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_letz00_bglt BGl_z62lambda1861z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_letz00_bglt BGl_z62lambda1863z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2660z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2667z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza32029ze3ze1zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1870z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_appz00_bglt
		BGl_z62zc3anonymousza31986ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_letza2za2_bglt BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2675z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_letza2za2_bglt BGl_z62lambda1880z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1887z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1888z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2680z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2685z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00();
	static BgL_ev_letrecz00_bglt
		BGl_z62zc3anonymousza31899ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1895z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_letrecz00_bglt BGl_z62lambda1897z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2690z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2692z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_genericzd2initzd2zz__evaluate_typesz00();
	BGL_EXPORTED_DEF obj_t BGl_ev_prog2z00zz__evaluate_typesz00 = BUNSPEC;
	extern obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
		BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_letza2za2zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_trapz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62zc3anonymousza31519ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_orz00_bglt
		BGl_z62zc3anonymousza31625ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_setglobalz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda2002z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2003z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2007z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2008z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_globalz00_bglt
		BGl_z62zc3anonymousza31538ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_hookz00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_absz00_bglt BGl_z62lambda2014z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_absz00_bglt BGl_z62lambda2017z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62zc3anonymousza31734ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2027z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_synchroniza7eza7_bglt
		BGl_z62zc3anonymousza31807ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2028z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2035z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2036z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_prog2z00_bglt
		BGl_z62zc3anonymousza31646ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2042z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2043z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
	BGL_EXPORTED_DEF obj_t BGl_ev_globalz00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_binderz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2050z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2051z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2057z62zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_listz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2058z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda2063z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda2064z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3anonymousza31916ze3ze1zz__evaluate_typesz00(obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_littz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda2068z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2069z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1501z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda2073z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_trapz00_bglt
		BGl_z62zc3anonymousza31682ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2074z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1508z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1509z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda2078z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00();
	static obj_t BGl_z62lambda2079z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
	static obj_t BGl_z62lambda2083z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1517z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda2084z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1518z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_hookz00_bglt
		BGl_z62zc3anonymousza31667ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
		BUNSPEC;
	static obj_t BGl_z62lambda1523z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1524z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_objectz00zz__objectz00;
	static BgL_ev_globalz00_bglt BGl_z62lambda1533z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_globalz00_bglt BGl_z62lambda1535z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62zc3anonymousza31936ze3ze1zz__evaluate_typesz00(obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1704z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62lambda1544z62zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_setglobalz00_bglt
		BGl_z62lambda1706z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_ev_exprz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2500z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2505z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1550z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1712z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1551z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1713z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letz00_bglt
		BGl_z62zc3anonymousza31865ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1556z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1718z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1557z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2516z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1723z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1724z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_letza2za2_bglt
		BGl_z62zc3anonymousza31882ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1564z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_littz00_bglt BGl_z62lambda1566z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_symbol2521z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2525z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2529z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1730z62zz__evaluate_typesz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static BgL_ev_defglobalz00_bglt
		BGl_z62lambda1732z62zz__evaluate_typesz00(obj_t);
	static obj_t BGl_z62lambda1573z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1574z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_gotoz00_bglt
		BGl_z62zc3anonymousza31956ze3ze1zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_symbol2534z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1740z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1580z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t);
	static BgL_ev_bindzd2exitzd2_bglt
		BGl_z62lambda1742z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static BgL_ev_ifz00_bglt BGl_z62lambda1582z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_labelsz00_bglt BGl_z62lambda1907z62zz__evaluate_typesz00(obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1589z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol2700z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2704z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2543z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2549z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2387z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2389z00zz__evaluate_typesz00 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_ev_setlocalz00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_z62lambda1750z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t, obj_t);
	static obj_t BGl_z62lambda1915z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static BgL_ev_varz00_bglt BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1594z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1756z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_exprz00_bglt BGl_z62lambda1599z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_symbol2711z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2713z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2554z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2393z00zz__evaluate_typesz00 = BUNSPEC;
	static obj_t BGl_symbol2395z00zz__evaluate_typesz00 = BUNSPEC;
	static BgL_ev_exprz00_bglt BGl_z62lambda1921z62zz__evaluate_typesz00(obj_t,
		obj_t);
	static obj_t BGl_z62lambda1922z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1762z62zz__evaluate_typesz00(obj_t, obj_t, obj_t);
	static BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1764z62zz__evaluate_typesz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2402z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1524za7622715z00,
		BGl_z62lambda1524z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2403z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1523za7622716z00,
		BGl_z62lambda1523z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2408z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72717za7,
		BGl_z62zc3anonymousza31504ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2409z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1501za7622718z00,
		BGl_z62lambda1501z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2410z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1497za7622719z00,
		BGl_z62lambda1497z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2413z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1545za7622720z00,
		BGl_z62lambda1545z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2501z00zz__evaluate_typesz00,
		BgL_bgl_string2501za700za7za7_2721za7, "v", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2414z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1544za7622722z00,
		BGl_z62lambda1544z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2417z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1551za7622723z00,
		BGl_z62lambda1551z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2418z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1550za7622724z00,
		BGl_z62lambda1550z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2506z00zz__evaluate_typesz00,
		BgL_bgl_string2506za700za7za7_2725za7, "ev_setlocal", 11);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2419z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1557za7622726z00,
		BGl_z62lambda1557z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2420z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1556za7622727z00,
		BGl_z62lambda1556z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2423z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72728za7,
		BGl_z62zc3anonymousza31538ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2424z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1535za7622729z00,
		BGl_z62lambda1535z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2425z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1533za7622730z00,
		BGl_z62lambda1533z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2428z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1574za7622731z00,
		BGl_z62lambda1574z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2429z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1573za7622732z00,
		BGl_z62lambda1573z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2517z00zz__evaluate_typesz00,
		BgL_bgl_string2517za700za7za7_2733za7, "ev_setglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2432z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72734za7,
		BGl_z62zc3anonymousza31568ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2433z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1566za7622735z00,
		BGl_z62lambda1566z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2434z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1564za7622736z00,
		BGl_z62lambda1564z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2522z00zz__evaluate_typesz00,
		BgL_bgl_string2522za700za7za7_2737za7, "ev_defglobal", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2437z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1589za7622738z00,
		BGl_z62lambda1589z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2438z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1588za7622739z00,
		BGl_z62lambda1588z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2526z00zz__evaluate_typesz00,
		BgL_bgl_string2526za700za7za7_2740za7, "body", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2600z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1887za7622741z00,
		BGl_z62lambda1887z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2601z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72742za7,
		BGl_z62zc3anonymousza31882ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2602z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1880za7622743z00,
		BGl_z62lambda1880z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2603z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1878za7622744z00,
		BGl_z62lambda1878z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2441z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1594za7622745z00,
		BGl_z62lambda1594z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2442z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1593za7622746z00,
		BGl_z62lambda1593z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2530z00zz__evaluate_typesz00,
		BgL_bgl_string2530za700za7za7_2747za7, "var", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2606z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72748za7,
		BGl_z62zc3anonymousza31899ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2607z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1897za7622749z00,
		BGl_z62lambda1897z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2445z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1600za7622750z00,
		BGl_z62lambda1600z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2608z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1895za7622751z00,
		BGl_z62lambda1895z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2446z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1599za7622752z00,
		BGl_z62lambda1599z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2535z00zz__evaluate_typesz00,
		BgL_bgl_string2535za700za7za7_2753za7, "ev_bind-exit", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2449z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72754za7,
		BGl_z62zc3anonymousza31584ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2611z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72755za7,
		BGl_z62zc3anonymousza31916ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2612z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1915za7622756z00,
		BGl_z62lambda1915z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2450z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1582za7622757z00,
		BGl_z62lambda1582z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2613z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1914za7622758z00,
		BGl_z62lambda1914z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2451z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1580za7622759z00,
		BGl_z62lambda1580z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string2701z00zz__evaluate_typesz00,
		BgL_bgl_string2701za700za7za7_2760za7, "arity", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2614z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1922za7622761z00,
		BGl_z62lambda1922z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2615z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1921za7622762z00,
		BGl_z62lambda1921z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2616z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72763za7,
		BGl_z62zc3anonymousza31929ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2454z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1615za7622764z00,
		BGl_z62lambda1615z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2617z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1928za7622765z00,
		BGl_z62lambda1928z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2455z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1614za7622766z00,
		BGl_z62lambda1614z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2705z00zz__evaluate_typesz00,
		BgL_bgl_string2705za700za7za7_2767za7, "where", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2618z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1927za7622768z00,
		BGl_z62lambda1927z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2544z00zz__evaluate_typesz00,
		BgL_bgl_string2544za700za7za7_2769za7, "ev_unwind-protect", 17);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2458z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72770za7,
		BGl_z62zc3anonymousza31610ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2459z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1608za7622771z00,
		BGl_z62lambda1608z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2388z00zz__evaluate_typesz00,
		BgL_bgl_string2388za700za7za7_2772za7, "ev_expr", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2621z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72773za7,
		BGl_z62zc3anonymousza31936ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2622z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1935za7622774z00,
		BGl_z62lambda1935z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2460z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1606za7622775z00,
		BGl_z62lambda1606z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2623z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1934za7622776z00,
		BGl_z62lambda1934z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2712z00zz__evaluate_typesz00,
		BgL_bgl_string2712za700za7za7_2777za7, "ev_abs", 6);
	      DEFINE_STRING(BGl_string2550z00zz__evaluate_typesz00,
		BgL_bgl_string2550za700za7za7_2778za7, "handler", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2463z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72779za7,
		BGl_z62zc3anonymousza31625ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2626z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1941za7622780z00,
		BGl_z62lambda1941z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2464z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1623za7622781z00,
		BGl_z62lambda1623z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2714z00zz__evaluate_typesz00,
		BgL_bgl_string2714za700za7za7_2782za7, "_", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2627z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1940za7622783z00,
		BGl_z62lambda1940z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2465z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1621za7622784z00,
		BGl_z62lambda1621z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2390z00zz__evaluate_typesz00,
		BgL_bgl_string2390za700za7za7_2785za7, "__evaluate_types", 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2628z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1946za7622786z00,
		BGl_z62lambda1946z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2629z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1945za7622787z00,
		BGl_z62lambda1945z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2555z00zz__evaluate_typesz00,
		BgL_bgl_string2555za700za7za7_2788za7, "ev_with-handler", 15);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2468z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72789za7,
		BGl_z62zc3anonymousza31636ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2469z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1634za7622790z00,
		BGl_z62lambda1634z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2394z00zz__evaluate_typesz00,
		BgL_bgl_string2394za700za7za7_2791za7, "type", 4);
	      DEFINE_STRING(BGl_string2396z00zz__evaluate_typesz00,
		BgL_bgl_string2396za700za7za7_2792za7, "obj", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2630z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72793za7,
		BGl_z62zc3anonymousza31909ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2631z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1907za7622794z00,
		BGl_z62lambda1907z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2632z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1905za7622795z00,
		BGl_z62lambda1905z62zz__evaluate_typesz00, 0L, BUNSPEC, 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2470z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1632za7622796z00,
		BGl_z62lambda1632z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2635z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1961za7622797z00,
		BGl_z62lambda1961z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2473z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1652za7622798z00,
		BGl_z62lambda1652z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2636z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1960za7622799z00,
		BGl_z62lambda1960z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2561z00zz__evaluate_typesz00,
		BgL_bgl_string2561za700za7za7_2800za7, "prelock", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2474z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1651za7622801z00,
		BGl_z62lambda1651z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2637z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1966za7622802z00,
		BGl_z62lambda1966z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2638z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1965za7622803z00,
		BGl_z62lambda1965z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2477z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1657za7622804z00,
		BGl_z62lambda1657z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2565z00zz__evaluate_typesz00,
		BgL_bgl_string2565za700za7za7_2805za7, "mutex", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2478z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1656za7622806z00,
		BGl_z62lambda1656z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2641z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1971za7622807z00,
		BGl_z62lambda1971z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2642z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1970za7622808z00,
		BGl_z62lambda1970z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2481z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72809za7,
		BGl_z62zc3anonymousza31646ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2482z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1644za7622810z00,
		BGl_z62lambda1644z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2645z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1976za7622811z00,
		BGl_z62lambda1976z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2483z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1642za7622812z00,
		BGl_z62lambda1642z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2646z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1975za7622813z00,
		BGl_z62lambda1975z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2647z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72814za7,
		BGl_z62zc3anonymousza31956ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2572z00zz__evaluate_typesz00,
		BgL_bgl_string2572za700za7za7_2815za7, "ev_synchronize", 14);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2648z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1954za7622816z00,
		BGl_z62lambda1954z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2486z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1672za7622817z00,
		BGl_z62lambda1672z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2649z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1952za7622818z00,
		BGl_z62lambda1952z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2487z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1671za7622819z00,
		BGl_z62lambda1671z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2488z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72820za7,
		BGl_z62zc3anonymousza31667ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2489z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1665za7622821z00,
		BGl_z62lambda1665z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2578z00zz__evaluate_typesz00,
		BgL_bgl_string2578za700za7za7_2822za7, "vals", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2652z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1992za7622823z00,
		BGl_z62lambda1992z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2490z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1663za7622824z00,
		BGl_z62lambda1663z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2653z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1991za7622825z00,
		BGl_z62lambda1991z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2493z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72826za7,
		BGl_z62zc3anonymousza31682ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2656z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1998za7622827z00,
		BGl_z62lambda1998z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2494z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1680za7622828z00,
		BGl_z62lambda1680z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2657z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1997za7622829z00,
		BGl_z62lambda1997z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2582z00zz__evaluate_typesz00,
		BgL_bgl_string2582za700za7za7_2830za7, "vars", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2495z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1678za7622831z00,
		BGl_z62lambda1678z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2658z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2003za7622832z00,
		BGl_z62lambda2003z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2659z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2002za7622833z00,
		BGl_z62lambda2002z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2498z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1697za7622834z00,
		BGl_z62lambda1697z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2499z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1696za7622835z00,
		BGl_z62lambda1696z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2587z00zz__evaluate_typesz00,
		BgL_bgl_string2587za700za7za7_2836za7, "ev_binder", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2662z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2008za7622837z00,
		BGl_z62lambda2008z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2663z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2007za7622838z00,
		BGl_z62lambda2007z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2664z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72839za7,
		BGl_z62zc3anonymousza31986ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2665z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1984za7622840z00,
		BGl_z62lambda1984z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2666z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1982za7622841z00,
		BGl_z62lambda1982z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2592z00zz__evaluate_typesz00,
		BgL_bgl_string2592za700za7za7_2842za7, "boxes", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2669z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72843za7,
		BGl_z62zc3anonymousza32029ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2597z00zz__evaluate_typesz00,
		BgL_bgl_string2597za700za7za7_2844za7, "ev_let", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2670z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2028za7622845z00,
		BGl_z62lambda2028z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2671z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2027za7622846z00,
		BGl_z62lambda2027z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2672z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72847za7,
		BGl_z62zc3anonymousza32037ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2673z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2036za7622848z00,
		BGl_z62lambda2036z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2674z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2035za7622849z00,
		BGl_z62lambda2035z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2677z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72850za7,
		BGl_z62zc3anonymousza32044ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2678z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2043za7622851z00,
		BGl_z62lambda2043z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2679z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2042za7622852z00,
		BGl_z62lambda2042z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2682z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72853za7,
		BGl_z62zc3anonymousza32052ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2683z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2051za7622854z00,
		BGl_z62lambda2051z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2684z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2050za7622855z00,
		BGl_z62lambda2050z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2687z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72856za7,
		BGl_z62zc3anonymousza32059ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2688z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2058za7622857z00,
		BGl_z62lambda2058z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2689z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2057za7622858z00,
		BGl_z62lambda2057z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2694z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2064za7622859z00,
		BGl_z62lambda2064z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2695z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2063za7622860z00,
		BGl_z62lambda2063z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2696z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2069za7622861z00,
		BGl_z62lambda2069z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2697z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2068za7622862z00,
		BGl_z62lambda2068z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2698z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2074za7622863z00,
		BGl_z62lambda2074z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2699z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2073za7622864z00,
		BGl_z62lambda2073z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2401z00zz__evaluate_typesz00,
		BgL_bgl_string2401za700za7za7_2865za7, "eff", 3);
	      DEFINE_STRING(BGl_string2405z00zz__evaluate_typesz00,
		BgL_bgl_string2405za700za7za7_2866za7, "name", 4);
	      DEFINE_STRING(BGl_string2407z00zz__evaluate_typesz00,
		BgL_bgl_string2407za700za7za7_2867za7, "symbol", 6);
	      DEFINE_STRING(BGl_string2412z00zz__evaluate_typesz00,
		BgL_bgl_string2412za700za7za7_2868za7, "ev_var", 6);
	      DEFINE_STRING(BGl_string2416z00zz__evaluate_typesz00,
		BgL_bgl_string2416za700za7za7_2869za7, "mod", 3);
	      DEFINE_STRING(BGl_string2422z00zz__evaluate_typesz00,
		BgL_bgl_string2422za700za7za7_2870za7, "loc", 3);
	      DEFINE_STRING(BGl_string2427z00zz__evaluate_typesz00,
		BgL_bgl_string2427za700za7za7_2871za7, "ev_global", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2502z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72872za7,
		BGl_z62zc3anonymousza31692ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2503z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1690za7622873z00,
		BGl_z62lambda1690z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2504z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1688za7622874z00,
		BGl_z62lambda1688z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2431z00zz__evaluate_typesz00,
		BgL_bgl_string2431za700za7za7_2875za7, "value", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2507z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1713za7622876z00,
		BGl_z62lambda1713z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2508z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1712za7622877z00,
		BGl_z62lambda1712z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2509z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1719za7622878z00,
		BGl_z62lambda1719z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2436z00zz__evaluate_typesz00,
		BgL_bgl_string2436za700za7za7_2879za7, "ev_litt", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2510z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1718za7622880z00,
		BGl_z62lambda1718z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2511z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1724za7622881z00,
		BGl_z62lambda1724z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2512z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1723za7622882z00,
		BGl_z62lambda1723z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2513z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72883za7,
		BGl_z62zc3anonymousza31708ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2514z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1706za7622884z00,
		BGl_z62lambda1706z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2515z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1704za7622885z00,
		BGl_z62lambda1704z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2440z00zz__evaluate_typesz00,
		BgL_bgl_string2440za700za7za7_2886za7, "e", 1);
	      DEFINE_STRING(BGl_string2605z00zz__evaluate_typesz00,
		BgL_bgl_string2605za700za7za7_2887za7, "ev_let*", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2518z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72888za7,
		BGl_z62zc3anonymousza31734ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2519z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1732za7622889z00,
		BGl_z62lambda1732z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2444z00zz__evaluate_typesz00,
		BgL_bgl_string2444za700za7za7_2890za7, "t", 1);
	      DEFINE_STRING(BGl_string2448z00zz__evaluate_typesz00,
		BgL_bgl_string2448za700za7za7_2891za7, "p", 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2520z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1730za7622892z00,
		BGl_z62lambda1730z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string2610z00zz__evaluate_typesz00,
		BgL_bgl_string2610za700za7za7_2893za7, "ev_letrec", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2523z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1750za7622894z00,
		BGl_z62lambda1750z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2524z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1749za7622895z00,
		BGl_z62lambda1749z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2527z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1756za7622896z00,
		BGl_z62lambda1756z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2528z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1755za7622897z00,
		BGl_z62lambda1755z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2453z00zz__evaluate_typesz00,
		BgL_bgl_string2453za700za7za7_2898za7, "ev_if", 5);
	      DEFINE_STRING(BGl_string2457z00zz__evaluate_typesz00,
		BgL_bgl_string2457za700za7za7_2899za7, "args", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2531z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72900za7,
		BGl_z62zc3anonymousza31744ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2532z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1742za7622901z00,
		BGl_z62lambda1742z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2620z00zz__evaluate_typesz00,
		BgL_bgl_string2620za700za7za7_2902za7, "stk", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2533z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1740za7622903z00,
		BGl_z62lambda1740z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2536z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1771za7622904z00,
		BGl_z62lambda1771z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2537z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1770za7622905z00,
		BGl_z62lambda1770z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2462z00zz__evaluate_typesz00,
		BgL_bgl_string2462za700za7za7_2906za7, "ev_list", 7);
	      DEFINE_STRING(BGl_string2625z00zz__evaluate_typesz00,
		BgL_bgl_string2625za700za7za7_2907za7, "env", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2538z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1777za7622908z00,
		BGl_z62lambda1777z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2539z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1776za7622909z00,
		BGl_z62lambda1776z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2467z00zz__evaluate_typesz00,
		BgL_bgl_string2467za700za7za7_2910za7, "ev_or", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2702z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2079za7622911z00,
		BGl_z62lambda2079z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2540z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72912za7,
		BGl_z62zc3anonymousza31766ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2703z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2078za7622913z00,
		BGl_z62lambda2078z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2541z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1764za7622914z00,
		BGl_z62lambda1764z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2542z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1762za7622915z00,
		BGl_z62lambda1762z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2706z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2084za7622916z00,
		BGl_z62lambda2084z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2707z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2083za7622917z00,
		BGl_z62lambda2083z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2545z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1792za7622918z00,
		BGl_z62lambda1792z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2708z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72919za7,
		BGl_z62zc3anonymousza32020ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2546z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1791za7622920z00,
		BGl_z62lambda1791z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2384z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72921za7,
		BGl_z62zc3anonymousza31490ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2709z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2017za7622922z00,
		BGl_z62lambda2017z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2634z00zz__evaluate_typesz00,
		BgL_bgl_string2634za700za7za7_2923za7, "ev_labels", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2547z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1797za7622924z00,
		BGl_z62lambda1797z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2472z00zz__evaluate_typesz00,
		BgL_bgl_string2472za700za7za7_2925za7, "ev_and", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2385z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1487za7622926z00,
		BGl_z62lambda1487z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2548z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1796za7622927z00,
		BGl_z62lambda1796z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2386z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1485za7622928z00,
		BGl_z62lambda1485z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2476z00zz__evaluate_typesz00,
		BgL_bgl_string2476za700za7za7_2929za7, "e2", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2710z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda2014za7622930z00,
		BGl_z62lambda2014z62zz__evaluate_typesz00, 0L, BUNSPEC, 10);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2551z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72931za7,
		BGl_z62zc3anonymousza31787ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2552z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1785za7622932z00,
		BGl_z62lambda1785z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2640z00zz__evaluate_typesz00,
		BgL_bgl_string2640za700za7za7_2933za7, "labels", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2553z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1783za7622934z00,
		BGl_z62lambda1783z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2391z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1509za7622935z00,
		BGl_z62lambda1509z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2392z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1508za7622936z00,
		BGl_z62lambda1508z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2480z00zz__evaluate_typesz00,
		BgL_bgl_string2480za700za7za7_2937za7, "e1", 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2556z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1812za7622938z00,
		BGl_z62lambda1812z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2644z00zz__evaluate_typesz00,
		BgL_bgl_string2644za700za7za7_2939za7, "label", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2557z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1811za7622940z00,
		BGl_z62lambda1811z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2558z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1818za7622941z00,
		BGl_z62lambda1818z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2559z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1817za7622942z00,
		BGl_z62lambda1817z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2397z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72943za7,
		BGl_z62zc3anonymousza31519ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2485z00zz__evaluate_typesz00,
		BgL_bgl_string2485za700za7za7_2944za7, "ev_prog2", 8);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2398z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1518za7622945z00,
		BGl_z62lambda1518z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2399z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1517za7622946z00,
		BGl_z62lambda1517z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2562z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1824za7622947z00,
		BGl_z62lambda1824z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2563z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1823za7622948z00,
		BGl_z62lambda1823z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2651z00zz__evaluate_typesz00,
		BgL_bgl_string2651za700za7za7_2949za7, "ev_goto", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2566z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1829za7622950z00,
		BGl_z62lambda1829z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2567z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1828za7622951z00,
		BGl_z62lambda1828z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2492z00zz__evaluate_typesz00,
		BgL_bgl_string2492za700za7za7_2952za7, "ev_hook", 7);
	      DEFINE_STRING(BGl_string2655z00zz__evaluate_typesz00,
		BgL_bgl_string2655za700za7za7_2953za7, "tail?", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2568z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72954za7,
		BGl_z62zc3anonymousza31807ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2569z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1805za7622955z00,
		BGl_z62lambda1805z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2497z00zz__evaluate_typesz00,
		BgL_bgl_string2497za700za7za7_2956za7, "ev_trap", 7);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2570z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1803za7622957z00,
		BGl_z62lambda1803z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2573z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1845za7622958z00,
		BGl_z62lambda1845z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2661z00zz__evaluate_typesz00,
		BgL_bgl_string2661za700za7za7_2959za7, "fun", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2574z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1844za7622960z00,
		BGl_z62lambda1844z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2575z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1850za7622961z00,
		BGl_z62lambda1850z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2576z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1849za7622962z00,
		BGl_z62lambda1849z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2579z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1855za7622963z00,
		BGl_z62lambda1855z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2668z00zz__evaluate_typesz00,
		BgL_bgl_string2668za700za7za7_2964za7, "ev_app", 6);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2580z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1854za7622965z00,
		BGl_z62lambda1854z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2583z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72966za7,
		BGl_z62zc3anonymousza31839ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2584z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1837za7622967z00,
		BGl_z62lambda1837z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2585z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1835za7622968z00,
		BGl_z62lambda1835z62zz__evaluate_typesz00, 0L, BUNSPEC, 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2588z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72969za7,
		BGl_z62zc3anonymousza31872ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2676z00zz__evaluate_typesz00,
		BgL_bgl_string2676za700za7za7_2970za7, "inner", 5);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2589z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1871za7622971z00,
		BGl_z62lambda1871z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2590z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1870za7622972z00,
		BGl_z62lambda1870z62zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2593z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72973za7,
		BGl_z62zc3anonymousza31865ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2681z00zz__evaluate_typesz00,
		BgL_bgl_string2681za700za7za7_2974za7, "free", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2594z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1863za7622975z00,
		BGl_z62lambda1863z62zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2595z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1861za7622976z00,
		BGl_z62lambda1861z62zz__evaluate_typesz00, 0L, BUNSPEC, 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2598z00zz__evaluate_typesz00,
		BgL_bgl_za762za7c3anonymousza72977za7,
		BGl_z62zc3anonymousza31889ze3ze1zz__evaluate_typesz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string2686z00zz__evaluate_typesz00,
		BgL_bgl_string2686za700za7za7_2978za7, "bind", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2599z00zz__evaluate_typesz00,
		BgL_bgl_za762lambda1888za7622979z00,
		BGl_z62lambda1888z62zz__evaluate_typesz00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2691z00zz__evaluate_typesz00,
		BgL_bgl_string2691za700za7za7_2980za7, "size", 4);
	      DEFINE_STRING(BGl_string2693z00zz__evaluate_typesz00,
		BgL_bgl_string2693za700za7za7_2981za7, "int", 3);



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long
		BgL_checksumz00_3847, char *BgL_fromz00_3848)
	{
		AN_OBJECT;
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_typesz00))
				{
					BGl_requirezd2initializa7ationz75zz__evaluate_typesz00 =
						BBOOL(((bool_t) 0));
					BGl_cnstzd2initzd2zz__evaluate_typesz00();
					BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00();
					BGl_objectzd2initzd2zz__evaluate_typesz00();
					return BUNSPEC;
				}
			else
				{
					return BUNSPEC;
				}
		}
	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_symbol2387z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2388z00zz__evaluate_typesz00);
			BGl_symbol2389z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2390z00zz__evaluate_typesz00);
			BGl_symbol2393z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2394z00zz__evaluate_typesz00);
			BGl_symbol2395z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2396z00zz__evaluate_typesz00);
			BGl_symbol2400z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2401z00zz__evaluate_typesz00);
			BGl_symbol2404z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2405z00zz__evaluate_typesz00);
			BGl_symbol2406z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2407z00zz__evaluate_typesz00);
			BGl_symbol2411z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2412z00zz__evaluate_typesz00);
			BGl_symbol2415z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2416z00zz__evaluate_typesz00);
			BGl_symbol2421z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2422z00zz__evaluate_typesz00);
			BGl_symbol2426z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2427z00zz__evaluate_typesz00);
			BGl_symbol2430z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2431z00zz__evaluate_typesz00);
			BGl_symbol2435z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2436z00zz__evaluate_typesz00);
			BGl_symbol2439z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2440z00zz__evaluate_typesz00);
			BGl_symbol2443z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2444z00zz__evaluate_typesz00);
			BGl_symbol2447z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2448z00zz__evaluate_typesz00);
			BGl_symbol2452z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2453z00zz__evaluate_typesz00);
			BGl_symbol2456z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2457z00zz__evaluate_typesz00);
			BGl_symbol2461z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2462z00zz__evaluate_typesz00);
			BGl_symbol2466z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2467z00zz__evaluate_typesz00);
			BGl_symbol2471z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2472z00zz__evaluate_typesz00);
			BGl_symbol2475z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2476z00zz__evaluate_typesz00);
			BGl_symbol2479z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2480z00zz__evaluate_typesz00);
			BGl_symbol2484z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2485z00zz__evaluate_typesz00);
			BGl_symbol2491z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2492z00zz__evaluate_typesz00);
			BGl_symbol2496z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2497z00zz__evaluate_typesz00);
			BGl_symbol2500z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2501z00zz__evaluate_typesz00);
			BGl_symbol2505z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2506z00zz__evaluate_typesz00);
			BGl_symbol2516z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2517z00zz__evaluate_typesz00);
			BGl_symbol2521z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2522z00zz__evaluate_typesz00);
			BGl_symbol2525z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2526z00zz__evaluate_typesz00);
			BGl_symbol2529z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2530z00zz__evaluate_typesz00);
			BGl_symbol2534z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2535z00zz__evaluate_typesz00);
			BGl_symbol2543z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2544z00zz__evaluate_typesz00);
			BGl_symbol2549z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2550z00zz__evaluate_typesz00);
			BGl_symbol2554z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2555z00zz__evaluate_typesz00);
			BGl_symbol2560z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2561z00zz__evaluate_typesz00);
			BGl_symbol2564z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2565z00zz__evaluate_typesz00);
			BGl_symbol2571z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2572z00zz__evaluate_typesz00);
			BGl_symbol2577z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2578z00zz__evaluate_typesz00);
			BGl_symbol2581z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2582z00zz__evaluate_typesz00);
			BGl_symbol2586z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2587z00zz__evaluate_typesz00);
			BGl_symbol2591z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2592z00zz__evaluate_typesz00);
			BGl_symbol2596z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2597z00zz__evaluate_typesz00);
			BGl_symbol2604z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2605z00zz__evaluate_typesz00);
			BGl_symbol2609z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2610z00zz__evaluate_typesz00);
			BGl_symbol2619z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2620z00zz__evaluate_typesz00);
			BGl_symbol2624z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2625z00zz__evaluate_typesz00);
			BGl_symbol2633z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2634z00zz__evaluate_typesz00);
			BGl_symbol2639z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2640z00zz__evaluate_typesz00);
			BGl_symbol2643z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2644z00zz__evaluate_typesz00);
			BGl_symbol2650z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2651z00zz__evaluate_typesz00);
			BGl_symbol2654z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2655z00zz__evaluate_typesz00);
			BGl_symbol2660z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2661z00zz__evaluate_typesz00);
			BGl_symbol2667z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2668z00zz__evaluate_typesz00);
			BGl_symbol2675z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2676z00zz__evaluate_typesz00);
			BGl_symbol2680z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2681z00zz__evaluate_typesz00);
			BGl_symbol2685z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2686z00zz__evaluate_typesz00);
			BGl_symbol2690z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2691z00zz__evaluate_typesz00);
			BGl_symbol2692z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2693z00zz__evaluate_typesz00);
			BGl_symbol2700z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2701z00zz__evaluate_typesz00);
			BGl_symbol2704z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2705z00zz__evaluate_typesz00);
			BGl_symbol2711z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2712z00zz__evaluate_typesz00);
			return (BGl_symbol2713z00zz__evaluate_typesz00 =
				bstring_to_symbol(BGl_string2714z00zz__evaluate_typesz00), BUNSPEC);
		}
	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			{	/* Eval/evaluate_types.scm 49 */
				obj_t BgL_arg1482z00_615;
				obj_t BgL_arg1484z00_616;

				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1384z00_626;

					BgL_v1384z00_626 = create_vector((int) (((long) 0)));
					BgL_arg1482z00_615 = BgL_v1384z00_626;
				}
				{	/* Eval/evaluate_types.scm 49 */
					obj_t BgL_v1385z00_627;

					BgL_v1385z00_627 = create_vector((int) (((long) 0)));
					BgL_arg1484z00_616 = BgL_v1385z00_627;
				}
				BGl_ev_exprz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2387z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00, BGl_objectz00zz__objectz00,
					((long) 36682), BGl_proc2386z00zz__evaluate_typesz00,
					BGl_proc2385z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2384z00zz__evaluate_typesz00, BFALSE, BgL_arg1482z00_615,
					BgL_arg1484z00_616);
			}
			{	/* Eval/evaluate_types.scm 51 */
				obj_t BgL_arg1495z00_634;
				obj_t BgL_arg1496z00_635;

				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1386z00_648;

					BgL_v1386z00_648 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1386z00_648,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2393z00zz__evaluate_typesz00,
							BGl_proc2392z00zz__evaluate_typesz00,
							BGl_proc2391z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1386z00_648, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2400z00zz__evaluate_typesz00,
							BGl_proc2399z00zz__evaluate_typesz00,
							BGl_proc2398z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2397z00zz__evaluate_typesz00,
							BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1386z00_648, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2404z00zz__evaluate_typesz00,
							BGl_proc2403z00zz__evaluate_typesz00,
							BGl_proc2402z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2406z00zz__evaluate_typesz00));
					BgL_arg1495z00_634 = BgL_v1386z00_648;
				}
				{	/* Eval/evaluate_types.scm 51 */
					obj_t BgL_v1387z00_688;

					BgL_v1387z00_688 = create_vector((int) (((long) 0)));
					BgL_arg1496z00_635 = BgL_v1387z00_688;
				}
				BGl_ev_varz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2411z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 7625),
					BGl_proc2410z00zz__evaluate_typesz00,
					BGl_proc2409z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2408z00zz__evaluate_typesz00, BFALSE, BgL_arg1495z00_634,
					BgL_arg1496z00_635);
			}
			{	/* Eval/evaluate_types.scm 55 */
				obj_t BgL_arg1530z00_695;
				obj_t BgL_arg1532z00_696;

				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1388z00_709;

					BgL_v1388z00_709 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1388z00_709,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2415z00zz__evaluate_typesz00,
							BGl_proc2414z00zz__evaluate_typesz00,
							BGl_proc2413z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1388z00_709, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2404z00zz__evaluate_typesz00,
							BGl_proc2418z00zz__evaluate_typesz00,
							BGl_proc2417z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2406z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1388z00_709, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2421z00zz__evaluate_typesz00,
							BGl_proc2420z00zz__evaluate_typesz00,
							BGl_proc2419z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					BgL_arg1530z00_695 = BgL_v1388z00_709;
				}
				{	/* Eval/evaluate_types.scm 55 */
					obj_t BgL_v1389z00_746;

					BgL_v1389z00_746 = create_vector((int) (((long) 0)));
					BgL_arg1532z00_696 = BgL_v1389z00_746;
				}
				BGl_ev_globalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2426z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59175),
					BGl_proc2425z00zz__evaluate_typesz00,
					BGl_proc2424z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2423z00zz__evaluate_typesz00, BFALSE, BgL_arg1530z00_695,
					BgL_arg1532z00_696);
			}
			{	/* Eval/evaluate_types.scm 60 */
				obj_t BgL_arg1562z00_753;
				obj_t BgL_arg1563z00_754;

				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1390z00_765;

					BgL_v1390z00_765 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1390z00_765,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2430z00zz__evaluate_typesz00,
							BGl_proc2429z00zz__evaluate_typesz00,
							BGl_proc2428z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					BgL_arg1562z00_753 = BgL_v1390z00_765;
				}
				{	/* Eval/evaluate_types.scm 60 */
					obj_t BgL_v1391z00_778;

					BgL_v1391z00_778 = create_vector((int) (((long) 0)));
					BgL_arg1563z00_754 = BgL_v1391z00_778;
				}
				BGl_ev_littz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2435z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 42418),
					BGl_proc2434z00zz__evaluate_typesz00,
					BGl_proc2433z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2432z00zz__evaluate_typesz00, BFALSE, BgL_arg1562z00_753,
					BgL_arg1563z00_754);
			}
			{	/* Eval/evaluate_types.scm 62 */
				obj_t BgL_arg1578z00_785;
				obj_t BgL_arg1579z00_786;

				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1392z00_799;

					BgL_v1392z00_799 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1392z00_799,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2439z00zz__evaluate_typesz00,
							BGl_proc2438z00zz__evaluate_typesz00,
							BGl_proc2437z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1392z00_799, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2443z00zz__evaluate_typesz00,
							BGl_proc2442z00zz__evaluate_typesz00,
							BGl_proc2441z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1392z00_799, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2447z00zz__evaluate_typesz00,
							BGl_proc2446z00zz__evaluate_typesz00,
							BGl_proc2445z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1578z00_785 = BgL_v1392z00_799;
				}
				{	/* Eval/evaluate_types.scm 62 */
					obj_t BgL_v1393z00_836;

					BgL_v1393z00_836 = create_vector((int) (((long) 0)));
					BgL_arg1579z00_786 = BgL_v1393z00_836;
				}
				BGl_ev_ifz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2452z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 19099),
					BGl_proc2451z00zz__evaluate_typesz00,
					BGl_proc2450z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2449z00zz__evaluate_typesz00, BFALSE, BgL_arg1578z00_785,
					BgL_arg1579z00_786);
			}
			{	/* Eval/evaluate_types.scm 66 */
				obj_t BgL_arg1604z00_843;
				obj_t BgL_arg1605z00_844;

				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1394z00_855;

					BgL_v1394z00_855 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1394z00_855,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2456z00zz__evaluate_typesz00,
							BGl_proc2455z00zz__evaluate_typesz00,
							BGl_proc2454z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					BgL_arg1604z00_843 = BgL_v1394z00_855;
				}
				{	/* Eval/evaluate_types.scm 66 */
					obj_t BgL_v1395z00_868;

					BgL_v1395z00_868 = create_vector((int) (((long) 0)));
					BgL_arg1605z00_844 = BgL_v1395z00_868;
				}
				BGl_ev_listz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2461z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 39617),
					BGl_proc2460z00zz__evaluate_typesz00,
					BGl_proc2459z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2458z00zz__evaluate_typesz00, BFALSE, BgL_arg1604z00_843,
					BgL_arg1605z00_844);
			}
			{	/* Eval/evaluate_types.scm 68 */
				obj_t BgL_arg1619z00_875;
				obj_t BgL_arg1620z00_876;

				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1396z00_887;

					BgL_v1396z00_887 = create_vector((int) (((long) 0)));
					BgL_arg1619z00_875 = BgL_v1396z00_887;
				}
				{	/* Eval/evaluate_types.scm 68 */
					obj_t BgL_v1397z00_888;

					BgL_v1397z00_888 = create_vector((int) (((long) 0)));
					BgL_arg1620z00_876 = BgL_v1397z00_888;
				}
				BGl_ev_orz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2466z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 50334),
					BGl_proc2465z00zz__evaluate_typesz00,
					BGl_proc2464z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2463z00zz__evaluate_typesz00, BFALSE, BgL_arg1619z00_875,
					BgL_arg1620z00_876);
			}
			{	/* Eval/evaluate_types.scm 69 */
				obj_t BgL_arg1630z00_895;
				obj_t BgL_arg1631z00_896;

				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1398z00_907;

					BgL_v1398z00_907 = create_vector((int) (((long) 0)));
					BgL_arg1630z00_895 = BgL_v1398z00_907;
				}
				{	/* Eval/evaluate_types.scm 69 */
					obj_t BgL_v1399z00_908;

					BgL_v1399z00_908 = create_vector((int) (((long) 0)));
					BgL_arg1631z00_896 = BgL_v1399z00_908;
				}
				BGl_ev_andz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2471z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_listz00zz__evaluate_typesz00, ((long) 26888),
					BGl_proc2470z00zz__evaluate_typesz00,
					BGl_proc2469z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2468z00zz__evaluate_typesz00, BFALSE, BgL_arg1630z00_895,
					BgL_arg1631z00_896);
			}
			{	/* Eval/evaluate_types.scm 70 */
				obj_t BgL_arg1640z00_915;
				obj_t BgL_arg1641z00_916;

				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1400z00_928;

					BgL_v1400z00_928 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1400z00_928,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2475z00zz__evaluate_typesz00,
							BGl_proc2474z00zz__evaluate_typesz00,
							BGl_proc2473z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1400z00_928, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2479z00zz__evaluate_typesz00,
							BGl_proc2478z00zz__evaluate_typesz00,
							BGl_proc2477z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1640z00_915 = BgL_v1400z00_928;
				}
				{	/* Eval/evaluate_types.scm 70 */
					obj_t BgL_v1401z00_953;

					BgL_v1401z00_953 = create_vector((int) (((long) 0)));
					BgL_arg1641z00_916 = BgL_v1401z00_953;
				}
				BGl_ev_prog2z00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2484z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 14177),
					BGl_proc2483z00zz__evaluate_typesz00,
					BGl_proc2482z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2481z00zz__evaluate_typesz00, BFALSE, BgL_arg1640z00_915,
					BgL_arg1641z00_916);
			}
			{	/* Eval/evaluate_types.scm 73 */
				obj_t BgL_arg1661z00_960;
				obj_t BgL_arg1662z00_961;

				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1402z00_972;

					BgL_v1402z00_972 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1402z00_972,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2439z00zz__evaluate_typesz00,
							BGl_proc2487z00zz__evaluate_typesz00,
							BGl_proc2486z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1661z00_960 = BgL_v1402z00_972;
				}
				{	/* Eval/evaluate_types.scm 73 */
					obj_t BgL_v1403z00_985;

					BgL_v1403z00_985 = create_vector((int) (((long) 0)));
					BgL_arg1662z00_961 = BgL_v1403z00_985;
				}
				BGl_ev_hookz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2491z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 32125),
					BGl_proc2490z00zz__evaluate_typesz00,
					BGl_proc2489z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2488z00zz__evaluate_typesz00, BFALSE, BgL_arg1661z00_960,
					BgL_arg1662z00_961);
			}
			{	/* Eval/evaluate_types.scm 75 */
				obj_t BgL_arg1676z00_992;
				obj_t BgL_arg1677z00_993;

				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1404z00_1004;

					BgL_v1404z00_1004 = create_vector((int) (((long) 0)));
					BgL_arg1676z00_992 = BgL_v1404z00_1004;
				}
				{	/* Eval/evaluate_types.scm 75 */
					obj_t BgL_v1405z00_1005;

					BgL_v1405z00_1005 = create_vector((int) (((long) 0)));
					BgL_arg1677z00_993 = BgL_v1405z00_1005;
				}
				BGl_ev_trapz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2496z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 24451),
					BGl_proc2495z00zz__evaluate_typesz00,
					BGl_proc2494z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2493z00zz__evaluate_typesz00, BFALSE, BgL_arg1676z00_992,
					BgL_arg1677z00_993);
			}
			{	/* Eval/evaluate_types.scm 76 */
				obj_t BgL_arg1686z00_1012;
				obj_t BgL_arg1687z00_1013;

				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1406z00_1025;

					BgL_v1406z00_1025 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1406z00_1025,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2500z00zz__evaluate_typesz00,
							BGl_proc2499z00zz__evaluate_typesz00,
							BGl_proc2498z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1686z00_1012 = BgL_v1406z00_1025;
				}
				{	/* Eval/evaluate_types.scm 76 */
					obj_t BgL_v1407z00_1038;

					BgL_v1407z00_1038 = create_vector((int) (((long) 0)));
					BgL_arg1687z00_1013 = BgL_v1407z00_1038;
				}
				BGl_ev_setlocalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2505z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 37950),
					BGl_proc2504z00zz__evaluate_typesz00,
					BGl_proc2503z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2502z00zz__evaluate_typesz00, BFALSE, BgL_arg1686z00_1012,
					BgL_arg1687z00_1013);
			}
			{	/* Eval/evaluate_types.scm 78 */
				obj_t BgL_arg1701z00_1045;
				obj_t BgL_arg1703z00_1046;

				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1408z00_1060;

					BgL_v1408z00_1060 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1408z00_1060,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2415z00zz__evaluate_typesz00,
							BGl_proc2508z00zz__evaluate_typesz00,
							BGl_proc2507z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1408z00_1060, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2404z00zz__evaluate_typesz00,
							BGl_proc2510z00zz__evaluate_typesz00,
							BGl_proc2509z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2406z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1408z00_1060, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2421z00zz__evaluate_typesz00,
							BGl_proc2512z00zz__evaluate_typesz00,
							BGl_proc2511z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					BgL_arg1701z00_1045 = BgL_v1408z00_1060;
				}
				{	/* Eval/evaluate_types.scm 78 */
					obj_t BgL_v1409z00_1097;

					BgL_v1409z00_1097 = create_vector((int) (((long) 0)));
					BgL_arg1703z00_1046 = BgL_v1409z00_1097;
				}
				BGl_ev_setglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2516z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_hookz00zz__evaluate_typesz00, ((long) 62117),
					BGl_proc2515z00zz__evaluate_typesz00,
					BGl_proc2514z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2513z00zz__evaluate_typesz00, BFALSE, BgL_arg1701z00_1045,
					BgL_arg1703z00_1046);
			}
			{	/* Eval/evaluate_types.scm 82 */
				obj_t BgL_arg1728z00_1104;
				obj_t BgL_arg1729z00_1105;

				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1410z00_1119;

					BgL_v1410z00_1119 = create_vector((int) (((long) 0)));
					BgL_arg1728z00_1104 = BgL_v1410z00_1119;
				}
				{	/* Eval/evaluate_types.scm 82 */
					obj_t BgL_v1411z00_1120;

					BgL_v1411z00_1120 = create_vector((int) (((long) 0)));
					BgL_arg1729z00_1105 = BgL_v1411z00_1120;
				}
				BGl_ev_defglobalz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2521z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_setglobalz00zz__evaluate_typesz00, ((long) 36158),
					BGl_proc2520z00zz__evaluate_typesz00,
					BGl_proc2519z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2518z00zz__evaluate_typesz00, BFALSE, BgL_arg1728z00_1104,
					BgL_arg1729z00_1105);
			}
			{	/* Eval/evaluate_types.scm 83 */
				obj_t BgL_arg1738z00_1127;
				obj_t BgL_arg1739z00_1128;

				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1412z00_1140;

					BgL_v1412z00_1140 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1412z00_1140,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2525z00zz__evaluate_typesz00,
							BGl_proc2524z00zz__evaluate_typesz00,
							BGl_proc2523z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1412z00_1140, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2529z00zz__evaluate_typesz00,
							BGl_proc2528z00zz__evaluate_typesz00,
							BGl_proc2527z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					BgL_arg1738z00_1127 = BgL_v1412z00_1140;
				}
				{	/* Eval/evaluate_types.scm 83 */
					obj_t BgL_v1413z00_1165;

					BgL_v1413z00_1165 = create_vector((int) (((long) 0)));
					BgL_arg1739z00_1128 = BgL_v1413z00_1165;
				}
				BGl_ev_bindzd2exitzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2534z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 10723),
					BGl_proc2533z00zz__evaluate_typesz00,
					BGl_proc2532z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2531z00zz__evaluate_typesz00, BFALSE, BgL_arg1738z00_1127,
					BgL_arg1739z00_1128);
			}
			{	/* Eval/evaluate_types.scm 86 */
				obj_t BgL_arg1760z00_1172;
				obj_t BgL_arg1761z00_1173;

				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1414z00_1185;

					BgL_v1414z00_1185 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1414z00_1185,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2525z00zz__evaluate_typesz00,
							BGl_proc2537z00zz__evaluate_typesz00,
							BGl_proc2536z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1414z00_1185, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2439z00zz__evaluate_typesz00,
							BGl_proc2539z00zz__evaluate_typesz00,
							BGl_proc2538z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1760z00_1172 = BgL_v1414z00_1185;
				}
				{	/* Eval/evaluate_types.scm 86 */
					obj_t BgL_v1415z00_1210;

					BgL_v1415z00_1210 = create_vector((int) (((long) 0)));
					BgL_arg1761z00_1173 = BgL_v1415z00_1210;
				}
				BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2543z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 59644),
					BGl_proc2542z00zz__evaluate_typesz00,
					BGl_proc2541z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2540z00zz__evaluate_typesz00, BFALSE, BgL_arg1760z00_1172,
					BgL_arg1761z00_1173);
			}
			{	/* Eval/evaluate_types.scm 89 */
				obj_t BgL_arg1781z00_1217;
				obj_t BgL_arg1782z00_1218;

				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1416z00_1230;

					BgL_v1416z00_1230 = create_vector((int) (((long) 2)));
					VECTOR_SET(BgL_v1416z00_1230,
						(int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2525z00zz__evaluate_typesz00,
							BGl_proc2546z00zz__evaluate_typesz00,
							BGl_proc2545z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1416z00_1230, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2549z00zz__evaluate_typesz00,
							BGl_proc2548z00zz__evaluate_typesz00,
							BGl_proc2547z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					BgL_arg1781z00_1217 = BgL_v1416z00_1230;
				}
				{	/* Eval/evaluate_types.scm 89 */
					obj_t BgL_v1417z00_1255;

					BgL_v1417z00_1255 = create_vector((int) (((long) 0)));
					BgL_arg1782z00_1218 = BgL_v1417z00_1255;
				}
				BGl_ev_withzd2handlerzd2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2554z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 54033),
					BGl_proc2553z00zz__evaluate_typesz00,
					BGl_proc2552z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2551z00zz__evaluate_typesz00, BFALSE, BgL_arg1781z00_1217,
					BgL_arg1782z00_1218);
			}
			{	/* Eval/evaluate_types.scm 92 */
				obj_t BgL_arg1801z00_1262;
				obj_t BgL_arg1802z00_1263;

				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1418z00_1277;

					BgL_v1418z00_1277 = create_vector((int) (((long) 4)));
					VECTOR_SET(BgL_v1418z00_1277,
						(int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2525z00zz__evaluate_typesz00,
							BGl_proc2557z00zz__evaluate_typesz00,
							BGl_proc2556z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1418z00_1277, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2560z00zz__evaluate_typesz00,
							BGl_proc2559z00zz__evaluate_typesz00,
							BGl_proc2558z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1418z00_1277, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2564z00zz__evaluate_typesz00,
							BGl_proc2563z00zz__evaluate_typesz00,
							BGl_proc2562z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1418z00_1277, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2421z00zz__evaluate_typesz00,
							BGl_proc2567z00zz__evaluate_typesz00,
							BGl_proc2566z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					BgL_arg1801z00_1262 = BgL_v1418z00_1277;
				}
				{	/* Eval/evaluate_types.scm 92 */
					obj_t BgL_v1419z00_1326;

					BgL_v1419z00_1326 = create_vector((int) (((long) 0)));
					BgL_arg1802z00_1263 = BgL_v1419z00_1326;
				}
				BGl_ev_synchroniza7eza7zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2571z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 40653),
					BGl_proc2570z00zz__evaluate_typesz00,
					BGl_proc2569z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2568z00zz__evaluate_typesz00, BFALSE, BgL_arg1801z00_1262,
					BgL_arg1802z00_1263);
			}
			{	/* Eval/evaluate_types.scm 97 */
				obj_t BgL_arg1833z00_1333;
				obj_t BgL_arg1834z00_1334;

				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1420z00_1347;

					BgL_v1420z00_1347 = create_vector((int) (((long) 3)));
					VECTOR_SET(BgL_v1420z00_1347,
						(int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2525z00zz__evaluate_typesz00,
							BGl_proc2574z00zz__evaluate_typesz00,
							BGl_proc2573z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1420z00_1347, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2577z00zz__evaluate_typesz00,
							BGl_proc2576z00zz__evaluate_typesz00,
							BGl_proc2575z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1420z00_1347, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2581z00zz__evaluate_typesz00,
							BGl_proc2580z00zz__evaluate_typesz00,
							BGl_proc2579z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					BgL_arg1833z00_1333 = BgL_v1420z00_1347;
				}
				{	/* Eval/evaluate_types.scm 97 */
					obj_t BgL_v1421z00_1384;

					BgL_v1421z00_1384 = create_vector((int) (((long) 0)));
					BgL_arg1834z00_1334 = BgL_v1421z00_1384;
				}
				BGl_ev_binderz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2586z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 50341),
					BGl_proc2585z00zz__evaluate_typesz00,
					BGl_proc2584z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2583z00zz__evaluate_typesz00, BFALSE, BgL_arg1833z00_1333,
					BgL_arg1834z00_1334);
			}
			{	/* Eval/evaluate_types.scm 101 */
				obj_t BgL_arg1859z00_1391;
				obj_t BgL_arg1860z00_1392;

				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1422z00_1406;

					BgL_v1422z00_1406 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1422z00_1406,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2591z00zz__evaluate_typesz00,
							BGl_proc2590z00zz__evaluate_typesz00,
							BGl_proc2589z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2588z00zz__evaluate_typesz00,
							BGl_symbol2395z00zz__evaluate_typesz00));
					BgL_arg1859z00_1391 = BgL_v1422z00_1406;
				}
				{	/* Eval/evaluate_types.scm 101 */
					obj_t BgL_v1423z00_1422;

					BgL_v1423z00_1422 = create_vector((int) (((long) 0)));
					BgL_arg1860z00_1392 = BgL_v1423z00_1422;
				}
				BGl_ev_letz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2596z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 20484),
					BGl_proc2595z00zz__evaluate_typesz00,
					BGl_proc2594z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2593z00zz__evaluate_typesz00, BFALSE, BgL_arg1859z00_1391,
					BgL_arg1860z00_1392);
			}
			{	/* Eval/evaluate_types.scm 103 */
				obj_t BgL_arg1876z00_1429;
				obj_t BgL_arg1877z00_1430;

				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1424z00_1444;

					BgL_v1424z00_1444 = create_vector((int) (((long) 1)));
					VECTOR_SET(BgL_v1424z00_1444,
						(int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2591z00zz__evaluate_typesz00,
							BGl_proc2600z00zz__evaluate_typesz00,
							BGl_proc2599z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2598z00zz__evaluate_typesz00,
							BGl_symbol2395z00zz__evaluate_typesz00));
					BgL_arg1876z00_1429 = BgL_v1424z00_1444;
				}
				{	/* Eval/evaluate_types.scm 103 */
					obj_t BgL_v1425z00_1460;

					BgL_v1425z00_1460 = create_vector((int) (((long) 0)));
					BgL_arg1877z00_1430 = BgL_v1425z00_1460;
				}
				BGl_ev_letza2za2zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2604z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 9906),
					BGl_proc2603z00zz__evaluate_typesz00,
					BGl_proc2602z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2601z00zz__evaluate_typesz00, BFALSE, BgL_arg1876z00_1429,
					BgL_arg1877z00_1430);
			}
			{	/* Eval/evaluate_types.scm 105 */
				obj_t BgL_arg1893z00_1467;
				obj_t BgL_arg1894z00_1468;

				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1426z00_1481;

					BgL_v1426z00_1481 = create_vector((int) (((long) 0)));
					BgL_arg1893z00_1467 = BgL_v1426z00_1481;
				}
				{	/* Eval/evaluate_types.scm 105 */
					obj_t BgL_v1427z00_1482;

					BgL_v1427z00_1482 = create_vector((int) (((long) 0)));
					BgL_arg1894z00_1468 = BgL_v1427z00_1482;
				}
				BGl_ev_letrecz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2609z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_binderz00zz__evaluate_typesz00, ((long) 43956),
					BGl_proc2608z00zz__evaluate_typesz00,
					BGl_proc2607z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2606z00zz__evaluate_typesz00, BFALSE, BgL_arg1893z00_1467,
					BgL_arg1894z00_1468);
			}
			{	/* Eval/evaluate_types.scm 106 */
				obj_t BgL_arg1903z00_1489;
				obj_t BgL_arg1904z00_1490;

				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1428z00_1506;

					BgL_v1428z00_1506 = create_vector((int) (((long) 6)));
					VECTOR_SET(BgL_v1428z00_1506,
						(int) (((long) 5)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2591z00zz__evaluate_typesz00,
							BGl_proc2613z00zz__evaluate_typesz00,
							BGl_proc2612z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2611z00zz__evaluate_typesz00,
							BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1428z00_1506, (int) (((long) 4)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2525z00zz__evaluate_typesz00,
							BGl_proc2615z00zz__evaluate_typesz00,
							BGl_proc2614z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1428z00_1506, (int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2619z00zz__evaluate_typesz00,
							BGl_proc2618z00zz__evaluate_typesz00,
							BGl_proc2617z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2616z00zz__evaluate_typesz00,
							BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1428z00_1506, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2624z00zz__evaluate_typesz00,
							BGl_proc2623z00zz__evaluate_typesz00,
							BGl_proc2622z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2621z00zz__evaluate_typesz00,
							BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1428z00_1506, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2577z00zz__evaluate_typesz00,
							BGl_proc2627z00zz__evaluate_typesz00,
							BGl_proc2626z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1428z00_1506, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2581z00zz__evaluate_typesz00,
							BGl_proc2629z00zz__evaluate_typesz00,
							BGl_proc2628z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					BgL_arg1903z00_1489 = BgL_v1428z00_1506;
				}
				{	/* Eval/evaluate_types.scm 106 */
					obj_t BgL_v1429z00_1588;

					BgL_v1429z00_1588 = create_vector((int) (((long) 0)));
					BgL_arg1904z00_1490 = BgL_v1429z00_1588;
				}
				BGl_ev_labelsz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2633z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 51941),
					BGl_proc2632z00zz__evaluate_typesz00,
					BGl_proc2631z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2630z00zz__evaluate_typesz00, BFALSE, BgL_arg1903z00_1489,
					BgL_arg1904z00_1490);
			}
			{	/* Eval/evaluate_types.scm 114 */
				obj_t BgL_arg1950z00_1595;
				obj_t BgL_arg1951z00_1596;

				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1430z00_1610;

					BgL_v1430z00_1610 = create_vector((int) (((long) 4)));
					VECTOR_SET(BgL_v1430z00_1610,
						(int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2456z00zz__evaluate_typesz00,
							BGl_proc2636z00zz__evaluate_typesz00,
							BGl_proc2635z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1430z00_1610, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2639z00zz__evaluate_typesz00,
							BGl_proc2638z00zz__evaluate_typesz00,
							BGl_proc2637z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_labelsz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1430z00_1610, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2643z00zz__evaluate_typesz00,
							BGl_proc2642z00zz__evaluate_typesz00,
							BGl_proc2641z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_varz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1430z00_1610, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2421z00zz__evaluate_typesz00,
							BGl_proc2646z00zz__evaluate_typesz00,
							BGl_proc2645z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					BgL_arg1950z00_1595 = BgL_v1430z00_1610;
				}
				{	/* Eval/evaluate_types.scm 114 */
					obj_t BgL_v1431z00_1659;

					BgL_v1431z00_1659 = create_vector((int) (((long) 0)));
					BgL_arg1951z00_1596 = BgL_v1431z00_1659;
				}
				BGl_ev_gotoz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2650z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 25746),
					BGl_proc2649z00zz__evaluate_typesz00,
					BGl_proc2648z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2647z00zz__evaluate_typesz00, BFALSE, BgL_arg1950z00_1595,
					BgL_arg1951z00_1596);
			}
			{	/* Eval/evaluate_types.scm 119 */
				obj_t BgL_arg1980z00_1666;
				obj_t BgL_arg1981z00_1667;

				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1432z00_1681;

					BgL_v1432z00_1681 = create_vector((int) (((long) 4)));
					VECTOR_SET(BgL_v1432z00_1681,
						(int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2654z00zz__evaluate_typesz00,
							BGl_proc2653z00zz__evaluate_typesz00,
							BGl_proc2652z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1432z00_1681, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2456z00zz__evaluate_typesz00,
							BGl_proc2657z00zz__evaluate_typesz00,
							BGl_proc2656z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1432z00_1681, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2660z00zz__evaluate_typesz00,
							BGl_proc2659z00zz__evaluate_typesz00,
							BGl_proc2658z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1432z00_1681, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2421z00zz__evaluate_typesz00,
							BGl_proc2663z00zz__evaluate_typesz00,
							BGl_proc2662z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					BgL_arg1980z00_1666 = BgL_v1432z00_1681;
				}
				{	/* Eval/evaluate_types.scm 119 */
					obj_t BgL_v1433z00_1730;

					BgL_v1433z00_1730 = create_vector((int) (((long) 0)));
					BgL_arg1981z00_1667 = BgL_v1433z00_1730;
				}
				BGl_ev_appz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2667z00zz__evaluate_typesz00,
					BGl_symbol2389z00zz__evaluate_typesz00,
					BGl_ev_exprz00zz__evaluate_typesz00, ((long) 55822),
					BGl_proc2666z00zz__evaluate_typesz00,
					BGl_proc2665z00zz__evaluate_typesz00, BFALSE,
					BGl_proc2664z00zz__evaluate_typesz00, BFALSE, BgL_arg1980z00_1666,
					BgL_arg1981z00_1667);
			}
			{	/* Eval/evaluate_types.scm 122 */
				obj_t BgL_arg2012z00_1737;
				obj_t BgL_arg2013z00_1738;

				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1434z00_1758;

					BgL_v1434z00_1758 = create_vector((int) (((long) 10)));
					VECTOR_SET(BgL_v1434z00_1758,
						(int) (((long) 9)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2591z00zz__evaluate_typesz00,
							BGl_proc2671z00zz__evaluate_typesz00,
							BGl_proc2670z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2669z00zz__evaluate_typesz00,
							BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1434z00_1758, (int) (((long) 8)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2675z00zz__evaluate_typesz00,
							BGl_proc2674z00zz__evaluate_typesz00,
							BGl_proc2673z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2672z00zz__evaluate_typesz00,
							BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1434z00_1758, (int) (((long) 7)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2680z00zz__evaluate_typesz00,
							BGl_proc2679z00zz__evaluate_typesz00,
							BGl_proc2678z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2677z00zz__evaluate_typesz00,
							BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1434z00_1758, (int) (((long) 6)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2685z00zz__evaluate_typesz00,
							BGl_proc2684z00zz__evaluate_typesz00,
							BGl_proc2683z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2682z00zz__evaluate_typesz00,
							BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1434z00_1758, (int) (((long) 5)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2690z00zz__evaluate_typesz00,
							BGl_proc2689z00zz__evaluate_typesz00,
							BGl_proc2688z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BGl_proc2687z00zz__evaluate_typesz00,
							BGl_symbol2692z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1434z00_1758, (int) (((long) 4)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2525z00zz__evaluate_typesz00,
							BGl_proc2695z00zz__evaluate_typesz00,
							BGl_proc2694z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_ev_exprz00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1434z00_1758, (int) (((long) 3)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2581z00zz__evaluate_typesz00,
							BGl_proc2697z00zz__evaluate_typesz00,
							BGl_proc2696z00zz__evaluate_typesz00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1434z00_1758, (int) (((long) 2)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2700z00zz__evaluate_typesz00,
							BGl_proc2699z00zz__evaluate_typesz00,
							BGl_proc2698z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1434z00_1758, (int) (((long) 1)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2704z00zz__evaluate_typesz00,
							BGl_proc2703z00zz__evaluate_typesz00,
							BGl_proc2702z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					VECTOR_SET(BgL_v1434z00_1758, (int) (((long) 0)),
						BGl_makezd2classzd2fieldz00zz__objectz00
						(BGl_symbol2421z00zz__evaluate_typesz00,
							BGl_proc2707z00zz__evaluate_typesz00,
							BGl_proc2706z00zz__evaluate_typesz00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_symbol2395z00zz__evaluate_typesz00));
					BgL_arg2012z00_1737 = BgL_v1434z00_1758;
				}
				{	/* Eval/evaluate_types.scm 122 */
					obj_t BgL_v1435z00_1894;

					BgL_v1435z00_1894 = create_vector((int) (((long) 0)));
					BgL_arg2013z00_1738 = BgL_v1435z00_1894;
				}
				return (BGl_ev_absz00zz__evaluate_typesz00 =
					BGl_registerzd2classz12zc0zz__objectz00
					(BGl_symbol2711z00zz__evaluate_typesz00,
						BGl_symbol2389z00zz__evaluate_typesz00,
						BGl_ev_exprz00zz__evaluate_typesz00, ((long) 22827),
						BGl_proc2710z00zz__evaluate_typesz00,
						BGl_proc2709z00zz__evaluate_typesz00, BFALSE,
						BGl_proc2708z00zz__evaluate_typesz00, BFALSE, BgL_arg2012z00_1737,
						BgL_arg2013z00_1738), BUNSPEC);
		}}
	}



/* &<anonymous:2020> */
	BgL_ev_absz00_bglt BGl_z62zc3anonymousza32020ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3202, obj_t BgL_new1193z00_3203)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{
				BgL_ev_absz00_bglt BgL_new1193z00_1756;

				BgL_new1193z00_1756 = ((BgL_ev_absz00_bglt) BgL_new1193z00_3203);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1193z00_1756))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1193z00_1756))->BgL_wherez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1193z00_1756))->BgL_arityz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1193z00_1756))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4224;

					{	/* Eval/evaluate_types.scm 122 */
						obj_t BgL_classz00_2777;

						BgL_classz00_2777 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 122 */
							obj_t BgL__ortest_1383z00_2778;

							BgL__ortest_1383z00_2778 = BGL_CLASS_NIL(BgL_classz00_2777);
							if (CBOOL(BgL__ortest_1383z00_2778))
								{	/* Eval/evaluate_types.scm 122 */
									BgL_auxz00_4224 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2778);
								}
							else
								{	/* Eval/evaluate_types.scm 122 */
									BgL_auxz00_4224 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2777));
								}
						}
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_new1193z00_1756))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4224), BUNSPEC);
				}
				((((BgL_ev_absz00_bglt) CREF(BgL_new1193z00_1756))->BgL_siza7eza7) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1193z00_1756))->BgL_bindz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1193z00_1756))->BgL_freez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1193z00_1756))->BgL_innerz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_absz00_bglt) CREF(BgL_new1193z00_1756))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1193z00_1756;
			}
		}
	}



/* &lambda2017 */
	BgL_ev_absz00_bglt BGl_z62lambda2017z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3204)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{

				{	/* Eval/evaluate_types.scm 122 */
					BgL_ev_absz00_bglt BgL_new1192z00_1754;

					BgL_new1192z00_1754 =
						((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_absz00_bgl))));
					{	/* Eval/evaluate_types.scm 122 */
						long BgL_arg2019z00_1755;

						{	/* Eval/evaluate_types.scm 122 */
							long BgL_res2347z00_2774;

							BgL_res2347z00_2774 =
								BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
							BgL_arg2019z00_1755 = BgL_res2347z00_2774;
						}
						{	/* Eval/evaluate_types.scm 122 */
							BgL_objectz00_bglt BgL_objz00_2775;

							BgL_objz00_2775 = ((BgL_objectz00_bglt) BgL_new1192z00_1754);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2775, BgL_arg2019z00_1755);
					}}
					{	/* Eval/evaluate_types.scm 122 */
						BgL_objectz00_bglt BgL_auxz00_4243;

						BgL_auxz00_4243 = ((BgL_objectz00_bglt) BgL_new1192z00_1754);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4243, BFALSE);
					}
					return BgL_new1192z00_1754;
				}
			}
		}
	}



/* &lambda2014 */
	BgL_ev_absz00_bglt BGl_z62lambda2014z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3205, obj_t BgL_loc1182z00_3206, obj_t BgL_where1183z00_3207,
		obj_t BgL_arity1184z00_3208, obj_t BgL_vars1185z00_3209,
		obj_t BgL_body1186z00_3210, obj_t BgL_siza7e1187za7_3211,
		obj_t BgL_bind1188z00_3212, obj_t BgL_free1189z00_3213,
		obj_t BgL_inner1190z00_3214, obj_t BgL_boxes1191z00_3215)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{
				obj_t BgL_loc1182z00_1739;
				obj_t BgL_where1183z00_1740;
				obj_t BgL_arity1184z00_1741;
				obj_t BgL_vars1185z00_1742;
				BgL_ev_exprz00_bglt BgL_body1186z00_1743;
				int BgL_siza7e1187za7_1744;
				obj_t BgL_bind1188z00_1745;
				obj_t BgL_free1189z00_1746;
				obj_t BgL_inner1190z00_1747;
				obj_t BgL_boxes1191z00_1748;

				BgL_loc1182z00_1739 = BgL_loc1182z00_3206;
				BgL_where1183z00_1740 = BgL_where1183z00_3207;
				BgL_arity1184z00_1741 = BgL_arity1184z00_3208;
				BgL_vars1185z00_1742 = BgL_vars1185z00_3209;
				BgL_body1186z00_1743 = ((BgL_ev_exprz00_bglt) BgL_body1186z00_3210);
				BgL_siza7e1187za7_1744 = CINT(BgL_siza7e1187za7_3211);
				BgL_bind1188z00_1745 = BgL_bind1188z00_3212;
				BgL_free1189z00_1746 = BgL_free1189z00_3213;
				BgL_inner1190z00_1747 = BgL_inner1190z00_3214;
				BgL_boxes1191z00_1748 = BgL_boxes1191z00_3215;
				{	/* Eval/evaluate_types.scm 122 */
					BgL_ev_absz00_bglt BgL_new1341z00_2766;

					{	/* Eval/evaluate_types.scm 122 */
						BgL_ev_absz00_bglt BgL_new1340z00_2767;

						BgL_new1340z00_2767 =
							((BgL_ev_absz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_absz00_bgl))));
						{	/* Eval/evaluate_types.scm 122 */
							long BgL_arg2016z00_2768;

							{	/* Eval/evaluate_types.scm 122 */
								long BgL_res2346z00_2770;

								BgL_res2346z00_2770 =
									BGL_CLASS_INDEX(BGl_ev_absz00zz__evaluate_typesz00);
								BgL_arg2016z00_2768 = BgL_res2346z00_2770;
							}
							{	/* Eval/evaluate_types.scm 122 */
								BgL_objectz00_bglt BgL_objz00_2771;

								BgL_objz00_2771 = ((BgL_objectz00_bglt) BgL_new1340z00_2767);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2771, BgL_arg2016z00_2768);
						}}
						{	/* Eval/evaluate_types.scm 122 */
							BgL_objectz00_bglt BgL_auxz00_4250;

							BgL_auxz00_4250 = ((BgL_objectz00_bglt) BgL_new1340z00_2767);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4250, BFALSE);
						}
						BgL_new1341z00_2766 = BgL_new1340z00_2767;
					}
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2766))->BgL_locz00) =
						((obj_t) BgL_loc1182z00_1739), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2766))->BgL_wherez00) =
						((obj_t) BgL_where1183z00_1740), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2766))->BgL_arityz00) =
						((obj_t) BgL_arity1184z00_1741), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2766))->BgL_varsz00) =
						((obj_t) BgL_vars1185z00_1742), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2766))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1186z00_1743), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2766))->BgL_siza7eza7) =
						((int) BgL_siza7e1187za7_1744), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2766))->BgL_bindz00) =
						((obj_t) BgL_bind1188z00_1745), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2766))->BgL_freez00) =
						((obj_t) BgL_free1189z00_1746), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2766))->BgL_innerz00) =
						((obj_t) BgL_inner1190z00_1747), BUNSPEC);
					((((BgL_ev_absz00_bglt) CREF(BgL_new1341z00_2766))->BgL_boxesz00) =
						((obj_t) BgL_boxes1191z00_1748), BUNSPEC);
					return BgL_new1341z00_2766;
				}
			}
		}
	}



/* &lambda2084 */
	obj_t BGl_z62lambda2084z62zz__evaluate_typesz00(obj_t BgL_envz00_3216,
		obj_t BgL_oz00_3217, obj_t BgL_vz00_3218)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				BgL_ev_absz00_bglt BgL_oz00_3677;

				BgL_oz00_3677 = ((BgL_ev_absz00_bglt) BgL_oz00_3217);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3677))->BgL_locz00) =
					((obj_t) BgL_vz00_3218), BUNSPEC);
			}
		}
	}



/* &lambda2083 */
	obj_t BGl_z62lambda2083z62zz__evaluate_typesz00(obj_t BgL_envz00_3219,
		obj_t BgL_oz00_3220)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3220)))->BgL_locz00);
		}
	}



/* &lambda2079 */
	obj_t BGl_z62lambda2079z62zz__evaluate_typesz00(obj_t BgL_envz00_3221,
		obj_t BgL_oz00_3222, obj_t BgL_vz00_3223)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				BgL_ev_absz00_bglt BgL_oz00_3680;

				BgL_oz00_3680 = ((BgL_ev_absz00_bglt) BgL_oz00_3222);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3680))->BgL_wherez00) =
					((obj_t) BgL_vz00_3223), BUNSPEC);
			}
		}
	}



/* &lambda2078 */
	obj_t BGl_z62lambda2078z62zz__evaluate_typesz00(obj_t BgL_envz00_3224,
		obj_t BgL_oz00_3225)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3225)))->BgL_wherez00);
		}
	}



/* &lambda2074 */
	obj_t BGl_z62lambda2074z62zz__evaluate_typesz00(obj_t BgL_envz00_3226,
		obj_t BgL_oz00_3227, obj_t BgL_vz00_3228)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				BgL_ev_absz00_bglt BgL_oz00_3683;

				BgL_oz00_3683 = ((BgL_ev_absz00_bglt) BgL_oz00_3227);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3683))->BgL_arityz00) =
					((obj_t) BgL_vz00_3228), BUNSPEC);
			}
		}
	}



/* &lambda2073 */
	obj_t BGl_z62lambda2073z62zz__evaluate_typesz00(obj_t BgL_envz00_3229,
		obj_t BgL_oz00_3230)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3230)))->BgL_arityz00);
		}
	}



/* &lambda2069 */
	obj_t BGl_z62lambda2069z62zz__evaluate_typesz00(obj_t BgL_envz00_3231,
		obj_t BgL_oz00_3232, obj_t BgL_vz00_3233)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				BgL_ev_absz00_bglt BgL_oz00_3686;

				BgL_oz00_3686 = ((BgL_ev_absz00_bglt) BgL_oz00_3232);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3686))->BgL_varsz00) =
					((obj_t) BgL_vz00_3233), BUNSPEC);
			}
		}
	}



/* &lambda2068 */
	obj_t BGl_z62lambda2068z62zz__evaluate_typesz00(obj_t BgL_envz00_3234,
		obj_t BgL_oz00_3235)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3235)))->BgL_varsz00);
		}
	}



/* &lambda2064 */
	obj_t BGl_z62lambda2064z62zz__evaluate_typesz00(obj_t BgL_envz00_3236,
		obj_t BgL_oz00_3237, obj_t BgL_vz00_3238)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				BgL_ev_absz00_bglt BgL_oz00_3689;
				BgL_ev_exprz00_bglt BgL_vz00_3690;

				BgL_oz00_3689 = ((BgL_ev_absz00_bglt) BgL_oz00_3237);
				BgL_vz00_3690 = ((BgL_ev_exprz00_bglt) BgL_vz00_3238);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3689))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3690), BUNSPEC);
			}
		}
	}



/* &lambda2063 */
	BgL_ev_exprz00_bglt BGl_z62lambda2063z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3239, obj_t BgL_oz00_3240)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3240)))->BgL_bodyz00);
		}
	}



/* &<anonymous:2059> */
	obj_t BGl_z62zc3anonymousza32059ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3241)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return BINT(((long) 0));
		}
	}



/* &lambda2058 */
	obj_t BGl_z62lambda2058z62zz__evaluate_typesz00(obj_t BgL_envz00_3242,
		obj_t BgL_oz00_3243, obj_t BgL_vz00_3244)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				BgL_ev_absz00_bglt BgL_oz00_3692;
				int BgL_vz00_3693;

				BgL_oz00_3692 = ((BgL_ev_absz00_bglt) BgL_oz00_3243);
				BgL_vz00_3693 = CINT(BgL_vz00_3244);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3692))->BgL_siza7eza7) =
					((int) BgL_vz00_3693), BUNSPEC);
		}}
	}



/* &lambda2057 */
	obj_t BGl_z62lambda2057z62zz__evaluate_typesz00(obj_t BgL_envz00_3245,
		obj_t BgL_oz00_3246)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				BINT(
				(((BgL_ev_absz00_bglt) CREF(
							((BgL_ev_absz00_bglt) BgL_oz00_3246)))->BgL_siza7eza7));
		}
	}



/* &<anonymous:2052> */
	obj_t BGl_z62zc3anonymousza32052ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3247)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
	}



/* &lambda2051 */
	obj_t BGl_z62lambda2051z62zz__evaluate_typesz00(obj_t BgL_envz00_3248,
		obj_t BgL_oz00_3249, obj_t BgL_vz00_3250)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				BgL_ev_absz00_bglt BgL_oz00_3695;

				BgL_oz00_3695 = ((BgL_ev_absz00_bglt) BgL_oz00_3249);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3695))->BgL_bindz00) =
					((obj_t) BgL_vz00_3250), BUNSPEC);
			}
		}
	}



/* &lambda2050 */
	obj_t BGl_z62lambda2050z62zz__evaluate_typesz00(obj_t BgL_envz00_3251,
		obj_t BgL_oz00_3252)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3252)))->BgL_bindz00);
		}
	}



/* &<anonymous:2044> */
	obj_t BGl_z62zc3anonymousza32044ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3253)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
	}



/* &lambda2043 */
	obj_t BGl_z62lambda2043z62zz__evaluate_typesz00(obj_t BgL_envz00_3254,
		obj_t BgL_oz00_3255, obj_t BgL_vz00_3256)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				BgL_ev_absz00_bglt BgL_oz00_3698;

				BgL_oz00_3698 = ((BgL_ev_absz00_bglt) BgL_oz00_3255);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3698))->BgL_freez00) =
					((obj_t) BgL_vz00_3256), BUNSPEC);
			}
		}
	}



/* &lambda2042 */
	obj_t BGl_z62lambda2042z62zz__evaluate_typesz00(obj_t BgL_envz00_3257,
		obj_t BgL_oz00_3258)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3258)))->BgL_freez00);
		}
	}



/* &<anonymous:2037> */
	obj_t BGl_z62zc3anonymousza32037ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3259)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
	}



/* &lambda2036 */
	obj_t BGl_z62lambda2036z62zz__evaluate_typesz00(obj_t BgL_envz00_3260,
		obj_t BgL_oz00_3261, obj_t BgL_vz00_3262)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				BgL_ev_absz00_bglt BgL_oz00_3701;

				BgL_oz00_3701 = ((BgL_ev_absz00_bglt) BgL_oz00_3261);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3701))->BgL_innerz00) =
					((obj_t) BgL_vz00_3262), BUNSPEC);
			}
		}
	}



/* &lambda2035 */
	obj_t BGl_z62lambda2035z62zz__evaluate_typesz00(obj_t BgL_envz00_3263,
		obj_t BgL_oz00_3264)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3264)))->BgL_innerz00);
		}
	}



/* &<anonymous:2029> */
	obj_t BGl_z62zc3anonymousza32029ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3265)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return BNIL;
		}
	}



/* &lambda2028 */
	obj_t BGl_z62lambda2028z62zz__evaluate_typesz00(obj_t BgL_envz00_3266,
		obj_t BgL_oz00_3267, obj_t BgL_vz00_3268)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			{	/* Eval/evaluate_types.scm 122 */
				BgL_ev_absz00_bglt BgL_oz00_3704;

				BgL_oz00_3704 = ((BgL_ev_absz00_bglt) BgL_oz00_3267);
				return
					((((BgL_ev_absz00_bglt) CREF(BgL_oz00_3704))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3268), BUNSPEC);
			}
		}
	}



/* &lambda2027 */
	obj_t BGl_z62lambda2027z62zz__evaluate_typesz00(obj_t BgL_envz00_3269,
		obj_t BgL_oz00_3270)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 122 */
			return
				(((BgL_ev_absz00_bglt) CREF(
						((BgL_ev_absz00_bglt) BgL_oz00_3270)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1986> */
	BgL_ev_appz00_bglt BGl_z62zc3anonymousza31986ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3271, obj_t BgL_new1180z00_3272)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			{
				BgL_ev_appz00_bglt BgL_new1180z00_1679;

				BgL_new1180z00_1679 = ((BgL_ev_appz00_bglt) BgL_new1180z00_3272);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1180z00_1679))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4310;

					{	/* Eval/evaluate_types.scm 119 */
						obj_t BgL_classz00_2714;

						BgL_classz00_2714 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 119 */
							obj_t BgL__ortest_1383z00_2715;

							BgL__ortest_1383z00_2715 = BGL_CLASS_NIL(BgL_classz00_2714);
							if (CBOOL(BgL__ortest_1383z00_2715))
								{	/* Eval/evaluate_types.scm 119 */
									BgL_auxz00_4310 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2715);
								}
							else
								{	/* Eval/evaluate_types.scm 119 */
									BgL_auxz00_4310 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2714));
								}
						}
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1180z00_1679))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4310), BUNSPEC);
				}
				((((BgL_ev_appz00_bglt) CREF(BgL_new1180z00_1679))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_appz00_bglt) CREF(BgL_new1180z00_1679))->BgL_tailzf3zf3) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1180z00_1679;
			}
		}
	}



/* &lambda1984 */
	BgL_ev_appz00_bglt BGl_z62lambda1984z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3273)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			{

				{	/* Eval/evaluate_types.scm 119 */
					BgL_ev_appz00_bglt BgL_new1179z00_1677;

					BgL_new1179z00_1677 =
						((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_appz00_bgl))));
					{	/* Eval/evaluate_types.scm 119 */
						long BgL_arg1985z00_1678;

						{	/* Eval/evaluate_types.scm 119 */
							long BgL_res2345z00_2711;

							BgL_res2345z00_2711 =
								BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
							BgL_arg1985z00_1678 = BgL_res2345z00_2711;
						}
						{	/* Eval/evaluate_types.scm 119 */
							BgL_objectz00_bglt BgL_objz00_2712;

							BgL_objz00_2712 = ((BgL_objectz00_bglt) BgL_new1179z00_1677);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2712, BgL_arg1985z00_1678);
					}}
					{	/* Eval/evaluate_types.scm 119 */
						BgL_objectz00_bglt BgL_auxz00_4325;

						BgL_auxz00_4325 = ((BgL_objectz00_bglt) BgL_new1179z00_1677);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4325, BFALSE);
					}
					return BgL_new1179z00_1677;
				}
			}
		}
	}



/* &lambda1982 */
	BgL_ev_appz00_bglt BGl_z62lambda1982z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3274, obj_t BgL_loc1174z00_3275, obj_t BgL_fun1176z00_3276,
		obj_t BgL_args1177z00_3277, obj_t BgL_tailzf31178zf3_3278)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			{
				obj_t BgL_loc1174z00_1668;
				BgL_ev_exprz00_bglt BgL_fun1176z00_1669;
				obj_t BgL_args1177z00_1670;
				obj_t BgL_tailzf31178zf3_1671;

				BgL_loc1174z00_1668 = BgL_loc1174z00_3275;
				BgL_fun1176z00_1669 = ((BgL_ev_exprz00_bglt) BgL_fun1176z00_3276);
				BgL_args1177z00_1670 = BgL_args1177z00_3277;
				BgL_tailzf31178zf3_1671 = BgL_tailzf31178zf3_3278;
				{	/* Eval/evaluate_types.scm 119 */
					BgL_ev_appz00_bglt BgL_new1331z00_2703;

					{	/* Eval/evaluate_types.scm 119 */
						BgL_ev_appz00_bglt BgL_new1330z00_2704;

						BgL_new1330z00_2704 =
							((BgL_ev_appz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_appz00_bgl))));
						{	/* Eval/evaluate_types.scm 119 */
							long BgL_arg1983z00_2705;

							{	/* Eval/evaluate_types.scm 119 */
								long BgL_res2344z00_2707;

								BgL_res2344z00_2707 =
									BGL_CLASS_INDEX(BGl_ev_appz00zz__evaluate_typesz00);
								BgL_arg1983z00_2705 = BgL_res2344z00_2707;
							}
							{	/* Eval/evaluate_types.scm 119 */
								BgL_objectz00_bglt BgL_objz00_2708;

								BgL_objz00_2708 = ((BgL_objectz00_bglt) BgL_new1330z00_2704);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2708, BgL_arg1983z00_2705);
						}}
						{	/* Eval/evaluate_types.scm 119 */
							BgL_objectz00_bglt BgL_auxz00_4332;

							BgL_auxz00_4332 = ((BgL_objectz00_bglt) BgL_new1330z00_2704);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4332, BFALSE);
						}
						BgL_new1331z00_2703 = BgL_new1330z00_2704;
					}
					((((BgL_ev_appz00_bglt) CREF(BgL_new1331z00_2703))->BgL_locz00) =
						((obj_t) BgL_loc1174z00_1668), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1331z00_2703))->BgL_funz00) =
						((BgL_ev_exprz00_bglt) BgL_fun1176z00_1669), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1331z00_2703))->BgL_argsz00) =
						((obj_t) BgL_args1177z00_1670), BUNSPEC);
					((((BgL_ev_appz00_bglt) CREF(BgL_new1331z00_2703))->BgL_tailzf3zf3) =
						((obj_t) BgL_tailzf31178zf3_1671), BUNSPEC);
					return BgL_new1331z00_2703;
				}
			}
		}
	}



/* &lambda2008 */
	obj_t BGl_z62lambda2008z62zz__evaluate_typesz00(obj_t BgL_envz00_3279,
		obj_t BgL_oz00_3280, obj_t BgL_vz00_3281)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_oz00_3707;

				BgL_oz00_3707 = ((BgL_ev_appz00_bglt) BgL_oz00_3280);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3707))->BgL_locz00) =
					((obj_t) BgL_vz00_3281), BUNSPEC);
			}
		}
	}



/* &lambda2007 */
	obj_t BGl_z62lambda2007z62zz__evaluate_typesz00(obj_t BgL_envz00_3282,
		obj_t BgL_oz00_3283)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3283)))->BgL_locz00);
		}
	}



/* &lambda2003 */
	obj_t BGl_z62lambda2003z62zz__evaluate_typesz00(obj_t BgL_envz00_3284,
		obj_t BgL_oz00_3285, obj_t BgL_vz00_3286)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_oz00_3710;
				BgL_ev_exprz00_bglt BgL_vz00_3711;

				BgL_oz00_3710 = ((BgL_ev_appz00_bglt) BgL_oz00_3285);
				BgL_vz00_3711 = ((BgL_ev_exprz00_bglt) BgL_vz00_3286);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3710))->BgL_funz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3711), BUNSPEC);
			}
		}
	}



/* &lambda2002 */
	BgL_ev_exprz00_bglt BGl_z62lambda2002z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3287, obj_t BgL_oz00_3288)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3288)))->BgL_funz00);
		}
	}



/* &lambda1998 */
	obj_t BGl_z62lambda1998z62zz__evaluate_typesz00(obj_t BgL_envz00_3289,
		obj_t BgL_oz00_3290, obj_t BgL_vz00_3291)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_oz00_3713;

				BgL_oz00_3713 = ((BgL_ev_appz00_bglt) BgL_oz00_3290);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3713))->BgL_argsz00) =
					((obj_t) BgL_vz00_3291), BUNSPEC);
			}
		}
	}



/* &lambda1997 */
	obj_t BGl_z62lambda1997z62zz__evaluate_typesz00(obj_t BgL_envz00_3292,
		obj_t BgL_oz00_3293)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3293)))->BgL_argsz00);
		}
	}



/* &lambda1992 */
	obj_t BGl_z62lambda1992z62zz__evaluate_typesz00(obj_t BgL_envz00_3294,
		obj_t BgL_oz00_3295, obj_t BgL_vz00_3296)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			{	/* Eval/evaluate_types.scm 119 */
				BgL_ev_appz00_bglt BgL_oz00_3716;

				BgL_oz00_3716 = ((BgL_ev_appz00_bglt) BgL_oz00_3295);
				return
					((((BgL_ev_appz00_bglt) CREF(BgL_oz00_3716))->BgL_tailzf3zf3) =
					((obj_t) BgL_vz00_3296), BUNSPEC);
			}
		}
	}



/* &lambda1991 */
	obj_t BGl_z62lambda1991z62zz__evaluate_typesz00(obj_t BgL_envz00_3297,
		obj_t BgL_oz00_3298)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 119 */
			return
				(((BgL_ev_appz00_bglt) CREF(
						((BgL_ev_appz00_bglt) BgL_oz00_3298)))->BgL_tailzf3zf3);
		}
	}



/* &<anonymous:1956> */
	BgL_ev_gotoz00_bglt
		BGl_z62zc3anonymousza31956ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3299,
		obj_t BgL_new1172z00_3300)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{
				BgL_ev_gotoz00_bglt BgL_new1172z00_1608;

				BgL_new1172z00_1608 = ((BgL_ev_gotoz00_bglt) BgL_new1172z00_3300);
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1172z00_1608))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_varz00_bglt BgL_auxz00_4358;

					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_classz00_2679;

						BgL_classz00_2679 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL__ortest_1383z00_2680;

							BgL__ortest_1383z00_2680 = BGL_CLASS_NIL(BgL_classz00_2679);
							if (CBOOL(BgL__ortest_1383z00_2680))
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4358 =
										((BgL_ev_varz00_bglt) BgL__ortest_1383z00_2680);
								}
							else
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4358 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2679));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1172z00_1608))->BgL_labelz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_4358), BUNSPEC);
				}
				{
					BgL_ev_labelsz00_bglt BgL_auxz00_4366;

					{	/* Eval/evaluate_types.scm 114 */
						obj_t BgL_classz00_2681;

						BgL_classz00_2681 = BGl_ev_labelsz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 114 */
							obj_t BgL__ortest_1383z00_2682;

							BgL__ortest_1383z00_2682 = BGL_CLASS_NIL(BgL_classz00_2681);
							if (CBOOL(BgL__ortest_1383z00_2682))
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4366 =
										((BgL_ev_labelsz00_bglt) BgL__ortest_1383z00_2682);
								}
							else
								{	/* Eval/evaluate_types.scm 114 */
									BgL_auxz00_4366 =
										((BgL_ev_labelsz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2681));
								}
						}
					}
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1172z00_1608))->BgL_labelsz00) =
						((BgL_ev_labelsz00_bglt) BgL_auxz00_4366), BUNSPEC);
				}
				((((BgL_ev_gotoz00_bglt) CREF(BgL_new1172z00_1608))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1172z00_1608;
			}
		}
	}



/* &lambda1954 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1954z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3301)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{

				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_gotoz00_bglt BgL_new1171z00_1606;

					BgL_new1171z00_1606 =
						((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_gotoz00_bgl))));
					{	/* Eval/evaluate_types.scm 114 */
						long BgL_arg1955z00_1607;

						{	/* Eval/evaluate_types.scm 114 */
							long BgL_res2343z00_2676;

							BgL_res2343z00_2676 =
								BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00);
							BgL_arg1955z00_1607 = BgL_res2343z00_2676;
						}
						{	/* Eval/evaluate_types.scm 114 */
							BgL_objectz00_bglt BgL_objz00_2677;

							BgL_objz00_2677 = ((BgL_objectz00_bglt) BgL_new1171z00_1606);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2677, BgL_arg1955z00_1607);
					}}
					{	/* Eval/evaluate_types.scm 114 */
						BgL_objectz00_bglt BgL_auxz00_4380;

						BgL_auxz00_4380 = ((BgL_objectz00_bglt) BgL_new1171z00_1606);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4380, BFALSE);
					}
					return BgL_new1171z00_1606;
				}
			}
		}
	}



/* &lambda1952 */
	BgL_ev_gotoz00_bglt BGl_z62lambda1952z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3302, obj_t BgL_loc1167z00_3303, obj_t BgL_label1168z00_3304,
		obj_t BgL_labels1169z00_3305, obj_t BgL_args1170z00_3306)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{
				obj_t BgL_loc1167z00_1597;
				BgL_ev_varz00_bglt BgL_label1168z00_1598;
				BgL_ev_labelsz00_bglt BgL_labels1169z00_1599;
				obj_t BgL_args1170z00_1600;

				BgL_loc1167z00_1597 = BgL_loc1167z00_3303;
				BgL_label1168z00_1598 = ((BgL_ev_varz00_bglt) BgL_label1168z00_3304);
				BgL_labels1169z00_1599 =
					((BgL_ev_labelsz00_bglt) BgL_labels1169z00_3305);
				BgL_args1170z00_1600 = BgL_args1170z00_3306;
				{	/* Eval/evaluate_types.scm 114 */
					BgL_ev_gotoz00_bglt BgL_new1321z00_2668;

					{	/* Eval/evaluate_types.scm 114 */
						BgL_ev_gotoz00_bglt BgL_new1320z00_2669;

						BgL_new1320z00_2669 =
							((BgL_ev_gotoz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_gotoz00_bgl))));
						{	/* Eval/evaluate_types.scm 114 */
							long BgL_arg1953z00_2670;

							{	/* Eval/evaluate_types.scm 114 */
								long BgL_res2342z00_2672;

								BgL_res2342z00_2672 =
									BGL_CLASS_INDEX(BGl_ev_gotoz00zz__evaluate_typesz00);
								BgL_arg1953z00_2670 = BgL_res2342z00_2672;
							}
							{	/* Eval/evaluate_types.scm 114 */
								BgL_objectz00_bglt BgL_objz00_2673;

								BgL_objz00_2673 = ((BgL_objectz00_bglt) BgL_new1320z00_2669);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2673, BgL_arg1953z00_2670);
						}}
						{	/* Eval/evaluate_types.scm 114 */
							BgL_objectz00_bglt BgL_auxz00_4387;

							BgL_auxz00_4387 = ((BgL_objectz00_bglt) BgL_new1320z00_2669);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4387, BFALSE);
						}
						BgL_new1321z00_2668 = BgL_new1320z00_2669;
					}
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1321z00_2668))->BgL_locz00) =
						((obj_t) BgL_loc1167z00_1597), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1321z00_2668))->BgL_labelz00) =
						((BgL_ev_varz00_bglt) BgL_label1168z00_1598), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1321z00_2668))->BgL_labelsz00) =
						((BgL_ev_labelsz00_bglt) BgL_labels1169z00_1599), BUNSPEC);
					((((BgL_ev_gotoz00_bglt) CREF(BgL_new1321z00_2668))->BgL_argsz00) =
						((obj_t) BgL_args1170z00_1600), BUNSPEC);
					return BgL_new1321z00_2668;
				}
			}
		}
	}



/* &lambda1976 */
	obj_t BGl_z62lambda1976z62zz__evaluate_typesz00(obj_t BgL_envz00_3307,
		obj_t BgL_oz00_3308, obj_t BgL_vz00_3309)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_oz00_3719;

				BgL_oz00_3719 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3308);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3719))->BgL_locz00) =
					((obj_t) BgL_vz00_3309), BUNSPEC);
			}
		}
	}



/* &lambda1975 */
	obj_t BGl_z62lambda1975z62zz__evaluate_typesz00(obj_t BgL_envz00_3310,
		obj_t BgL_oz00_3311)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3311)))->BgL_locz00);
		}
	}



/* &lambda1971 */
	obj_t BGl_z62lambda1971z62zz__evaluate_typesz00(obj_t BgL_envz00_3312,
		obj_t BgL_oz00_3313, obj_t BgL_vz00_3314)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_oz00_3722;
				BgL_ev_varz00_bglt BgL_vz00_3723;

				BgL_oz00_3722 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3313);
				BgL_vz00_3723 = ((BgL_ev_varz00_bglt) BgL_vz00_3314);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3722))->BgL_labelz00) =
					((BgL_ev_varz00_bglt) BgL_vz00_3723), BUNSPEC);
			}
		}
	}



/* &lambda1970 */
	BgL_ev_varz00_bglt BGl_z62lambda1970z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3315, obj_t BgL_oz00_3316)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3316)))->BgL_labelz00);
		}
	}



/* &lambda1966 */
	obj_t BGl_z62lambda1966z62zz__evaluate_typesz00(obj_t BgL_envz00_3317,
		obj_t BgL_oz00_3318, obj_t BgL_vz00_3319)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_oz00_3725;
				BgL_ev_labelsz00_bglt BgL_vz00_3726;

				BgL_oz00_3725 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3318);
				BgL_vz00_3726 = ((BgL_ev_labelsz00_bglt) BgL_vz00_3319);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3725))->BgL_labelsz00) =
					((BgL_ev_labelsz00_bglt) BgL_vz00_3726), BUNSPEC);
			}
		}
	}



/* &lambda1965 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1965z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3320, obj_t BgL_oz00_3321)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3321)))->BgL_labelsz00);
		}
	}



/* &lambda1961 */
	obj_t BGl_z62lambda1961z62zz__evaluate_typesz00(obj_t BgL_envz00_3322,
		obj_t BgL_oz00_3323, obj_t BgL_vz00_3324)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			{	/* Eval/evaluate_types.scm 114 */
				BgL_ev_gotoz00_bglt BgL_oz00_3728;

				BgL_oz00_3728 = ((BgL_ev_gotoz00_bglt) BgL_oz00_3323);
				return
					((((BgL_ev_gotoz00_bglt) CREF(BgL_oz00_3728))->BgL_argsz00) =
					((obj_t) BgL_vz00_3324), BUNSPEC);
			}
		}
	}



/* &lambda1960 */
	obj_t BGl_z62lambda1960z62zz__evaluate_typesz00(obj_t BgL_envz00_3325,
		obj_t BgL_oz00_3326)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 114 */
			return
				(((BgL_ev_gotoz00_bglt) CREF(
						((BgL_ev_gotoz00_bglt) BgL_oz00_3326)))->BgL_argsz00);
		}
	}



/* &<anonymous:1909> */
	BgL_ev_labelsz00_bglt
		BGl_z62zc3anonymousza31909ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3327,
		obj_t BgL_new1165z00_3328)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			{
				BgL_ev_labelsz00_bglt BgL_new1165z00_1504;

				BgL_new1165z00_1504 = ((BgL_ev_labelsz00_bglt) BgL_new1165z00_3328);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1165z00_1504))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1165z00_1504))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1165z00_1504))->BgL_envz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1165z00_1504))->BgL_stkz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4418;

					{	/* Eval/evaluate_types.scm 106 */
						obj_t BgL_classz00_2646;

						BgL_classz00_2646 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 106 */
							obj_t BgL__ortest_1383z00_2647;

							BgL__ortest_1383z00_2647 = BGL_CLASS_NIL(BgL_classz00_2646);
							if (CBOOL(BgL__ortest_1383z00_2647))
								{	/* Eval/evaluate_types.scm 106 */
									BgL_auxz00_4418 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2647);
								}
							else
								{	/* Eval/evaluate_types.scm 106 */
									BgL_auxz00_4418 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2646));
								}
						}
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1165z00_1504))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4418), BUNSPEC);
				}
				((((BgL_ev_labelsz00_bglt) CREF(BgL_new1165z00_1504))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1165z00_1504;
			}
		}
	}



/* &lambda1907 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1907z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3329)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			{

				{	/* Eval/evaluate_types.scm 106 */
					BgL_ev_labelsz00_bglt BgL_new1164z00_1502;

					BgL_new1164z00_1502 =
						((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_labelsz00_bgl))));
					{	/* Eval/evaluate_types.scm 106 */
						long BgL_arg1908z00_1503;

						{	/* Eval/evaluate_types.scm 106 */
							long BgL_res2341z00_2643;

							BgL_res2341z00_2643 =
								BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00);
							BgL_arg1908z00_1503 = BgL_res2341z00_2643;
						}
						{	/* Eval/evaluate_types.scm 106 */
							BgL_objectz00_bglt BgL_objz00_2644;

							BgL_objz00_2644 = ((BgL_objectz00_bglt) BgL_new1164z00_1502);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2644, BgL_arg1908z00_1503);
					}}
					{	/* Eval/evaluate_types.scm 106 */
						BgL_objectz00_bglt BgL_auxz00_4432;

						BgL_auxz00_4432 = ((BgL_objectz00_bglt) BgL_new1164z00_1502);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4432, BFALSE);
					}
					return BgL_new1164z00_1502;
				}
			}
		}
	}



/* &lambda1905 */
	BgL_ev_labelsz00_bglt BGl_z62lambda1905z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3330, obj_t BgL_vars1158z00_3331, obj_t BgL_vals1159z00_3332,
		obj_t BgL_env1160z00_3333, obj_t BgL_stk1161z00_3334,
		obj_t BgL_body1162z00_3335, obj_t BgL_boxes1163z00_3336)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			{
				obj_t BgL_vars1158z00_1491;
				obj_t BgL_vals1159z00_1492;
				obj_t BgL_env1160z00_1493;
				obj_t BgL_stk1161z00_1494;
				BgL_ev_exprz00_bglt BgL_body1162z00_1495;
				obj_t BgL_boxes1163z00_1496;

				BgL_vars1158z00_1491 = BgL_vars1158z00_3331;
				BgL_vals1159z00_1492 = BgL_vals1159z00_3332;
				BgL_env1160z00_1493 = BgL_env1160z00_3333;
				BgL_stk1161z00_1494 = BgL_stk1161z00_3334;
				BgL_body1162z00_1495 = ((BgL_ev_exprz00_bglt) BgL_body1162z00_3335);
				BgL_boxes1163z00_1496 = BgL_boxes1163z00_3336;
				{	/* Eval/evaluate_types.scm 106 */
					BgL_ev_labelsz00_bglt BgL_new1307z00_2635;

					{	/* Eval/evaluate_types.scm 106 */
						BgL_ev_labelsz00_bglt BgL_new1306z00_2636;

						BgL_new1306z00_2636 =
							((BgL_ev_labelsz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_labelsz00_bgl))));
						{	/* Eval/evaluate_types.scm 106 */
							long BgL_arg1906z00_2637;

							{	/* Eval/evaluate_types.scm 106 */
								long BgL_res2340z00_2639;

								BgL_res2340z00_2639 =
									BGL_CLASS_INDEX(BGl_ev_labelsz00zz__evaluate_typesz00);
								BgL_arg1906z00_2637 = BgL_res2340z00_2639;
							}
							{	/* Eval/evaluate_types.scm 106 */
								BgL_objectz00_bglt BgL_objz00_2640;

								BgL_objz00_2640 = ((BgL_objectz00_bglt) BgL_new1306z00_2636);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2640, BgL_arg1906z00_2637);
						}}
						{	/* Eval/evaluate_types.scm 106 */
							BgL_objectz00_bglt BgL_auxz00_4439;

							BgL_auxz00_4439 = ((BgL_objectz00_bglt) BgL_new1306z00_2636);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4439, BFALSE);
						}
						BgL_new1307z00_2635 = BgL_new1306z00_2636;
					}
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1307z00_2635))->BgL_varsz00) =
						((obj_t) BgL_vars1158z00_1491), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1307z00_2635))->BgL_valsz00) =
						((obj_t) BgL_vals1159z00_1492), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1307z00_2635))->BgL_envz00) =
						((obj_t) BgL_env1160z00_1493), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1307z00_2635))->BgL_stkz00) =
						((obj_t) BgL_stk1161z00_1494), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1307z00_2635))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1162z00_1495), BUNSPEC);
					((((BgL_ev_labelsz00_bglt) CREF(BgL_new1307z00_2635))->BgL_boxesz00) =
						((obj_t) BgL_boxes1163z00_1496), BUNSPEC);
					return BgL_new1307z00_2635;
				}
			}
		}
	}



/* &lambda1946 */
	obj_t BGl_z62lambda1946z62zz__evaluate_typesz00(obj_t BgL_envz00_3337,
		obj_t BgL_oz00_3338, obj_t BgL_vz00_3339)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_oz00_3731;

				BgL_oz00_3731 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3338);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3731))->BgL_varsz00) =
					((obj_t) BgL_vz00_3339), BUNSPEC);
			}
		}
	}



/* &lambda1945 */
	obj_t BGl_z62lambda1945z62zz__evaluate_typesz00(obj_t BgL_envz00_3340,
		obj_t BgL_oz00_3341)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3341)))->BgL_varsz00);
		}
	}



/* &lambda1941 */
	obj_t BGl_z62lambda1941z62zz__evaluate_typesz00(obj_t BgL_envz00_3342,
		obj_t BgL_oz00_3343, obj_t BgL_vz00_3344)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_oz00_3734;

				BgL_oz00_3734 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3343);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3734))->BgL_valsz00) =
					((obj_t) BgL_vz00_3344), BUNSPEC);
			}
		}
	}



/* &lambda1940 */
	obj_t BGl_z62lambda1940z62zz__evaluate_typesz00(obj_t BgL_envz00_3345,
		obj_t BgL_oz00_3346)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3346)))->BgL_valsz00);
		}
	}



/* &<anonymous:1936> */
	obj_t BGl_z62zc3anonymousza31936ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3347)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}
	}



/* &lambda1935 */
	obj_t BGl_z62lambda1935z62zz__evaluate_typesz00(obj_t BgL_envz00_3348,
		obj_t BgL_oz00_3349, obj_t BgL_vz00_3350)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_oz00_3737;

				BgL_oz00_3737 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3349);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3737))->BgL_envz00) =
					((obj_t) BgL_vz00_3350), BUNSPEC);
			}
		}
	}



/* &lambda1934 */
	obj_t BGl_z62lambda1934z62zz__evaluate_typesz00(obj_t BgL_envz00_3351,
		obj_t BgL_oz00_3352)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3352)))->BgL_envz00);
		}
	}



/* &<anonymous:1929> */
	obj_t BGl_z62zc3anonymousza31929ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3353)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}
	}



/* &lambda1928 */
	obj_t BGl_z62lambda1928z62zz__evaluate_typesz00(obj_t BgL_envz00_3354,
		obj_t BgL_oz00_3355, obj_t BgL_vz00_3356)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_oz00_3740;

				BgL_oz00_3740 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3355);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3740))->BgL_stkz00) =
					((obj_t) BgL_vz00_3356), BUNSPEC);
			}
		}
	}



/* &lambda1927 */
	obj_t BGl_z62lambda1927z62zz__evaluate_typesz00(obj_t BgL_envz00_3357,
		obj_t BgL_oz00_3358)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3358)))->BgL_stkz00);
		}
	}



/* &lambda1922 */
	obj_t BGl_z62lambda1922z62zz__evaluate_typesz00(obj_t BgL_envz00_3359,
		obj_t BgL_oz00_3360, obj_t BgL_vz00_3361)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_oz00_3743;
				BgL_ev_exprz00_bglt BgL_vz00_3744;

				BgL_oz00_3743 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3360);
				BgL_vz00_3744 = ((BgL_ev_exprz00_bglt) BgL_vz00_3361);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3743))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3744), BUNSPEC);
			}
		}
	}



/* &lambda1921 */
	BgL_ev_exprz00_bglt BGl_z62lambda1921z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3362, obj_t BgL_oz00_3363)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3363)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1916> */
	obj_t BGl_z62zc3anonymousza31916ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3364)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return BNIL;
		}
	}



/* &lambda1915 */
	obj_t BGl_z62lambda1915z62zz__evaluate_typesz00(obj_t BgL_envz00_3365,
		obj_t BgL_oz00_3366, obj_t BgL_vz00_3367)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			{	/* Eval/evaluate_types.scm 106 */
				BgL_ev_labelsz00_bglt BgL_oz00_3746;

				BgL_oz00_3746 = ((BgL_ev_labelsz00_bglt) BgL_oz00_3366);
				return
					((((BgL_ev_labelsz00_bglt) CREF(BgL_oz00_3746))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3367), BUNSPEC);
			}
		}
	}



/* &lambda1914 */
	obj_t BGl_z62lambda1914z62zz__evaluate_typesz00(obj_t BgL_envz00_3368,
		obj_t BgL_oz00_3369)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 106 */
			return
				(((BgL_ev_labelsz00_bglt) CREF(
						((BgL_ev_labelsz00_bglt) BgL_oz00_3369)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1899> */
	BgL_ev_letrecz00_bglt
		BGl_z62zc3anonymousza31899ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3370,
		obj_t BgL_new1156z00_3371)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 105 */
			{
				BgL_ev_letrecz00_bglt BgL_new1156z00_1479;

				BgL_new1156z00_1479 = ((BgL_ev_letrecz00_bglt) BgL_new1156z00_3371);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1156z00_1479)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1156z00_1479)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4478;

					{	/* Eval/evaluate_types.scm 105 */
						obj_t BgL_classz00_2603;

						BgL_classz00_2603 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 105 */
							obj_t BgL__ortest_1383z00_2604;

							BgL__ortest_1383z00_2604 = BGL_CLASS_NIL(BgL_classz00_2603);
							if (CBOOL(BgL__ortest_1383z00_2604))
								{	/* Eval/evaluate_types.scm 105 */
									BgL_auxz00_4478 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2604);
								}
							else
								{	/* Eval/evaluate_types.scm 105 */
									BgL_auxz00_4478 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2603));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1156z00_1479)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4478), BUNSPEC);
				}
				return BgL_new1156z00_1479;
			}
		}
	}



/* &lambda1897 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1897z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3372)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 105 */
			{

				{	/* Eval/evaluate_types.scm 105 */
					BgL_ev_letrecz00_bglt BgL_new1155z00_1477;

					BgL_new1155z00_1477 =
						((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letrecz00_bgl))));
					{	/* Eval/evaluate_types.scm 105 */
						long BgL_arg1898z00_1478;

						{	/* Eval/evaluate_types.scm 105 */
							long BgL_res2339z00_2600;

							BgL_res2339z00_2600 =
								BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00);
							BgL_arg1898z00_1478 = BgL_res2339z00_2600;
						}
						{	/* Eval/evaluate_types.scm 105 */
							BgL_objectz00_bglt BgL_objz00_2601;

							BgL_objz00_2601 = ((BgL_objectz00_bglt) BgL_new1155z00_1477);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2601, BgL_arg1898z00_1478);
					}}
					{	/* Eval/evaluate_types.scm 105 */
						BgL_objectz00_bglt BgL_auxz00_4492;

						BgL_auxz00_4492 = ((BgL_objectz00_bglt) BgL_new1155z00_1477);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4492, BFALSE);
					}
					return BgL_new1155z00_1477;
				}
			}
		}
	}



/* &lambda1895 */
	BgL_ev_letrecz00_bglt BGl_z62lambda1895z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3373, obj_t BgL_vars1152z00_3374, obj_t BgL_vals1153z00_3375,
		obj_t BgL_body1154z00_3376)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 105 */
			{
				obj_t BgL_vars1152z00_1469;
				obj_t BgL_vals1153z00_1470;
				BgL_ev_exprz00_bglt BgL_body1154z00_1471;

				BgL_vars1152z00_1469 = BgL_vars1152z00_3374;
				BgL_vals1153z00_1470 = BgL_vals1153z00_3375;
				BgL_body1154z00_1471 = ((BgL_ev_exprz00_bglt) BgL_body1154z00_3376);
				{	/* Eval/evaluate_types.scm 105 */
					BgL_ev_letrecz00_bglt BgL_new1304z00_2592;

					{	/* Eval/evaluate_types.scm 105 */
						BgL_ev_letrecz00_bglt BgL_new1303z00_2593;

						BgL_new1303z00_2593 =
							((BgL_ev_letrecz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letrecz00_bgl))));
						{	/* Eval/evaluate_types.scm 105 */
							long BgL_arg1896z00_2594;

							{	/* Eval/evaluate_types.scm 105 */
								long BgL_res2338z00_2596;

								BgL_res2338z00_2596 =
									BGL_CLASS_INDEX(BGl_ev_letrecz00zz__evaluate_typesz00);
								BgL_arg1896z00_2594 = BgL_res2338z00_2596;
							}
							{	/* Eval/evaluate_types.scm 105 */
								BgL_objectz00_bglt BgL_objz00_2597;

								BgL_objz00_2597 = ((BgL_objectz00_bglt) BgL_new1303z00_2593);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2597, BgL_arg1896z00_2594);
						}}
						{	/* Eval/evaluate_types.scm 105 */
							BgL_objectz00_bglt BgL_auxz00_4499;

							BgL_auxz00_4499 = ((BgL_objectz00_bglt) BgL_new1303z00_2593);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4499, BFALSE);
						}
						BgL_new1304z00_2592 = BgL_new1303z00_2593;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1304z00_2592)))->
							BgL_varsz00) = ((obj_t) BgL_vars1152z00_1469), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1304z00_2592)))->BgL_valsz00) =
						((obj_t) BgL_vals1153z00_1470), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1304z00_2592)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1154z00_1471), BUNSPEC);
					return BgL_new1304z00_2592;
				}
			}
		}
	}



/* &<anonymous:1882> */
	BgL_ev_letza2za2_bglt
		BGl_z62zc3anonymousza31882ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3377,
		obj_t BgL_new1150z00_3378)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			{
				BgL_ev_letza2za2_bglt BgL_new1150z00_1442;

				BgL_new1150z00_1442 = ((BgL_ev_letza2za2_bglt) BgL_new1150z00_3378);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1150z00_1442)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1150z00_1442)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4513;

					{	/* Eval/evaluate_types.scm 103 */
						obj_t BgL_classz00_2590;

						BgL_classz00_2590 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 103 */
							obj_t BgL__ortest_1383z00_2591;

							BgL__ortest_1383z00_2591 = BGL_CLASS_NIL(BgL_classz00_2590);
							if (CBOOL(BgL__ortest_1383z00_2591))
								{	/* Eval/evaluate_types.scm 103 */
									BgL_auxz00_4513 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2591);
								}
							else
								{	/* Eval/evaluate_types.scm 103 */
									BgL_auxz00_4513 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2590));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1150z00_1442)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4513), BUNSPEC);
				}
				((((BgL_ev_letza2za2_bglt) CREF(BgL_new1150z00_1442))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1150z00_1442;
			}
		}
	}



/* &lambda1880 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1880z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3379)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			{

				{	/* Eval/evaluate_types.scm 103 */
					BgL_ev_letza2za2_bglt BgL_new1149z00_1440;

					BgL_new1149z00_1440 =
						((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letza2za2_bgl))));
					{	/* Eval/evaluate_types.scm 103 */
						long BgL_arg1881z00_1441;

						{	/* Eval/evaluate_types.scm 103 */
							long BgL_res2337z00_2587;

							BgL_res2337z00_2587 =
								BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00);
							BgL_arg1881z00_1441 = BgL_res2337z00_2587;
						}
						{	/* Eval/evaluate_types.scm 103 */
							BgL_objectz00_bglt BgL_objz00_2588;

							BgL_objz00_2588 = ((BgL_objectz00_bglt) BgL_new1149z00_1440);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2588, BgL_arg1881z00_1441);
					}}
					{	/* Eval/evaluate_types.scm 103 */
						BgL_objectz00_bglt BgL_auxz00_4528;

						BgL_auxz00_4528 = ((BgL_objectz00_bglt) BgL_new1149z00_1440);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4528, BFALSE);
					}
					return BgL_new1149z00_1440;
				}
			}
		}
	}



/* &lambda1878 */
	BgL_ev_letza2za2_bglt BGl_z62lambda1878z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3380, obj_t BgL_vars1145z00_3381, obj_t BgL_vals1146z00_3382,
		obj_t BgL_body1147z00_3383, obj_t BgL_boxes1148z00_3384)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			{
				obj_t BgL_vars1145z00_1431;
				obj_t BgL_vals1146z00_1432;
				BgL_ev_exprz00_bglt BgL_body1147z00_1433;
				obj_t BgL_boxes1148z00_1434;

				BgL_vars1145z00_1431 = BgL_vars1145z00_3381;
				BgL_vals1146z00_1432 = BgL_vals1146z00_3382;
				BgL_body1147z00_1433 = ((BgL_ev_exprz00_bglt) BgL_body1147z00_3383);
				BgL_boxes1148z00_1434 = BgL_boxes1148z00_3384;
				{	/* Eval/evaluate_types.scm 103 */
					BgL_ev_letza2za2_bglt BgL_new1300z00_2579;

					{	/* Eval/evaluate_types.scm 103 */
						BgL_ev_letza2za2_bglt BgL_new1299z00_2580;

						BgL_new1299z00_2580 =
							((BgL_ev_letza2za2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letza2za2_bgl))));
						{	/* Eval/evaluate_types.scm 103 */
							long BgL_arg1879z00_2581;

							{	/* Eval/evaluate_types.scm 103 */
								long BgL_res2336z00_2583;

								BgL_res2336z00_2583 =
									BGL_CLASS_INDEX(BGl_ev_letza2za2zz__evaluate_typesz00);
								BgL_arg1879z00_2581 = BgL_res2336z00_2583;
							}
							{	/* Eval/evaluate_types.scm 103 */
								BgL_objectz00_bglt BgL_objz00_2584;

								BgL_objz00_2584 = ((BgL_objectz00_bglt) BgL_new1299z00_2580);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2584, BgL_arg1879z00_2581);
						}}
						{	/* Eval/evaluate_types.scm 103 */
							BgL_objectz00_bglt BgL_auxz00_4535;

							BgL_auxz00_4535 = ((BgL_objectz00_bglt) BgL_new1299z00_2580);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4535, BFALSE);
						}
						BgL_new1300z00_2579 = BgL_new1299z00_2580;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1300z00_2579)))->
							BgL_varsz00) = ((obj_t) BgL_vars1145z00_1431), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1300z00_2579)))->BgL_valsz00) =
						((obj_t) BgL_vals1146z00_1432), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1300z00_2579)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1147z00_1433), BUNSPEC);
					((((BgL_ev_letza2za2_bglt) CREF(BgL_new1300z00_2579))->BgL_boxesz00) =
						((obj_t) BgL_boxes1148z00_1434), BUNSPEC);
					return BgL_new1300z00_2579;
				}
			}
		}
	}



/* &<anonymous:1889> */
	obj_t BGl_z62zc3anonymousza31889ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3385)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			return BNIL;
		}
	}



/* &lambda1888 */
	obj_t BGl_z62lambda1888z62zz__evaluate_typesz00(obj_t BgL_envz00_3386,
		obj_t BgL_oz00_3387, obj_t BgL_vz00_3388)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			{	/* Eval/evaluate_types.scm 103 */
				BgL_ev_letza2za2_bglt BgL_oz00_3749;

				BgL_oz00_3749 = ((BgL_ev_letza2za2_bglt) BgL_oz00_3387);
				return
					((((BgL_ev_letza2za2_bglt) CREF(BgL_oz00_3749))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3388), BUNSPEC);
			}
		}
	}



/* &lambda1887 */
	obj_t BGl_z62lambda1887z62zz__evaluate_typesz00(obj_t BgL_envz00_3389,
		obj_t BgL_oz00_3390)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 103 */
			return
				(((BgL_ev_letza2za2_bglt) CREF(
						((BgL_ev_letza2za2_bglt) BgL_oz00_3390)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1865> */
	BgL_ev_letz00_bglt BGl_z62zc3anonymousza31865ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3391, obj_t BgL_new1143z00_3392)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{
				BgL_ev_letz00_bglt BgL_new1143z00_1404;

				BgL_new1143z00_1404 = ((BgL_ev_letz00_bglt) BgL_new1143z00_3392);
				((((BgL_ev_binderz00_bglt) CREF(
								((BgL_ev_binderz00_bglt) BgL_new1143z00_1404)))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
									BgL_new1143z00_1404)))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4554;

					{	/* Eval/evaluate_types.scm 101 */
						obj_t BgL_classz00_2572;

						BgL_classz00_2572 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 101 */
							obj_t BgL__ortest_1383z00_2573;

							BgL__ortest_1383z00_2573 = BGL_CLASS_NIL(BgL_classz00_2572);
							if (CBOOL(BgL__ortest_1383z00_2573))
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_4554 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2573);
								}
							else
								{	/* Eval/evaluate_types.scm 101 */
									BgL_auxz00_4554 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2572));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1143z00_1404)))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4554), BUNSPEC);
				}
				((((BgL_ev_letz00_bglt) CREF(BgL_new1143z00_1404))->BgL_boxesz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1143z00_1404;
			}
		}
	}



/* &lambda1863 */
	BgL_ev_letz00_bglt BGl_z62lambda1863z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3393)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{

				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_letz00_bglt BgL_new1142z00_1402;

					BgL_new1142z00_1402 =
						((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_letz00_bgl))));
					{	/* Eval/evaluate_types.scm 101 */
						long BgL_arg1864z00_1403;

						{	/* Eval/evaluate_types.scm 101 */
							long BgL_res2335z00_2569;

							BgL_res2335z00_2569 =
								BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00);
							BgL_arg1864z00_1403 = BgL_res2335z00_2569;
						}
						{	/* Eval/evaluate_types.scm 101 */
							BgL_objectz00_bglt BgL_objz00_2570;

							BgL_objz00_2570 = ((BgL_objectz00_bglt) BgL_new1142z00_1402);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2570, BgL_arg1864z00_1403);
					}}
					{	/* Eval/evaluate_types.scm 101 */
						BgL_objectz00_bglt BgL_auxz00_4569;

						BgL_auxz00_4569 = ((BgL_objectz00_bglt) BgL_new1142z00_1402);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4569, BFALSE);
					}
					return BgL_new1142z00_1402;
				}
			}
		}
	}



/* &lambda1861 */
	BgL_ev_letz00_bglt BGl_z62lambda1861z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3394, obj_t BgL_vars1138z00_3395, obj_t BgL_vals1139z00_3396,
		obj_t BgL_body1140z00_3397, obj_t BgL_boxes1141z00_3398)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{
				obj_t BgL_vars1138z00_1393;
				obj_t BgL_vals1139z00_1394;
				BgL_ev_exprz00_bglt BgL_body1140z00_1395;
				obj_t BgL_boxes1141z00_1396;

				BgL_vars1138z00_1393 = BgL_vars1138z00_3395;
				BgL_vals1139z00_1394 = BgL_vals1139z00_3396;
				BgL_body1140z00_1395 = ((BgL_ev_exprz00_bglt) BgL_body1140z00_3397);
				BgL_boxes1141z00_1396 = BgL_boxes1141z00_3398;
				{	/* Eval/evaluate_types.scm 101 */
					BgL_ev_letz00_bglt BgL_new1296z00_2561;

					{	/* Eval/evaluate_types.scm 101 */
						BgL_ev_letz00_bglt BgL_new1295z00_2562;

						BgL_new1295z00_2562 =
							((BgL_ev_letz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_letz00_bgl))));
						{	/* Eval/evaluate_types.scm 101 */
							long BgL_arg1862z00_2563;

							{	/* Eval/evaluate_types.scm 101 */
								long BgL_res2334z00_2565;

								BgL_res2334z00_2565 =
									BGL_CLASS_INDEX(BGl_ev_letz00zz__evaluate_typesz00);
								BgL_arg1862z00_2563 = BgL_res2334z00_2565;
							}
							{	/* Eval/evaluate_types.scm 101 */
								BgL_objectz00_bglt BgL_objz00_2566;

								BgL_objz00_2566 = ((BgL_objectz00_bglt) BgL_new1295z00_2562);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2566, BgL_arg1862z00_2563);
						}}
						{	/* Eval/evaluate_types.scm 101 */
							BgL_objectz00_bglt BgL_auxz00_4576;

							BgL_auxz00_4576 = ((BgL_objectz00_bglt) BgL_new1295z00_2562);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4576, BFALSE);
						}
						BgL_new1296z00_2561 = BgL_new1295z00_2562;
					}
					((((BgL_ev_binderz00_bglt) CREF(
									((BgL_ev_binderz00_bglt) BgL_new1296z00_2561)))->
							BgL_varsz00) = ((obj_t) BgL_vars1138z00_1393), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1296z00_2561)))->BgL_valsz00) =
						((obj_t) BgL_vals1139z00_1394), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(((BgL_ev_binderz00_bglt)
										BgL_new1296z00_2561)))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1140z00_1395), BUNSPEC);
					((((BgL_ev_letz00_bglt) CREF(BgL_new1296z00_2561))->BgL_boxesz00) =
						((obj_t) BgL_boxes1141z00_1396), BUNSPEC);
					return BgL_new1296z00_2561;
				}
			}
		}
	}



/* &<anonymous:1872> */
	obj_t BGl_z62zc3anonymousza31872ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3399)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return BNIL;
		}
	}



/* &lambda1871 */
	obj_t BGl_z62lambda1871z62zz__evaluate_typesz00(obj_t BgL_envz00_3400,
		obj_t BgL_oz00_3401, obj_t BgL_vz00_3402)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			{	/* Eval/evaluate_types.scm 101 */
				BgL_ev_letz00_bglt BgL_oz00_3752;

				BgL_oz00_3752 = ((BgL_ev_letz00_bglt) BgL_oz00_3401);
				return
					((((BgL_ev_letz00_bglt) CREF(BgL_oz00_3752))->BgL_boxesz00) =
					((obj_t) BgL_vz00_3402), BUNSPEC);
			}
		}
	}



/* &lambda1870 */
	obj_t BGl_z62lambda1870z62zz__evaluate_typesz00(obj_t BgL_envz00_3403,
		obj_t BgL_oz00_3404)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 101 */
			return
				(((BgL_ev_letz00_bglt) CREF(
						((BgL_ev_letz00_bglt) BgL_oz00_3404)))->BgL_boxesz00);
		}
	}



/* &<anonymous:1839> */
	BgL_ev_binderz00_bglt
		BGl_z62zc3anonymousza31839ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3405,
		obj_t BgL_new1136z00_3406)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			{
				BgL_ev_binderz00_bglt BgL_new1136z00_1345;

				BgL_new1136z00_1345 = ((BgL_ev_binderz00_bglt) BgL_new1136z00_3406);
				((((BgL_ev_binderz00_bglt) CREF(BgL_new1136z00_1345))->BgL_varsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_binderz00_bglt) CREF(BgL_new1136z00_1345))->BgL_valsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4593;

					{	/* Eval/evaluate_types.scm 97 */
						obj_t BgL_classz00_2554;

						BgL_classz00_2554 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 97 */
							obj_t BgL__ortest_1383z00_2555;

							BgL__ortest_1383z00_2555 = BGL_CLASS_NIL(BgL_classz00_2554);
							if (CBOOL(BgL__ortest_1383z00_2555))
								{	/* Eval/evaluate_types.scm 97 */
									BgL_auxz00_4593 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2555);
								}
							else
								{	/* Eval/evaluate_types.scm 97 */
									BgL_auxz00_4593 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2554));
								}
						}
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1136z00_1345))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4593), BUNSPEC);
				}
				return BgL_new1136z00_1345;
			}
		}
	}



/* &lambda1837 */
	BgL_ev_binderz00_bglt BGl_z62lambda1837z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3407)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			{

				{	/* Eval/evaluate_types.scm 97 */
					BgL_ev_binderz00_bglt BgL_new1135z00_1343;

					BgL_new1135z00_1343 =
						((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_binderz00_bgl))));
					{	/* Eval/evaluate_types.scm 97 */
						long BgL_arg1838z00_1344;

						{	/* Eval/evaluate_types.scm 97 */
							long BgL_res2333z00_2551;

							BgL_res2333z00_2551 =
								BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00);
							BgL_arg1838z00_1344 = BgL_res2333z00_2551;
						}
						{	/* Eval/evaluate_types.scm 97 */
							BgL_objectz00_bglt BgL_objz00_2552;

							BgL_objz00_2552 = ((BgL_objectz00_bglt) BgL_new1135z00_1343);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2552, BgL_arg1838z00_1344);
					}}
					{	/* Eval/evaluate_types.scm 97 */
						BgL_objectz00_bglt BgL_auxz00_4606;

						BgL_auxz00_4606 = ((BgL_objectz00_bglt) BgL_new1135z00_1343);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4606, BFALSE);
					}
					return BgL_new1135z00_1343;
				}
			}
		}
	}



/* &lambda1835 */
	BgL_ev_binderz00_bglt BGl_z62lambda1835z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3408, obj_t BgL_vars1132z00_3409, obj_t BgL_vals1133z00_3410,
		obj_t BgL_body1134z00_3411)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			{
				obj_t BgL_vars1132z00_1335;
				obj_t BgL_vals1133z00_1336;
				BgL_ev_exprz00_bglt BgL_body1134z00_1337;

				BgL_vars1132z00_1335 = BgL_vars1132z00_3409;
				BgL_vals1133z00_1336 = BgL_vals1133z00_3410;
				BgL_body1134z00_1337 = ((BgL_ev_exprz00_bglt) BgL_body1134z00_3411);
				{	/* Eval/evaluate_types.scm 97 */
					BgL_ev_binderz00_bglt BgL_new1288z00_2543;

					{	/* Eval/evaluate_types.scm 97 */
						BgL_ev_binderz00_bglt BgL_new1287z00_2544;

						BgL_new1287z00_2544 =
							((BgL_ev_binderz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_binderz00_bgl))));
						{	/* Eval/evaluate_types.scm 97 */
							long BgL_arg1836z00_2545;

							{	/* Eval/evaluate_types.scm 97 */
								long BgL_res2332z00_2547;

								BgL_res2332z00_2547 =
									BGL_CLASS_INDEX(BGl_ev_binderz00zz__evaluate_typesz00);
								BgL_arg1836z00_2545 = BgL_res2332z00_2547;
							}
							{	/* Eval/evaluate_types.scm 97 */
								BgL_objectz00_bglt BgL_objz00_2548;

								BgL_objz00_2548 = ((BgL_objectz00_bglt) BgL_new1287z00_2544);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2548, BgL_arg1836z00_2545);
						}}
						{	/* Eval/evaluate_types.scm 97 */
							BgL_objectz00_bglt BgL_auxz00_4613;

							BgL_auxz00_4613 = ((BgL_objectz00_bglt) BgL_new1287z00_2544);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4613, BFALSE);
						}
						BgL_new1288z00_2543 = BgL_new1287z00_2544;
					}
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1288z00_2543))->BgL_varsz00) =
						((obj_t) BgL_vars1132z00_1335), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1288z00_2543))->BgL_valsz00) =
						((obj_t) BgL_vals1133z00_1336), BUNSPEC);
					((((BgL_ev_binderz00_bglt) CREF(BgL_new1288z00_2543))->BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1134z00_1337), BUNSPEC);
					return BgL_new1288z00_2543;
				}
			}
		}
	}



/* &lambda1855 */
	obj_t BGl_z62lambda1855z62zz__evaluate_typesz00(obj_t BgL_envz00_3412,
		obj_t BgL_oz00_3413, obj_t BgL_vz00_3414)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_binderz00_bglt BgL_oz00_3755;

				BgL_oz00_3755 = ((BgL_ev_binderz00_bglt) BgL_oz00_3413);
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_3755))->BgL_varsz00) =
					((obj_t) BgL_vz00_3414), BUNSPEC);
			}
		}
	}



/* &lambda1854 */
	obj_t BGl_z62lambda1854z62zz__evaluate_typesz00(obj_t BgL_envz00_3415,
		obj_t BgL_oz00_3416)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3416)))->BgL_varsz00);
		}
	}



/* &lambda1850 */
	obj_t BGl_z62lambda1850z62zz__evaluate_typesz00(obj_t BgL_envz00_3417,
		obj_t BgL_oz00_3418, obj_t BgL_vz00_3419)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_binderz00_bglt BgL_oz00_3758;

				BgL_oz00_3758 = ((BgL_ev_binderz00_bglt) BgL_oz00_3418);
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_3758))->BgL_valsz00) =
					((obj_t) BgL_vz00_3419), BUNSPEC);
			}
		}
	}



/* &lambda1849 */
	obj_t BGl_z62lambda1849z62zz__evaluate_typesz00(obj_t BgL_envz00_3420,
		obj_t BgL_oz00_3421)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3421)))->BgL_valsz00);
		}
	}



/* &lambda1845 */
	obj_t BGl_z62lambda1845z62zz__evaluate_typesz00(obj_t BgL_envz00_3422,
		obj_t BgL_oz00_3423, obj_t BgL_vz00_3424)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			{	/* Eval/evaluate_types.scm 97 */
				BgL_ev_binderz00_bglt BgL_oz00_3761;
				BgL_ev_exprz00_bglt BgL_vz00_3762;

				BgL_oz00_3761 = ((BgL_ev_binderz00_bglt) BgL_oz00_3423);
				BgL_vz00_3762 = ((BgL_ev_exprz00_bglt) BgL_vz00_3424);
				return
					((((BgL_ev_binderz00_bglt) CREF(BgL_oz00_3761))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3762), BUNSPEC);
			}
		}
	}



/* &lambda1844 */
	BgL_ev_exprz00_bglt BGl_z62lambda1844z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3425, obj_t BgL_oz00_3426)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 97 */
			return
				(((BgL_ev_binderz00_bglt) CREF(
						((BgL_ev_binderz00_bglt) BgL_oz00_3426)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1807> */
	BgL_ev_synchroniza7eza7_bglt
		BGl_z62zc3anonymousza31807ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3427,
		obj_t BgL_new1130z00_3428)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{
				BgL_ev_synchroniza7eza7_bglt BgL_new1130z00_1275;

				BgL_new1130z00_1275 =
					((BgL_ev_synchroniza7eza7_bglt) BgL_new1130z00_3428);
				((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1130z00_1275))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4634;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_2522;

						BgL_classz00_2522 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1383z00_2523;

							BgL__ortest_1383z00_2523 = BGL_CLASS_NIL(BgL_classz00_2522);
							if (CBOOL(BgL__ortest_1383z00_2523))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4634 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2523);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4634 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2522));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1130z00_1275))->
							BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4634), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4642;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_2524;

						BgL_classz00_2524 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1383z00_2525;

							BgL__ortest_1383z00_2525 = BGL_CLASS_NIL(BgL_classz00_2524);
							if (CBOOL(BgL__ortest_1383z00_2525))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4642 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2525);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4642 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2524));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1130z00_1275))->
							BgL_prelockz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4642), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4650;

					{	/* Eval/evaluate_types.scm 92 */
						obj_t BgL_classz00_2526;

						BgL_classz00_2526 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 92 */
							obj_t BgL__ortest_1383z00_2527;

							BgL__ortest_1383z00_2527 = BGL_CLASS_NIL(BgL_classz00_2526);
							if (CBOOL(BgL__ortest_1383z00_2527))
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4650 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2527);
								}
							else
								{	/* Eval/evaluate_types.scm 92 */
									BgL_auxz00_4650 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2526));
								}
						}
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1130z00_1275))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4650), BUNSPEC);
				}
				return BgL_new1130z00_1275;
			}
		}
	}



/* &lambda1805 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1805z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3429)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{

				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_synchroniza7eza7_bglt BgL_new1129z00_1273;

					BgL_new1129z00_1273 =
						((BgL_ev_synchroniza7eza7_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_synchroniza7eza7_bgl))));
					{	/* Eval/evaluate_types.scm 92 */
						long BgL_arg1806z00_1274;

						{	/* Eval/evaluate_types.scm 92 */
							long BgL_res2331z00_2519;

							BgL_res2331z00_2519 =
								BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
							BgL_arg1806z00_1274 = BgL_res2331z00_2519;
						}
						{	/* Eval/evaluate_types.scm 92 */
							BgL_objectz00_bglt BgL_objz00_2520;

							BgL_objz00_2520 = ((BgL_objectz00_bglt) BgL_new1129z00_1273);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2520, BgL_arg1806z00_1274);
					}}
					{	/* Eval/evaluate_types.scm 92 */
						BgL_objectz00_bglt BgL_auxz00_4663;

						BgL_auxz00_4663 = ((BgL_objectz00_bglt) BgL_new1129z00_1273);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4663, BFALSE);
					}
					return BgL_new1129z00_1273;
				}
			}
		}
	}



/* &lambda1803 */
	BgL_ev_synchroniza7eza7_bglt BGl_z62lambda1803z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3430, obj_t BgL_loc1124z00_3431, obj_t BgL_mutex1125z00_3432,
		obj_t BgL_prelock1126z00_3433, obj_t BgL_body1127z00_3434)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{
				obj_t BgL_loc1124z00_1264;
				BgL_ev_exprz00_bglt BgL_mutex1125z00_1265;
				BgL_ev_exprz00_bglt BgL_prelock1126z00_1266;
				BgL_ev_exprz00_bglt BgL_body1127z00_1267;

				BgL_loc1124z00_1264 = BgL_loc1124z00_3431;
				BgL_mutex1125z00_1265 = ((BgL_ev_exprz00_bglt) BgL_mutex1125z00_3432);
				BgL_prelock1126z00_1266 =
					((BgL_ev_exprz00_bglt) BgL_prelock1126z00_3433);
				BgL_body1127z00_1267 = ((BgL_ev_exprz00_bglt) BgL_body1127z00_3434);
				{	/* Eval/evaluate_types.scm 92 */
					BgL_ev_synchroniza7eza7_bglt BgL_new1278z00_2511;

					{	/* Eval/evaluate_types.scm 92 */
						BgL_ev_synchroniza7eza7_bglt BgL_new1277z00_2512;

						BgL_new1277z00_2512 =
							((BgL_ev_synchroniza7eza7_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_synchroniza7eza7_bgl))));
						{	/* Eval/evaluate_types.scm 92 */
							long BgL_arg1804z00_2513;

							{	/* Eval/evaluate_types.scm 92 */
								long BgL_res2330z00_2515;

								BgL_res2330z00_2515 =
									BGL_CLASS_INDEX(BGl_ev_synchroniza7eza7zz__evaluate_typesz00);
								BgL_arg1804z00_2513 = BgL_res2330z00_2515;
							}
							{	/* Eval/evaluate_types.scm 92 */
								BgL_objectz00_bglt BgL_objz00_2516;

								BgL_objz00_2516 = ((BgL_objectz00_bglt) BgL_new1277z00_2512);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2516, BgL_arg1804z00_2513);
						}}
						{	/* Eval/evaluate_types.scm 92 */
							BgL_objectz00_bglt BgL_auxz00_4670;

							BgL_auxz00_4670 = ((BgL_objectz00_bglt) BgL_new1277z00_2512);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4670, BFALSE);
						}
						BgL_new1278z00_2511 = BgL_new1277z00_2512;
					}
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1278z00_2511))->
							BgL_locz00) = ((obj_t) BgL_loc1124z00_1264), BUNSPEC);
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1278z00_2511))->
							BgL_mutexz00) =
						((BgL_ev_exprz00_bglt) BgL_mutex1125z00_1265), BUNSPEC);
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1278z00_2511))->
							BgL_prelockz00) =
						((BgL_ev_exprz00_bglt) BgL_prelock1126z00_1266), BUNSPEC);
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_new1278z00_2511))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1127z00_1267), BUNSPEC);
					return BgL_new1278z00_2511;
				}
			}
		}
	}



/* &lambda1829 */
	obj_t BGl_z62lambda1829z62zz__evaluate_typesz00(obj_t BgL_envz00_3435,
		obj_t BgL_oz00_3436, obj_t BgL_vz00_3437)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_oz00_3764;

				BgL_oz00_3764 = ((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3436);
				return
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_oz00_3764))->BgL_locz00) =
					((obj_t) BgL_vz00_3437), BUNSPEC);
			}
		}
	}



/* &lambda1828 */
	obj_t BGl_z62lambda1828z62zz__evaluate_typesz00(obj_t BgL_envz00_3438,
		obj_t BgL_oz00_3439)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) CREF(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3439)))->BgL_locz00);
		}
	}



/* &lambda1824 */
	obj_t BGl_z62lambda1824z62zz__evaluate_typesz00(obj_t BgL_envz00_3440,
		obj_t BgL_oz00_3441, obj_t BgL_vz00_3442)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_oz00_3767;
				BgL_ev_exprz00_bglt BgL_vz00_3768;

				BgL_oz00_3767 = ((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3441);
				BgL_vz00_3768 = ((BgL_ev_exprz00_bglt) BgL_vz00_3442);
				return
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_oz00_3767))->
						BgL_mutexz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3768), BUNSPEC);
			}
		}
	}



/* &lambda1823 */
	BgL_ev_exprz00_bglt BGl_z62lambda1823z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3443, obj_t BgL_oz00_3444)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) CREF(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3444)))->BgL_mutexz00);
		}
	}



/* &lambda1818 */
	obj_t BGl_z62lambda1818z62zz__evaluate_typesz00(obj_t BgL_envz00_3445,
		obj_t BgL_oz00_3446, obj_t BgL_vz00_3447)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_oz00_3770;
				BgL_ev_exprz00_bglt BgL_vz00_3771;

				BgL_oz00_3770 = ((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3446);
				BgL_vz00_3771 = ((BgL_ev_exprz00_bglt) BgL_vz00_3447);
				return
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_oz00_3770))->
						BgL_prelockz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3771), BUNSPEC);
			}
		}
	}



/* &lambda1817 */
	BgL_ev_exprz00_bglt BGl_z62lambda1817z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3448, obj_t BgL_oz00_3449)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) CREF(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3449)))->BgL_prelockz00);
		}
	}



/* &lambda1812 */
	obj_t BGl_z62lambda1812z62zz__evaluate_typesz00(obj_t BgL_envz00_3450,
		obj_t BgL_oz00_3451, obj_t BgL_vz00_3452)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			{	/* Eval/evaluate_types.scm 92 */
				BgL_ev_synchroniza7eza7_bglt BgL_oz00_3773;
				BgL_ev_exprz00_bglt BgL_vz00_3774;

				BgL_oz00_3773 = ((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3451);
				BgL_vz00_3774 = ((BgL_ev_exprz00_bglt) BgL_vz00_3452);
				return
					((((BgL_ev_synchroniza7eza7_bglt) CREF(BgL_oz00_3773))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3774), BUNSPEC);
			}
		}
	}



/* &lambda1811 */
	BgL_ev_exprz00_bglt BGl_z62lambda1811z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3453, obj_t BgL_oz00_3454)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 92 */
			return
				(((BgL_ev_synchroniza7eza7_bglt) CREF(
						((BgL_ev_synchroniza7eza7_bglt) BgL_oz00_3454)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1787> */
	BgL_ev_withzd2handlerzd2_bglt
		BGl_z62zc3anonymousza31787ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3455,
		obj_t BgL_new1122z00_3456)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_withzd2handlerzd2_bglt BgL_new1122z00_1228;

				BgL_new1122z00_1228 =
					((BgL_ev_withzd2handlerzd2_bglt) BgL_new1122z00_3456);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4699;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_2487;

						BgL_classz00_2487 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1383z00_2488;

							BgL__ortest_1383z00_2488 = BGL_CLASS_NIL(BgL_classz00_2487);
							if (CBOOL(BgL__ortest_1383z00_2488))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4699 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2488);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4699 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2487));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1122z00_1228))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4699), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4707;

					{	/* Eval/evaluate_types.scm 89 */
						obj_t BgL_classz00_2489;

						BgL_classz00_2489 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 89 */
							obj_t BgL__ortest_1383z00_2490;

							BgL__ortest_1383z00_2490 = BGL_CLASS_NIL(BgL_classz00_2489);
							if (CBOOL(BgL__ortest_1383z00_2490))
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4707 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2490);
								}
							else
								{	/* Eval/evaluate_types.scm 89 */
									BgL_auxz00_4707 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2489));
								}
						}
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1122z00_1228))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4707), BUNSPEC);
				}
				return BgL_new1122z00_1228;
			}
		}
	}



/* &lambda1785 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1785z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3457)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{

				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1121z00_1226;

					BgL_new1121z00_1226 =
						((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_withzd2handlerzd2_bgl))));
					{	/* Eval/evaluate_types.scm 89 */
						long BgL_arg1786z00_1227;

						{	/* Eval/evaluate_types.scm 89 */
							long BgL_res2329z00_2484;

							BgL_res2329z00_2484 =
								BGL_CLASS_INDEX(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
							BgL_arg1786z00_1227 = BgL_res2329z00_2484;
						}
						{	/* Eval/evaluate_types.scm 89 */
							BgL_objectz00_bglt BgL_objz00_2485;

							BgL_objz00_2485 = ((BgL_objectz00_bglt) BgL_new1121z00_1226);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2485, BgL_arg1786z00_1227);
					}}
					{	/* Eval/evaluate_types.scm 89 */
						BgL_objectz00_bglt BgL_auxz00_4720;

						BgL_auxz00_4720 = ((BgL_objectz00_bglt) BgL_new1121z00_1226);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4720, BFALSE);
					}
					return BgL_new1121z00_1226;
				}
			}
		}
	}



/* &lambda1783 */
	BgL_ev_withzd2handlerzd2_bglt BGl_z62lambda1783z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3458, obj_t BgL_handler1119z00_3459, obj_t BgL_body1120z00_3460)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{
				BgL_ev_exprz00_bglt BgL_handler1119z00_1219;
				BgL_ev_exprz00_bglt BgL_body1120z00_1220;

				BgL_handler1119z00_1219 =
					((BgL_ev_exprz00_bglt) BgL_handler1119z00_3459);
				BgL_body1120z00_1220 = ((BgL_ev_exprz00_bglt) BgL_body1120z00_3460);
				{	/* Eval/evaluate_types.scm 89 */
					BgL_ev_withzd2handlerzd2_bglt BgL_new1272z00_2476;

					{	/* Eval/evaluate_types.scm 89 */
						BgL_ev_withzd2handlerzd2_bglt BgL_new1271z00_2477;

						BgL_new1271z00_2477 =
							((BgL_ev_withzd2handlerzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_withzd2handlerzd2_bgl))));
						{	/* Eval/evaluate_types.scm 89 */
							long BgL_arg1784z00_2478;

							{	/* Eval/evaluate_types.scm 89 */
								long BgL_res2328z00_2480;

								BgL_res2328z00_2480 =
									BGL_CLASS_INDEX
									(BGl_ev_withzd2handlerzd2zz__evaluate_typesz00);
								BgL_arg1784z00_2478 = BgL_res2328z00_2480;
							}
							{	/* Eval/evaluate_types.scm 89 */
								BgL_objectz00_bglt BgL_objz00_2481;

								BgL_objz00_2481 = ((BgL_objectz00_bglt) BgL_new1271z00_2477);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2481, BgL_arg1784z00_2478);
						}}
						{	/* Eval/evaluate_types.scm 89 */
							BgL_objectz00_bglt BgL_auxz00_4727;

							BgL_auxz00_4727 = ((BgL_objectz00_bglt) BgL_new1271z00_2477);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4727, BFALSE);
						}
						BgL_new1272z00_2476 = BgL_new1271z00_2477;
					}
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1272z00_2476))->
							BgL_handlerz00) =
						((BgL_ev_exprz00_bglt) BgL_handler1119z00_1219), BUNSPEC);
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_new1272z00_2476))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1120z00_1220), BUNSPEC);
					return BgL_new1272z00_2476;
				}
			}
		}
	}



/* &lambda1797 */
	obj_t BGl_z62lambda1797z62zz__evaluate_typesz00(obj_t BgL_envz00_3461,
		obj_t BgL_oz00_3462, obj_t BgL_vz00_3463)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_oz00_3776;
				BgL_ev_exprz00_bglt BgL_vz00_3777;

				BgL_oz00_3776 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3462);
				BgL_vz00_3777 = ((BgL_ev_exprz00_bglt) BgL_vz00_3463);
				return
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_oz00_3776))->
						BgL_handlerz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3777), BUNSPEC);
			}
		}
	}



/* &lambda1796 */
	BgL_ev_exprz00_bglt BGl_z62lambda1796z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3464, obj_t BgL_oz00_3465)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) CREF(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3465)))->BgL_handlerz00);
		}
	}



/* &lambda1792 */
	obj_t BGl_z62lambda1792z62zz__evaluate_typesz00(obj_t BgL_envz00_3466,
		obj_t BgL_oz00_3467, obj_t BgL_vz00_3468)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			{	/* Eval/evaluate_types.scm 89 */
				BgL_ev_withzd2handlerzd2_bglt BgL_oz00_3779;
				BgL_ev_exprz00_bglt BgL_vz00_3780;

				BgL_oz00_3779 = ((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3467);
				BgL_vz00_3780 = ((BgL_ev_exprz00_bglt) BgL_vz00_3468);
				return
					((((BgL_ev_withzd2handlerzd2_bglt) CREF(BgL_oz00_3779))->
						BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3780), BUNSPEC);
			}
		}
	}



/* &lambda1791 */
	BgL_ev_exprz00_bglt BGl_z62lambda1791z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3469, obj_t BgL_oz00_3470)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 89 */
			return
				(((BgL_ev_withzd2handlerzd2_bglt) CREF(
						((BgL_ev_withzd2handlerzd2_bglt) BgL_oz00_3470)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1766> */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62zc3anonymousza31766ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3471,
		obj_t BgL_new1117z00_3472)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_unwindzd2protectzd2_bglt BgL_new1117z00_1183;

				BgL_new1117z00_1183 =
					((BgL_ev_unwindzd2protectzd2_bglt) BgL_new1117z00_3472);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4744;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_2462;

						BgL_classz00_2462 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1383z00_2463;

							BgL__ortest_1383z00_2463 = BGL_CLASS_NIL(BgL_classz00_2462);
							if (CBOOL(BgL__ortest_1383z00_2463))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4744 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2463);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4744 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2462));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1117z00_1183))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4744), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4752;

					{	/* Eval/evaluate_types.scm 86 */
						obj_t BgL_classz00_2464;

						BgL_classz00_2464 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 86 */
							obj_t BgL__ortest_1383z00_2465;

							BgL__ortest_1383z00_2465 = BGL_CLASS_NIL(BgL_classz00_2464);
							if (CBOOL(BgL__ortest_1383z00_2465))
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4752 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2465);
								}
							else
								{	/* Eval/evaluate_types.scm 86 */
									BgL_auxz00_4752 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2464));
								}
						}
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1117z00_1183))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4752), BUNSPEC);
				}
				return BgL_new1117z00_1183;
			}
		}
	}



/* &lambda1764 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1764z62zz__evaluate_typesz00(obj_t BgL_envz00_3473)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{

				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1116z00_1181;

					BgL_new1116z00_1181 =
						((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_unwindzd2protectzd2_bgl))));
					{	/* Eval/evaluate_types.scm 86 */
						long BgL_arg1765z00_1182;

						{	/* Eval/evaluate_types.scm 86 */
							long BgL_res2327z00_2459;

							BgL_res2327z00_2459 =
								BGL_CLASS_INDEX
								(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
							BgL_arg1765z00_1182 = BgL_res2327z00_2459;
						}
						{	/* Eval/evaluate_types.scm 86 */
							BgL_objectz00_bglt BgL_objz00_2460;

							BgL_objz00_2460 = ((BgL_objectz00_bglt) BgL_new1116z00_1181);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2460, BgL_arg1765z00_1182);
					}}
					{	/* Eval/evaluate_types.scm 86 */
						BgL_objectz00_bglt BgL_auxz00_4765;

						BgL_auxz00_4765 = ((BgL_objectz00_bglt) BgL_new1116z00_1181);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4765, BFALSE);
					}
					return BgL_new1116z00_1181;
				}
			}
		}
	}



/* &lambda1762 */
	BgL_ev_unwindzd2protectzd2_bglt
		BGl_z62lambda1762z62zz__evaluate_typesz00(obj_t BgL_envz00_3474,
		obj_t BgL_e1114z00_3475, obj_t BgL_body1115z00_3476)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{
				BgL_ev_exprz00_bglt BgL_e1114z00_1174;
				BgL_ev_exprz00_bglt BgL_body1115z00_1175;

				BgL_e1114z00_1174 = ((BgL_ev_exprz00_bglt) BgL_e1114z00_3475);
				BgL_body1115z00_1175 = ((BgL_ev_exprz00_bglt) BgL_body1115z00_3476);
				{	/* Eval/evaluate_types.scm 86 */
					BgL_ev_unwindzd2protectzd2_bglt BgL_new1266z00_2451;

					{	/* Eval/evaluate_types.scm 86 */
						BgL_ev_unwindzd2protectzd2_bglt BgL_new1265z00_2452;

						BgL_new1265z00_2452 =
							((BgL_ev_unwindzd2protectzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_unwindzd2protectzd2_bgl))));
						{	/* Eval/evaluate_types.scm 86 */
							long BgL_arg1763z00_2453;

							{	/* Eval/evaluate_types.scm 86 */
								long BgL_res2326z00_2455;

								BgL_res2326z00_2455 =
									BGL_CLASS_INDEX
									(BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00);
								BgL_arg1763z00_2453 = BgL_res2326z00_2455;
							}
							{	/* Eval/evaluate_types.scm 86 */
								BgL_objectz00_bglt BgL_objz00_2456;

								BgL_objz00_2456 = ((BgL_objectz00_bglt) BgL_new1265z00_2452);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2456, BgL_arg1763z00_2453);
						}}
						{	/* Eval/evaluate_types.scm 86 */
							BgL_objectz00_bglt BgL_auxz00_4772;

							BgL_auxz00_4772 = ((BgL_objectz00_bglt) BgL_new1265z00_2452);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4772, BFALSE);
						}
						BgL_new1266z00_2451 = BgL_new1265z00_2452;
					}
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1266z00_2451))->
							BgL_ez00) = ((BgL_ev_exprz00_bglt) BgL_e1114z00_1174), BUNSPEC);
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_new1266z00_2451))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1115z00_1175), BUNSPEC);
					return BgL_new1266z00_2451;
				}
			}
		}
	}



/* &lambda1777 */
	obj_t BGl_z62lambda1777z62zz__evaluate_typesz00(obj_t BgL_envz00_3477,
		obj_t BgL_oz00_3478, obj_t BgL_vz00_3479)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_oz00_3782;
				BgL_ev_exprz00_bglt BgL_vz00_3783;

				BgL_oz00_3782 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3478);
				BgL_vz00_3783 = ((BgL_ev_exprz00_bglt) BgL_vz00_3479);
				return
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_oz00_3782))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3783), BUNSPEC);
			}
		}
	}



/* &lambda1776 */
	BgL_ev_exprz00_bglt BGl_z62lambda1776z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3480, obj_t BgL_oz00_3481)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3481)))->BgL_ez00);
		}
	}



/* &lambda1771 */
	obj_t BGl_z62lambda1771z62zz__evaluate_typesz00(obj_t BgL_envz00_3482,
		obj_t BgL_oz00_3483, obj_t BgL_vz00_3484)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			{	/* Eval/evaluate_types.scm 86 */
				BgL_ev_unwindzd2protectzd2_bglt BgL_oz00_3785;
				BgL_ev_exprz00_bglt BgL_vz00_3786;

				BgL_oz00_3785 = ((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3483);
				BgL_vz00_3786 = ((BgL_ev_exprz00_bglt) BgL_vz00_3484);
				return
					((((BgL_ev_unwindzd2protectzd2_bglt) CREF(BgL_oz00_3785))->
						BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_vz00_3786), BUNSPEC);
			}
		}
	}



/* &lambda1770 */
	BgL_ev_exprz00_bglt BGl_z62lambda1770z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3485, obj_t BgL_oz00_3486)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 86 */
			return
				(((BgL_ev_unwindzd2protectzd2_bglt) CREF(
						((BgL_ev_unwindzd2protectzd2_bglt) BgL_oz00_3486)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1744> */
	BgL_ev_bindzd2exitzd2_bglt
		BGl_z62zc3anonymousza31744ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3487,
		obj_t BgL_new1112z00_3488)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_bindzd2exitzd2_bglt BgL_new1112z00_1138;

				BgL_new1112z00_1138 =
					((BgL_ev_bindzd2exitzd2_bglt) BgL_new1112z00_3488);
				{
					BgL_ev_varz00_bglt BgL_auxz00_4789;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_2437;

						BgL_classz00_2437 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1383z00_2438;

							BgL__ortest_1383z00_2438 = BGL_CLASS_NIL(BgL_classz00_2437);
							if (CBOOL(BgL__ortest_1383z00_2438))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4789 =
										((BgL_ev_varz00_bglt) BgL__ortest_1383z00_2438);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4789 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2437));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1112z00_1138))->
							BgL_varz00) = ((BgL_ev_varz00_bglt) BgL_auxz00_4789), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4797;

					{	/* Eval/evaluate_types.scm 83 */
						obj_t BgL_classz00_2439;

						BgL_classz00_2439 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 83 */
							obj_t BgL__ortest_1383z00_2440;

							BgL__ortest_1383z00_2440 = BGL_CLASS_NIL(BgL_classz00_2439);
							if (CBOOL(BgL__ortest_1383z00_2440))
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4797 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2440);
								}
							else
								{	/* Eval/evaluate_types.scm 83 */
									BgL_auxz00_4797 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2439));
								}
						}
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1112z00_1138))->
							BgL_bodyz00) = ((BgL_ev_exprz00_bglt) BgL_auxz00_4797), BUNSPEC);
				}
				return BgL_new1112z00_1138;
			}
		}
	}



/* &lambda1742 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1742z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3489)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{

				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1111z00_1136;

					BgL_new1111z00_1136 =
						((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_bindzd2exitzd2_bgl))));
					{	/* Eval/evaluate_types.scm 83 */
						long BgL_arg1743z00_1137;

						{	/* Eval/evaluate_types.scm 83 */
							long BgL_res2325z00_2434;

							BgL_res2325z00_2434 =
								BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
							BgL_arg1743z00_1137 = BgL_res2325z00_2434;
						}
						{	/* Eval/evaluate_types.scm 83 */
							BgL_objectz00_bglt BgL_objz00_2435;

							BgL_objz00_2435 = ((BgL_objectz00_bglt) BgL_new1111z00_1136);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2435, BgL_arg1743z00_1137);
					}}
					{	/* Eval/evaluate_types.scm 83 */
						BgL_objectz00_bglt BgL_auxz00_4810;

						BgL_auxz00_4810 = ((BgL_objectz00_bglt) BgL_new1111z00_1136);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4810, BFALSE);
					}
					return BgL_new1111z00_1136;
				}
			}
		}
	}



/* &lambda1740 */
	BgL_ev_bindzd2exitzd2_bglt BGl_z62lambda1740z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3490, obj_t BgL_var1109z00_3491, obj_t BgL_body1110z00_3492)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{
				BgL_ev_varz00_bglt BgL_var1109z00_1129;
				BgL_ev_exprz00_bglt BgL_body1110z00_1130;

				BgL_var1109z00_1129 = ((BgL_ev_varz00_bglt) BgL_var1109z00_3491);
				BgL_body1110z00_1130 = ((BgL_ev_exprz00_bglt) BgL_body1110z00_3492);
				{	/* Eval/evaluate_types.scm 83 */
					BgL_ev_bindzd2exitzd2_bglt BgL_new1260z00_2426;

					{	/* Eval/evaluate_types.scm 83 */
						BgL_ev_bindzd2exitzd2_bglt BgL_new1259z00_2427;

						BgL_new1259z00_2427 =
							((BgL_ev_bindzd2exitzd2_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_bindzd2exitzd2_bgl))));
						{	/* Eval/evaluate_types.scm 83 */
							long BgL_arg1741z00_2428;

							{	/* Eval/evaluate_types.scm 83 */
								long BgL_res2324z00_2430;

								BgL_res2324z00_2430 =
									BGL_CLASS_INDEX(BGl_ev_bindzd2exitzd2zz__evaluate_typesz00);
								BgL_arg1741z00_2428 = BgL_res2324z00_2430;
							}
							{	/* Eval/evaluate_types.scm 83 */
								BgL_objectz00_bglt BgL_objz00_2431;

								BgL_objz00_2431 = ((BgL_objectz00_bglt) BgL_new1259z00_2427);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2431, BgL_arg1741z00_2428);
						}}
						{	/* Eval/evaluate_types.scm 83 */
							BgL_objectz00_bglt BgL_auxz00_4817;

							BgL_auxz00_4817 = ((BgL_objectz00_bglt) BgL_new1259z00_2427);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4817, BFALSE);
						}
						BgL_new1260z00_2426 = BgL_new1259z00_2427;
					}
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1260z00_2426))->
							BgL_varz00) =
						((BgL_ev_varz00_bglt) BgL_var1109z00_1129), BUNSPEC);
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_new1260z00_2426))->
							BgL_bodyz00) =
						((BgL_ev_exprz00_bglt) BgL_body1110z00_1130), BUNSPEC);
					return BgL_new1260z00_2426;
				}
			}
		}
	}



/* &lambda1756 */
	obj_t BGl_z62lambda1756z62zz__evaluate_typesz00(obj_t BgL_envz00_3493,
		obj_t BgL_oz00_3494, obj_t BgL_vz00_3495)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_oz00_3788;
				BgL_ev_varz00_bglt BgL_vz00_3789;

				BgL_oz00_3788 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3494);
				BgL_vz00_3789 = ((BgL_ev_varz00_bglt) BgL_vz00_3495);
				return
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_oz00_3788))->BgL_varz00) =
					((BgL_ev_varz00_bglt) BgL_vz00_3789), BUNSPEC);
			}
		}
	}



/* &lambda1755 */
	BgL_ev_varz00_bglt BGl_z62lambda1755z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3496, obj_t BgL_oz00_3497)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) CREF(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3497)))->BgL_varz00);
		}
	}



/* &lambda1750 */
	obj_t BGl_z62lambda1750z62zz__evaluate_typesz00(obj_t BgL_envz00_3498,
		obj_t BgL_oz00_3499, obj_t BgL_vz00_3500)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			{	/* Eval/evaluate_types.scm 83 */
				BgL_ev_bindzd2exitzd2_bglt BgL_oz00_3791;
				BgL_ev_exprz00_bglt BgL_vz00_3792;

				BgL_oz00_3791 = ((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3499);
				BgL_vz00_3792 = ((BgL_ev_exprz00_bglt) BgL_vz00_3500);
				return
					((((BgL_ev_bindzd2exitzd2_bglt) CREF(BgL_oz00_3791))->BgL_bodyz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3792), BUNSPEC);
			}
		}
	}



/* &lambda1749 */
	BgL_ev_exprz00_bglt BGl_z62lambda1749z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3501, obj_t BgL_oz00_3502)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 83 */
			return
				(((BgL_ev_bindzd2exitzd2_bglt) CREF(
						((BgL_ev_bindzd2exitzd2_bglt) BgL_oz00_3502)))->BgL_bodyz00);
		}
	}



/* &<anonymous:1734> */
	BgL_ev_defglobalz00_bglt
		BGl_z62zc3anonymousza31734ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3503,
		obj_t BgL_new1107z00_3504)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_defglobalz00_bglt BgL_new1107z00_1117;

				BgL_new1107z00_1117 = ((BgL_ev_defglobalz00_bglt) BgL_new1107z00_3504);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4834;

					{	/* Eval/evaluate_types.scm 82 */
						obj_t BgL_classz00_2414;

						BgL_classz00_2414 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 82 */
							obj_t BgL__ortest_1383z00_2415;

							BgL__ortest_1383z00_2415 = BGL_CLASS_NIL(BgL_classz00_2414);
							if (CBOOL(BgL__ortest_1383z00_2415))
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_4834 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2415);
								}
							else
								{	/* Eval/evaluate_types.scm 82 */
									BgL_auxz00_4834 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2414));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1107z00_1117)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4834), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) CREF(
								((BgL_ev_setglobalz00_bglt) BgL_new1107z00_1117)))->
						BgL_locz00) = ((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
									BgL_new1107z00_1117)))->BgL_namez00) =
					((obj_t) BGl_symbol2713z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
									BgL_new1107z00_1117)))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1107z00_1117;
			}
		}
	}



/* &lambda1732 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1732z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3505)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{

				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1106z00_1115;

					BgL_new1106z00_1115 =
						((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_defglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 82 */
						long BgL_arg1733z00_1116;

						{	/* Eval/evaluate_types.scm 82 */
							long BgL_res2323z00_2411;

							BgL_res2323z00_2411 =
								BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00);
							BgL_arg1733z00_1116 = BgL_res2323z00_2411;
						}
						{	/* Eval/evaluate_types.scm 82 */
							BgL_objectz00_bglt BgL_objz00_2412;

							BgL_objz00_2412 = ((BgL_objectz00_bglt) BgL_new1106z00_1115);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2412, BgL_arg1733z00_1116);
					}}
					{	/* Eval/evaluate_types.scm 82 */
						BgL_objectz00_bglt BgL_auxz00_4854;

						BgL_auxz00_4854 = ((BgL_objectz00_bglt) BgL_new1106z00_1115);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4854, BFALSE);
					}
					return BgL_new1106z00_1115;
				}
			}
		}
	}



/* &lambda1730 */
	BgL_ev_defglobalz00_bglt BGl_z62lambda1730z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3506, obj_t BgL_e1101z00_3507, obj_t BgL_loc1102z00_3508,
		obj_t BgL_name1103z00_3509, obj_t BgL_mod1104z00_3510)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 82 */
			{
				BgL_ev_exprz00_bglt BgL_e1101z00_1106;
				obj_t BgL_loc1102z00_1107;
				obj_t BgL_name1103z00_1108;
				obj_t BgL_mod1104z00_1109;

				BgL_e1101z00_1106 = ((BgL_ev_exprz00_bglt) BgL_e1101z00_3507);
				BgL_loc1102z00_1107 = BgL_loc1102z00_3508;
				BgL_name1103z00_1108 = BgL_name1103z00_3509;
				BgL_mod1104z00_1109 = BgL_mod1104z00_3510;
				{	/* Eval/evaluate_types.scm 82 */
					BgL_ev_defglobalz00_bglt BgL_new1258z00_2403;

					{	/* Eval/evaluate_types.scm 82 */
						BgL_ev_defglobalz00_bglt BgL_new1257z00_2404;

						BgL_new1257z00_2404 =
							((BgL_ev_defglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_defglobalz00_bgl))));
						{	/* Eval/evaluate_types.scm 82 */
							long BgL_arg1731z00_2405;

							{	/* Eval/evaluate_types.scm 82 */
								long BgL_res2322z00_2407;

								BgL_res2322z00_2407 =
									BGL_CLASS_INDEX(BGl_ev_defglobalz00zz__evaluate_typesz00);
								BgL_arg1731z00_2405 = BgL_res2322z00_2407;
							}
							{	/* Eval/evaluate_types.scm 82 */
								BgL_objectz00_bglt BgL_objz00_2408;

								BgL_objz00_2408 = ((BgL_objectz00_bglt) BgL_new1257z00_2404);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2408, BgL_arg1731z00_2405);
						}}
						{	/* Eval/evaluate_types.scm 82 */
							BgL_objectz00_bglt BgL_auxz00_4861;

							BgL_auxz00_4861 = ((BgL_objectz00_bglt) BgL_new1257z00_2404);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4861, BFALSE);
						}
						BgL_new1258z00_2403 = BgL_new1257z00_2404;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1258z00_2403)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1101z00_1106), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1258z00_2403)))->BgL_locz00) =
						((obj_t) BgL_loc1102z00_1107), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1258z00_2403)))->BgL_namez00) =
						((obj_t) BgL_name1103z00_1108), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(((BgL_ev_setglobalz00_bglt)
										BgL_new1258z00_2403)))->BgL_modz00) =
						((obj_t) BgL_mod1104z00_1109), BUNSPEC);
					return BgL_new1258z00_2403;
				}
			}
		}
	}



/* &<anonymous:1708> */
	BgL_ev_setglobalz00_bglt
		BGl_z62zc3anonymousza31708ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3511,
		obj_t BgL_new1099z00_3512)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_setglobalz00_bglt BgL_new1099z00_1058;

				BgL_new1099z00_1058 = ((BgL_ev_setglobalz00_bglt) BgL_new1099z00_3512);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4873;

					{	/* Eval/evaluate_types.scm 78 */
						obj_t BgL_classz00_2401;

						BgL_classz00_2401 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 78 */
							obj_t BgL__ortest_1383z00_2402;

							BgL__ortest_1383z00_2402 = BGL_CLASS_NIL(BgL_classz00_2401);
							if (CBOOL(BgL__ortest_1383z00_2402))
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_4873 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2402);
								}
							else
								{	/* Eval/evaluate_types.scm 78 */
									BgL_auxz00_4873 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2401));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1099z00_1058)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4873), BUNSPEC);
				}
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1099z00_1058))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1099z00_1058))->BgL_namez00) =
					((obj_t) BGl_symbol2713z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1099z00_1058))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1099z00_1058;
			}
		}
	}



/* &lambda1706 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1706z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3513)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{

				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1098z00_1056;

					BgL_new1098z00_1056 =
						((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_setglobalz00_bgl))));
					{	/* Eval/evaluate_types.scm 78 */
						long BgL_arg1707z00_1057;

						{	/* Eval/evaluate_types.scm 78 */
							long BgL_res2321z00_2398;

							BgL_res2321z00_2398 =
								BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00);
							BgL_arg1707z00_1057 = BgL_res2321z00_2398;
						}
						{	/* Eval/evaluate_types.scm 78 */
							BgL_objectz00_bglt BgL_objz00_2399;

							BgL_objz00_2399 = ((BgL_objectz00_bglt) BgL_new1098z00_1056);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2399, BgL_arg1707z00_1057);
					}}
					{	/* Eval/evaluate_types.scm 78 */
						BgL_objectz00_bglt BgL_auxz00_4890;

						BgL_auxz00_4890 = ((BgL_objectz00_bglt) BgL_new1098z00_1056);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4890, BFALSE);
					}
					return BgL_new1098z00_1056;
				}
			}
		}
	}



/* &lambda1704 */
	BgL_ev_setglobalz00_bglt BGl_z62lambda1704z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3514, obj_t BgL_e1094z00_3515, obj_t BgL_loc1095z00_3516,
		obj_t BgL_name1096z00_3517, obj_t BgL_mod1097z00_3518)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{
				BgL_ev_exprz00_bglt BgL_e1094z00_1047;
				obj_t BgL_loc1095z00_1048;
				obj_t BgL_name1096z00_1049;
				obj_t BgL_mod1097z00_1050;

				BgL_e1094z00_1047 = ((BgL_ev_exprz00_bglt) BgL_e1094z00_3515);
				BgL_loc1095z00_1048 = BgL_loc1095z00_3516;
				BgL_name1096z00_1049 = BgL_name1096z00_3517;
				BgL_mod1097z00_1050 = BgL_mod1097z00_3518;
				{	/* Eval/evaluate_types.scm 78 */
					BgL_ev_setglobalz00_bglt BgL_new1250z00_2390;

					{	/* Eval/evaluate_types.scm 78 */
						BgL_ev_setglobalz00_bglt BgL_new1249z00_2391;

						BgL_new1249z00_2391 =
							((BgL_ev_setglobalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setglobalz00_bgl))));
						{	/* Eval/evaluate_types.scm 78 */
							long BgL_arg1705z00_2392;

							{	/* Eval/evaluate_types.scm 78 */
								long BgL_res2320z00_2394;

								BgL_res2320z00_2394 =
									BGL_CLASS_INDEX(BGl_ev_setglobalz00zz__evaluate_typesz00);
								BgL_arg1705z00_2392 = BgL_res2320z00_2394;
							}
							{	/* Eval/evaluate_types.scm 78 */
								BgL_objectz00_bglt BgL_objz00_2395;

								BgL_objz00_2395 = ((BgL_objectz00_bglt) BgL_new1249z00_2391);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2395, BgL_arg1705z00_2392);
						}}
						{	/* Eval/evaluate_types.scm 78 */
							BgL_objectz00_bglt BgL_auxz00_4897;

							BgL_auxz00_4897 = ((BgL_objectz00_bglt) BgL_new1249z00_2391);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4897, BFALSE);
						}
						BgL_new1250z00_2390 = BgL_new1249z00_2391;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1250z00_2390)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1094z00_1047), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1250z00_2390))->
							BgL_locz00) = ((obj_t) BgL_loc1095z00_1048), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1250z00_2390))->
							BgL_namez00) = ((obj_t) BgL_name1096z00_1049), BUNSPEC);
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_new1250z00_2390))->
							BgL_modz00) = ((obj_t) BgL_mod1097z00_1050), BUNSPEC);
					return BgL_new1250z00_2390;
				}
			}
		}
	}



/* &lambda1724 */
	obj_t BGl_z62lambda1724z62zz__evaluate_typesz00(obj_t BgL_envz00_3519,
		obj_t BgL_oz00_3520, obj_t BgL_vz00_3521)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_oz00_3794;

				BgL_oz00_3794 = ((BgL_ev_setglobalz00_bglt) BgL_oz00_3520);
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_3794))->BgL_locz00) =
					((obj_t) BgL_vz00_3521), BUNSPEC);
			}
		}
	}



/* &lambda1723 */
	obj_t BGl_z62lambda1723z62zz__evaluate_typesz00(obj_t BgL_envz00_3522,
		obj_t BgL_oz00_3523)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3523)))->BgL_locz00);
		}
	}



/* &lambda1719 */
	obj_t BGl_z62lambda1719z62zz__evaluate_typesz00(obj_t BgL_envz00_3524,
		obj_t BgL_oz00_3525, obj_t BgL_vz00_3526)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_oz00_3797;
				obj_t BgL_vz00_3798;

				BgL_oz00_3797 = ((BgL_ev_setglobalz00_bglt) BgL_oz00_3525);
				BgL_vz00_3798 = BgL_vz00_3526;
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_3797))->BgL_namez00) =
					((obj_t) BgL_vz00_3798), BUNSPEC);
			}
		}
	}



/* &lambda1718 */
	obj_t BGl_z62lambda1718z62zz__evaluate_typesz00(obj_t BgL_envz00_3527,
		obj_t BgL_oz00_3528)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3528)))->BgL_namez00);
		}
	}



/* &lambda1713 */
	obj_t BGl_z62lambda1713z62zz__evaluate_typesz00(obj_t BgL_envz00_3529,
		obj_t BgL_oz00_3530, obj_t BgL_vz00_3531)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			{	/* Eval/evaluate_types.scm 78 */
				BgL_ev_setglobalz00_bglt BgL_oz00_3800;

				BgL_oz00_3800 = ((BgL_ev_setglobalz00_bglt) BgL_oz00_3530);
				return
					((((BgL_ev_setglobalz00_bglt) CREF(BgL_oz00_3800))->BgL_modz00) =
					((obj_t) BgL_vz00_3531), BUNSPEC);
			}
		}
	}



/* &lambda1712 */
	obj_t BGl_z62lambda1712z62zz__evaluate_typesz00(obj_t BgL_envz00_3532,
		obj_t BgL_oz00_3533)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 78 */
			return
				(((BgL_ev_setglobalz00_bglt) CREF(
						((BgL_ev_setglobalz00_bglt) BgL_oz00_3533)))->BgL_modz00);
		}
	}



/* &<anonymous:1692> */
	BgL_ev_setlocalz00_bglt
		BGl_z62zc3anonymousza31692ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3534,
		obj_t BgL_new1092z00_3535)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_new1092z00_1023;

				BgL_new1092z00_1023 = ((BgL_ev_setlocalz00_bglt) BgL_new1092z00_3535);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4918;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_2371;

						BgL_classz00_2371 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1383z00_2372;

							BgL__ortest_1383z00_2372 = BGL_CLASS_NIL(BgL_classz00_2371);
							if (CBOOL(BgL__ortest_1383z00_2372))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4918 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2372);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4918 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2371));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1092z00_1023)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4918), BUNSPEC);
				}
				{
					BgL_ev_varz00_bglt BgL_auxz00_4927;

					{	/* Eval/evaluate_types.scm 76 */
						obj_t BgL_classz00_2373;

						BgL_classz00_2373 = BGl_ev_varz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 76 */
							obj_t BgL__ortest_1383z00_2374;

							BgL__ortest_1383z00_2374 = BGL_CLASS_NIL(BgL_classz00_2373);
							if (CBOOL(BgL__ortest_1383z00_2374))
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4927 =
										((BgL_ev_varz00_bglt) BgL__ortest_1383z00_2374);
								}
							else
								{	/* Eval/evaluate_types.scm 76 */
									BgL_auxz00_4927 =
										((BgL_ev_varz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2373));
								}
						}
					}
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1092z00_1023))->BgL_vz00) =
						((BgL_ev_varz00_bglt) BgL_auxz00_4927), BUNSPEC);
				}
				return BgL_new1092z00_1023;
			}
		}
	}



/* &lambda1690 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1690z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3536)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{

				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1091z00_1021;

					BgL_new1091z00_1021 =
						((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_setlocalz00_bgl))));
					{	/* Eval/evaluate_types.scm 76 */
						long BgL_arg1691z00_1022;

						{	/* Eval/evaluate_types.scm 76 */
							long BgL_res2319z00_2368;

							BgL_res2319z00_2368 =
								BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00);
							BgL_arg1691z00_1022 = BgL_res2319z00_2368;
						}
						{	/* Eval/evaluate_types.scm 76 */
							BgL_objectz00_bglt BgL_objz00_2369;

							BgL_objz00_2369 = ((BgL_objectz00_bglt) BgL_new1091z00_1021);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2369, BgL_arg1691z00_1022);
					}}
					{	/* Eval/evaluate_types.scm 76 */
						BgL_objectz00_bglt BgL_auxz00_4940;

						BgL_auxz00_4940 = ((BgL_objectz00_bglt) BgL_new1091z00_1021);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4940, BFALSE);
					}
					return BgL_new1091z00_1021;
				}
			}
		}
	}



/* &lambda1688 */
	BgL_ev_setlocalz00_bglt BGl_z62lambda1688z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3537, obj_t BgL_e1089z00_3538, obj_t BgL_v1090z00_3539)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_exprz00_bglt BgL_e1089z00_1014;
				BgL_ev_varz00_bglt BgL_v1090z00_1015;

				BgL_e1089z00_1014 = ((BgL_ev_exprz00_bglt) BgL_e1089z00_3538);
				BgL_v1090z00_1015 = ((BgL_ev_varz00_bglt) BgL_v1090z00_3539);
				{	/* Eval/evaluate_types.scm 76 */
					BgL_ev_setlocalz00_bglt BgL_new1246z00_2360;

					{	/* Eval/evaluate_types.scm 76 */
						BgL_ev_setlocalz00_bglt BgL_new1245z00_2361;

						BgL_new1245z00_2361 =
							((BgL_ev_setlocalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_setlocalz00_bgl))));
						{	/* Eval/evaluate_types.scm 76 */
							long BgL_arg1689z00_2362;

							{	/* Eval/evaluate_types.scm 76 */
								long BgL_res2318z00_2364;

								BgL_res2318z00_2364 =
									BGL_CLASS_INDEX(BGl_ev_setlocalz00zz__evaluate_typesz00);
								BgL_arg1689z00_2362 = BgL_res2318z00_2364;
							}
							{	/* Eval/evaluate_types.scm 76 */
								BgL_objectz00_bglt BgL_objz00_2365;

								BgL_objz00_2365 = ((BgL_objectz00_bglt) BgL_new1245z00_2361);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2365, BgL_arg1689z00_2362);
						}}
						{	/* Eval/evaluate_types.scm 76 */
							BgL_objectz00_bglt BgL_auxz00_4947;

							BgL_auxz00_4947 = ((BgL_objectz00_bglt) BgL_new1245z00_2361);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4947, BFALSE);
						}
						BgL_new1246z00_2360 = BgL_new1245z00_2361;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1246z00_2360)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1089z00_1014), BUNSPEC);
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_new1246z00_2360))->BgL_vz00) =
						((BgL_ev_varz00_bglt) BgL_v1090z00_1015), BUNSPEC);
					return BgL_new1246z00_2360;
				}
			}
		}
	}



/* &lambda1697 */
	obj_t BGl_z62lambda1697z62zz__evaluate_typesz00(obj_t BgL_envz00_3540,
		obj_t BgL_oz00_3541, obj_t BgL_vz00_3542)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			{
				BgL_ev_setlocalz00_bglt BgL_oz00_1032;
				BgL_ev_varz00_bglt BgL_vz00_1033;

				BgL_oz00_1032 = ((BgL_ev_setlocalz00_bglt) BgL_oz00_3541);
				BgL_vz00_1033 = ((BgL_ev_varz00_bglt) BgL_vz00_3542);
				return
					((((BgL_ev_setlocalz00_bglt) CREF(BgL_oz00_1032))->BgL_vz00) =
					((BgL_ev_varz00_bglt) (((BgL_ev_setlocalz00_bglt)
								CREF(BgL_oz00_1032))->BgL_vz00)), BUNSPEC);
			}
		}
	}



/* &lambda1696 */
	BgL_ev_varz00_bglt BGl_z62lambda1696z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3543, obj_t BgL_oz00_3544)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 76 */
			return
				(((BgL_ev_setlocalz00_bglt) CREF(
						((BgL_ev_setlocalz00_bglt) BgL_oz00_3544)))->BgL_vz00);
		}
	}



/* &<anonymous:1682> */
	BgL_ev_trapz00_bglt
		BGl_z62zc3anonymousza31682ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3545,
		obj_t BgL_new1087z00_3546)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_trapz00_bglt BgL_new1087z00_1002;

				BgL_new1087z00_1002 = ((BgL_ev_trapz00_bglt) BgL_new1087z00_3546);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4961;

					{	/* Eval/evaluate_types.scm 75 */
						obj_t BgL_classz00_2353;

						BgL_classz00_2353 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 75 */
							obj_t BgL__ortest_1383z00_2354;

							BgL__ortest_1383z00_2354 = BGL_CLASS_NIL(BgL_classz00_2353);
							if (CBOOL(BgL__ortest_1383z00_2354))
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_4961 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2354);
								}
							else
								{	/* Eval/evaluate_types.scm 75 */
									BgL_auxz00_4961 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2353));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1087z00_1002)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4961), BUNSPEC);
				}
				return BgL_new1087z00_1002;
			}
		}
	}



/* &lambda1680 */
	BgL_ev_trapz00_bglt BGl_z62lambda1680z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3547)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{

				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1086z00_1000;

					BgL_new1086z00_1000 =
						((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_trapz00_bgl))));
					{	/* Eval/evaluate_types.scm 75 */
						long BgL_arg1681z00_1001;

						{	/* Eval/evaluate_types.scm 75 */
							long BgL_res2317z00_2350;

							BgL_res2317z00_2350 =
								BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00);
							BgL_arg1681z00_1001 = BgL_res2317z00_2350;
						}
						{	/* Eval/evaluate_types.scm 75 */
							BgL_objectz00_bglt BgL_objz00_2351;

							BgL_objz00_2351 = ((BgL_objectz00_bglt) BgL_new1086z00_1000);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2351, BgL_arg1681z00_1001);
					}}
					{	/* Eval/evaluate_types.scm 75 */
						BgL_objectz00_bglt BgL_auxz00_4975;

						BgL_auxz00_4975 = ((BgL_objectz00_bglt) BgL_new1086z00_1000);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_4975, BFALSE);
					}
					return BgL_new1086z00_1000;
				}
			}
		}
	}



/* &lambda1678 */
	BgL_ev_trapz00_bglt BGl_z62lambda1678z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3548, obj_t BgL_e1085z00_3549)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 75 */
			{
				BgL_ev_exprz00_bglt BgL_e1085z00_994;

				BgL_e1085z00_994 = ((BgL_ev_exprz00_bglt) BgL_e1085z00_3549);
				{	/* Eval/evaluate_types.scm 75 */
					BgL_ev_trapz00_bglt BgL_new1244z00_2342;

					{	/* Eval/evaluate_types.scm 75 */
						BgL_ev_trapz00_bglt BgL_new1242z00_2343;

						BgL_new1242z00_2343 =
							((BgL_ev_trapz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_trapz00_bgl))));
						{	/* Eval/evaluate_types.scm 75 */
							long BgL_arg1679z00_2344;

							{	/* Eval/evaluate_types.scm 75 */
								long BgL_res2316z00_2346;

								BgL_res2316z00_2346 =
									BGL_CLASS_INDEX(BGl_ev_trapz00zz__evaluate_typesz00);
								BgL_arg1679z00_2344 = BgL_res2316z00_2346;
							}
							{	/* Eval/evaluate_types.scm 75 */
								BgL_objectz00_bglt BgL_objz00_2347;

								BgL_objz00_2347 = ((BgL_objectz00_bglt) BgL_new1242z00_2343);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2347, BgL_arg1679z00_2344);
						}}
						{	/* Eval/evaluate_types.scm 75 */
							BgL_objectz00_bglt BgL_auxz00_4982;

							BgL_auxz00_4982 = ((BgL_objectz00_bglt) BgL_new1242z00_2343);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_4982, BFALSE);
						}
						BgL_new1244z00_2342 = BgL_new1242z00_2343;
					}
					((((BgL_ev_hookz00_bglt) CREF(
									((BgL_ev_hookz00_bglt) BgL_new1244z00_2342)))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1085z00_994), BUNSPEC);
					return BgL_new1244z00_2342;
				}
			}
		}
	}



/* &<anonymous:1667> */
	BgL_ev_hookz00_bglt
		BGl_z62zc3anonymousza31667ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3550,
		obj_t BgL_new1083z00_3551)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_hookz00_bglt BgL_new1083z00_970;

				BgL_new1083z00_970 = ((BgL_ev_hookz00_bglt) BgL_new1083z00_3551);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_4988;

					{	/* Eval/evaluate_types.scm 73 */
						obj_t BgL_classz00_2340;

						BgL_classz00_2340 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 73 */
							obj_t BgL__ortest_1383z00_2341;

							BgL__ortest_1383z00_2341 = BGL_CLASS_NIL(BgL_classz00_2340);
							if (CBOOL(BgL__ortest_1383z00_2341))
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_4988 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2341);
								}
							else
								{	/* Eval/evaluate_types.scm 73 */
									BgL_auxz00_4988 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2340));
								}
						}
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_new1083z00_970))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_4988), BUNSPEC);
				}
				return BgL_new1083z00_970;
			}
		}
	}



/* &lambda1665 */
	BgL_ev_hookz00_bglt BGl_z62lambda1665z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3552)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{

				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1082z00_968;

					BgL_new1082z00_968 =
						((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_hookz00_bgl))));
					{	/* Eval/evaluate_types.scm 73 */
						long BgL_arg1666z00_969;

						{	/* Eval/evaluate_types.scm 73 */
							long BgL_res2315z00_2337;

							BgL_res2315z00_2337 =
								BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00);
							BgL_arg1666z00_969 = BgL_res2315z00_2337;
						}
						{	/* Eval/evaluate_types.scm 73 */
							BgL_objectz00_bglt BgL_objz00_2338;

							BgL_objz00_2338 = ((BgL_objectz00_bglt) BgL_new1082z00_968);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2338, BgL_arg1666z00_969);
					}}
					{	/* Eval/evaluate_types.scm 73 */
						BgL_objectz00_bglt BgL_auxz00_5001;

						BgL_auxz00_5001 = ((BgL_objectz00_bglt) BgL_new1082z00_968);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5001, BFALSE);
					}
					return BgL_new1082z00_968;
				}
			}
		}
	}



/* &lambda1663 */
	BgL_ev_hookz00_bglt BGl_z62lambda1663z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3553, obj_t BgL_e1081z00_3554)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{
				BgL_ev_exprz00_bglt BgL_e1081z00_962;

				BgL_e1081z00_962 = ((BgL_ev_exprz00_bglt) BgL_e1081z00_3554);
				{	/* Eval/evaluate_types.scm 73 */
					BgL_ev_hookz00_bglt BgL_new1239z00_2329;

					{	/* Eval/evaluate_types.scm 73 */
						BgL_ev_hookz00_bglt BgL_new1238z00_2330;

						BgL_new1238z00_2330 =
							((BgL_ev_hookz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_hookz00_bgl))));
						{	/* Eval/evaluate_types.scm 73 */
							long BgL_arg1664z00_2331;

							{	/* Eval/evaluate_types.scm 73 */
								long BgL_res2314z00_2333;

								BgL_res2314z00_2333 =
									BGL_CLASS_INDEX(BGl_ev_hookz00zz__evaluate_typesz00);
								BgL_arg1664z00_2331 = BgL_res2314z00_2333;
							}
							{	/* Eval/evaluate_types.scm 73 */
								BgL_objectz00_bglt BgL_objz00_2334;

								BgL_objz00_2334 = ((BgL_objectz00_bglt) BgL_new1238z00_2330);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2334, BgL_arg1664z00_2331);
						}}
						{	/* Eval/evaluate_types.scm 73 */
							BgL_objectz00_bglt BgL_auxz00_5008;

							BgL_auxz00_5008 = ((BgL_objectz00_bglt) BgL_new1238z00_2330);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5008, BFALSE);
						}
						BgL_new1239z00_2329 = BgL_new1238z00_2330;
					}
					((((BgL_ev_hookz00_bglt) CREF(BgL_new1239z00_2329))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1081z00_962), BUNSPEC);
					return BgL_new1239z00_2329;
				}
			}
		}
	}



/* &lambda1672 */
	obj_t BGl_z62lambda1672z62zz__evaluate_typesz00(obj_t BgL_envz00_3555,
		obj_t BgL_oz00_3556, obj_t BgL_vz00_3557)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			{	/* Eval/evaluate_types.scm 73 */
				BgL_ev_hookz00_bglt BgL_oz00_3804;
				BgL_ev_exprz00_bglt BgL_vz00_3805;

				BgL_oz00_3804 = ((BgL_ev_hookz00_bglt) BgL_oz00_3556);
				BgL_vz00_3805 = ((BgL_ev_exprz00_bglt) BgL_vz00_3557);
				return
					((((BgL_ev_hookz00_bglt) CREF(BgL_oz00_3804))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3805), BUNSPEC);
			}
		}
	}



/* &lambda1671 */
	BgL_ev_exprz00_bglt BGl_z62lambda1671z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3558, obj_t BgL_oz00_3559)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 73 */
			return
				(((BgL_ev_hookz00_bglt) CREF(
						((BgL_ev_hookz00_bglt) BgL_oz00_3559)))->BgL_ez00);
		}
	}



/* &<anonymous:1646> */
	BgL_ev_prog2z00_bglt
		BGl_z62zc3anonymousza31646ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3560,
		obj_t BgL_new1079z00_3561)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_prog2z00_bglt BgL_new1079z00_926;

				BgL_new1079z00_926 = ((BgL_ev_prog2z00_bglt) BgL_new1079z00_3561);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5018;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_2320;

						BgL_classz00_2320 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1383z00_2321;

							BgL__ortest_1383z00_2321 = BGL_CLASS_NIL(BgL_classz00_2320);
							if (CBOOL(BgL__ortest_1383z00_2321))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5018 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2321);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5018 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2320));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1079z00_926))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5018), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5026;

					{	/* Eval/evaluate_types.scm 70 */
						obj_t BgL_classz00_2322;

						BgL_classz00_2322 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 70 */
							obj_t BgL__ortest_1383z00_2323;

							BgL__ortest_1383z00_2323 = BGL_CLASS_NIL(BgL_classz00_2322);
							if (CBOOL(BgL__ortest_1383z00_2323))
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5026 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2323);
								}
							else
								{	/* Eval/evaluate_types.scm 70 */
									BgL_auxz00_5026 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2322));
								}
						}
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1079z00_926))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5026), BUNSPEC);
				}
				return BgL_new1079z00_926;
			}
		}
	}



/* &lambda1644 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1644z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3562)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{

				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1078z00_924;

					BgL_new1078z00_924 =
						((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_prog2z00_bgl))));
					{	/* Eval/evaluate_types.scm 70 */
						long BgL_arg1645z00_925;

						{	/* Eval/evaluate_types.scm 70 */
							long BgL_res2313z00_2317;

							BgL_res2313z00_2317 =
								BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00);
							BgL_arg1645z00_925 = BgL_res2313z00_2317;
						}
						{	/* Eval/evaluate_types.scm 70 */
							BgL_objectz00_bglt BgL_objz00_2318;

							BgL_objz00_2318 = ((BgL_objectz00_bglt) BgL_new1078z00_924);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2318, BgL_arg1645z00_925);
					}}
					{	/* Eval/evaluate_types.scm 70 */
						BgL_objectz00_bglt BgL_auxz00_5039;

						BgL_auxz00_5039 = ((BgL_objectz00_bglt) BgL_new1078z00_924);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5039, BFALSE);
					}
					return BgL_new1078z00_924;
				}
			}
		}
	}



/* &lambda1642 */
	BgL_ev_prog2z00_bglt BGl_z62lambda1642z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3563, obj_t BgL_e11076z00_3564, obj_t BgL_e21077z00_3565)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{
				BgL_ev_exprz00_bglt BgL_e11076z00_917;
				BgL_ev_exprz00_bglt BgL_e21077z00_918;

				BgL_e11076z00_917 = ((BgL_ev_exprz00_bglt) BgL_e11076z00_3564);
				BgL_e21077z00_918 = ((BgL_ev_exprz00_bglt) BgL_e21077z00_3565);
				{	/* Eval/evaluate_types.scm 70 */
					BgL_ev_prog2z00_bglt BgL_new1233z00_2309;

					{	/* Eval/evaluate_types.scm 70 */
						BgL_ev_prog2z00_bglt BgL_new1232z00_2310;

						BgL_new1232z00_2310 =
							((BgL_ev_prog2z00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_prog2z00_bgl))));
						{	/* Eval/evaluate_types.scm 70 */
							long BgL_arg1643z00_2311;

							{	/* Eval/evaluate_types.scm 70 */
								long BgL_res2312z00_2313;

								BgL_res2312z00_2313 =
									BGL_CLASS_INDEX(BGl_ev_prog2z00zz__evaluate_typesz00);
								BgL_arg1643z00_2311 = BgL_res2312z00_2313;
							}
							{	/* Eval/evaluate_types.scm 70 */
								BgL_objectz00_bglt BgL_objz00_2314;

								BgL_objz00_2314 = ((BgL_objectz00_bglt) BgL_new1232z00_2310);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2314, BgL_arg1643z00_2311);
						}}
						{	/* Eval/evaluate_types.scm 70 */
							BgL_objectz00_bglt BgL_auxz00_5046;

							BgL_auxz00_5046 = ((BgL_objectz00_bglt) BgL_new1232z00_2310);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5046, BFALSE);
						}
						BgL_new1233z00_2309 = BgL_new1232z00_2310;
					}
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1233z00_2309))->BgL_e1z00) =
						((BgL_ev_exprz00_bglt) BgL_e11076z00_917), BUNSPEC);
					((((BgL_ev_prog2z00_bglt) CREF(BgL_new1233z00_2309))->BgL_e2z00) =
						((BgL_ev_exprz00_bglt) BgL_e21077z00_918), BUNSPEC);
					return BgL_new1233z00_2309;
				}
			}
		}
	}



/* &lambda1657 */
	obj_t BGl_z62lambda1657z62zz__evaluate_typesz00(obj_t BgL_envz00_3566,
		obj_t BgL_oz00_3567, obj_t BgL_vz00_3568)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_oz00_3807;
				BgL_ev_exprz00_bglt BgL_vz00_3808;

				BgL_oz00_3807 = ((BgL_ev_prog2z00_bglt) BgL_oz00_3567);
				BgL_vz00_3808 = ((BgL_ev_exprz00_bglt) BgL_vz00_3568);
				return
					((((BgL_ev_prog2z00_bglt) CREF(BgL_oz00_3807))->BgL_e1z00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3808), BUNSPEC);
			}
		}
	}



/* &lambda1656 */
	BgL_ev_exprz00_bglt BGl_z62lambda1656z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3569, obj_t BgL_oz00_3570)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) CREF(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3570)))->BgL_e1z00);
		}
	}



/* &lambda1652 */
	obj_t BGl_z62lambda1652z62zz__evaluate_typesz00(obj_t BgL_envz00_3571,
		obj_t BgL_oz00_3572, obj_t BgL_vz00_3573)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			{	/* Eval/evaluate_types.scm 70 */
				BgL_ev_prog2z00_bglt BgL_oz00_3810;
				BgL_ev_exprz00_bglt BgL_vz00_3811;

				BgL_oz00_3810 = ((BgL_ev_prog2z00_bglt) BgL_oz00_3572);
				BgL_vz00_3811 = ((BgL_ev_exprz00_bglt) BgL_vz00_3573);
				return
					((((BgL_ev_prog2z00_bglt) CREF(BgL_oz00_3810))->BgL_e2z00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3811), BUNSPEC);
			}
		}
	}



/* &lambda1651 */
	BgL_ev_exprz00_bglt BGl_z62lambda1651z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3574, obj_t BgL_oz00_3575)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 70 */
			return
				(((BgL_ev_prog2z00_bglt) CREF(
						((BgL_ev_prog2z00_bglt) BgL_oz00_3575)))->BgL_e2z00);
		}
	}



/* &<anonymous:1636> */
	BgL_ev_andz00_bglt BGl_z62zc3anonymousza31636ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3576, obj_t BgL_new1074z00_3577)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{
				BgL_ev_andz00_bglt BgL_new1074z00_905;

				BgL_new1074z00_905 = ((BgL_ev_andz00_bglt) BgL_new1074z00_3577);
				((((BgL_ev_listz00_bglt) CREF(
								((BgL_ev_listz00_bglt) BgL_new1074z00_905)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1074z00_905;
			}
		}
	}



/* &lambda1634 */
	BgL_ev_andz00_bglt BGl_z62lambda1634z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3578)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{

				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1073z00_903;

					BgL_new1073z00_903 =
						((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_andz00_bgl))));
					{	/* Eval/evaluate_types.scm 69 */
						long BgL_arg1635z00_904;

						{	/* Eval/evaluate_types.scm 69 */
							long BgL_res2311z00_2296;

							BgL_res2311z00_2296 =
								BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00);
							BgL_arg1635z00_904 = BgL_res2311z00_2296;
						}
						{	/* Eval/evaluate_types.scm 69 */
							BgL_objectz00_bglt BgL_objz00_2297;

							BgL_objz00_2297 = ((BgL_objectz00_bglt) BgL_new1073z00_903);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2297, BgL_arg1635z00_904);
					}}
					{	/* Eval/evaluate_types.scm 69 */
						BgL_objectz00_bglt BgL_auxz00_5070;

						BgL_auxz00_5070 = ((BgL_objectz00_bglt) BgL_new1073z00_903);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5070, BFALSE);
					}
					return BgL_new1073z00_903;
				}
			}
		}
	}



/* &lambda1632 */
	BgL_ev_andz00_bglt BGl_z62lambda1632z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3579, obj_t BgL_args1072z00_3580)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 69 */
			{
				obj_t BgL_args1072z00_897;

				BgL_args1072z00_897 = BgL_args1072z00_3580;
				{	/* Eval/evaluate_types.scm 69 */
					BgL_ev_andz00_bglt BgL_new1231z00_2288;

					{	/* Eval/evaluate_types.scm 69 */
						BgL_ev_andz00_bglt BgL_new1230z00_2289;

						BgL_new1230z00_2289 =
							((BgL_ev_andz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_andz00_bgl))));
						{	/* Eval/evaluate_types.scm 69 */
							long BgL_arg1633z00_2290;

							{	/* Eval/evaluate_types.scm 69 */
								long BgL_res2310z00_2292;

								BgL_res2310z00_2292 =
									BGL_CLASS_INDEX(BGl_ev_andz00zz__evaluate_typesz00);
								BgL_arg1633z00_2290 = BgL_res2310z00_2292;
							}
							{	/* Eval/evaluate_types.scm 69 */
								BgL_objectz00_bglt BgL_objz00_2293;

								BgL_objz00_2293 = ((BgL_objectz00_bglt) BgL_new1230z00_2289);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2293, BgL_arg1633z00_2290);
						}}
						{	/* Eval/evaluate_types.scm 69 */
							BgL_objectz00_bglt BgL_auxz00_5077;

							BgL_auxz00_5077 = ((BgL_objectz00_bglt) BgL_new1230z00_2289);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5077, BFALSE);
						}
						BgL_new1231z00_2288 = BgL_new1230z00_2289;
					}
					((((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_new1231z00_2288)))->BgL_argsz00) =
						((obj_t) BgL_args1072z00_897), BUNSPEC);
					return BgL_new1231z00_2288;
				}
			}
		}
	}



/* &<anonymous:1625> */
	BgL_ev_orz00_bglt BGl_z62zc3anonymousza31625ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3581, obj_t BgL_new1070z00_3582)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{
				BgL_ev_orz00_bglt BgL_new1070z00_885;

				BgL_new1070z00_885 = ((BgL_ev_orz00_bglt) BgL_new1070z00_3582);
				((((BgL_ev_listz00_bglt) CREF(
								((BgL_ev_listz00_bglt) BgL_new1070z00_885)))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1070z00_885;
			}
		}
	}



/* &lambda1623 */
	BgL_ev_orz00_bglt BGl_z62lambda1623z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3583)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{

				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1069z00_883;

					BgL_new1069z00_883 =
						((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_orz00_bgl))));
					{	/* Eval/evaluate_types.scm 68 */
						long BgL_arg1624z00_884;

						{	/* Eval/evaluate_types.scm 68 */
							long BgL_res2309z00_2285;

							BgL_res2309z00_2285 =
								BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00);
							BgL_arg1624z00_884 = BgL_res2309z00_2285;
						}
						{	/* Eval/evaluate_types.scm 68 */
							BgL_objectz00_bglt BgL_objz00_2286;

							BgL_objz00_2286 = ((BgL_objectz00_bglt) BgL_new1069z00_883);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2286, BgL_arg1624z00_884);
					}}
					{	/* Eval/evaluate_types.scm 68 */
						BgL_objectz00_bglt BgL_auxz00_5089;

						BgL_auxz00_5089 = ((BgL_objectz00_bglt) BgL_new1069z00_883);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5089, BFALSE);
					}
					return BgL_new1069z00_883;
				}
			}
		}
	}



/* &lambda1621 */
	BgL_ev_orz00_bglt BGl_z62lambda1621z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3584, obj_t BgL_args1068z00_3585)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 68 */
			{
				obj_t BgL_args1068z00_877;

				BgL_args1068z00_877 = BgL_args1068z00_3585;
				{	/* Eval/evaluate_types.scm 68 */
					BgL_ev_orz00_bglt BgL_new1229z00_2277;

					{	/* Eval/evaluate_types.scm 68 */
						BgL_ev_orz00_bglt BgL_new1228z00_2278;

						BgL_new1228z00_2278 =
							((BgL_ev_orz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_orz00_bgl))));
						{	/* Eval/evaluate_types.scm 68 */
							long BgL_arg1622z00_2279;

							{	/* Eval/evaluate_types.scm 68 */
								long BgL_res2308z00_2281;

								BgL_res2308z00_2281 =
									BGL_CLASS_INDEX(BGl_ev_orz00zz__evaluate_typesz00);
								BgL_arg1622z00_2279 = BgL_res2308z00_2281;
							}
							{	/* Eval/evaluate_types.scm 68 */
								BgL_objectz00_bglt BgL_objz00_2282;

								BgL_objz00_2282 = ((BgL_objectz00_bglt) BgL_new1228z00_2278);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2282, BgL_arg1622z00_2279);
						}}
						{	/* Eval/evaluate_types.scm 68 */
							BgL_objectz00_bglt BgL_auxz00_5096;

							BgL_auxz00_5096 = ((BgL_objectz00_bglt) BgL_new1228z00_2278);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5096, BFALSE);
						}
						BgL_new1229z00_2277 = BgL_new1228z00_2278;
					}
					((((BgL_ev_listz00_bglt) CREF(
									((BgL_ev_listz00_bglt) BgL_new1229z00_2277)))->BgL_argsz00) =
						((obj_t) BgL_args1068z00_877), BUNSPEC);
					return BgL_new1229z00_2277;
				}
			}
		}
	}



/* &<anonymous:1610> */
	BgL_ev_listz00_bglt
		BGl_z62zc3anonymousza31610ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3586,
		obj_t BgL_new1066z00_3587)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{
				BgL_ev_listz00_bglt BgL_new1066z00_853;

				BgL_new1066z00_853 = ((BgL_ev_listz00_bglt) BgL_new1066z00_3587);
				((((BgL_ev_listz00_bglt) CREF(BgL_new1066z00_853))->BgL_argsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1066z00_853;
			}
		}
	}



/* &lambda1608 */
	BgL_ev_listz00_bglt BGl_z62lambda1608z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3588)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{

				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1065z00_851;

					BgL_new1065z00_851 =
						((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_listz00_bgl))));
					{	/* Eval/evaluate_types.scm 66 */
						long BgL_arg1609z00_852;

						{	/* Eval/evaluate_types.scm 66 */
							long BgL_res2307z00_2274;

							BgL_res2307z00_2274 =
								BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00);
							BgL_arg1609z00_852 = BgL_res2307z00_2274;
						}
						{	/* Eval/evaluate_types.scm 66 */
							BgL_objectz00_bglt BgL_objz00_2275;

							BgL_objz00_2275 = ((BgL_objectz00_bglt) BgL_new1065z00_851);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2275, BgL_arg1609z00_852);
					}}
					{	/* Eval/evaluate_types.scm 66 */
						BgL_objectz00_bglt BgL_auxz00_5107;

						BgL_auxz00_5107 = ((BgL_objectz00_bglt) BgL_new1065z00_851);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5107, BFALSE);
					}
					return BgL_new1065z00_851;
				}
			}
		}
	}



/* &lambda1606 */
	BgL_ev_listz00_bglt BGl_z62lambda1606z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3589, obj_t BgL_args1064z00_3590)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{
				obj_t BgL_args1064z00_845;

				BgL_args1064z00_845 = BgL_args1064z00_3590;
				{	/* Eval/evaluate_types.scm 66 */
					BgL_ev_listz00_bglt BgL_new1225z00_2266;

					{	/* Eval/evaluate_types.scm 66 */
						BgL_ev_listz00_bglt BgL_new1224z00_2267;

						BgL_new1224z00_2267 =
							((BgL_ev_listz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_listz00_bgl))));
						{	/* Eval/evaluate_types.scm 66 */
							long BgL_arg1607z00_2268;

							{	/* Eval/evaluate_types.scm 66 */
								long BgL_res2306z00_2270;

								BgL_res2306z00_2270 =
									BGL_CLASS_INDEX(BGl_ev_listz00zz__evaluate_typesz00);
								BgL_arg1607z00_2268 = BgL_res2306z00_2270;
							}
							{	/* Eval/evaluate_types.scm 66 */
								BgL_objectz00_bglt BgL_objz00_2271;

								BgL_objz00_2271 = ((BgL_objectz00_bglt) BgL_new1224z00_2267);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2271, BgL_arg1607z00_2268);
						}}
						{	/* Eval/evaluate_types.scm 66 */
							BgL_objectz00_bglt BgL_auxz00_5114;

							BgL_auxz00_5114 = ((BgL_objectz00_bglt) BgL_new1224z00_2267);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5114, BFALSE);
						}
						BgL_new1225z00_2266 = BgL_new1224z00_2267;
					}
					((((BgL_ev_listz00_bglt) CREF(BgL_new1225z00_2266))->BgL_argsz00) =
						((obj_t) BgL_args1064z00_845), BUNSPEC);
					return BgL_new1225z00_2266;
				}
			}
		}
	}



/* &lambda1615 */
	obj_t BGl_z62lambda1615z62zz__evaluate_typesz00(obj_t BgL_envz00_3591,
		obj_t BgL_oz00_3592, obj_t BgL_vz00_3593)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			{	/* Eval/evaluate_types.scm 66 */
				BgL_ev_listz00_bglt BgL_oz00_3813;

				BgL_oz00_3813 = ((BgL_ev_listz00_bglt) BgL_oz00_3592);
				return
					((((BgL_ev_listz00_bglt) CREF(BgL_oz00_3813))->BgL_argsz00) =
					((obj_t) BgL_vz00_3593), BUNSPEC);
			}
		}
	}



/* &lambda1614 */
	obj_t BGl_z62lambda1614z62zz__evaluate_typesz00(obj_t BgL_envz00_3594,
		obj_t BgL_oz00_3595)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 66 */
			return
				(((BgL_ev_listz00_bglt) CREF(
						((BgL_ev_listz00_bglt) BgL_oz00_3595)))->BgL_argsz00);
		}
	}



/* &<anonymous:1584> */
	BgL_ev_ifz00_bglt BGl_z62zc3anonymousza31584ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3596, obj_t BgL_new1062z00_3597)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_ifz00_bglt BgL_new1062z00_797;

				BgL_new1062z00_797 = ((BgL_ev_ifz00_bglt) BgL_new1062z00_3597);
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5122;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_2255;

						BgL_classz00_2255 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1383z00_2256;

							BgL__ortest_1383z00_2256 = BGL_CLASS_NIL(BgL_classz00_2255);
							if (CBOOL(BgL__ortest_1383z00_2256))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5122 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2256);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5122 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2255));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_797))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5122), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5130;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_2257;

						BgL_classz00_2257 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1383z00_2258;

							BgL__ortest_1383z00_2258 = BGL_CLASS_NIL(BgL_classz00_2257);
							if (CBOOL(BgL__ortest_1383z00_2258))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5130 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2258);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5130 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2257));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_797))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5130), BUNSPEC);
				}
				{
					BgL_ev_exprz00_bglt BgL_auxz00_5138;

					{	/* Eval/evaluate_types.scm 62 */
						obj_t BgL_classz00_2259;

						BgL_classz00_2259 = BGl_ev_exprz00zz__evaluate_typesz00;
						{	/* Eval/evaluate_types.scm 62 */
							obj_t BgL__ortest_1383z00_2260;

							BgL__ortest_1383z00_2260 = BGL_CLASS_NIL(BgL_classz00_2259);
							if (CBOOL(BgL__ortest_1383z00_2260))
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5138 =
										((BgL_ev_exprz00_bglt) BgL__ortest_1383z00_2260);
								}
							else
								{	/* Eval/evaluate_types.scm 62 */
									BgL_auxz00_5138 =
										((BgL_ev_exprz00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_2259));
								}
						}
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1062z00_797))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_auxz00_5138), BUNSPEC);
				}
				return BgL_new1062z00_797;
			}
		}
	}



/* &lambda1582 */
	BgL_ev_ifz00_bglt BGl_z62lambda1582z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3598)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{

				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1061z00_795;

					BgL_new1061z00_795 =
						((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_ifz00_bgl))));
					{	/* Eval/evaluate_types.scm 62 */
						long BgL_arg1583z00_796;

						{	/* Eval/evaluate_types.scm 62 */
							long BgL_res2305z00_2252;

							BgL_res2305z00_2252 =
								BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00);
							BgL_arg1583z00_796 = BgL_res2305z00_2252;
						}
						{	/* Eval/evaluate_types.scm 62 */
							BgL_objectz00_bglt BgL_objz00_2253;

							BgL_objz00_2253 = ((BgL_objectz00_bglt) BgL_new1061z00_795);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2253, BgL_arg1583z00_796);
					}}
					{	/* Eval/evaluate_types.scm 62 */
						BgL_objectz00_bglt BgL_auxz00_5151;

						BgL_auxz00_5151 = ((BgL_objectz00_bglt) BgL_new1061z00_795);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5151, BFALSE);
					}
					return BgL_new1061z00_795;
				}
			}
		}
	}



/* &lambda1580 */
	BgL_ev_ifz00_bglt BGl_z62lambda1580z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3599, obj_t BgL_p1058z00_3600, obj_t BgL_t1059z00_3601,
		obj_t BgL_e1060z00_3602)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{
				BgL_ev_exprz00_bglt BgL_p1058z00_787;
				BgL_ev_exprz00_bglt BgL_t1059z00_788;
				BgL_ev_exprz00_bglt BgL_e1060z00_789;

				BgL_p1058z00_787 = ((BgL_ev_exprz00_bglt) BgL_p1058z00_3600);
				BgL_t1059z00_788 = ((BgL_ev_exprz00_bglt) BgL_t1059z00_3601);
				BgL_e1060z00_789 = ((BgL_ev_exprz00_bglt) BgL_e1060z00_3602);
				{	/* Eval/evaluate_types.scm 62 */
					BgL_ev_ifz00_bglt BgL_new1217z00_2244;

					{	/* Eval/evaluate_types.scm 62 */
						BgL_ev_ifz00_bglt BgL_new1216z00_2245;

						BgL_new1216z00_2245 =
							((BgL_ev_ifz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_ifz00_bgl))));
						{	/* Eval/evaluate_types.scm 62 */
							long BgL_arg1581z00_2246;

							{	/* Eval/evaluate_types.scm 62 */
								long BgL_res2304z00_2248;

								BgL_res2304z00_2248 =
									BGL_CLASS_INDEX(BGl_ev_ifz00zz__evaluate_typesz00);
								BgL_arg1581z00_2246 = BgL_res2304z00_2248;
							}
							{	/* Eval/evaluate_types.scm 62 */
								BgL_objectz00_bglt BgL_objz00_2249;

								BgL_objz00_2249 = ((BgL_objectz00_bglt) BgL_new1216z00_2245);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2249, BgL_arg1581z00_2246);
						}}
						{	/* Eval/evaluate_types.scm 62 */
							BgL_objectz00_bglt BgL_auxz00_5158;

							BgL_auxz00_5158 = ((BgL_objectz00_bglt) BgL_new1216z00_2245);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5158, BFALSE);
						}
						BgL_new1217z00_2244 = BgL_new1216z00_2245;
					}
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1217z00_2244))->BgL_pz00) =
						((BgL_ev_exprz00_bglt) BgL_p1058z00_787), BUNSPEC);
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1217z00_2244))->BgL_tz00) =
						((BgL_ev_exprz00_bglt) BgL_t1059z00_788), BUNSPEC);
					((((BgL_ev_ifz00_bglt) CREF(BgL_new1217z00_2244))->BgL_ez00) =
						((BgL_ev_exprz00_bglt) BgL_e1060z00_789), BUNSPEC);
					return BgL_new1217z00_2244;
				}
			}
		}
	}



/* &lambda1600 */
	obj_t BGl_z62lambda1600z62zz__evaluate_typesz00(obj_t BgL_envz00_3603,
		obj_t BgL_oz00_3604, obj_t BgL_vz00_3605)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_oz00_3816;
				BgL_ev_exprz00_bglt BgL_vz00_3817;

				BgL_oz00_3816 = ((BgL_ev_ifz00_bglt) BgL_oz00_3604);
				BgL_vz00_3817 = ((BgL_ev_exprz00_bglt) BgL_vz00_3605);
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_3816))->BgL_pz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3817), BUNSPEC);
			}
		}
	}



/* &lambda1599 */
	BgL_ev_exprz00_bglt BGl_z62lambda1599z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3606, obj_t BgL_oz00_3607)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3607)))->BgL_pz00);
		}
	}



/* &lambda1594 */
	obj_t BGl_z62lambda1594z62zz__evaluate_typesz00(obj_t BgL_envz00_3608,
		obj_t BgL_oz00_3609, obj_t BgL_vz00_3610)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_oz00_3819;
				BgL_ev_exprz00_bglt BgL_vz00_3820;

				BgL_oz00_3819 = ((BgL_ev_ifz00_bglt) BgL_oz00_3609);
				BgL_vz00_3820 = ((BgL_ev_exprz00_bglt) BgL_vz00_3610);
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_3819))->BgL_tz00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3820), BUNSPEC);
			}
		}
	}



/* &lambda1593 */
	BgL_ev_exprz00_bglt BGl_z62lambda1593z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3611, obj_t BgL_oz00_3612)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3612)))->BgL_tz00);
		}
	}



/* &lambda1589 */
	obj_t BGl_z62lambda1589z62zz__evaluate_typesz00(obj_t BgL_envz00_3613,
		obj_t BgL_oz00_3614, obj_t BgL_vz00_3615)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			{	/* Eval/evaluate_types.scm 62 */
				BgL_ev_ifz00_bglt BgL_oz00_3822;
				BgL_ev_exprz00_bglt BgL_vz00_3823;

				BgL_oz00_3822 = ((BgL_ev_ifz00_bglt) BgL_oz00_3614);
				BgL_vz00_3823 = ((BgL_ev_exprz00_bglt) BgL_vz00_3615);
				return
					((((BgL_ev_ifz00_bglt) CREF(BgL_oz00_3822))->BgL_ez00) =
					((BgL_ev_exprz00_bglt) BgL_vz00_3823), BUNSPEC);
			}
		}
	}



/* &lambda1588 */
	BgL_ev_exprz00_bglt BGl_z62lambda1588z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3616, obj_t BgL_oz00_3617)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 62 */
			return
				(((BgL_ev_ifz00_bglt) CREF(
						((BgL_ev_ifz00_bglt) BgL_oz00_3617)))->BgL_ez00);
		}
	}



/* &<anonymous:1568> */
	BgL_ev_littz00_bglt
		BGl_z62zc3anonymousza31568ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3618,
		obj_t BgL_new1056z00_3619)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{
				BgL_ev_littz00_bglt BgL_new1056z00_763;

				BgL_new1056z00_763 = ((BgL_ev_littz00_bglt) BgL_new1056z00_3619);
				((((BgL_ev_littz00_bglt) CREF(BgL_new1056z00_763))->BgL_valuez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1056z00_763;
			}
		}
	}



/* &lambda1566 */
	BgL_ev_littz00_bglt BGl_z62lambda1566z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3620)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{

				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1055z00_761;

					BgL_new1055z00_761 =
						((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_littz00_bgl))));
					{	/* Eval/evaluate_types.scm 60 */
						long BgL_arg1567z00_762;

						{	/* Eval/evaluate_types.scm 60 */
							long BgL_res2303z00_2226;

							BgL_res2303z00_2226 =
								BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
							BgL_arg1567z00_762 = BgL_res2303z00_2226;
						}
						{	/* Eval/evaluate_types.scm 60 */
							BgL_objectz00_bglt BgL_objz00_2227;

							BgL_objz00_2227 = ((BgL_objectz00_bglt) BgL_new1055z00_761);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2227, BgL_arg1567z00_762);
					}}
					{	/* Eval/evaluate_types.scm 60 */
						BgL_objectz00_bglt BgL_auxz00_5188;

						BgL_auxz00_5188 = ((BgL_objectz00_bglt) BgL_new1055z00_761);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5188, BFALSE);
					}
					return BgL_new1055z00_761;
				}
			}
		}
	}



/* &lambda1564 */
	BgL_ev_littz00_bglt BGl_z62lambda1564z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3621, obj_t BgL_value1054z00_3622)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{
				obj_t BgL_value1054z00_755;

				BgL_value1054z00_755 = BgL_value1054z00_3622;
				{	/* Eval/evaluate_types.scm 60 */
					BgL_ev_littz00_bglt BgL_new1213z00_2218;

					{	/* Eval/evaluate_types.scm 60 */
						BgL_ev_littz00_bglt BgL_new1212z00_2219;

						BgL_new1212z00_2219 =
							((BgL_ev_littz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_littz00_bgl))));
						{	/* Eval/evaluate_types.scm 60 */
							long BgL_arg1565z00_2220;

							{	/* Eval/evaluate_types.scm 60 */
								long BgL_res2302z00_2222;

								BgL_res2302z00_2222 =
									BGL_CLASS_INDEX(BGl_ev_littz00zz__evaluate_typesz00);
								BgL_arg1565z00_2220 = BgL_res2302z00_2222;
							}
							{	/* Eval/evaluate_types.scm 60 */
								BgL_objectz00_bglt BgL_objz00_2223;

								BgL_objz00_2223 = ((BgL_objectz00_bglt) BgL_new1212z00_2219);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2223, BgL_arg1565z00_2220);
						}}
						{	/* Eval/evaluate_types.scm 60 */
							BgL_objectz00_bglt BgL_auxz00_5195;

							BgL_auxz00_5195 = ((BgL_objectz00_bglt) BgL_new1212z00_2219);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5195, BFALSE);
						}
						BgL_new1213z00_2218 = BgL_new1212z00_2219;
					}
					((((BgL_ev_littz00_bglt) CREF(BgL_new1213z00_2218))->BgL_valuez00) =
						((obj_t) BgL_value1054z00_755), BUNSPEC);
					return BgL_new1213z00_2218;
				}
			}
		}
	}



/* &lambda1574 */
	obj_t BGl_z62lambda1574z62zz__evaluate_typesz00(obj_t BgL_envz00_3623,
		obj_t BgL_oz00_3624, obj_t BgL_vz00_3625)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			{	/* Eval/evaluate_types.scm 60 */
				BgL_ev_littz00_bglt BgL_oz00_3825;

				BgL_oz00_3825 = ((BgL_ev_littz00_bglt) BgL_oz00_3624);
				return
					((((BgL_ev_littz00_bglt) CREF(BgL_oz00_3825))->BgL_valuez00) =
					((obj_t) BgL_vz00_3625), BUNSPEC);
			}
		}
	}



/* &lambda1573 */
	obj_t BGl_z62lambda1573z62zz__evaluate_typesz00(obj_t BgL_envz00_3626,
		obj_t BgL_oz00_3627)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 60 */
			return
				(((BgL_ev_littz00_bglt) CREF(
						((BgL_ev_littz00_bglt) BgL_oz00_3627)))->BgL_valuez00);
		}
	}



/* &<anonymous:1538> */
	BgL_ev_globalz00_bglt
		BGl_z62zc3anonymousza31538ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3628,
		obj_t BgL_new1052z00_3629)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{
				BgL_ev_globalz00_bglt BgL_new1052z00_707;

				BgL_new1052z00_707 = ((BgL_ev_globalz00_bglt) BgL_new1052z00_3629);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_707))->BgL_locz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_707))->BgL_namez00) =
					((obj_t) BGl_symbol2713z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_globalz00_bglt) CREF(BgL_new1052z00_707))->BgL_modz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1052z00_707;
			}
		}
	}



/* &lambda1535 */
	BgL_ev_globalz00_bglt BGl_z62lambda1535z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3630)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{

				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1051z00_705;

					BgL_new1051z00_705 =
						((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_globalz00_bgl))));
					{	/* Eval/evaluate_types.scm 55 */
						long BgL_arg1537z00_706;

						{	/* Eval/evaluate_types.scm 55 */
							long BgL_res2301z00_2210;

							BgL_res2301z00_2210 =
								BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00);
							BgL_arg1537z00_706 = BgL_res2301z00_2210;
						}
						{	/* Eval/evaluate_types.scm 55 */
							BgL_objectz00_bglt BgL_objz00_2211;

							BgL_objz00_2211 = ((BgL_objectz00_bglt) BgL_new1051z00_705);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2211, BgL_arg1537z00_706);
					}}
					{	/* Eval/evaluate_types.scm 55 */
						BgL_objectz00_bglt BgL_auxz00_5211;

						BgL_auxz00_5211 = ((BgL_objectz00_bglt) BgL_new1051z00_705);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5211, BFALSE);
					}
					return BgL_new1051z00_705;
				}
			}
		}
	}



/* &lambda1533 */
	BgL_ev_globalz00_bglt BGl_z62lambda1533z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3631, obj_t BgL_loc1048z00_3632, obj_t BgL_name1049z00_3633,
		obj_t BgL_mod1050z00_3634)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{
				obj_t BgL_loc1048z00_697;
				obj_t BgL_name1049z00_698;
				obj_t BgL_mod1050z00_699;

				BgL_loc1048z00_697 = BgL_loc1048z00_3632;
				BgL_name1049z00_698 = BgL_name1049z00_3633;
				BgL_mod1050z00_699 = BgL_mod1050z00_3634;
				{	/* Eval/evaluate_types.scm 55 */
					BgL_ev_globalz00_bglt BgL_new1205z00_2202;

					{	/* Eval/evaluate_types.scm 55 */
						BgL_ev_globalz00_bglt BgL_new1204z00_2203;

						BgL_new1204z00_2203 =
							((BgL_ev_globalz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_globalz00_bgl))));
						{	/* Eval/evaluate_types.scm 55 */
							long BgL_arg1534z00_2204;

							{	/* Eval/evaluate_types.scm 55 */
								long BgL_res2300z00_2206;

								BgL_res2300z00_2206 =
									BGL_CLASS_INDEX(BGl_ev_globalz00zz__evaluate_typesz00);
								BgL_arg1534z00_2204 = BgL_res2300z00_2206;
							}
							{	/* Eval/evaluate_types.scm 55 */
								BgL_objectz00_bglt BgL_objz00_2207;

								BgL_objz00_2207 = ((BgL_objectz00_bglt) BgL_new1204z00_2203);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2207, BgL_arg1534z00_2204);
						}}
						{	/* Eval/evaluate_types.scm 55 */
							BgL_objectz00_bglt BgL_auxz00_5218;

							BgL_auxz00_5218 = ((BgL_objectz00_bglt) BgL_new1204z00_2203);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5218, BFALSE);
						}
						BgL_new1205z00_2202 = BgL_new1204z00_2203;
					}
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1205z00_2202))->BgL_locz00) =
						((obj_t) BgL_loc1048z00_697), BUNSPEC);
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1205z00_2202))->BgL_namez00) =
						((obj_t) BgL_name1049z00_698), BUNSPEC);
					((((BgL_ev_globalz00_bglt) CREF(BgL_new1205z00_2202))->BgL_modz00) =
						((obj_t) BgL_mod1050z00_699), BUNSPEC);
					return BgL_new1205z00_2202;
				}
			}
		}
	}



/* &lambda1557 */
	obj_t BGl_z62lambda1557z62zz__evaluate_typesz00(obj_t BgL_envz00_3635,
		obj_t BgL_oz00_3636, obj_t BgL_vz00_3637)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_oz00_3828;

				BgL_oz00_3828 = ((BgL_ev_globalz00_bglt) BgL_oz00_3636);
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_3828))->BgL_locz00) =
					((obj_t) BgL_vz00_3637), BUNSPEC);
			}
		}
	}



/* &lambda1556 */
	obj_t BGl_z62lambda1556z62zz__evaluate_typesz00(obj_t BgL_envz00_3638,
		obj_t BgL_oz00_3639)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3639)))->BgL_locz00);
		}
	}



/* &lambda1551 */
	obj_t BGl_z62lambda1551z62zz__evaluate_typesz00(obj_t BgL_envz00_3640,
		obj_t BgL_oz00_3641, obj_t BgL_vz00_3642)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_oz00_3831;
				obj_t BgL_vz00_3832;

				BgL_oz00_3831 = ((BgL_ev_globalz00_bglt) BgL_oz00_3641);
				BgL_vz00_3832 = BgL_vz00_3642;
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_3831))->BgL_namez00) =
					((obj_t) BgL_vz00_3832), BUNSPEC);
			}
		}
	}



/* &lambda1550 */
	obj_t BGl_z62lambda1550z62zz__evaluate_typesz00(obj_t BgL_envz00_3643,
		obj_t BgL_oz00_3644)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3644)))->BgL_namez00);
		}
	}



/* &lambda1545 */
	obj_t BGl_z62lambda1545z62zz__evaluate_typesz00(obj_t BgL_envz00_3645,
		obj_t BgL_oz00_3646, obj_t BgL_vz00_3647)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			{	/* Eval/evaluate_types.scm 55 */
				BgL_ev_globalz00_bglt BgL_oz00_3834;

				BgL_oz00_3834 = ((BgL_ev_globalz00_bglt) BgL_oz00_3646);
				return
					((((BgL_ev_globalz00_bglt) CREF(BgL_oz00_3834))->BgL_modz00) =
					((obj_t) BgL_vz00_3647), BUNSPEC);
			}
		}
	}



/* &lambda1544 */
	obj_t BGl_z62lambda1544z62zz__evaluate_typesz00(obj_t BgL_envz00_3648,
		obj_t BgL_oz00_3649)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 55 */
			return
				(((BgL_ev_globalz00_bglt) CREF(
						((BgL_ev_globalz00_bglt) BgL_oz00_3649)))->BgL_modz00);
		}
	}



/* &<anonymous:1504> */
	BgL_ev_varz00_bglt BGl_z62zc3anonymousza31504ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3650, obj_t BgL_new1046z00_3651)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{
				BgL_ev_varz00_bglt BgL_new1046z00_646;

				BgL_new1046z00_646 = ((BgL_ev_varz00_bglt) BgL_new1046z00_3651);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_646))->BgL_namez00) =
					((obj_t) BGl_symbol2713z00zz__evaluate_typesz00), BUNSPEC);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_646))->BgL_effz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_ev_varz00_bglt) CREF(BgL_new1046z00_646))->BgL_typez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				return BgL_new1046z00_646;
			}
		}
	}



/* &lambda1501 */
	BgL_ev_varz00_bglt BGl_z62lambda1501z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3652)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{

				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1045z00_644;

					BgL_new1045z00_644 =
						((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_varz00_bgl))));
					{	/* Eval/evaluate_types.scm 51 */
						long BgL_arg1503z00_645;

						{	/* Eval/evaluate_types.scm 51 */
							long BgL_res2299z00_2184;

							BgL_res2299z00_2184 =
								BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00);
							BgL_arg1503z00_645 = BgL_res2299z00_2184;
						}
						{	/* Eval/evaluate_types.scm 51 */
							BgL_objectz00_bglt BgL_objz00_2185;

							BgL_objz00_2185 = ((BgL_objectz00_bglt) BgL_new1045z00_644);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2185, BgL_arg1503z00_645);
					}}
					{	/* Eval/evaluate_types.scm 51 */
						BgL_objectz00_bglt BgL_auxz00_5244;

						BgL_auxz00_5244 = ((BgL_objectz00_bglt) BgL_new1045z00_644);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5244, BFALSE);
					}
					return BgL_new1045z00_644;
				}
			}
		}
	}



/* &lambda1497 */
	BgL_ev_varz00_bglt BGl_z62lambda1497z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3653, obj_t BgL_name1042z00_3654, obj_t BgL_eff1043z00_3655,
		obj_t BgL_type1044z00_3656)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{
				obj_t BgL_name1042z00_636;
				obj_t BgL_eff1043z00_637;
				obj_t BgL_type1044z00_638;

				BgL_name1042z00_636 = BgL_name1042z00_3654;
				BgL_eff1043z00_637 = BgL_eff1043z00_3655;
				BgL_type1044z00_638 = BgL_type1044z00_3656;
				{	/* Eval/evaluate_types.scm 51 */
					BgL_ev_varz00_bglt BgL_new1197z00_2176;

					{	/* Eval/evaluate_types.scm 51 */
						BgL_ev_varz00_bglt BgL_new1196z00_2177;

						BgL_new1196z00_2177 =
							((BgL_ev_varz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_varz00_bgl))));
						{	/* Eval/evaluate_types.scm 51 */
							long BgL_arg1500z00_2178;

							{	/* Eval/evaluate_types.scm 51 */
								long BgL_res2298z00_2180;

								BgL_res2298z00_2180 =
									BGL_CLASS_INDEX(BGl_ev_varz00zz__evaluate_typesz00);
								BgL_arg1500z00_2178 = BgL_res2298z00_2180;
							}
							{	/* Eval/evaluate_types.scm 51 */
								BgL_objectz00_bglt BgL_objz00_2181;

								BgL_objz00_2181 = ((BgL_objectz00_bglt) BgL_new1196z00_2177);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2181, BgL_arg1500z00_2178);
						}}
						{	/* Eval/evaluate_types.scm 51 */
							BgL_objectz00_bglt BgL_auxz00_5251;

							BgL_auxz00_5251 = ((BgL_objectz00_bglt) BgL_new1196z00_2177);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5251, BFALSE);
						}
						BgL_new1197z00_2176 = BgL_new1196z00_2177;
					}
					((((BgL_ev_varz00_bglt) CREF(BgL_new1197z00_2176))->BgL_namez00) =
						((obj_t) BgL_name1042z00_636), BUNSPEC);
					((((BgL_ev_varz00_bglt) CREF(BgL_new1197z00_2176))->BgL_effz00) =
						((obj_t) BgL_eff1043z00_637), BUNSPEC);
					((((BgL_ev_varz00_bglt) CREF(BgL_new1197z00_2176))->BgL_typez00) =
						((obj_t) BgL_type1044z00_638), BUNSPEC);
					return BgL_new1197z00_2176;
				}
			}
		}
	}



/* &lambda1524 */
	obj_t BGl_z62lambda1524z62zz__evaluate_typesz00(obj_t BgL_envz00_3657,
		obj_t BgL_oz00_3658, obj_t BgL_vz00_3659)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_oz00_3837;
				obj_t BgL_vz00_3838;

				BgL_oz00_3837 = ((BgL_ev_varz00_bglt) BgL_oz00_3658);
				BgL_vz00_3838 = BgL_vz00_3659;
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_oz00_3837))->BgL_namez00) =
					((obj_t) BgL_vz00_3838), BUNSPEC);
			}
		}
	}



/* &lambda1523 */
	obj_t BGl_z62lambda1523z62zz__evaluate_typesz00(obj_t BgL_envz00_3660,
		obj_t BgL_oz00_3661)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3661)))->BgL_namez00);
		}
	}



/* &<anonymous:1519> */
	obj_t BGl_z62zc3anonymousza31519ze3ze1zz__evaluate_typesz00(obj_t
		BgL_envz00_3662)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return BBOOL(((bool_t) 0));
		}
	}



/* &lambda1518 */
	obj_t BGl_z62lambda1518z62zz__evaluate_typesz00(obj_t BgL_envz00_3663,
		obj_t BgL_oz00_3664, obj_t BgL_vz00_3665)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_oz00_3840;

				BgL_oz00_3840 = ((BgL_ev_varz00_bglt) BgL_oz00_3664);
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_oz00_3840))->BgL_effz00) =
					((obj_t) BgL_vz00_3665), BUNSPEC);
			}
		}
	}



/* &lambda1517 */
	obj_t BGl_z62lambda1517z62zz__evaluate_typesz00(obj_t BgL_envz00_3666,
		obj_t BgL_oz00_3667)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3667)))->BgL_effz00);
		}
	}



/* &lambda1509 */
	obj_t BGl_z62lambda1509z62zz__evaluate_typesz00(obj_t BgL_envz00_3668,
		obj_t BgL_oz00_3669, obj_t BgL_vz00_3670)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			{	/* Eval/evaluate_types.scm 51 */
				BgL_ev_varz00_bglt BgL_oz00_3843;

				BgL_oz00_3843 = ((BgL_ev_varz00_bglt) BgL_oz00_3669);
				return
					((((BgL_ev_varz00_bglt) CREF(BgL_oz00_3843))->BgL_typez00) =
					((obj_t) BgL_vz00_3670), BUNSPEC);
			}
		}
	}



/* &lambda1508 */
	obj_t BGl_z62lambda1508z62zz__evaluate_typesz00(obj_t BgL_envz00_3671,
		obj_t BgL_oz00_3672)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 51 */
			return
				(((BgL_ev_varz00_bglt) CREF(
						((BgL_ev_varz00_bglt) BgL_oz00_3672)))->BgL_typez00);
		}
	}



/* &<anonymous:1490> */
	BgL_ev_exprz00_bglt
		BGl_z62zc3anonymousza31490ze3ze1zz__evaluate_typesz00(obj_t BgL_envz00_3673,
		obj_t BgL_new1040z00_3674)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			return ((BgL_ev_exprz00_bglt) BgL_new1040z00_3674);
		}
	}



/* &lambda1487 */
	BgL_ev_exprz00_bglt BGl_z62lambda1487z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3675)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			{

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1039z00_622;

					BgL_new1039z00_622 =
						((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
									BgL_ev_exprz00_bgl))));
					{	/* Eval/evaluate_types.scm 49 */
						long BgL_arg1489z00_623;

						{	/* Eval/evaluate_types.scm 49 */
							long BgL_res2297z00_2158;

							BgL_res2297z00_2158 =
								BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00);
							BgL_arg1489z00_623 = BgL_res2297z00_2158;
						}
						{	/* Eval/evaluate_types.scm 49 */
							BgL_objectz00_bglt BgL_objz00_2159;

							BgL_objz00_2159 = ((BgL_objectz00_bglt) BgL_new1039z00_622);
							BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2159, BgL_arg1489z00_623);
					}}
					{	/* Eval/evaluate_types.scm 49 */
						BgL_objectz00_bglt BgL_auxz00_5275;

						BgL_auxz00_5275 = ((BgL_objectz00_bglt) BgL_new1039z00_622);
						BGL_OBJECT_WIDENING_SET(BgL_auxz00_5275, BFALSE);
					}
					return BgL_new1039z00_622;
				}
			}
		}
	}



/* &lambda1485 */
	BgL_ev_exprz00_bglt BGl_z62lambda1485z62zz__evaluate_typesz00(obj_t
		BgL_envz00_3676)
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 49 */
			{

				{	/* Eval/evaluate_types.scm 49 */
					BgL_ev_exprz00_bglt BgL_new1195z00_618;

					{	/* Eval/evaluate_types.scm 49 */
						BgL_ev_exprz00_bglt BgL_new1194z00_619;

						BgL_new1194z00_619 =
							((BgL_ev_exprz00_bglt) BREF(GC_MALLOC(sizeof(struct
										BgL_ev_exprz00_bgl))));
						{	/* Eval/evaluate_types.scm 49 */
							long BgL_arg1486z00_620;

							{	/* Eval/evaluate_types.scm 49 */
								long BgL_res2296z00_2154;

								BgL_res2296z00_2154 =
									BGL_CLASS_INDEX(BGl_ev_exprz00zz__evaluate_typesz00);
								BgL_arg1486z00_620 = BgL_res2296z00_2154;
							}
							{	/* Eval/evaluate_types.scm 49 */
								BgL_objectz00_bglt BgL_objz00_2155;

								BgL_objz00_2155 = ((BgL_objectz00_bglt) BgL_new1194z00_619);
								BGL_OBJECT_CLASS_NUM_SET(BgL_objz00_2155, BgL_arg1486z00_620);
						}}
						{	/* Eval/evaluate_types.scm 49 */
							BgL_objectz00_bglt BgL_auxz00_5282;

							BgL_auxz00_5282 = ((BgL_objectz00_bglt) BgL_new1194z00_619);
							BGL_OBJECT_WIDENING_SET(BgL_auxz00_5282, BFALSE);
						}
						BgL_new1195z00_618 = BgL_new1194z00_619;
					}
					return BgL_new1195z00_618;
				}
			}
		}
	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			return BUNSPEC;
		}
	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_typesz00()
	{
		AN_OBJECT;
		{	/* Eval/evaluate_types.scm 15 */
			BGl_modulezd2initializa7ationz75zz__typez00(((long) 77607588),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 304399560),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 162724851),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(((long) 135276775),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 128218210),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 340267792),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(((long) 6519932),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 237624134),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__dssslz00(((long) 443936801),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 317260169),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 441709255),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 1041382),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(((long) 316564000),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 359798486),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)
					249410258),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)
					247617611),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)
					268155843),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)
					198620800),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)
					473309430),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long) 459519430),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 460263214),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 97251556),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)
					47127928), BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)
					376927882),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)
					228151370),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 509771705),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 162479995),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
			return BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)
					116655667),
				BSTRING_TO_STRING(BGl_string2390z00zz__evaluate_typesz00));
		}
	}

#ifdef __cplusplus
}
#endif
